/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2024, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "gramparse.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node	   *limitOffset;
	Node	   *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool		distinct;
	List	   *list;
} GroupClause;

/* Private structs for the result of key_actions and key_action productions */
typedef struct KeyAction
{
	char		action;
	List	   *cols;
} KeyAction;

typedef struct KeyActions
{
	KeyAction *updateAction;
	KeyAction *deleteAction;
} KeyActions;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Node *v, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Float *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static RangeVar *makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
											   core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static PartitionStrategy parsePartitionStrategy(char *strategy);
static void preprocess_pubobj_list(List *pubobjspec_list,
								   core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 293 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    UIDENT = 259,
    FCONST = 260,
    SCONST = 261,
    USCONST = 262,
    BCONST = 263,
    XCONST = 264,
    Op = 265,
    ICONST = 266,
    PARAM = 267,
    TYPECAST = 268,
    DOT_DOT = 269,
    COLON_EQUALS = 270,
    EQUALS_GREATER = 271,
    LESS_EQUALS = 272,
    GREATER_EQUALS = 273,
    NOT_EQUALS = 274,
    ABORT_P = 275,
    ABSENT = 276,
    ABSOLUTE_P = 277,
    ACCESS = 278,
    ACTION = 279,
    ADD_P = 280,
    ADMIN = 281,
    AFTER = 282,
    AGGREGATE = 283,
    ALL = 284,
    ALSO = 285,
    ALTER = 286,
    ALWAYS = 287,
    ANALYSE = 288,
    ANALYZE = 289,
    AND = 290,
    ANY = 291,
    ARRAY = 292,
    AS = 293,
    ASC = 294,
    ASENSITIVE = 295,
    ASSERTION = 296,
    ASSIGNMENT = 297,
    ASYMMETRIC = 298,
    ATOMIC = 299,
    AT = 300,
    ATTACH = 301,
    ATTRIBUTE = 302,
    AUTHORIZATION = 303,
    BACKWARD = 304,
    BEFORE = 305,
    BEGIN_P = 306,
    BETWEEN = 307,
    BIGINT = 308,
    BINARY = 309,
    BIT = 310,
    BOOLEAN_P = 311,
    BOTH = 312,
    BREADTH = 313,
    BY = 314,
    CACHE = 315,
    CALL = 316,
    CALLED = 317,
    CASCADE = 318,
    CASCADED = 319,
    CASE = 320,
    CAST = 321,
    CATALOG_P = 322,
    CHAIN = 323,
    CHAR_P = 324,
    CHARACTER = 325,
    CHARACTERISTICS = 326,
    CHECK = 327,
    CHECKPOINT = 328,
    CLASS = 329,
    CLOSE = 330,
    CLUSTER = 331,
    COALESCE = 332,
    COLLATE = 333,
    COLLATION = 334,
    COLUMN = 335,
    COLUMNS = 336,
    COMMENT = 337,
    COMMENTS = 338,
    COMMIT = 339,
    COMMITTED = 340,
    COMPRESSION = 341,
    CONCURRENTLY = 342,
    CONDITIONAL = 343,
    CONFIGURATION = 344,
    CONFLICT = 345,
    CONNECTION = 346,
    CONSTRAINT = 347,
    CONSTRAINTS = 348,
    CONTENT_P = 349,
    CONTINUE_P = 350,
    CONVERSION_P = 351,
    COPY = 352,
    COST = 353,
    CREATE = 354,
    CROSS = 355,
    CSV = 356,
    CUBE = 357,
    CURRENT_P = 358,
    CURRENT_CATALOG = 359,
    CURRENT_DATE = 360,
    CURRENT_ROLE = 361,
    CURRENT_SCHEMA = 362,
    CURRENT_TIME = 363,
    CURRENT_TIMESTAMP = 364,
    CURRENT_USER = 365,
    CURSOR = 366,
    CYCLE = 367,
    DATA_P = 368,
    DATABASE = 369,
    DAY_P = 370,
    DEALLOCATE = 371,
    DEC = 372,
    DECIMAL_P = 373,
    DECLARE = 374,
    DEFAULT = 375,
    DEFAULTS = 376,
    DEFERRABLE = 377,
    DEFERRED = 378,
    DEFINER = 379,
    DELETE_P = 380,
    DELIMITER = 381,
    DELIMITERS = 382,
    DEPENDS = 383,
    DEPTH = 384,
    DESC = 385,
    DETACH = 386,
    DICTIONARY = 387,
    DISABLE_P = 388,
    DISCARD = 389,
    DISTINCT = 390,
    DO = 391,
    DOCUMENT_P = 392,
    DOMAIN_P = 393,
    DOUBLE_P = 394,
    DROP = 395,
    EACH = 396,
    ELSE = 397,
    EMPTY_P = 398,
    ENABLE_P = 399,
    ENCODING = 400,
    ENCRYPTED = 401,
    END_P = 402,
    ENUM_P = 403,
    ERROR_P = 404,
    ESCAPE = 405,
    EVENT = 406,
    EXCEPT = 407,
    EXCLUDE = 408,
    EXCLUDING = 409,
    EXCLUSIVE = 410,
    EXECUTE = 411,
    EXISTS = 412,
    EXPLAIN = 413,
    EXPRESSION = 414,
    EXTENSION = 415,
    EXTERNAL = 416,
    EXTRACT = 417,
    FALSE_P = 418,
    FAMILY = 419,
    FETCH = 420,
    FILTER = 421,
    FINALIZE = 422,
    FIRST_P = 423,
    FLOAT_P = 424,
    FOLLOWING = 425,
    FOR = 426,
    FORCE = 427,
    FOREIGN = 428,
    FORMAT = 429,
    FORWARD = 430,
    FREEZE = 431,
    FROM = 432,
    FULL = 433,
    FUNCTION = 434,
    FUNCTIONS = 435,
    GENERATED = 436,
    GLOBAL = 437,
    GRANT = 438,
    GRANTED = 439,
    GREATEST = 440,
    GROUP_P = 441,
    GROUPING = 442,
    GROUPS = 443,
    HANDLER = 444,
    HAVING = 445,
    HEADER_P = 446,
    HOLD = 447,
    HOUR_P = 448,
    IDENTITY_P = 449,
    IF_P = 450,
    ILIKE = 451,
    IMMEDIATE = 452,
    IMMUTABLE = 453,
    IMPLICIT_P = 454,
    IMPORT_P = 455,
    IN_P = 456,
    INCLUDE = 457,
    INCLUDING = 458,
    INCREMENT = 459,
    INDENT = 460,
    INDEX = 461,
    INDEXES = 462,
    INHERIT = 463,
    INHERITS = 464,
    INITIALLY = 465,
    INLINE_P = 466,
    INNER_P = 467,
    INOUT = 468,
    INPUT_P = 469,
    INSENSITIVE = 470,
    INSERT = 471,
    INSTEAD = 472,
    INT_P = 473,
    INTEGER = 474,
    INTERSECT = 475,
    INTERVAL = 476,
    INTO = 477,
    INVOKER = 478,
    IS = 479,
    ISNULL = 480,
    ISOLATION = 481,
    JOIN = 482,
    JSON = 483,
    JSON_ARRAY = 484,
    JSON_ARRAYAGG = 485,
    JSON_EXISTS = 486,
    JSON_OBJECT = 487,
    JSON_OBJECTAGG = 488,
    JSON_QUERY = 489,
    JSON_SCALAR = 490,
    JSON_SERIALIZE = 491,
    JSON_TABLE = 492,
    JSON_VALUE = 493,
    KEEP = 494,
    KEY = 495,
    KEYS = 496,
    LABEL = 497,
    LANGUAGE = 498,
    LARGE_P = 499,
    LAST_P = 500,
    LATERAL_P = 501,
    LEADING = 502,
    LEAKPROOF = 503,
    LEAST = 504,
    LEFT = 505,
    LEVEL = 506,
    LIKE = 507,
    LIMIT = 508,
    LISTEN = 509,
    LOAD = 510,
    LOCAL = 511,
    LOCALTIME = 512,
    LOCALTIMESTAMP = 513,
    LOCATION = 514,
    LOCK_P = 515,
    LOCKED = 516,
    LOGGED = 517,
    MAPPING = 518,
    MATCH = 519,
    MATCHED = 520,
    MATERIALIZED = 521,
    MAXVALUE = 522,
    MERGE = 523,
    MERGE_ACTION = 524,
    METHOD = 525,
    MINUTE_P = 526,
    MINVALUE = 527,
    MODE = 528,
    MONTH_P = 529,
    MOVE = 530,
    NAME_P = 531,
    NAMES = 532,
    NATIONAL = 533,
    NATURAL = 534,
    NCHAR = 535,
    NESTED = 536,
    NEW = 537,
    NEXT = 538,
    NFC = 539,
    NFD = 540,
    NFKC = 541,
    NFKD = 542,
    NO = 543,
    NONE = 544,
    NORMALIZE = 545,
    NORMALIZED = 546,
    NOT = 547,
    NOTHING = 548,
    NOTIFY = 549,
    NOTNULL = 550,
    NOWAIT = 551,
    NULL_P = 552,
    NULLIF = 553,
    NULLS_P = 554,
    NUMERIC = 555,
    OBJECT_P = 556,
    OF = 557,
    OFF = 558,
    OFFSET = 559,
    OIDS = 560,
    OLD = 561,
    OMIT = 562,
    ON = 563,
    ONLY = 564,
    OPERATOR = 565,
    OPTION = 566,
    OPTIONS = 567,
    OR = 568,
    ORDER = 569,
    ORDINALITY = 570,
    OTHERS = 571,
    OUT_P = 572,
    OUTER_P = 573,
    OVER = 574,
    OVERLAPS = 575,
    OVERLAY = 576,
    OVERRIDING = 577,
    OWNED = 578,
    OWNER = 579,
    PARALLEL = 580,
    PARAMETER = 581,
    PARSER = 582,
    PARTIAL = 583,
    PARTITION = 584,
    PASSING = 585,
    PASSWORD = 586,
    PATH = 587,
    PLACING = 588,
    PLAN = 589,
    PLANS = 590,
    POLICY = 591,
    POSITION = 592,
    PRECEDING = 593,
    PRECISION = 594,
    PRESERVE = 595,
    PREPARE = 596,
    PREPARED = 597,
    PRIMARY = 598,
    PRIOR = 599,
    PRIVILEGES = 600,
    PROCEDURAL = 601,
    PROCEDURE = 602,
    PROCEDURES = 603,
    PROGRAM = 604,
    PUBLICATION = 605,
    QUOTE = 606,
    QUOTES = 607,
    RANGE = 608,
    READ = 609,
    REAL = 610,
    REASSIGN = 611,
    RECHECK = 612,
    RECURSIVE = 613,
    REF_P = 614,
    REFERENCES = 615,
    REFERENCING = 616,
    REFRESH = 617,
    REINDEX = 618,
    RELATIVE_P = 619,
    RELEASE = 620,
    RENAME = 621,
    REPEATABLE = 622,
    REPLACE = 623,
    REPLICA = 624,
    RESET = 625,
    RESTART = 626,
    RESTRICT = 627,
    RETURN = 628,
    RETURNING = 629,
    RETURNS = 630,
    REVOKE = 631,
    RIGHT = 632,
    ROLE = 633,
    ROLLBACK = 634,
    ROLLUP = 635,
    ROUTINE = 636,
    ROUTINES = 637,
    ROW = 638,
    ROWS = 639,
    RULE = 640,
    SAVEPOINT = 641,
    SCALAR = 642,
    SCHEMA = 643,
    SCHEMAS = 644,
    SCROLL = 645,
    SEARCH = 646,
    SECOND_P = 647,
    SECURITY = 648,
    SELECT = 649,
    SEQUENCE = 650,
    SEQUENCES = 651,
    SERIALIZABLE = 652,
    SERVER = 653,
    SESSION = 654,
    SESSION_USER = 655,
    SET = 656,
    SETS = 657,
    SETOF = 658,
    SHARE = 659,
    SHOW = 660,
    SIMILAR = 661,
    SIMPLE = 662,
    SKIP = 663,
    SMALLINT = 664,
    SNAPSHOT = 665,
    SOME = 666,
    SOURCE = 667,
    SQL_P = 668,
    STABLE = 669,
    STANDALONE_P = 670,
    START = 671,
    STATEMENT = 672,
    STATISTICS = 673,
    STDIN = 674,
    STDOUT = 675,
    STORAGE = 676,
    STORED = 677,
    STRICT_P = 678,
    STRING_P = 679,
    STRIP_P = 680,
    SUBSCRIPTION = 681,
    SUBSTRING = 682,
    SUPPORT = 683,
    SYMMETRIC = 684,
    SYSID = 685,
    SYSTEM_P = 686,
    SYSTEM_USER = 687,
    TABLE = 688,
    TABLES = 689,
    TABLESAMPLE = 690,
    TABLESPACE = 691,
    TARGET = 692,
    TEMP = 693,
    TEMPLATE = 694,
    TEMPORARY = 695,
    TEXT_P = 696,
    THEN = 697,
    TIES = 698,
    TIME = 699,
    TIMESTAMP = 700,
    TO = 701,
    TRAILING = 702,
    TRANSACTION = 703,
    TRANSFORM = 704,
    TREAT = 705,
    TRIGGER = 706,
    TRIM = 707,
    TRUE_P = 708,
    TRUNCATE = 709,
    TRUSTED = 710,
    TYPE_P = 711,
    TYPES_P = 712,
    UESCAPE = 713,
    UNBOUNDED = 714,
    UNCONDITIONAL = 715,
    UNCOMMITTED = 716,
    UNENCRYPTED = 717,
    UNION = 718,
    UNIQUE = 719,
    UNKNOWN = 720,
    UNLISTEN = 721,
    UNLOGGED = 722,
    UNTIL = 723,
    UPDATE = 724,
    USER = 725,
    USING = 726,
    VACUUM = 727,
    VALID = 728,
    VALIDATE = 729,
    VALIDATOR = 730,
    VALUE_P = 731,
    VALUES = 732,
    VARCHAR = 733,
    VARIADIC = 734,
    VARYING = 735,
    VERBOSE = 736,
    VERSION_P = 737,
    VIEW = 738,
    VIEWS = 739,
    VOLATILE = 740,
    WHEN = 741,
    WHERE = 742,
    WHITESPACE_P = 743,
    WINDOW = 744,
    WITH = 745,
    WITHIN = 746,
    WITHOUT = 747,
    WORK = 748,
    WRAPPER = 749,
    WRITE = 750,
    XML_P = 751,
    XMLATTRIBUTES = 752,
    XMLCONCAT = 753,
    XMLELEMENT = 754,
    XMLEXISTS = 755,
    XMLFOREST = 756,
    XMLNAMESPACES = 757,
    XMLPARSE = 758,
    XMLPI = 759,
    XMLROOT = 760,
    XMLSERIALIZE = 761,
    XMLTABLE = 762,
    YEAR_P = 763,
    YES_P = 764,
    ZONE = 765,
    FORMAT_LA = 766,
    NOT_LA = 767,
    NULLS_LA = 768,
    WITH_LA = 769,
    WITHOUT_LA = 770,
    MODE_TYPE_NAME = 771,
    MODE_PLPGSQL_EXPR = 772,
    MODE_PLPGSQL_ASSIGN1 = 773,
    MODE_PLPGSQL_ASSIGN2 = 774,
    MODE_PLPGSQL_ASSIGN3 = 775,
    UMINUS = 776
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 231 "gram.y" /* yacc.c:355  */

	core_YYSTYPE core_yystype;
	/* these fields must match core_YYSTYPE: */
	int			ival;
	char	   *str;
	const char *keyword;

	char		chr;
	bool		boolean;
	JoinType	jtype;
	DropBehavior dbehavior;
	OnCommitAction oncommit;
	List	   *list;
	Node	   *node;
	ObjectType	objtype;
	TypeName   *typnam;
	FunctionParameter *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs *objwithargs;
	DefElem	   *defelt;
	SortBy	   *sortby;
	WindowDef  *windef;
	JoinExpr   *jexpr;
	IndexElem  *ielem;
	StatsElem  *selem;
	Alias	   *alias;
	RangeVar   *range;
	IntoClause *into;
	WithClause *with;
	InferClause	*infer;
	OnConflictClause *onconflict;
	A_Indices  *aind;
	ResTarget  *target;
	struct PrivTarget *privtarget;
	AccessPriv *accesspriv;
	struct ImportQual *importqual;
	InsertStmt *istmt;
	VariableSetStmt *vsetstmt;
	PartitionElem *partelem;
	PartitionSpec *partspec;
	PartitionBoundSpec *partboundspec;
	RoleSpec   *rolespec;
	PublicationObjSpec *publicationobjectspec;
	struct SelectLimit *selectlimit;
	SetQuantifier setquantifier;
	struct GroupClause *groupclause;
	MergeMatchKind mergematch;
	MergeWhenClause *mergewhen;
	struct KeyActions *keyactions;
	struct KeyAction *keyaction;

#line 907 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 937 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  928
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   122367

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  539
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  728
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3406
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6456

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   776

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   528,     2,     2,
     533,   534,   526,   524,   537,   525,   535,   527,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   538,   536,
     521,   523,   522,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   531,     2,   532,   529,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   530
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   920,   920,   925,   929,   934,   942,   950,   970,   982,
     996,   997,  1001,  1002,  1003,  1004,  1005,  1006,  1007,  1008,
    1009,  1010,  1011,  1012,  1013,  1014,  1015,  1016,  1017,  1018,
    1019,  1020,  1021,  1022,  1023,  1024,  1025,  1026,  1027,  1028,
    1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
    1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,
    1049,  1050,  1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,
    1059,  1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,
    1069,  1070,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,
    1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,  1098,
    1099,  1100,  1101,  1102,  1103,  1104,  1105,  1106,  1107,  1108,
    1109,  1110,  1111,  1112,  1113,  1114,  1115,  1116,  1117,  1118,
    1119,  1120,  1121,  1122,  1123,  1124,  1126,  1133,  1134,  1138,
    1139,  1143,  1144,  1148,  1149,  1150,  1159,  1175,  1187,  1188,
    1189,  1198,  1199,  1203,  1204,  1208,  1213,  1217,  1227,  1235,
    1239,  1243,  1248,  1252,  1300,  1302,  1306,  1310,  1314,  1318,
    1332,  1351,  1360,  1372,  1373,  1377,  1386,  1395,  1404,  1426,
    1434,  1442,  1450,  1458,  1466,  1484,  1503,  1515,  1516,  1527,
    1538,  1549,  1565,  1584,  1591,  1599,  1600,  1601,  1602,  1603,
    1604,  1618,  1625,  1632,  1642,  1651,  1660,  1664,  1673,  1682,
    1690,  1701,  1702,  1711,  1723,  1731,  1740,  1752,  1761,  1770,
    1778,  1788,  1799,  1800,  1804,  1805,  1808,  1810,  1814,  1815,
    1816,  1817,  1821,  1822,  1823,  1829,  1841,  1845,  1849,  1866,
    1874,  1875,  1876,  1880,  1881,  1882,  1886,  1887,  1891,  1895,
    1896,  1904,  1912,  1923,  1931,  1942,  1943,  1948,  1949,  1954,
    1961,  1968,  1975,  1982,  1993,  2004,  2005,  2009,  2010,  2018,
    2034,  2041,  2048,  2055,  2062,  2082,  2092,  2102,  2112,  2122,
    2134,  2146,  2156,  2166,  2176,  2188,  2200,  2210,  2220,  2230,
    2240,  2250,  2260,  2272,  2284,  2294,  2307,  2308,  2313,  2327,
    2340,  2356,  2373,  2383,  2393,  2403,  2413,  2423,  2432,  2441,
    2451,  2460,  2470,  2480,  2496,  2506,  2516,  2526,  2536,  2553,
    2563,  2573,  2583,  2594,  2608,  2624,  2634,  2643,  2659,  2668,
    2679,  2690,  2698,  2707,  2716,  2724,  2732,  2741,  2750,  2759,
    2767,  2775,  2784,  2792,  2800,  2809,  2818,  2827,  2836,  2845,
    2854,  2865,  2873,  2882,  2891,  2900,  2909,  2918,  2927,  2935,
    2943,  2951,  2958,  2969,  2970,  2974,  2983,  2987,  2988,  2992,
    3000,  3008,  3016,  3027,  3030,  3031,  3035,  3036,  3041,  3045,
    3049,  3054,  3061,  3063,  3068,  3072,  3076,  3087,  3094,  3095,
    3099,  3100,  3105,  3158,  3171,  3185,  3197,  3204,  3208,  3222,
    3235,  3236,  3241,  3251,  3262,  3273,  3300,  3307,  3341,  3377,
    3400,  3401,  3405,  3406,  3415,  3416,  3417,  3420,  3421,  3426,
    3427,  3431,  3435,  3439,  3443,  3447,  3451,  3455,  3459,  3463,
    3467,  3471,  3475,  3479,  3483,  3487,  3496,  3500,  3504,  3508,
    3512,  3513,  3518,  3522,  3529,  3536,  3537,  3538,  3539,  3540,
    3541,  3545,  3549,  3557,  3568,  3588,  3608,  3629,  3650,  3671,
    3705,  3706,  3707,  3708,  3709,  3716,  3723,  3724,  3728,  3729,
    3733,  3734,  3738,  3742,  3749,  3753,  3760,  3761,  3762,  3766,
    3767,  3770,  3794,  3813,  3835,  3836,  3840,  3841,  3845,  3846,
    3850,  3851,  3855,  3856,  3860,  3868,  3869,  3870,  3902,  3910,
    3918,  3931,  3943,  3956,  3966,  3976,  4000,  4020,  4021,  4022,
    4026,  4027,  4046,  4054,  4062,  4070,  4082,  4094,  4095,  4096,
    4100,  4101,  4102,  4103,  4104,  4105,  4106,  4107,  4108,  4109,
    4118,  4126,  4130,  4144,  4162,  4178,  4195,  4211,  4231,  4266,
    4274,  4278,  4292,  4308,  4309,  4313,  4314,  4318,  4319,  4322,
    4328,  4329,  4332,  4336,  4344,  4349,  4355,  4356,  4360,  4365,
    4372,  4373,  4377,  4387,  4397,  4405,  4414,  4427,  4439,  4446,
    4454,  4462,  4470,  4478,  4488,  4489,  4493,  4494,  4497,  4509,
    4510,  4513,  4524,  4535,  4549,  4550,  4555,  4556,  4557,  4560,
    4561,  4562,  4563,  4566,  4567,  4570,  4571,  4574,  4594,  4607,
    4629,  4630,  4633,  4639,  4645,  4662,  4671,  4693,  4707,  4724,
    4740,  4741,  4742,  4754,  4768,  4785,  4799,  4800,  4812,  4833,
    4844,  4858,  4867,  4879,  4880,  4883,  4884,  4887,  4888,  4891,
    4895,  4899,  4903,  4907,  4911,  4915,  4919,  4923,  4927,  4931,
    4936,  4940,  4944,  4950,  4951,  4955,  4956,  4957,  4964,  4967,
    4968,  4980,  4996,  5012,  5013,  5021,  5022,  5026,  5027,  5031,
    5032,  5036,  5037,  5041,  5042,  5052,  5064,  5065,  5078,  5086,
    5104,  5113,  5125,  5128,  5132,  5136,  5140,  5147,  5159,  5170,
    5173,  5177,  5190,  5200,  5210,  5220,  5230,  5240,  5250,  5260,
    5270,  5280,  5290,  5300,  5310,  5329,  5341,  5342,  5343,  5344,
    5348,  5349,  5353,  5354,  5364,  5373,  5386,  5387,  5391,  5395,
    5403,  5407,  5411,  5418,  5422,  5427,  5432,  5439,  5446,  5451,
    5461,  5474,  5490,  5491,  5496,  5497,  5501,  5502,  5512,  5522,
    5531,  5549,  5570,  5591,  5613,  5647,  5663,  5664,  5668,  5677,
    5692,  5702,  5715,  5716,  5728,  5737,  5755,  5780,  5798,  5813,
    5814,  5818,  5819,  5823,  5824,  5828,  5829,  5833,  5847,  5851,
    5852,  5856,  5857,  5858,  5859,  5860,  5870,  5882,  5883,  5894,
    5917,  5949,  5950,  5951,  5955,  5957,  5979,  5981,  5983,  5985,
    5987,  5992,  5993,  5997,  5998,  6002,  6014,  6015,  6019,  6028,
    6032,  6036,  6041,  6051,  6052,  6056,  6057,  6061,  6062,  6066,
    6067,  6071,  6072,  6073,  6077,  6081,  6082,  6083,  6087,  6088,
    6093,  6094,  6121,  6122,  6123,  6124,  6125,  6126,  6139,  6150,
    6165,  6167,  6172,  6177,  6179,  6184,  6195,  6196,  6197,  6198,
    6209,  6228,  6240,  6253,  6264,  6275,  6287,  6296,  6304,  6312,
    6322,  6332,  6342,  6352,  6362,  6373,  6383,  6396,  6399,  6400,
    6403,  6407,  6414,  6415,  6416,  6417,  6418,  6419,  6422,  6425,
    6426,  6434,  6441,  6442,  6445,  6447,  6458,  6470,  6482,  6494,
    6506,  6535,  6536,  6552,  6568,  6569,  6573,  6586,  6597,  6606,
    6616,  6626,  6627,  6630,  6631,  6634,  6635,  6636,  6639,  6653,
    6658,  6669,  6679,  6692,  6693,  6697,  6706,  6719,  6730,  6744,
    6755,  6778,  6789,  6808,  6819,  6830,  6841,  6852,  6863,  6874,
    6885,  6896,  6907,  6918,  6929,  6944,  6945,  6946,  6947,  6948,
    6949,  6950,  6951,  6952,  6953,  6954,  6955,  6956,  6966,  6967,
    6968,  6969,  6970,  6974,  6975,  6976,  6977,  6978,  6979,  6980,
    6981,  6986,  6987,  6988,  6992,  6993,  6996,  6997,  7000,  7002,
    7007,  7008,  7019,  7031,  7032,  7033,  7043,  7052,  7061,  7070,
    7079,  7088,  7097,  7106,  7115,  7124,  7138,  7147,  7156,  7165,
    7174,  7183,  7192,  7201,  7213,  7214,  7228,  7239,  7250,  7261,
    7272,  7283,  7294,  7305,  7316,  7327,  7340,  7341,  7344,  7345,
    7355,  7362,  7371,  7380,  7389,  7398,  7407,  7416,  7425,  7434,
    7443,  7452,  7461,  7470,  7479,  7488,  7497,  7506,  7517,  7518,
    7521,  7522,  7532,  7550,  7566,  7594,  7596,  7598,  7600,  7608,
    7618,  7619,  7622,  7630,  7638,  7646,  7653,  7664,  7668,  7675,
    7679,  7690,  7699,  7708,  7717,  7726,  7735,  7744,  7753,  7762,
    7771,  7780,  7789,  7798,  7806,  7815,  7824,  7833,  7842,  7851,
    7860,  7869,  7882,  7883,  7887,  7888,  7893,  7894,  7904,  7915,
    7929,  7941,  7959,  7960,  7964,  7971,  7972,  7973,  7976,  7977,
    7987,  7998,  7999,  8003,  8007,  8011,  8022,  8036,  8051,  8069,
    8070,  8071,  8072,  8073,  8074,  8086,  8118,  8153,  8154,  8158,
    8159,  8162,  8163,  8168,  8180,  8199,  8204,  8209,  8216,  8217,
    8220,  8221,  8224,  8225,  8229,  8230,  8231,  8234,  8235,  8236,
    8252,  8266,  8281,  8295,  8312,  8313,  8316,  8317,  8321,  8322,
    8326,  8327,  8332,  8346,  8354,  8362,  8378,  8379,  8383,  8384,
    8399,  8409,  8419,  8429,  8439,  8452,  8453,  8454,  8455,  8456,
    8462,  8466,  8481,  8482,  8488,  8498,  8502,  8507,  8515,  8557,
    8561,  8565,  8569,  8577,  8578,  8582,  8594,  8595,  8600,  8601,
    8606,  8607,  8614,  8618,  8622,  8626,  8630,  8634,  8638,  8642,
    8646,  8650,  8654,  8658,  8662,  8666,  8670,  8674,  8679,  8686,
    8690,  8694,  8698,  8702,  8708,  8709,  8715,  8725,  8729,  8740,
    8746,  8755,  8761,  8762,  8766,  8767,  8771,  8772,  8775,  8788,
    8792,  8807,  8816,  8825,  8838,  8839,  8844,  8845,  8862,  8873,
    8884,  8895,  8906,  8917,  8931,  8942,  8956,  8967,  8981,  8989,
    8991,  8993,  8998,  9000,  9005,  9006,  9011,  9030,  9040,  9041,
    9045,  9049,  9061,  9073,  9085,  9099,  9100,  9101,  9105,  9118,
    9119,  9129,  9142,  9146,  9150,  9154,  9161,  9183,  9196,  9209,
    9224,  9225,  9228,  9229,  9232,  9233,  9243,  9253,  9271,  9281,
    9291,  9301,  9311,  9321,  9331,  9341,  9351,  9361,  9371,  9381,
    9391,  9402,  9413,  9423,  9433,  9443,  9453,  9463,  9473,  9484,
    9495,  9506,  9517,  9528,  9539,  9550,  9561,  9572,  9583,  9594,
    9605,  9617,  9629,  9641,  9653,  9665,  9677,  9688,  9699,  9711,
    9723,  9734,  9745,  9754,  9764,  9774,  9784,  9794,  9804,  9814,
    9824,  9834,  9844,  9859,  9860,  9863,  9864,  9874,  9884,  9894,
    9904,  9915,  9925,  9937,  9938,  9948,  9958,  9968,  9978,  9988,
    9998, 10008, 10018, 10028, 10038, 10048, 10058, 10068, 10078, 10088,
   10098, 10108, 10118, 10128, 10138, 10148, 10158, 10168, 10178, 10188,
   10198, 10208, 10227, 10237, 10238, 10241, 10243, 10245, 10251, 10252,
   10253, 10254, 10255, 10267, 10283, 10292, 10301, 10310, 10319, 10328,
   10337, 10346, 10355, 10364, 10373, 10382, 10391, 10400, 10409, 10418,
   10427, 10436, 10445, 10454, 10463, 10472, 10481, 10490, 10518, 10526,
   10535, 10561, 10570, 10577, 10583, 10610, 10621, 10630, 10638, 10640,
   10662, 10670, 10680, 10690, 10709, 10728, 10738, 10748, 10758, 10769,
   10780, 10791, 10802, 10813, 10831, 10840, 10857, 10875, 10876, 10877,
   10882, 10888, 10897, 10898, 10899, 10900, 10901, 10905, 10906, 10909,
   10910, 10911, 10912, 10916, 10917, 10918, 10930, 10941, 10942, 10945,
   10955, 10962, 10982, 10992, 11001, 11011, 11021, 11030, 11039, 11048,
   11057, 11066, 11075, 11084, 11096, 11105, 11117, 11118, 11119, 11123,
   11126, 11129, 11132, 11135, 11142, 11144, 11146, 11151, 11153, 11157,
   11158, 11159, 11171, 11185, 11199, 11218, 11240, 11241, 11242, 11243,
   11253, 11270, 11281, 11282, 11286, 11287, 11291, 11295, 11299, 11317,
   11318, 11319, 11320, 11321, 11322, 11323, 11330, 11331, 11342, 11350,
   11358, 11367, 11377, 11395, 11404, 11413, 11422, 11434, 11438, 11449,
   11461, 11479, 11486, 11503, 11517, 11527, 11536, 11545, 11555, 11567,
   11579, 11590, 11591, 11602, 11613, 11625, 11637, 11649, 11661, 11671,
   11684, 11685, 11699, 11723, 11732, 11742, 11754, 11766, 11780, 11781,
   11793, 11814, 11825, 11837, 11849, 11853, 11860, 11861, 11865, 11872,
   11873, 11874, 11878, 11879, 11880, 11884, 11885, 11889, 11890, 11893,
   11894, 11897, 11898, 11902, 11903, 11907, 11914, 11916, 11921, 11922,
   11935, 11943, 11954, 11962, 11973, 11974, 11975, 11976, 11977, 11978,
   11979, 11980, 11981, 11982, 11992, 12003, 12004, 12008, 12009, 12010,
   12011, 12012, 12022, 12030, 12048, 12068, 12069, 12079, 12088, 12097,
   12106, 12125, 12143, 12147, 12155, 12161, 12168, 12174, 12181, 12190,
   12191, 12195, 12197, 12202, 12213, 12223, 12233, 12239, 12248, 12257,
   12263, 12264, 12275, 12290, 12291, 12302, 12313, 12314, 12317, 12318,
   12319, 12320, 12321, 12322, 12323, 12324, 12327, 12328, 12332, 12333,
   12334, 12345, 12364, 12365, 12369, 12374, 12398, 12409, 12410, 12422,
   12442, 12443, 12453, 12460, 12467, 12474, 12484, 12497, 12498, 12502,
   12503, 12507, 12508, 12512, 12525, 12538, 12547, 12556, 12565, 12574,
   12586, 12598, 12610, 12613, 12614, 12615, 12616, 12617, 12618, 12621,
   12622, 12623, 12671, 12672, 12676, 12677, 12692, 12693, 12700, 12708,
   12716, 12724, 12732, 12740, 12751, 12752, 12784, 12800, 12817, 12818,
   12837, 12841, 12845, 12860, 12867, 12874, 12884, 12885, 12888, 12904,
   12905, 12906, 12910, 12920, 12931, 12937, 12949, 12962, 12968, 12969,
   12973, 12985, 12993, 12998, 13003, 13008, 13013, 13021, 13029, 13034,
   13039, 13046, 13047, 13051, 13052, 13053, 13060, 13061, 13065, 13066,
   13070, 13071, 13075, 13076, 13080, 13084, 13085, 13088, 13097, 13110,
   13115, 13120, 13124, 13136, 13137, 13141, 13150, 13166, 13175, 13184,
   13193, 13205, 13208, 13213, 13214, 13222, 13242, 13243, 13245, 13250,
   13251, 13255, 13256, 13259, 13260, 13285, 13294, 13304, 13305, 13309,
   13310, 13311, 13312, 13313, 13317, 13330, 13337, 13344, 13351, 13352,
   13356, 13357, 13361, 13362, 13366, 13367, 13371, 13383, 13384, 13385,
   13386, 13390, 13391, 13401, 13408, 13427, 13428, 13432, 13433, 13439,
   13444, 13453, 13461, 13470, 13477, 13485, 13494, 13503, 13507, 13512,
   13519, 13548, 13552, 13566, 13587, 13609, 13622, 13639, 13645, 13650,
   13656, 13663, 13664, 13674, 13680, 13688, 13692, 13696, 13703, 13711,
   13716, 13717, 13718, 13719, 13723, 13724, 13739, 13743, 13751, 13758,
   13765, 13772, 13779, 13790, 13791, 13804, 13808, 13816, 13830, 13844,
   13845, 13860, 13871, 13884, 13889, 13890, 13893, 13894, 13897, 13898,
   13903, 13904, 13909, 13910, 13919, 13924, 13925, 13929, 13933, 13939,
   13964, 13975, 13989, 13990, 13994, 14008, 14065, 14079, 14081, 14086,
   14088, 14090, 14092, 14094, 14099, 14101, 14106, 14114, 14125, 14153,
   14154, 14158, 14160, 14165, 14174, 14194, 14214, 14232, 14244, 14259,
   14260, 14264, 14267, 14280, 14285, 14292, 14297, 14303, 14308, 14317,
   14319, 14322, 14326, 14327, 14328, 14329, 14330, 14331, 14336, 14342,
   14357, 14358, 14359, 14360, 14361, 14372, 14378, 14386, 14387, 14393,
   14398, 14403, 14408, 14413, 14418, 14423, 14428, 14434, 14440, 14446,
   14453, 14475, 14484, 14488, 14496, 14500, 14508, 14520, 14541, 14545,
   14551, 14555, 14568, 14576, 14586, 14588, 14590, 14592, 14594, 14596,
   14601, 14602, 14609, 14618, 14626, 14635, 14646, 14654, 14655, 14656,
   14660, 14662, 14664, 14666, 14668, 14670, 14672, 14677, 14682, 14688,
   14696, 14701, 14708, 14715, 14719, 14723, 14731, 14766, 14767, 14769,
   14778, 14785, 14801, 14803, 14805, 14807, 14809, 14811, 14813, 14815,
   14817, 14819, 14821, 14823, 14825, 14827, 14830, 14832, 14835, 14837,
   14839, 14841, 14844, 14849, 14858, 14863, 14872, 14877, 14886, 14891,
   14901, 14910, 14919, 14928, 14947, 14956, 14965, 14974, 14983, 15000,
   15009, 15018, 15027, 15036, 15045, 15054, 15058, 15062, 15070, 15078,
   15086, 15094, 15115, 15138, 15150, 15157, 15173, 15178, 15184, 15191,
   15198, 15206, 15214, 15231, 15250, 15276, 15278, 15280, 15282, 15284,
   15286, 15288, 15290, 15292, 15294, 15296, 15298, 15300, 15302, 15304,
   15306, 15308, 15310, 15312, 15316, 15320, 15325, 15341, 15342, 15343,
   15360, 15373, 15375, 15377, 15389, 15414, 15426, 15438, 15446, 15457,
   15468, 15478, 15484, 15493, 15503, 15513, 15526, 15536, 15567, 15603,
   15613, 15624, 15625, 15626, 15633, 15640, 15644, 15648, 15652, 15656,
   15660, 15664, 15668, 15672, 15676, 15680, 15684, 15688, 15695, 15699,
   15703, 15707, 15709, 15716, 15723, 15730, 15737, 15748, 15762, 15772,
   15783, 15799, 15809, 15816, 15823, 15830, 15834, 15842, 15851, 15860,
   15864, 15868, 15872, 15876, 15880, 15889, 15893, 15903, 15907, 15911,
   15916, 15927, 15933, 15947, 15958, 15972, 15988, 16000, 16010, 16019,
   16028, 16036, 16058, 16074, 16098, 16100, 16104, 16106, 16108, 16111,
   16114, 16117, 16118, 16121, 16129, 16139, 16140, 16143, 16144, 16145,
   16148, 16149, 16150, 16155, 16159, 16163, 16167, 16174, 16175, 16183,
   16184, 16188, 16189, 16197, 16198, 16202, 16203, 16208, 16217, 16219,
   16234, 16237, 16265, 16266, 16269, 16270, 16278, 16286, 16294, 16303,
   16313, 16331, 16377, 16386, 16395, 16404, 16413, 16425, 16426, 16427,
   16428, 16429, 16443, 16444, 16445, 16448, 16449, 16452, 16455, 16456,
   16457, 16460, 16461, 16464, 16465, 16466, 16467, 16468, 16469, 16470,
   16471, 16472, 16473, 16474, 16475, 16478, 16480, 16485, 16487, 16492,
   16494, 16496, 16498, 16500, 16502, 16514, 16518, 16525, 16529, 16535,
   16539, 16549, 16561, 16562, 16565, 16566, 16569, 16573, 16577, 16583,
   16584, 16589, 16599, 16600, 16601, 16602, 16603, 16604, 16605, 16606,
   16610, 16611, 16612, 16613, 16618, 16623, 16632, 16653, 16657, 16662,
   16673, 16690, 16696, 16697, 16698, 16701, 16709, 16719, 16734, 16735,
   16739, 16751, 16752, 16755, 16756, 16759, 16763, 16770, 16774, 16778,
   16787, 16799, 16800, 16804, 16805, 16809, 16810, 16813, 16814, 16819,
   16820, 16824, 16825, 16829, 16841, 16842, 16843, 16844, 16845, 16846,
   16847, 16848, 16849, 16853, 16855, 16860, 16861, 16862, 16863, 16864,
   16865, 16866, 16868, 16872, 16874, 16876, 16879, 16883, 16886, 16890,
   16899, 16916, 16923, 16928, 16934, 16935, 16936, 16937, 16938, 16942,
   16951, 16965, 16966, 16967, 16968, 16969, 16978, 16979, 16980, 16981,
   16982, 16986, 16988, 16998, 17001, 17007, 17008, 17009, 17013, 17014,
   17015, 17019, 17020, 17024, 17042, 17062, 17063, 17072, 17073, 17077,
   17078, 17081, 17089, 17097, 17105, 17128, 17129, 17140, 17144, 17150,
   17152, 17157, 17159, 17161, 17171, 17173, 17184, 17188, 17192, 17196,
   17200, 17209, 17217, 17249, 17253, 17260, 17268, 17272, 17276, 17282,
   17283, 17285, 17286, 17287, 17291, 17332, 17360, 17364, 17368, 17374,
   17376, 17390, 17426, 17439, 17440, 17443, 17444, 17461, 17462, 17463,
   17468, 17469, 17470, 17475, 17476, 17477, 17478, 17484, 17485, 17486,
   17487, 17488, 17494, 17495, 17515, 17516, 17517, 17518, 17519, 17520,
   17521, 17522, 17523, 17524, 17525, 17526, 17527, 17528, 17529, 17530,
   17531, 17532, 17533, 17534, 17535, 17536, 17537, 17538, 17539, 17540,
   17541, 17542, 17543, 17544, 17545, 17546, 17547, 17548, 17549, 17550,
   17551, 17552, 17553, 17554, 17555, 17556, 17557, 17558, 17559, 17560,
   17561, 17562, 17563, 17564, 17565, 17566, 17567, 17568, 17569, 17570,
   17571, 17572, 17573, 17574, 17575, 17576, 17577, 17578, 17579, 17580,
   17581, 17582, 17583, 17584, 17585, 17586, 17587, 17588, 17589, 17590,
   17591, 17592, 17593, 17594, 17595, 17596, 17597, 17598, 17599, 17600,
   17601, 17602, 17603, 17604, 17605, 17606, 17607, 17608, 17609, 17610,
   17611, 17612, 17613, 17614, 17615, 17616, 17617, 17618, 17619, 17620,
   17621, 17622, 17623, 17624, 17625, 17626, 17627, 17628, 17629, 17630,
   17631, 17632, 17633, 17634, 17635, 17636, 17637, 17638, 17639, 17640,
   17641, 17642, 17643, 17644, 17645, 17646, 17647, 17648, 17649, 17650,
   17651, 17652, 17653, 17654, 17655, 17656, 17657, 17658, 17659, 17660,
   17661, 17662, 17663, 17664, 17665, 17666, 17667, 17668, 17669, 17670,
   17671, 17672, 17673, 17674, 17675, 17676, 17677, 17678, 17679, 17680,
   17681, 17682, 17683, 17684, 17685, 17686, 17687, 17688, 17689, 17690,
   17691, 17692, 17693, 17694, 17695, 17696, 17697, 17698, 17699, 17700,
   17701, 17702, 17703, 17704, 17705, 17706, 17707, 17708, 17709, 17710,
   17711, 17712, 17713, 17714, 17715, 17716, 17717, 17718, 17719, 17720,
   17721, 17722, 17723, 17724, 17725, 17726, 17727, 17728, 17729, 17730,
   17731, 17732, 17733, 17734, 17735, 17736, 17737, 17738, 17739, 17740,
   17741, 17742, 17743, 17744, 17745, 17746, 17747, 17748, 17749, 17750,
   17751, 17752, 17753, 17754, 17755, 17756, 17757, 17758, 17759, 17760,
   17761, 17762, 17763, 17764, 17765, 17766, 17767, 17768, 17769, 17770,
   17771, 17772, 17773, 17774, 17775, 17776, 17777, 17778, 17779, 17780,
   17781, 17782, 17783, 17784, 17785, 17786, 17787, 17788, 17789, 17790,
   17791, 17792, 17793, 17794, 17795, 17796, 17797, 17798, 17799, 17800,
   17801, 17802, 17803, 17804, 17805, 17806, 17807, 17808, 17809, 17810,
   17811, 17812, 17813, 17814, 17815, 17816, 17817, 17818, 17819, 17820,
   17821, 17822, 17823, 17824, 17825, 17826, 17827, 17828, 17829, 17830,
   17831, 17832, 17833, 17834, 17835, 17836, 17837, 17838, 17839, 17840,
   17841, 17855, 17856, 17857, 17858, 17859, 17860, 17861, 17862, 17863,
   17864, 17865, 17866, 17867, 17868, 17869, 17870, 17871, 17872, 17873,
   17874, 17875, 17876, 17877, 17878, 17879, 17880, 17881, 17882, 17883,
   17884, 17885, 17886, 17887, 17888, 17889, 17890, 17891, 17892, 17893,
   17894, 17895, 17896, 17897, 17898, 17899, 17900, 17901, 17902, 17903,
   17904, 17905, 17906, 17907, 17908, 17909, 17910, 17911, 17912, 17913,
   17914, 17915, 17916, 17917, 17931, 17932, 17933, 17934, 17935, 17936,
   17937, 17938, 17939, 17940, 17941, 17942, 17943, 17944, 17945, 17946,
   17947, 17948, 17949, 17950, 17951, 17952, 17953, 17963, 17964, 17965,
   17966, 17967, 17968, 17969, 17970, 17971, 17972, 17973, 17974, 17975,
   17976, 17977, 17978, 17979, 17980, 17981, 17982, 17983, 17984, 17985,
   17986, 17987, 17988, 17989, 17990, 17991, 17992, 17993, 17994, 17995,
   17996, 17997, 17998, 17999, 18000, 18001, 18002, 18003, 18004, 18005,
   18006, 18007, 18008, 18009, 18010, 18011, 18012, 18013, 18014, 18015,
   18016, 18017, 18018, 18019, 18020, 18021, 18022, 18023, 18024, 18025,
   18026, 18027, 18028, 18029, 18030, 18031, 18032, 18033, 18034, 18035,
   18036, 18037, 18038, 18039, 18040, 18053, 18054, 18055, 18056, 18057,
   18058, 18059, 18060, 18061, 18062, 18063, 18064, 18065, 18066, 18067,
   18068, 18069, 18070, 18071, 18072, 18073, 18074, 18075, 18076, 18077,
   18078, 18079, 18080, 18081, 18082, 18083, 18084, 18085, 18086, 18087,
   18088, 18089, 18090, 18091, 18092, 18093, 18094, 18095, 18096, 18097,
   18098, 18099, 18100, 18101, 18102, 18103, 18104, 18105, 18106, 18107,
   18108, 18109, 18110, 18111, 18112, 18113, 18114, 18115, 18116, 18117,
   18118, 18119, 18120, 18121, 18122, 18123, 18124, 18125, 18126, 18127,
   18128, 18129, 18130, 18131, 18132, 18133, 18134, 18135, 18136, 18137,
   18138, 18139, 18140, 18141, 18142, 18143, 18144, 18145, 18146, 18147,
   18148, 18149, 18150, 18151, 18152, 18153, 18154, 18155, 18156, 18157,
   18158, 18159, 18160, 18161, 18162, 18163, 18164, 18165, 18166, 18167,
   18168, 18169, 18170, 18171, 18172, 18173, 18174, 18175, 18176, 18177,
   18178, 18179, 18180, 18181, 18182, 18183, 18184, 18185, 18186, 18187,
   18188, 18189, 18190, 18191, 18192, 18193, 18194, 18195, 18196, 18197,
   18198, 18199, 18200, 18201, 18202, 18203, 18204, 18205, 18206, 18207,
   18208, 18209, 18210, 18211, 18212, 18213, 18214, 18215, 18216, 18217,
   18218, 18219, 18220, 18221, 18222, 18223, 18224, 18225, 18226, 18227,
   18228, 18229, 18230, 18231, 18232, 18233, 18234, 18235, 18236, 18237,
   18238, 18239, 18240, 18241, 18242, 18243, 18244, 18245, 18246, 18247,
   18248, 18249, 18250, 18251, 18252, 18253, 18254, 18255, 18256, 18257,
   18258, 18259, 18260, 18261, 18262, 18263, 18264, 18265, 18266, 18267,
   18268, 18269, 18270, 18271, 18272, 18273, 18274, 18275, 18276, 18277,
   18278, 18279, 18280, 18281, 18282, 18283, 18284, 18285, 18286, 18287,
   18288, 18289, 18290, 18291, 18292, 18293, 18294, 18295, 18296, 18297,
   18298, 18299, 18300, 18301, 18302, 18303, 18304, 18305, 18306, 18307,
   18308, 18309, 18310, 18311, 18312, 18313, 18314, 18315, 18316, 18317,
   18318, 18319, 18320, 18321, 18322, 18323, 18324, 18325, 18326, 18327,
   18328, 18329, 18330, 18331, 18332, 18333, 18334, 18335, 18336, 18337,
   18338, 18339, 18340, 18341, 18342, 18343, 18344, 18345, 18346, 18347,
   18348, 18349, 18350, 18351, 18352, 18353, 18354, 18355, 18356, 18357,
   18358, 18359, 18360, 18361, 18362, 18363, 18364, 18365, 18366, 18367,
   18368, 18369, 18370, 18371, 18372, 18373, 18374, 18375, 18376, 18377,
   18378, 18379, 18380, 18381, 18382, 18383, 18384, 18385, 18386, 18387,
   18388, 18389, 18390, 18391, 18392, 18393, 18394, 18395, 18396, 18397,
   18398, 18399, 18400, 18401, 18402, 18403, 18404, 18405, 18406, 18407,
   18408, 18409, 18410, 18411, 18412, 18413, 18414, 18415, 18416, 18417,
   18418, 18419, 18420, 18421, 18422, 18423, 18424, 18425, 18426, 18427,
   18428, 18429, 18430, 18431, 18432, 18433, 18434, 18435, 18436, 18437,
   18438, 18439, 18440, 18441, 18442, 18443, 18444, 18445, 18446, 18447,
   18448, 18449, 18450, 18451, 18452, 18453, 18454, 18455, 18456, 18457,
   18458, 18459, 18460, 18461, 18462, 18463, 18464, 18465, 18466, 18467,
   18468, 18469, 18470, 18471, 18472, 18473, 18474, 18475, 18476, 18477,
   18478, 18479, 18480, 18481, 18482, 18483, 18484, 18485, 18486, 18487,
   18488, 18489, 18490, 18491, 18492, 18493, 18494, 18495, 18496, 18497,
   18498, 18499, 18500, 18501, 18502, 18503, 18504
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "UIDENT", "FCONST", "SCONST",
  "USCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P",
  "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL",
  "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY",
  "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT", "ASYMMETRIC",
  "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION", "CONCURRENTLY",
  "CONDITIONAL", "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DEPENDS", "DEPTH", "DESC", "DETACH",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "EMPTY_P", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ERROR_P", "ESCAPE", "EVENT",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXPRESSION", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FINALIZE", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORMAT", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS", "HANDLER",
  "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE",
  "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDE",
  "INCLUDING", "INCREMENT", "INDENT", "INDEX", "INDEXES", "INHERIT",
  "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT", "INPUT_P",
  "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER", "INTERSECT",
  "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN",
  "JSON", "JSON_ARRAY", "JSON_ARRAYAGG", "JSON_EXISTS", "JSON_OBJECT",
  "JSON_OBJECTAGG", "JSON_QUERY", "JSON_SCALAR", "JSON_SERIALIZE",
  "JSON_TABLE", "JSON_VALUE", "KEEP", "KEY", "KEYS", "LABEL", "LANGUAGE",
  "LARGE_P", "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST",
  "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE", "MERGE", "MERGE_ACTION",
  "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NESTED", "NEW", "NEXT", "NFC",
  "NFD", "NFKC", "NFKD", "NO", "NONE", "NORMALIZE", "NORMALIZED", "NOT",
  "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P",
  "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "OMIT",
  "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARAMETER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PATH",
  "PLACING", "PLAN", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM",
  "PUBLICATION", "QUOTE", "QUOTES", "RANGE", "READ", "REAL", "REASSIGN",
  "RECHECK", "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING", "REFRESH",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURN", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE",
  "ROUTINES", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCALAR", "SCHEMA",
  "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT",
  "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SOURCE", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STORED", "STRICT_P", "STRING_P", "STRIP_P",
  "SUBSCRIPTION", "SUBSTRING", "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "SYSTEM_USER", "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TARGET",
  "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UESCAPE", "UNBOUNDED", "UNCONDITIONAL", "UNCOMMITTED", "UNENCRYPTED",
  "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE",
  "USER", "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P",
  "VALUES", "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P",
  "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW",
  "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "FORMAT_LA", "NOT_LA", "NULLS_LA",
  "WITH_LA", "WITHOUT_LA", "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR",
  "MODE_PLPGSQL_ASSIGN1", "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3",
  "'<'", "'>'", "'='", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "parse_toplevel", "stmtmulti", "toplevel_stmt", "stmt",
  "opt_single_name", "opt_qualified_name", "opt_concurrently",
  "opt_drop_behavior", "CallStmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "CreateSchemaStmt", "OptSchemaEltList",
  "schema_stmt", "VariableSetStmt", "set_rest", "generic_set",
  "set_rest_more", "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "set_statistics_value", "set_access_method_name", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "column_compression",
  "opt_column_compression", "column_storage", "opt_column_storage",
  "ColQualList", "ColConstraint", "ColConstraintElem",
  "opt_unique_null_treatment", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "DomainConstraint",
  "DomainConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem", "OptWhereClause",
  "key_actions", "key_update", "key_delete", "key_action", "OptInherit",
  "OptPartitionSpec", "PartitionSpec", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "stats_params", "stats_param", "AlterStatsStmt", "CreateAsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "MergeStmt", "merge_when_list",
  "merge_when_clause", "merge_when_tgt_matched",
  "merge_when_tgt_not_matched", "opt_merge_when_condition", "merge_update",
  "merge_delete", "merge_insert", "merge_values_clause",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "json_table",
  "json_table_path_name_opt", "json_table_column_definition_list",
  "json_table_column_definition", "path_opt",
  "json_table_column_path_clause_opt", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_passing_clause_opt",
  "json_arguments", "json_argument", "json_wrapper_behavior",
  "json_behavior", "json_behavior_type", "json_behavior_clause_opt",
  "json_on_error_clause_opt", "json_value_expr", "json_format_clause",
  "json_format_clause_opt", "json_quotes_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "PLpgSQL_Expr", "PLAssignStmt",
  "plassign_target", "plassign_equals", "ColId", "type_function_name",
  "NonReservedWord", "ColLabel", "BareColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "bare_label_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,    60,    62,    61,    43,    45,    42,    47,    37,    94,
     776,    91,    93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -5891

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5891)))

#define YYTABLE_NINF -2986

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2986)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   16762,  1113, 21311, -5891, -5891,  1113, 72227, -5891, 81879,    13,
     916,  1478,   225, 19398, 82387, 93055,  1000,  1045, 16243,  1113,
   93055,  2491, 62574, 77815,  1062, 93055,  1588,  1272, 62574, 93055,
   93563,  1407,  1551,  1409, 94071, 82895, 76291,  1619, 93055,  1856,
     459, 94579, 83403,  1548, 83911,  1272, 57505,   441,  1590, 95087,
   93055,119387,   459, 84419, 84419, 84419,  3047,  2215,  1725, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891,    17, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891,  2243, -5891,  1395,
    2444,  1696,  1086,  1739, -5891, -5891,  2254, 72227, 93055, 93055,
   93055,  1969, 93055,  1890, 93055,   937, 72227, 68671, 84927,  2085,
    1911, 53325, 95595, -5891, 72227, 93055, 66131, 72227, 93055, 93055,
   96103, 93055, 96611, 93055,   806, 80355, 93055,  2034, 93055, 93055,
   66639, 97119,  2206,  1218,   260, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,  1876,
    2041, -5891,   313, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, 63082, 93055, 22085,  1588,  2254, -5891,  3047, 93055,
    2217, 93055,  1980, 97627, 93055, -5891, 93055,  2040, 98135,   984,
      79, 68671,  2083, 53852,  2230, 93055, 93055, 68671, 98643, 99151,
   99659, 93055, 93055, -5891, -5891,  2183, 93055, -5891,  2362, 69179,
     108,  2373,  2562,  2443,  1087, -5891, 85435, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, 71719,  1045, -5891, -5891,  2407,
   72735,  2499, -5891, -5891,100167,119881,  2221, -5891,  1032, 73243,
   69687,  2613,  2236, 54379,  2666, -5891, 73751, -5891, 70195, 74259,
   -5891, -5891, -5891, -5891, -5891,100675, -5891,101183,  2347,  2499,
   -5891,120375, 70703, -5891,  2537,101691,102199,102707,  2254,  2237,
    1578,  1421, 47629, -5891, -5891, -5891,  2311, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891,   244,  2117,   320,   251,
     323, -5891, -5891,   253,   254,   258,   244,  2815,  2815, -5891,
   93055, -5891, -5891,  2117,    81,  2430,  2348,  2348,  2348,  2558,
     735, -5891,  2348,  2415, -5891, -5891, -5891, -5891, 83911, -5891,
    2351,  1588,  2381,  2837,  2454, 63082,  1459, 93055, -5891, -5891,
    2872,  2447,  2699,  2418, -5891, -5891, -5891,  2653,  2663,   380,
    1255,  1588,   265, -5891,  2803, -5891,  2696, 32501, 32501,  1588,
   85943,103215,   262, 71719,  1588, 86451,  2503,  1487,  2707, -5891,
   -5891, -5891,   928, -5891,  2978,  2523,  2821,  2418,  1218, 49685,
   -5891, -5891,  2533,  2041, 83911, -5891, -5891, -5891, 63082,  2890,
   35657, 93055,  2548, -5891,  2563,  2548, -5891, -5891,  2621, -5891,
    2621,  2621,  2579,  2579,  2780,  2608, -5891, -5891, -5891, -5891,
    2429,  2621,  2579, -5891,121363, -5891,  1920,  1931, -5891, -5891,
    3105, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,  2664,
   -5891,  1324, -5891,  1828, -5891, -5891, -5891, 32501, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891,  2631,  2655,  1696, -5891, 15894,
   63082, 93055,  1126,  1126,  3147,  1126,  1991,  2166, -5891,  2746,
   -5891,  3031,  2994,  3004, 83911,  2694,  1044, -5891,  1591,  2698,
    2025,  2700,  1792,  2553, -5891,   287, 93055,   535,  2755, 86959,
    6035,  2717,  2041,  2728, -5891, -5891, -5891, -5891,  2901,  1785,
   -5891, -5891, -5891, -5891,  3078,  3134,  7622,   364, 87467, -5891,
   -5891, -5891, -5891, 93055, 93055, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891,  2759,   882, -5891, -5891,  2758,  3140,
    2991,  6253,  1260,  3102,  2942,  1406,  9953,  3001,  1809,  3160,
    8139,  1477,  3168,  1926,  2093, 87975, 93055,  3131,  3179,  6970,
    2023,   960,  3036,  1217,  3102,  3174,  2998,  1406,  3211,  8124,
   93055, -5891,  3120,  3250,   131, -5891,   173, -5891, 25192, 35657,
   56997, -5891,  2041, -5891,  2066, -5891, -5891, 62066, -5891,  2902,
    3069,  1004, 72227,  2846, 93055, 93055, -5891,119387, 72227, -5891,
    3091, 54906, 72227, -5891, 72227, -5891, -5891,  3225,119387, 93055,
   93055, -5891, 93055, -5891, -5891,  2871, -5891, -5891, -5891, -5891,
   -5891,  2348, 93055,  3326,119387,  3117,   469,  1812,  3372, 93055,
    3119,  1812,  2918,103723, -5891, -5891,  1812, -5891, -5891, -5891,
   93055, 93055,  2881,  2072,  3107,   993,  1812,  3124,  3369,  3370,
    3128,  2968,  3133,  2563, -5891,  3335,  3104,  1009,   222,  2165,
    1812,  2946,104231,104739, 93055,  2947, 93055,  3345, 72227,  2982,
   72227, 72227, 93055,  3263, 93055, -5891,  3090, -5891, -5891,  1022,
   -5891, -5891, -5891, -5891, -5891,  3280, -5891,   348,  3281,  2906,
    3283,  1878,  3285,   378, -5891, -5891,  2949, -5891,  3287,   489,
   -5891,  3288, -5891,  2909,105247, -5891,105755,106263,  3292,   534,
   -5891, 68671,  3295,   489,  3297,  2909,  3298,   489,  3299,   325,
    3301, -5891,  1054,  3291,  3302,   378,  3306,  2210,  2909, -5891,
    3307,   540, -5891,  3312,   549, -5891,  3315,  3167, -5891, 35657,
   -5891,  3043, -5891,  1590,  2080,  1421,  2117, -5891, 93055,  2117,
   93055,  2117, 93055,  2117, 93055,  2117, 93055, 93055, 93055,  2117,
   -5891, -5891, -5891, 93055,  2944, 93055, -5891, 93055, -5891, -5891,
   -5891, 78831, 68671, 79339, -5891, 93055, -5891,   866,  1588, -5891,
   -5891,119387,  3445, 68671,  3345,  2090, -5891, -5891,  3345, -5891,
   -5891,  3345,  3345, -5891, -5891, -5891,  3235, 93055,  3319, 78831,
   68671,  3320, -5891,106771, -5891, 71719,  3184,  2962, -5891, -5891,
   -5891, -5891, -5891,  2001,  3490,   267,  3501, 35657,  2980,   267,
     267,  2984,  3348, -5891, -5891, -5891,   324,  2990,  2995, -5891,
     283,   283, -5891,  2996,  2997, -5891,   296,  2999,  3000,  3521,
    3528,   300,   304,  3002,  3005,  3009,  3010,  3013,  3014,  3015,
    3017,  3019,  3020,  3023,  3025,  3027,  2429,   267,  3033, 35657,
   -5891,  3034,   283,  3035,  3038,  3039,  3567,  3041, -5891,  3570,
    3044, -5891,   337,   351,  3046,  3048, -5891,  3286, -5891,   308,
    3053,  3054,  3056,  3058,  3060,  3062,  3063,  3065, 35657, 35657,
   35657, -5891, 29866,  2041,  1588, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891,   316, -5891, 51744, -5891,  3108, -5891, -5891,
    3282, -5891, -5891, 35657, -5891, -5891,  3435,   831, -5891,   321,
   -5891, -5891, -5891,  2041,  3382,  3070, -5891, -5891,  1055,  3071,
   -5891,  2298, -5891, -5891, -5891, -5891, -5891, -5891, 71211,  3568,
   -5891,   362,  1588,   173,  1883,  3508, 60542, 61050, -5891, -5891,
    3359, -5891, 93055, -5891, -5891,  2041,   597,  2099, -5891,  2311,
   20804,  2109,  2548, 93055, 93055,  3574, -5891,  3080, -5891, -5891,
   35657, -5891, -5891, -5891,  2815, -5891,  2621,  2621, -5891, -5891,
    3578,  3173,  3176,  2815, -5891,  2815, -5891,  3087,  3092,  2815,
    3175,  3180,  3181, -5891,  3089,  3182,  2815, -5891, -5891, 64099,
    2053, -5891,  3452,   290, -5891, -5891, -5891,  2137, -5891,  3093,
   -5891,  2563, -5891, -5891,  1696,  1696, 35657,  1696,  1706,  1512,
   33027, 36183,  3461,  3329,   991,  1932,  3463, -5891,  3333,  1991,
    2166, 83911, 93055, 83911,107279,  3237, 35657, -5891,  3573,  3190,
    3196,  3257, 59537, -5891,  3203,  3169,  3204,  3264,  3118,  3209,
    3210,  3269, -5891,  3405, -5891, -5891,  3213,  3581,  3215,107787,
   -5891, -5891,  1040, -5891, -5891, -5891,  1040, -5891,  3141,  1607,
    1186,  1575,  3220,   570,  1471,  3575, -5891,  1123, -5891, -5891,
    3284, -5891,  9348, 93055,  3513,  8467,  3361,   364,  3278, -5891,
   -5891, -5891,  3425,  3228, 93055,  3229,  3380,   364,  1046,108295,
   -5891, -5891, 93055, -5891, -5891, -5891, -5891,  3507,  3550, 28350,
   -5891,  2018,  3233,  3212,  3244, 93055, 75275,  1091,  3352,  3375,
    1747,  2370,   275,  3303, 93055,  1057,  3383, 93055,  3154,  3242,
    3245,  3499,  3161,   437,  3603,  3159, -5891, -5891, -5891,  3569,
   -5891,  2191,  2391,  3374, -5891,  3498,  3544,  8543,  3231,  3236,
  117411, -5891,  3258,    57, 55433, 93055, 93055,  3260,  3265,108803,
    3507,  3584, 79847, 79847,  3268,  3272, 49171,  3595,   827,  3273,
   -5891, -5891, -5891,   827,  3274,  3275,109311,  3507,  3587, 93055,
    3279,  3289, 93055,121363,   364, -5891,  3657,   364,   364,  1936,
    3665,  3293,   474,  3454,   268,  1812,  3159,  2250, -5891,  3300,
    3304,   357, -5891,  3414, 93055,  3305,  3308,  1624,  3378,  1588,
   -5891,  3381, -5891,  3310,  3384,  3311,  1202,  2881, -5891, -5891,
    1794,  3313, 83911,  3404,  3408,  1057,   270,   690,  3159, -5891,
    3314,  3316,  3161,  3161, 93055, 93055, 93055, 93055, 93055,   301,
    3694,   402,  3317,   517,    63,  3206, -5891,   827, 67147,  3321,
   -5891,   827, 93055,   491,   713,  3159,  1826,   156, -5891, -5891,
   -5891,  1218, -5891, 35657, 35657, 35657,  3219, -5891,  2424, 20804,
     743, -5891,   336,  2977,  3221, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, 93055, 63082, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, 93055, -5891, 93055,  3520,119387,  3523,  3453,  3541,  3542,
     364, 93055, 93055,  3545,  3546,  3547,119387,  3548,  3551,  3552,
    3460,  3328,   197,  3322,  3246,  3739,  3624, 93055, 64099, -5891,
    1040, -5891,119387,  3474,  3626, -5891, 93055,  3493,    88, -5891,
    3666,  3318, -5891, -5891,  1434, 93055, 78323,  2881, -5891, -5891,
    3633, 68671,   387,  3634,  1588,  3323,  3635,  3485,  1588, 68671,
    3535, 93055, 93055, 93055, 93055,   176, -5891, 67147,  3503, -5891,
   93055,  3504,  2250,  3505,  3760,    69,  2348,109819,  3629, -5891,
  110327,  3271, 93055,  3276,  3276,  3763,119387,  1594,  3559, -5891,
   -5891,  2145, -5891,  3413, -5891, 72227, -5891, -5891, 72227, -5891,
   -5891,119387, 93055,  3277,119387,119387, -5891, -5891, 72227, 72227,
   -5891, 68671, 68671,  3649,   540,  3650,  3337,  3654,  3341, 55433,
   55433, -5891,   569, 72227, -5891, 68671, 72227, -5891, 93055, -5891,
   93055, -5891, -5891, -5891, -5891,119387,119387, -5891, 68671, 67147,
    3658, 93055, 93055, -5891, 93055, 93055, -5891, 93055, 93055,  2171,
  110835,  1421, -5891, 93055, -5891, 93055, -5891, 93055, -5891, 93055,
   -5891, 93055, -5891, -5891, -5891, 93055, -5891, 93055,  2173, -5891,
   -5891,  2192,  1480, 93055, 93055,   263, 72227, 93055,  3515, 93055,
   72227, 72227, 93055, 93055, 93055, 93055, 93055,  3368,  3071,   169,
   -5891,   322,  1193, 83911,  3522, -5891, -5891,  2196,  3047,   757,
   93055, -5891, 93055, 93055, 93055, -5891, -5891, 77815,  3643,   149,
   79339, 93055, -5891, -5891,  7363, 35657,  2041, 31970, -5891, -5891,
   20804,  3340, 35657, 35657,  3290,  2815,  2815, -5891,  1430, 35657,
   35657, 35657, 29340, 35657, 35657, 33553, 35657, 35657, 35657, 35657,
   35657, 35657,  2815,  2815,  3294, 35657,  4961, 35657, 55433, 35657,
   41443, 26256, 35657, 35657, 30392,  1520,  2996, 35657,  3553, 42489,
   35657,  1883,  3554, 35657,  1883,  4961,  3814,  3814,  2636,  7522,
    3296,  2041, -5891,  2815,   231, -5891,   341,119387, 35657, 35657,
   35657, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, 35657, -5891, 64099, -5891,
   -5891, -5891, -5891, -5891, -5891,   865, -5891, -5891, -5891, -5891,
   -5891, -5891,  4869, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, 93055, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, 30918, -5891, -5891, -5891, -5891,  3327, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,  2806,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, 31444, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
    3331, -5891, -5891, 35657, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
    3385, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891,  1008, 35657, 35657, 35657,
   35657, 35657, 35657, 35657, 35657, 35657, -5891, 35657,   356, -5891,
   -5891,  3648,  3435,    54,   556,  3332,  3516, 88483, 32501,  3452,
   25192, -5891,   293,  3452, -5891, -5891, -5891, 93055,  3568, -5891,
   -5891,  3389, -5891, -5891, -5891, -5891, -5891,   338, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891,  3309, -5891, -5891, -5891, -5891,
    3309, -5891,  3336,  3644,  3646,   325, 93055,  2509, 35657,   865,
     266, 93055, 35657,  3327,  2806, 35657,  3331, 35657,  3385, -5891,
   35657, -5891,  2200,  1912, 35657,  2229,  3338, -5891, -5891,  3347,
    3092,  3334,  3339,  3342,  3346,  2815,   256,  3349,  1584,   187,
    3449,  2815,  3576,  3350, -5891, 64099, -5891, 44545,  3356, -5891,
   -5891, -5891,   459, 93055, 93055, -5891,  3627, -5891,  3324, -5891,
   15006,  3627, -5891, -5891, 41966,  3444,  3622,  3560, -5891, -5891,
   -5891,  3344, 20804, 36709, 36709, -5891,  2279, 20804,  2301, -5891,
   -5891, -5891, -5891, -5891, -5891,  1364, -5891, 93055,   166,  3461,
    1932,  3392,  1305,  3849,  3417, 93055, -5891, 50199,  2234, -5891,
   68671, 93055, 93055,  3572, -5891,  3833, -5891,121363, -5891,  3360,
   -5891,120869,116423, -5891, -5891,  1031, -5891,  1116, 68671, -5891,
   93055, 93055, 68671, 93055, 93055, -5891, 68671,  3411, 93055, 93055,
   -5891, -5891, -5891, -5891, -5891, 61558,   115, 77815,  3509, 76799,
   -5891, -5891,  3362, 93055,  3599, -5891, -5891,111343, -5891,  3601,
   68671, 93055, 93055, 35657,  3602, 93055, 93055, -5891,   996,  3455,
    3457, -5891, 93055,  3459, 72227,  3373,119387, 72227, 55960, 72227,
   72227,  3736,119387, 93055, 93055,  1565, 83911,   520,   741,  3159,
    3613, -5891,  1439, -5891, 68671, -5891, 93055,  3604, -5891, -5891,
   -5891, 88991,  3863,  3510, -5891, -5891, -5891,111851, -5891, -5891,
    3605, -5891,  2235, -5891, 68671, 68671, 93055,  8784,  3386,112359,
   93055,  1422,  3674,  3623,  3677,   134, -5891, -5891, -5891,119387,
   -5891, 93055, 89499, 93055, 93055,  3676, 93055, 80863,112867,113375,
    1476,  1536,  3678, 93055, 81371,  3681, -5891,  3556, 93055, -5891,
   -5891, 64607, 68671, 93055,   970, 64099, -5891,  3655, -5891, 93055,
   -5891,  1118, -5891, 93055,  5570,  3625, -5891, -5891,  3488,  3506,
   93055,   533,   751,  3159,  3809, 93055, 93055,  3406,  2242, 68671,
   93055, 64099, -5891,  3636,   109, 68671, 93055, 88991, -5891,  3637,
   -5891, 83911,  3740, -5891,  3418,  2348,  2533,  1983,  3418, 68671,
   93055, -5891,  3418, 93055,103215, -5891, 68671,  1793, -5891, 68671,
   93055, 88991, -5891,  3651,  3585, 68671, 93055,  9579, -5891, -5891,
   -5891,   364, -5891, -5891, -5891, -5891, -5891, 93055, 93055,   364,
   93055, 93055,   364,  1727, -5891, 68671, 93055, -5891, -5891, -5891,
    3555, 68671, 93055, 93055,   384, 93055, -5891, 93055, 68671,  3467,
   93055, 93055, -5891, -5891, 93055,  7106, 93055, 93055, 93055, 93055,
   93055, 93055, 68671, 93055, -5891, -5891,  1474,  1396,  1201,  1956,
     207, 93055,  3765, 93055,113883,  1588, 68671, 93055, 93055,  1588,
   93055, 64099,  2233, -5891, -5891,  3563, -5891, 68671,  1793, -5891,
    9503, 93055, 93055, 93055,  3518,  3524,   302,  3608, -5891, -5891,
   -5891,  1136,  1136,  3653, -5891, 35657, 35657, 34079,  3424, -5891,
   -5891, 35657,  2902, -5891, -5891, -5891,   388,  3930,   388,114391,
     388,   388,  3745,  3500,  3502,   388,   388,   388,  3729,   388,
     388,   388, 93055,  3628, -5891, -5891,  3628,  1073, 35657,119387,
   93055, -5891,  2271, -5891,  3451, -5891, -5891, 64099, 93055,   252,
     204,  3818,  3680, 75783,  2287,  3805, 93055,  3495, 93055,  3941,
    3557,  1554, -5891,  2287, 93055, -5891,  2864, 77815, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, 93055, -5891, -5891,  3807, 93055,
   45059,  3638, -5891,  1588,  2881,  2881,  2881,  2881,  3456,  2881,
   93055,  3586,  3828,  2287,  3462,  3829, -5891,  2250,  3836,  1970,
   93055,  3692, 75783,  3526,  3511,  3706,  3961,  2348,  1588,  3708,
    3695, -5891, 60034, -5891,  2881,  3975, 28845,  6001,  7892,  3696,
    3764, -5891, -5891,  3704,   998, 93055,  3816,  3817,  3841, -5891,
     348, -5891,  3976,  1878,  3843,   378, -5891,   489, -5891,  2909,
   -5891, 93055, -5891, 93055, 93055, 93055, 93055,   534, -5891, -5891,
     489,  2909,   489,   325, -5891,  3770,   378,  2909,  3618,  3846,
     540, -5891,   549, -5891,  3710,   325, -5891,  3727,  2348, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891,  2280, -5891, 93055, -5891,
    3819,  3821,  3822,  3825,  3826,  3491,  3492,  3539, 93055,  3514,
    3491,   364,  3519,  3517, -5891,  3514,  3514,  3491,  3071,  3071,
    3491,  3492, 67655,  3983, 64099, -5891, -5891,  3589,  3525,  3866,
     952, -5891,  1014,    93,  3771, -5891, -5891, -5891, -5891,119387,
   -5891, 68671,  3558, -5891, -5891, -5891,  3738,  3527, 67655,   325,
     389, -5891, 72227, 93055,119387, 72227,  3746, 72227, 72227,119387,
   93055, 93055,  2282, -5891,  1602, -5891,  1904, 35657,   195, -5891,
   18006,  2288, 35657,  3529,  3531, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891,  3532,  3873, -5891,  2321,  2326, 18138,  2260,119387,
    2428,  3549, -5891,  3533,   241,  3741,  3534,  6459,  3583,  2328,
    3536,   243, -5891,  6459,   375,  3537,  8133,  3683,  3538,  2333,
    3543,  3561, -5891,  6742,  7208,  3562, 18176,  3565,  3564,  3566,
    3580, 41443, 41443, 29866,  1221, -5891, 41443,  3591,  3748,  2339,
   17720,  3592,  3593, 18717, 34605, 35657, 34605, 34605, 18761,  3571,
    3597, -5891,  3934, -5891,  2356, 64099,  3742, 18814,  2363, -5891,
   35657, 64099,  7475, 35657, -5891, 35657,  3598, -5891, -5891,  2306,
    2306,  2306,  4961, -5891, -5891,  3579, -5891, 41443, 41443, -5891,
    1353, 29866, -5891, -5891,  3901, -5891, -5891,   778, -5891, -5891,
   -5891, -5891, -5891,  2830, -5891, -5891, -5891,  3788,  2260,  2834,
   55433,  3330, 35657,   278, 35657,  3327, 35657,  3639,  2306,  2306,
    2306,   365,   365,   334,   334,   334,   470,   556, -5891, -5891,
   -5891,  3600,  3607,  3516,  3609, 35657, -5891,  3610, 50713, -5891,
    2324,  2359, 93055,  4618,  6348,  6365, -5891, -5891, -5891,  3356,
     743,  3356, -5891,  1218,  2815,   231, 62066, -5891, -5891, -5891,
   -5891, -5891, -5891, 93055, 20804, -5891, -5891,  3820,  3612,  2367,
   -5891, -5891,  2815, -5891, -5891,  2199,  2199,  3582, -5891,  3614,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891,  3615, -5891, -5891,
   -5891,  3617,  3619, 45573,  3907,  3620, 44031, 90007,  3611,  2477,
   -5891, 90007, 90515, 90007, 90007, -5891,  3577, -5891, -5891,  2041,
   35657,  3902, -5891, -5891, -5891, 35657, -5891, -5891,  1156,  3590,
    1266,   116,  2495,  2495,  2279,  1446, -5891, -5891,  3667, -5891,
   35657,  2426, -5891,  2462, -5891, -5891, -5891, -5891,  3071, -5891,
    3831, -5891, -5891, -5891, 44545,  3647,  3630,  1635, 48657,  3786,
   -5891, 93055, 44545, -5891, 93055,   409, -5891,  3631, -5891, -5891,
   -5891, -5891, -5891, -5891,116423,  1828, -5891,120869, -5891,120869,
   -5891,  1828,  4047, -5891,116423,  1957, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, 68671,
   68671,  3827, 93055,  3840,  3848, 35657,  1124, -5891,  3980,   325,
   -5891, -5891,  3711, -5891, 20804, -5891, -5891, -5891, -5891, -5891,
   68671, 93055, -5891, 71719, -5891, -5891,119387, -5891, -5891, 93055,
   93055, -5891, -5891, -5891,119387, -5891, -5891, -5891, 93055,   191,
    3713,  3715, 93055, -5891,  1002,  3414,  9891, 93055, 93055, 93055,
    3948, -5891, -5891, -5891, -5891,  3868, -5891,  4006, -5891,116423,
   -5891,  2909,  1506,  3721,  3159, 35657,  3877, -5891,  1047, 93055,
    3640,  3641,  4013,  1552,  3965,  3642, -5891,  3751, -5891,  3776,
    1352, -5891, -5891,  3785, -5891, -5891, -5891, -5891,  4024,   325,
    4025,   325, 93055, 93055, 93055, 93055,  3790, -5891, -5891, -5891,
   -5891,  3793,  3936, -5891, 64099, 64099, 64099,  2368, -5891, -5891,
    1588, -5891, -5891, -5891, -5891, -5891, -5891,  3982, -5891,  2372,
   -5891,  1958, 91023, -5891, -5891, -5891, -5891, -5891,  4030, 68671,
   93055, 10135, 93055, 93055, 93055,  3886,  2009,  1268,119387, -5891,
  117905, -5891, -5891,  2379, -5891,  3672, 93055,  3750, 68671,  3726,
   -5891, -5891, -5891,  4038,  2348,  3811, 79847,  3716,  3716,  2002,
   -5891, -5891, -5891, -5891, -5891,  3951,  3874, -5891,  1104,  3875,
   68671,  3747, -5891, -5891, -5891, -5891,  4048,  3761, -5891, -5891,
    3767,   763,  3159,  2250, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891,  3796, -5891, -5891, -5891, -5891, -5891, -5891,
    1632,  1632, -5891, -5891, -5891,  1632,  1579,   433,  1107,  3159,
   -5891,  1753,   391,  3772, -5891,  3773, -5891, -5891, -5891,  3953,
    3954,  3962,  3787,  3791,  3852,  3795,  3797,  3854, -5891,  3799,
    3860,  3803,  3862,  3806,  4103,   325,119387,  3944,  1588,  3850,
    4096,   325, -5891, -5891,  3808, -5891,  3810, -5891,  2384,  4208,
    4211, -5891, 93055, -5891,   545,  1236,  3159, -5891,  3830, -5891,
   68671, 93055, -5891, -5891, -5891, 35657,  3731,  3732,  3734, 20804,
   20804, 35657, -5891, -5891, 20804,  3743, -5891, -5891, -5891, -5891,
  119387, -5891, 93055,  4049, -5891, -5891,   388, 93055, 93055, -5891,
   -5891, -5891, 93055, -5891, -5891, -5891,  4056, -5891,   602,   602,
   -5891, -5891,  4083,  8718,  3749,   494, -5891, 64099, 52271,  2360,
     210,  1812, -5891, 71719, 93055, 71719, -5891,   204,  3969, 93055,
   93055, 93055,  3753,  3752, -5891, -5891, -5891, -5891, 68671,   237,
   68671,  2815, -5891, -5891,  3834, -5891, 93055,  2348,  4279,  4113,
    3467, -5891,  4237,  3370,   387,  1867,   240,  2968,  4178,  2563,
   35657,   432, -5891, -5891,  2041, 93055,  3511, -5891, -5891, -5891,
   -5891,  1588, -5891,  3758,  3756, -5891, 93055,  4124, 93055, 93055,
   93055, 93055,  3558,  3766, 93055,  3762,119387, 93055,  2349,  3161,
    4259,  4141,  3047,  3526,  3861,  4149, 83911,  3789,  2392, -5891,
   -5891,   998, -5891,  2393,   215, -5891,  1588, 71719,116917,  4138,
   -5891,   303,  7892, -5891, -5891,   303,  1065, 93055, -5891, -5891,
   -5891, -5891,  4008,  2232, -5891,  4122, -5891, -5891,  3047, -5891,
  119387,  3782, -5891,  2398, -5891, -5891, -5891,   540,  3845,   325,
    3853,   325, -5891, -5891, -5891, -5891, 93055, -5891, 93055, 67147,
   -5891, -5891, 93055, -5891,  4162, -5891, -5891,  3932,  3933,  3935,
    3937,  3938, 93055,  3491, -5891,  3792, 93055, 93055, 68671,  1775,
   -5891, -5891, 68671,   205, -5891,   198, -5891, 83911,  3929, -5891,
   -5891, -5891, -5891,  4173,  4175, -5891, -5891, -5891,  1557, -5891,
   78831,   463, -5891, 68671,  4107,  4108,  4109,  4110,   364,  4111,
    4112,  4114,  4115,  4116, -5891, -5891, -5891,  3832, 18869, 35657,
   -5891,  4190,119387, -5891,  9145, -5891, -5891, -5891, 35657, -5891,
   -5891,  4119, -5891, -5891,  3878,  3884,  3837,  3549,  3683, -5891,
    4033,  4042, 35657,  3683,  4293,  1053, 35657, 35657, 35657, -5891,
   -5891,  4045,  4051, 35657,  2260,  2260, 35657, -5891,  3839, 35657,
   -5891, -5891, -5891, -5891,  2437, 35657, -5891, 35657, -5891, -5891,
   26788,  4343,  4343,  3823,119387, 41443, 41443, 41443, 41443,  1656,
    3035, 41443, 41443, 41443, 41443, 41443, 41443, 41443, 41443, 41443,
   41443,   457, -5891,  4041, 35657, 35657, 35131, -5891, -5891,119387,
    3842,  3571,  3847,  3851, 35657, -5891, -5891, -5891,  2399, 43003,
    3855, 64099, -5891, 35657, 17441,  2405,  3880, 19405,  2041,  9882,
    1588, 35657,  1950,  4792, 35657,  2411, 35657, -5891, -5891, -5891,
   -5891,  4187, -5891, -5891, -5891, -5891, -5891, -5891,  4074,  2260,
   -5891, -5891, 35657,  3856,  3512, 41443, 41443,  3735, -5891,  4222,
   35657, 29866, -5891,  3653, -5891, 27320,  3857, 35657,115915, -5891,
   -5891,  1272,  1272,  1272,  1272, -5891, 93055, 93055, 93055,  3902,
    3858,  3902,   173,  3859, -5891, -5891, -5891, -5891,  3047, -5891,
    3835, -5891, -5891, -5891, -5891, -5891, 35657, 90007, 90515, 90007,
   90007,  3844, 43517, 27835,  2477,  3864, 93055, -5891, -5891,  3867,
   44545,  4139,  4050, -5891, 44545,  4050,  2660,  4050,  4143,  3939,
   51227, -5891, -5891,  3869, -5891, -5891,  4064, -5891,  2018, 20804,
    4321,  4192, -5891,  3870, -5891,  3590,  1784, -5891, -5891, -5891,
    1472, -5891,  3940, -5891, -5891, -5891,  3611, 37235,  4012, -5891,
   -5891, -5891,  3911,  2421, -5891, -5891,  4301,  4012, -5891,  3270,
   -5891,  2436, 50199,  3647, 35657,  2041,  2442,  2069, -5891, -5891,
  116423, -5891,  3943,  2909,  2909,  1391,  3491,  4224,  1391, 10779,
   -5891,  1903, 93055, -5891, 93055, -5891, -5891, -5891,  4358,  3942,
    3949,  4158, -5891,  2700, -5891, -5891, 68671, 93055, -5891, -5891,
   -5891,   548,  1338,  3159, -5891,  3958, -5891, -5891,  4191, 93055,
   -5891,  4347,  3972, 93055, 10924,  4252,  3950, -5891, -5891, 46087,
   93055, 93055, 93055, -5891, 93055, 93055,  1903, 91531, -5891,  4325,
    1903,  3994,  4233,  1740,  3161,   474,  3450, -5891,  1934, -5891,
   -5891,  3963, -5891, 93055, -5891, 93055, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891,  4029, -5891, -5891, -5891, -5891, 64607, -5891,
   -5891, 93055, -5891, 64099, 52271, 64099, -5891, -5891, -5891, 93055,
   -5891,  1605,   550,  1339,  3159, -5891,  3985, -5891,  4266,  3986,
    3987,  4040,   234,   285,  3988,  3989,  4052,  3895,  3903,  3904,
   -5891, 64099, 52798,  4070, 93055,  2909,  3906,  3952, 93055,  3716,
   92039, -5891,  3908, -5891, -5891,  3716,   244,  1588, -5891, -5891,
    1588,  2909,  1588, 93055, 93055, 93055, 93055,   384, -5891, -5891,
   -5891,  4385,  4009, 93055, 93055, 93055, 93055, -5891,  3974, -5891,
   -5891, -5891, 93055, 93055,  4281,  1150,  2228, 68671, 93055, 93055,
   68671, 93055, 93055, 93055, 93055, 93055, 93055, 93055,  4155, -5891,
    4387,  4309,  2332,  4354,  4014, 93055, -5891, 93055,  1588, -5891,
    3414, 93055, 93055, 93055, 93055, -5891, -5891, -5891, -5891, -5891,
    3653, -5891,  3946,  4244,   388, -5891,  4245,  4248,  4249,   388,
   -5891, -5891,  1812, -5891,   229, 93055, -5891,  2402, 93055, -5891,
   -5891, -5891,  3870,  2191,  2391, -5891, -5891, -5891, -5891, -5891,
   -5891,  3945, 93055, 93055, 41443, -5891,   475,  1800,  1549, -5891,
    4236, 93055,  3286, -5891, -5891, -5891,  1462, 93055, -5891, -5891,
   -5891, -5891,  3955, -5891,   105,  3766, -5891,  4268, 75783,  2909,
   68671, 68671,  2909, -5891,119387,  3956,  3511, -5891,  1025,  4036,
   -5891, 68671,   387,114899,  3323,  3990,  4177, 11091, 44545, 45059,
    1632, -5891,  3957,  3959, -5891, -5891, 93055,  3969, 67147,  2449,
    2250,  4445,   103,  2237, -5891, 77307,  4157,  3766,  4268, -5891,
    3161,  4182,  4184, -5891,  3047, 93055,  3558,  3511,  1588, 93055,
    3950, 52271, -5891,  4487,  2270, -5891,116423, 35657, 35657, -5891,
    3960, -5891,  3967,  7892, -5891,  4037,  3964,  4451, 35657, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891,  4057,  3971, 93055,
   93055,   998, 93055, -5891,  3968,  3843, -5891,  3843, -5891, 93055,
   -5891, 93055, -5891,   325, -5891,  4100,   325, 93055, 93055, 93055,
   93055, 93055, 93055,  3491,   364,  3517, -5891, -5891,  4322, 67655,
    4323, -5891, 64099, -5891, -5891, -5891, -5891, -5891,  2464, 93055,
   -5891, -5891, -5891,  4393,  4332,   325,   149,  1105,  1105,  1105,
    1105,  4286,  1105,  1105,  1105,  1105,  1105, -5891, 35657, 20804,
   -5891,  3977, -5891, 20804,  4368,  4273,  4280, -5891, -5891,  3993,
    4223,  4225, -5891,  3995, 35657,  3683, 19441, -5891, -5891,  4226,
    4227, -5891,  3683,  3683, 19441, -5891, 19441,  3996, 11457, 19686,
   -5891,  2466, 35657, -5891,  1001,  1001,  1001,  4823,  4356, -5891,
    2734,  1001,  1001,  1001,   371,   371,   347,   347,   347,  4343,
     457, 19992, 20147, 20039,  4000, -5891, -5891, -5891,  3571, -5891,
   37761,   102,  4477, 42489, -5891, -5891, -5891,  4054,  4055,  4003,
   -5891, 35657, 38287,  4002,121363,  4228, -5891,   478, 35657, 35657,
    4541, -5891,  8169, 35657, -5891, -5891,  4541,   373, 35657,  5229,
    5242, 35657, 35657,  4365, 11774,  4010, -5891,  2480, 35657, 11996,
    4216, -5891, 93055, 93055, 93055, 93055, -5891, -5891, -5891,  4192,
    1588,  4192,  1588,  4015, -5891,  4018, -5891, -5891, -5891, -5891,
   65115,  4017,  3742, 90007,  4023, 93055,  2477, 44545, -5891, -5891,
     272, -5891, 44545,  4319, -5891, 44545, 72227, -5891, 93055,  4026,
   93055, -5891,  1126, 35657,  4058, 55433, -5891, -5891, -5891, -5891,
    4117, -5891,  4255, 20804, 32501, -5891,  3047,  2685, 93055,  2041,
     100, -5891, 35657,  4035, 93055, -5891,  4012, 20804, -5891,  4106,
    2494, -5891, -5891, -5891, -5891, -5891, -5891, -5891,  4123, 77815,
    4386, -5891, -5891,  1814,  4357,   565, -5891,   325, -5891,119387,
   93055, 93055, 93055,  3118, -5891, -5891, 93055, 93055, 93055, 93055,
   -5891, -5891, 68671, 93055, -5891, -5891, 93055, 35657,  2514, -5891,
    4078,  4492,   235,  2519, -5891,  2527,  1903, -5891,  2538, -5891,
   -5891, 92547, -5891,  3969,   384,   475,  4379,  4380,  4282, -5891,
     364, -5891,  4539,   475,  4284,   384, -5891, -5891, -5891, -5891,
    2134, -5891,119387,   325,   325, -5891, -5891, -5891, -5891, -5891,
    4060, -5891,  4519,  4148, 93055, 93055, 93055, 93055, 93055, 68671,
   93055, 93055,  2815,  2815,119387,  4053, -5891,  2815,  2815,  4059,
   -5891, 68671, 93055, 93055, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891,  4142, -5891, 35657,  4513, -5891,
   -5891, -5891, -5891, -5891, 35657, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, 68671, 93055,  4145, -5891,  4146,
   -5891,  1072, -5891, -5891, 93055, 93055, 93055, 93055,  4437, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
    4435, 93055, -5891, -5891,  1588,  1588,119387,   325,   325, -5891,
   -5891, -5891,  4151, -5891, -5891,  4066,  4374,   388, -5891,   388,
     388,   388, -5891,  4068, -5891,  1812,  4475, -5891,  1903,  2010,
    4424, -5891, 35657, -5891,  2047,  4823, -5891,  4484,  4567, -5891,
   -5891, -5891, -5891,  3467,  2348,  3467, -5891, -5891, 72227,  1119,
   -5891,  4405,   252, 64099,  4305, 75783,  1753,   342,  4075,  4212,
   -5891,  2909,  2909,  4144, 93055,  4571, -5891, -5891, -5891, -5891,
   -5891, -5891, 68671,  3726, -5891,  4324,   975,  4440, 93055, 45059,
   -5891,  3611, -5891, -5891, -5891,  1588, -5891, -5891,  4229,  3511,
   -5891,  2142, 93055,  4318, 75783,  3558,  2539, -5891, -5891, -5891,
    4131,  4564,  3526, -5891,  1753,  4157, -5891, -5891,  4540,  4189,
    4136,  4591, -5891,  4189,  4453,  4327,  4098, -5891,  3789, -5891,
   93055, -5891, 20804, 20804,  1588,121857,   303,119387,  4461, -5891,
   20804, 93055,   223,  4101,  4276, -5891,  4428,   325,  2540, -5891,
     325,   325, -5891, 93055, -5891,  3491,  3491,  3491,  3491,  3491,
   -5891,  4329, -5891, -5891, -5891, -5891,  4419, -5891, 67655, -5891,
     325, -5891, -5891, -5891, -5891, -5891, -5891,  1105, -5891, -5891,
   -5891, -5891, -5891, 20804, -5891, 93055, -5891, -5891, -5891, -5891,
   -5891, -5891,  3324,  4120, 35657,  1505, -5891, -5891,  4121,  4126,
    3683,  3683, -5891, -5891, 35657, -5891, 12240, 41443,  4465, -5891,
   35657, 35657, 35657, -5891,  4125,  2568,  2573, -5891, -5891,   102,
   -5891,  4477, -5891, -5891, -5891, 12668,  4167, 20804,  4230,  4127,
    1705,  4541,  4541,  8169,  4541, 35657, 35657,  4541,  4541, 35657,
   -5891, -5891, -5891, 13221, -5891,  4587,  3653, -5891, -5891, -5891,
   -5891,  4058, -5891,  4058, -5891,  4256, 35657, -5891,  2589,  4610,
   40391,  4568, -5891, 93055,  2595, -5891, 35657,  4132, -5891, -5891,
   44545,   272,  4133,  2596, 93055,  2601,119387, 38813, 20804, 93055,
    3653,  4130, -5891, 93055,  3070, -5891,  1635, -5891, -5891,  4558,
   46087,  4517, 20276, 35657, -5891, -5891, -5891, -5891, 67655,  4359,
   67655,  1903, -5891, -5891, -5891, -5891, -5891, -5891,  4134, -5891,
   -5891, -5891, -5891,  4231, -5891, -5891,    52,  3522,  1903, -5891,
   13422,  4468, 46087, 56487, 93055, -5891, 93055, -5891,  4311,  4468,
    4468, -5891, -5891, -5891, -5891,  4634,  4516,  4521, -5891, -5891,
    4150, -5891, -5891, -5891,  4387, -5891, -5891, 52271, 68671, 93055,
   -5891,  4235, -5891, -5891, -5891, -5891, -5891, -5891, 48143, 55433,
   -5891,   234,  4152,  4153,   285, -5891, -5891, -5891, 93055, 13660,
    4156, 13822,    62,  3522, 93055, 93055,  4160,  4161,  4163,  1687,
    1500,  1923,  3491,  4503, 93055, -5891, -5891, -5891,  4387, -5891,
   -5891, 93055, -5891,   388, -5891, -5891, -5891, -5891, 64099, -5891,
    2937,  4068,  1588, 72227,  4638,  4638, 14365,  4382, -5891, -5891,
     902,  4213,  4418,  4213,  4164, 93055,  1462,  4165,  2603, -5891,
   93055,  4154,  4292,  2262,  2262, 93055, 93055, 93055,  2609,  3047,
    2909,  3952,   387,  4538, 75783,  4586,  3969,   460, -5891, 93055,
    4662, 93055,  3558,  3766, 93055,  4168, -5891, -5891, 77307,  4389,
    2360, 93055,  2349,  4157,  3526,  1572, 93055, -5891,  1036, -5891,
    3047, -5891, 93055, 83911, 46087,  4526, -5891,120869, -5891,  2618,
   -5891, -5891, -5891,  4251, 21318,  3356,  4291,  4296,  4176,  2122,
    4542, 93055,   826, -5891, -5891, -5891, -5891, -5891, -5891, 93055,
     463, -5891, -5891, -5891, -5891,  4174, -5891,  4674, 35657,   367,
   -5891, -5891, -5891, -5891, -5891,  4406, -5891,  4181, -5891, -5891,
    2516,  1505, 20674, -5891,  5406, 41443, 20804, 20804, 20804, 35657,
   -5891, 35657, -5891, -5891, -5891, -5891,   118, -5891, -5891,  4511,
    4185,  4541,  4541,  4541, -5891, 35657,  1499, -5891, -5891,  1674,
    4606, 20728,  3577, 65115,  4188, -5891, 41443,  2619, -5891,  5352,
   93055,  2627, -5891, 20804, 93055, -5891, -5891, 35657, -5891,  2632,
   -5891,  4195,    55,  4196, 25724,  4183, -5891, -5891, -5891, -5891,
   -5891, 20804,  4186, -5891,  4684,  1932, -5891, -5891,  4254, 93055,
    2642, -5891,   839,  1914,    98, -5891,  4689,  4689, 20804,  1775,
    1391,   576, -5891, 93055,  4289, -5891,  4492,  4198,  3467, -5891,
    4199, -5891, -5891,  1726,  3161, 93055,  3467,  3467,  2360,  4544,
   -5891, -5891, 35657,  4262, -5891,    70,  3522, 93055,119387, -5891,
     184,  4565, -5891,119387,119387, -5891, -5891, -5891, 35657, -5891,
    4299, -5891, -5891, -5891, 35657, 35657, 74767, -5891, -5891, 93055,
   93055, 93055, 93055, 93055, -5891,   325, -5891, -5891,  2647, -5891,
   47115, -5891, -5891,  3372,  1588,  3372,   925, -5891, -5891,  3372,
    3372, -5891,  3356, -5891,  4638,   394, -5891, -5891,  4452,  4206,
   35657,  4535, -5891,  1329,  4436, -5891,  4209, -5891, 72227,  4739,
   -5891, 64099,  3766,  4268, 93055, -5891, -5891, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891,  2649,  3969,  4588,
    3511,  4136, -5891, 93055,  4261, -5891, 44545,  3969,  3047,  2237,
   -5891,  4157,  3766,  4268, -5891, -5891,  4220,  4184,  3526,  2349,
    4372, -5891,  4375, -5891,  4686,  4450,  4690,  3558, -5891,  3950,
    2654, 93055, -5891, -5891,  7892,121857,119387, -5891, -5891, -5891,
    4232,  4627,  4274,  4277, -5891, -5891, -5891,  2122, -5891,   104,
    4628,  4288, -5891,  4300, 93055, -5891, -5891,  3969,   325, 35657,
   64099, 20804, -5891, -5891,  4629, -5891,   271,   281,   903,  4471,
    4242, 35657,  5406,  2656,  2670,  4304, -5891, -5891, -5891,  3571,
   39339, 39339, 39339,  4247,  4616,  4619, 93055, -5891, 93055,  4458,
   -5891, -5891, 93055,  4823,  4257, 40391, 64099,  2676, -5891,118399,
   -5891,  2683,  2687, -5891, 35657,  4258, 35657, -5891, 38813, 93055,
    4267,  3461,  3047, -5891,  3356, 46087, -5891,  4402, -5891,  4547,
   -5891, -5891, 35657,  4364,  4371, -5891,  4630, -5891, -5891, 93055,
   -5891, 93055,  4213, 55433,  3590,  1726,  2348,  4213,  4213,  4206,
   14568, 35657, -5891,  4383, -5891, -5891,  2688,  1754,  4459,  4459,
    2709,  2711, 15191, 93055,  2720,  2721, -5891,  2726,  2815,  3492,
    1923,  3492, -5891,  3491, -5891, -5891, 64099, -5891, -5891, 68163,
   -5891, -5891, -5891,  1588, -5891,  1588,  4518, 58013, 58521,  1588,
    1588, -5891, -5891, -5891, -5891,  4612, -5891,  2250, -5891, 15318,
    4388, -5891, -5891, -5891,   233, -5891,  4510,  4514, -5891,  4290,
   -5891,  2731, -5891,  1753,  4427,  3969, -5891, -5891, 93055,  4790,
    4793, -5891,  1026, 93055,  3611, -5891,  4136,  3558,  3526,  1753,
    4157,  2360, 46601,  4189,  2349,  4184, -5891, -5891,  4524, -5891,
    4532, -5891,  4313,  4642, -5891,  1960,   303, -5891, -5891, -5891,
    1425,  4668,  4670, -5891, -5891, -5891,  3372, -5891,  1596,  4317,
    4697, -5891, -5891, -5891, -5891, -5891, -5891, -5891,  4360,   344,
     419, -5891,  4363, -5891,  4507,  4508,  1505,  2160, -5891, 20804,
   -5891, -5891, -5891, 40917,  4480,  1526, 17803,  4711, -5891,  4711,
    4711, -5891,  4806,  4808,   745, -5891,  4787,  2739, 42489, -5891,
   -5891, -5891, 93055,  4555,  1401,  4834,  4512,  2741, 38813,  2747,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, 50199,  4815, 20804,
     963,   999, 67655,  3522,  2752,  3716,  4341, -5891,  3590,  4418,
   -5891, -5891, -5891, -5891, 20804, 93055, 72227,  4819, -5891, -5891,
   -5891, -5891, -5891, -5891, -5891,  3522,  4434, -5891, -5891, 74767,
   -5891, 93055, -5891, -5891,  2764, -5891, -5891, -5891, 59029, -5891,
    4101, -5891,  4101, -5891, -5891, -5891,  1315,  4460, 93055,  1132,
    1132,  4756, -5891,  4414, -5891,  4350, -5891,  4879,  4488, 93055,
   -5891, -5891,   234,  3047, 75783,  3969, -5891, -5891,  2349,  4157,
    3526, 35657,  2779, -5891,  4492,   235, -5891,  4184,  4189, -5891,
   -5891, 46087,  4355,  3286,  4746, -5891, -5891, -5891,  2555, 72227,
   72227, 93055, -5891, -5891, -5891, 35657,  1462, -5891,  4401, -5891,
    4403, -5891, -5891,  4594,  4595,  4362,  1505, -5891,  4864, -5891,
   -5891, -5891, -5891, -5891,  1378, -5891, -5891, -5891, 93055, 93055,
   93055,  4373, -5891,  3742, -5891, -5891, 41443, 41443,  4607, -5891,
   41443,  1401, -5891, 93055, -5891,  4376, -5891, -5891,  2790, -5891,
    1556,    94, -5891,  4614,  4515, -5891, -5891,  4615,   221, -5891,
     576, -5891, -5891, -5891, -5891, -5891,  4436,  1903,  1903,  3522,
   -5891, 93055, -5891,  4378, -5891, -5891, -5891, 68163, -5891,  4101,
   -5891, -5891, -5891, -5891,  4890, -5891,  1460, -5891, -5891, -5891,
   -5891, 93055,  3969,  4053,  4136, -5891,  4184,  3526,  2349, 16456,
   -5891, 46601, 93055, 93055,  4189, -5891,  2792, 46087,  3511,  4534,
   -5891,  2917, -5891, -5891, -5891, -5891, -5891, -5891, -5891,   968,
    4381,  4384, -5891, -5891, 17127, 72227, -5891, -5891,  4536,  4537,
   -5891,  4611, 39865,  4545, -5891,  4609, -5891,  1313,  1363,    68,
  115407,  4846,  4823,  4823, -5891,  4823, -5891, -5891, 35657, -5891,
   -5891, -5891, -5891, -5891, 50199, -5891,  4457,  1635,  4396, 93055,
   -5891, -5891,  1903, -5891, -5891, -5891, 35657, -5891, -5891,  2348,
    2348,  3969, -5891, -5891,  4189,  2349,  4184,  4492, -5891, -5891,
   -5891, -5891,  4642, -5891,  2796,  4189,  4288,  2518, -5891, -5891,
    2531,  2655,  4489,  4753, -5891,  4404,  4520,  4522,  4789, -5891,
   -5891, -5891, 93055, 93055, 65623, 93055,  1083,  2804, -5891,118893,
   93055, 17179,  4399, -5891,  4466, 35657,  2819,  1903,  2820, -5891,
   -5891, -5891, -5891,  4184,  4189, 93055,  3286, -5891, 46087,  3356,
    4785, -5891,  2917,  4530,  4546, 63591, -5891, -5891, -5891, -5891,
   -5891,  4939,   339,  4828, -5891, -5891,  1588,  1505,115407,  4635,
     194,  2832, -5891,  4472,  2851,  1337, -5891,  4189, -5891, -5891,
    3511, -5891, -5891,  1462, -5891,  4463,  4464, -5891,  2852, -5891,
   -5891, -5891, -5891, 35657, 65623,  2178,  4421, -5891, -5891,  4626,
    1588,  2516,  4626, -5891, -5891, -5891,  1635, -5891, -5891,  4189,
   72227,  4781,  4783, -5891, 63591,  1136,  4493, 93055,  4432, -5891,
    1505, -5891,   903,  2516,  4490,  3356,  4439, 72227, 72227, -5891,
    4433, 93055,  4888,115407, -5891,  1505,   903,  4472, -5891, 63591,
   -5891, -5891,  1588, -5891,  4443,  2853, -5891,  1505, -5891,  2866,
  115407, -5891, -5891, -5891,  2867, -5891
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1719,  1458,   664,  1547,  1546,  1458,     0,   269,     0,  1558,
       0,  1458,   437,  1115,     0,     0,     0,     0,   664,  1458,
       0,  1719,     0,     0,     0,     0,     0,  1732,     0,     0,
       0,     0,     0,  1255,     0,     0,     0,  1458,     0,     0,
    1739,     0,     0,     0,     0,  1732,     0,  1560,     0,     0,
       0,     0,  1739,     0,     0,     0,     0,     0,     2,     9,
      10,    45,    80,    81,    38,    37,    98,    63,    24,    71,
     133,   132,   134,    50,    46,    88,    33,    35,    47,    51,
      73,    75,    40,    53,    64,   110,    72,    31,    70,    76,
      96,    58,    19,    20,    59,    21,    60,    22,    61,   106,
      82,    99,    43,    69,    30,    52,    78,    79,    12,    54,
      86,    18,    65,    66,    68,    91,    92,    93,   116,    94,
     128,    49,   125,   103,   104,   122,   105,   123,    16,   107,
      62,    23,   119,   118,   120,    89,    55,    90,    77,    97,
     117,    34,   121,    25,    26,    28,    29,    27,    67,    36,
      74,    39,    95,   124,   114,   109,   129,   127,    11,   135,
     111,    83,    14,    15,   100,    13,    32,    57,    17,    42,
      41,    56,    48,   131,    44,  1558,   102,   115,   101,    84,
     108,    87,   112,   130,   113,    85,   126,  1683,  1682,  1743,
    1686,  1718,     0,  1698,  1457,  1456,  1471,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   663,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1468,  2447,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,
    2480,  2479,  2481,  2482,  2854,  2483,  2484,  2485,  2791,  2792,
    2855,  2793,  2794,  2486,  2487,  2488,  2489,  2490,  2491,  2492,
    2493,  2494,  2795,  2796,  2495,  2496,  2497,  2498,  2499,  2797,
    2856,  2500,  2501,  2502,  2503,  2504,  2505,  2857,  2506,  2507,
    2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,  2858,  2516,
    2517,  2518,  2859,  2519,  2520,  2521,  2522,  2523,  2524,  2798,
    2799,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,  2533,
    2534,  2535,  2536,  2537,  2538,  2539,  2540,  2541,  2542,  2543,
    2544,  2545,  2546,  2547,  2548,  2549,  2550,  2551,  2552,  2553,
    2554,  2800,  2555,  2556,  2557,  2558,  2801,  2559,  2560,  2561,
    2562,  2802,  2563,  2564,  2565,  2566,  2860,  2861,  2567,  2568,
    2569,  2570,  2571,  2803,  2804,  2572,  2573,  2574,  2575,  2576,
    2577,  2578,  2862,  2579,  2580,  2581,  2582,  2583,  2584,  2585,
    2586,  2587,  2588,  2589,  2590,  2591,  2863,  2805,  2592,  2593,
    2594,  2595,  2806,  2807,  2808,  2596,  2864,  2865,  2597,  2866,
    2809,  2810,  2811,  2812,  2813,  2814,  2815,  2816,  2817,  2818,
    2819,  2598,  2599,  2600,  2601,  2602,  2603,  2604,  2605,  2820,
    2867,  2606,  2868,  2607,  2608,  2609,  2610,  2611,  2612,  2613,
    2614,  2615,  2616,  2617,  2618,  2619,  2821,  2620,  2621,  2622,
    2623,  2624,  2625,  2626,  2627,  2822,  2869,  2823,  2628,  2629,
    2630,  2631,  2632,  2633,  2634,  2635,  2824,  2825,  2636,  2637,
    2638,  2870,  2639,  2826,  2640,  2827,  2641,  2642,  2643,  2644,
    2645,  2646,  2647,  2648,  2649,  2650,  2651,  2828,  2871,  2652,
    2872,  2829,  2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,
    2661,  2662,  2663,  2664,  2665,  2666,  2830,  2667,  2831,  2670,
    2668,  2669,  2671,  2672,  2673,  2674,  2675,  2676,  2677,  2678,
    2679,  2680,  2681,  2832,  2682,  2683,  2684,  2685,  2686,  2687,
    2688,  2689,  2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,
    2698,  2699,  2700,  2873,  2701,  2702,  2703,  2704,  2705,  2833,
    2706,  2707,  2708,  2709,  2710,  2711,  2712,  2713,  2714,  2715,
    2716,  2717,  2718,  2719,  2720,  2721,  2722,  2834,  2723,  2724,
    2874,  2725,  2726,  2835,  2727,  2728,  2729,  2730,  2731,  2732,
    2733,  2734,  2735,  2736,  2737,  2738,  2739,  2740,  2741,  2742,
    2836,  2743,  2744,  2745,  2746,  2875,  2747,  2748,  2749,  2750,
    2751,  2752,  2753,  2837,  2838,  2754,  2755,  2839,  2756,  2840,
    2757,  2758,  2759,  2760,  2761,  2762,  2764,  2763,  2765,  2766,
    2767,  2768,  2769,  2770,  2771,  2772,  2773,  2774,  2775,  2841,
    2842,  2776,  2876,  2777,  2778,  2779,  2780,  2781,  2782,  2783,
    2784,  2785,  2786,  2787,  2843,  2844,  2845,  2846,  2847,  2848,
    2849,  2850,  2851,  2852,  2853,  2788,  2789,  2790,   146,     0,
       0,  2414,  2448,  2449,  2452,  2447,   407,   406,  1672,  2411,
    2448,  1557,     0,  1536,   664,     0,  1471,   436,  1719,     0,
       0,     0,     0,     0,     0,   881,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   138,     0,
     140,     0,     0,   461,   460,     0,     0,  1087,   466,     0,
       0,     0,     0,     0,   654,  1599,  2668,  1597,  1673,   270,
     273,   274,   271,   272,  2430,     0,  1227,  1228,  1230,     0,
       0,  1240,   921,   922,     0,     0,     0,   935,     0,     0,
       0,   919,     0,     0,     0,   941,     0,   938,     0,     0,
     942,   939,   916,   940,   923,     0,   915,     0,     0,  1240,
     943,     0,     0,   917,     0,     0,     0,     0,  1471,  1596,
     467,  1719,     0,  1580,  1581,  1582,  1558,  1570,  1583,  1575,
    1577,  1576,  1578,  1579,  1574,  2429,  2466,  1011,  1011,  1011,
    1011,  1008,  1009,  1011,  1011,  1011,  2689,     0,     0,   990,
       0,   992,  2431,  1011,  1016,  2474,   546,   546,   546,     0,
    1015,  1020,   546,     0,  1439,  1480,  2413,  1731,     0,   991,
    1438,  2754,  1586,     0,     0,     0,     0,  2708,  1448,   254,
    2720,  2837,  2754,   253,   248,   249,   222,     0,     0,  1015,
     546,     0,  1471,  1446,   987,  1738,  1736,     0,  2398,  2493,
    2510,  2609,   245,  2701,  2710,  2720,  2837,  2754,  2787,   201,
     211,   206,     0,   263,  2720,  2837,  2754,   259,  1468,     0,
    1699,  1849,  1848,  2407,     0,  1441,  1440,  1559,     0,  1562,
       0,  2684,  1703,  1706,  1564,  1704,  2450,  1942,  1971,  1949,
    1971,  1971,  1938,  1938,  2540,  1951,  1939,  1940,  1976,  1996,
       0,  1971,  1938,  1943,     0,  1941,  1979,  1979,  1966,     3,
    1921,  1922,  1923,  1924,  1952,  1953,  1925,  1958,  1959,  1963,
    1926,  1993,  1929,  1938,  2451,  1740,  1741,  2398,     4,  2444,
       5,  2325,  2443,     6,     7,  1695,     0,     0,     1,  1719,
       0,  1569,  1735,  1735,     0,  1735,     0,  1687,  1695,  1690,
    1694,     0,     0,     0,     0,     0,     0,  1442,     0,     0,
       0,   946,     0,  1483,  1072,     0,     0,     0,     0,     0,
    1324,     0,  1124,  1123,  2453,  2436,  2437,  2438,     0,  2434,
    2435,  2454,  2455,  2456,     0,  2578,  1324,     0,     0,  2241,
    2252,  2253,  2254,  2497,  2559,  2249,  2250,  2251,  2243,  2244,
    2245,  2246,  2247,  2248,     0,     0,  1222,  2242,     0,  2578,
       0,  1324,     0,   173,     0,   150,  1324,     0,     0,  2578,
       0,     0,  2578,     0,     0,     0,     0,     0,  2578,     0,
       0,     0,     0,     0,   173,  2614,     0,   150,  2578,     0,
       0,  1462,     0,     0,     0,  1464,  1467,  1454,     0,  2322,
       0,  2323,  2415,  1551,     0,  1550,  1544,  1554,  1549,  1539,
       0,  2407,     0,     0,     0,     0,   929,     0,     0,   919,
       0,     0,     0,   930,     0,   931,   932,     0,     0,     0,
       0,   928,     0,  1452,  1444,     0,  1588,  1590,  1589,  1591,
    1587,   546,     0,     0,     0,  2578,     0,   150,  1522,     0,
    2578,   150,     0,     0,   465,   464,   150,  2434,   463,   462,
    2497,  2559,     0,  1114,     0,  1197,   150,  2578,     0,   194,
    2578,   723,  2578,  1564,   139,     0,   667,     0,   835,  2614,
     150,     0,     0,     0,     0,     0,     0,   142,     0,     0,
       0,     0,     0,     0,     0,   653,   664,  1600,  1598,     0,
    1231,   247,   246,  1229,   933,  2578,  1156,   145,     0,     0,
    2578,  1503,  2578,   145,   950,   934,     0,   920,  2578,   145,
    1120,  2578,  2439,   183,     0,   918,  2497,  2559,  2578,   145,
    1224,     0,  2578,   145,  2578,   179,  2578,   145,  2578,   145,
    2578,   668,     0,     0,  2578,   145,  2578,  2614,   181,   937,
    2578,   145,   944,  2578,   145,  2409,  2578,     0,  1455,     0,
    1592,     0,  1572,  2841,     0,  1719,  1011,  1010,     0,  1011,
       0,  1011,     0,  1011,     0,  1011,     0,     0,     0,  1011,
    2432,  2433,   993,     0,  1017,     0,  1025,     0,  1024,  1023,
    1022,     0,     0,     0,  1026,     0,  1853,  1627,     0,  1436,
    1451,     0,     0,     0,   142,     0,  1253,  1250,   142,  1252,
    1251,   142,   142,  1447,   252,   250,     0,     0,     0,     0,
       0,     0,  1453,     0,  1445,     0,     0,     0,  2417,  2419,
    2420,  2255,  2325,     0,  2792,  2793,  2794,  2314,     0,  2795,
    2796,  2797,  2856,  2129,  2115,  2124,  2130,  2116,  2118,  2125,
    2798,  2799,  2064,  2800,  2801,  2427,  2802,  2803,  2804,  2806,
    2807,  2808,  2809,  2810,  2811,  2812,  2813,  2814,  2815,  2816,
    2817,  2819,  2820,  2120,  2122,  2821,  2822,  2823,  2825,     0,
    2428,  2826,  2827,  2647,  2829,  2830,  2832,  2833,  2126,  2835,
    2836,  2127,  2837,  2838,  2839,  2840,  2426,   509,  2128,  2842,
    2844,  2845,  2846,  2847,  2849,  2850,  2851,  2852,     0,     0,
       0,  2404,     0,  2093,     0,  1930,  1931,  1954,  1955,  1932,
    1960,  1961,  1933,     0,  1934,  2403,  1997,  2200,  2092,  2110,
       0,  2098,  2099,     0,  2091,  2087,  2202,  1721,  2399,     0,
    2088,  2416,  2418,  2315,  1721,  2397,   214,   265,     0,   266,
    2405,  2720,   202,   244,   216,   243,   217,   215,     0,  2495,
     203,     0,     0,   204,     0,     0,     0,     0,   262,   260,
       0,  1443,     0,  1851,  1850,  2408,   955,     0,  1561,  1558,
    2265,     0,  1705,     0,     0,     0,  1970,  1957,  1965,  1964,
       0,  1947,  1946,  1945,     0,  1944,  1971,  1971,  1969,  1948,
    1921,     0,     0,     0,  1975,     0,  1973,  1917,  1913,     0,
    1982,  1983,  1984,  1981,  1994,  1980,     0,  1927,  1985,     0,
    1938,  1935,  1806,     0,  1685,  1684,     8,     0,  1566,  1568,
    1542,  1564,  1733,  1734,     0,     0,     0,     0,     0,     0,
       0,     0,  1793,  1751,  1752,  1754,  1790,  1794,  1802,     0,
    1691,     0,     0,     0,  1855,     0,     0,  1469,     0,     0,
       0,     0,     0,  1155,     0,     0,     0,     0,   947,     0,
       0,     0,  1489,     0,  1491,  1492,  1493,     0,     0,     0,
    1494,  1495,  1483,   256,  1502,  1499,  1482,  1484,  1497,     0,
       0,     0,     0,     0,     0,     0,  1514,     0,   187,   188,
       0,   680,   664,     0,  2578,     0,     0,     0,     0,  1165,
    1172,  1323,     0,     0,     0,     0,     0,     0,     0,     0,
    1166,  1164,     0,  1167,   258,  1177,  1204,  1207,     0,     0,
    1122,  1125,     0,     0,     0,     0,     0,  1314,     0,     0,
       0,  1314,     0,     0,     0,  1323,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   281,   283,   296,   362,     0,
     645,     0,     0,     0,   648,     0,  2578,  1324,     0,     0,
       0,  1226,     0,     0,     0,     0,     0,     0,     0,     0,
    1207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     148,   149,   154,     0,     0,     0,     0,  1207,     0,     0,
       0,     0,     0,     0,     0,   631,   644,     0,     0,     0,
       0,     0,   641,     0,     0,   150,   286,   621,   627,     0,
       0,     0,   730,   729,     0,     0,     0,     0,     0,     0,
    1412,     0,  1411,     0,     0,     0,     0,     0,  1512,  1511,
       0,     0,     0,     0,     0,     0,  1314,     0,   275,   277,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   399,   400,     0,     0,     0,
     154,     0,     0,  1314,     0,   288,     0,     0,  1463,  1460,
    1461,     0,  1466,     0,     0,     0,     0,  2101,     0,  2269,
    1743,  2267,  1140,  2321,     0,  2457,  2877,  2878,  2879,  2880,
    2881,  2882,  2883,  2884,  2885,  2886,  2887,  2888,  2889,  2890,
    2891,  2892,  2893,  2894,  2895,  2896,  2897,  2898,  2899,  2900,
    2901,  2902,  2903,  2904,  2905,  2906,  2907,  2908,  2909,  2910,
    2911,  2912,  2913,  2914,  2915,  2916,  2917,  2918,  2919,  2920,
    2921,  2922,  2923,  2924,  2925,  2926,  2927,  2928,  2929,  2930,
    2931,  2932,  2933,  2934,  2935,  2936,  2937,  2938,  2939,  2940,
    2941,  2942,  2943,  2944,  2945,  2946,  2947,  2948,  2949,  2950,
    2951,  2952,  2953,  2954,  2318,  2317,  2412,  2458,  2459,  2460,
    2461,  2324,  1534,     0,   233,   234,   232,  1552,   235,  1553,
    1548,     0,  1535,     0,     0,     0,     0,     0,     0,     0,
       0,  2497,  2559,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   843,
    1483,  1521,     0,     0,     0,   673,     0,  2578,     0,   152,
     882,     0,   833,   466,     0,     0,     0,     0,  1388,   152,
       0,     0,   190,     0,     0,   727,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   834,     0,     0,   152,
       0,  2578,   624,  2578,     0,   546,   546,     0,     0,   141,
     138,     0,     0,     0,     0,     0,     0,     0,     0,  1677,
    1676,  1679,  1678,     0,  1675,     0,   143,   144,     0,  1214,
    1239,     0,     0,     0,     0,     0,   911,   936,     0,     0,
    1208,     0,     0,  2578,   145,  2578,     0,  2578,     0,     0,
       0,  1216,   145,     0,  1210,     0,     0,  1212,     0,  1414,
       0,   927,   925,   924,   926,     0,     0,   909,     0,     0,
       0,     0,     0,   904,     0,     0,   906,     0,     0,     0,
       0,  1719,  1571,     0,  1001,     0,  1005,     0,   996,     0,
    1002,     0,   997,   994,   995,     0,  1000,     0,     0,   547,
     549,     0,     0,  2522,  2539,     0,  2567,  2602,  2603,  2657,
    2674,  2704,  2710,  2716,     0,  2747,  2759,     0,  1031,  1069,
    1021,   739,     0,     0,  1637,  1437,  2274,     0,  1719,     0,
       0,  1254,     0,     0,   138,   251,   223,     0,     0,  1069,
       0,  2708,  1450,   986,   664,     0,  2089,     0,  2096,  2097,
    2313,     0,     0,     0,     0,     0,     0,  2095,     0,     0,
       0,     0,  2370,     0,     0,  2370,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2020,     0,     0,  2273,
       0,     0,  2273,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2021,  2002,  2003,  2093,  2265,
       0,  2094,  2423,     0,  1993,  2462,  2255,     0,  2252,  2253,
    2254,  2955,  2956,  2957,  2958,  2959,  2960,  2961,  2962,  2963,
    2964,  2965,  2966,  2967,  2968,  2969,  2970,  2971,     0,  2972,
    2973,  2974,  2975,  2976,  2978,  2977,  2979,  2980,  2981,  2982,
    2983,  2984,  2328,  2986,  2987,  2988,  2989,  2990,  2991,  2992,
    2993,  2994,  2995,  2996,  2997,  2998,  2999,  3000,  3001,  3002,
    3003,  3004,  3005,  3006,  3007,  3008,  3009,  3010,  3011,  3012,
    3013,  3014,  3015,  3016,  3017,  3018,  3019,  3020,  3021,  3022,
    3023,  3024,  3025,  3026,  3027,  3028,  3029,  3030,  3031,  3032,
    3033,  3034,  3035,  3036,  3037,  3038,  3039,  3040,  3041,  3042,
    3043,  3044,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,  3056,  3057,  3058,  3059,  3060,  3061,  3062,
    3063,  3064,  3065,  3066,  3067,  3068,  3069,  3070,  3071,  3072,
    3073,  3074,  3075,  3076,  3077,  3078,  3079,  3080,  3081,  3082,
    3083,  3084,  3085,  3086,  3087,  3088,  3089,  3090,  3091,  3092,
    3093,  3094,  3095,  3096,  3097,  3098,  3099,  3100,  3101,  3102,
    3103,  3104,  3105,  3106,  3107,  3108,  3109,  3110,  3111,  3112,
    3113,  3114,  3115,  3116,  3117,  3118,  3119,  3120,  3121,  3122,
    3123,  3124,  3125,  3126,  3127,  3128,  3129,  3130,  3131,  3132,
    3133,  3134,  3135,  3136,  3137,  3138,  3139,  3140,  3141,  3142,
    2035,  3143,  3144,  3145,  3146,  3147,  3148,  3149,  3150,  3151,
    3152,  3153,  3154,  3155,  3156,  3157,  3158,  3159,  3160,  3161,
    3162,  3163,  3164,  3165,  3166,  3167,  3168,  3169,  3170,  3171,
    3172,  3173,  3174,  3175,  3176,  3177,  3178,  3179,  3180,  3181,
    3182,  3183,  3184,  3185,  3186,  3187,  3188,  3189,  3190,  3191,
    3192,  3193,  3194,  3195,  3196,  3197,  3198,  3199,  3200,  3201,
    3202,  3203,  3204,  3205,  3206,  3207,  3208,  2037,  3209,  3210,
    3211,  3212,  3213,  3214,  3215,  3216,  3217,  3218,  3219,  3220,
    3221,  3222,  3223,  3224,  3225,  3226,  3227,  3228,  3229,  3230,
    3231,  3232,  3233,  3234,  3235,  3236,  3237,  3238,  3239,  3240,
    3241,  3242,  3243,  3244,  3245,  3246,  3249,  3247,  3248,  3250,
    3251,  3252,  3253,  3254,  3255,  3256,  3257,  3258,  3259,  3260,
    3261,  3262,  3263,  3264,  3265,  3266,  3267,  3268,  3269,  3270,
    3271,  3272,  3273,  3274,  3275,  3276,  3277,  3278,  3279,  3280,
    3281,  3282,  3283,  3284,  3285,  3286,  3287,  3288,  3289,  3290,
    3291,  3292,  3293,  3294,  3295,  3296,  3297,  3298,  3299,  3300,
    3301,  3302,  3303,  3304,  3305,  3306,  3308,  3307,  3309,  3310,
    3311,  3312,  3313,  3314,  3315,  3316,  3317,  3318,  3319,  3320,
    3321,  3322,  3323,  3324,  3325,  3326,  3327,  3328,  3329,  3330,
    3331,  3332,  3333,  3334,  3335,  3336,  3337,  3338,  3339,  3340,
    3341,  3342,  3343,  3344,  3345,  3346,  3347,  3348,  3349,  3350,
    3351,  3352,  3353,  3354,  3355,  3356,  3357,  3358,  3359,  3360,
    3361,  3362,  3363,  3365,  3364,  3366,  3367,  3368,  3369,  3370,
    3371,  3372,  3373,  3374,  3375,  3376,  3377,  3378,  3379,  3380,
    3381,  3382,  3383,  3384,  3385,  3386,  3387,  3388,  3389,  3390,
    3391,  3392,  3393,  3394,  3395,  3396,  3397,  3398,  3399,  3400,
    3401,  3402,  3403,  3404,  3405,  3406,     0,  2249,  2250,  2251,
    2243,  2244,  2245,  2246,  2247,  2248,  2259,     0,     0,  2402,
    2463,     0,  2202,     0,  2017,     0,  2210,     0,     0,  1806,
       0,  2421,  2316,  1806,   267,   268,   264,     0,     0,   219,
     218,     0,   237,   241,   242,   213,   240,     0,   236,   221,
    2186,  2185,   220,   212,   209,   207,   224,   226,   227,   210,
     208,   261,     0,     0,     0,   145,  1569,  1556,     0,     0,
    2328,     0,  2263,     0,     0,  2261,     0,     0,     0,  1803,
       0,  1707,     0,  1711,     0,     0,     0,  1968,  1967,  1918,
    1914,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   948,     0,  1936,     0,  1871,  2445,
    2446,  2326,  1739,  1569,     0,  1565,  1702,  1701,  1744,  1745,
    1106,  1700,  1773,  1774,     0,     0,     0,     0,  1799,  1797,
    1764,  1755,  1763,     0,     0,  1761,     0,  1765,  1997,  1792,
    1689,  1749,  1750,  1753,  1688,     0,  1795,     0,  1640,  1793,
    1754,  1624,     0,  1602,     0,     0,  1856,     0,     0,  1470,
       0,     0,     0,  1135,  1137,     0,  1136,     0,  1139,     0,
    1148,     0,     0,  1134,  1153,     0,  1142,  1140,     0,  1510,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,  2747,
     255,  1493,  1498,  1485,  1496,     0,     0,     0,     0,     0,
    1071,  1070,     0,     0,     0,  1517,   540,     0,   364,     0,
       0,     0,     0,     0,     0,     0,     0,   829,   826,     0,
       0,   825,     0,   678,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   703,     0,  1314,     0,   294,
       0,  1174,     0,  1173,     0,  1178,     0,     0,  1175,  1170,
    1171,  2710,  2720,  2754,   257,  1176,  1206,     0,  1205,  1201,
       0,  1117,     0,  1118,     0,     0,     0,     0,     0,     0,
       0,  2551,     0,  2578,     0,   509,   302,   326,   531,     0,
    1313,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   348,     0,     0,   351,
     350,     0,     0,     0,     0,     0,   356,     0,   334,     0,
     335,     0,   355,     0,     0,     0,   646,   647,     0,     0,
       0,  1314,     0,   290,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,   756,     0,     0,  2710,  1202,     0,
    1397,     0,  2746,  1398,  1401,   546,     0,   546,  1403,     0,
       0,  1400,  1402,     0,     0,   176,     0,   171,   175,     0,
       0,  2710,  1203,     0,     0,     0,     0,     0,   629,   630,
     643,     0,   634,   635,   632,   636,   637,     0,     0,     0,
       0,     0,     0,     0,   628,     0,     0,   725,   724,   728,
       0,     0,     0,     0,     0,     0,  1406,     0,     0,  1197,
       0,     0,  1405,  1413,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,  1256,     0,     0,     0,     0,
    1324,     0,   872,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   178,   743,     0,   742,     0,   172,   177,
       0,     0,     0,     0,     0,     0,     0,     0,   231,  1459,
    1465,  1743,  1743,  1743,  2107,     0,     0,     0,     0,  1742,
    2319,  2322,  1539,  1545,  1538,  1537,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   410,   411,   413,     0,     0,     0,
       0,   845,     0,   848,   851,  1481,   493,     0,     0,   670,
     703,     0,     0,   469,   185,     0,     0,     0,     0,   758,
       0,  1197,  1196,   147,   138,   194,   467,     0,   193,   195,
     197,   198,   199,   196,   200,     0,   722,   726,     0,     0,
       0,     0,   666,     0,     0,     0,     0,     0,     0,     0,
    1876,     0,     0,   170,     0,     0,   619,   623,     0,     0,
       0,     0,   469,   585,   375,  2578,     0,   546,     0,  2578,
       0,   137,     0,   832,     0,     0,     0,  1159,  1159,     0,
       0,   772,   771,     0,     0,     0,     0,     0,     0,  1674,
     145,  1157,     0,  1504,     0,   145,   951,   145,  1121,   184,
    2440,     0,   913,     0,     0,     0,     0,   145,  1225,   901,
     145,   180,   145,   145,   669,     0,   145,   182,     0,     0,
     145,   945,   145,  2410,     0,   145,  1595,  2578,   546,  1573,
     998,  1007,  1006,  1004,  1003,   999,     0,  1018,     0,   545,
       0,     0,     0,     0,     0,  1039,  1040,     0,     0,  1036,
    1041,     0,  1043,  1027,  1029,  1037,  1038,  1044,  1033,  1032,
    1045,  1046,     0,     0,     0,  1058,   737,     0,     0,     0,
       0,  1634,     0,  1632,     0,  1854,  1636,  1625,  1585,     0,
    1584,     0,   612,  1248,  1247,  1249,     0,  1015,     0,   145,
       0,  1449,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2278,     0,  2279,     0,     0,  2312,  2308,
       0,     0,     0,     0,     0,  2282,  2285,  2286,  2287,  2284,
    2288,  2283,     0,     0,  2289,     0,     0,  2363,  2380,     0,
    2093,  2363,  2391,     0,  2390,  2396,     0,  2269,  1997,     0,
       0,  2387,  2381,     0,  2387,     0,     0,  2370,     0,     0,
       0,     0,  2170,     0,     0,     0,  2269,  2272,     0,     0,
    2833,     0,     0,     0,     0,  2065,     0,     0,  2236,     0,
    2269,     0,     0,     0,     0,     0,     0,     0,  2265,  2304,
       0,   507,     0,  2055,     0,     0,     0,  2184,     0,  2181,
       0,     0,     0,     0,  2325,     0,     0,  2424,  1998,  2013,
    2014,  2015,  2018,  2401,  2001,     0,  2327,     0,     0,  1999,
    2026,     0,  2305,  2051,     0,  2056,  2041,  2371,  2290,  2291,
    2292,  2293,  2058,     0,  2034,  2039,  2043,     0,  2380,  2022,
       0,  2019,     0,  2328,  2264,     0,  2262,     0,  2010,  2011,
    2012,  2004,  2005,  2006,  2007,  2008,  2009,  2016,  2240,  2238,
    2239,     0,     0,  2210,     0,     0,  2038,     0,     0,  2109,
    2570,  2609,     0,  1732,  1732,  1732,  1720,  1730,  2400,  1871,
    1743,  1871,  2406,     0,     0,  1993,     0,  1852,   953,   954,
     952,  1541,  1555,  1569,  2266,  1563,  1709,     0,     0,     0,
    1937,  1950,     0,  1977,  1978,  1979,  1979,     0,  1919,     0,
    1962,  1987,  1988,  1989,  1990,  1991,  1992,     0,  1986,  1928,
     949,  2809,  2818,     0,  2706,  2853,     0,  1832,  1805,  1807,
    1817,  1832,  1839,  1832,  1832,  2111,  1869,  2112,  2113,  2407,
       0,  1776,  2442,  1543,  1567,     0,  1104,  1105,     0,  1109,
    2833,  2706,     0,     0,     0,     0,  1766,  1800,     0,  1791,
       0,  2417,  1767,  2416,  1768,  1771,  1772,  1762,  1801,  1638,
       0,  1796,  1693,  1692,     0,  1874,     0,     0,     0,  1616,
    1604,     0,     0,  1857,     0,  1806,  1642,     0,  2325,  1804,
    1364,  1258,  1325,  1138,     0,  1938,  1149,     0,  1133,     0,
    1132,  1938,     0,  1150,     0,  1938,  1365,  1259,  1326,  1366,
    1260,  1327,  1367,  1501,  1261,  1500,  1488,  1487,  1486,     0,
       0,     0,     0,     0,     0,     0,     0,   810,  2578,   145,
    1515,  1368,     0,  1262,   363,  1516,  1328,  1520,   828,   827,
       0,     0,  1329,     0,   679,   684,     0,   686,   687,  2497,
    2559,   688,   691,   692,     0,   694,   683,   682,     0,     0,
       0,     0,     0,   700,   705,     0,     0,     0,     0,     0,
       0,  1168,  1169,  1369,  1265,     0,  1330,     0,  1116,     0,
    1266,   186,     0,     0,   282,     0,  2578,   304,     0,     0,
       0,     0,     0,     0,     0,     0,   810,   491,   810,     0,
    1316,   301,   332,     0,   347,   342,   343,   341,  2578,   145,
    2578,   145,     0,     0,     0,     0,     0,   344,   339,   340,
     336,     0,     0,   349,  2469,  2541,  2721,     0,   711,   713,
       0,   718,   352,  1286,   371,   370,   369,     0,   357,     0,
     376,   379,     0,   354,   333,   331,   328,   297,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1218,
       0,  1372,  1331,     0,  1353,  1357,     0,     0,     0,   750,
    1375,  1272,  1334,     0,   546,     0,     0,   561,   561,   546,
    1386,  1273,   174,  1303,   163,     0,     0,   159,     0,     0,
       0,     0,   153,  1376,  1274,  1335,     0,     0,  1377,  1275,
       0,     0,   287,   622,   633,   638,  1280,   642,   639,  1343,
     640,  1384,  1276,     0,  1380,  1306,  1338,   389,   605,   388,
    1197,  1197,  1387,  1407,  1277,  1197,     0,  1314,     0,   276,
     278,     0,   142,     0,  1278,     0,  1336,  1379,  1305,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1523,     0,
       0,     0,     0,     0,     0,   145,     0,     0,     0,  1316,
    2578,   145,   870,  1378,     0,  1311,     0,  1351,     0,     0,
       0,   401,     0,  1304,  1314,     0,   289,  1282,     0,  1345,
       0,     0,   229,   228,   230,     0,     0,     0,     0,  2270,
    2271,     0,  2268,  2102,  2321,     0,  1533,   975,   961,   974,
       0,   957,  2539,     0,   960,   962,     0,     0,     0,   963,
     967,   968,     0,   959,   956,   958,     0,   412,     0,     0,
     767,   768,     0,     0,     0,     0,   847,     0,     0,  1513,
       0,   150,   677,     0,     0,     0,   672,   702,   707,     0,
       0,     0,     0,   468,   472,   476,   477,   478,     0,     0,
       0,     0,   164,   151,     0,   890,     0,   546,     0,   760,
    1197,  1390,     0,   194,   189,     0,     0,   723,     0,  1564,
       0,     0,   600,   603,   602,     0,   375,   842,   840,   839,
     841,   863,   838,     0,  1875,  1877,     0,     0,     0,     0,
       0,     0,   612,   471,     0,     0,   549,     0,   588,     0,
       0,     0,     0,   585,     0,     0,     0,  2450,     0,   859,
     831,     0,  1127,     0,  1145,  1128,     0,     0,     0,     0,
    1182,  1189,  1158,  1183,  1160,  1189,     0,     0,   773,   777,
     776,   780,   778,     0,   774,   651,  1680,  1681,     0,  1215,
       0,     0,  1509,     0,  1507,   912,  1209,   145,     0,   145,
       0,   145,  1217,  1211,  1213,  1415,     0,   910,     0,     0,
     903,   905,     0,   907,     0,  1019,   548,     0,     0,     0,
       0,     0,     0,  1035,   649,  1042,     0,     0,     0,  1057,
    1052,  1054,     0,  1069,  1063,     0,   736,     0,     0,  1635,
    1628,  1630,  1629,     0,     0,  1626,  2275,   902,     0,   618,
       0,  1069,  1060,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1737,  2276,  2277,     0,     0,     0,
    2309,     0,     0,  2146,     0,  2117,  2119,  2132,     0,  2147,
    2100,     0,  2362,  2359,     0,     0,     0,  2363,  2370,  2166,
       0,     0,     0,  2370,     0,  2390,     0,     0,     0,  2161,
    2163,     0,     0,     0,  2380,  2380,     0,  2168,     0,     0,
    2148,  2121,  2123,  2133,     0,     0,  2256,     0,  2136,  2135,
       0,  2067,  2068,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2082,  2137,  2235,     0,     0,     0,  2139,  2138,     0,
       0,  2303,     0,     0,     0,  2144,   508,  2149,     0,     0,
       0,     0,  2155,     0,  2192,     0,     0,     0,  2090,  2266,
       0,     0,     0,     0,     0,     0,     0,  2373,  2374,  2375,
    2372,     0,  2057,  2042,  2060,  2036,  2040,  2044,     0,  2380,
    2059,  2062,     0,     0,  2030,     0,     0,  2028,  2052,  2024,
       0,     0,  2053,     0,  2108,     0,     0,     0,  2213,  2208,
    2209,  1732,  1732,  1732,  1732,  1729,     0,     0,     0,  1776,
       0,  1776,   205,     0,   238,   225,  1540,  1710,  1719,  1956,
       0,  1974,  1972,  1915,  1920,  1995,     0,  1832,  1839,  1832,
    1832,     0,     0,  1695,     0,  1817,     0,  1831,  1815,  1830,
       0,     0,  1845,  1843,     0,  1845,     0,  1845,     0,  1809,
       0,  1835,  1811,  1830,  1813,  1819,     0,  1861,  2408,  1870,
       0,  1789,  1746,     0,  2257,  1109,     0,  1748,  1770,  1769,
       0,  1759,     0,  1798,  1756,  1639,  1623,     0,  1621,  1608,
    1610,  1609,     0,     0,  1611,  2325,     0,  1621,  1603,     0,
    1647,     0,     0,  1874,     0,  1646,     0,  1938,  1130,  1131,
       0,  1154,     0,  1074,  1075,     0,  1073,     0,     0,     0,
     539,   542,     0,  1518,     0,  1385,  1302,   681,     0,     0,
       0,     0,   696,   655,   697,   699,     0,     0,   698,   701,
     704,  1314,     0,   295,  1288,     0,  1349,  1162,     0,     0,
    1119,     0,     0,     0,     0,     0,  1090,   530,  1089,     0,
       0,     0,     0,   810,     0,     0,   534,     0,   490,   487,
     327,     0,     0,     0,     0,   384,     0,   306,   319,   382,
     325,     0,   359,     0,   330,     0,   323,   345,   337,   346,
     338,   358,   360,     0,   715,   716,   714,   710,     0,   717,
     719,     0,   373,     0,     0,     0,   391,   353,   390,     0,
    1371,     0,  1314,     0,   291,  1284,     0,  1347,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1352,     0,     0,     0,     0,   755,     0,   752,     0,   561,
       0,  1399,     0,  1396,  1394,   561,     0,     0,   156,   155,
       0,   162,     0,     0,     0,     0,     0,     0,  1408,  1409,
    1410,     0,     0,     0,     0,     0,     0,   395,     0,   298,
     300,   299,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   402,
     366,     0,   866,     0,     0,     0,   404,     0,     0,  1363,
       0,     0,     0,     0,     0,  1370,  1267,  2105,  2106,  2103,
    1743,  2320,     0,     0,     0,   972,     0,     0,     0,     0,
     415,   416,   150,   414,   439,     0,   810,     0,     0,   844,
     849,   857,  2647,  2243,  2244,   855,   850,   852,   854,   856,
     853,     0,     0,     0,     0,   512,     0,     0,     0,   499,
       0,     0,   509,   492,   495,   496,     0,     0,   673,   676,
     674,   675,     0,   695,     0,   471,   519,   575,     0,   166,
       0,     0,   167,   165,     0,     0,   375,   757,     0,   754,
    1389,     0,   192,     0,   727,     0,     0,     0,     0,     0,
    1197,   665,     0,   862,   864,   836,     0,   707,     0,     0,
     624,     0,   546,  1596,   607,     0,   577,   471,   575,   584,
       0,     0,   592,   374,     0,     0,   612,   375,     0,     0,
    1090,     0,   858,     0,     0,  1126,     0,     0,     0,  1179,
    1184,  1180,     0,  1159,  1141,     0,  1181,     0,     0,  1187,
    1112,  1161,  1113,  1431,  1432,  1429,  1430,     0,     0,     0,
       0,     0,     0,  1671,     0,     0,  1505,     0,   914,     0,
     897,     0,   899,   145,   744,     0,   145,     0,     0,     0,
       0,     0,     0,  1034,     0,  1028,  1030,  1055,     0,     0,
    1069,  1068,     0,  1059,  1067,  1065,  1066,  1064,     0,     0,
    1633,  1631,   610,     0,     0,   145,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2280,     0,  2311,
    2307,     0,  2114,  2281,  2361,  2377,  2379,  2167,  2369,     0,
       0,     0,  2392,     0,     0,  2370,  2330,  2384,  2383,     0,
       0,  2382,  2370,  2370,  2330,  2169,  2330,     0,     0,     0,
    2236,     0,     0,  2066,  2078,  2079,  2080,  2296,     0,  2085,
       0,  2075,  2076,  2077,  2069,  2070,  2071,  2072,  2073,  2074,
    2081,  2300,  2299,     0,     0,  2141,  2142,  2143,  2302,  2150,
       0,  2487,  2193,     0,  2154,  2183,  2182,     0,     0,     0,
    2157,     0,     0,  2179,     0,  2237,  2425,  2000,     0,     0,
    2027,  2306,  2045,     0,  2061,  2063,  2023,  2256,     0,     0,
       0,     0,     0,  2032,     0,     0,  2233,     0,     0,     0,
    2215,  2212,     0,     0,     0,     0,  1723,  1722,  1728,  1789,
    2102,  1789,     0,     0,  1916,     0,  1816,  1812,  1814,  1820,
       0,  2848,     0,  1821,  1828,     0,  1808,     0,  1844,  1840,
       0,  1841,     0,     0,  1842,     0,     0,  1810,     0,  1828,
       0,  1868,  1735,     0,  2204,     0,  1747,  1107,  1108,  1757,
       0,  1760,  2518,  1872,     0,  1622,     0,     0,     0,  1613,
    1619,  1601,     0,     0,     0,  1643,  1621,  1644,  1151,     0,
       0,  1143,  1080,  1081,  1084,  1082,  1079,  1083,     0,     0,
       0,   810,   813,     0,     0,     0,   811,   145,  1263,     0,
       0,     0,     0,   656,  1383,  1264,     0,     0,     0,     0,
    1163,  1317,     0,     0,  1287,   810,     0,     0,     0,   556,
       0,  1103,  1103,     0,   303,     0,   536,   597,     0,   489,
     488,     0,   486,   707,     0,     0,   310,   320,     0,   315,
       0,  1315,     0,     0,     0,     0,   314,   317,   316,   386,
       0,   383,     0,   145,   145,   361,   712,   372,   377,   378,
     381,  1322,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   891,   874,     0,     0,   892,
     893,     0,     0,     0,  1220,  1221,  1219,  1354,  1355,  1361,
    1358,  1356,  1360,  1362,  1359,     0,  1270,     0,     0,   748,
    1318,  1391,  1393,  1392,     0,  1395,   160,   157,   158,   161,
    1319,  1300,  1281,  1344,   606,     0,     0,     0,  1279,     0,
    1337,     0,  1296,  1290,     0,     0,     0,     0,     0,  1382,
    1310,  1342,  1381,  1308,  1340,  1307,  1339,  1309,  1341,  1301,
       0,     0,  1879,   871,     0,     0,     0,   145,   145,   869,
     746,  1283,     0,  1346,  1292,     0,     0,     0,   964,     0,
       0,     0,   966,   420,   440,   150,     0,   766,   830,     0,
       0,   846,     0,   497,     0,   503,   510,     0,     0,   514,
     515,   513,   498,  1197,   546,  1197,   799,   800,     0,     0,
     820,     0,   671,     0,     0,   469,     0,   516,     0,     0,
     473,   169,   168,     0,     0,     0,   761,   765,   763,   762,
     764,   759,     0,   750,   194,  2578,     0,     0,     0,     0,
     604,   598,   601,  1404,   837,     0,  1878,   740,     0,   375,
     620,     0,     0,     0,   469,   612,     0,   474,   479,   480,
     493,     0,   585,   576,     0,   577,   586,   587,     0,   594,
    1479,     0,   613,   594,     0,     0,     0,   861,     0,   860,
       0,  1129,  1146,  1147,     0,     0,  1189,     0,     0,  1191,
    1186,     0,     0,   779,   782,   775,   658,   145,     0,  1508,
     145,   145,  1246,     0,   908,  1049,  1050,  1051,  1048,  1047,
     650,     0,  1053,  1012,  1062,   738,     0,   611,     0,  1013,
     145,   989,   981,   988,   977,   980,   982,     0,   984,   985,
     979,   976,   978,  2310,  2131,     0,  2376,  2378,  2165,  2389,
    2388,  2164,  2395,     0,     0,  2358,  2386,  2385,     0,     0,
    2370,  2370,  2134,  2145,     0,  2235,  2266,     0,     0,  2086,
       0,     0,     0,  2140,  2843,     0,     0,  2197,  2198,     0,
    2194,  2195,  2190,  2191,  2156,     0,  2635,  2174,     0,     0,
    2189,  2049,  2047,  2046,  2031,     0,     0,  2029,  2025,     0,
    2054,  2199,  2232,  2266,  2201,     0,  1743,  1727,  1726,  1725,
    1724,  2204,  2422,  2204,   239,  1714,     0,  1864,     0,  1867,
       0,     0,  1818,     0,     0,  1822,     0,     0,  1824,  1826,
       0,     0,     0,     0,     0,     0,  2411,     0,  1788,     0,
    1743,     0,  1758,     0,  1620,  1605,     0,  1606,  1612,     0,
       0,     0,     0,     0,  1648,  1641,  1144,  1152,     0,     0,
       0,   541,   815,   814,   817,   812,   816,  1519,     0,   689,
     690,   693,  1289,     0,  1350,  1298,     0,  1637,   532,   305,
       0,   551,     0,     0,     0,  1096,   140,  1095,     0,   551,
     551,   485,   484,   493,   313,     0,     0,     0,   307,   385,
       0,   387,   308,   312,   366,   329,   322,     0,     0,     0,
    1285,     0,  1348,  1294,  1321,  1373,  1268,  1332,     0,     0,
     880,     0,     0,     0,     0,  1374,  1269,  1333,     0,     0,
       0,     0,     0,  1637,     0,     0,     0,     0,     0,     0,
       0,     0,  1528,     0,     0,   365,   868,   867,   366,   403,
    1312,     0,  2104,     0,   965,   970,   971,   969,     0,   409,
     417,   420,     0,     0,  1237,  1237,     0,     0,   494,   511,
       0,   596,   555,   596,     0,     0,     0,     0,     0,   708,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     753,   752,   191,     0,   469,     0,   707,     0,   865,     0,
       0,     0,   612,   471,     0,     0,  1593,   470,     0,     0,
     482,     0,   588,   577,   585,     0,     0,   609,     0,  1472,
       0,   615,     0,     0,     0,   809,  1185,     0,  1199,     0,
    1140,  1110,  1194,     0,  1719,  1871,     0,     0,     0,     0,
     792,     0,   662,  1238,  1506,   898,   900,   745,  1056,     0,
    1069,  1061,   983,  2360,  2394,  2329,  2331,     0,     0,  2352,
    2345,  2348,  2346,  2347,  2349,     0,  2344,     0,  2162,  2393,
    2342,  2356,  2295,  2237,  2083,     0,  2298,  2297,  2301,     0,
    2151,     0,  2152,  2196,  2158,  2175,     0,  2159,  2187,     0,
       0,  2050,  2048,  2033,  2234,     0,  2219,  1697,  1696,     0,
    1717,  1900,  1869,     0,     0,  1863,     0,     0,  1894,     0,
       0,     0,  1829,  1847,     0,  1825,  1823,     0,  1836,     0,
    1838,  2517,  2804,  2703,     0,  1775,  1777,  1780,  1782,  1781,
    1783,  1779,  2203,  2205,     0,  1754,  2258,  1873,     0,     0,
       0,  1091,     0,     0,  1621,  1650,  1662,  1662,  1645,  1057,
       0,   145,   685,     0,     0,   284,  1103,     0,  1197,   557,
    2647,   558,  1102,  1106,   139,     0,  1197,  1197,   481,     0,
     311,   321,     0,   368,   380,     0,  1637,     0,     0,   878,
     887,   887,   875,     0,     0,   894,  1271,   749,     0,   560,
       0,   279,  1297,  1291,     0,     0,     0,  1530,  1531,     0,
       0,     0,     0,     0,  1320,   145,  1293,   973,     0,   442,
     450,   421,   425,  1522,     0,  1522,     0,   422,   426,  1522,
    1522,   419,  1871,   438,  1237,     0,  1234,  1233,   544,   626,
       0,     0,   501,     0,   566,   500,     0,   821,     0,     0,
     706,     0,   471,   575,     0,   529,   520,   521,   522,   523,
     525,   524,   526,   527,   528,   518,   517,     0,   707,   884,
     375,  1479,   747,     0,     0,   720,     0,   707,     0,  1596,
     608,   577,   471,   575,   475,   493,     0,   592,   585,   588,
       0,   589,     0,   593,     0,     0,     0,   612,  1532,  1090,
       0,     0,   810,  1198,  1159,     0,     0,  1188,  1192,  1193,
       0,     0,     0,     0,  1241,   786,   787,   781,   783,     0,
     794,   798,   657,     0,     0,   661,   652,   707,   145,     0,
       0,  2343,  2350,  2351,     0,  2172,     0,     0,  2368,     0,
       0,     0,  2084,     0,     0,  2177,  2176,  2188,  2160,  2214,
       0,     0,     0,     0,     0,     0,     0,  1708,     0,  2330,
    1862,  1865,     0,  1897,     0,     0,     0,     0,  1882,     0,
    1827,     0,     0,  1837,     0,     0,     0,  1784,     0,     0,
       0,  1793,     0,  1618,  1871,     0,  1615,     0,  1657,     0,
    1649,  1651,     0,     0,     0,  1076,     0,  1077,  1299,     0,
    1097,     0,   596,     0,  1109,  1106,   546,   596,   596,   626,
       0,     0,   324,     0,   292,  1295,     0,     0,   889,   889,
       0,     0,     0,     0,     0,     0,   397,     0,     0,  1524,
       0,  1525,  1526,  1529,   405,   418,     0,   448,   447,     0,
     445,   444,   446,     0,   435,     0,     0,     0,     0,     0,
       0,   408,  1232,  1236,  1235,     0,   502,     0,   504,     0,
       0,   552,   553,   554,     0,   506,   562,   563,   818,     0,
     823,     0,   709,     0,     0,   707,   574,   731,     0,     0,
       0,  1473,     0,     0,   599,   741,  1479,   612,   585,     0,
     577,   483,     0,   594,   588,   592,   590,   591,     0,  1476,
       0,   614,     0,  1099,   808,     0,  1189,  1200,  1195,  1190,
    1435,     0,     0,   784,   789,   788,  1522,   793,     0,     0,
       0,   660,   659,   735,  1014,  2332,  2333,  2357,     0,     0,
       0,  2336,     0,  2334,     0,     0,  2356,     0,  2173,  2294,
    2180,  2153,  2178,  2791,  2518,  2762,     0,  2231,  2220,  2231,
    2231,  2211,     0,     0,     0,  1899,     0,     0,     0,  1895,
    1896,  1880,     0,     0,  1884,  1834,  1860,     0,     0,     0,
    1778,  2206,  2207,  2441,  1607,  1617,  1092,     0,  1659,  1661,
       0,     0,     0,  1637,     0,   561,     0,  1093,  1109,   555,
     810,   810,   318,   309,   367,     0,     0,     0,   885,   888,
     876,   877,   896,   895,   751,  1637,     0,   393,   392,     0,
     396,     0,   443,   453,     0,   451,   423,   428,     0,   434,
     433,   430,   429,   424,   427,   543,     0,     0,     0,     0,
       0,     0,   564,     0,   565,     0,   822,     0,     0,     0,
     733,   883,     0,     0,   469,   707,  1474,  1594,   588,   577,
     585,     0,     0,   579,  1103,  1103,   456,   592,   594,  1477,
    1478,     0,     0,   509,     0,  1111,  1434,  1433,  1719,     0,
       0,     0,   795,   796,   791,     0,     0,  2337,     0,  2340,
       0,  2341,  2335,  2365,  2367,     0,  2353,  2354,     0,  2224,
    2223,  2222,  2226,  2225,     0,  2218,  2216,  2217,     0,     0,
       0,     0,  1866,     0,  1883,  1886,     0,     0,     0,  1892,
       0,  1885,  1887,     0,  1846,     0,  1858,  1786,     0,  1785,
    1871,     0,  1664,     0,     0,  1652,  1653,     0,     0,  1654,
     145,   285,   550,   810,   559,  1094,   566,   535,   533,  1637,
     879,     0,   280,     0,   398,  1527,   449,     0,   432,   431,
     625,   505,   595,   571,     0,   570,     0,   568,   567,   819,
     824,     0,   707,   873,  1479,   721,   592,   585,   588,     0,
     578,     0,   140,   140,   594,   454,     0,     0,   375,     0,
    1417,  1719,  1416,  1418,  1426,  1423,  1425,  1424,  1422,     0,
    1244,  1245,   785,   790,     0,     0,  2338,  2339,     0,     0,
    2171,     0,     0,     0,  2228,     0,  2229,     0,     0,     0,
       0,     0,  1889,  1890,  1891,  1893,  1888,  1833,     0,  1787,
    1614,  1658,  1660,  1655,     0,  1656,     0,     0,     0,     0,
    1665,  1078,   537,   810,   293,   886,     0,   452,   569,   546,
     546,   707,   732,  1475,   594,   588,   592,  1103,   580,   582,
     581,   458,  1099,  1100,     0,   594,   798,     0,  1427,  1421,
    1695,  1682,     0,     0,   797,     0,     0,     0,     0,  2221,
    2227,  2230,     0,     0,     0,     0,  2628,     0,  1901,     0,
       0,     0,  1663,  1669,     0,     0,     0,   538,     0,   573,
     572,   734,   457,   592,   594,   140,   509,  1098,     0,  1871,
       0,  1419,  1719,     0,     0,   803,  2364,  2366,  2355,  1713,
    1712,  2809,     0,     0,  1716,  1909,     0,  2358,     0,     0,
    1912,     0,  1859,     0,     0,     0,   394,   594,   455,   583,
     375,  1101,  1085,     0,  1420,     0,     0,   805,     0,   801,
     804,   806,   807,     0,     0,     0,     0,  1902,  1903,  1912,
       0,  2342,  1912,  1881,  1666,  1670,     0,  1667,   459,   594,
       0,     0,     0,   769,     0,  1743,     0,     0,     0,  1898,
    2358,  1911,  2368,  2342,     0,  1871,     0,     0,     0,   802,
       0,     0,     0,     0,  1906,  2356,  2368,     0,  1086,   803,
    1242,  1243,     0,  1715,     0,     0,  1904,  2356,  1668,     0,
       0,  1907,  1905,   770,     0,  1908
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5891, -5891, -5891,  4044,  -524, -1733, -5157, -1113,  8383, -5891,
   -5891,  -972,   398,  3267, -2449, -5891, -5891, -5891,  1424, -5891,
   -5891, -5891, -5891,  4016, -5891, -2961, -5891, -5891,   200,  3966,
   -1388,   186,  3594,  1558, -5891, -1034, -5891, -5891,  -645,     4,
   -5891,  3978,   623, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
   -5891,  -747,  2022, -5891,  2115,  1343, -3386, -5891, -5891, -1551,
   -3767, -5891,   598, -5891,   622, -4176, -5891, -4848, -1065, -5891,
   -5891, -5891,  2004, -5891, -5891, -5891,  1951,  1139,  -422, -5891,
   -5891, -5891, -5891, -5891, -5891,  -886, -5891, -5891, -1195,     2,
    -656, -2960, -4323, -5891, -5891,   445,  -464, -1509, -5891,   639,
   -5891,   641, -5891, -4880, -5891,   -56, -2771, -2984, -5891, -5891,
   -5891,  -433, -1514,  1384, -5891,  1448, -5891,  -717, -1192,  1827,
   -2606, -1022, -5891,  -324, -3593, -1167,  -897,  -893, -1054, -4417,
   -4901, -5891, -5891, -1194, -3843, -5223, -5476, -4956, -4788,  1397,
   -5891,   -81,   450, -5891,     5, -3684, -3738,     6,   427, -5891,
      11,    14, -5891,   443,  -824,  -976, -1605, -5891,  -825, -5891,
   -5891, -5891, -3475, -5891, -5891, -5891,   182, -5891, -5891, -5891,
   -5891,   488, -5891, -5891, -5891, -5891, -5891, -5891, -3213,  1977,
    1982, -5891, -4388, -5891,  -945, -5891,   655, -3504,  1379, -5891,
   -5891,  1138,  4039,   480, -5891, -5891, -5891, -5891, -5891, -5891,
   -1799, -5891, -5891, -5891, -5891,   -55,  -402, -5891, -5891, -5891,
   -5891, -5891, -5891, -5891,    15, -5891,  1106,   417, -5891, -5891,
    -706, -5891, -5891, -5891, -5891, -5891, -5891, -1242, -5246, -1368,
   -1341, -5891, -3510, -5891, -5891, -5891,  -361, -5891, -5891, -5891,
   -5891, -5891,  -885, -5891,  1208, -4208, -5891, -5891,   464, -5891,
   -5891, -5891, -5891, -5891, -1016,  -303,  3214, -5891,  -561,  -787,
   -5891, -5891, -5891,  -301, -5891, -5891, -5891, -5891, -5891,  -535,
   -1265,  5067,  4422, -1121,   574,  -839,  -583, -5891, -5891, -5891,
   -2743, -5891, -5891, -4274, -5891,  5059,  2498,  1587,    16, -5891,
     -18,    87,  3865, -5891,  1074, -1172, -3152,   424,  -515, -5891,
   -5891, -5891,   425, -5891, -1971, -5891, -5891, -5891, -5891, -4139,
      20, -5891, -4425, -5237, -4660, -4206, -1206, -5891, -4493, -5226,
   -4120, -5891,  2024, -5891, -5891,  -510,   -97,  3185, -5891, -1491,
    2369, -1397, -5891, -2636,   493,  1560,  3199, -3292,  -134,  3186,
   -3038, -5891,  -690,  1151, -5891,  -382, -3849, -5891, -5891, -5891,
   -2841,  -641, -5891, -5891,  1586,   413, -5891, -5891, -5891, -5891,
    -652,  3166,  -199, -5891, -5891,  4407, -5891, -5042, -5891,  4370,
   -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -5891, -1474,
    1318, -5891,  -826, -5891, -5891,  2129,   700, -5891, -5891, -5891,
   -5891,  1408,  -479, -5891, -5891, -5891, -5891, -5891, -5891, -5891,
    -993, -1226, -5891, -5891, -5711, -5891, -5891, -5891, -5891, -5891,
    2478,  -965,  -754,  4269,  -222,    22, -5404, -5891, -5891,  -418,
   -5891,  3606, -5891, -5891, -5891, -5891, -5891,   483,   484, -5891,
   -5891, -5891, -5891, -4129, -5891, -5891, -5097, -5891, -5891,  2112,
   -5891, -5891,  -314,     3,  3325, -5891, -5891, -5891,    -9, -5891,
   -5891, -1025,  2461, -5891, -2416, -5891,  -588, -5891, -5891, -1922,
      25, -4398, -5891,    51, -5891, -5891, -5109, -1143,   279, -5891,
   -5891, -4122,    60, -5891, -5891, -5891, -5891, -5128, -5891,    61,
   -5626,   846, -3373, -5891,    10, -5891,  -463, -5891, -5891,  -467,
   -5891, -5891, -5891, -4019,    26,   168, -5891, -5891,    83,  6767,
     -47,   -17,   -13,    21,   153,  3719, -5891, -5891, -5891, -4529,
    3759, -5891,     8,  -876,  5105,  5106, -5891,  -912,  -144,   442,
    1662,  -680, -2633,  3675,  3668, -5891,  1658,  2476, -2470, -2452,
   -5891, -1184,  -857,  -664, -5891, -5891, -5891, -5891, -1731,  -677,
   -2644, -5891,  3679, -5891, -5891, -5891, -2353, -3415, -3239,  1700,
   -3326, -3193, -5891,   939,   922, -1088,  -121,   -37, -1486,  -789,
    1681, -5891, -5891,  1708,  -394, -5891, -5891,  -390, -3330,   881,
   -5891, -4620, -2849,  1712, -1154,  -833, -5891,  -980, -5891,  -633,
    1721, -5891, -4006, -1180, -5891, -3748,  5621,  3754,  -836, -5891,
   -5891,  -810, 10766, -5891, -5891, -5891, 10859, 11172, -5891, -5891,
   11753, 12642, -5891,  -555, 13072,  9547,  -805, -1945,   381, 13844,
   18536, -1843,   332,    78, -5891, -2957, -1696, -5891, -5891, -5891,
    -350,  1037,   585, -5891, -5891, -4669, -4424, -5891,  2610, -2075,
   -5891,  -638,  1790,  -635, -5891, -5891, -5891, -3027, -4946, -3179,
    2614, -5891, -5891, -5891,  -165, -5891, 18918, -3284, -5891,   160,
   -1030, -1604,  3114, -3084, -1936, -5891, -5891, -5891, -3128, -5891,
   -5891, -5891,  -719,  1813, -5891, -5891,  1941, -5891, -5891, -5891,
    -973,  2179,  -761, -1196,  1822, -4511, -5891,  -573, -5890, -5009,
   -5891, -5519, -5878, -1906, -1163, -3046, -4728, -1968,  1836, -3135,
   -5891, -1944,  1916,  1127, -5891, -1558, -5891,  4294,  -800,  2628,
    -801, 16489,  -712, 10156, -1292, -5891,  4302, -5847,   539,  5975,
      28,  -122,  5170,  -608,  2543,  2892, -5891, -5891,    -6,  9085,
    -661,  -756, -5891,  5238, 17170, 15986, -3721, -5891
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    57,    58,    59,    60,  1108,  1113,  1910,  1929,    61,
      62,  1632,  3064,  2917,  3892,  3893,    63,    64,  1628,    65,
      66,    67,    68,  1542,    69,  1882,  3078,    70,  2750,   850,
     851,   852,  2615,  2616,  3009,  2617,  2605,  1394,  1828,  1564,
     824,   825,  1524,  1565,    72,    73,  1388,  2596,    74,    75,
      76,  1595,  1689,  1596,  1597,  1536,  5032,  5862,  3678,  2872,
    3940,  3679,  3680,  4368,  4369,  3758,  4397,  4459,  5876,  5877,
      77,  1705,  1706,    78,    79,  3046,  3858,  4512,  5419,  5420,
    5681,   669,  5055,  5056,  5668,  5669,  5891,  6064,  6065,  3079,
     700,  3935,  4596,  3883,  5126,  3884,  5127,  3885,  5128,  4922,
    4923,  4358,  4359,  3869,  4543,  4544,  2086,  5068,  4545,  3886,
    5087,  5715,  3887,  2838,  2765,  2766,  5906,  3113,  2001,  1999,
    5618,  5694,  4908,  4909,  4433,  5915,  5916,  5917,  6207,  5089,
    5132,  5133,  6102,  6103,  3938,  4602,  5139,  5477,  5692,  3636,
      81,  3911,  3912,    82,   763,  1904,  4039,   764,  3116,   701,
     765,  3080,    87,  3106,  5908,  3107,  1658,  2931,  4525,  4015,
      88,  1136,  4322,  5502,  5775,  5776,   754,    89,  1890,    90,
      91,  3059,  3876,    92,  2783,  3584,    93,    94,  3603,  3604,
    3605,    95,  4553,  5438,  1598,  3667,  3668,  3669,  3670,  4389,
      96,  1885,  3087,  3088,    97,    98,    99,  3218,  3219,   100,
    2995,   101,   102,   103,   104,  4427,  4989,  5103,  3709,  3899,
    4569,  5101,   105,  3862,  3081,  3134,  3973,  3974,  5500,  5767,
    5768,  5769,  5966,  6242,  5771,  5968,  6124,  5970,  5078,  6388,
    6389,  5752,  4311,  4886,   107,  5079,  5080,  5921,   108,  2781,
     109,   110,  1859,  3052,  3053,  4526,  3123,  3948,  3949,  4582,
    4583,   111,  3798,   112,  4965,  4966,   702,  5929,  5868,  6050,
     113,   114,  4969,  4970,   115,   116,   117,   118,   119,   755,
    1070,  1071,   757,  1191,  1192,  3545,  1153,   120,  2625,   121,
    3838,   122,  1266,  5192,   123,   789,  1207,  1208,  3082,   125,
     799,  3237,   801,  3202,  3203,  2017,  4019,  4020,  4670,   126,
     127,  4023,  4024,  4677,  3215,   128,  1529,  2760,  2761,  4878,
    3083,   703,  3630,  5600,  5345,  5601,  6113,  6304,  5346,  3489,
    4267,   130,   704,  1570,  2822,  1159,  1160,  3127,  3953,  2730,
    2731,  1728,  4623,  2733,  3955,  2734,  1503,  2735,  1146,  1147,
    3961,  3962,  3963,  3964,  4619,  4629,  4630,  5494,  5760,  4626,
    1878,  5488,  5489,   131,  1567,  2819,   132,   133,   134,  1611,
     994,  1169,  1170,   135,   716,   717,   136,  5686,   137,  1149,
     138,  5498,   139,   140,  1251,  1252,   816,   141,   142,  2842,
    4371,   143,  1568,   144,   145,  3703,  3704,  4981,   146,   147,
     148,  2903,  2904,   149,   150,   151,   152,   153,  6232,  6307,
    6308,  6309,  4637,  6118,   154,  1239,   155,   156,   157,   158,
     196,  1035,  1036,  1037,   947,  3084,  5479,   160,   161,  1525,
    1526,  1527,  1528,  2755,   162,   163,   164,  3983,  3984,   165,
     166,   167,   168,  1862,   169,   170,  5659,   171,   172,  1832,
     173,   174,  1044,  1045,  1046,  1047,  1830,  3433,   663,   869,
    1419,  1425,  1468,  1469,  1470,   176,   767,   177,  1242,  1075,
     768,  1200,   179,   769,  2712,  3519,  4282,  4283,  4284,  4287,
    5311,  4855,   770,  3515,   182,  2024,  3224,  3227,  3511,   771,
    3525,  3526,  3527,  4291,   772,  5604,  5605,  5606,  5607,  5843,
    6175,  6176,  6179,  6280,   773,   791,  1139,  3138,   774,  1353,
     188,   189,   190,   927,   872,   873,  3438,  5560,  5807,   192,
    2589,  3416,   808,  1474,   915,   916,   917,   936,  3019,  2678,
    2679,  2703,  2704,  1483,  1484,  2691,  2695,  2696,  3502,  3495,
    2684,  4261,  5585,  5586,  5587,  5588,  5589,  5590,  4844,  2699,
    2700,  1486,  1487,  1488,  2708,   193,  2668,  3468,  3469,  3470,
    4237,  4238,  6164,  4252,  4248,  4829,  5288,  3471,   861,  1237,
    1495,  4837,  6166,  3472,  5277,  5278,  5565,  4257,  3481,  4278,
    3923,  3924,  3925,  3473,  5817,  5818,  6161,  6162,  5567,  5568,
    3474,  5809,  6327,  6328,  6366,  6401,  2736,  1448,   900,  1354,
     901,  1461,  1355,  1435,   903,  1356,  1357,  1358,   906,  1359,
    1360,  1361,   909,  1427,  1362,  1363,  1444,  1457,  1458,  1364,
    1420,  5569,  1366,  1367,  1368,  3476,  1369,  4773,  5249,  5235,
    3338,  3339,  2612,  5550,  4769,  4150,  4763,  2582,  2586,  5300,
    5592,  5593,  3409,  4199,  4800,  5266,  5803,  5997,  5998,  6145,
    1370,  1371,  1372,  3401,  2576,   997,  1373,  4528,  2578,  3329,
    3307,  1731,  3308,  2027,  2049,  3256,  3272,  3273,  3377,  3309,
    3317,  3322,  3330,  3363,  1374,  3258,  3259,  4061,  2051,  1375,
    1041,  1734,  1042,  1463,  3358,  5215,  5515,  5516,  5788,  5789,
    5526,  5790,  5527,  5517,  4072,  4073,  5986,  3283,  3378,  4076,
    3291,  3292,  4094,  4083,  3284,  1376,  4085,  1384,  1385,  1378,
    2018,   862,  5284,  1195,  1815,   805,  1379,  1380,  1381,  1382,
    1604,   968,  1162,  1163,   918,   920,   921,  2672,   659,   651,
     970,  3671,  2579,   660,   653,   654,  1820,  2580
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     650,  1048,    80,   175,    71,    83,    84,   860,  1730,   926,
     184,    85,   995,  1827,    86,   106,   124,   802,   828,   804,
     129,   191,   159,   810,   766,   178,   185,  1489,   818,   826,
     830,  1102,   833,  1998,  1657,   826,   826,  1377,   863,  1389,
     866,  2866,   191,  1944,  1194,   937,   996,   922,   922,   922,
     793,   180,  2944,   864,  1142,  1710,   793,  1475,  1440,  1477,
     181,   183,  2837,   948,  3635,  3512,  1662,  2836,  3239,  1821,
    1140,  1722,  1431,  1432,  1460,  1416,  2046,  3513,  2823,  1228,
    1229,  1230,  1439,   186,   648,  1234,  4041,  2038,  1887,  4209,
    3965,  4211,  1446,  1403,  1004,  3538,  3540,  3290,  3101,  4276,
    4607,  1048,  1415,  3882,  1201,  2732,  3230,  2849,  1026,   960,
     800,  3255,  1508,  1234,  3904,  1860,  4632,  1001,  3763,  1865,
    1006,  3013,  3294,   829,  1869,  4434,  4356,  4328,  4360,  1069,
    1175,  2030,  3795,  3913,  1879,  2032,  2905,  2905,  2033,  2034,
    2905,  2974,  2975,  4910,  1188,  4846,  4251,  4530,  1899,  4581,
    1599,  4290,  1603,  5281,  1048,  3278,  3282,  3285,  3286,  3347,
    4384,  3295,  4386,  3297,  3298,  4861,   931,  2664,  1185,  4880,
    3168,  2814,  2732,  1202,   939,  1621,   657,  3120,   940,  1933,
    1638,  5135,  1142,   708,   232,  5146,  4949,  5481,  1019,  5623,
    5698,   650,   951,   951,  4594,  5125,   951,  5598,  1396,  5117,
     962,  1571,   863,   875,  4265,   998,  5525,  1048,   962,  5615,
    3431,   962,  2970,  5220,   863,  5221,   951,  1872,  5293,   863,
    5295,   823,  1829,   951,  3504,   863,  1173,  4234,   857,  1177,
    3901,  2814,  5086,  1896,  5474,  4078,  3419,  3314,  5442,  3002,
    3421,   849,  4296,  4181,  3507,  4178,  4591,  5750,  2814,  5737,
    5470, -2562,  5347, -2604, -2630,   775,  1482,  3483, -2671,  1485,
    1895,  5943,  4080,  1656,  4091,  5651, -2450,   775,   714,  1048,
    1566,  5004,  1688, -1971,  5134, -2450, -2450,  2794,  4249,   667,
    4254,  4255,  1715,  4289,  1816,  3841,  5473,  3844,  3845, -1938,
    1415,  2867,  3849,  3850,  3851,  1031,  3853,  3854,  3855, -2415,
     946,  3235, -1951,  5661,  5662,  2669, -1976,  2850,  5978,  3356,
   -1996,  1566,  1530,  5344, -1966,  3872,  1566,  5931,  5982, -2451,
   -2483,  3356,   714, -2566,  3098,  1428,  1429,   714, -2451, -2451,
   -2859,   775,  1129,  3213,   775,  4617,  1438,  4059,  5240, -2859,
   -2859,  6276, -2414, -1979,   714,   714,  1450,  2107,  2981,  1209,
    2840,  6399,  1213,  3213,  4627,  5867,  -441, -1979,  6079,  5979,
    4114,  4674,  2968,   714,  1852,  2602,  4546,  1600,   714,  1600,
   -2241,  3110,  4241,   775,  3044,   775,  3197, -2241,  2107,  2629,
    4324,  6128,  1393,  5687,  4114,  3398,  1142,  3822,  1926,  3213,
    2905,  4329,  3399,  3598,   714,   775,  4091,  5854,  3111,  1032,
    5496,  6170, -2260,  5147,  5782,  5122,  5795,  6234,  5309, -2260,
    2629,  1926,  2631,  4962,  5194,  5195,  5196,  3062,  5198,  5199,
    5200,  5201,  5202,  4560,  1451, -1772,  1224,  1531,   781,  3873,
     781,   781,  5123,  2085,  5084,   781,  5903,  3404,  1722, -2627,
    1719,  1926,  1821,  2631,  1074,  2890,  2675,  1874,  1204,  2984,
    4242,  2990,   782,  5614,   782,   782,  6130,  5825,  3454,   782,
    2867,  5237,  3509,  5650,  4967,  1033,  1121,  6135,  3732,  6108,
    4114,  5863,  4854,  5628,  3216,  3707,  4033,  6363,  1909,  -150,
    1431,  1432,  2603,  2107,  4243,  -150,  3076,  5964,   835,  6396,
    2671,  2107,  3599,  3559,   661,  1551,  5443,   781,   661,  4244,
     781,  1245,  1452,  1122,  3757,  1453,  6271,  5066,  5864,  4675,
    3006,  6422,  1439,  2840,  6324,  2629,  5945,  1094,   996,  1095,
    6234,   782,  4245,  3007,   782,  4453,  6400,  1034,  1446,  3099,
    2868,  6272,  6096,  6436,  5067,  5353,  1198,  5965,  4081,  6325,
    4092,  1123,  6434,  6277,  4963,  5444,   662,  6416,  2631,  3732,
     930,  4246,  1926,  3008,  1417,  3708,  2631,  1260,  4460,  1096,
    1538,   792,  4034,  1952,  2987,  1106,  4043,   792,   996,  2107,
    3077,  2840,  5738,  3793,  3510,  3217,  2606,  1120,  5238,  1454,
    5286,  2618,  2618,   888,  5603,  3560,  2667,  3405,  2060,  1942,
    2891,  1124,  2101,  5904,   836,  4968,  2991,  1926,  1821,  1942,
    2840,  2629,  3112,  1926,  1142,  3634, -1772,  1942,   714,  4578,
    1264,  1532,  1926,  2840,  1225,  4561,  1467,  1982,  2604,   867,
    2043,  3063,  2592,  1454,  2019,  2840,  1720,  5796,  2840,  6038,
    2840,  6224,  1926,  5310,  2631,  2029,  5124,  5726,  5085,  1926,
    3874,  6234,  5902,  3045,  2851,  5695,  1857,  3213,  6332,  4247,
    2666,  4676,  2039,  1533,  2947,  4964,  2941,  1051,  2852,  3214,
    2853,  3198,  2771,   863,  4329,   951,  4325,   951,  5783,  5497,
     951,  4518,  4092,  4530,  5579,  1539,  4628,   998,  1079,  3602,
    2939,  3257,  1109,  2942,   951,  3837,  1942,  5325,  1534,   191,
     951,  1134,  2623,  3011,  3012,  3357,  4547,  1927,  6278,  2868,
    5054,  4984,  6080,  1816,  2869,  4071,  1942,  4185, -2627,  3100,
    1721,  1263,  2642,  2867,   650,   926,  2969,  1610,  2949,  1076,
    1927,  6107,  2801,   962,  1428,  1429,  2854,   998,  1077,  1078,
     962,  5980,  2808,   962,  3875,  2870,  2867,  1142,  4618,  1455,
    6294,  2911,  4672,  5287,  5315,  1142,  1142,  1426,  5354,   951,
    1927,  1080, -2241,  2600,  6279,  1858,  3010,  1205,   668,  5363,
    2871,  1535,  1438,  3823,  2867,  5981,  1039,  3400,   787,   788,
    1040,  1236,   950,   952,  2867,  5983,   955,  2982,  4082,  3251,
    4093,  2884,   191,  6061, -2260, -2627,  2867, -2562,  3448, -2604,
   -2630,  2962,  2963, -2450, -2671,  1490,  1013, -2627,  2799,  5095,
   -1971,  2865,   863,  1023,  1206,  3186,  1211,  2928,  1215,  2709,
    6293,  1253,  2710,  2670,  1219,  4167,  1430,  5543,  3018,  2929,
    6344,  1039,  2932,  2933,  1039,  1040, -2415,  1236,  1040,  1434,
    5938,  1383,  1383, -1976,   863,   826,  4991,  2061,  6129,   826,
    5143, -1966,  4995,  4916,   787,   788, -2451,   787,   788,  2103,
    3170,  1441,  1442,   863,  2590,  5941, -2483, -2859,   863, -2566,
    2883,  1927,  1843,  2575,  1383,  1441,  1442,  6377,  5142, -2414,
    1443,  3424,  6393,  2869,  6226,  6216,  4129,  2818,  2985,  4454,
    6245,  2647,  2648,  3196,  1445,  1928,  1601,  1602,  1601,  1602,
    4530,  2572,  2573,  2574,  2575,  3211,   996,  4126,  4127,  4128,
    4129,  4298,  4251,  4299,  2870,  6181,  1927,  1494,   787,   788,
     939,  1383,  1927,  6131,   940,  1935,  6446,  1233,  1834,  4448,
    4449,  1927,  1545,  5512,  4450,   863,  1233,  6192,  6452,  2871,
    2818,    80,   175,    71,    83,    84,  1540,  3001,   863,   184,
      85,  1927,  4572,    86,   106,   124,  4292,  2818,  1927,   129,
     191,   159,  2868,   863,   178,   185,  5850,  1523,  1222,  4722,
    4723,  1839,  2892,  2988,  1630,  1844,  3607,  1845,  2624,  4579,
    2865,  3477,   863,  4591,   868,  2868,  4727,   951,   951,  3692,
     180,  4124,  4125,  4126,  4127,  4128,  4129,  6106,  1631,   181,
     183,  4491,  3072,  2989,  4896,  6296,  4954,  4579,  -150,  -150,
    4669,  4826,  1858,  2868,  1541,  4830,  5058,  2793,  4870,   826,
     826,  1271,   186,  2868,  4114,  3032,  2772,  4216, -2986, -2986,
   -2986,  4510,  4511,  3504,  1422,  2868,  1939,  1858,  3578,   709,
    1421,  4708,  1383,  1383,  4816,  3289,  4818,  4819,  5326,  6100,
    5057,  1392,  4270,  1512,  4785,  1400,   650,  6138,   951,  1694,
     958,   714,   962,  2587,  5096,   998,   962,   934,   962,  4570,
    3383,  6284,  1919,   951,  6035,  6299,  6300,  2022,  5725,  6040,
    6041,  1950,  6343,  2671,  4080,  6088,  1920,  1972,  2971,  4168,
    2570,  2571,  2572,  2573,  2574,  2575,  1975,   863,  6172, -1910,
    3674,  6099,  1695,   941,   951,   951,  5689,  1092,  1891,  6173,
    5744,  3003,  3054,  4505,  2752,  1405,  1942,  4029,  5745,  3478,
     714,   714,  1497,  4669,  5773,  1128,   863,   863,   863,  2828,
     951,  3354,   650,  3969,   650,   650,  2869,  6251,  1821,  3609,
    2867,  1513,  5836,  1921,  2023,  6177,  4910,  6410,  4982,  3694,
    5731,  1892,  5984,  1961,  2908,  1156,  6150,  2912,  3675,  2869,
    5097,  4446,  6225, -1938,  5435,  1472,  1478,  2870,   951,  5634,
     951,   951,  1048,  5111,  1876,  4169,   979,  5166,  6334,  4031,
    2809,  2840,  4293,   980,   981,   982,  1015,  2869,  2594,  1129,
    2870,  1232,  2871,  2841,   942,  1514,  1962,  2869,  6379,  3114,
    4633,  3598,  6007,  1383,  3684,  6203,  2762,    35,  6217,  2869,
    4346,   823,  1680,  3231,  3384,  2871,  1612,  1016,  2870,  3385,
    5985,   941,  3208,  3209,  3970,  6178,  3220,  5896,  2870,  2000,
    2832,  2000,  5897,  2865,   664,   863,   191,   802,  2914,  2857,
    2870,  1271,  4527,  2871,  4114,   803, -1938,  1922,  4115,  4116,
    4117,  5098,  1699,  2871,  1480,  1083,  2865,  1086,  1700,  5396,
    1088,  2036,  2595,   863,  4170,  2871,  2777,  2042,  2762,  2867,
    3386,  1473,  3172,  3676,  1114,  2858,  1130,  2778,  6301,  2810,
    1118,  1383,  1233,  5397,  2865,  5436,  5898,  3110,  2763,  3860,
    3017,  4634,  3188,  1613,  2865,  1622,  5924,  1696,   715,  5472,
    3599,  3195,  5746,  4412,  1942,  3200,  2865,  6424,  6006,  1515,
    3207,  5774,   942,  3210,  3111,   926,  6319,  5491,  5837,  3355,
    1923,  4120, -2411,  1383,  -702,   792,  5940,   792,  1918,   792,
    3627,  5015,  4624,  3608,  5952,   792,  1220,  1221,  5122,  4098,
    5927,  5937,  1498,  3149,  3537,   710,  1893,  2101,  6342,  5935,
    1031,  3902,  1383,  1383,  1383,  3542,  1383,  3161,  3221,  6349,
    4081,  3145,  5460,  1643,   943,  5123,  4030,  1701,  5525,  1979,
    3167,  2867,  2867,  2106,  2751,  3579,  2107,  1383,  2588,  2868,
     959,  5321,  3353,  3460,  1406,  1644,  1984,  4362,  1986,  5923,
    1988,  1963,  1990,  3166,  1992,  1993,  1994,  5466,  6378,  5973,
    2834,  1996,  4911,  3179,  3477,  5338,   711,  3071,  2629,  1697,
    1623,  4438,  5191,  2023,  6156, -2986,   863,  3693,  4413,  5939,
    2627,  5525,  1924,  3832,  3387,  6365,  2764,  1093,  4032,  5099,
    6204,  6408,  4118,  3685,  1383,  3516,  3305,  1645,  3147,  2814,
   -1938,  2631,  6174,  3265,  1131,  5690,   714,   944,   712,  1450,
     713,  3677,  3055,  3160,  1032,  4119,  3162,  2779,  1894,   996,
     934,  1407,  3971,  6425,  1494,  6116,  1494,  2676,  2677,  4635,
    2681,   940,   940,  1257,   940,  1157,  4263,  3972,  4111,  4112,
    1383,  5846,  1132,  4131,  1383,  1383,  1520,  3602,  2764,  1521,
    4214,  6253,  5840,  1877,  6261,   863,   863,   863,  2716,  2780,
    1383,  5314,  4363,  1964,  5100,  4456,  3199,  5282,  2868,  3779,
    3205,  3206,  2944,  4164,  6205,  3780,  3861,  5911,  5454,  3250,
    1033,  2835,  2100,   826,  4162,  4163,   792,  1451,  5016,  1646,
     760,  6157, -2986, -2986, -2986,  4124,  4125,  4126,  4127,  4128,
    4129,  4120,  3478,  6206,  4636,  1039,  1133,  6090,  1134,  1040,
      15,  1702,  1135,  2869,  5893,  3266,  5895,   932,  2805, -2986,
    5899,  5900,  2961,   826, -2986,   944,   951,  1608,  1609,  6094,
    3420,   194,  5398,  3611,  6254,  3543,  1261,  3789,  3544,   863,
    2839,  4872,  1034,  1246,  2870, -1771,  3222,    20,   863,  5439,
    6289,   951,  1647,  1703,  1624,  5156,   792,  1648,  5285,  6239,
    2645,  2773,  4414,  5289,   714,  1452,  5291,  3223,  1453,  2871,
    2868,  2868,  3790,  2943,  2685, -2986,   195,  1627,   998,  1031,
     863,  6222,  6223,   826,  3781,   933,  2907,  2907,  1704,  1821,
    2907,  3131,  3913,  3267,  4493,  5518,  1625,  3517,  1836,  6026,
     826,  5739,  1523,   863,  4415,  3954,   863,  1523,  1650, -1938,
    2865,  5076,  6117,  1848,  3132,  2965,  4530, -1938,  5519,  1430,
   -1938,  1459,  2686, -1938,  5520,  3331,  2718,  5912,   951,  6406,
    3190,  1626,  3612,  2636,  1588,  1247,  6255,  2767,  5521,  4416,
    4682,  5071,  2869,  3825,  1870,  1871,   863,   985,   986,   987,
     988,   989,   990,   991,   992,   993,  1652,  5800,   951,   951,
     951,   951,   863,  6158,  6435,  2768,  6140,  5740,  6159,    40,
    1908,  3268,  6239,  2870,  3269,   807,   863,  6215,  6447,   934,
    1653,  1523,  5741,  1032,  6322,  1523,  1454,  1383,  1383,  1383,
    3785,  3557,  4364,  4365,  5730,  2732,  4898,  4956,  2871,  2732,
     813,  1655,  5804,  6160,  6037,  1858,  5913,  5116,    44,  5113,
    1946,  1948,  4121,  4122,  4123,  4124,  4125,  4126,  4127,  4128,
    4129,  3158,  2685,  4366,  3598,  4271, -1771,  6290,  4527, -2986,
     680,  5048,  3786,  2774,  6323,  3486,  5052,  3477,  2688,  2865,
    3477,  5075, -2434,  4873,  2869,  2869,  -173,  3451,  2756,  1033,
    4874,  4849,    48,    32,   996,   996,  4980,  4875,  1227,  1588,
    2757,  4738,  3067,  4739,  3141,    49,  3724,  3787,  3782,  4110,
    2686,  1659,  5522,  5805,  6345,  2870,  2870,  -173,  2758,  5077,
    1538,  3133,  3332,  2698,  6278,    40,   863,   814,  3477,    50,
     665,  6256,  3270,  6239,  6292,  4876,  3477,   863,  3191,  4341,
    2871,  2871,  1455,  2689,   682,   951,   951,  6121,  3518,  2934,
    3783,  1034,  3148,  1660,  -617,  4683,  5072,  1248,  4877,  6200,
    3188,   951,  5801,  3599,    44,  3452,  3487,  1456,   935,  2775,
    2768,  3652,  3192,  5279,  6141, -2986,  2687,  2769,  5660,   863,
    2907,  2865,  2865,  4457,  2682,  3784,  3193,  2570,  2571,  2572,
    2573,  2574,  2575,  5802,  3725,   951,   951,   951,   951,  3600,
    1249,  1440,  1250,  3629,   863,  5944,  1630,  1402,    48,  4926,
    3188,   863,  4451,  6341,  3121,  3478,  3508,  4342,  3478,  1816,
    5548,    49,  5742,   996,  3194,  1499,  2688,  3068,  6185,   650,
    1631,  3654,   650,  5069,  4458,  1539,   194,  3653,  4952,  1858,
    3558,  3601,   962,   962,  4927,    50,  4272,  5322,  3271,  3726,
     792,  5355,   815,   998,   998,   792,   792,   962,  4740,  5361,
     962,  3743,  4847,  5930,    56, -1090,  3478,  1500,  5523,  1661,
    1271,   831,  4850,  4114,  3478,   951,   951,  4115,  4116,  4117,
    5524,   195,   951,  2646,   863,  4527,  1454,  2610,  5633,  6122,
    4452,  2689,  2653,  2759,  2654,  4778,  3225,  3655,  2657,  2683,
    5657,  2000,  1501,  5549,  2935,  2663,   858,  5070,   951,  2936,
     962,  3727,   191,  3204,   962,   962,  4953,   863,   863,  5951,
     951,  5323,  2953,  6123,  5658,  3281,   693,   863,   694,  3236,
    2611,  6303,  5665,  3634,   863,  4882,  5772,   863,  3121,  4848,
    3987,   802,  4928,  2898,   802,  3241,  5510,  1975,  1079,  1383,
    3602,  1383,  2954,  3480,  1877,   698,  1383,  1383,  2934,   191,
    2922,  5575,  4673,  1383,  1383,  1383,  1383,  1383,  1383,  1383,
    1383,  1383,  1383,  1383,  1383,  1383,  4280,   194,  6047,  1383,
    4685,  1383,   998,  1383,  1383,  1383,  1383,  1383,  1383,  1076,
    3624,  1383,  4882,  1383,  1383,  4352,   792,  1383,  1077,  1078,
      40,  3716,  3788,  4292,  1142,  6098,   792,  1478,   834,  3826,
    3827,  3828,  1383,  1383,  1383,  4281,  3744,  6115,  2857,  3681,
    4709,  1080,   195,  4883,  3747,  4713,  1509,  3750,  1668,  4531,
    1383,  4697,  1877,   870,  3728,  5441,  3931,  3240,  4340,    44,
    2845,  6114,  2846,  1640,  4055,  3705,  2815,  2732,  2944,  2640,
    1220,  1221,  6381,  5452,  2858,  6048,  3719,  2732,  4158,  4721,
    3004,  3180,  3913,  3181,  3794,  3182,  1478,  3183,  1510,  3184,
     951,  2860,  1479,  3185,  5465,  5761,  5609,  4534,  5611,  1975,
    4883,  3981,  1643,    48,  4119,  1641,  4712,  5657,  3436,  5838,
    3742,  4717,  4718,   792,  1669,  1480,   792,   792,  3717,  5423,
    3718,  4884,  3005,  1511,  1644,  4885,  2876,  5922,  2847,  6097,
    4655,  5658,   775,  2935,  3437,  3252,  5839,  3254,  2936,  3917,
    3918,  3919,  3920,  3261,  3922,   928,  6417,  3621,  3769,  3275,
    3276,  3832,  2732,  5424,  1975,  1121,  1670,  4500,  4536,    56,
    2905,  3299,  5431,  1671,  5433,  3705,  1481,  1672,  2950,  3950,
    1406,  3319,  5955,  3760,  1480,  3761,  1645,  3334,  4884,  3765,
    1665,  2915,  4885,  3816,   680,  3729,  2918,  6218,  3809,  6418,
    4120,   929,  1122,  3730,  1700,  4668,  3731,  1383,  2976,  2977,
    2978,  2979,  4734,  4735,  4736,  4737,   945,  3073,  4741,  4742,
    4743,  4744,  4745,  4746,  4747,  4748,  4749,  4750,  1643,   946,
    3724,  5705,  1666,  4455,   781,  1481,  4813,  3103,  5461,  5972,
    4573,  3870,  1630,  6136,  5414,  4365,  5415,  5416,  5417,  6137,
    1644,  5934,  4669,  3888,   954,  4933,  2106,  1407,   782,  2107,
    4815,  1383,  3791, -2986, -2986, -2986,  1631,  1667,   682,  1257,
    2993, -1742,  4295,  4409,  2999,  4940,  1897, -1742,  1646,  5427,
    4492,   956,  4789,  4790,  4539,  5706,  1398,  1690,  5707,  1504,
    1124,  2629,  5901,  4911,  6404,  5708,  6407,  3792,  2630,  5034,
    1898,  1430,  1645,  1459,    40,  1210,  1212,  1214,  1630,  2598,
    1216,  1217,  1218,  3810,  6295,  4410,  4014,  1383,  3725,   792,
    1223,  1969,  5035,  5709,  2631,  4911,   977,  1505,  4603,  1691,
    4540,  1506,  1631,  1692,   978, -1695,  2877,  3288,  3288,  5017,
    3943,  1647,   775,    44,  5765,  1970,  1648,  4541, -1695,  1038,
    4411,  -150,  3315,  5657, -1695,  3033,  3034,  1673,  6448, -1742,
    3905,  3336,  2943,  5018,  1693,  1021,  1507,  6445,  5766,  1633,
    -467,  3051,  4531,  3726,  1441,  1442,  4056,  5658,  4532,  3015,
    3016,  4057,  6183,  5710,  6454,  1441,  1442,    48,  1707,  1030,
    2840,  1711,  4533,  1443,  1646,  1674,  5711,  1650,  4025,  1675,
      49,  6305,  2848, -1695,  1445,  3094,  3095,  3096,  3097,  5712,
   -1742,  4121,  4122,  4123,  4124,  4125,  4126,  4127,  4128,  4129,
    4534,  4394,  4535,   233,    50,  4302,  4013,  1082,  3889,   666,
    1430,  1089,  2665,  4395,  1676,  3727, -1695,   758,  1436,  1437,
    4268,  1677,  2632,    56,  6025,  1652,   775,  2633,  4210, -2407,
     693,  4542,   694,  1084,  1039,   832,  1227,  1647,  1040,  2101,
     790,  1098,  1648,  1099,     3,     4,   790,  4911, -2408,  1653,
    6187,  6188,  2047,  1039,    56,  1227,    40,  1040,  2943,  1873,
    4640,  4536,     3,     4,  3477,  4641,  3171, -1695,  3477,  1039,
    1655, -2415,  3175,  1040,  5866,  -467,  1512, -1695,  2635,  5870,
    5871,  1383,  1383,  1383,  1383,  1383,  1383,  1383,  1383,  1383,
    4537,  1383,  1039,  1650,  1117,    44,  1040,  4241,  5150,  4148,
   -1695,   863,  1383,  4641,  1383,  4155,  1430,  1620,  2665,  3591,
     760,   863,  1637, -1695,  3263,  3264, -1694,  4869,  1103, -1695,
    1822,  2618,  1430,  1823,  2665,  4140,  5279,  4142,  4143, -1694,
      15,  3300,  3301,  6409,  1981, -1694,  2636,  1823,  3728,    48,
     863,  1652,  1383,   996,  2031,   951,  1383,  1823,  -616,  1383,
    3432,  1383,    49,  2626,  1383,  3136,  1823,  3137,  1383,  1125,
    4221,  4222,  3346,  2639,  1513,  1653,  2640,    20, -1695,  1127,
    3585,  6420,  4538,  3477,  6423,  4242,    50,  4539,  1126,  4461,
    4330,  3479,  3505,  3506, -1694,  3890,  1655,   863,   863,  4212,
    5667,  2673,  1155,  6282,  1823,    56,  3340,  1144,  1383,  3343,
    5713, -1695,  3478,  5714, -1766, -1766,  3478,  1383,  1383,  4243,
    3588,  5065,  3592,  3593,  1148,  4370,  4297, -1694,  1514,  5183,
    1164,   863,  3620,  4540,  4244,  3176, -1695,  3187,  2640,  3523,
    3188,  3528,  2638,  1441,  1442,  5190,  5956,  3891,  4258,  1165,
    4541,  3368,  3369,  3370,  3371,  1171,  3189,  4245,  4183,  3188,
    3228,  4527, -1695,  3229,  3435,  2666,  4589,  1975,  1182,  3561,
    3359,  3564, -1695,  5626,  5627,  3475,  1821,  5213, -1694,  3729,
    4074,   802,  4075,   802,  5218,  5219,  4246,  3730, -1694,  3606,
    3731,  4939,  4201,  3440,  4202,  1142,  2640,  1383,  3529,  3618,
    1199,  2640,  3619,  6337,  5999,  6000,  3699,  5852,   650,  3700,
    1189,   962,   998,   962,   962,  5857,  5858,   951, -1695,  5118,
     863,  3478,   661,  1983,  3723,  3520,  1985,  4203,  1987,  4204,
    1989, -1695,  1991,  1235,  3439,  3866,  1995, -1695,  3867, -1770,
   -1770,   826,  1515,  4929,  4005,  4936,  4054,  3188,  2566,  2640,
    6146,  6147,  4063,  2839,  4542,  2640,   775, -2986, -2986, -2986,
    2570,  2571,  2572,  2573,  2574,  2575,  3640,   863,  4242,  4600,
    6270,  4601,  4914,  3651,  2106, -1769, -1769,  2107,  6230,    29,
    4306,  5753,   863,    32,  4247,  4069, -1695,  4897,  2640,  4333,
    4070,  1226,  4089,  2640,  3714,  3825,  1231,  4100,  4684,  5228,
    2640,  5229,  4243,  4133,   863,  3813,  2640,  1516,  4911,  2629,
    6180,  1227,  3477,  3477,  4576,    40, -2986,  4832,  1238, -1695,
    4147, -1695,  5059,  2640,  5060,   863,  1243,  4152,   932,  4548,
    4153,  4219,  4387,  2732,  2640,  4388,  4392, -1694,   826,  4393,
    4245, -1743,  2631,  4420,  1241,  1517,  4421, -1743,  4489,  1518,
    1254,  4421,  1142,    35,    44,  1256,  4612,  4615,  4955,  4613,
    4616,   951,  4646,  4759,   951,  4647,  4760,  1244,  4317,  4770,
   -1695,  3364,  4771,  3365,  4404,  4781,   923,   924,  2640,    40,
   -1695,  4303,  4304,  1257,  1519,  4857, -1115,  1255,  4858,  1039,
     863,   863,  5831,  1040,  1258,  4171,   933,  4172,    48,  3366,
    4863,  1259,   761,  4864,  1265,  3796,  4868,  3799,  3801,  3544,
    4519,    49,  3759,  5119,  4182,  6104,  3188,  2106,    44,  1520,
    2107,  5671,  1521,  4173,  2108,  2109,  2110,  4429,  5185, -1743,
    5225,  2023,  4435,  2640,  1267,    50,  5786,  5306,  5787,  1383,
    1383,  1383,  2628,  1401,  5262,  1383,  3496,  2640,  1404,  6382,
    3478,  3478,  2629,   951,   762,  4809,  1408,  4811,  5317,  2630,
   -2986,  3544,    48,  1409,  3367, -2986,   951,  4247,  5672,  3453,
    3455,  3456,  1383,  1522,   951,    49,   680,  1410,  5341,  5136,
   -1743,  5342,  6351,  5348,  6352,  2631,  3188,  2839,  3367,  1414,
     934,  5349,   863,  5673,  3188,  1464,  1418, -1683,  3903,    50,
   -1088,   802,  5350,  5467,  5504,  3188,  5468,  4647,  5271,    40,
    5273,  5129,  5674,   951,  3914,  1423, -2986,  5675,  6231,  4859,
    3368,  3369,  3370,  3371,  3796,  6438,  1424,  3372,  3373, -1695,
    4425,  1426,  5540,  3374,   951,  5541,  3936,  5542,  4044,  5676,
    2640,  3054,  1430,  5677,  3368,  3369,  3370,  3371,    44,  1433,
     682,  4174,  4441,  5562,  3477,  3954,  5563,  4175,  5678,  5572,
    5578,  3477,  1975,  4586,  5465,  5580,  3477,  5700,  4586,  3477,
    5701,  1434,  1447,  5720,  2636,   951,  3188,   951,  4047,   951,
    4049,  4050,  5754,  5814,  4911,  5755,  5815,  4831,  4913,  4834,
    4915,  5820,    48,  4918,  1975,  1464,  5823,  1039,  3475,  4586,
    1464,  1040,  2711,  2632,  2714,    49,  5834,   684,  2633,  5835,
    4566,  5885,  2000,  5926,  5886,  2671,  2597,  6023,  5953,  1465,
    5990,  5835,  3932,  4153,  3447,  3449,  5557,  1449,  5558,    50,
    3457,  2634,  2300,  4580,  5991,  3359,  1476,  2640,  1491,   935,
    6011,    29,  1142,  6012,  1142,   996,  1492,  6015,    56,  2732,
    1975,  6016,  6046,  4691,  2640,  3229,  1493,  1496,  4549,  2635,
    4551,  1502,  3503,  3503,  5679,  1459,   650,   951,  4678,   962,
   -2986,   962,   962,  6052,   951,  6053,  3229,  1722,  3229,  1543,
    1569,  1383,  5530,  5531,  6056,  6057,  1383,  2640,  2640,  3375,
    6058, -2452,  3478,  6059,  6104,  6086,   926,  1572,  6087,  3478,
    4911,  3376,  2367,  6152,  3478,  6167,  4586,  3478,  2640,  1574,
    4559,  6169,  4562,  4176,  2640,  1821,  6182,  2636,  5680,  3188,
    2637,  1575,  1610,  1614,   792,  4177,  1142,  1615,  6196,  1616,
    4663,  6197,   693,  1627,   694,  1383,  1383,  1383,  1629,  1639,
    1383,    40,  4621,  6220,   926, -1115,  6221,  1642,  1383,  1383,
    1383,  1383,  2671,  4264,  6269,  1664,  6302,  5828,   697,  5835,
    6347,  1873,  1681,  6348,  1383,  4939,  1682,  1383,  6367,  1383,
    2106,  6368,  6228,  2107,  1698,  1708, -2986,  2108,  2109,  2110,
      44,  1383,  1383,  6375,  6376,  1383,  4858,  2640,  2570,  2571,
    2572,  2573,  2574,  2575,  1709,  2628,  6403,  3596,  1712,  6012,
    4241,  1717,  1718,  1831,   998,  2629,  1383,  1833,  1383,  1835,
    1383,  3639,  2630,  2638,  5534,  6405,  6413,  6451,  2640,  6414,
    6368,  4911,  1840,  4930,    48,  4765,  1846,  5339,  1854,  1383,
    6453,  6455,  4200,  6414,  6368,  1851,   863,    49,  2631,  1856,
    1861,  1864,  1866,  3477,  1858,  1875,  1880,  1881,  -137,   926,
    1883,  4206,  4207,  4208,  1884,  1886,  1888,   863,  1889,  1900,
    1907,    50,  1909,  1912,  1916,  4686,   213,  1925,  1930,  1931,
    1932,    40,  1934,  1937,  1938,  1941,  1942,  5163,  4242,  1949,
      56, -1428,  1953, -1428,  1955,  1956,  1958,   650,  1960,  1966,
    3479,  4239,  1965,  1968,  1971,  4239,  4253,  4239,  4239,  1974,
     792,   926,  1977,  4113,  1383,  1978,  1980,  1997,   792,  1383,
      44,   792,  4243,  2028,  4893,  4141,  2035,  2666,  1643,  2566,
    2037,  2040,  2044,   792,  1383,  2045, -1942,  4244,  2567,  2568,
    2569,  2570,  2571,  2572,  2573,  2574,  2575, -1949,  3479,  3020,
    1644,  3745,  4285,  2052,  3748,  4288,  3479,  2053,  3528,  2054,
    4245,  4165,  2106,  2055,    48,  2107,  2632, -1939,  2056,    56,
    2058,  2633,  2059,  2060, -1940,  2062,  4921,    49,  2063,  5778,
    5053,  3475,  2064,  2065,  3475,  5040,  2066,  2067,  2068,  4246,
    2069,  3478,  2070,  2071,  2634,  2300,  2072,  2629,  2073,  1383,
    2074,    50,  1645,  4931, -2986,  4196,  2075,  2077,  2078,  1546,
    2773,  2079,  2080, -1943,  2081,  6380, -1941,  2082,  4862,  2083,
      56,  2084,  2635,   951,   951,  2085,  2087,  2088,  5045,  2089,
    2631,  2090,  3475,  2091,  3477,  2092,  2093,  4979,  2094,  2581,
    3475,  2585,  2583,  3843,  2587,  1547,  2601,  2588,  2597,  4932,
    2621,  2613,  2643,  2644,  3477,  2649,  3856,  2651,  2655,  1383,
    2652,  2658,  2661,  2656,  3865,  2367,  2659,  2660,  2662,  2667,
    2674,  4933,  1479,  1481,  2705,  2707,  2720,  3681,  2717,  4950,
    2636,  2719,  2721,  3315,  3315,  2722,  3477,  4247,  3315,  2738,
    2740,  2739,  2741,  2665,  1646,  2742,  2743,  2744,  2745,  2746,
    2747,  2748,  4788,  3909,  2754,  3705,  2770,  2776,  1548,  2800,
    2796,  2802,  2782,  2803,  2804,  2806,  4398,  2807,  2820,  2824,
    2826,  2843,  2825,  2844,  3933,  2859,  2855,  2861,  2862,  3315,
    3315,  2863,  5792,  2864,  2865,  2873,  2874,  2875,  2878,  2879,
     863,  2880,  2885,  4264,  2889,  1549,  2895,  2886, -2986,  2913,
    2907,  2896,  2899, -2986,  2909,  2923,  2930,  1647,  2910,  2916,
    2919,  2920,  1648,  5813,  2937,  2925,  1588,  3988,  2955,  3990,
    2940,  2957,  3478,  2966,  2959,  2926,  2638,  2967,  2943,  2938,
     792,  2983,  4934,  2992,  3026,  2106,  2945,  3028,  2107,  2964,
    2946,  2951,  3478,  3014,  2952,  1550,  2958,  2960,  5487,  3021,
    2972,  3029,  2973,  2986, -2986,  3030,  3031,  2997,  3042,  3035,
    3036,  3037,  3039,  1650,  3043,  3040,  3041,  3049,  3047,  3048,
    2629,  3050,  3057,  3058,  3478,  3061,   675, -2986,  3477,  3066,
    3074,  3085,  3089,  3090,  3093,  3102,  3105,  3108,  3109,  1552,
    3118,  3129,  3135,  3139,  3122,  1661,  3151,  3153,  3154,  3126,
    3144,  3155,  3156,  2631,  3212,  3169,  3201,  4045,  3226,  1383,
    3238,  1652,  2636,  3262,  4052,  1383,  3257,  2107,  3302,  3335,
    3341,  3382,  1554,  3345,  3402,  3408,   951,  3423,  3428,  5180,
    3429,  1454,  2566,  3480,  3443,  1653,  3426,   933,  3497,  3444,
    3458,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    3361,  3485,  3498,  3514,  3380,  3407,  1655,  3477,  4935,  3499,
    3427,  4357,  3441,   863,   863,   863,  3445,    35,  3442,  2816,
    3446,  3500,  1556,  3450,  3459,  4791,  2671,  3521,  3522,  3533,
     863,  1557,  3534,  3553,  3536,  3565,  3567,  3562,  3570,  3575,
    1558,  3580,  5448,  3581,  1383,  3583,  3586,  3594,  2817,  4610,
    3610,  1398,  3615,  3617,  3631,  3632,  4025,  3633, -2986,  3625,
    1402,  1560,  2000,   863,   863,  3682,  3478,  3643,   863,  3656,
    1561, -2986,  3661,  3688,  3689,  1562, -2986,  3695,  5250,  3662,
     863,  3715,  3690,  3698,  3706,  3713,  5175,  5176,  5177,  5178,
    5179,  3737,  5091,  5092,  5129,  3716,  3753,  1877,  3833,  3736,
    3797,  3812,  3824,  4213,  3820,   792,  5297,   934,  3840,  3846,
    3821,  3847,  3852,  3848,  3868,  3879,  3894,  3857,  3896,  3898,
    3908,  4220,  3880,  2865,  3926,  3927,  3929, -2986,  3915,  3921,
    1236,  3900,  1563,  3930,  3934,  3928,   951,  3937,  3941,  3942,
    3945,  3939,  3951,  3946,  3966,  3478,  3968,  3967,  3976,  3977,
    3204,  4666,  3978,  3996,  3980,  3982,  3998,  3999,  4002,  4004,
    4007,   863,  4008,  4009, -2986,  4606,  4010,  4011,  1975,  1972,
    3477,  4269,  4269,  4012,   863,  4026,  2570,  2571,  2572,  2573,
    2574,  2575,  4022,  4028,  4035,  2636,  4040,  4048,  4038,  4795,
    4068,  1939,  4017,  1383,  5304,  4084,  4016,  3279,  4027,  4088,
    4071,  4643,  1383,  4065,  1233,  4066,  4067,  4079, -2233,  4146,
    4090,  4086,  4149,  5855,  4096,  4099,  1383,  4101,  4166,  4180,
    1383,  1383,  1383,  5421,  4231,  4190,  4217,  1383,  4260,  4161,
    1383,  4256,  4275,  1383,  4286,  4102,  4106,  4197,  4108,  1383,
    4109,  1383,  3825,  4266,  1383,  5359,  4300,  4279,  2640,  1383,
    1383,  1383,  1383,  4110,  4223,  1383,  1383,  1383,  1383,  1383,
    1383,  1383,  1383,  1383,  1383,  4132,  4137,  4138,  1383,  1383,
    1383,  4145,  4160,  4191,  4277,  4305,  4273,  4312,  1383,  3477,
    4193, -2986,  4195,  1383,   926,  4218,  4224,  1383,  4240,  4225,
    2061,  4307,  4226,  4232,  4294,  1383,  4308,  4314,  1383,  4326,
    1383,  4327,  4337,  4319,  4320,  4338,  4339,  4343,  3478,  4345,
    4351,  4354,  4357,  4349,  4350,  4355,  1383,  4361,  4372,  1383,
    1383,  4373,  4375,  4381,  1383,  1383,  4382,  4383,  4391,  1383,
    4399,  1383,  4801,  5301,  4408,  4422,  4424,  4426,  4428,  4430,
     863,   863,   863,  4432,  4436,  4437,  4440,  4444,  4443,  4802,
    4803,  4804,  4805,  4445,  4447,  4442,  4464,  4465,  4462,  4463,
    1383,  4239,  4253,  4239,  4239,  4466,  1383,  4239,  1079,  4264,
    4824,  4478,  2106,  4467,  3479,  2107,  4481,  4468,  3479,   191,
    4469,  4470,  4472,  4471,  4839,  4473,  3477, -2986,  4474,  4475,
    4476,  4483,  4477,  4485,  4487,  2981,  4488,  4264,  2984,  2570,
    2571,  2572,  2573,  2574,  2575,  4497,  4498,  2629,  4499,  1076,
    4731,  1383,  4515,  4504, -2986,  4501,  4494,  3478,  1077,  1078,
    4509,  4552,  4567,  4517,  4568,  4571,  3528,  4557,  1383,  4558,
    4564,  4575,  4585,  4586,  5336,  4588,  4598,  4604,  4605,  4595,
    2631,  1080,  5399,  5400,  4758,  5402,  4609,  4608,   649,  4625,
    4639,  4642,  4611,  6262,  6263,  4645,  4649,  6265,  3475,  4657,
    4658,  4659,  3475,  4660,  4651,  4661,  4662,  4679,  4680,  4664,
    4681,  4687,  4688,  4689,  4690,  4692,  4693,  4700,  4694,  4695,
    4696,  4710,  4705,  4912,  2000,  2839,  2000,  4704,  4706,  2000,
    4711,  4920,  4714,  4719,  5556,  4797,  4114,  5432,  5487,  4720,
    4732, -2232,  4772,  2047,  4783,  4784,  4827,  4814,  4828,  4944,
    4835,  4707,  4792,  4725,  4836,  2106,  4755,  4820,  2107,  4841,
    4842,  4756,  4843,  4851,  3478,  4757,  4854,  4856,  5595,  4764,
    4787,  4860,  4810,  4812,  4798,  4879,  4889,  5392,  4823,  4871,
    4825,  4892,  4840,  4845,  4899,  4900,  4902,   792,  4903,  4906,
    2629,  4921,  4924,  4890,  4925,  3477,  4503, -2986, -2986,  4942,
    4891,  3629,  4945, -2986,  4993,  3288,  4958,  3475,  4961,  4974,
    4563,  4957,  4959,  4960,  4971,  4972,  4985,  4975,  4976,  4987,
    4973,  4994,  4988,  2631,  5005,  5006,  4264,  3315,  3315,  3315,
    3315,  5011,  5014,  3315,  3315,  3315,  3315,  3315,  3315,  3315,
    3315,  3315,  3315,  5030,  4996,  5031,  5033,  4931,  5047,  5049,
    5036,  2944,  5050,  5051, -2986,  3759,  5073,  5088,  5062,  5037,
    5046,  4762,  5102,  5121,  5108,  5109,  5131,  5137,  5083,  5094,
    5148,  5114,  5138,  5157,  5450,  5159,  5115,  5154,  5173,   949,
    5155,  5158,  5167,  5161,  5162,  5181,  5187,  3213,   961,  5188,
    5197,  5204,   951,  5205,  5206,  5259,   961,  3315,  3315,   961,
    5209,  5207,  5210,  5216,  5217,  3477,   951,  5208,  1383,  5211,
    5222,  3477,  2636,  5227,  5233,   863,  5239,  5244,  5879,  5248,
    5881,  5081,  5242,  5243,  5261,  5265,  5290,  5299, -2234,  5275,
    5280,  2106,  2839,  3478,  2107,  5276,  5283,  5303,  5313,  5294,
    5302, -2986,  5316,  5320,  4822,  5324, -2986,   863,  5343,  5318,
    5344,  5571,  3479,  3914,  5356,  5357,  4656,  5360,  5368,  5358,
    3796,  5362,  5571,  5367,  5369,  5390,  2629,   792,  5388,  5130,
    5381,  5394,  5395, -2986,  5403,  5404,  5384,  5411,  5413,   863,
    5412,  5418,  5422,  5425,  5429,  5430,  5437,  5440,  5445,  5449,
    5446,  1383,  1383,  5455,  6004,  5447,  5453, -2986, -2749,  2631,
    5464,  5469,  1383,  5471,  5475,  5476,  5478,  5459, -2986,  5480,
    5482,  5484,  5493,  2000,   863,  5483,  5890,  5499,  3188,  5501,
    5508,  5509,  5535,  5545,  5717,  5546,  5555,  5559,  5564,  5570,
    5599,   863,  3477,  5602,  5514,  5528,  3475,  3475,  5539,  6034,
    5529,  5547,  5670,  3478,  5596,  5574,  5577,  5610,  5612,  3478,
    5617,  5625,  5629,  5630,  5663,  2636,  5685,  5613,  5631,  5072,
     996,  5637,  5693,  5632,  5691,  5643,  5644,  5140,  5703,  5648,
    5704,  5621,  1383,  5654,  5655,  5723,  5656,  5696,  5699,  5724,
    5728,  5735,  5733,  5751,  5762,  6070,  6072,  5756,  1383,  5763,
    5764,  5779,  5780,  5770,  5784,  5785,  5797, -2749,  5806,  5798,
    5828,  5812,  5830,  5829,  5842,  5849,  1383,  5640,  5824,  5826,
    5832,  5851,  5853,  5861, -2986,  5873,  5867, -2986,  5859,  5907,
    5905,  5910, -2986,  5918,  5914,  5920,  2570,  2571,  2572,  2573,
    2574,  2575,  5928,  5942,  1383,  5933,  5946,  1383,  5948,  5947,
    5635,  5949,  5950,  5960,  5961,  1383,  1383,  5962,  5959,  5967,
   -2749, -2986,  1383,  1383,  5969,  5971,  5988,  1383,  5977,  5987,
    5992,  6001,  1383, -2749,  6002,  1383,  1383,  6003,  5214, -2749,
    3478,  6018,  1383, -2986,  6008, -2749,   863,   863,   863,   863,
    4198, -2749,  1271,  6027, -2749,  4114,  6030,  6032, -2749,  4115,
    4116,  4117,  6028,  6031,   650,  6068,  6049,  4239,  6081,  6045,
    6075,  3479,  6083,  6085,  6078,  6089,  3479,  4779,  6092,  3479,
     650,  6093,  3796,  1271,  5296,  6109,  4114,  1383, -2749,   998,
    4115,  4116,  4117,  6110,  6112,  5892,  6111,  6119,  1383,  6120,
    6125,  2636,  4285,  6126,  6127,  6063,  1383,  6132,  3528,  6133,
    6134,  5319,  5821,  6139,  6144,  6148,  3315,  6149,  6151, -2985,
    6155, -2749,  6163,   802,  6171,  6184,  6199, -2986,  6191,  6165,
    6193,  6079,  6201,  6080,  6209,  6210,  6211,  6229,  6227,  2570,
    2571,  2572,  2573,  2574,  2575,  6246,  6250,  6247,  3475,  6252,
    2839,  1383,  6248,  6249,  6264,  3475,  6260,  6273,  6275,  6268,
    3475,  6286,  3356,  3475,  6288,  5352,  6274,  6306,  6312,  6318,
    5236,  6313, -2749,  6316,  6317,  6321, -2749,  6330,  6320,  6335,
    6354,  6076, -2749,   792,  6333,  6353,  4292,  6355,  6358,  5305,
    5307,  6383,  6373,  6385,  6356, -1996,  6357, -2986,  6394,  6278,
    6398,  5883,  3759,  6411,  6412,  6419,  6257,  6258,  6400,  6386,
    6427,   792,  6428,  3759,  6431,  6433,  6437,  6442, -2985,  6444,
    5758,  2106,  6439,  1466,  2107,   792,  6450,  2998,  2108,  2109,
    2110,  1383,  1679,  4367,  4215,  1573,   792,  3770,  1383,  3687,
    4941,  4948, -2749,  1678,  6194,  5878,  3811,  3859,  4514,  5682,
    6062,  2620,  6287,  5090,  5734,  4937,  2629,  4938,  5428,  1142,
     951,  5716,  4347,  2630,  4310,  4006,  4119,  6186,  5619,  6283,
    6084, -2985,   949,  6082,  5976,   951,  6208,  6298,  5457,  5112,
    4353,   961,  5141,  5120, -2985,  6042,  5082,  3877,   961,  2631,
   -2985,   961,  3878,  4946,  4385,  4574, -2985,  4119,  5451,  5722,
    1663,   807, -2985, -2986,  5107, -2985,  1383,  4614,  5165, -2985,
    6010,  5963,  1220,  1221,  6350,  2570,  2571,  2572,  2573,  2574,
    2575,  6449,   650,  6429,  5697,  4520,  6213,  5149,  5642,  2839,
    5869, -2749,  6051,  5645,  3065,   756,  1072,   809,  2000, -2985,
    4665, -2985,  5061,  5182,  5845,  5241,  6346,  5184,  2020,  3128,
    3906,  3539,  4120,  3914,  4301, -2749,  5063, -2749, -2749,  5151,
    3124,  3140,  5759,  4631,  5957,  3157,   951,  4484,  3936,  1183,
    3808,  4977, -2985,  1143,  4431,  6233,  6384,  1411,  5168, -2749,
    5670,  5169,  2753,  4120,  3836,  3484,  6336,  5308,  4865,  6039,
    5844,  5841,  2641,  2593,   863,   837,   838,  4262,  3023, -2749,
     792,  2701, -2749, -2749, -2749,   863,  5212,  2632,  4274,  2702,
    3494,  6168,  2633,  6063,  6020,  2706,  4235,  4817,  4833,  5811,
    5576,  4228,  5810, -2985,  4866,  4229,  6371, -2985,   996,  6154,
    5641,  6266,  6009, -2985,  4230,  2634,  2300,  3475,  6397,  5793,
    4766,  6021,  3403,  4194,  2650,  6022,  3321,  3406,  4188,  4060,
    3835,  6036,  4264,   792,  5462,  4186,  5975,  6402,  1383,  4179,
    4095,  1462,  4715,  2635,   996,  3482,  3418,     0,  1383,     0,
       0,  1383,     0,     0,  1383,  1383,  1383,     0,  1142,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1271,
       0,     0,  4114, -2985,   652,     0,  4115,  4116,  4117,  1383,
    1383,     0,  1271,  1383,     0,  4114,  2367,     0,     0,  4115,
    4116,  4117,     0,     0,  5255,     0,     0,     0,     0,     0,
    1383,  2636,     0,     0,  1383,     0,     0,  5256,     0,     0,
    1383,  5639,     0,     0,  3479,     0,     0,     0,  5296,   914,
       0,  1383,     0,  5594,     0,     0,     0,     0,  3357,     0,
       0,     0,     0,     0,  4912,     0,     0,  1383,     0,     0,
       0,     0,     0,  4121,  4122,  4123,  4124,  4125,  4126,  4127,
    4128,  4129,     0,     0,     0,     0,  5684,     0,     0,     0,
       0,     0, -2985,     0,     0,     0,  4912,   998,   951,     0,
     951,     0,     0,     0,  4121,  4122,  4123,  4124,  4125,  4126,
    4127,  4128,  4129,     0,   949,     0, -2985,     0, -2985, -2985,
     961,     0,  1271,  6415,   961,  4114,   961,  2638,  3475,  4115,
    4116,  4117,   962,   998,     0,     0,     0,   969,     0,     0,
   -2985,     0,     0,     0,     0,     0,  1005,     0,  3475,     0,
    5816,     0,     0,     0,     0,     0,     0,     0,  5878,     0,
    1027,     0,     0, -2985,     0, -2985, -2985,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1271,   962,     0,  4114,
    3475,     0,     0,  4115,  4116,  4117,     0,     0,     0,  5081,
    1911,     0,  1913,  1914,   863,   652,     0,     0,     0,   863,
       0,     0,     0,     0,   652,   971,  5749,     0,  2839,     0,
       0,     0,   652,  4119,   971,   652,     0,     0,   863,     0,
       0,     0,  5130,   792,     0,  5736,  4119,     0,   971,   792,
       0,  5597,     0,  2566,   792,     0,   951,   863,  4912,     0,
       0,     0,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,     0,     0,     0,     0,     0,    80,   175,    71,    83,
      84,  5378,  5379,  6430,   184,    85,  5382,  5383,    86,   106,
     124,     0,  1383,     0,   129,   191,   159,     0,     0,   178,
     185,     0,     0,     0,     0,     0,     0,     0,     0,  1383,
       0,     0,  5721,  1383,     0,  1383,  1142,   926,     0,  4120,
       0,     0,     0,     0,     0,   180,     0,     0,     0,  1383,
       0,     0,  4120,     0,   181,   183,     0,   650,     0,  3315,
    1383,     0,  3475,  5747,  5819,     0,     0,     0,     0,     0,
       0,  1383,  6339,  6340,     0,     0,  4119,   186,  1383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5401,     0,     0,     0,     0,  1576,     0,     0,     0,  6392,
       0,  1577,     0,     0,     0,  5405,     0,     0,     0,     0,
       0,     0,  3315,     0,     0,     0,     0,     0,     0,   863,
       0,     0,     0,     0,     0,     0,  1383,     0,     0,     0,
   -2986,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3475,  1383,     0,     0,     0,  1579,     0,  1383,  1383,
       0,     0,     0,   951,   951,   951,   951,     0,  6392,     0,
       0,     0,  4120,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   899,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6392,  1383,     0,     0,     0,   996,     0,
       0,     0,   650,     0,     0,     0,  5463,     0,     0,     0,
       0,  5794,     0,  1580,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,  1582,  5799,  4120,   863,     0,     0,
    3479,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5822,     0,     0,
       0,     0,  1583,     0,  2100,   863,     0,     0,     0,     0,
    4121,  4122,  4123,  4124,  4125,  4126,  4127,  4128,  4129,     0,
       0,     0,     0,  4121,  4122,  4123,  4124,  4125,  4126,  4127,
    4128,  4129,     0,  1383,     0,     0,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,  1383,     0,     0,     0,     0,
       0,     0,     0,     0,  1383,  1383,  1383,     0,     0,     0,
    2000,     0,     0,     0,  3475,     0,  3796,     0,     0,  1383,
       0,  5936,     0,     0,  5874,  5875,     0,     0,  1383,     0,
    1383,     0,  1383,  5594,     0,     0,     0,     0,     0,  4912,
       0,     0,     0,     0,     0,     0,  1383,     0,     0,     0,
       0,     0,     0,     0,     0,  2000,     0,   998,     0,     0,
       0,  1097,     0,     0,     0,  1383,     0,  1097,  1685,     0,
       0,     0,  1586,     0,     0,     0,     0,  3315,     0,  1097,
       0,     0,  1587,  4121,  4122,  4123,  4124,  4125,  4126,  4127,
    4128,  4129,  1588,     0,     0,     0,     0,     0,     0,     0,
       0,  2000,  2000,     0,  1589,     0,     0,     0,  3315,     0,
     971,     0,     0,     0,     0,     0,   792,     0,     0,     0,
       0,     0,     0,  3475,     0,  6024,     0,     0,  5622,   971,
    5624,     0,   951,     0,     0,   971,     0,  4121,  4122,  4123,
    4124,  4125,  4126,  4127,  4128,  4129,  6105,   971,     0,  1591,
    1592,     0,     0,     0,     0,     0,     0,     0,     0,  6190,
       0,     0,     0,   971,     0,     0,     0,     0,   652,     0,
       0,     0,     0,   914,     0,     0,     0,   652,   971,     0,
       0,  1593,     0,     0,   652,     0,   971,   652,     0,     0,
       0,     0,     0,     0,  6017,     0,  6019,  1383,     0,   914,
     971,     0,   718,     0,     0,     0,     0,     0,     0,     0,
     971,   806,  1383,     0,     0,     0,  5819,     0,     0,     0,
       0,     0,  1383,     0,     0,     0,     0,     0,     0,     0,
    3475,  3528,  6240,  6241,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3956,
     962,     0,     0,     0,  1594,     0,     0,     0,     0,     0,
       0,     0,     0,   971,     0,   951,  5748,     0,     0,     0,
       0,     0,  2000,  1546,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   652,   652,     0,     0,     0,
       0,   971,     0,     0,     0,     0,     0,     0,  2839,     0,
       0,     0,     0,     0,     0,  1383,     0,  1546,     0,  1547,
       0,     0,     0,     0,     0,  4912,   971,     0,   652,     0,
       0,     0,     0,   962,   962,  6243,     0,     0,     0,  1383,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   914,  1547,     0,     0,     0,     0,     0,   191,
       0,     0,  2000,  2000,  6259,     0,     0,  3315,     0,     0,
    1383,  1383,     0,     0,  1383,   652,     0,  6267,     0,     0,
       0,     0,  1548,     0,     0,     0,     0,     0,   971,  6235,
       0,     0,     0,     0,     0,     0,  6214,     0,  6236,  6237,
       0,     0,     0,     0,  6311,   951,     0,     0,     0,  3475,
       0,     0,     0,     0,     0,     0,  1548,     0,     0,  1549,
       0,  6238,     0,     0,     0,     0,     0,     0,     0,   792,
       0,     0,     0,     0,     0,  6105,   951,   951,     0,     0,
       0,  4912,     0,     0,     0,     0,     0,   949,     0,     0,
     949,     0,     0,  1549,  5880,     0,  5882,     0,     0,   650,
     961,   961,     0,     0,  3957,     0,  1383,     0,     0,  1550,
       0,     0,   191,     0,  6329,   961,     0,     0,   961,     0,
       0,     0,  1383,     0,     0,     0,     0,     0,  3528,     0,
       0,     0,     0,  4285,     0,     0,   652,   652,  1817,     0,
    1383,     0,  6235,  1550,     0,   971,     0,     0,     0,     0,
     652,  6236,  6237,  1552,     0,   914,   652,     0,     0,  3475,
     652,     0,   652,     0,     0,  3475,   914,     0,   961,     0,
       0,     0,   961,   961,  6238,  1546,  6359,  6360,   650,  6364,
       0,     0,   914,  1551,  5819,     0,  1554,  1552,     0,  1383,
    6440,  6441,     0,     0,     0,     0,     0,     0,     0,   951,
    6153,     0,  4912,     0,     0,     0,  1154,     0, -2751,     0,
       0,  1547,     0,     0,     0,     0,     0,     0,     0,  1553,
    1554,     0,  6329,     0,     0, -2768,   652,     0,   652,   652,
       0,    35,  1154,   191,     0,     0,  3958,     0,     0,     0,
       0,     0,     0,     0,     0,  1557,     0,  1383,   650,     0,
       0,     0,     0,     0,  1558,     0,     0,     0,     0,     0,
       0,  1555,  2817,  6235,   650,    35,     0,     0,     0,   971,
    1556,     0,  6236,  6237,  1548,  1560,     0,  6060,     0,  1557,
       0,   962,   962,     0,  1561,  6443,  3475,  6329,  1558,  1562,
       0,     0,     0,     0,     0,  6238,  1559,   652,     0,     0,
       0,     0,     0,     0,  6329,     0,  6338, -2751,     0,  1560,
    3959,  1549,     0,     0,     0,     0,     0,     0,  1561,     0,
       0,     0,     0,  1562, -2768,     0,     0,     0,     0,  2106,
     971,     0,  2107,     0,     0,     0,  2108,  2109,  2110,   914,
       0,   971,     0,     0,     0,     0,  1563,     0,  3315,  3315,
    3960,     0,  3315,     0,  2628,  6374,     0,     0,   971,     0,
   -2751,  1550,  6091,   971,  2629,     0,     0,     0,     0,     0,
       0,  2630,     0, -2751,     0,   652,     0, -2768,     0, -2751,
    1563,     0,     0,     0,     0, -2751,     0,     0,     0,     0,
   -2768, -2751,     0,     0, -2751,     0, -2768,  2631, -2751,     0,
       0,  1551, -2768,     0,     0,  1552,     0,     0, -2768,     0,
       0, -2768,     0,     0,     0, -2768,     0,   652,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2751,     0,
       0,     0,     0,     0,     0,     0,     0,  1617,  1554,     0,
       0,     0,     0,     0,     0, -2768,   652,   652,   652,     0,
     652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2751,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   652,     0,     0,     0,     0,     0,     0, -2768,  1618,
       0,     0,     0,    35,     0,     0,     0,     0,  1556,     0,
       0,     0,     0,     0,     0,  6195,   971,  1557,     0,     0,
    1073,     0,     0,     0,   971,   971,  1558,     0,     0,     0,
       0,     0, -2751,     0,  1619,  2632, -2751,     0,     0,     0,
    2633,     0, -2751,     0,     0,     0,     0,  1560,   652, -2768,
       0,     0,     0, -2768,     0,     0,  1561,     0,  1838, -2768,
       0,  1562,     0,  2634,  2300,     0,     0,     0,     0,  1847,
    1141,   718,     0,     0,     0,     0,     0,  1817,     0,     0,
       0,     0,     0,     0,     0,  1855,     0,     0,     0,     0,
       0,  2635,     0,     0,   652,     0,     0,     0,   652,   652,
       0,     0, -2751,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   652,     0,     0,     0,  1563, -2768,
     914,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2106,     0,  2367,  2107,     0,     0,     0,  2108,
    2109,  2110,     0,     0,     0,  6285,     0,   187,     0,  2636,
       0,     0,  2637,     0,     0,     0,     0,  2628,     0,     0,
       0,   807,     0,     0,     0,     0,  1240,  2629,   187,     0,
       0,     0,     0,     0,  2630,     0,  1114,  1114,   807,     0,
       0,     0,     0,     0,     0,     0,  1262,   914,     0,     0,
       0, -2751,     0,     0,  1386,     0,     0,  1395,  1141,  1397,
    2631,     0,     0,   925,     0,     0,     0,     0, -2768,     0,
       0,     0,     0,     0,     0, -2751,     0, -2751, -2751,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   914,     0,
       0,     0, -2768,     0, -2768, -2768,     0,     0,     0, -2751,
       0,     0,  2026,     0,     0,  2638,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2768,     0,  2996, -2751,
       0,   914, -2751, -2751, -2751,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6390,     0, -2768,     0,     0, -2768,
   -2768, -2768,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1114,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2632,     0,
       0,     0,     0,  2633,     0,     0,   971,     0,     0,     0,
       0,     0,     0,  6390,     0,     0,     0,     0,   938,     0,
       0,   652,   652,   652,     0,     0,  2634,  2300,     0,   649,
       0,  2566,     0,     0,     0,     0,     0,     0,  6390,     0,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,
       0,     0,     0,     0,  2635,  1576,     0,  4087,     0,     0,
       0,  1577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1683,     0,     0,     0,
       0,     0,  1141,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2367,     0,     0,
       0,     0,     0,     0,     0,     0,  1579,     0,     0,     0,
       0,  3075,  2636,     0,     0,  2637,     0,     0,     0,  3092,
       0,   971,     0,     0,     0,     0,     0,  2996,     0,     0,
       0,     0,     0,   914,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   914,     0,   949,     0,     0,   961,
       0,   961,   961,     0,     0,     0,  1817,     0,     0,     0,
     914,  1684,     0,  1580,     0,     0,     0,     0,     0,     0,
    1581,     0,  3150,     0,  1582,     0,     0,     0,     0,   971,
       0,     0,     0,     0,     0,     0,     0,   971,     0,     0,
       0,  1576,     0,     0,     0,   971,     0,  1577,     0,  2996,
       0,     0,  1583,     0,     0,     0,     0,     0,  2638,     0,
       0,     0,  1683,     0,   914,     0,     0,     0,     0,     0,
       0,     0,     0,   652,     0,     0,   652,     0,     0,   914,
       0,     0,   914,   914,     0,     0,   652,   652,  1584,   971,
     971,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,   652,     0,   971,   652,     0,     0,     0,     0,     0,
       0,     0,     0,   914,   914,     0,   971,   971,     0,     0,
       0,     0,     0,  2025,     0,     0,     0,     0,  2106,     0,
       0,  2107,     0,     0,     0,  2108,  2109,  2110,     0,     0,
       0,  2888,     0,     0,     0,     0,     0,  1684,     0,  1580,
    1141,     0,     0,  2628,   652,     0,  1581,     0,   652,   652,
    1582,     0,     0,  2629,  2566,     0,     0,     0,  1685,     0,
    2630,     0,  1586,  2567,  2568,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  1587,     0,     0,     0,  4103,     0,  1583,  4104,
       0,     0,  1588,   652,     0,   652,  2631,     0,     0,     0,
     652,   652,     0,     0,  1589,     0,     0,   652,   652,   652,
     652,   652,   652,   652,   652,   652,   652,   652,   652,   652,
       0,     0,     0,   652,  1584,   652,     0,   652,   652,   652,
     652,   652,   652,     0,     0,   652,     0,   652,   652,  2102,
       0,   652,     0,     0,     0,     0,  1686,     0,  2104,  1591,
    1592,     0,     0,     0,     0,   914,   652,   652,   652,     0,
       0,     0,     0,     0,  2591,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   652,     0,  1817,     0,     0,     0,
       0,  1687,     0,  1141,     0,     0,  2608,  2609,     0,     0,
       0,  1141,  1141,     0,     0,     0,   719,     0,     0,     0,
       0,  3242,   649,     0,  1685,     0,     0,     0,  1586,     0,
       0,     0,     0,     0,  2632,     0,     0,     0,  1587,  2633,
       0,     0,     0,     0,     0,     0,     0,     0,  1588,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1589,     0,  2634,  2300,     0,   187,     0,     0,     0,     0,
       0,     0,   722,  3243,  1594,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3027,     0,     0,   723,
    2635,     0,     0,     0,     0,     0,     0,  3038,     0,     0,
       0,     0,  3767,     0,     0,  1591,  1592,  1056,     0,     0,
       0,     0,     0,  3056,     0,  2106,     0,     0,  2107,     0,
       0,     0,  2108,  2109,  2110,     0,     0,     0,     0,     0,
       0,  3244,     0,  2367,     0,     0,     0,  3768,     0,     0,
    2628,   652,     0,     0,   726,     0,     0,     0,  2636,     0,
    2629,  2637,     0,   727,     0,     0,     0,  2630,   187,   925,
       0,     0,  2106,     0,     0,  2107,   728,  3130,     0,  2108,
    2109,  2110,  3245,     0,   949,     0,     0,   961,     0,   961,
     961,     0,  3142,  2631,     0,  1154,  3146,  2628,     0,     0,
       0,     0,     0,     0,     0,   652,     0,  2629,     0,  1059,
       0,     0,     0,     0,  2630,     0,     0,     0,     0,     0,
    1594,     0,     0,     0,     0,     0,  3165,  1154,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2631,     0,     0,     0,     0,     0,     0,  3246,     0,     0,
       0,     0,     0,     0,  2638,     0,     0,     0,     0,     0,
       0,   652,     0,     0,     0,     0,     0,     0,     0,   732,
       0,     0,     0,     0,     0,     0,  2948,     0,     0,     0,
       0,     0,     0,     0,  2956,     0,     0,  1576,     0,     0,
       0,     0,     0,  1577,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1578,     0,
       0,  2632,     0,     0,     0,     0,  2633,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,     0,   187,     0,  1579,  2634,
    2300,     0,     0,     0,     0,     0,     0,     0,     0,   213,
    3247,     0,     0,   737,     0,     0,     0,     0,  2632,     0,
    2566,     0,     0,  2633,     0,     0,     0,  2635,  3348,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,     0,
       0,  1063,     0,     0,  3248,  4105,  2634,  2300,     0,     0,
       0,   741,     0,     0,     0,  1580,     0,     0,   742,     0,
       0,   743,  1581,     0,     0,   649,  1582,     0,   649,     0,
    2367,     0,     0,     0,  2635,     0,     0,     0,     0,     0,
       0,   744,     0,     0,     0,  2636,     0,     0,  2637,  1065,
       0,     0,     0,     0,  1583,     0,   746,     0,     0,  1066,
       0,     0,     0,     0,   748,   652,   652,   652,   652,   652,
     652,   652,   652,   652,     0,   652,   649,  2367,     0,  3249,
       0,     0,     0,     0,   649,     0,   652,     0,   652,     0,
    1584,     0,  2636,     0,     0,  2637,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   753,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3086,
       0,     0,     0,  3091,     0,     0,   652,     0,     0,     0,
     652,     0,     0,   652,     0,   652,     0,     0,   652,     0,
       0,  2638,   652,     0,     0,     0,     0,     0,     0,     0,
    3530,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1817,     0,   652,     0,     0,  3546,     0,
    1585,     0,  3549,     0,  1586,     0,  3552,     0,     0,     0,
       0,     0,   652,     0,  1587,     0,     0,     0,  2638,     0,
    3956,   652,   652,     0,  1588,     0,     0,     0,     0,     0,
    3571,     0,     0,     0,     0,     0,  1589,     0,     0,     0,
       0,     0,     0,     0,  1546,     0,     0,     0,   971,     0,
       0,     0,     0,     0,     0,   914,     0,     0,     0,   914,
     914,     0,   187,     0,  3613,     0,   971,     0,     0,     0,
     971,     0,     0,     0,   971,     0,     0,  2566,  1590,     0,
    1547,  1591,  1592,   971,  1097,     0,  2567,  2568,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,     0,     0,     0,   971,     0,
       0,   652,  4156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   652,  1593,   914,   652,     0,   652,   652,     0,
     914,     0,  3672,  3274,  2566,     0,     0,     0,     0,     0,
    2048,     0,   971,  2567,  2568,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,     0,  1548,     0,     0,  3344,     0,     0,  3701,
    2057,     0,   971,   971,     0,  3710,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   914,     0,  3720,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,  3733,
    1549,     0,     0,     0,     0,  3738,  1594,     0,     0,  1817,
     971,     0,     0,  1817,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3751,     0,     0,     0,  2098,
       0,  3754,     0,     0,     0,     0,     0,   971,  3762,  1817,
       0,     0,     0,   971,     0,  3957,     0,     0,     0,     0,
    1550,     0,  3777,  2106,     0,     0,  2107,   971,     0,  1576,
    2108,  2109,  2110,     0,   971,  1577,  3803,   971,     0,     0,
       0,     0,     0,   971,  1576,     0,     0,  1097,  2628,     0,
    1577,     0,     0,     0,     0,     0,     0,  1643,  2629,  2106,
       0,     0,  2107,   971,  1552,  2630,  2108,  2109,  2110,   971,
       0,     0,     0,     0,     0,     0,   971,     0,     0,  1644,
    1579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     971,  2631,     0,     0,  2629,  1579,     0,  1554,     0,     0,
       0,  2630,     0,     0,   971,     0,     0,     0,     0,  1817,
       0,     0,     0,     0,     0,   971,     0,     0,     0,     0,
       0,   938,   938,     0,   938,     0,     0,  2631,     0,     0,
       0,  1645,     0,   652,   652,   652,     0,  1580,     0,   652,
       0,     0,    35,     0,  1581,     0,     0,  1556,  1582,     0,
       0,     0,  1580,     0,     0,     0,  1557,     0,     0,  1581,
       0,     0,     0,  1582,     0,  1558,   652,   914,     0,     0,
       0,     0,     0,  2817,     0,  1817,  1583,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1560,     0,     0,     0,
       0,  1583,     0,     0,     0,  1561,     0,     0,     0,     0,
    1562,     0,     0,     0,     0,     0,     0,     0,   652,  2632,
       0,     0,  1584,     0,  2633,     0,     0,     0,     0,     0,
       0,  3959,     0,  1646,     0,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2634,  2300,     0,
     914,     0,     0,     0,   914,  2632,     0,     0,     0,     0,
    2633,     0,     0,     0,     0,     0,     0,  1563,     0,     0,
       0,  3960,  4021,     0,     0,  2635,     0,     0,     0,     0,
       0,     0,     0, -2986, -2986,     0,     0,     0,     0,     0,
       0,  4037,     0,     0,     0,     0,  1647,  3587,  4021,     0,
       0,  1648,  1685,  3595,     0,     0,  1586,     0,     0,     0,
       0,  2635,     0,     0,     0,     0,  1587,  1649,  2367,     0,
       0,  1586,     0,     0,     0,     0,  1588,     0,     0,     0,
       0,  1587,     0,  2636,     0,     0,  2637,     0,  1589,     0,
     971,  1588,  1817,     0,     0,     0,     0,     0,     0,     0,
    3637,     0,  1650,  1589, -2986,     0,     0,   914,     0,   971,
       0,     0,     0,     0,     0,     0,   971,     0,     0,  2636,
     652,     0,   914,   652,     0,   652,   652,   914,     0,     0,
    1713,     0,  1576,  1591,  1592,   652,     0,     0,  1577,     0,
     652,     0,     0,     0,     0,  1651,     0,     0,  1591,  1592,
    1652,     0,     0,     0,     0,     0,     0,   914,     0,     0,
       0,     0,     0,     0,     0,  1714,     0,     0,     0,     0,
       0,     0,     0,     0,  1653,     0,     0,     0,     0,  2638,
    1654,     0,   649,  1579,     0,     0,   649,     0,     0,   652,
     652,   652,     0,     0,   652,  1655,     0,     0,     0,     0,
       0,     0,   652,   652,   652,   652,     0,     0,  1576,     0,
       0,     0,     0,  1817,  1577,  2638,     0,     0,   652,  1817,
       0,   652,  3425,   652,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   652,   652,     0,  1594,   652,
    1580,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,  1582,     0,  1594,     0,     0,     0,     0,     0,  1579,
     652,     0,   652,     0,   652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1583,
       0,     0,     0,   652,     0,  2566,     0,     0,     0,     0,
       0,   649,     0,     0,  2567,  2568,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,     0,   971,     0,     0,  4097,     0,     0,
    3864,     0,     0,     0,     0,  1584,  1580,     0,     0,     0,
       0,  2566,     0,  1581,     0,     0,     0,  1582,     0,     0,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,
       0,   652,     0,     0,   652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1583,     0,     0,   652,     0,
       0,     0,     0,   652,     0,     0,     0,     0,  2106,     0,
    1141,  2107,     0,     0,     0,  2108,  2109,  2110,   652,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   187,     0,
    4315,  1584,   652,  2628,     0,  1685,     0,     0,     0,  1586,
     652,     0,     0,  2629,     0,     0,     0,     0,     0,  1587,
    2630,     0,   914,     0,     0,   914,     0,   914,     0,  1588,
       0,     0,   914,     0,     0,     0,  1397,     0,     0,     0,
       0,  1589,     0,     0,     0,   187,  2631,   971,   971,     0,
       0,     0,     0,   652,     0,     0,     0,     0,     0,  1576,
       0,     0,     0,     0,     0,  1577,     0,     0,   971,     0,
       0,   971,     0,     0,   914,     0,     0,     0,     0,  3280,
       0,  1585,   914,  2797,     0,  1586,  1591,  1592,     0,     0,
       0,     0,     0,     0,     0,  1587,     0,     0,     0,     0,
    4036,     0,     0,  3333,     0,  1588,     0,   914,     0,  4400,
    1579,     0,     0,   652,     0,  4046,     0,  1589,  2798,     0,
    4051,     0,  1397,     0,     0,     0,     0,     0,     0,     0,
     649,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1397,     0,     0,     0,
    4077,     0,  1817,  1817,  1817,     0,     0,     0,     0,  2881,
       0,     0,  1591,  1592,  2632,     0,     0,  1580,     0,  2633,
       0,     0,     0,     0,  1581,     0,     0,   971,  1582,     0,
       0,     0,     0,     0,     0,     0,   914,     0,   914,     0,
       0,  1594,  2634,  2300,  2882,     0,   971,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1583,     0,     0,     0,
    3802,     0,     0,     0,  3806,     0,     0,     0,   971,     0,
    2635,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4495,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,  3839,     0,  3839,     0,  3839,  3839,     0,     0,     0,
    3839,  3839,  3839,  2367,  3839,  3839,  3839,  1594,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2636,     0,
       0,  2637,     0,     0,   914,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3362,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   971,     0,
       0,     0,     0,   652,     0,     0,     0,     0,  3916,   652,
       0,     0,  1685,     0,     0,     0,  1586,     0,   914,     0,
       0,     0,     0,     0,     0,     0,  1587,     0,     0,     0,
       0,     0,     0,  3944,     0,     0,  1588,     0,     0,     0,
       0,     0,     0,     0,     0,  1817,   914,     0,  1589,     0,
       0,   971,     0,   971,     0,     0,     0,     0,     0,     0,
       0,     0,   649,     0,  2638,     0,   971,     0,   971,   649,
       0,     0,     0,     0,   649,     0,   913,   649,  5292,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   652,     0,
    3623,     0,     0,  1591,  1592,  2106,     0,     0,  2107,     0,
       0,     0,  2108,  2109,  2110,     0,     0,     0,     0,  2996,
       0,     0,     0,     0,   914,     0,     0,     0,     0,     0,
    2628,     0,     0,     0,     0,  1593,     0,     0,  4667,     0,
    2629,     0,  4671,     0,     0,   971,   914,  2630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4318,     0,     0,
       0,     0,     0,     0,     0,  4321,     0,     0,   914,     0,
       0,     0,     0,  2631,     0,     0,     0,     0,     0,     0,
    2566,     0,     0,     0,     0,     0,     0,   971,     0,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,     0,
       0,     0,  4516,     0,     0,     0,   971,     0,  1594,     0,
     971,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   971,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   652,     0,     0,
     914,     0,     0,     0,     0,     0,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4417,
     652,  4419,     0,     0,   652,   652,   652,     0,     0,     0,
       0,   652,     0,     0,   652,     0,     0,   652,     0,     0,
       0,  2632,     0,   652,     0,   652,  2633,     0,   652,     0,
       0,     0,   914,   652,   652,   652,   652,     0,     0,   652,
     652,   652,   652,   652,   652,   652,   652,   652,   652,  2634,
    2300,   719,   652,   652,   652,     0,  2784,   914,     0,     0,
    5434,     0,   652,     0,     0,     0,     0,   652,     0,  1817,
       0,   652,     0,     0,     0,     0,     0,  2635,     0,   652,
    3362,  1141,   652,     0,   652,     0,     0,     0,     0,     0,
       0,   649,     0,     0,  2785,     0,     0,  4480,     0,     0,
     652,     0,     0,   652,   652,     0,     0,   722,   652,   652,
       0,     0,     0,   652,  3467,   652,     0,     0,     0,     0,
    2367,     0,     0,     0,   723,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2636,     0,     0,  2637,     0,
       0,  4502,  1056,     0,   652,     0,     0,     0,     0,     0,
     652,     0,     0,     0,     0,     0,     0,     0,   652,   187,
       0,     0,   652,     0,     0,     0,  2786,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4894,     0,     0,   726,
       0,     0,     0,     0,     0,     0,     0,     0,   727,     0,
       0,     0,     0,     0,     0,   652,     0,     0,     0,     0,
       0,   728,     0,     0,     0,     0,     0,  2787,  1576,     0,
       0,     0,   652,     0,  1577,     0,  1936,     0,   914,     0,
       0,     0,  1940,     0,     0,     0,     0,     0,     0,     0,
       0,  2638,  1951,     0,  1059,     0,  1954,  3637,  1141,     0,
    1957,     0,  1959,     0,   971,     0,     0,     0,  1967,     0,
       0,     0,     0,     0,  1973,     0,     0,  1976,     0,  1579,
       0,     0,     0,     0,     0,     0,     0,   652,     0,     0,
       0,     0,   649,     0,     0,     0,     0,     0,   911,     0,
       0,  4644,     0,     0,  1576,     0,     0,     0,     0,     0,
    1577,     0,   649,     0,   732,     0,     0,  1643,     0,     0,
       0,     0,     0,     0,     0,     0,  1817,     0,     0,     0,
       0,  1817,   914,  1817,     0,     0,  1580,  5019,     0,  1644,
    5022,     0,     0,  1581,   649,  4390,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,  1579,     0,  2566,  2788,  1817,
     914,     0,     0,     0,     0,     0,  2567,  2568,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  1583,     0,     0,     0,  4702,
     961,     0,     0,  4701,     0,     0,     0,     0,     0,     0,
       0,  1645,     0,     0,   213,  2789,     0,     0,   737,     0,
       0,     0,     0,  4439,     0,   971,     0,     0,   971,     0,
       0,  1584,  1580,     0,     0,     0,     0,     0,     0,  1581,
       0,     0,     0,  1582,     0,   961,  1063,     0,     0,  2790,
       0,     0,     0,     0,     0,  4733,   741,     0,     0,     0,
       0,  5104,     0,   742,     0,     0,   743,     0,     0,     0,
       0,  1583,     0,     0,     0,     0,     0,     0,  2996,     0,
    4754,     0,     0,     0,     0,     0,   744,     0,     0,     0,
       0,     0,   652,  4482,  1065,     0,     0,     0,     0,     0,
       0,   746,     0,  1646,  1066,     0,   649,  1584,     0,   748,
       0,  1685,     0,     0,     0,  1586,     0,  2791,   971,   971,
       0,     0,   914,     0,  2792,  1587,     0,     0,     0,   971,
     913,     0,     0,     0,     0,  1588,   652,   652,     0,     0,
       0,  3839,     0,     0,     0,     0,   971,  1589,     0,     0,
       0,   753,     0,  4513,  4513,     0,   913,     0,     0,  4021,
       0,     0,     0,  4529,     0,     0,  1647,     0,  1141,   914,
    1141,  1648,     0,     0,   914,   652,   652,     0,     0,     0,
       0,     0,     0,     0,     0,   649,   652,  1649,     0,  3814,
       0,  1586,  1591,  1592,     0,     0,   187,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,  2106,     0,     0,  2107,  4584,     0,     0,  2108,
    2109,  2110,  1650,  1589,  3815,     0,     0,   971,     0,     0,
    1817,     0,     0,     0,     0,     0,  1576,  2628,     0,     0,
       0,     0,  1577,     0,     0,     0,     0,  2629,     0,     0,
       0,  4620,  1141,     0,  2630,     0,   652,     0,     0,     0,
       0,     0,     0,     0,     0,  3740,     0,     0,  1591,  1592,
    1652,     0,   652,     0,     0,     0,     0,     0,     0,     0,
    2631,     0,     0,     0,     0,     0,     0,  1579,     0,     0,
     652,     0,     0,     0,  1653,     0,     0,  1594,     0,   913,
    3741,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1655,     0,     0,   652,     0,
    5919,   652,     0,     0,     0,     0,     0,     0,     0,   652,
     652,     0,   914,     0,     0,  1546,   652,   652,     0,     0,
       0,   652,     0,     0,  1580,     0,   652,     0,   649,   652,
     652,  1581,     0,     0,     0,  1582,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1547,     0,  1594,     0,     0,     0,     0,   652,     0,
       0,     0,     0,  1583,     0,   652,     0,     0,     0,     0,
     652,     0,     0,   652,   652,     0,     0,     0,  2632,     0,
    2098,   652,     0,  2633,     0,     0,     0,     0,     0,     0,
       0,     0,   652,     0,     0,     0,     0,     0,     0,  1584,
     652,     0,     0,     0,     0,     0,  2634,  2300,     0,     0,
       0,     0,     0,     0,  1548,     0,     0,     0,     0,     0,
       0,     0,     0,  1732,     0,     0,     0,   914,  2098,  5375,
       0,     0,     0,     0,  2635,  4776,     0,   649,     0,     0,
     971,  5385,   913,     0,     0,   652,     0,     0,     0,     0,
       0,  1549,  3362,   913,     0,     0,     0,     0,     0,     0,
    1576,     0,     0,     0,   658,     0,  1577,     0,  4192,   913,
     707,   658,     0,     0,     0,     0,   759,  2367,   658,  1685,
     914,     0,     0,  1586,   658,  5093,   812,     0,     0,     0,
       0,     0,  2636,  1587,     0,  2637,     0,   971,     0,     0,
       0,  1550,   914,  1588,     0,   874,   874,     0,     0,   971,
       0,  1579,     0,     0,     0,  1589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   652,     0,     0,     0,     0,
    4227,     0,   652,  4233,     0,     0,     0,     0,     0,     0,
       0,  1551,     0,   971,   649,  1552,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4331,     0,     0,
    1591,  1592,     0,     0,     0,     0,     0,     0,  1580,     0,
       0,     0,   911,     0,   914,  1581,     0,  1634,  1554,  1582,
       0,  3467,     0,     0,     0,   925,     0,     0,  2638,  3467,
       0,     0,  4332,     0,     0,     0,     0,     0,   911,     0,
     652,     0,     0,     0,     0,     0,     0,  1583,     0,     0,
       0,     0,     0,     0,     0,     0,   652,     0,     0,  1635,
       0,  1817,     0,    35,     0,     0,   913,  3152,  1556,     0,
       0,     0,     0,     0,     0,  3159,     0,  1557,     0,     0,
     971,     0,     0,  1584,     0,     0,  1558,   652,   961,     0,
       0,     0,     0,     0,  1636,     0,   953,     0,  4021,     0,
     957,     0,     0,     0,     0,  1594,     0,  1560,  1000,  4529,
       0,  1002,     0,     0,  1007,  1008,  1561,  1011,     0,  1014,
       0,  1562,  1020,     0,  1022,     0,     0,     0,     0,     0,
       0,     0,     0,   914,  2566,   914,     0,  4983,     0,     0,
       0,     0,     0,  2567,  2568,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  4997,   649,     0,  4998,  4775,  4999,     0,     0,
       0,   961,   961,  1685,     0,     0,   971,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1587,  1563,     0,
       0,   911,     0,     0,     0,     0,     0,  1588,     0,     0,
       0,     0,   652,     0,     0,     0,     0,     0,     0,  1589,
       0,     0,   652,  5039,     0,   652,     0,     0,   652,   652,
     652,     0,     0,     0,     0,     0,     0,     0,     0,  3839,
       0,     0,     0,     0,  3839,     0,     0,     0,  4021,     0,
    4021,     0,     0,   652,   652,     0,     0,   652,     0,     0,
       0,  4402,     0,     0,  1591,  1592,     0,     0,     0,     0,
    5328,     0,     0,     0,   652,     0,     0,     0,   652,     0,
       0,     0,     0,   649,   652,     0,     0,     0,   652,   649,
       0,     0,     0,     0,   914,   652,  4403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6315,   652,     0,
       0,   652,     0,     0,     0,     0,   971,     0,   971,     0,
       0,     0,     0,  5364,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     652,     0,     0,  5144,     0,  5380,  4529,  2737,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   911,   914,   971,     0,     0,  1594,
       0,     0,     0,     0,     0,   911,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6362,     0,     0,     0,
       0,   911,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     649,     0,     0,     0,  2737,     0,  1817,  5408,     0,     0,
       0,   652,  5193,  5193,  5193,  5193,     0,  5193,  5193,  5193,
    5193,  5193,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   913,  6362,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
       0,     0,  6426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   652,     0,     0,   914,     0,     0,   913,   961,
     961,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   187,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   652,     0,     0,     0,   652,  5492,   652,
       0,     0,     0,     0,     0,  5272,     0,  5274,   911,  2106,
       0,     0,  2107,   652,     0,     0,  2108,  2109,  2110,     0,
       0,   652,     0,     0,   652,     0,     0,     0,  1732,  1732,
    1732,     0,     0,     0,  2628,   652,     0,   902,     0,  1050,
       0,     0,   652,     0,  2629,     0,     0,     0,     0,     0,
    1087,  2630,     0,     0,  1091,     0,     0,     0,     0,     0,
       0,  1104,  1105,     0,     0,  1111,     0,  1115,  1116,     0,
       0,     0,     0,     0,     0,     0,     0,  2631,     0,     0,
       0,     0,  1138,     0,     0,     0,     0,     0,     0,     0,
     652,     0,     0,     0,     0,     0,   914,     0,     0,     0,
    1151,   914,   914,     0,     0,     0,   652,     0,     0,     0,
       0,     0,   652,   652,   971,     0,     0,     0,     0,     0,
       0,  1179,     0,  1181,     0,     0,     0,     0,   971,     0,
     904,     0,     0,  1197,     0,     0,     0,  4480,     0,     0,
     913,     0,     0,     0,     0,     0,     0,     0,   652,     0,
       0,   913,     0,     0,  2106,     0,   652,  2107,     0,  1817,
       0,  2108,  2109,  2110,     0,     0,   658,   913,  2607,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2098,  2628,
       0,     0,     0,     0,   652,     0,     0,     0,     0,  2629,
       0,     0,     0,     0,     0,  2632,  2630,     0,     0,     0,
    2633,     0,     0,     0,     0,   187,     0,     0,     0,     0,
       0,     0,     0,   914,   914,     0,     0,     0,     0,     0,
       0,   913,  2631,  2634,  2300,     0,     0,  3467,  3430,  5406,
    5407,  3467,     0,     0,     0,     0,   913,   652,  1817,   913,
     913,     0,  3839,     0,  3839,  3839,  3839,   874,     0,   652,
       0,  2635,     0,     0,     0,     0,     0,     0,   652,   652,
     652,     0,     0,     0,     0,     0,     0,     0,     0,   911,
     913,   913,     0,   652,  1817,     0,     0,   914,     0,     0,
       0,     0,   652,     0,   652,     0,   652,     0,     0,     0,
       0,     0,     0,   652,  2367,     0,     0,     0,     0,     0,
     652,     0,     0,     0,     0,     0,     0,     0,     0,  2636,
    5458,     0,  2637,     0,     0,     0,     0,     0,     0,   652,
       0,  2106,     0,     0,  2107,     0,     0,     0,  2108,  2109,
    2110,     0,  1537,     0,     0,     0,   911,     0,     0,     0,
    2632,     0,     0,     0,  1817,  2633,  2628,   971,     0,  5486,
       0,     0,     0,     0,     0,     0,  2629,     0,     0,     0,
       0,     0,     0,  2630,     0,     0,     0,     0,  2634,  2300,
    1732,     0,     0,     0,     0,     0,     0,   911,     0,     0,
       0,     0,     0,     0,  1732,     0,     0,  1732,     0,  2631,
       0,     0,  5193,     0,     0,     0,  2635,     0,     0,     0,
     652,     0,     0,     0,     0,  2638,  1716,     0,     0,     0,
     911,     0,   913,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4021,     0,     0,     0,     0,     0,     0,     0,
       0,  1837,     0,     0,     0,     0,     0,     0,     0,  2367,
       0,     0,     0,   905,     0,     0,  1849,     0,  1850,     0,
       0,   652,     0,     0,  2636,     0,     0,  2637,  1853,     0,
       0,     0,     0,     0,     0,  1863,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   652,     0,     0,  2026,
       0,     0,     0,     0,  2026,  2026,     0,     0,     0,     0,
     971,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   652,     0,     0,  2632,  1915,     0,
    1917,  2566,  2633,     0,     0,     0,     0,   971,     0,     0,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,
       0,     0,     0,  4881,     0,  2634,  2300,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2638,     0,     0,     0,     0,     0,     0,     0,     0,   652,
       0,     0,  4529,  2635,     0,  3467,     0,     0,     0,   652,
       0,     0,     0,     0,     0,     0,     0,   652,   652,     0,
       0,     0,     0,   652,   658,     0,   658,     0,   658,     0,
     658,   187,   658,   658,   658,     0,     0,  5958,     0,   658,
       0,     0,   911,     0,     0,     0,  2367,     0,  3839,     0,
       0,  2021,     0,   911,   652,   652,     0,  5683,   652,     0,
       0,  2636,     0,     0,  2637,     0,     0,     0,     0,   911,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   971,  2566,     0,     0,     0,
    6014,     0,     0,     0,     0,  2567,  2568,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,     0,     0,     0,     0,  4905,   652,
       0,     0,     0,   911,     0,   652,     0,  2106,     0,     0,
    2107,     0,     0,     0,  2108,  2109,  2110,     0,   911,     0,
       0,   911,   911,   652,     0,     0,     0,     0,     0,     0,
     652,   902,  2628,     0,     0,     0,     0,  2638,     0,     0,
       0,     0,  2629,     0,     0,     0,   652,     0,     0,  2630,
       0,     0,   911,   911,     0,     0,     0,   902,     0,     0,
       0,     0,     0,  3979,   652,     0,     0,     0,  3985,     0,
    3986,     0,     0,     0,     0,  2631,     0,     0,     0,     0,
    3992,     0,     0,  3993,     0,  3994,  3995,     0,     0,  3997,
       0,     0,     0,  4000,     0,  4001,     0,     0,  4003,     0,
       0,     0,   652,     0,     0,     0,     0,   914,     0,     0,
       0,     0,     0,   652,     0,     0,     0,     0,     0,   874,
       0,     0,     0,     0,   904,     0,   652,     0,     0,     0,
       0,     0,     0,  1817,  3467,     0,     0,     0,     0,  3467,
       0,     0,  3467,  2566,     0,     0,     0,     0,     0,     0,
     904,     0,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,     0,  4042,   187,   187,  5110,     0,     0,     0,     0,
       0,   652,   652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1141,     0,     0,   652,  5894,
       0,     0,  1817,  2632,   911,     0,     0,     0,  2633,     0,
     902,     0,     0,     0,     0,   652,   652,     0,     0,     0,
       0,     0,     0,     0,     0,  1732,     0,  1817,     0,     0,
       0,  2634,  2300,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2795,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2635,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2367,   904,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2636,     0,     0,
    2637,  2893,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2106,     0,     0,  2107,     0,     0,
       0,  2108,  2109,  2110,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   907,     0,     0,     0,     0,  2628,
       0,     0,  3535,     0,     0,     0,  2737,  3541,     0,  2629,
       0,     0,     0,   902,     0,     0,  2630,     0,     0,     0,
       0,     0,     0,     0,   902,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     902,     0,  2631,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2638,  1141,     0,     0,     0,  6066,     0,
    6067,   913,     0,     0,  6073,  6074,     0,   913,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   187,     0,
       0,     0,     0,     0,     0,     0,     0,   905,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   904,     0,     0,     0,
       0,     0,     0,   905,   913,     0,     0,   904,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,     0,     0,
    6370,     0,  4313,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2566,
    2632,     0,     0,     0,     0,  2633,     0,     0,  2567,  2568,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  3024,     0,     0,
       0,  5223,     0,     0,     0,     0,     0,     0,  2634,  2300,
       0,     0,     0,     0,     0,     0,  2106,   902,     0,  2107,
       0,     0,     0,  2108,  2109,  2110,     0,     0,     0,     0,
       0,     0,  3060,     0,     0,     0,  2635,     0,     0,     0,
       0,  2628,  4374,     0,  4376,     0,     0,     0,     0,     0,
       0,  2629,     0,     0,     0,     0,     0,     0,  2630,     0,
       0,     0,     0,     0,     0,     0,     0,  3467,     0,     0,
       0,     0,     0,     0,     0,     0,   905,     0,  3125,  2367,
       0,     0,     0,     0,  2631,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2636,     0,     0,  2637,  3143,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     904,     0,  1732,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3163,     0,  3164,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3173,     0,  3174,   913,     0,     0,     0,     0,   658,
       0,   658,     0,   658,     0,   658,     0,   658,     0,     0,
       0,   658,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1141,     0,     0,     0,     0,     0,  4479,     0,
    2638,     0,     0,     0,  4486,     0,     0,     0,  3233,     0,
       0,     0,  2632,     0,     0,     0,     0,  2633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2737,     0,     0,
       0,  2737,     0,     0,     0,     0,   187,     0,     0,     0,
    2634,  2300,     0,     0,     0,     0,     0,     0,     0,   905,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     905,     0,     0,     0,     0,     0,     0,   187,  2635,     0,
    2106,     0,     0,  2107,     0,     0,   905,  2108,  2109,  2110,
       0,   187,     0,     0,     0,     0,     0,     0,   902,     0,
       0,     0,     0,     0,   911,  2628,     0,     0,   911,   911,
       0,     0,     0,     0,     0,  2629,  2566,     0,     0,     0,
       0,  2367,  2630,     0,     0,  2567,  2568,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,     0,     0,  2636,     0,  5260,  2637,
       0,     0,     0,     0,   913,     0,     0,     0,  2631,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   913,
    6391,     0,     0,   911,   913,   902,     0,  2591,     0,   911,
       0,  6395,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2098,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,   913,     0,     0,     0,     0,     0,
    4648,     0,  4650,     0,  4652,  6421,   902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   911,     0,     0,  6391,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2638,     0,     0,     0,     0,     0,     0,   902,
       0,     0,     0,   905,  6391,     0,     0,  5272,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   904,     0,
       0,     0,     0,     0,     0,     0,  2632,     0,     0,     0,
       0,  2633,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2634,  2300,     0,     0,     0,   904,
       0,     0,     0,     0,     0,     0,     0,     0,   907,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2635,  3467,     0,   187,     0,     0,     0,     0,
       0,     0,   904,     0,   907,     0,     0,     0,  2566,     0,
       0,     0,     0,     0,     0,     0,     0,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,     0,     0,     0,     0,
    5264,     0,     0,     0,     0,  2367,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2636,     0,     0,  2637,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   911,     0,     0,   187,
       0,   902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   902,     0,     0,     0,     0,     0,     0,  2737,
       0,     0,  3541,     0,  3541,     0,     0,     0,   902,  2737,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2638,   907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   911,
       0,   913,     0,   911,   905,     0,     0,     0,  2106,   913,
       0,  2107,   902,     0,     0,  2108,  2109,  2110,     0,     0,
       0,     0,     0,   908,   904,     0,     0,   902,     0,     0,
     902,   902,     0,  2628,  2737,   904,     0,     0,     0,     0,
       0,     0,     0,  2629,     0,     0,     0,     0,     0,     0,
    2630,   904,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   902,   902,     0,     0,     0,     0,     0,     0,     0,
       0,   905,     0,     0,     0,     0,  2631,     0,     0,     0,
       0,     0,  2566,     0,     0,     0,     0,     0,     0,     0,
       0,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
       0,     0,     0,     0,  5533,   904,   911,     0,     0,     0,
       0,     0,   905,   913,     0,   913,     0,     0,     0,     0,
     904,   911,     0,   904,   904,     0,   911,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     907,     0,     0,     0,     0,   905,     0,     0,     0,     0,
       0,   907,     0,     0,   904,   904,   911,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     187,     0,     0,     0,  2632,     0,     0,     0,     0,  2633,
       0,     0,     0,   902,     0,     0,     0,  3531,  3532,     0,
       0,   913,     0,     0,     0,   187,     0,     0,     0,     0,
       0,     0,  2634,  2300,     0,     0,  3547,  3548,     0,  3550,
    3551,     0,     0,     0,  3554,  3555,     0,     0,     0,     0,
    1732,     0,     0,     0,     0,     0,  1732,     0,     0,  3566,
    2635,     0,     0,  3569,     0,   913,     0,  3572,  3573,     0,
       0,  3576,  3577,     0,     0,     0,     0,     0,  3582,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3597,     0,     0,  3541,     0,     0,     0,     0,     0,     0,
       0,     0,  3614,  2367,     0,     0,   904,  3616,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2636,     0,
       0,  2637,  3622,     0,     0,     0,  3628,     0,     0,     0,
       0,     0,     0,     0,   907,     0,     0,  3638,  6310,     0,
    3642,     0,  3644,  3647,  3649,     0,     0,   905,     0,  3657,
    3660,     0,     0,     0,     0,     0,     0,     0,   905,  3673,
       0,   913,     0,     0,     0,  3683,     0,     0,     0,  3686,
       0,     0,     0,     0,   905,     0,  5172,     0,     0,  5174,
       0,  3696,  3697,  3541,     0,     0,  3702,     0,     0,     0,
       0,     0,  3711,  3712,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   913,  3721,     0,  5189,  3722,
       0,     0,     0,     0,  2638,     0,  3734,  3735,     0,     0,
       0,   911,  3739,     0,   911,     0,   911,     0,   905,     0,
       0,   911,     0,     0,  3746,     0,     0,  3749,     0,     0,
       0,     0,  3752,   905,     0,     0,   905,   905,  3755,  3756,
       0,     0,     0,     0,     0,     0,  3764,     0,     0,   187,
    3766,     0,     0,   910,  3773,  3774,  3775,  3776,     0,  3778,
       0,     0,     0,   911,     0,     0,     0,   905,   905,     0,
       0,   911,     0,  3804,  3805,     0,  3807,   913,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3817,  3818,  3819,
       0,     0,     0,     0,     0,     0,   911,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2566,     0,     0,     0,     0,     0,     0,     0,     0,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,   913,
       0,     0,  5544,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3871,     0,     0,     0,     0,     0,
       0,     0,  3895,     0,   913,     0,     0,     0,     0,     0,
       0,  2106,     0,     0,  2107,     0,     0,     0,  2108,  2109,
    2110,  3907,     0,     0,     0,   911,     0,   911,     0,     0,
       0,     0,     0,     0,     0,   907,  2628,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2629,     0,     0,     0,
    5327,     0,     0,  2630,     0,     0,     0,     0,     0,   905,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3975,     0,     0,     0,     0,     0,     0,     0,  2631,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3989,     0,  3991,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   907,     0,     0,     0,  5365,  5366,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   911,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   907,     0,     0,     0,   908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2737,     0,   911,     0,     0,
       0,     0,     0,   908,     0,     0,   907,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4053,     0,     0,
       0,     0,     0,     0,     0,   911,     0,  2632,     0,     0,
    5409,  5410,  2633,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2106,     0,     0,  2107,     0,     0,     0,  2108,
    2109,  2110,     0,     0,     0,  2634,  2300,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2628,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2629,     0,     0,
       0,     0,     0,  2635,  2630,     0,     0,     0,     0,  3541,
       0,     0,     0,   911,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   902,     0,     0,     0,   902,   902,     0,
    2631,     0,     0,     0,     0,   911,     0,  3541,     0,     0,
       0,     0,     0,     0,     0,     0,  2367,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   911,     0,     0,
       0,  2636,     0,     0,  2637,     0,   908,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5503,     0,   902,  5505,  5506,     0,     0,     0,   902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5511,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   904,     0,   907,     0,
     904,   904,     0,     0,     0,     0,     0,     0,     0,   907,
       0,     0,     0,     0,     0,   902,     0,     0,     0,   911,
       0,     0,     0,     0,     0,   907,     0,     0,  2632,     0,
       0,     0,     0,  2633,     0,     0,     0,  2638,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   904,  2634,  2300,     0,   913,
       0,   904,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   911,     0,     0,     0,     0,     0,     0,     0,   907,
    2106,     0,     0,  2107,  2635,     0,     0,  2108,  2109,  2110,
       0,     0,     0,     0,   907,     0,   911,   907,   907,     0,
       0,     0,     0,     0,     0,  2628,  3541,     0,   904,   908,
       0,  2737,     0,     0,     0,  2629,     0,     0,     0,     0,
     908,     0,  2630,     0,     0,     0,     0,  2367,   907,   907,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
       0,     0,  2636,  2566,     0,  2637,     0,  4316,  2631,     0,
       0,     0,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,     0,     0,     0,  4323,  5554,     0,     0,  4323,     0,
       0,     0,     0,  4334,  4335,  4336,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4348,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   910,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4377,  4378,
    4379,  4380,     0,     0,     0,   902,     0,     0,     0,     0,
       0,     0,     0,   910,     0,     0,     0,     0,  2638,     0,
       0,     0,  2106,     0,     0,  2107,     0,     0,     0,  2108,
    2109,  2110,     0,     0,     0,     0,  4401,   911,  4405,  4406,
    4407,     0,     0,     0,     0,     0,  2632,  2628,     0,   913,
     907,  2633,     0,     0,     0,     0,     0,  2629,     0,     0,
       0,     0,     0,     0,  2630,     0,     0,     0,     0,     0,
       0,     0,     0,   908,  2634,  2300,     0,     0,   902,     0,
       0,     0,   902,     0,     0,   912,     0,     0,     0,   905,
    2631,     0,     0,   905,   905,     0,     0,     0,   904,     0,
       0,     0,  2635,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2566,     0,     0,     0,     0,     0,
       0,   911,     0,  2567,  2568,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,     0,     0,     0,  2367,  5616,     0,   905,     0,
       0,     0,     0,     0,   905,     0,   910,     0,  4490,   911,
    2636,     0,     0,  2637,   913,     0,     0,  4496,     0,     0,
       0,   904,     0,     0,     0,   904,     0,     0,     0,     0,
       0,     0,     0,     0,  5847,   902,     0,     0,     0,     0,
       0,     0,     0,  4506,  4507,     0,     0,     0,  4508,     0,
     902,   905,     0,     0,     0,   902,     0,     0,  2632,     0,
       0,     0,     0,  2633,     0,     0,     0,   913,     0,     0,
    4550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   902,  2634,  2300,  5884,   913,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2638,     0,     0,     0,
       0,     0,     0,     0,  2635,     0,     0,     0,     0,     0,
       0,     0,  4587,     0,     0,     0,     0,  4593,   904,     0,
       0,     0,     0,  4599,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,   904,     0,
       0,   911,     0,     0,     0,     0,     0,  2367,     0,     0,
       0,   913,     0,  4638,     0,     0,     0,     0,     0,   910,
       0,     0,  2636,     0,     0,  2637,     0,     0,   904,     0,
     910,     0,     0,     0,   908,     0,     0,     0,     0,     0,
       0,     0,  4653,     0,  4654,     0,   910,     0,   911,     0,
       0,  5974,     0,   911,     0,     0,     0,     0,     0,     0,
       0,     0,  2566,     0,     0,     0,     0,     0,     0,     0,
       0,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
       0,     0,     0,     0,  5647,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   905,     0,     0,     0,     0,     0,     0,  2638,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5490,     0,   913,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   908,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   908,     0,     0,     0,     0,
       0,     0,     0,     0,   905,     0,     0,     0,   905,     0,
     902,     0,     0,   902,     0,   902,     0,     0,     0,     0,
     902,     0,     0,   910,     0,     0,     0,     0,     0,     0,
       0,   911,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2566,     0,     0,     0,     0,     0,
       0,     0,     0,  2567,  2568,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,   902,     0,     0,     0,  5649,     0,     0,     0,
     902,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2106,     0,     0,  2107,     0,
       0,   913,  2108,  2109,  2110,   902,     0,     0,     0,     0,
       0,     0,     0,   904,     0,     0,   904,     0,   904,     0,
    2628,   905,     0,   904,     0,     0,     0,     0,     0,     0,
    2629,     0,     0,     0,     0,     0,   905,  2630,     0,     0,
       0,   905,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   911,     0,     0,     0,
       0,     0,     0,  2631,     0,   904,     0,     0,     0,     0,
       0,   905,  3541,   904,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   902,     0,   902,     0,  4887,     0,
    4888,     0,     0,     0,     0,     0,     0,   908,   904,     0,
     907,     0,     0,  4895,   907,   907,     0,     0,   908,   911,
       0,     0,     0,     0,     0,  4901,     0,     0,     0,  4904,
       0,     0,     0,     0,   908,     0,     0,     0,     0,     0,
    4917,   911,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4943,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   907,
       0,     0,     0,     0,     0,   907,     0,  4947,     0,     0,
       0,     0,     0,     0,     0,  4951,     0,   904,   908,   904,
       0,  2632,   902,  6281,     0,     0,  2633,     0,     0,   912,
       0,     0,  3541,   908,   910,     0,   908,   908,  2106,     0,
    4986,  2107,     0,   911,  4990,  2108,  2109,  2110,     0,  2634,
    2300,     0,   907,     0,     0,   912,     0,     0,     0,  5000,
    5001,  5002,  5003,  2628,     0,     0,   902,   908,   908,  5007,
    5008,  5009,  5010,  2629,     0,     0,     0,  2635,  5012,  5013,
    2630,     0,     0,     0,  5020,  5021,     0,  5023,  5024,  5025,
    5026,  5027,  5028,  5029,   902,     0,     0,     0,     0,     0,
       0,   910,     0,  5038,     0,     0,  2631,  5041,  5042,  5043,
    5044,     0,     0,     0,     0,   904,     0,     0,     0,     0,
    2367,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4323,     0,     0,     0,  2636,     0,     0,  2637,     0,
       0,     0,   910,     0,     0,     0,     0,     0,     0,  5064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   904,
       0,     0,   902,     0,   911,     0,   905,     0,     0,   905,
       0,   905,     0,     0,     0,   910,   905,     0,     0,     0,
       0,     0,     0,   913,   902,     0,     0,   904,   913,   913,
       0,     0,     0,     0,     0,     0,     0,     0,   912,     0,
       0,     0,     0,     0,     0,     0,   902,     0,     0,   908,
       0,     0,     0,     0,     0,     0,     0,     0,   905,     0,
       0,     0,     0,     0,  2632,  5145,   905,     0,     0,  2633,
       0,  2638,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   905,  2634,  2300,     0,   904,     0,     0,  4323,     0,
       0,     0,   907,     0,     0,  5170,     0,  5171,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   904,     0,     0,
    2635,     0,     0,     0,     0,     0,     0,     0,   902,     0,
       0,     0,     0,     0,     0,  5186,     0,     0,     0,   904,
    5490,   913,     0,   911,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2367,     0,     0,     0,     0,     0,     0,
     905,     0,   905,     0,     0,   907,     0,  2566,  2636,   907,
     902,  2637,     0,     0,     0,     0,  2567,  2568,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,     0,     0,     0,     0,  5688,
       0,   912,     0,     0,   913,   902,     0,   910,     0,     0,
       0,     0,   912,     0,   911,     0,     0,     0,   910,     0,
       0,   904,     0,     0,     0,     0,     0,     0,   912,     0,
       0,     0,     0,     0,   910,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   905,     0,
       0,     0,     0,   904,  2638,     0,     0,     0,     0,     0,
       0,     0,   907,     0,     0,     0,     0,     0,   910,     0,
       0,     0,     0,     0,     0,     0,     0,   907,   904,     0,
       0,     0,   907,   910,     0,     0,   910,   910,     0,     0,
       0,     0,   905,     0,     0,     0,  2106,     0,     0,  2107,
       0,     0,     0,  2108,  2109,  2110,     0,     0,     0,     0,
       0,     0,   907,     0,   911,     0,     0,   910,   910,     0,
     905,  2628,     0,     0,     0,  3486,  5329,  5330,  5331,     0,
       0,  2629,  5332,  5333,  5334,  5335,     0,     0,  2630,  5337,
       0,     0,     0,     0,     0,     0,   902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2566,     0,     0,     0,  2631,   912,     0,     0,     0,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,     0,
       0,     0,  6043,     0,     0,     0,     0,     0,   905,     0,
    5370,  5371,  5372,  5373,  5374,     0,  5376,  5377,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5386,  5387,
     905,     0,     0,     0,     0,     0,  3487,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   905,     0,     0,     0,     0,     0,     0,   904,
     902,     0,  5393,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   910,
       0,     0,     0,     0,     0,   911,     0,     0,   902,     0,
     911,   911,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2106,  2632,     0,  2107,     0,     0,  2633,  2108,  2109,
    2110,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2628,     0,     0,     0,
    2634,  2300,     0,     0,   905,     0,  2629,     0,     0,     0,
       0,     0,     0,  2630,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,  2635,     0,
       0,     0,     0,     0,  5456,     0,     0,     0,     0,  2631,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,     0,     0,   905,   907,     0,     0,
     907,     0,   907,     0,     0,     0,     0,   907,     0,     0,
       0,  2367,     0,   911,     0,     0,     0,     0,     0,     0,
       0,   905,     0,     0,     0,     0,  2636,     0,     0,  2637,
       0,     0,     0,     0,     0,     0,     0,     0,  2106,  5507,
     902,  2107,     0,     0,     0,  2108,  2109,  2110,     0,   907,
       0,     0,     0,     0,     0,     0,   912,   907,     0,     0,
       0,     0,     0,  2628,     0,     0,     0,     0,     0,     0,
       0,  5513,     0,  2629,     0,     0,   911,     0,     0,   908,
    2630,     0,   907,   908,   908,     0,     0,   902,     0,     0,
       0,     0,   902,     0,     0,     0,     0,  2632,     0,     0,
       0,     0,  2633,     0,     0,     0,  2631,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2638,   912,   913,  2634,  2300,     0,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,   908,     0,
       0,     0,     0,     0,   908,     0,     0,     0,     0,     0,
       0,     0,     0,  2635,     0,     0,     0,     0,     0,     0,
       0,   907,     0,   907,   912,     0,     0,     0,     0,   658,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     904,     0,   905,     0,     0,   904,     0,  3488,  1732,     0,
       0,   908,     0,     0,     0,     0,  2367,   912,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2636,     0,     0,  2637,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2632,     0,     0,     0,  2566,  2633,
       0,     0,     0,     0,     0,  5636,     0,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,     0,     0,     0,     0,
     902,     0,  2634,  2300,  5646,     0,     0,     0,     0,   907,
    5652,  5653,     0,     0,     0,     0,     0,     0,     0,     0,
    5664,     0,     0,     0,     0,     0,   905,  5666,     0,     0,
    2635,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   907,   905,     0,     0,  2638,     0,     0,
       0,     0,  5718,  5719,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2367,     0,  5727,     0,  5729,     0,     0,
       0,   907,     0,     0,     0,     0,     0,     0,  2636,     0,
       0,  2637,  5743,   904,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   902,     0,  4323,     0,     0,
       0,     0,     0,     0,     0,  5777,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   912,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   907,
     912,   908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2566,     0,     0,   912,     0,   902,     0,
       0,   907,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,     0,     0,     0,  2638,  6054,     0,     0,     0,     0,
     902,     0,     0,   907,     0,     0,   905,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   904,     0,
       0,     0,     0,     0,     0,  5833,     0,     0,     0,     0,
     912,     0,     0,     0,   908,     0,     0,     0,   908,  5848,
       0,     0,     0,     0,     0,   912,     0,     0,   912,   912,
       0,     0,     0,   905,     0,     0,     0,     0,   905,     0,
       0,     0,     0,  5865,     0,     0,     0,     0,     0,   910,
       0,   904,   902,   910,   910,     0,     0,     0,     0,   912,
     912,     0,     0,     0,     0,   907,     0,     0,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,     0,     0,
    2566,     0,     0,     0,     0,     0,     0,     0,     0,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,     0,
       0,     0,  6077,     0,     0,     0,     0,     0,   910,     0,
    5925,     0,     0,     0,   910,     0,     0,   907,     0,     0,
       0,   908,     0,     0,     0,     0,   911,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
       0,   908,   907,     0,  -136,   904,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   910,     0,     0,     1,     0,     0,     0,     0,     0,
       0,   908,     0,   902,     0,     2,     0,     3,     4,     0,
    4323,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     5,   905,     0,     0,     0,
       0,   912,     0,     0,     0,     6,     0,     0,     0,     0,
       0,     0,     0,     0,  6005,     0,     0,     7,     0,     8,
       9,     0,     0,     0,     0,     0,    10,     0,    11,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    12,     0,    13,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6033,     0,     0,     0,     0,
      14,     0,     0,    15,     0,     0,   904,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    16,  6055,
      17,     0,     0,     0,    18,     0,     0,     0,     0,     0,
       0,    19,     0,     0,     0,     0,     0,     0,     0,     0,
      20,     0,    21,   907,     0,     0,     0,     0,     0,    22,
       0,   905,   902,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    23,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6095,
       0,     0,     0,     0,    24,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   905,     0,     0,     0,     0,     0,
       0,   910,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   902,     0,     0,   905,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   907,    25,    26,
       0,     0,     0,     0,    27,   904,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    28,
       0,     0,     0,     0,     0,   907,   908,     0,     0,   908,
       0,   908,     0,     0,     0,     0,   908,     0,    29,     0,
       0,     0,   963,   973,   910,     0,     0,     0,   910,     0,
     963,  6189,   973,   963,     0,     0,     0,     0,   905,     0,
       0,     0,     0,     0,     0,     0,   973,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   904,     0,   908,     0,
       0,     0,     0,     0,  6202,    30,   908,     0,     0,     0,
       0,     0,     0,     0,     0,  6212,     0,     0,     0,     0,
      31,     0,     0,   902,     0,     0,    32,    33,     0,    34,
       0,   908,     0,     0,    35,     0,   719,     0,     0,     0,
      36,   720,     0,    37,     0,     0,     0,     0,     0,     0,
      38,     0,     0,     0,     0,     0,     0,    39,    40,     0,
       0,     0,     0,     0,     0,    41,     0,     0,     0,    42,
       0,   910,     0,     0,     0,     0,     0,     0,     0,   721,
      43,     0,     0,     0,     0,     0,   910,   907,     0,     0,
       0,   910,   722,     0,     0,     0,     0,    44,     0,   905,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   723,
     908,     0,   908,     0,     0,     0,   904,     0,    45,     0,
       0,   910,     0,     0,     0,     0,     0,   724,     0,     0,
      46,     0,     0,     0,   907,     0,    47,  6291,     0,   907,
       0,    48,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   725,     0,     0,    49,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   726,     0,     0,     0,     0,     0,
       0,     0,     0,   727,   902,     0,     0,     0,    50,   902,
     902,     0,     0,     0,     0,     0,   728,     0,     0,     0,
       0,     0,   729,     0,     0,     0,     0,    56,     0,   730,
    -136,     0,     0,     0,     0,     0,     0,     0,   908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2106,     0,   905,  2107,
       0,     0,     0,  2108,  2109,  2110,     0,     0,     0,     0,
       0,     0,   908,     0,     0,     0,     0,     0,     0,     0,
       0,  2628,     0,     0,     0,     0,     0,   904,     0,     0,
       0,  2629,   904,   904,     0,     0,     0,     0,  2630,   732,
     908,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   902,     0,     0,     0,     0,   907,     0,     0,
       0,     0,     0,     0,  2631,     0,     0,     0,     0,   905,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   733,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   734,     0,     0,     0,
       0,   912,     0,  6432,     0,   912,   912,     0,   908,   735,
       0,     0,     0,     0,     0,   902,     0,     0,     0,   213,
     736,     0,     0,   737,     0,     0,     0,     0,     0,     0,
     908,     0,     0,     0,     0,     0,   910,     0,     0,   910,
       0,   910,     0,     0,     0,   904,   910,     0,     0,     0,
       0,   738,   908,     0,   739,     0,     0,     0,   740,     0,
     912,   741,     0,     0,     0,     0,   912,     0,   742,     0,
       0,   743,   907,     0,     0,     0,     0,     0,   973,     0,
       0,     0,  2632,     0,     0,     0,     0,  2633,   910,   905,
       0,   744,     0,     0,     0,     0,   910,   973,     0,   745,
       0,     0,     0,   973,     0,     0,   746,     0,   904,   747,
    2634,  2300,     0,   912,   748,   973,     0,     0,     0,     0,
       0,   910,   749,     0,   750,   907,     0,   976,     0,   751,
       0,   973,     0,     0,   908,     0,     0,     0,  2635,  1010,
       0,     0,     0,   752,     0,   963,   973,   907,     0,     0,
    1029,     0,   963,     0,   973,   963,   753,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   973,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   973,     0,
       0,  2367,     0,     0,     0,     0,   908,     0,     0,     0,
       0,     0,  -136,     0,     0,     0,  2636,     0,     0,  2637,
     910,     0,   910,     0,     0,     0,     0,     0,     0,     0,
       0,   908,     1,     0,     0,     0,     0,     0,     0,   907,
       0,     0,     0,     2,     0,     3,     4,     0,     0,     0,
       0,   973,     0,     0,     0,     0,     0,     0,     0,     0,
     905,     0,     0,     5,     0,   905,   905,     0,     0,     0,
       0,     0,     0,     6,     0,     0,     0,     0,     0,   973,
       0,     0,     0,     0,     0,     7,     0,     8,     9,     0,
       0,     0,     0,     0,    10,     0,    11,     0,     0,     0,
       0,     0,     0,     0,   973,     0,     0,     0,     0,    12,
       0,    13,  2638,     0,     0,     0,     0,     0,   910,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    14,     0,
       0,    15,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   912,     0,     0,    16,     0,    17,     0,
       0,     0,    18,     0,     0,     0,     0,     0,     0,    19,
     907,     0,   910,     0,     0,     0,   973,     0,    20,     0,
      21,     0,     0,     0,     0,     0,     0,    22,   905,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     910,     0,   908,     0,     0,    23,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    24,     0,     0,     0,   912,     0,  2566,     0,
     912,     0,     0,     0,     0,     0,     0,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,     0,     0,     0,     0,
    6297,   905,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   910,     0,
       0,     0,     0,     0,     0,     0,    25,    26,     0,     0,
       0,     0,    27,     0,     0,     0,  1819,     0,     0,     0,
     910,     0,     0,   973,     0,     0,   908,    28,     0,     0,
       0,     0,     0,     0,   963,     0,     0,     0,   963,   907,
     963,     0,   910,     0,     0,     0,    29,     0,     0,     0,
       0,     0,     0,     0,   908,     0,     0,     0,     0,     0,
       0,     0,     0,   912,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   912,     0,
       0,     0,     0,   912,     0,   902,     0,     0,     0,     0,
       0,     0,     0,    30,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    31,     0,
     907,     0,     0,   912,    32,    33,     0,    34,     0,     0,
       0,     0,    35,     0,   910,     0,     0,  2106,    36,     0,
    2107,    37,     0,     0,  2108,  2109,  2110,     0,    38,     0,
       0,     0,  1049,     0,     0,    39,    40,   973,  1081,     0,
       0,     0,  2628,    41,     0,     0,     0,    42,     0,     0,
       0,     0,  2629,     0,     0,     0,     0,     0,    43,  2630,
       0,     0,     0,     0,     0,     0,   910,     0,   904,  2106,
       0,     0,  2107,     0,     0,    44,  2108,  2109,  2110,     0,
       0,     0,     0,     0,     0,  2631,   908,     0,     0,     0,
       0,   910,     0,     0,  2628,     0,    45,     0,   973,     0,
       0,     0,     0,     0,  2629,     0,     0,     0,    46,   973,
       0,  2630,     0,     0,    47,     0,     0,     0,     0,    48,
     907,     0,     0,     0,     0,     0,   973,     0,     0,     0,
       0,   973,    49,   908,     0,     0,     0,  2631,   908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    50,     0,    51,    52,
      53,    54,    55,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    56,     0,     0,  -136,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2632,     0,     0,     0,     0,  2633,  1390,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1413,     0,
       0,  2634,  2300,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   910,     0,     0,  2632,     0,   972,   912,  2635,
    2633,   912,     0,   912,   973,     0,   972,     0,   912,     0,
       0,   907,   973,   973,     0,     0,   907,   907,     0,     0,
     972,     0,     0,  2634,  2300,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
    1471,     0,  2367,     0,     0,     0,     0,     0,     0,     0,
     912,  2635,     0,     0,     0,     0,     0,  2636,   912,     0,
    2637,     0,     0,     0,     0,  1819,     0,     0,     0,     0,
       0,  2106,     0,     0,  2107,     0,     0,     0,  2108,  2109,
    2110,     0,     0,   912,     0,     0,   910,  1607,     0,     0,
       0,     0,     0,     0,  2367,     0,  2628,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2629,     0,     0,  2636,
       0,     0,  2637,  2630,   910,     0,     0,     0,     0,     0,
       0,   905,     0,     0,     0,     0,     0,     0,     0,   907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2631,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   908,     0,  2638,     0,     0,     0,     0,     0,     0,
       0,     0,   912,     0,   912,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   907,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1868,     0,   908,  2638,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
       0,  1902,  1905,  1906,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   910,  2632,     0,  2566,
     912,     0,  2633,     0,     0,     0,     0,     0,  2567,  2568,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,     0,     0,
       0,  6314,     0,     0,     0,  2634,  2300,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   908,     0,
       0,     0,     0,   910,   912,     0,     0,     0,   910,     0,
       0,  2566,     0,  2635,   973,     0,     0,     0,     0,     0,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,
       0,     0,   912,  6372,     0,     0,     0,     0,     0,     0,
    1390,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2106,     0,     0,  2107,     0,     0,  2367,  2108,  2109,  2110,
       0,     0,     0,     0,     0,     0,     0,     0,  1390,     0,
       0,  2636,     0,     0,  2637,  2628,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2629,     0,     0,     0,     0,
       0,     0,  2630,     0,     0,     0,     0,     0,     0,     0,
     912,  4767,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2631,   908,
       0,     0,   912,     0,     0,     0,     0,     0,     0,   973,
       0,     0,     0,  2106,     0,     0,  2107,     0,     0,     0,
    2108,  2109,  2110,     0,   912,     0,     0,     0,     0,     0,
       0,     0,   972,     0,     0,     0,     0,     0,  2628,     0,
       0,     0,     0,     0,  1819,     0,   910,  2638,  2629,     0,
       0,   972,     0,     0,     0,  2630,     0,   972,     0,     0,
       0,     0,     0,     0,     0,     0,  4768,   973,     0,   972,
       0,     0,     0,     0,     0,   973,     0,     0,     0,     0,
       0,  2631,     0,   973,     0,   972,     0,     0,     0,     0,
       0,  4134,     0,     0,     0,     0,     0,  4135,     0,     0,
     972,  2622,     0,     0,     0,     0,   912,     0,   972,     0,
       0,     0,     0,     0,     0,     0,  2632,     0,     0,     0,
       0,  2633,   972,     0,   963,   963,     0,   973,   973,     0,
       0,     0,   972,     0,     0,     0,     0,     0,   908,   963,
       0,   973,   963,     0,  2634,  2300,     0,     0,     0,     0,
       0,     0,     0,  2566,   973,   973,     0,     0,   912,     0,
       0,   910,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,     0,  2635,  6142,     0,     0,     0,     0,     0,     0,
       0,  2713,     0,   912,     0,   972,     0,     0,     0,     0,
       0,     0,   963,     0,     0,     0,   963,   963,     0,  2632,
       0,     0,     0,     0,  2633,     0,     0,     0,     0,   908,
       0,     0,     0,   972,   910,  2367,  2106,     0,     0,  2107,
       0,     0,     0,  2108,  2109,  2110,     0,  2634,  2300,     0,
    2636,     0,     0,  2637,     0,     0,   910,     0,   972,     0,
       0,  2628,     0,     0,  4062,     0,     0,     0,     0,     0,
       0,  2629,     0,     0,     0,  2635,     0,     0,  2630,     0,
       0,     0,     0,     0,  2827,     0,     0,     0,     0,     0,
       0,     0,     0,  2856,     0,     0,     0,     0,     0,     0,
       0,     0,   907,     0,  2631,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2367,     0,
     972,     0,     0,     0,     0,  2894,     0,     0,   910,     0,
       0,  2906,  2906,  2636,  1819,  2906,  2637,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4136,     0,  2924,   908,
       0,  2927,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6143,     0,     0,   912,     0,     0,     0,  2106,     0,
       0,  2107,     0,     0,     0,  2108,  2109,  2110,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2628,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2629,     0,     0,  2106,  2980,     0,  2107,
    2630,     0,     0,  2108,  2109,  2110,     0,     0,     0,     0,
       0,  3000,  2632,     0,     0,     0,     0,  2633,     0,  2638,
    1818,  2628,     0,     0,     0,     0,  2631,   972,     0,     0,
       0,  2629,     0,     0,     0,     0,     0,     0,  2630,   910,
    2634,  2300,  2566,     0,     0,     0,     0,     0,   912,     0,
       0,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
       0,     0,     0,     0,  2631,     0,     0,     0,  2635,     0,
       0,     0,     0,     0,     0,     0,   912,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     908,     0,     0,     0,     0,   908,   908,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2367,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3022,     0,     0,     0,  2566,  2636,     0,     0,  2637,
       0,     0,  3025,     0,  2567,  2568,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,     0,  2632,     0,     0,     0,     0,  2633,
       0,   972,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2634,  2300,  3069,  2906,     0,     0,   910,     0,
       0,     0,  2632,     0,     0,     0,     0,  2633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3104,
    2635,     0,     0,     0,     0,     0,  3117,     0,   908,     0,
    2634,  2300,   972,     0,     0,     0,     0,     0,   912,     0,
       0,     0,  2638,   972,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2635,     0,
     972,     0,     0,  2367,     0,   972,     0,     0,     0,   910,
       0,     0,     0,     0,     0,     0,     0,     0,  2636,     0,
       0,  2637,     0,     0,     0,   912,     0,     0,     0,     0,
     912,   908,     0,     0,     0,     0,     0,     0,     0,  3178,
       0,  2367,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2636,     0,     0,  2637,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1390,  1390,     0,     0,     0,     0,     0,  4107,
       0,     0,     0,     0,     0,     0,     0,     0,  2566,  3232,
       0,     0,  3234,     0,     0,     0,     0,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,     0,     0,     0,     0,
       0,     0,     0,     0,  2638,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   910,
       0,     0,     0,     0,     0,     0,     0,     0,   972,     0,
       0,     0,     0,     0,     0,     0,   972,   972,     0,     0,
       0,     0,  2638,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   912,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1818,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4071,
    2566,  1819,     0,     0,     0,     0,     0,     0,     0,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2566,     0,
       0,     0,     0,     0,     0,     0,     0,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,   973,     0,     0,     0,
     910,     0,     0,     0,     0,   910,   910,     0,     0,     0,
       0,     0,     0,     0,   973,     0,     0,  2106,   973,     0,
    2107,     0,   973,   912,  2108,  2109,  2110,     0,     0,     0,
       0,   973,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2628,     0,     0,  4139,   973,     0,     0,     0,
       0,     0,  2629,     0,     0,     0,     0,     0,     0,  2630,
       0,  2106,     0,   963,  2107,   963,   963,     0,  2108,  2109,
    2110,     0,     0,     0,     0,     0,   912,     0,     0,     0,
     973,     0,     0,     0,     0,  2631,  2628,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2629,     0,   912,     0,
     973,   973,     0,  2630,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2106,     0,     0,  2107,   910,     0,
       0,  2108,  2109,  2110,     0,     0,     0,     0,     0,  2631,
       0,     0,     0,     0,     0,     0,     0,  1819,   973,  2628,
       0,  1819,  4151,     0,     0,     0,     0,     0,     0,  2629,
       0,     0,     0,     0,     0,     0,  2630,     0,     0,     0,
       0,     0,     0,     0,     0,   973,     0,  1819,   972,  2106,
     912,   973,  2107,     0,     0,     0,  2108,  2109,  2110,     0,
       0,   910,  2631,     0,     0,   973,     0,     0,     0,     0,
       0,     0,   973,     0,  2628,   973,     0,     0,     0,     0,
       0,   973,     0,  2632,  2629,     0,     0,     0,  2633,     0,
       0,  2630,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   973,     0,     0,     0,     0,     0,   973,  4144,     0,
       0,  2634,  2300,     0,   973,     0,     0,  2631,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2632,   973,     0,
       0,     0,  2633,     0,     0,     0,     0,     0,     0,  2635,
       0,   908,   973,     0,     0,     0,     0,  1819,     0,     0,
       0,     0,     0,   973,     0,  2634,  2300,     0,     0,     0,
       0,     0,     0,   972,     0,     0,     0,     0,     0,     0,
       0,   912,     0,     0,     0,     0,     0,     0,     0,     0,
    2632,     0,  2367,  2635,     0,  2633,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2636,  1818,     0,
    2637,     0,     0,     0,     0,     0,     0,     0,  2634,  2300,
       0,     0,     0,  1819,     0,     0,     0,     0,     0,     0,
       0,   972,     0,     0,     0,     0,  2367,     0,     0,   972,
       0,     0,     0,     0,     0,  2632,  2635,   972,     0,     0,
    2633,  2636,     0,     0,  2637,     0,  3417,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3422,     0,     0,     0,
       0,     0,     0,  2634,  2300,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2367,
       0,   972,   972,     0,     0,  1471,     0,     0,     0,     0,
       0,  2635,     0,  2638,  2636,   972,     0,  2637,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   972,   972,
     912,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1471,  1471,  2367,     0,     0,  2638,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2636,
       0,     0,  2637,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1390,     0,   973,     0,
    1819,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   912,     0,     0,     0,     0,     0,   973,     0,     0,
    2638,     0,     0,     0,   973,     0,     0,     0,     0,  2566,
       0,   963,     0,   963,   963,     0,     0,     0,  2567,  2568,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2566,     0,  2638,     0,     0,     0,     0,
       0,     0,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,     0,     0,     0,     0,     0,     0,     0,  1818,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4698,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1819,     0,     0,     0,     0,  2566,  1819,     0,     0,
       0,   912,  3641,     0,     0,  2567,  2568,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,     0,     0,     0,  3663,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3691,
       0,     0,     0,  1365,  1365,     0,     0,     0,     0,     0,
       0,  2566,     0,     0,     0,     0,     0,     0,     0,     0,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,
       0,   910,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   973,     0,     0,  2106,     0,     0,  2107,     0,
       0,   670,  2108,  2109,  2110,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   671,
    2628,     0,     0,  4774,     0,     0,     0,     0,     0,     0,
    2629,  2106,     0,  1365,  2107,  3771,  3772,  2630,  2108,  2109,
    2110,     0,     0,     0,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2628,   673,     0,     0,
       0,     0,   912,  2631,     0,     0,  2629,   912,   912,     0,
       0,     0,     0,  2630,  -882,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,   675,  2631,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   676,     0,     0,     0,
       0,     0,     0,     0,     0,   973,   973,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,  3897,   678,     0,
       0,     0,     0,     0,     0,     0,   973,     0,     0,   973,
       0,   679,     0,     0,  1729,  1733,     0,     0,     0,     0,
     680,     0,     0,     0,   681,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     912,  2632,     0,     0, -1088,     0,  2633,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2634,
    2300,     0,     0,     0,     0,     0,     0,  2632,     0,     0,
       0,     0,  2633,     0,     0,     0,     0,     0,     0,     0,
    1819,  1819,  1819,     0,   682,     0,     0,  2635,     0,     0,
       0,     0,     0,   912,  -617,  2634,  2300,     0,     0,     0,
       0,     0,     0,     0,     0,   973,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2635,   973,     0,  2106,     0,     0,  2107,
    2367,     0,     0,  2108,  2109,  2110,     0,     0,   683,     0,
       0,   684,     0,     0,     0,  2636,   973,     0,  2637,     0,
       0,  2628,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2629,     0,     0,   685,     0,  2367,     0,  2630,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   686,     0,
       0,  2636,     0,     0,  2637,     0,  -467,     0,     0,     0,
       0,     0,     0,     0,  2631,     0,     0,     0,     0,     0,
       0,  5214,     0,     0,     0,     0,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   688,     0,     0,     0,
       0,     0,     0,  -467,     0,     0,   689,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   973,     0,     0,     0,
       0,  2638,     0,  2050,     0,     0,   690,     0,     0,     0,
       0,     0,     0,     0,   691,     0,     0,     0,     0,     0,
       0,  -467,     0,     0,   692,  1818,   693,     0,   694,   695,
       0,     0,     0,     0,     0,     0,     0,  2638,     0,     0,
       0,     0,     0,  1819,   696,  2076,     0,     0,     0,   973,
       0,   973,   697,  5224,     0,   698,     0,     0,   699,     0,
       0,     0,     0,     0,   973,     0,   973,     0,     0,     0,
       0,  -467,  2632,     0,  2095,  2096,  2097,  2633,  2099,     0,
     972,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4205,     0,     0,     0,     0,     0,     0,   972,  2584,
    2634,  2300,   972,     0,     0,     0,   972,  2566,     0,     0,
       0,     0,  1471,     0,     0,   972,  2567,  2568,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,     0,     0,     0,  2635,     0,
     972,     0,     0,   973,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2566,     0,     0,     0,     0,     0,     0,
       0,     0,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,     0,     0,     0,   972,     0,     0,     0,     0,     0,
       0,  2367,     0,     0,     0,   973,     0,     0,     0,     0,
       0,     0,     0,     0,   972,   972,  2636,     0,     0,  2637,
       0,     0,  2106,     0,   973,  2107,     0,     0,   973,  2108,
    2109,  2110,  2680,     0,     0,     0,  2692,  2697,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2628,     0,   973,
       0,  1818,   972,     0,     0,  1818,     0,  2629,     0,     0,
       0,     0,     0,     0,  2630,     0,     0,     0,     0,  2106,
       0,     0,  2107,     0,     0,     0,  2108,  2109,  2110,   972,
       0,  1818,     0,     0,     0,   972,     0,     0,     0,     0,
    2631,     0,     0,     0,  2628,     0,     0,     0,     0,   972,
       0,     0,     0,     0,  2629,     0,   972,     0,     0,   972,
       0,  2630,  2638,     0,     0,   972,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   972,     0,  2631,     0,     0,
       0,   972,     0,     0,     0,     0,     0,     0,   972,     0,
       0,     0,     0,     0,     0,     0,     0,  1819,     0,     0,
       0,     0,   972,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   972,  2106,     0,     0,
    2107,  1818,     0,     0,  2108,  2109,  2110,   972,     0,  5230,
       0,     0,     0,   912,     0,     0,     0,     0,     0,     0,
       0,     0,  2628,     0,     0,     0,     0,     0,  2632,  5232,
       0,     0,  2629,  2633,     0,  4423,     0,     0,  2566,  2630,
       0,     0,     0,     0,     0,  2906,     0,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2634,  2300,     0,     0,
       0,     0,     0,     0,     0,  2631,     0,  1818,     0,     0,
       0,     0,     0,     0,     0,  2632,     0,     0,     0,     0,
    2633,     0,     0,     0,  2635,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1729,
    1729,  1729,     0,  2634,  2300,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2577,     0,     0,  2106,  2367,     0,  2107,
       0,  2635,     0,  2108,  2109,  2110,     0,     0,     0,     0,
       0,     0,  2636,     0,     0,  2637,     0,     0,     0,     0,
       0,  2628,   973,     0,     0,     0,     0,     0,  5231,     0,
       0,  2629,     0,     0,     0,     0,     0,     0,  2630,     0,
       0,     0,     0,     0,  2367,     0,     0,     0,  2577,     0,
       0,     0,     0,  2632,     0,     0,     0,     0,  2633,  2636,
       0,     0,  2637,     0,  2631,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4554,  4555,
    4556,  2634,  2300,     0,  1819,     0,     0,     0,     0,  1819,
       0,  1819,   972,     0,  1818,  4565,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2638,  2635,
       0,   972,     0,     0,     0,     0,     0,  1819,   972,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4590,  4592,
       0,     0,     0,  4597,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2367,     0,     0,  2638,     0,     0,     0,     0,
       0,     0,     0,   973,     0,     0,   973,  2636,     0,     0,
    2637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2632,     0,     0,     0,     0,  2633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2634,  2300,     0,     0,  2566,  1818,     0,     0,     0,     0,
       0,  1818,     0,  2567,  2568,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,     0,     0,     0,     0,     0,     0,  2635,  1390,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   973,   973,     0,     0,
       0,  2566,     0,  2638,     0,     0,     0,   973,     0,     0,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,
       0,  2367,     0,     0,   973,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2636,     0,  3260,  2637,
       0,     0,     0,     0,     0,     0,   972,  3277,  3277,  3277,
    3277,  3287,  3293,  3277,  3296,  3277,  3277,     0,     0,     0,
       0,  3303,     0,  3304,     0,  3306,     0,     0,  3320,  3323,
    3328,     0,     0,     0,     0,     0,  3337,     0,     0,  3342,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3349,  3350,  3351,  2577,     0,     0,
       0,  2577,     0,     0,     0,   973,     0,     0,  1819,  2566,
       0,     0,  3352,     0,     0,     0,     0,     0,  2567,  2568,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,     0,     0,
       0,     0,  2638,     0,  2106,     0,     0,  2107,     0,     0,
       0,  2108,  2109,  2110,     0,  4806,  4807,  4808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2628,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2629,
       0,     0,     0,     0,     0,     0,  2630,     0,     0,   972,
     972,     0,     0,     0,     0,     0,     0,     0,  2106,     0,
       0,  2107,     0,     0,     0,  2108,  2109,  2110,     0,     0,
     972,     0,  2631,   972,     0,     0,     0,     0,     0,     0,
       0,     0,  5603,  2628,     0,     0,  5808,     0,     0,     0,
       0,     0,     0,  2629,     0,     0,     0,     0,     0,     0,
    2630,     0,     0,     0,     0,     0,     0,     0,  2566,     0,
       0,     0,     0,     0,     0,     0,     0,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2631,     0,     0,  3360,
       0,     0,     0,     0,  2106,     0,     0,  2107,     0,     0,
       0,  2108,  2109,  2110,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1818,  1818,  1818,     0,     0,  2628,
       0,     0,     0,     0,     0,  5791,     0,     0,     0,  2629,
       0,     0,     0,     0,     0,     0,  2630,     0,     0,   972,
       0,     0,     0,  3379,     0,     0,     0,     0,     0,     0,
    2632,     0,     0,     0,     0,  2633,     0,     0,   972,     0,
       0,     0,  2631,     0,     0,     0,     0,     0,   973,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2634,  2300,
     972,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3381,
       0,     0,     0,     0,  2632,     0,  2635,     0,     0,  2633,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   973,     0,     0,     0,     0,
       0,     0,  2634,  2300,     0,     0,     0,   973,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2577,  2367,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2635,     0,     0,     0,  2636,     0,     0,  2637,     0,     0,
     972,   973,     0,     0,  2577,     0,     0,     0,  3316,     0,
    2632,     0,     0,     0,     0,  2633,     0,     0,     0,     0,
       0,     0,     0,  2577,  2577,  2577,     0,  2577,     0,     0,
       0,     0,     0,  2367,     0,     0,     0,     0,  2634,  2300,
    5074,     0,     0,     0,     0,     0,     0,  1818,  2636,     0,
       0,  2637,     0,   972,     0,   972,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2635,     0,   972,     0,
     972,     0,  5106,     0,     0,     0,     0,     0,     0,  1819,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2638,     0,     0,     0,     0,     0,     0,     0,   973,     0,
       0,     0,     0,     0,  3117,     0,     0,     0,     0,  2367,
       0,     0,     0,  3388,  3389,  3390,  3391,  3392,  3393,  3394,
    3395,  3396,     0,  3397,  2636,     0,     0,  2637,     0,     0,
       0,     0,     0,     0,  1365,     0,  1729,   972,     0,  5164,
       0,     0,     0,     0,  2638,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3178,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3352,     0,     0,     0,  3360,   972,
       0,  3379,     0,  3381,   973,     0,  3434,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2566,     0,   972,     0,
       0,     0,   972,     0,     0,  2567,  2568,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,     0,     0,     0,     0,     0,     0,
    2638,     0,     0,   972,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2096,
    2097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2566,     0,     0,     0,     0,     0,     0,     0,     0,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5267,  5268,  5269,  5270,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   973,     0,   973,     0,     0,  3574,
       0,     0,     0,     0,     0,     0,  2566,     0,     0,     0,
       0,  1818,     0,     0,     0,  2567,  2568,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,     0,     0,     0,     0,     1,   197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     2,
       0,     3,     4,     0,   973,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   963,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     6,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     198,     7,     0,     8,     9,     0,     0,     0,     0,     0,
      10,     0,    11,     0,  1819,     0,     0,   199,     0,   963,
       0,     0,     0,     0,     0,    12,     0,    13,     0,     0,
       0,     0,     0,     0,     0,   200,     0,     0,     0,     0,
       0,   201,     0,     0,    14,     0,     0,    15,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   202,
       0,     0,    16,     0,    17,     0,     0,     0,    18,     0,
       0,     0,   203,     0,     0,  5757,     0,     0,     0,     0,
       0,   204,     0,     0,    20,     0,    21,     0,     0,     0,
       0,     0,     0,    22,   205,     0,     0,     0,     0,     0,
     206,     0,     0,     0,     0,     0,   972,   207,     0,     0,
       0,    23,  2577,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,    24,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3829,  3830,  1729,     0,   209,     0,  3834,  1818,     0,
       0,     0,     0,  1818,     0,  1818,     0,     0,     0,     0,
       0,     0,    25,    26,     0,     0,     0,   210,    27,     0,
       0,     0,     0,     0,  3863,     0,     0,     0,     0,     0,
       0,  1818,     0,    28,     0,     0,     0,     0,  2577,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2577,     0,    29,     0,     0,  2577,     0,     0,     0,     0,
       0,   211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   972,     0,  5485,
     972,     0,   973,     0,     0,     0,     0,   212,     0,     0,
    5495,     0,     0,     0,     0,     0,   973,   213,   214,    30,
       0,   215,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    31,     0,     0,     0,     0,     0,
      32,    33,     0,    34,     0,     0,     0,  1819,    35,   216,
       0,  4628,   217,     0,    36,     0,   218,    37,     0,   219,
       0,     0,     0,     0,    38,     0,   220,     0,     0,   221,
       0,    39,    40,     0,     0,     0,     0,     0,     0,    41,
       0,     0,     0,    42,     0,     0,     0,     0,     0,   222,
     972,   972,     0,     0,    43,     0,     0,   223,     0,     0,
       0,   972,   224,     0,   225,     0,     0,   226,     0,     0,
       0,    44,   227,     0,     0,     0,     0,     0,   972,     0,
       0,     0,   228,     0,     0,     0,  1819,   229,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   230,     0,     0,    46,     0,     0,     0,     0,     0,
      47,     0,     0,  4058,   231,    48,     0,     0,  4064,     0,
       0,     0,  1819,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,     0,     0,     0,     0,   972,
       0,     0,  1818,     0,     0,     0,     0,     0,     0,  2099,
       0,    56,     0,     0,  -136,     0,     0,     0,     0,     0,
    3328,     0,  3328,  3328,     0,     0,     0,     0,     0,     0,
       0,     0,  1819,     0,     0,   973,  4154,     0,     0,  4157,
       0,  4159,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4184,     0,
    4187,     0,  4189,     0,     0,     0,     0,     0,     0,  5702,
       0,     0,     0,     0,  1390,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5732,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4259,     0,   973,     0,
       0,  2680,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   963,     0,     0,     0,  2697,     0,     0,     0,
       0,     0,     0,     0,     0,   973,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   972,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4309,     0,     0,     0,   963,   963,     0,   719,     0,
       0,     0,     0,  1052,  5856,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   972,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   972,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1053,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4344,     0,     0,   722,  1054,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   972,     0,  1055,  2577,     0,
       0,   723,     0,   973,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2577,     0,     0,     0,  1056,
       0,     0,     0,     0,     0,  2577,     0,     0,     0,     0,
       0,  2577,  5932,     0,  2577,     0,     0,     0,     0,     0,
       0,  2577,  2577,  1057,  2577,     0,     0,     0,     0,  3316,
    3316,     0,  4130,     0,  3316,     0,   726,     0,  2577,     0,
    5954,  2577,     0,     0,     0,   727,  2577,     0,     0,     0,
       0,     0,     0,  1818,     0,  2577,     0,     0,   728,     0,
    2577,     0,     0,     0,  1058,     0,     0,  2577,  2577,  2577,
    2577,     0,   972,     0,     0,  3316,  3316,     0,  2577,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1059,     0,     0,     0,     0,     0,  2577,     0,  2577,
       0,     0,     0,     0,     0,     0,  2577,  2577,  2577,  2577,
    2577,  2577,  2577,  2577,  2577,  2577,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1060,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1819,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   732,  2577,     0,     0,     0,     0,     0,   972,     0,
       0,  1729,     0,     0,     0,     0,     0,  1729,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1061,     0,     0,     0,     0,
    1819,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   963,   963,     0,     0,     0,     0,     0,
       0,   735,     0,     0,     0,  1819,     0,     0,     0,     0,
       0,   213,  1062,     0,     0,   737,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4577,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,  1064,     0,     0,     0,
     740,     0,     0,   741,     0,     0,     0,     0,     0,     0,
     742,     0,     0,   743,     0,     0,     0,     0,   972,     0,
     972,     0,  2577,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,   746,     0,
       0,  1066,     0,     0,     0,     0,   748,     0,     0,     0,
       0,     0,     0,     0,  1067,     0,   750,     0,   972,     0,
       0,  1068,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   753,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1818,     0,
       0,     0,     0,     0,     0,  4699,     0,     0,     0,     0,
       0,     0,     0,     0,  4703,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3277,     0,
       0,     0,  4716,  3277,  3277,     0,     0,     0,     0,  3293,
       0,     0,  4724,     0,     0,  4726,     0,     0,     0,     0,
       0,  4728,     0,  4729,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4751,  4752,  4753,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3337,
       0,     0,     0,     0,     0,     0,     0,  4777,     0,     0,
    4780,     0,  4782,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4786,     0,
       0,     0,     0,     0,     0,     0,  4793,  4794,     0,     0,
       0,     0,     0,  4799,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2577,  2577,     0,
       0,     0,  2577,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3277,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4853,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   972,     0,     0,     0,
    4867,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     972,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1818,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1818,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2577,     0,     0,     0,
       0,     0,  2577,     0,     0,     0,  1818,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4130,
    4130,     0,     0,  3316,  3316,  3316,  3316,     0,     0,  3316,
    3316,  3316,  3316,  3316,  3316,  3316,  3316,  3316,  3316,  4130,
       0,     0,     0,     0,     0,     0,  1818,     0,     0,   972,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2577,     0,     0,  2577,     0,  2577,     0,     0,
    4130,  4130,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2577,  3316,  3316,  2577,     0,  2577,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5152,  5153,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5160,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2577,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   972,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2577,     0,   972,
       0,     0,     0,     0,  5203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2680,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2577,     0,     0,     0,     0,     0,  5226,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5245,  5247,     0,
       0,     0,     0,     0,  5251,  5252,     0,     0,     0,  5253,
       0,     0,     0,     0,  5254,     0,     0,  5257,  5258,     0,
       0,     0,     0,     0,  5263,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   972,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5298,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1365,     0,     0,     0,     0,     0,     0,     0,  5312,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5340,     0,     0,     0,     0,     0,     0,
       0,     0,  3316,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2577,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5389,     0,  1818,     0,     0,     0,     0,
    5391,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1818,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5426,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1818,
       0,     0,     0,     0,     0,     0,     0,  2577,     0,     0,
       0,  2577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2577,     0,     0,     0,     0,     0,
       0,     0,  2577,     0,  2577,     0,  2577,  2577,     0,     0,
       0,     0,  4130,  4130,  4130,  4130,     0,     0,     0,  4130,
    4130,  4130,  4130,  4130,  4130,  4130,  4130,  4130,  4130,  2577,
    2577,  2577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2577,     0,     0,  2577,     0,
    2577,     0,     0,     0,  2577,     0,     0,  4130,  4130,     0,
       0,  2577,  2577,     0,     0,     0,     0,  2577,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3277,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5532,     0,     0,     0,     0,     0,  5536,  5537,  5538,     0,
       0,  2577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2577,     0,     0,     0,     0,
       0,  5551,  5552,     0,     0,  5553,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5561,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5573,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5591,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5608,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4130,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5781,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2577,  2577,     0,     0,     0,  3337,     0,     0,  2577,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2099,  2577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2577,  3316,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2577,     0,  2577,     0,     0,  5860,  2577,
    2577,  2577,  2577,     0,     0,  2577,  2577,     0,     0,     0,
       0,  2577,     0,     0,  5872,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3316,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2577,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5909,     0,     0,     0,
    2577,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2577,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2577,     0,  2577,
       0,     0,     0,     0,     0,  3277,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5989,     0,     0,
       0,     0,     0,     0,     0,     0,  5996,  5996,  5996,     0,
       0,     0,     0,     0,  2577,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5591,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6029,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6044,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2577,     0,  4130,  3316,  2577,  2577,  2577,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2577,
    2577,  2577,     0,     0,     0,     0,     0,     0,     0,  2577,
       0,     0,     0,     0,  3316,     0,     0,  4130,     0,     0,
       0,  2577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2577,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2577,     0,     0,  5996,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5591,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6244,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2577,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4130,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4130,     0,  3316,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2577,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5996,     0,
    2577,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6331,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2577,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2577,     0,     0,
       0,     0,     0,     0,  2577,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1729,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2577,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2577,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3316,  3316,     0,     0,  3316,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2577,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2577,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4130,  4130,     0,  4130,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   234,     0,  1268,   714,     0,
    1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,  1723,   244,   245,   246,     0,     0,     0,     0,  1273,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1274,   260,  1275,  1276,  2577,
     263,   264,   265,   266,   267,   268,   269,  1277,  1278,   270,
     271,  1279,  1280,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,  1290,
    1291,   311,  1292,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,  1724,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1293,
     342,   343,   344,   345,  1294,  1295,   347,     0,   348,   349,
     350,  1296,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,  1298,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1299,  1300,     0,  1301,     0,   395,   396,   397,   398,   399,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
    1316,   446,  1317,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,  1319,   459,   460,   461,   462,  1320,
    1321,   464,  1322,   466,   467,   468,     0,   469,   470,   471,
       0,     0,  1323,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,  1325,
     497,   498,   499,   500,   501,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,  1326,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,  1327,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,  1329,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,  1332,  1333,     0,     0,
     595,   596,  1334,   598,  1335,  1336,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,  1337,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
    1339,  1725,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,  1726,     0,
       0,     0,     0,     0,     0,  1352,  1727,   234,     0,  1268,
     714,     0,  1269,  1270,  1271,   775,  1272,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,  1292,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,   396,   397,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,  1319,   459,   460,   461,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  1323,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,  1325,   497,   498,   499,   500,   501,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,  1326,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  1327,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,    40,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,  1329,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,    44,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
       0,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,  1337,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,  1203,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,    49,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,  1348,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
       0,     0,     0,     0,     0,     0,     0,  1352,  5827,   234,
       0,  1268,   714,     0,  1269,  1270,  1271,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,  1292,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,  1319,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,  1323,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,  1325,   497,   498,   499,   500,   501,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,  1326,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  1327,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
    1337,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,     0,     0,     0,     0,     0,     0,     0,  1352,
    3318,   234,     0,  1268,   714,     0,  1269,  1270,  1271,   775,
    1272,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1273,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1274,   260,  1275,  1276,     0,   263,   264,   265,   266,
     267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,  1290,  1291,   311,  1292,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1293,   342,   343,   344,   345,
    1294,  1295,   347,     0,   348,   349,   350,  1296,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,  1298,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1299,  1300,     0,  1301,
       0,   395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,  1316,   446,  1317,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
    1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,   466,
     467,   468,     0,   469,   470,   471,     0,     0,  1323,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,  1325,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,  1326,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,  1327,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,  1329,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,  1332,  1333,     0,     0,   595,   596,  1334,   598,
    1335,  1336,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,  1337,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,  1339,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,
    1348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,     0,     0,     0,     0,     0,     0,
       0,  1352,  4730,   234,     0,  1268,   714,     0,  1269,  1270,
    1271,   775,  1272,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,  1325,   497,   498,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,  1326,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,  1348,     0,     0,     0,     0,     0,   655,     0,
       0,     0,     0,     0,  1349,  1350,     0,     0,     0,     0,
       0,     0,     0,  1352,  4796,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,  4236,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0, -1832,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0, -1832,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385, -1832,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398, -1832,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419, -1832,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445, -1832,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532, -1832,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,     0,     0,     0,
       0,     0,     0,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1464,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   877,   260,   878,   879,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   880,
     881,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   882,   883,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,     0,   342,   343,
     344,   345,     0,     0,   347,     0,   348,   349,   350,   885,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,     0,     0,     0,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,  2723,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,  2724,   388,   389,   390,   391,   886,   887,
       0,   888,     0,   395,   396,   397,   398,   399,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,     0,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   890,   446,
     891,   448,   449,   450,   451,   452,   453,   454,   455,     0,
       0,   458,     0,   459,   460,   461,   462,     0,     0,   464,
     892,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,  2726,   478,   479,
     480,     0,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   497,     0,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   893,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,  2727,   558,   559,   560,   561,   562,   895,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,     0,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   896,   897,     0,     0,   595,   596,
       0,   598,     0,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,     0,   898,  2728,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,     0,   876,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   645,   646,
     647,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,  2821,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   877,   260,
     878,   879,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   880,   881,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   882,   883,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,     0,   342,   343,   344,   345,     0,     0,   347,
       0,   348,   349,   350,   885,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
       0,     0,     0,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,  2723,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,  2724,   388,
     389,   390,   391,   886,   887,     0,   888,     0,   395,   396,
     397,   398,   399,   889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,     0,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   890,   446,   891,   448,   449,   450,   451,
     452,   453,   454,   455,     0,     0,   458,     0,   459,   460,
     461,   462,     0,     0,   464,   892,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,  2726,   478,   479,   480,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   497,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     893,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,  2727,   558,
     559,   560,   561,   562,   895,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,     0,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   896,
     897,     0,     0,   595,   596,     0,   598,     0,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,     0,   898,  2728,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,     0,   234,     0,  1268,   714,     0,  1269,  1270,
    1271,   775,  1272,   645,   646,   647,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,  3952,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,  1325,   497,   498,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,  1326,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,  3279,   531,   532,   533,   534,   535,
     536,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,    40,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,    44,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,  1203,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
      49,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,  1348,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,     0,     0,     0,   234,
       0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,  1292,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,  1319,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,  1323,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,  1325,   497,   498,   499,   500,   501,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,  1326,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  1327,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
      40,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,    44,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
    1337,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,  1203,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,    49,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,     0,     0,     0,   234,     0,  1268,   714,  1352,
    1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1273,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1274,   260,  1275,  1276,  3324,
     263,   264,   265,   266,   267,   268,   269,  1277,  1278,   270,
     271,  1279,  1280,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,  1290,
    1291,   311,  1292,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1293,
     342,   343,   344,   345,  1294,  1295,   347,     0,   348,   349,
     350,  1296,   352,     0,   353,     0,   354,   355,   356,  3325,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,  1298,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1299,  1300,     0,  1301,     0,   395,   396,   397,   398,   399,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,  3326,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
    1316,   446,  1317,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,  1319,   459,   460,   461,   462,  1320,
    1321,   464,  1322,   466,   467,   468,     0,   469,   470,   471,
       0,     0,  1323,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,  1325,
     497,   498,   499,   500,   501,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,  1326,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,  1327,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,  1329,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,  1332,  1333,     0,  3327,
     595,   596,  1334,   598,  1335,  1336,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,  1337,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
    1339,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,     0,     0,
       0,   234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,
    1272,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243, -2263,   244,   245,
     246,     0,     0,     0, -2263,  1273,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1274,   260,  1275,  1276,     0,   263,   264,   265,   266,
     267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,  1290,  1291,   311,  1292,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1293,   342,   343,   344,   345,
    1294,  1295,   347,     0,   348,   349,   350,  1296,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,  1298,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1299,  1300,     0,  1301,
       0,   395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,  1316,   446,  1317,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
    1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,   466,
     467,   468,     0,   469,   470,   471,     0,     0,  1323,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,  1325,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,  1326,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,  1327,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,  1329,   564, -2263,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,  1332,  1333,     0,     0,   595,   596,  1334,   598,
    1335,  1336,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,  1337,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,  1339,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,
    1348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,     0,     0,     0,   234,     0,  1268,
     714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243, -2261,   244,   245,   246,     0,     0,     0,
   -2261,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,  1292,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,   396,   397,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,  1319,   459,   460,   461,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  1323,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,  1325,   497,   498,   499,   500,   501,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,  1326,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  1327,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,  1329,   564, -2261,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
       0,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,  1337,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,  1348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
       0,     0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,
    1271,   775,  1272,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,  1325,   497,   498,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,  1326,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,     0,     0,     0,     0,
       0,  2047,  3253,  1352,   234,     0,  1268,   714,     0,  1269,
    1270,  1271,   775,  1272,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1273,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1274,   260,  1275,  1276,     0,   263,
     264,   265,   266,   267,   268,   269,  1277,  1278,   270,   271,
    1279,  1280,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,  1290,  1291,
     311,  1292,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1293,   342,
     343,   344,   345,  1294,  1295,   347,     0,   348,   349,   350,
    1296,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,  1298,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1299,
    1300,     0,  1301,     0,   395,   396,   397,   398,   399,  1302,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,  1316,
     446,  1317,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,
     464,  1322,   466,   467,   468,     0,   469,   470,   471,     0,
       0,  1323,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,  1325,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,  1326,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,  1327,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
    1329,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,  1332,  1333,     0,     0,   595,
     596,  1334,   598,  1335,  1336,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,  1337,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,  1339,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,  1348,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,  1351,     0,     0,
     234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  2690,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,  1319,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,  1325,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,  1326,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,   234,     0,  1268,   714,
    1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,  1292,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,  1319,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
    1325,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1326,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,  3279,   531,   532,
     533,   534,   535,   536,   537,   538,  1327,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  1337,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,     0,
       0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,  1271,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1274,   260,  1275,  1276,     0,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,  1292,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,  1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,  1323,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,  1325,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,  1326,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  1327,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,     0,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,  1337,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,  1339,  3831,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,     0,     0,     0,   234,     0,
    1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1273,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1274,   260,
    1275,  1276,     0,   263,   264,   265,   266,   267,   268,   269,
    1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,  1290,  1291,   311,  1292,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1293,   342,   343,   344,   345,  1294,  1295,   347,
       0,   348,   349,   350,  1296,   352,     0,   353,     0,   354,
     355,   356,  3325,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,  1298,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1299,  1300,     0,  1301,     0,   395,   396,
     397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,   409,  1311,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,  1316,   446,  1317,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,  1319,   459,   460,
     461,   462,  1320,  1321,   464,  1322,   466,   467,   468,     0,
     469,   470,   471,     0,     0,  1323,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,  1325,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
    1326,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,  1327,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,  1329,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,  1332,
    1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,  1337,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,  1339,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,   644,   645,   646,   647,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
    1350,     0,     0,     0,   234,     0,  1268,   714,  1352,  1269,
    1270,  1271,   775,  1272,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1273,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1274,   260,  1275,  1276,     0,   263,
     264,   265,   266,   267,   268,   269,  1277,  1278,   270,   271,
    1279,  1280,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,  1290,  1291,
     311,  1292,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1293,   342,
     343,   344,   345,  1294,  1295,   347,     0,   348,   349,   350,
    1296,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,  1298,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1299,
    1300,     0,  1301,     0,   395,   396,   397,   398,   399,  1302,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,  1316,
     446,  1317,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,
     464,  1322,   466,   467,   468,     0,   469,   470,   471,     0,
       0,  1323,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,  1325,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,  1326,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,  1327,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
    1329,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,  1332,  1333,  3382,     0,   595,
     596,  1334,   598,  1335,  1336,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,  1337,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,  1339,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,  1348,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,     0,     0,     0,
     234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,  1319,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,  1325,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,  1326,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,   234,     0,  1268,   714,
    1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,  1292,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,  1319,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
    1325,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1326,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,  1327,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  1337,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2693,  2694,     0,
       0,     0,   234,     0,  3501,   714,  1352,  1269,  1270,  1271,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1274,   260,  1275,  1276,     0,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,  1292,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,  1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,  1323,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,  1325,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,  1326,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  1327,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,     0,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,  1337,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,  1339,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,     0,     0,     0,   234,     0,
    1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1273,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1274,   260,
    1275,  1276,     0,   263,   264,   265,   266,   267,   268,   269,
    1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,  4852,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,  1290,  1291,   311,  1292,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1293,   342,   343,   344,   345,  1294,  1295,   347,
       0,   348,   349,   350,  1296,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,  1298,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1299,  1300,     0,  1301,     0,   395,   396,
     397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,   409,  1311,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,  1316,   446,  1317,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,  1319,   459,   460,
     461,   462,  1320,  1321,   464,  1322,   466,   467,   468,     0,
     469,   470,   471,     0,     0,  1323,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,  1325,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
    1326,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,  1327,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,  1329,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,  1332,
    1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,  1337,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,  1339,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,   644,   645,   646,   647,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
    1350,     0,     0,     0,   234,     0,  1268,   714,  1352,  1269,
    1270,  1271,   775,  1272,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1273,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1274,   260,  1275,  1276,     0,   263,
     264,   265,   266,   267,   268,   269,  1277,  1278,   270,   271,
    1279,  1280,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,  1290,  1291,
     311,  1292,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1293,   342,
     343,   344,   345,  1294,  1295,   347,     0,   348,   349,   350,
    1296,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,  1298,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1299,
    1300,     0,  1301,     0,   395,   396,   397,   398,   399,  1302,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,  1316,
     446,  1317,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,
     464,  1322,   466,   467,   468,     0,   469,   470,   471,     0,
       0,  1323,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,  1325,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,  1326,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,  1327,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
    1329,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,  1332,  1333,     0,     0,   595,
     596,  1334,   598,  1335,  1336,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,  1337,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,  1339,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,  5234,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,  1348,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,     0,     0,     0,
     234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,  5246,   456,  1318,   458,  1319,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,  1325,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,  1326,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,   234,     0,  1268,   714,
    1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,  5581,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,  1292,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    5582,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,  1319,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
    1325,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1326,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,  5583,   537,   538,  1327,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  1337,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,     0,
       0,     0,   234,     0,  1268,   714,  5584,  1269,  1270,  1271,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,  5993,  1274,   260,  1275,  1276,     0,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,  5994,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,  1292,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,  1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,  1323,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,  1325,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,  1326,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  1327,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,     0,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,  5995,   606,
     607,   608,     0,  1337,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,  1339,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,     0,     0,     0,   234,     0,
    1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1273,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1274,   260,
    1275,  1276,     0,   263,   264,   265,   266,   267,   268,   269,
    1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,  5994,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,  1290,  1291,   311,  1292,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1293,   342,   343,   344,   345,  1294,  1295,   347,
       0,   348,   349,   350,  1296,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,  1298,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1299,  1300,     0,  1301,     0,   395,   396,
     397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,   409,  1311,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,  1316,   446,  1317,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,  1319,   459,   460,
     461,   462,  1320,  1321,   464,  1322,   466,   467,   468,     0,
     469,   470,   471,     0,     0,  1323,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,  1325,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
    1326,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,  1327,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,  1329,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,  1332,
    1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,   600,
     601,   602,   603,   604,  5995,   606,   607,   608,     0,  1337,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,  1339,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,   644,   645,   646,   647,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
    1350,     0,     0,     0,   234,     0,  1268,   714,  1352,  1269,
    1270,  1271,   775,  1272,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1273,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1274,   260,  1275,  1276,     0,   263,
     264,   265,   266,   267,   268,   269,  1277,  1278,   270,   271,
    1279,  1280,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,  1290,  1291,
     311,  5566,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1293,   342,
     343,   344,   345,  1294,  1295,   347,     0,   348,   349,   350,
    1296,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,  1298,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1299,
    1300,     0,  1301,     0,   395,   396,   397,   398,   399,  1302,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,  1316,
     446,  1317,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,     0,   459,   460,   461,   462,  1320,  1321,
     464,  1322,   466,   467,   468,     0,   469,   470,   471,     0,
       0,  1323,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,  1325,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,  1326,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,  3310,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
    1329,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,  1332,  1333,     0,     0,   595,
     596,  1334,   598,  1335,  1336,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,  1339,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3311,  3312,     0,     0,     0,
     234,     0,  1268,   714,  3313,  1269,  1270,  1271,   775,  1272,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257, -2986,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
    5994,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371, -2986,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,     0,     0,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421, -2986,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,  1319,
     459,   460,     0,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,  1325,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,  1326,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559, -2986,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,  5995,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0, -2986,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,   234,     0,  1268,   714,
    1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,     0,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
    1325,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1326,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,  3310,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3311,  3312,   234,
       0,  1268,   714,     0,  1269,  1270,  3313,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,     0,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,  1325,   497,   498,   499,   500,   501,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,  1326,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  3490,
    3491,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3492,  3493,   234,     0,  1268,   714,     0,  1269,  1270,  3313,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1274,   260,  1275,  1276,     0,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,     0,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,  1325,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,  1326,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  3310,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,     0,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,  1339,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,     0,     0,     0,     0,     0,   234,     0,  1268,   714,
       0,  1269,  1270,     0,   775,  1272,     0,     0,     0,     0,
       0,     0,  3313,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,  4761,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,     0,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
    1325,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1326,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,  3310,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
     234,     0,  1268,   714,     0,  1269,  1270,     0,   775,  1272,
       0,     0,     0,     0,     0,     0,  3313,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,     0,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,  1325,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,  1326,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    3310,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,  4821,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,     0,
       0,     0,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3313,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,  1278,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,  1294,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,  3461,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,  3462,  1311,
     411,   412,   413,   414,   415,   416,   417,  3463,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,     0,   459,   460,   461,   462,     0,  1321,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
     859,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,  1325,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,  3464,   541,   542,   543,   544,
     545,   546,   547,   548,   549,    40,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,    44,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,  1334,   598,  1335,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,  1203,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,    49,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,  3465,   645,
     646,   647,     0,     0,     0,    50,     0,     0,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3466,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,  1278,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,  1294,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,  3461,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,  3462,  1311,   411,   412,   413,   414,   415,   416,
     417,  3463,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,     0,   459,   460,
     461,   462,     0,  1321,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,   859,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,  1325,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,  3464,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,  1334,   598,  1335,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,  3465,   645,   646,   647,     0,     0,     0,     0,
       0,     0,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3466,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,  1278,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,  1294,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,  3461,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,     0,   459,   460,   461,   462,     0,  1321,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,  1325,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,  1334,
     598,  1335,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,     0,     0,     0,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3910,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,  1278,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,  1294,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,   396,   397,   398,
     399,  3461,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
    3462,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,     0,   459,   460,   461,   462,
       0,  1321,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
    1325,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,  3464,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,  1334,   598,  1335,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
    3465,   645,   646,   647,     0,     0,     0,     0,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    56,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,  1278,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,  1294,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,   396,   397,   398,   399,  3461,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,     0,
     459,   460,   461,   462,     0,  1321,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,  1325,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,  1334,   598,  1335,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,     0,
       0,     0,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4907,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,  1278,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,  1294,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,  3461,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,     0,   459,   460,   461,   462,     0,  1321,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,  1325,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,  1334,   598,  1335,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,     0,     0,     0,     0,     0,   964,     0,
    1600,   714,     0,     0,     0,     0,   775,     0,     0,     0,
       0,     0,     0,     0,  6101,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,  5887,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,  1824,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,  1825,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,  1826,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,     0,     0,     0,
       0,     0,   964,     0,     0,     0,     0,     0,     0,  1601,
    1602,  5888,     0,     0,     0,     0,     0,     0,  5889,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     3,     4,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,    40,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,    44,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,  1203,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,    49,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
    1043,     0,     0,    50,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5638,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,    40,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
      44,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,  1203,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,    49,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,     0,
       0,    50,     0,     0,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      56,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,  2900,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
     859,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,  2901,  2902,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,     0,     0,     0,     0,     0,     0,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1858,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,     0,     0,     0,
       0,     0,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1412,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,     0,     0,     0,     0,     0,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3524,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4198,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2105,     0,     0,
       0,     0,     0,     0,  2106,     0,     0,  2107,     0,     0,
    4838,  2108,  2109,  2110,  2111,  2112,  2113,  2114,  2115,  2116,
    2117,  2118,  2119,  2120,  2121,  2122,  2123,  2124,  2125,  2126,
    2127,     0,  2128,  2129,  2130,  2131,  2132,  2133,  2134,  2135,
    2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,  2145,
    2146,  2147,  2148,  2149,  2150,  2151,  2152,  2153,  2154,  2155,
    2156,  2157,  2158,     0,     0,  2159,  2160,  2161,  2162,  2163,
    2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,  2173,
    2174,  2175,  2176,  2177,  2178,  2179,  2180,  2181,  2182,  2183,
    2184,  2185,  2186,     0,  2187,  2188,  2189,  2190,  2191,  2192,
    2193,  2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,     0,
    2202,  2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,
    2212,  2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,
    2232,  2233,  2234,  2235,  2236,  2237,     0,  2238,  2239,  2240,
    2241,  2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,     0,
       0,  2250,  2251,  2252,  2253,     0,  2254,  2255,  2256,  2257,
    2258,     0,  2259,  2260,  2261,  2262,  2263,     0,  2264,  2265,
       0,  2266,  2267,  2268,     0,  2269,  2270,     0,  2271,  2272,
    2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,  2282,
    2283,  2284,  2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,
    2293,  2294,  2295,  2296,     0,  2297,     0,  2298,  2299,  2300,
    2301,  2302,  2303,  2304,  2305,  2306,  2307,  2308,  2309,  2310,
    2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,
    2321,  2322,  2323,  2324,  2325,  2326,  2327,     0,  2328,  2329,
    2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,  2339,
    2340,  2341,  2342,  2343,  2344,     0,  2345,  2346,     0,  2347,
    2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,
    2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,
    2368,  2369,  2370,  2371,  2372,  2373,  2374,  2375,     0,  2376,
    2377,  2378,     0,  2379,  2380,  2381,  2382,  2383,     0,  2384,
    2385,  2386,  2387,     0,     0,  2388,  2389,  2390,  2391,  2392,
    2393,  2394,  2395,  2396,  2397,  2398,  2399,  2400,  2401,  2402,
    2403,  2404,  2405,     0,  2406,  2407,  2408,  2409,  2410,  2411,
    2412,  2413,  2414,  2415,  2416,  2417,  2418,  2419,  2420,  2421,
    2422,  2423,  2424,  2425,  2426,  2427,  2428,  2429,  2430,  2431,
    2432,  2433,  2434,  2435,  2436,  2437,  2438,  2439,     0,  2440,
    2441,  2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,  2450,
    2451,  2452,  2453,  2454,  2455,  2456,     0,  2457,  2458,  2459,
    2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,  2468,  2469,
    2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,  2479,
    2480,  2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,  2489,
    2490,  2491,  2492,  2493,  2494,  2495,  2496,  2497,  2498,  2499,
    2500,  2501,  2502,  2503,  2504,  2505,  2506,  2507,  2508,  2509,
       0,  2510,  2511,  2512,  2513,  2514,  2515,  2516,  2517,  2518,
    2519,  2520,  2521,  2522,  2523,  2524,  2525,     0,  2526,  2527,
    2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,  2536,  2537,
    2538,  2539,  2540,  2541,     0,  2542,  2543,  2544,  2545,  2546,
    2547,     0,  2548,     0,     0,     0,     0,  2549,  2550,  2551,
    2552,  2553,  2554,  2555,  2556,  2557,  2558,  2559,  2560,  2561,
    2562,  2563,     0,  2564,  2565,     0,  2566,     0,     0,     0,
       0,     0,     0,     0,     0,  2567,  2568,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,   876,     0,  1600,   714,     0,     0,
       0,   979,   775,     0,     0,     0,     0,     0,   980,   981,
     982,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    1736,   244,   245,   246,  1737,  1738,  1739,  1740,  1741,  1742,
    1743,   247,   248,   249,  1744,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   877,   260,   878,   879,  1745,   263,
     264,   265,   266,   267,   268,   269,  1746,  1747,   270,   271,
     880,   881,   274,  1748,   275,   276,   277,   278,     0,  1749,
     280,  1750,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,  1751,   292,   293,   294,   295,   296,   297,
    1752,   298,   299,   300,   301,  1753,  1754,  1755,   302,  1756,
    1757,  1758,   303,   304,   305,   306,   307,   308,   882,   883,
     311,  1759,   312,  1760,   313,   314,   315,   316,   317,   318,
     319,  1761,   320,   321,   322,   323,  1762,  1763,   324,   325,
     884,   327,   328,  1764,   329,   330,   331,   332,  1765,   333,
     334,   335,   336,  1766,   337,   338,   339,   340,     0,   342,
     343,   344,   345,     0,  1767,   347,  1768,   348,   349,   350,
     885,   352,  1769,   353,  1770,   354,   355,   356,  1771,   357,
     358,   359,   360,   361,  1772,   362,     0,  1773,     0,   365,
     366,  1774,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,  1775,   377,   378,   379,   380,   381,   382,   383,
     384,  1776,   385,   386,     0,   388,   389,   390,   391,   886,
     887,  1777,   888,  1778,   395,   396,   397,   398,   399,   889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     411,   412,   413,   414,   415,   416,   417,  1779,  1780,   418,
       0,   420,   421,   422,  1781,   423,   424,   425,  1782,  1783,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   890,
     446,   891,   448,   449,   450,   451,   452,   453,   454,   455,
    4521,     0,   458,  1784,   459,   460,   461,   462,  1785,     0,
     464,   892,   466,   467,   468,  1786,   469,   470,   471,  1787,
    1788,  4522,   473,   474,  1789,  1790,   475,   476,     0,   478,
     479,   480,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,  1791,   493,   494,   495,     0,   497,
       0,   499,   500,   501,  1792,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   893,   514,   515,   516,
     517,  1793,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,  1794,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,  1795,   550,   551,   552,   553,
     554,  1796,   555,   556,  2727,   558,   559,   560,   561,   562,
     895,   564,  1797,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,     0,   581,
    1798,   582,   583,  1799,  1800,   584,   585,   586,   587,   588,
     589,   590,   591,  1801,   592,   896,   897,  1802,  1803,   595,
     596,     0,   598,     0,  1804,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1805,  1806,   609,   610,   611,   612,
     613,  1807,  1808,   614,   615,   616,   617,   618,     0,   898,
    1809,   621,   622,   623,   624,   625,   626,  1810,  1811,   627,
    1812,  1813,   628,   629,   630,   631,   632,   633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   645,
     646,   647,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   985,   986,   987,  4523,  4524,   990,   991,   992,
     993,   876,     0,  1600,   714,     0,     0,     0,   979,   775,
       0,     0,     0,     0,     0,   980,   981,   982,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1736,   244,   245,
     246,  1737,  1738,  1739,  1740,  1741,  1742,  1743,   247,   248,
     249,  1744,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   877,   260,   878,   879,  1745,   263,   264,   265,   266,
     267,   268,   269,  1746,  1747,   270,   271,   880,   881,   274,
    1748,   275,   276,   277,   278,     0,  1749,   280,  1750,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
    1751,   292,   293,   294,   295,   296,   297,  1752,   298,   299,
     300,   301,  1753,  1754,  1755,   302,  1756,  1757,  1758,   303,
     304,   305,   306,   307,   308,   882,   883,   311,  1759,   312,
    1760,   313,   314,   315,   316,   317,   318,   319,  1761,   320,
     321,   322,   323,  1762,  1763,   324,   325,   884,   327,   328,
    1764,   329,   330,   331,   332,  1765,   333,   334,   335,   336,
    1766,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,  1767,   347,  1768,   348,   349,   350,   885,   352,  1769,
     353,  1770,   354,   355,   356,  1771,   357,   358,   359,   360,
     361,  1772,   362,     0,  1773,     0,   365,   366,  1774,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,  1775,
     377,   378,   379,   380,   381,   382,   383,   384,  1776,   385,
     386,     0,   388,   389,   390,   391,   886,   887,  1777,   888,
    1778,   395,   396,   397,   398,   399,   889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   411,   412,   413,
     414,   415,   416,   417,  1779,  1780,   418,     0,   420,   421,
     422,  1781,   423,   424,   425,  1782,  1783,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   890,   446,   891,   448,
     449,   450,   451,   452,   453,   454,   455,  4978,     0,   458,
    1784,   459,   460,   461,   462,  1785,     0,   464,   892,   466,
     467,   468,  1786,   469,   470,   471,  1787,  1788,  4522,   473,
     474,  1789,  1790,   475,   476,     0,   478,   479,   480,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,  1791,   493,   494,   495,     0,   497,     0,   499,   500,
     501,  1792,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   893,   514,   515,   516,   517,  1793,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,  1794,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,  1795,   550,   551,   552,   553,   554,  1796,   555,
     556,  2727,   558,   559,   560,   561,   562,   895,   564,  1797,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,     0,   581,  1798,   582,   583,
    1799,  1800,   584,   585,   586,   587,   588,   589,   590,   591,
    1801,   592,   896,   897,  1802,  1803,   595,   596,     0,   598,
       0,  1804,   600,   601,   602,   603,   604,   605,   606,   607,
     608,  1805,  1806,   609,   610,   611,   612,   613,  1807,  1808,
     614,   615,   616,   617,   618,     0,   898,  1809,   621,   622,
     623,   624,   625,   626,  1810,  1811,   627,  1812,  1813,   628,
     629,   630,   631,   632,   633,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   645,   646,   647,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   985,
     986,   987,  4523,  4524,   990,   991,   992,   993,   655,     0,
       0,     0,     0,     0,     0,   979,     0,     0,     0,     0,
       0,     0,   980,   981,   982,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   983,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   984,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   985,   986,   987,   988,
     989,   990,   991,   992,   993,   655,     0,     0,     0,     0,
       0,     0,   979,     0,     0,     0,     0,     0,     0,   980,
     981,   982,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,  1100,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,  1101,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   985,   986,   987,   988,   989,   990,   991,
     992,   993,   655,     0,     0,     0,     0,     0,     0,   979,
       0,     0,     0,     0,     0,     0,   980,   981,   982,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,  1166,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,  1167,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1168,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     985,   986,   987,   988,   989,   990,   991,   992,   993,   655,
       0,     0,     0,     0,     0,     0,   979,     0,     0,     0,
       0,     0,     0,   980,   981,   982,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
    1841,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
    1842,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   985,   986,   987,
     988,   989,   990,   991,   992,   993,   655,     0,     0,     0,
       0,     0,     0,   979,     0,     0,     0,     0,     0,     0,
     980,   981,   982,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   985,   986,   987,   988,   989,   990,
     991,   992,   993,   655,     0,     0,     0,     0,     0,     0,
     979,     0,     0,     0,     0,     0,     0,   980,   981,   982,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,  3589,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,  3590,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   985,   986,   987,   988,   989,   990,   991,   992,   993,
     655,     0,     0,     0,     0,     0,     0,   979,     0,     0,
       0,     0,     0,     0,   980,   981,   982,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  5620,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,     0,
    1735,     0,     0,     0,     0,     0,     0,     0,   985,   986,
     987,   988,   989,   990,   991,   992,   993,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1736,   244,   245,   246,
    1737,  1738,  1739,  1740,  1741,  1742,  1743,   247,   248,   249,
    1744,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,  1745,   263,   264,   265,   266,   267,
     268,   269,  1746,  1747,   270,   271,   272,   273,   274,  1748,
     275,   276,   277,   278,   279,  1749,   280,  1750,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,  1751,
     292,   293,   294,   295,   296,   297,  1752,   298,   299,   300,
     301,  1753,  1754,  1755,   302,  1756,  1757,  1758,   303,   304,
     305,   306,   307,   308,   309,   310,   311,  1759,   312,  1760,
     313,   314,   315,   316,   317,   318,   319,  1761,   320,   321,
     322,   323,  1762,  1763,   324,   325,   326,   327,   328,  1764,
     329,   330,   331,   332,  1765,   333,   334,   335,   336,  1766,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
    1767,   347,  1768,   348,   349,   350,   351,   352,  1769,   353,
    1770,   354,   355,   356,  1771,   357,   358,   359,   360,   361,
    1772,   362,   363,  1773,   364,   365,   366,  1774,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,  1775,   377,
     378,   379,   380,   381,   382,   383,   384,  1776,   385,   386,
     387,   388,   389,   390,   391,   392,   393,  1777,   394,  1778,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,  1779,  1780,   418,   419,   420,   421,   422,
    1781,   423,   424,   425,  1782,  1783,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,  1784,
     459,   460,   461,   462,  1785,   463,   464,   465,   466,   467,
     468,  1786,   469,   470,   471,  1787,  1788,   472,   473,   474,
    1789,  1790,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
    1791,   493,   494,   495,   496,   497,   498,   499,   500,   501,
    1792,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,  1793,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,  1794,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,  1795,   550,   551,   552,   553,   554,  1796,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,  1797,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,  1798,   582,   583,  1799,
    1800,   584,   585,   586,   587,   588,   589,   590,   591,  1801,
     592,   593,   594,  1802,  1803,   595,   596,   597,   598,   599,
    1804,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1805,  1806,   609,   610,   611,   612,   613,  1807,  1808,   614,
     615,   616,   617,   618,   619,   620,  1809,   621,   622,   623,
     624,   625,   626,  1810,  1811,   627,  1812,  1813,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1814,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   865,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6069,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6071,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     876,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6198,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     877,   260,   878,   879,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   880,   881,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   882,   883,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,     0,   342,   343,   344,   345,     0,
       0,   347,     0,   348,   349,   350,   885,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,     0,     0,     0,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,  2723,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
    2724,   388,   389,   390,   391,   886,   887,     0,   888,     0,
     395,   396,   397,   398,   399,   889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,     0,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   890,   446,   891,   448,   449,
     450,   451,   452,   453,   454,   455,     0,     0,   458,     0,
     459,   460,   461,   462,     0,     0,   464,   892,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,  2725,   475,   476,  2726,   478,   479,   480,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   497,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   893,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
    2727,   558,   559,   560,   561,   562,   895,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,     0,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   896,   897,     0,     0,   595,   596,     0,   598,     0,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,     0,   898,  2728,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,     0,     0,     0,  3947,     0,     0,
       0,     0,     0,     0,     0,   645,   646,   647,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  2729,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   877,   260,   878,
     879,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   880,   881,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   882,   883,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   885,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  2723,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,  2724,   388,   389,
     390,   391,   886,   887,     0,   888,     0,   395,   396,   397,
     398,   399,   889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,     0,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   890,   446,   891,   448,   449,   450,   451,   452,
     453,   454,   455,     0,     0,   458,     0,   459,   460,   461,
     462,     0,     0,   464,   892,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,  2725,   475,
     476,  2726,   478,   479,   480,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   497,     0,   499,   500,   501,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   893,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,  2727,   558,   559,
     560,   561,   562,   895,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,     0,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   896,   897,
       0,     0,   595,   596,     0,   598,     0,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,     0,   898,  2728,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   645,   646,   647,   964,     0,  1600,   714,     0,
       0,     0,     0,   775,     0,     0,     0,     0,     0,     0,
    2729,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,  2614,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,  1824,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
    1825,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,  1826,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   964,     0,  1600,   714,     0,     0,     0,
       0,   775,     0,     0,     0,     0,  1601,  1602,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
    2619,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,  1824,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,  1825,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,  1826,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   964,     0,  1600,   714,     0,     0,     0,     0,   775,
       0,     0,     0,     0,  1601,  1602,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  3556,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,  1824,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,  1825,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,  1826,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   964,
       0,  1600,   714,     0,     0,     0,     0,   775,     0,     0,
       0,     0,  1601,  1602,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,  1824,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,  1825,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,  1826,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,   775,     0,     0,     0,     0,
    1601,  1602,     0,     0,   235,   236,   776,   238,   239,   240,
     241,   242,   243,   777,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   778,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   779,   351,   352,     0,   353,     0,   354,   780,
       0,   781,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,   782,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   783,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   784,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,     0,   785,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   786,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   964,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   787,   788,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     3,     4,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,  1043,  1735,     0,  6387,   714,     0,     0,
       0,     0,   775,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    1736,   244,   245,   246,  1737,  1738,  1739,  1740,  1741,  1742,
    1743,   247,   248,   249,  1744,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,  1745,   263,
     264,   265,   266,   267,   268,   269,  1746,  1747,   270,   271,
     272,   273,   274,  1748,   275,   276,   277,   278,   279,  1749,
     280,  1750,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,  1751,   292,   293,   294,   295,   296,   297,
    1752,   298,   299,   300,   301,  1753,  1754,  1755,   302,  1756,
    1757,  1758,   303,   304,   305,   306,   307,   308,   309,   310,
     311,  1759,   312,  1760,   313,   314,   315,   316,   317,   318,
     319,  1761,   320,   321,   322,   323,  1762,  1763,   324,   325,
     326,   327,   328,  1764,   329,   330,   331,   332,  1765,   333,
     334,   335,   336,  1766,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,  1767,   347,  1768,   348,   349,   350,
     351,   352,  1769,   353,  1770,   354,   355,   356,  1771,   357,
     358,   359,   360,   361,  1772,   362,   363,  1773,   364,   365,
     366,  1774,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,  1775,   377,   378,   379,   380,   381,   382,   383,
     384,  1776,   385,   386,   387,   388,   389,   390,   391,   392,
     393,  1777,   394,  1778,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,  1779,  1780,   418,
     419,   420,   421,   422,  1781,   423,   424,   425,  1782,  1783,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,  1784,   459,   460,   461,   462,  1785,   463,
     464,   465,   466,   467,   468,  1786,   469,   470,   471,  1787,
    1788,   472,   473,   474,  1789,  1790,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,  1791,   493,   494,   495,   496,   497,
     498,   499,   500,   501,  1792,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,  1793,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,  1794,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,  1795,   550,   551,   552,   553,
     554,  1796,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,  1797,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
    1798,   582,   583,  1799,  1800,   584,   585,   586,   587,   588,
     589,   590,   591,  1801,   592,   593,   594,  1802,  1803,   595,
     596,   597,   598,   599,  1804,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1805,  1806,   609,   610,   611,   612,
     613,  1807,  1808,   614,   615,   616,   617,   618,   619,   620,
    1809,   621,   622,   623,   624,   625,   626,  1810,  1811,   627,
    1812,  1813,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,  1735,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,  1736,   244,
     245,   246,  1737,  1738,  1739,  1740,  1741,  1742,  1743,   247,
     248,   249,  1744,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,  1745,   263,   264,   265,
     266,   267,   268,   269,  1746,  1747,   270,   271,   272,   273,
     274,  1748,   275,   276,   277,   278,   279,  1749,   280,  1750,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,  1751,   292,   293,   294,   295,   296,   297,  1752,   298,
     299,   300,   301,  1753,  1754,  1755,   302,  1756,  1757,  1758,
     303,   304,   305,   306,   307,   308,   309,   310,   311,  1759,
     312,  1760,   313,   314,   315,   316,   317,   318,   319,  1761,
     320,   321,   322,   323,  1762,  1763,   324,   325,   326,   327,
     328,  1764,   329,   330,   331,   332,  1765,   333,   334,   335,
     336,  1766,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,  1767,   347,  1768,   348,   349,   350,   351,   352,
    1769,   353,  1770,   354,   355,   356,  1771,   357,   358,   359,
     360,   361,  1772,   362,   363,  1773,   364,   365,   366,  1774,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
    1775,   377,   378,   379,   380,   381,   382,   383,   384,  1776,
     385,   386,   387,   388,   389,   390,   391,   392,   393,  1777,
     394,  1778,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,  1779,  1780,   418,   419,   420,
     421,   422,  1781,   423,   424,   425,  1782,  1783,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,  1784,   459,   460,   461,   462,  1785,   463,   464,   465,
     466,   467,   468,  1786,   469,   470,   471,  1787,  1788,   472,
     473,   474,  1789,  1790,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,  1791,   493,   494,   495,   496,   497,   498,   499,
     500,   501,  1792,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,  1793,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,  1794,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,  1795,   550,   551,   552,   553,   554,  1796,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
    1797,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,  1798,   582,
     583,  1799,  1800,   584,   585,   586,   587,   588,   589,   590,
     591,  1801,   592,   593,   594,  1802,  1803,   595,   596,   597,
     598,   599,  1804,   600,   601,   602,   603,   604,   605,   606,
     607,   608,  1805,  1806,   609,   610,   611,   612,   613,  1807,
    1808,   614,   615,   616,   617,   618,   619,   620,  1809,   621,
     622,   623,   624,   625,   626,  1810,  1811,   627,  1812,  1813,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
    1735,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,  3664,   241,   242,   243,  1736,   244,   245,   246,
    1737,  1738,  1739,  1740,  1741,  1742,  1743,   247,   248,   249,
    1744,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,  1745,   263,   264,   265,   266,   267,
     268,   269,  1746,  1747,   270,   271,   272,   273,   274,  1748,
     275,   276,   277,   278,   279,  1749,   280,  1750,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,  1751,
     292,   293,   294,   295,   296,   297,  1752,   298,   299,   300,
     301,  1753,  1754,  1755,   302,  1756,  1757,  1758,   303,   304,
     305,   306,   307,   308,   309,   310,   311,  1759,   312,  1760,
     313,   314,   315,   316,   317,   318,   319,  1761,   320,   321,
     322,   323,  1762,  1763,   324,   325,   326,  3665,   328,  1764,
     329,   330,   331,   332,  1765,   333,   334,   335,   336,  1766,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
    1767,   347,  1768,   348,   349,   350,   351,   352,  1769,   353,
    1770,   354,   355,   356,  1771,   357,   358,   359,   360,   361,
    1772,   362,   363,  1773,   364,   365,   366,  1774,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,  1775,   377,
     378,   379,   380,   381,   382,   383,   384,  1776,   385,   386,
     387,   388,   389,   390,   391,   392,   393,  1777,   394,  1778,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,  1779,  1780,   418,   419,   420,   421,   422,
    1781,   423,   424,   425,  1782,  1783,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,  1784,
     459,   460,   461,   462,  1785,   463,   464,   465,   466,   467,
     468,  1786,   469,   470,   471,  1787,  1788,   472,   473,   474,
    1789,  1790,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
    1791,   493,   494,   495,   496,   497,   498,   499,   500,   501,
    1792,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,  1793,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,  1794,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,  1795,   550,   551,   552,   553,   554,  1796,  3666,   556,
     557,   558,   559,   560,   561,   562,   563,   564,  1797,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,  1798,   582,   583,  1799,
    1800,   584,   585,   586,   587,   588,   589,   590,   591,  1801,
     592,   593,   594,  1802,  1803,   595,   596,   597,   598,   599,
    1804,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1805,  1806,   609,   610,   611,   612,   613,  1807,  1808,   614,
     615,   616,   617,   618,   619,   620,  1809,   621,   622,   623,
     624,   625,   626,  1810,  1811,   627,  1812,  1813,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,  1278,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,  1294,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,  3461,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,   409,  1311,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,     0,   459,   460,
     461,   462,     0,  1321,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,  1325,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,  1334,   598,  1335,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,   644,   645,   646,   647,   234,     0,  1268,   714,
       0,  1269,  1270,     0,   775,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  6361,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
    1320,   463,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1326,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,   597,   598,   599,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   964,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    1003,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,   965,   302,     0,
       0,   966,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   967,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   964,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,  1024,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,   965,   302,     0,     0,   966,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,  1025,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   967,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     964,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,   965,   302,     0,     0,   966,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   967,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,  2994,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   964,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,   965,   302,     0,     0,   966,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,  4018,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   967,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   964,     0,     0,   714,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,  1824,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,  1825,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,  1826,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   964,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,   965,   302,     0,
       0,   966,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   967,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   964,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,   965,   302,     0,     0,   966,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,  1119,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   967,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     964,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,   965,   302,     0,     0,   966,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1161,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   967,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   964,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,   965,   302,     0,     0,   966,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1174,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   967,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   964,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,   965,
     302,     0,     0,   966,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1186,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,  1187,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   967,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   964,     0,     0,   714,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,  2599,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   964,     0,     0,   714,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1145,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1158,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1172,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1176,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     964,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,  2828,   275,   276,
     277,   278,   279,     0,     0,  2829,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,  2830,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,  2831,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,  2832,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    2833,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,  2834,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,  2835,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,  2828,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,  2830,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,  2831,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,  2832,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,  3881,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,  2834,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  2835,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     794,   244,   795,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     796,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,   827,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   797,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   798,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   794,   244,
     795,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   796,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,  3563,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   797,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   798,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,  2828,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,  2830,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
    2831,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
    2832,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
    2834,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  2835,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   794,   244,   795,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   796,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   797,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   798,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  3070,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
    2900,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,   859,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,  2901,  2902,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    2002,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,  2003,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,  2004,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,  2005,   354,   355,     0,     0,     0,
    2006,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,  2007,  2008,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,  2009,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,  2010,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,  2011,   538,   539,   540,   541,   542,   543,  2012,
     545,   546,   547,   548,   549,     0,  2013,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,  2014,   584,     0,  2015,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,  2016,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     795,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   796,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   797,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   798,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,  2900,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,   859,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
    2901,  2902,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1017,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1018,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,   859,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  3645,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,  3646,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    3658,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,  3659,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   656,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   705,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   706,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   819,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   820,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   821,
     594,     0,     0,   822,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   853,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   854,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   855,   594,     0,
       0,   856,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
     859,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,   919,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   974,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   975,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1137,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  1387,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,  1398,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   839,   271,
     272,   273,  1399,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   842,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   843,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   844,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
    1391,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   846,   594,     0,     0,   847,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   848,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1544,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,   859,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1605,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1606,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   819,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,  3410,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,  3411,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,  3412,   584,     0,   586,
     587,  3413,   589,  3414,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
    3415,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,   714,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
     775,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,  4236,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,  4250,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,  4396,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,  4919,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,  4992,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,  5351,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   811,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   817,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   839,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   840,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   841,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   842,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   843,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   844,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   845,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   846,   594,     0,     0,   847,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   848,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   871,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     999,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1009,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1012,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1028,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1085,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1090,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1107,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1110,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1112,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1150,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1178,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1180,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1190,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1193,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1196,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   839,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   842,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   843,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   844,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,  1391,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   846,
     594,     0,     0,   847,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   848,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1867,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1901,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1903,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1943,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1945,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1947,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,  2041,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,  2715,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
       0,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   839,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   842,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   843,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   844,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,  1391,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,  2749,   587,   588,   589,   590,   591,     0,
     592,   846,   594,     0,     0,   847,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   848,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   839,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   842,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   843,   535,   536,   537,   538,   539,   540,
     541,   542,   543,  2811,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,  2812,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   846,
     594,     0,     0,  2813,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   848,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     839,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     842,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   843,   535,   536,   537,   538,   539,   540,   541,   542,
     543,  2897,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,  2812,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   846,   594,     0,
       0,  2813,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   848,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   839,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   842,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   843,
     535,   536,   537,   538,   539,   540,   541,   542,   543,  2921,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
    2812,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   846,   594,     0,     0,  2813,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   848,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  3115,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  3119,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    3177,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  3568,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   839,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   842,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   843,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   844,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
    2812,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   846,   594,     0,     0,  2813,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   848,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  3626,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  3648,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    3650,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  3800,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,  3842,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  5105,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,  6326,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,     0,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   877,   260,   878,   879,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   880,   881,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     882,   883,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
       0,   342,   343,   344,   345,     0,     0,   347,     0,   348,
     349,   350,   885,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,     0,     0,
       0,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,  2723,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,  2724,   388,   389,   390,
     391,   886,   887,     0,   888,     0,   395,   396,   397,   398,
     399,   889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,     0,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   890,   446,   891,   448,   449,   450,   451,   452,   453,
     454,   455,     0,     0,   458,     0,   459,   460,   461,   462,
       0,     0,   464,   892,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
    2726,   478,   479,   480,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   497,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   893,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,  2727,   558,   559,   560,
     561,   562,   895,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
       0,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   896,   897,     0,
       0,   595,   596,     0,   598,     0,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
       0,   898,  2728,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     876,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   645,   646,   647,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     877,   260,   878,   879,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   880,   881,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   882,   883,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,     0,   342,   343,   344,   345,     0,
       0,   347,     0,   348,   349,   350,   885,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,     0,     0,     0,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
       0,   388,   389,   390,   391,   886,   887,     0,   888,     0,
     395,   396,   397,   398,   399,   889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,     0,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   890,   446,   891,   448,   449,
     450,   451,   452,   453,   454,   455,     0,     0,   458,     0,
     459,   460,   461,   462,  2807,     0,   464,   892,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,     0,   478,   479,   480,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   497,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   893,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
    2727,   558,   559,   560,   561,   562,   895,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,     0,   581,     0,   582,   583,     0,
    4622,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   896,   897,     0,     0,   595,   596,     0,   598,     0,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,     0,   898,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   876,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   645,   646,   647,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   877,   260,   878,   879,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     880,   881,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   882,   883,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,     0,   342,
     343,   344,   345,     0,     0,   347,     0,   348,   349,   350,
     885,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,     0,     0,     0,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,     0,   388,   389,   390,   391,   886,
     887,     0,   888,     0,   395,   396,   397,   398,   399,   889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
       0,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   890,
     446,   891,   448,   449,   450,   451,   452,   453,   454,   455,
    2887,     0,   458,     0,   459,   460,   461,   462,     0,     0,
     464,   892,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,     0,   478,
     479,   480,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   497,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   893,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   894,   558,   559,   560,   561,   562,
     895,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,     0,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   896,   897,     0,     0,   595,
     596,     0,   598,     0,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,     0,   898,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   876,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   645,
     646,   647,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   877,   260,
     878,   879,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   880,   881,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   882,   883,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,     0,   342,   343,   344,   345,     0,     0,   347,
       0,   348,   349,   350,   885,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
       0,     0,     0,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,     0,   388,
     389,   390,   391,   886,   887,     0,   888,     0,   395,   396,
     397,   398,   399,   889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,     0,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   890,   446,   891,   448,   449,   450,   451,
     452,   453,   454,   455,  4418,     0,   458,     0,   459,   460,
     461,   462,     0,     0,   464,   892,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,     0,   478,   479,   480,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   497,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     893,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   894,   558,
     559,   560,   561,   562,   895,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,     0,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   896,
     897,     0,     0,   595,   596,     0,   598,     0,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,     0,   898,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   876,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   645,   646,   647,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,     0,   877,   260,   878,   879,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   880,   881,
     274,     0,   275,   276,   277,   278,     0,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   882,   883,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,     0,   342,   343,   344,
     345,     0,     0,   347,     0,   348,   349,   350,   885,   352,
    6013,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,     0,     0,     0,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,     0,   388,   389,   390,   391,   886,   887,     0,
     888,     0,   395,   396,   397,   398,   399,   889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,     0,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   890,   446,   891,
     448,   449,   450,   451,   452,   453,   454,   455,     0,     0,
     458,     0,   459,   460,   461,   462,     0,     0,   464,   892,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,     0,   478,   479,   480,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   497,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   893,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   894,   558,   559,   560,   561,   562,   895,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,     0,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   896,   897,     0,     0,   595,   596,     0,
     598,     0,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,     0,   898,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   645,   646,   647,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   877,   260,   878,   879,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   880,   881,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     882,   883,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
       0,   342,   343,   344,   345,     0,     0,   347,     0,   348,
     349,   350,   885,   352,  6369,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,     0,     0,
       0,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,     0,   388,   389,   390,
     391,   886,   887,     0,   888,     0,   395,   396,   397,   398,
     399,   889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,     0,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   890,   446,   891,   448,   449,   450,   451,   452,   453,
     454,   455,     0,     0,   458,     0,   459,   460,   461,   462,
       0,     0,   464,   892,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
       0,   478,   479,   480,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   497,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   893,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   894,   558,   559,   560,
     561,   562,   895,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
       0,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   896,   897,     0,
       0,   595,   596,     0,   598,     0,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
       0,   898,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     876,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   645,   646,   647,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     877,   260,   878,   879,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   880,   881,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   882,   883,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,     0,   342,   343,   344,   345,     0,
       0,   347,     0,   348,   349,   350,   885,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,     0,     0,     0,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
       0,   388,   389,   390,   391,   886,   887,     0,   888,     0,
     395,   396,   397,   398,   399,   889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,     0,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   890,   446,   891,   448,   449,
     450,   451,   452,   453,   454,   455,     0,     0,   458,     0,
     459,   460,   461,   462,     0,     0,   464,   892,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,     0,   478,   479,   480,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   497,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   893,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     894,   558,   559,   560,   561,   562,   895,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,     0,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   896,   897,     0,     0,   595,   596,     0,   598,     0,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,     0,   898,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   876,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   645,   646,   647,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   877,   260,   878,   879,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     880,   881,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   882,   883,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,     0,   342,
     343,   344,   345,     0,     0,   347,     0,   348,   349,   350,
     885,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,     0,     0,     0,   365,
     366,     0,   367,   368,   369,   370,  1152,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,     0,   388,   389,   390,   391,   886,
     887,     0,   888,     0,   395,   396,   397,   398,   399,   889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
       0,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   890,
     446,   891,   448,   449,   450,   451,   452,   453,   454,   455,
       0,     0,   458,     0,   459,   460,   461,   462,     0,     0,
     464,   892,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,     0,   478,
     479,   480,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   497,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   893,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   894,   558,   559,   560,   561,   562,
     895,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,     0,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   896,   897,     0,     0,   595,
     596,     0,   598,     0,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,     0,   898,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   876,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   645,
     646,   647,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   877,   260,
     878,   879,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   880,   881,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   882,   883,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,     0,   342,   343,   344,   345,     0,     0,   347,
       0,   348,   349,   350,   885,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
       0,     0,     0,   365,   366,     0,   367,   368,   369,   370,
    1184,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,     0,   388,
     389,   390,   391,   886,   887,     0,   888,     0,   395,   396,
     397,   398,   399,   889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,     0,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   890,   446,   891,   448,   449,   450,   451,
     452,   453,   454,   455,     0,     0,   458,     0,   459,   460,
     461,   462,     0,     0,   464,   892,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,     0,   478,   479,   480,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   497,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     893,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   894,   558,
     559,   560,   561,   562,   895,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,     0,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   896,
     897,     0,     0,   595,   596,     0,   598,     0,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,     0,   898,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   876,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   645,   646,   647,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,     0,   877,   260,   878,   879,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   880,   881,
     274,     0,   275,   276,   277,   278,     0,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   882,   883,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,     0,   342,   343,   344,
     345,     0,     0,   347,     0,   348,   349,   350,   885,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,     0,     0,     0,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,     0,   388,   389,   390,   391,   886,   887,     0,
     888,     0,   395,   396,   397,   398,   399,   889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,     0,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   890,   446,   891,
     448,   449,   450,   451,   452,   453,   454,   455,     0,     0,
     458,     0,   459,   460,   461,   462,     0,     0,   464,   892,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,     0,   478,   479,   480,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   497,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   893,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,  2727,   558,   559,   560,   561,   562,   895,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,     0,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   896,   897,     0,     0,   595,   596,     0,
     598,     0,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,     0,   898,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   645,   646,   647,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   877,   260,   878,   879,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   880,   881,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     882,   883,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
       0,   342,   343,   344,   345,     0,     0,   347,     0,   348,
     349,   350,   885,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,     0,     0,
       0,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,     0,   388,   389,   390,
     391,   886,   887,     0,   888,     0,   395,   396,   397,   398,
     399,   889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,     0,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   890,   446,   891,   448,   449,   450,   451,   452,   453,
     454,   455,     0,     0,   458,     0,   459,   460,   461,   462,
       0,     0,   464,   892,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
       0,   478,   479,   480,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   497,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   893,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   558,   559,   560,
     561,   562,   895,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
       0,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   896,   897,     0,
       0,   595,   596,     0,   598,     0,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
       0,   898,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     876,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   645,   646,   647,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
       0,   260,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,     0,     0,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,     0,     0,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,     0,   342,   343,   344,   345,     0,
       0,   347,     0,   348,   349,   350,     0,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,     0,     0,     0,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
       0,   388,   389,   390,   391,     0,     0,     0,     0,     0,
     395,   396,   397,   398,   399,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,     0,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   446,     0,   448,   449,
     450,   451,   452,   453,   454,   455,     0,     0,   458,     0,
     459,   460,   461,   462,     0,     0,   464,     0,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,     0,   478,   479,   480,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   497,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     0,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
       0,   558,   559,   560,   561,   562,     0,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,     0,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,     0,     0,     0,     0,   595,   596,     0,   598,     0,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,     0,     0,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   645,   646,   647
};

static const yytype_int16 yycheck[] =
{
       6,   662,     0,     0,     0,     0,     0,    44,  1038,    56,
       0,     0,   211,  1047,     0,     0,     0,    23,    36,    25,
       0,     0,     0,    29,    21,     0,     0,   939,    34,    35,
      36,   683,    38,  1225,  1010,    41,    42,   837,    44,   840,
      46,  1592,    21,  1164,   756,   189,   211,    53,    54,    55,
      22,     0,  1657,    45,   715,  1027,    28,   933,   894,   935,
       0,     0,  1576,   197,  2835,  2709,  1011,  1576,  2039,  1042,
     715,  1036,   882,   883,   913,   864,  1272,  2710,  1569,   796,
     797,   798,   892,     0,     6,   802,  3238,  1259,  1113,  3419,
    3128,  3421,   897,   847,   216,  2731,  2732,  2065,  1897,  3514,
    3943,   762,   863,  3063,   760,  1502,  2028,  1581,   230,   206,
      23,  2047,   951,   830,  3075,  1087,  3965,   214,  2959,  1091,
     217,  1725,  2066,    36,  1096,  3718,  3636,  3602,  3638,   664,
     738,  1244,  2981,  3090,  1106,  1248,  1622,  1623,  1251,  1252,
    1626,  1692,  1693,  4349,   752,  4265,  3472,  3868,  1120,  3916,
     976,  3524,   977,  4822,   815,  2061,  2062,  2063,  2064,  2104,
    3664,  2067,  3666,  2069,  2070,  4287,   175,  1459,   751,  4308,
    1969,  1559,  1569,   761,   191,  1001,     8,  1910,   191,  1151,
    1006,  4598,   843,    15,     2,  4610,  4394,  5143,   225,  5346,
    5436,   197,   198,   199,  3932,  4593,   202,  5306,   843,  4587,
     206,   962,   208,    50,  3488,   211,  5215,   868,   214,  5337,
    2626,   217,  1686,  4724,   220,  4726,   222,  1102,  4838,   225,
    4840,    35,  1047,   229,  2694,   231,   736,  3466,    42,   739,
    3071,  1619,  4555,  1118,  5135,  3281,  2589,  2080,  5086,  1713,
    2593,    41,  3534,  3378,  2696,  3373,  3930,  5484,  1636,  5472,
    5130,     0,  4912,     0,     0,    11,   936,  2673,     0,   936,
      38,  5737,    21,  1010,    21,  5393,     6,    11,     6,   930,
     960,  4447,  1019,     6,  4597,    15,    16,  1542,  3471,    54,
    3473,  3474,  1029,  3522,  1040,  3028,  5134,  3030,  3031,     6,
    1051,    23,  3035,  3036,  3037,   122,  3039,  3040,  3041,     6,
      35,  2034,     6,  5400,  5401,    15,     6,    32,    37,    43,
       6,  1001,    25,    78,     6,    63,  1006,  5721,    37,     6,
       0,    43,     6,     0,   148,   880,   881,     6,    15,    16,
       6,    11,    92,   184,    11,   120,   891,   142,  4762,    15,
      16,   120,     6,     6,     6,     6,   115,    13,    47,    29,
      80,   157,    29,   184,    51,   171,   127,     6,   125,    88,
      13,   163,    92,     6,  1081,     3,   156,     5,     6,     5,
      29,   302,   100,    11,   177,    11,   113,    36,    13,    45,
     189,    37,   120,  5425,    13,    29,  1047,    85,    63,   184,
    1876,  3604,    36,   189,     6,    11,    21,  5623,   329,   226,
     177,  6027,    29,  4611,    37,   302,   288,  6118,   308,    36,
      45,    63,    78,   179,  4688,  4689,  4690,   329,  4692,  4693,
    4694,  4695,  4696,   186,   193,   309,   345,   140,   177,   177,
     177,   177,   329,   299,   329,   177,    42,   383,  1403,   177,
     309,    63,  1415,    78,   666,   388,  1471,  1103,   762,    47,
     178,   388,   201,   401,   201,   201,    37,   402,   271,   201,
      23,   359,   296,   401,   179,   292,   358,  5986,  2917,  5945,
      13,   401,   374,  5353,   152,   366,   383,  6324,    87,     5,
    1290,  1291,   120,    13,   212,    11,    99,   383,    29,  6367,
    1463,    13,   288,   378,   481,   288,   154,   177,   481,   227,
     177,   815,   271,   395,   120,   274,   412,    32,  5636,   311,
     354,  6401,  1322,    80,   446,    45,  5739,   438,   683,   440,
    6231,   201,   250,   367,   201,    92,   332,   354,  1333,   353,
     262,   437,  5936,  6423,    59,  4923,   758,   433,   297,   471,
     297,   433,  6420,   322,   310,   203,   533,  6394,    78,  2998,
     533,   279,    63,   397,   868,   446,    78,   177,   167,   681,
      25,    22,   469,  1171,    47,   687,   177,    28,   733,    13,
     183,    80,  5473,   366,   408,   253,  1401,   699,   476,   392,
     308,  1406,  1407,   221,   486,   470,   177,   533,   533,   537,
     533,   483,  1353,   199,   135,   310,   533,    63,  1571,   537,
      80,    45,   533,    63,  1265,   471,   490,   537,     6,   177,
     832,   324,    63,    80,   533,   378,   930,  1205,   256,   178,
    1265,   533,  1383,   392,  1232,    80,   495,   509,    80,  5855,
      80,  6107,    63,   533,    78,  1243,   533,   177,   533,    63,
     388,  6352,  5684,   446,   369,  5433,   177,   184,  6274,   377,
    1460,   453,  1260,   366,   297,   421,   388,   663,   383,   490,
     385,   398,    92,   669,  3877,   671,   475,   673,   301,   446,
     676,   177,   297,  4394,  5294,   140,   373,   683,   668,   475,
    1652,   486,   688,  1655,   690,   297,   537,   122,   401,   668,
     696,   451,    95,  1723,  1724,   429,   486,   372,   477,   262,
     471,  4422,   469,  1459,   436,   511,   537,   429,   446,   533,
     537,   446,  1424,    23,   720,   762,   446,   533,  1663,   668,
     372,  5944,  1547,   729,  1279,  1280,   451,   733,   668,   668,
     736,   460,  1557,   739,   482,   467,    23,  1398,   523,   508,
    6216,  1626,   537,   471,  4866,  1406,  1407,   480,  4924,   755,
     372,   668,   411,  1398,   533,   533,  1721,   766,   533,  4935,
     492,   474,  1317,   461,    23,   494,   531,   411,   524,   525,
     535,   808,   198,   199,    23,   494,   202,   476,   537,  2044,
     537,  1607,   761,  5880,   411,   523,    23,   536,   532,   536,
     536,  1676,  1677,   533,   536,   939,   222,   535,  1545,  4566,
     533,   533,   808,   229,   776,  1997,   778,  1643,   780,  1489,
    6214,   817,  1489,   523,   786,    37,   533,  5241,  1730,  1644,
    6296,   531,  1647,  1648,   531,   535,   533,   864,   535,   533,
    5731,   837,   838,   533,   840,   841,  4429,   533,   494,   845,
    4607,   533,  4435,  4353,   524,   525,   533,   524,   525,   533,
    1971,   514,   515,   859,   533,  5735,   536,   533,   864,   536,
    1607,   372,  1061,   529,   870,   514,   515,  6343,  4606,   533,
     533,   533,   533,   436,  6111,  6098,   529,  1567,   476,   446,
    6126,  1436,  1437,  2004,   533,   537,   524,   525,   524,   525,
    4611,   526,   527,   528,   529,  2016,  1061,   526,   527,   528,
     529,  3537,  4228,  3539,   467,  6033,   372,   944,   524,   525,
     927,   917,   372,   494,   927,   537,  6435,   537,  1052,  3760,
    3761,   372,   959,  5197,  3765,   931,   537,  6055,  6447,   492,
    1620,   929,   929,   929,   929,   929,   401,   446,   944,   929,
     929,   372,  3903,   929,   929,   929,   537,  1637,   372,   929,
     929,   929,   262,   959,   929,   929,  5616,   953,   790,  4094,
    4095,  1058,  1614,   446,   490,  1062,   446,  1064,   371,   537,
     533,  2667,   978,  4657,   533,   262,  4104,   983,   984,   446,
     929,   524,   525,   526,   527,   528,   529,  5943,   514,   929,
     929,   446,  1877,   476,   446,  6218,   446,   537,   524,   525,
     537,  4240,   533,   262,   469,  4244,  4516,  1542,  4300,  1015,
    1016,    10,   929,   262,    13,  1840,   446,  3433,    17,    18,
      19,   419,   420,  3493,   871,   262,   537,   533,    32,    29,
     870,  4077,  1038,  1039,  4227,  2065,  4229,  4230,   473,  5940,
    4515,   841,  3494,     3,  4179,   845,  1052,  5993,  1054,    89,
     113,     6,  1058,   222,    29,  1061,  1062,   314,  1064,  3900,
      52,  6189,    40,  1069,  5852,  6222,  6223,   201,  5456,  5857,
    5858,   537,  6295,  2046,    21,  5923,    54,   537,   388,   301,
     524,   525,   526,   527,   528,   529,   537,  1093,   125,     6,
     120,  5939,   132,   125,  1100,  1101,   194,   113,    89,   136,
      64,   388,  1858,  3846,  1522,   177,   537,   155,    72,  2667,
       6,     6,    68,   537,   288,    28,  1122,  1123,  1124,    72,
    1126,   256,  1128,   125,  1130,  1131,   436,  6136,  2101,   388,
      23,    91,   293,   111,   537,   136,  5342,  6383,  4422,   388,
    5463,   132,   239,    89,  1623,   113,   401,  1626,   178,   436,
     125,   388,  6108,    37,    35,    29,   165,   467,  1164,  5367,
    1166,  1167,  1823,  4578,   171,   387,    10,  4642,  6277,   155,
     124,    80,  3525,    17,    18,    19,   370,   436,   123,    92,
     467,   446,   492,    92,   216,   145,   132,   436,  6345,  1906,
     125,   189,  5812,  1199,    76,    63,    72,   370,  6099,   436,
     153,  1015,  1016,   446,   196,   492,   324,   401,   467,   201,
     307,   125,  2013,  2014,   216,   216,    23,   292,   467,  1225,
     173,  1227,   297,   533,   308,  1231,  1205,  1233,   401,   172,
     467,    10,  3868,   492,    13,   173,   120,   215,    17,    18,
      19,   216,    25,   492,   253,   671,   533,   673,    31,   177,
     676,  1257,   197,  1259,   476,   492,   133,  1263,    72,    23,
     252,   135,  1974,   293,   690,   208,   179,   144,  6224,   223,
     696,  1277,   537,   201,   533,   156,   351,   302,    92,   206,
     537,   216,   537,   401,   533,    25,  5703,   327,   243,  5132,
     288,  2003,   256,    25,   537,  2007,   533,  6406,  5809,   259,
    2012,   475,   216,  2015,   329,  1352,  6252,  5156,   469,   444,
     288,   310,   308,  1319,   312,   776,  5733,   778,  1136,   780,
    2829,   171,  3958,  2797,  5749,   786,   787,   788,   302,  3297,
    5718,  5729,   288,  1941,  2731,   335,   327,  2098,  6294,  5727,
     122,  3074,  1348,  1349,  1350,   314,  1352,  1955,   155,  6305,
     297,  1934,  5119,    38,   268,   329,   404,   140,  6367,  1199,
    1968,    23,    23,    10,   324,   369,    13,  1373,   537,   262,
     433,  4881,  2128,  2665,   446,    60,  1208,    25,  1210,  5702,
    1212,   327,  1214,  1966,  1216,  1217,  1218,  5125,  6344,  5777,
     343,  1223,  4349,  1981,  3090,  4905,   396,  1876,    45,   439,
     140,   297,   297,   537,     3,    52,  1412,  2881,   140,  5732,
    1419,  6420,   390,  3017,   406,   332,   292,   433,   404,   394,
     288,  6377,   201,   305,  1430,   120,  2078,   112,  1938,  2817,
     314,    78,   469,     3,   347,   533,     6,   469,   438,   115,
     440,   471,  1860,  1953,   226,   224,  1956,   324,   439,  1614,
     314,   523,   454,  6409,  1491,    30,  1493,  1474,  1475,   394,
    1477,  1474,  1475,   535,  1477,   433,   310,   469,  3311,  3312,
    1476,  5610,   385,  3316,  1480,  1481,   436,   475,   292,   439,
    3425,   103,  5604,   490,  6153,  1491,  1492,  1493,  1494,   366,
    1496,  4864,   140,   439,   469,   388,  2006,  4823,   262,    25,
    2010,  2011,  3107,   150,   372,    31,   433,   178,   533,  2044,
     292,   464,  1352,  1519,  3357,  3358,   977,   193,   368,   204,
      99,   120,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   310,  3090,   401,   469,   531,   449,  5925,   451,   535,
     119,   324,   455,   436,  5673,   115,  5675,   152,  1554,   196,
    5679,  5680,   350,  1559,   201,   469,  1562,   983,   984,   533,
    2590,   448,   490,   124,   186,   534,   311,   366,   537,  1575,
    1576,   180,   354,   114,   467,   309,   383,   156,  1584,  5083,
     120,  1587,   267,   366,   324,  4623,  1047,   272,  4827,  6118,
    1430,   120,   324,  4832,     6,   271,  4835,   404,   274,   492,
     262,   262,   401,   288,   240,   252,   493,   201,  1614,   122,
    1616,  6104,  6105,  1619,   140,   220,  1622,  1623,   401,  2592,
    1626,    27,  4579,   193,   388,   120,   366,   322,  1054,  5835,
    1636,  5474,  1628,  1639,   366,  3126,  1642,  1633,   323,   523,
     533,   179,   217,  1069,    50,  1682,  5367,   531,   143,   533,
     534,   535,   288,   537,   149,   135,  1496,   328,  1664,   322,
     180,   401,   223,   310,   312,   206,   288,    92,   163,   401,
     113,   122,   436,   537,  1100,  1101,  1682,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   371,   188,  1694,  1695,
    1696,  1697,  1698,   292,  6422,   120,   170,   125,   297,   394,
    1126,   271,  6231,   467,   274,   433,  1712,  6095,  6436,   314,
     395,  1707,   140,   226,   401,  1711,   392,  1723,  1724,  1725,
     324,  2755,   370,   371,  5462,  3122,   388,   388,   492,  3126,
     323,   416,    58,   332,  5854,   533,   407,  4586,   433,  4580,
    1166,  1167,   521,   522,   523,   524,   525,   526,   527,   528,
     529,  1950,   240,   401,   189,   309,   490,   297,  4394,   406,
     182,  4504,   366,   292,   401,    39,  4509,  3463,   404,   533,
    3466,  4542,   366,   382,   436,   436,   370,   193,   171,   292,
     389,   309,   477,   362,  1949,  1950,  4422,   396,   533,   312,
     183,   135,   358,   137,  1928,   490,     3,   401,   324,   533,
     288,   324,   297,   129,  6297,   467,   467,   401,   201,   347,
      25,   217,   292,  1481,   477,   394,  1822,   266,  3514,   514,
     342,   443,   392,  6352,  6212,   434,  3522,  1833,   348,   323,
     492,   492,   508,   469,   256,  1841,  1842,  5966,   533,   112,
     366,   354,  1939,   366,   266,   288,   297,   388,   457,   534,
     537,  1857,   353,   288,   433,   271,   130,   533,   463,   388,
     120,   385,   382,  4820,   338,   512,   354,   292,   368,  1875,
    1876,   533,   533,   120,   168,   401,   396,   524,   525,   526,
     527,   528,   529,   384,    91,  1891,  1892,  1893,  1894,   324,
     431,  2727,   433,   471,  1900,  5738,   490,   410,   477,   159,
     537,  1907,   323,  6291,  1910,  3463,  2707,   401,  3466,  2665,
     205,   490,   340,  2078,   434,   324,   404,   483,  6038,  1925,
     514,   385,  1928,   123,   171,   140,   448,   451,   323,   533,
    2755,   366,  1938,  1939,   194,   514,   490,   123,   508,   146,
    1401,  4925,   533,  1949,  1950,  1406,  1407,  1953,   292,  4933,
    1956,  2927,   168,  5720,   533,   533,  3514,   366,   453,   482,
      10,   342,   490,    13,  3522,  1971,  1972,    17,    18,    19,
     465,   493,  1978,  1434,  1980,  4611,   392,    94,  5364,   383,
     401,   469,  1443,   376,  1445,    35,  2023,   451,  1449,   283,
     490,  1997,   401,   288,   267,  1456,   448,   197,  2004,   272,
    2006,   208,  1981,  2009,  2010,  2011,   401,  2013,  2014,  5747,
    2016,   197,   388,   417,   514,  2062,   438,  2023,   440,  2037,
     137,  6227,  5408,   471,  2030,   122,  5501,  2033,  2034,   245,
    3151,  2037,   292,  1620,  2040,  2041,  5188,   537,  2028,  2045,
     475,  2047,   418,   487,   490,   467,  2052,  2053,   112,  2028,
    1637,  5290,  4023,  2059,  2060,  2061,  2062,  2063,  2064,  2065,
    2066,  2067,  2068,  2069,  2070,  2071,   431,   448,   314,  2075,
    4041,  2077,  2078,  2079,  2080,  2081,  2082,  2083,  2084,  2028,
    2827,  2087,   122,  2089,  2090,   533,  1547,  2093,  2028,  2028,
     394,   537,  2977,   537,  2755,  5938,  1557,   165,   242,  3011,
    3012,  3013,  2108,  2109,  2110,   470,  2931,  5956,   172,  2865,
    4078,  2028,   493,   210,  2939,  4083,   324,  2942,    25,    72,
    2126,  4057,   490,   533,   331,  5085,   156,  2040,  3619,   433,
     383,   171,   385,   324,   532,  2891,  1562,  3534,  3743,   537,
    1601,  1602,  6348,  5104,   208,   391,  2907,  3544,  3344,  4093,
     324,  1983,  5109,  1985,  2980,  1987,   165,  1989,   366,  1991,
    2166,  1587,   171,  1995,  5124,  5495,  5318,   120,  5320,   537,
     210,  3143,    38,   477,   224,   366,  4082,   490,   266,   265,
    2927,  4087,  4088,  1644,    91,   253,  1647,  1648,  2905,   179,
    2907,   288,   366,   401,    60,   292,     5,  5701,   451,  5937,
    3999,   514,    11,   267,   292,  2045,   292,  2047,   272,  3094,
    3095,  3096,  3097,  2053,  3099,     0,    38,  2825,  2965,  2059,
    2060,  3825,  3619,   213,   537,   358,   133,  3831,   181,   533,
    3716,  2071,  5073,   140,  5075,  2991,   304,   144,  1664,  3124,
     446,  2081,  5752,  2955,   253,  2957,   112,  2087,   288,  2961,
     324,  1628,   292,  3000,   182,   462,  1633,  6100,    25,    81,
     310,   536,   395,   470,    31,   490,   473,  2273,  1694,  1695,
    1696,  1697,  4115,  4116,  4117,  4118,   537,  1879,  4121,  4122,
    4123,  4124,  4125,  4126,  4127,  4128,  4129,  4130,    38,    35,
       3,    29,   366,  3767,   177,   304,  4218,  1899,   156,  5774,
     433,  3057,   490,   143,  5047,   371,  5049,  5050,  5051,   149,
      60,  5726,   537,    26,   345,   181,    10,   523,   201,    13,
    4226,  2327,   366,    17,    18,    19,   514,   401,   256,   535,
    1707,   165,  3528,   324,  1711,   401,   171,   171,   204,   292,
    3814,   451,  4185,  4186,   297,    83,    48,   324,    86,   324,
     483,    45,  5682,  5310,  6373,    93,  6375,   401,    52,    27,
     195,   533,   112,   535,   394,   778,   779,   780,   490,    71,
     783,   784,   785,   140,  6217,   366,  3201,  2383,    91,  1840,
     793,   171,    50,   121,    78,  5342,   301,   362,  3939,   366,
     343,   366,   514,   370,   483,   152,     5,  2065,  2066,   171,
    3117,   267,    11,   433,   282,   195,   272,   360,   165,   533,
     401,   533,  2080,   490,   171,  1841,  1842,   324,  6437,   253,
    3076,  2089,   288,   195,   401,   391,   401,  6433,   306,  1005,
     358,  1857,    72,   146,   514,   515,   532,   514,    78,    15,
      16,   537,  6035,   181,  6450,   514,   515,   477,  1024,   243,
      80,  1027,    92,   533,   204,   362,   194,   323,  3214,   366,
     490,  6228,    92,   220,   533,  1891,  1892,  1893,  1894,   207,
     304,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     120,   523,   122,     5,   514,   528,  3198,   270,   201,    11,
     533,   451,   535,   535,   401,   208,   253,    19,    69,    70,
       5,   408,   196,   533,  5834,   371,    11,   201,  3420,   526,
     438,   464,   440,   533,   531,    37,   533,   267,   535,  3280,
      22,   438,   272,   440,    33,    34,    28,  5484,   526,   395,
    6040,  6041,   531,   531,   533,   533,   394,   535,   288,   467,
     308,   181,    33,    34,  4240,   313,  1972,   304,  4244,   531,
     416,   533,  1978,   535,  5638,   483,     3,   314,   252,  5643,
    5644,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
     210,  2577,   531,   323,   391,   433,   535,   100,   308,  3335,
     152,  2587,  2588,   313,  2590,  3341,   533,  1001,   535,  2788,
      99,  2597,  1006,   165,  2055,  2056,   152,   528,   368,   171,
     534,  3426,   533,   537,   535,  3324,  5563,  3326,  3327,   165,
     119,  2072,  2073,  6380,   534,   171,   310,   537,   331,   477,
    2626,   371,  2628,  2788,   534,  2631,  2632,   537,   266,  2635,
    2627,  2637,   490,   534,  2640,   490,   537,   492,  2644,   266,
    3445,  3446,  2103,   534,    91,   395,   537,   156,   220,   206,
    2784,  6399,   292,  4349,  6402,   178,   514,   297,    96,  3772,
    3605,  2667,   383,   384,   220,   378,   416,  2673,  2674,  3423,
    5413,   534,   451,  6183,   537,   533,  2091,   270,  2684,  2094,
     418,   253,  4240,   421,   383,   384,  4244,  2693,  2694,   212,
    2787,  4534,  2789,  2790,   195,  3640,  3535,   253,   145,  4670,
      87,  2707,  2824,   343,   227,   534,   463,   534,   537,  2715,
     537,  2717,   406,   514,   515,  4686,  5754,   430,  3479,   483,
     360,   284,   285,   286,   287,    59,   534,   250,  3380,   537,
     534,  5367,   304,   537,   534,  3545,  3928,   537,   391,  2757,
    2166,  2759,   314,  5349,  5350,  2667,  3719,  4715,   304,   462,
     490,  2757,   492,  2759,  4722,  4723,   279,   470,   314,  2796,
     473,  4366,   438,   534,   440,  3426,   537,  2773,   534,   534,
     533,   537,   537,  6283,  5801,  5802,   534,  5618,  2784,   537,
     243,  2787,  2788,  2789,  2790,  5626,  5627,  2793,   152,  4588,
    2796,  4349,   481,  1206,  2916,  2712,  1209,   438,  1211,   440,
    1213,   165,  1215,   388,  2644,   534,  1219,   171,   537,   383,
     384,  2817,   259,  4364,   534,  4366,   534,   537,   512,   537,
    5999,  6000,   534,  2829,   464,   537,    11,   521,   522,   523,
     524,   525,   526,   527,   528,   529,  2842,  2843,   178,   490,
    6170,   492,  4351,  2849,    10,   383,   384,    13,   293,   294,
    3562,  5487,  2858,   362,   377,   534,   220,  4331,   537,  3606,
     534,   431,   534,   537,  2901,   537,   308,   534,  4040,   135,
     537,   137,   212,   534,  2880,  2997,   537,   324,  5835,    45,
    6032,   533,  4578,  4579,  3909,   394,    52,   227,   537,   253,
     534,   463,   490,   537,   492,  2901,    59,   534,   152,  3871,
     537,   534,   534,  4300,   537,   537,   534,   463,  2914,   537,
     250,   165,    78,   534,   533,   362,   537,   171,   534,   366,
      48,   537,  3583,   370,   433,   226,   534,   534,  4402,   537,
     537,  2937,   534,   534,  2940,   537,   537,   483,  3583,   534,
     304,   135,   537,   137,  3691,   534,    54,    55,   537,   394,
     314,  3559,  3560,   535,   401,   534,    92,   510,   537,   531,
    2966,  2967,  5595,   535,   311,   135,   220,   137,   477,   163,
     534,   308,   481,   537,   171,  2981,   534,  2983,  2984,   537,
    3865,   490,  2954,   534,   150,  5942,   537,    10,   433,   436,
      13,    54,   439,   163,    17,    18,    19,  3714,   534,   253,
     534,   537,  3719,   537,   308,   514,   490,   322,   492,  3015,
    3016,  3017,    35,   510,   534,  3021,  2684,   537,   311,  6349,
    4578,  4579,    45,  3029,   533,  4209,    48,  4211,   534,    52,
     196,   537,   477,   510,   228,   201,  3042,   377,   101,  2658,
    2659,  2660,  3048,   490,  3050,   490,   182,   226,   534,  4600,
     304,   537,   534,   534,   536,    78,   537,  3063,   228,   526,
     314,   534,  3068,   126,   537,   534,   176,   536,  3074,   514,
     206,  3077,   534,   534,   534,   537,   537,   537,  4809,   394,
    4811,  4595,   145,  3089,  3090,   537,   252,   150,   533,  4285,
     284,   285,   286,   287,  3100,  6425,   533,   291,   292,   463,
    3708,   480,   534,   297,  3110,   537,  3112,   534,  3242,   172,
     537,  3867,   533,   176,   284,   285,   286,   287,   433,   339,
     256,   291,  3730,   534,  4820,  4616,   537,   297,   191,   534,
     534,  4827,   537,   537,  6094,   534,  4832,   534,   537,  4835,
     537,   533,    37,   534,   310,  3151,   537,  3153,  3245,  3155,
    3247,  3248,   534,   534,  6111,   537,   537,  4245,  4350,  4247,
    4352,   534,   477,  4355,   537,   534,   534,   531,  3090,   537,
     534,   535,  1491,   196,  1493,   490,   534,   313,   201,   537,
    3897,   534,  3188,   534,   537,  4158,   537,  5831,   534,   534,
     534,   537,  3109,   537,  2655,  2656,  5271,   533,  5273,   514,
    2661,   224,   225,  3915,   534,  2631,    59,   537,   177,   463,
     534,   294,  3873,   537,  3875,  3380,   222,   534,   533,  4616,
     537,   534,   534,  4048,   537,   537,   222,   533,  3873,   252,
    3875,   533,  2693,  2694,   297,   535,  3242,  3243,  4027,  3245,
     406,  3247,  3248,   534,  3250,   534,   537,  4212,   537,   494,
     533,  3257,  5220,  5221,   534,   534,  3262,   537,   537,   453,
     534,   533,  4820,   537,  6221,   534,  3313,   366,   537,  4827,
    6227,   465,   295,   534,  4832,   534,   537,  4835,   537,   201,
    3888,   534,  3890,   453,   537,  4258,   534,   310,   351,   537,
     313,   157,   533,   535,  2755,   465,  3957,   157,   534,   308,
    4012,   537,   438,   201,   440,  3311,  3312,  3313,   366,   308,
    3316,   394,  3957,   534,  3361,   451,   537,   157,  3324,  3325,
    3326,  3327,  4295,  3488,   534,   157,   534,   537,   464,   537,
     534,   467,   201,   537,  3340,  4940,   157,  3343,   534,  3345,
      10,   537,  6113,    13,   308,   171,   512,    17,    18,    19,
     433,  3357,  3358,   534,   534,  3361,   537,   537,   524,   525,
     526,   527,   528,   529,   366,    35,   534,  2793,   157,   537,
     100,   251,   122,   471,  3380,    45,  3382,   308,  3384,   533,
    3386,  2842,    52,   406,  5227,   534,   534,   534,   537,   537,
     537,  6348,   301,  4365,   477,  4151,   171,  4906,    72,  3405,
     534,   534,  3408,   537,   537,   534,  3412,   490,    78,   292,
      38,   292,   494,  5109,   533,   308,   292,    48,    48,  3466,
     292,  3413,  3414,  3415,   456,   292,    91,  3433,   324,   483,
     483,   514,    87,   451,   171,  4043,   346,   157,   157,   533,
     157,   394,   157,   494,   157,   157,   537,  4639,   178,   157,
     533,   534,   157,   536,   157,   157,   157,  3463,   157,   157,
    3466,  3467,   171,   157,   157,  3471,  3472,  3473,  3474,   157,
    2931,  3518,   157,  3313,  3480,   308,   433,   533,  2939,  3485,
     433,  2942,   212,    38,  4323,  3325,   251,  4297,    38,   512,
     171,   171,   308,  2954,  3500,   533,     6,   227,   521,   522,
     523,   524,   525,   526,   527,   528,   529,     6,  3514,   532,
      60,  2937,  3518,   533,  2940,  3521,  3522,   533,  3524,   171,
     250,  3361,    10,   533,   477,    13,   196,     6,   533,   533,
     533,   201,   533,   533,     6,   533,    86,   490,   533,  5510,
    4512,  3463,   533,   533,  3466,  4490,   533,   533,   533,   279,
     533,  5109,   533,   533,   224,   225,   533,    45,   533,  3565,
     533,   514,   112,   113,    52,  3405,   533,   533,   533,    62,
     120,   533,   533,     6,   533,  6346,     6,   533,   308,   533,
     533,   533,   252,  3589,  3590,   299,   533,   533,  4500,   533,
      78,   533,  3514,   533,  5290,   533,   533,  4422,   533,   491,
    3522,   166,   320,  3029,   222,    98,    38,   537,   537,   159,
     251,   103,    38,   533,  5310,    37,  3042,   444,   531,  3625,
     444,   446,   533,   531,  3050,   295,   446,   446,   446,   177,
     537,   181,   171,   304,   171,   302,   446,  4393,   401,  4395,
     310,    68,   446,  3311,  3312,   388,  5342,   377,  3316,   446,
     446,   482,   388,   535,   204,   446,   446,   388,   253,   446,
      79,   446,   150,  3089,   523,  4421,   446,    92,   161,   308,
     157,   393,   388,   248,   446,   446,  3682,   297,   128,   446,
     436,   329,   470,   308,  3110,   302,   383,   533,   446,  3357,
    3358,   446,  5535,   194,   533,    92,   537,   128,   324,   201,
    3706,   157,   471,  3868,   446,   198,   446,   471,   196,   114,
    3716,   446,   128,   201,   446,   128,    59,   267,   446,   446,
     446,   446,   272,  5566,    59,   446,   312,  3153,   350,  3155,
     276,   350,  5290,   329,   350,   446,   406,   329,   288,   446,
    3201,    47,   292,   537,   224,    10,   446,   224,    13,   436,
     446,   446,  5310,   534,   446,   248,   446,   446,  5155,   538,
     446,   308,   446,   446,   252,   224,   224,   446,   308,   224,
     224,   224,   224,   323,   446,   224,   224,    38,   456,   533,
      45,   157,   308,   157,  5342,   292,   120,    52,  5484,   471,
     157,   157,   157,   308,   259,   292,   292,   292,    38,   292,
     171,    38,   243,   390,   533,   482,   157,   157,   471,   533,
     533,   157,   471,    78,   446,   157,   301,  3243,   296,  3825,
     177,   371,   310,   533,  3250,  3831,   486,    13,   534,   276,
     276,   446,   325,   537,   186,   319,  3842,   448,   194,  4664,
     194,   392,   512,   487,   510,   395,   537,   220,   404,   510,
     274,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     533,   537,   240,   471,   533,   533,   416,  5563,   418,   309,
     534,   421,   534,  3879,  3880,  3881,   534,   370,   531,   372,
     534,   537,   375,   534,   534,   150,  4859,    38,   471,   317,
    3896,   384,    59,   482,   534,   533,   297,   388,   297,   297,
     393,   446,  5094,   446,  3910,   446,   533,   171,   401,  3946,
     297,    48,   308,   308,   240,   292,  4672,   240,   406,   533,
     410,   414,  3928,  3929,  3930,   270,  5484,   251,  3934,   251,
     423,   196,   251,   308,   446,   428,   201,   128,  4774,   383,
    3946,   201,   436,   537,   308,   308,  4658,  4659,  4660,  4661,
    4662,   366,  4560,  4561,  5468,   537,   401,   490,   534,   308,
     195,   398,   354,  3424,   446,  3426,  4842,   314,    38,   224,
     446,   471,   243,   471,   523,   157,   171,   349,   483,    38,
     173,  3442,   302,   533,   398,   157,   157,   252,   350,   533,
    4027,   434,   485,   157,   302,   533,  4002,   471,   292,    38,
     292,   490,    27,   308,   308,  5563,   302,   243,   192,   192,
    4016,  4017,   171,   243,    38,   172,   398,   171,   308,   292,
     201,  4027,   201,   201,   512,  3942,   201,   201,   537,   537,
    5726,  3492,  3493,   494,  4040,   446,   524,   525,   526,   527,
     528,   529,    59,   177,   273,   310,   308,   301,   490,  4193,
     177,   537,   535,  4059,  4854,   314,   537,   374,   533,   476,
     511,  3978,  4068,   534,   537,   534,   534,   534,   320,   135,
     534,   537,   330,  5624,   537,   537,  4082,   534,   177,   291,
    4086,  4087,  4088,  5055,   177,   446,   266,  4093,   186,   510,
    4096,   514,   261,  4099,   308,   534,   534,   487,   534,  4105,
     534,  4107,   537,   513,  4110,  4930,    59,   477,   537,  4115,
    4116,  4117,  4118,   533,   532,  4121,  4122,  4123,  4124,  4125,
    4126,  4127,  4128,  4129,  4130,   534,   534,   534,  4134,  4135,
    4136,   534,   534,   533,   487,   308,   469,   157,  4144,  5835,
     533,   406,   533,  4149,  4191,   533,   532,  4153,   537,   534,
     533,   311,   533,   533,   523,  4161,   308,   446,  4164,   446,
    4166,   446,   214,  3589,  3590,   297,   160,   446,  5726,   292,
     157,   206,   421,   533,   533,   533,  4182,   401,   393,  4185,
    4186,   157,   157,   393,  4190,  4191,   393,   251,   206,  4195,
     160,  4197,  4198,  4845,   308,   523,   446,   471,   160,   388,
    4206,  4207,  4208,   487,   253,   331,   331,   446,   160,  4201,
    4202,  4203,  4204,   446,   418,   468,   263,   263,   446,   446,
    4226,  4227,  4228,  4229,  4230,   263,  4232,  4233,  4218,  4394,
    4236,   128,    10,   446,  4240,    13,   292,   446,  4244,  4218,
     388,   446,   388,   446,  4250,   446,  5942,   512,   388,   446,
     388,   401,   446,   157,   446,    47,   446,  4422,    47,   524,
     525,   526,   527,   528,   529,   534,   534,    45,   534,  4218,
    4110,  4277,   189,   224,    52,   532,   446,  5835,  4218,  4218,
     224,   312,     3,   534,   171,    48,  4292,   534,  4294,   537,
     456,   113,   534,   537,  4902,   171,   534,    38,   157,   533,
      78,  4218,  5014,  5015,  4144,  5017,   157,   446,     6,   171,
     302,   189,   523,  6156,  6157,   533,   471,  6160,  4240,   157,
     388,   388,  4244,   388,   471,   388,   388,   398,   155,   537,
     155,   224,   224,   224,   224,   224,   224,   147,   224,   224,
     224,   308,   464,  4349,  4350,  4351,  4352,   228,   464,  4355,
     308,  4357,    59,   308,  5266,  4195,    13,  5074,  5755,   308,
     537,   320,   482,   531,   177,   291,   227,   532,   318,  4375,
     227,   534,   150,   534,   435,    10,   534,   533,    13,   315,
      59,   534,   190,   443,  5942,   534,   374,   476,  5300,   534,
     534,    90,   534,   534,   537,   171,    38,  5005,   534,   456,
     533,   243,   533,   533,   446,   214,    59,  3868,   436,   157,
      45,    86,   418,   471,   181,  6111,  3842,    52,   196,   456,
     471,   471,   393,   201,  4430,  4093,   160,  4349,   388,   534,
    3891,   446,   446,   446,   446,   446,   366,   534,   534,   533,
     388,   533,   490,    78,    59,   436,  4611,  4115,  4116,  4117,
    4118,   477,   171,  4121,  4122,  4123,  4124,  4125,  4126,  4127,
    4128,  4129,  4130,   308,  4436,    78,   157,   113,   224,   224,
     456,  6076,   224,   224,   252,  4447,   240,   209,   533,  4485,
     534,  4149,   446,    38,   494,   308,   329,   305,   533,   533,
       3,   534,   308,   456,  5102,    44,   537,   537,   398,   197,
     533,   537,   534,   446,   533,   183,   113,   184,   206,   177,
     224,   534,  4518,   145,   241,   150,   214,  4185,  4186,   217,
     297,   241,   297,   297,   297,  6221,  4532,   534,  4534,   534,
     534,  6227,   310,   177,   534,  4541,    59,   534,  5659,   537,
    5661,  4547,   488,   488,   534,   329,   227,   489,   320,   534,
     533,    10,  4558,  6111,    13,   537,   533,   302,   523,   533,
     443,   196,   456,   177,  4232,   208,   201,  4573,   490,   446,
      78,  5283,  4578,  4579,   195,   195,  4002,    38,    59,   297,
    4586,   297,  5294,   523,   436,    72,    45,  4048,   446,  4595,
     537,   446,   446,    52,   157,   160,   537,   446,   224,  4605,
     534,   533,   127,   179,   120,    38,   201,   302,   533,    38,
     398,  4617,  4618,   173,  5806,   471,   292,   252,     0,    78,
     302,   490,  4628,    59,    84,   436,   490,   398,   406,    38,
     177,   533,   171,  4639,  4640,   308,  5670,   361,   537,   211,
     311,   222,   177,   476,  5445,   415,    59,   391,    38,    81,
      92,  4657,  6348,   136,   534,   534,  4578,  4579,   533,  5851,
     534,   534,  5418,  6221,   534,   533,   533,   308,   534,  6227,
     202,   360,    38,   157,   171,   310,    38,   446,   157,   297,
    4845,   446,   264,   533,   471,   533,   533,  4604,   534,   533,
     398,  5343,  4698,   533,   533,   157,   533,   533,   533,   113,
      38,   312,   534,   177,   413,  5897,  5898,   456,  4714,   413,
     534,   537,    38,   171,   308,   534,   205,    99,   112,   534,
     537,   533,    38,   537,    35,   436,  4732,  5379,   533,   533,
     476,   533,   533,   471,   512,   436,   171,   196,   194,   533,
     288,   206,   201,   534,   308,     6,   524,   525,   526,   527,
     528,   529,   164,   533,  4760,   494,   384,  4763,    72,   384,
    5368,   311,    72,   136,   490,  4771,  4772,   490,   536,   141,
     152,   406,  4778,  4779,   486,   475,   534,  4783,   149,   308,
     476,   534,  4788,   165,   168,  4791,  4792,   168,   330,   171,
    6348,   533,  4798,   252,   537,   177,  4802,  4803,  4804,  4805,
     533,   183,    10,   401,   186,    13,   442,   177,   190,    17,
      18,    19,   265,   442,  4820,   297,   357,  4823,   308,   436,
     208,  4827,   308,   533,   436,   398,  4832,    35,    38,  4835,
    4836,    38,  4838,    10,  4840,   311,    13,  4843,   220,  4845,
      17,    18,    19,   311,   202,  5670,   533,   179,  4854,   179,
     533,   310,  4858,   156,   494,  5889,  4862,   494,  4864,   352,
     352,  4879,  5574,   383,   153,    59,  4534,    59,    81,     0,
     315,   253,    38,  4879,    59,   534,  6068,   512,    59,   367,
     446,   125,   422,   469,   534,     6,   398,   141,   533,   524,
     525,   526,   527,   528,   529,   494,   534,   494,  4820,    35,
    4906,  4907,   308,   308,   297,  4827,   533,   293,   293,   533,
    4832,   533,    43,  4835,    24,  4921,   401,   383,   537,   308,
    4760,   537,   304,   387,   387,   316,   308,    81,   383,   533,
     177,  5907,   314,  4394,   477,   446,   537,   533,   149,  4856,
    4857,   156,   476,   413,   424,     6,   424,   406,   120,   477,
     315,  5663,  4924,   490,   490,   534,  6148,  6149,   332,   413,
     179,  4422,   179,  4935,   471,   533,   476,   534,    99,    81,
    5494,    10,   533,   929,    13,  4436,   533,  1710,    17,    18,
      19,  4987,  1016,  3640,  3426,   969,  4447,  2965,  4994,  2874,
    4368,  4393,   374,  1015,  6059,  5656,  2992,  3046,  3859,  5421,
    5886,  1407,  6197,  4558,  5468,  4366,    45,  4366,  5064,  5670,
    5016,  5444,  3628,    52,  3566,  3188,   224,  6039,  5342,  6186,
    5917,   152,   720,  5916,  5780,  5031,  6080,  6221,  5109,  4579,
    3633,   729,  4605,  4590,   165,  5859,  4548,  3060,   736,    78,
     171,   739,  3060,  4388,  3665,  3907,   177,   224,  5103,  5451,
    1011,   433,   183,   512,  4574,   186,  5062,  3951,  4641,   190,
    5816,  5767,  4523,  4524,  6306,   524,   525,   526,   527,   528,
     529,  6439,  5078,  6414,  5435,  3867,  6092,  4613,  5381,  5085,
    5641,   463,  5869,  5384,  1870,    18,   664,    28,  5094,   220,
    4016,   222,  4518,  4669,  5609,  4763,  6302,  4672,  1233,  1914,
    3076,  2732,   310,  5109,  3544,   487,  4532,   489,   490,  4616,
    1911,  1925,  5494,  3962,  5755,  1949,  5122,  3799,  5124,   749,
    2991,  4421,   253,   716,  3716,  6118,  6352,   858,  4645,   511,
    5886,  4647,  1526,   310,  3022,  2674,  6279,  4858,  4292,  5856,
    5607,  5604,  1423,  1384,  5150,    40,    40,  3485,  1823,   531,
    4611,  1483,   534,   535,   536,  5161,  4714,   196,  3500,  1484,
    2684,  6018,   201,  6197,  5828,  1486,  3466,  4228,  4246,  5563,
    5291,  3463,  5562,   304,  4293,  3463,  6330,   308,  5343,  6012,
    5379,  6161,  5815,   314,  3463,   224,   225,  5109,  6368,  5539,
    4153,  5829,  2582,  3403,  1440,  5830,  2082,  2583,  3385,  3258,
    3021,  5853,  5367,  4664,  5121,  3383,  5779,  6370,  5214,  3373,
    3294,   917,  4085,   252,  5379,  2672,  2588,    -1,  5224,    -1,
      -1,  5227,    -1,    -1,  5230,  5231,  5232,    -1,  5889,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,   374,     6,    -1,    17,    18,    19,  5255,
    5256,    -1,    10,  5259,    -1,    13,   295,    -1,    -1,    17,
      18,    19,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,
    5276,   310,    -1,    -1,  5280,    -1,    -1,    35,    -1,    -1,
    5286,  5378,    -1,    -1,  5290,    -1,    -1,    -1,  5294,    51,
      -1,  5297,    -1,  5299,    -1,    -1,    -1,    -1,   429,    -1,
      -1,    -1,    -1,    -1,  5310,    -1,    -1,  5313,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,    -1,  5423,    -1,    -1,    -1,
      -1,    -1,   463,    -1,    -1,    -1,  5342,  5343,  5344,    -1,
    5346,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,  1052,    -1,   487,    -1,   489,   490,
    1058,    -1,    10,  6393,  1062,    13,  1064,   406,  5290,    17,
      18,    19,  5378,  5379,    -1,    -1,    -1,   207,    -1,    -1,
     511,    -1,    -1,    -1,    -1,    -1,   216,    -1,  5310,    -1,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6059,    -1,
     230,    -1,    -1,   534,    -1,   536,   537,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,  5423,    -1,    13,
    5342,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,  5435,
    1128,    -1,  1130,  1131,  5440,   197,    -1,    -1,    -1,  5445,
      -1,    -1,    -1,    -1,   206,   207,  5483,    -1,  5454,    -1,
      -1,    -1,   214,   224,   216,   217,    -1,    -1,  5464,    -1,
      -1,    -1,  5468,  4924,    -1,  5471,   224,    -1,   230,  4930,
      -1,  5303,    -1,   512,  4935,    -1,  5482,  5483,  5484,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,    -1,    -1,  5494,  5494,  5494,  5494,
    5494,  4962,  4963,  6415,  5494,  5494,  4967,  4968,  5494,  5494,
    5494,    -1,  5518,    -1,  5494,  5494,  5494,    -1,    -1,  5494,
    5494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5535,
      -1,    -1,  5449,  5539,    -1,  5541,  6197,  5584,    -1,   310,
      -1,    -1,    -1,    -1,    -1,  5494,    -1,    -1,    -1,  5555,
      -1,    -1,   310,    -1,  5494,  5494,    -1,  5563,    -1,  5227,
    5566,    -1,  5484,  5480,  5570,    -1,    -1,    -1,    -1,    -1,
      -1,  5577,  6289,  6290,    -1,    -1,   224,  5494,  5584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5016,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,  6355,
      -1,    31,    -1,    -1,    -1,  5031,    -1,    -1,    -1,    -1,
      -1,    -1,  5280,    -1,    -1,    -1,    -1,    -1,    -1,  5625,
      -1,    -1,    -1,    -1,    -1,    -1,  5632,    -1,    -1,    -1,
     224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5563,  5648,    -1,    -1,    -1,    76,    -1,  5654,  5655,
      -1,    -1,    -1,  5659,  5660,  5661,  5662,    -1,  6414,    -1,
      -1,    -1,   310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6439,  5690,    -1,    -1,    -1,  5853,    -1,
      -1,    -1,  5698,    -1,    -1,    -1,  5122,    -1,    -1,    -1,
      -1,  5541,    -1,   133,    -1,    -1,    -1,    -1,    -1,    -1,
     140,    -1,    -1,    -1,   144,  5555,   310,  5723,    -1,    -1,
    5726,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5577,    -1,    -1,
      -1,    -1,   172,    -1,  5584,  5751,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,  5779,    -1,    -1,    -1,    -1,   208,    -1,
      -1,    -1,    -1,    -1,    -1,  5791,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5800,  5801,  5802,    -1,    -1,    -1,
    5806,    -1,    -1,    -1,  5726,    -1,  5812,    -1,    -1,  5815,
      -1,  5728,    -1,    -1,  5654,  5655,    -1,    -1,  5824,    -1,
    5826,    -1,  5828,  5829,    -1,    -1,    -1,    -1,    -1,  5835,
      -1,    -1,    -1,    -1,    -1,    -1,  5842,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5851,    -1,  5853,    -1,    -1,
      -1,   681,    -1,    -1,    -1,  5861,    -1,   687,   288,    -1,
      -1,    -1,   292,    -1,    -1,    -1,    -1,  5535,    -1,   699,
      -1,    -1,   302,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5897,  5898,    -1,   324,    -1,    -1,    -1,  5566,    -1,
     662,    -1,    -1,    -1,    -1,    -1,  5367,    -1,    -1,    -1,
      -1,    -1,    -1,  5835,    -1,  5832,    -1,    -1,  5344,   681,
    5346,    -1,  5928,    -1,    -1,   687,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,  5942,   699,    -1,   369,
     370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6046,
      -1,    -1,    -1,   715,    -1,    -1,    -1,    -1,   720,    -1,
      -1,    -1,    -1,   725,    -1,    -1,    -1,   729,   730,    -1,
      -1,   401,    -1,    -1,   736,    -1,   738,   739,    -1,    -1,
      -1,    -1,    -1,    -1,  5824,    -1,  5826,  5993,    -1,   751,
     752,    -1,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     762,    26,  6008,    -1,    -1,    -1,  6012,    -1,    -1,    -1,
      -1,    -1,  6018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5942,  6027,  6119,  6120,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    38,
    6046,    -1,    -1,    -1,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   815,    -1,  6061,  5482,    -1,    -1,    -1,
      -1,    -1,  6068,    62,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   837,   838,    -1,    -1,    -1,
      -1,   843,    -1,    -1,    -1,    -1,    -1,    -1,  6094,    -1,
      -1,    -1,    -1,    -1,    -1,  6101,    -1,    62,    -1,    98,
      -1,    -1,    -1,    -1,    -1,  6111,   868,    -1,   870,    -1,
      -1,    -1,    -1,  6119,  6120,  6121,    -1,    -1,    -1,  6125,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   894,    98,    -1,    -1,    -1,    -1,    -1,  6118,
      -1,    -1,  6148,  6149,  6150,    -1,    -1,  5815,    -1,    -1,
    6156,  6157,    -1,    -1,  6160,   917,    -1,  6163,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   930,  6118,
      -1,    -1,    -1,    -1,    -1,    -1,  6093,    -1,  6118,  6118,
      -1,    -1,    -1,    -1,  6231,  6191,    -1,    -1,    -1,  6111,
      -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,   198,
      -1,  6118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5670,
      -1,    -1,    -1,    -1,    -1,  6221,  6222,  6223,    -1,    -1,
      -1,  6227,    -1,    -1,    -1,    -1,    -1,  1925,    -1,    -1,
    1928,    -1,    -1,   198,  5660,    -1,  5662,    -1,    -1,  6245,
    1938,  1939,    -1,    -1,   243,    -1,  6252,    -1,    -1,   248,
      -1,    -1,  6231,    -1,  6260,  1953,    -1,    -1,  1956,    -1,
      -1,    -1,  6268,    -1,    -1,    -1,    -1,    -1,  6274,    -1,
      -1,    -1,    -1,  6279,    -1,    -1,  1038,  1039,  1040,    -1,
    6286,    -1,  6231,   248,    -1,  1047,    -1,    -1,    -1,    -1,
    1052,  6231,  6231,   292,    -1,  1057,  1058,    -1,    -1,  6221,
    1062,    -1,  1064,    -1,    -1,  6227,  1068,    -1,  2006,    -1,
      -1,    -1,  2010,  2011,  6231,    62,  6322,  6323,  6324,  6325,
      -1,    -1,  1084,   288,  6330,    -1,   325,   292,    -1,  6335,
    6427,  6428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6345,
    6008,    -1,  6348,    -1,    -1,    -1,   725,    -1,     0,    -1,
      -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,
     325,    -1,  6368,    -1,    -1,     0,  1128,    -1,  1130,  1131,
      -1,   370,   751,  6352,    -1,    -1,   375,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   384,    -1,  6393,  6394,    -1,
      -1,    -1,    -1,    -1,   393,    -1,    -1,    -1,    -1,    -1,
      -1,   366,   401,  6352,  6410,   370,    -1,    -1,    -1,  1171,
     375,    -1,  6352,  6352,   161,   414,    -1,  5878,    -1,   384,
      -1,  6427,  6428,    -1,   423,  6431,  6348,  6433,   393,   428,
      -1,    -1,    -1,    -1,    -1,  6352,   401,  1199,    -1,    -1,
      -1,    -1,    -1,    -1,  6450,    -1,  6286,    99,    -1,   414,
     449,   198,    -1,    -1,    -1,    -1,    -1,    -1,   423,    -1,
      -1,    -1,    -1,   428,    99,    -1,    -1,    -1,    -1,    10,
    1232,    -1,    13,    -1,    -1,    -1,    17,    18,    19,  1241,
      -1,  1243,    -1,    -1,    -1,    -1,   485,    -1,  6156,  6157,
     489,    -1,  6160,    -1,    35,  6335,    -1,    -1,  1260,    -1,
     152,   248,  5928,  1265,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,   165,    -1,  1277,    -1,   152,    -1,   171,
     485,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,    -1,
     165,   183,    -1,    -1,   186,    -1,   171,    78,   190,    -1,
      -1,   288,   177,    -1,    -1,   292,    -1,    -1,   183,    -1,
      -1,   186,    -1,    -1,    -1,   190,    -1,  1319,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,   325,    -1,
      -1,    -1,    -1,    -1,    -1,   220,  1348,  1349,  1350,    -1,
    1352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1373,    -1,    -1,    -1,    -1,    -1,    -1,   253,   366,
      -1,    -1,    -1,   370,    -1,    -1,    -1,    -1,   375,    -1,
      -1,    -1,    -1,    -1,    -1,  6061,  1398,   384,    -1,    -1,
     665,    -1,    -1,    -1,  1406,  1407,   393,    -1,    -1,    -1,
      -1,    -1,   304,    -1,   401,   196,   308,    -1,    -1,    -1,
     201,    -1,   314,    -1,    -1,    -1,    -1,   414,  1430,   304,
      -1,    -1,    -1,   308,    -1,    -1,   423,    -1,  1057,   314,
      -1,   428,    -1,   224,   225,    -1,    -1,    -1,    -1,  1068,
     715,   716,    -1,    -1,    -1,    -1,    -1,  1459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1084,    -1,    -1,    -1,    -1,
      -1,   252,    -1,    -1,  1476,    -1,    -1,    -1,  1480,  1481,
      -1,    -1,   374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1496,    -1,    -1,    -1,   485,   374,
    1502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,   295,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,  6191,    -1,     0,    -1,   310,
      -1,    -1,   313,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,   433,    -1,    -1,    -1,    -1,   811,    45,    21,    -1,
      -1,    -1,    -1,    -1,    52,    -1,  6222,  6223,   433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   831,  1569,    -1,    -1,
      -1,   463,    -1,    -1,   839,    -1,    -1,   842,   843,   844,
      78,    -1,    -1,    56,    -1,    -1,    -1,    -1,   463,    -1,
      -1,    -1,    -1,    -1,    -1,   487,    -1,   489,   490,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1610,    -1,
      -1,    -1,   487,    -1,   489,   490,    -1,    -1,    -1,   511,
      -1,    -1,  1241,    -1,    -1,   406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   511,    -1,  1708,   531,
      -1,  1643,   534,   535,   536,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6355,    -1,   531,    -1,    -1,   534,
     535,   536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6345,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,  1708,    -1,    -1,    -1,
      -1,    -1,    -1,  6414,    -1,    -1,    -1,    -1,   191,    -1,
      -1,  1723,  1724,  1725,    -1,    -1,   224,   225,    -1,  2667,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,  6439,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,    -1,    -1,    -1,   252,    25,    -1,   538,    -1,    -1,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    46,    -1,    -1,    -1,
      -1,    -1,  1047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,
      -1,  1881,   310,    -1,    -1,   313,    -1,    -1,    -1,  1889,
      -1,  1823,    -1,    -1,    -1,    -1,    -1,  1897,    -1,    -1,
      -1,    -1,    -1,  1835,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1846,    -1,  2784,    -1,    -1,  2787,
      -1,  2789,  2790,    -1,    -1,    -1,  1858,    -1,    -1,    -1,
    1862,   131,    -1,   133,    -1,    -1,    -1,    -1,    -1,    -1,
     140,    -1,  1942,    -1,   144,    -1,    -1,    -1,    -1,  1881,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1889,    -1,    -1,
      -1,    25,    -1,    -1,    -1,  1897,    -1,    31,    -1,  1969,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,   406,    -1,
      -1,    -1,    46,    -1,  1916,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1925,    -1,    -1,  1928,    -1,    -1,  1931,
      -1,    -1,  1934,  1935,    -1,    -1,  1938,  1939,   208,  1941,
    1942,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1953,    -1,  1955,  1956,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1965,  1966,    -1,  1968,  1969,    -1,    -1,
      -1,    -1,    -1,  1238,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,  1610,    -1,    -1,    -1,    -1,    -1,   131,    -1,   133,
    1265,    -1,    -1,    35,  2006,    -1,   140,    -1,  2010,  2011,
     144,    -1,    -1,    45,   512,    -1,    -1,    -1,   288,    -1,
      52,    -1,   292,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   302,    -1,    -1,    -1,   534,    -1,   172,   537,
      -1,    -1,   312,  2045,    -1,  2047,    78,    -1,    -1,    -1,
    2052,  2053,    -1,    -1,   324,    -1,    -1,  2059,  2060,  2061,
    2062,  2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,  2071,
      -1,    -1,    -1,  2075,   208,  2077,    -1,  2079,  2080,  2081,
    2082,  2083,  2084,    -1,    -1,  2087,    -1,  2089,  2090,  1354,
      -1,  2093,    -1,    -1,    -1,    -1,   366,    -1,  1363,   369,
     370,    -1,    -1,    -1,    -1,  2107,  2108,  2109,  2110,    -1,
      -1,    -1,    -1,    -1,  1379,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2126,    -1,  2128,    -1,    -1,    -1,
      -1,   401,    -1,  1398,    -1,    -1,  1401,  1402,    -1,    -1,
      -1,  1406,  1407,    -1,    -1,    -1,    23,    -1,    -1,    -1,
      -1,    28,  3090,    -1,   288,    -1,    -1,    -1,   292,    -1,
      -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,   302,   201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     324,    -1,   224,   225,    -1,   668,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1835,    -1,    -1,    96,
     252,    -1,    -1,    -1,    -1,    -1,    -1,  1846,    -1,    -1,
      -1,    -1,   366,    -1,    -1,   369,   370,   114,    -1,    -1,
      -1,    -1,    -1,  1862,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,   138,    -1,   295,    -1,    -1,    -1,   401,    -1,    -1,
      35,  2273,    -1,    -1,   151,    -1,    -1,    -1,   310,    -1,
      45,   313,    -1,   160,    -1,    -1,    -1,    52,   761,   762,
      -1,    -1,    10,    -1,    -1,    13,   173,  1916,    -1,    17,
      18,    19,   179,    -1,  3242,    -1,    -1,  3245,    -1,  3247,
    3248,    -1,  1931,    78,    -1,  1934,  1935,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2327,    -1,    45,    -1,   206,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
     474,    -1,    -1,    -1,    -1,    -1,  1965,  1966,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,
      -1,  2383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,    -1,    -1,  1661,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1669,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    46,    -1,
      -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   927,    -1,   929,    -1,    76,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,
     347,    -1,    -1,   350,    -1,    -1,    -1,    -1,   196,    -1,
     512,    -1,    -1,   201,    -1,    -1,    -1,   252,  2107,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,   378,    -1,    -1,   381,   537,   224,   225,    -1,    -1,
      -1,   388,    -1,    -1,    -1,   133,    -1,    -1,   395,    -1,
      -1,   398,   140,    -1,    -1,  3463,   144,    -1,  3466,    -1,
     295,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      -1,   418,    -1,    -1,    -1,   310,    -1,    -1,   313,   426,
      -1,    -1,    -1,    -1,   172,    -1,   433,    -1,    -1,   436,
      -1,    -1,    -1,    -1,   441,  2567,  2568,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,    -1,  2577,  3514,   295,    -1,   456,
      -1,    -1,    -1,    -1,  3522,    -1,  2588,    -1,  2590,    -1,
     208,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1884,
      -1,    -1,    -1,  1888,    -1,    -1,  2628,    -1,    -1,    -1,
    2632,    -1,    -1,  2635,    -1,  2637,    -1,    -1,  2640,    -1,
      -1,   406,  2644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2665,    -1,  2667,    -1,    -1,  2738,    -1,
     288,    -1,  2742,    -1,   292,    -1,  2746,    -1,    -1,    -1,
      -1,    -1,  2684,    -1,   302,    -1,    -1,    -1,   406,    -1,
      38,  2693,  2694,    -1,   312,    -1,    -1,    -1,    -1,    -1,
    2770,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    62,    -1,    -1,    -1,  2720,    -1,
      -1,    -1,    -1,    -1,    -1,  2727,    -1,    -1,    -1,  2731,
    2732,    -1,  1205,    -1,  2804,    -1,  2738,    -1,    -1,    -1,
    2742,    -1,    -1,    -1,  2746,    -1,    -1,   512,   366,    -1,
      98,   369,   370,  2755,  2824,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,    -1,  2770,    -1,
      -1,  2773,   537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2784,   401,  2786,  2787,    -1,  2789,  2790,    -1,
    2792,    -1,  2862,  2058,   512,    -1,    -1,    -1,    -1,    -1,
    1273,    -1,  2804,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,   161,    -1,    -1,   534,    -1,    -1,  2889,
    1293,    -1,  2824,  2825,    -1,  2895,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2839,    -1,  2909,
      -1,    -1,    -1,    -1,    -1,    -1,  2916,    -1,    -1,  2919,
     198,    -1,    -1,    -1,    -1,  2925,   474,    -1,    -1,  2861,
    2862,    -1,    -1,  2865,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2945,    -1,    -1,    -1,  1352,
      -1,  2951,    -1,    -1,    -1,    -1,    -1,  2889,  2958,  2891,
      -1,    -1,    -1,  2895,    -1,   243,    -1,    -1,    -1,    -1,
     248,    -1,  2972,    10,    -1,    -1,    13,  2909,    -1,    25,
      17,    18,    19,    -1,  2916,    31,  2986,  2919,    -1,    -1,
      -1,    -1,    -1,  2925,    25,    -1,    -1,  2997,    35,    -1,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    38,    45,    10,
      -1,    -1,    13,  2945,   292,    52,    17,    18,    19,  2951,
      -1,    -1,    -1,    -1,    -1,    -1,  2958,    -1,    -1,    60,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2972,    78,    -1,    -1,    45,    76,    -1,   325,    -1,    -1,
      -1,    52,    -1,    -1,  2986,    -1,    -1,    -1,    -1,  2991,
      -1,    -1,    -1,    -1,    -1,  2997,    -1,    -1,    -1,    -1,
      -1,  1474,  1475,    -1,  1477,    -1,    -1,    78,    -1,    -1,
      -1,   112,    -1,  3015,  3016,  3017,    -1,   133,    -1,  3021,
      -1,    -1,   370,    -1,   140,    -1,    -1,   375,   144,    -1,
      -1,    -1,   133,    -1,    -1,    -1,   384,    -1,    -1,   140,
      -1,    -1,    -1,   144,    -1,   393,  3048,  3049,    -1,    -1,
      -1,    -1,    -1,   401,    -1,  3057,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   423,    -1,    -1,    -1,    -1,
     428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3090,   196,
      -1,    -1,   208,    -1,   201,    -1,    -1,    -1,    -1,    -1,
      -1,   449,    -1,   204,    -1,    -1,    -1,   208,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,    -1,
    3122,    -1,    -1,    -1,  3126,   196,    -1,    -1,    -1,    -1,
     201,    -1,    -1,    -1,    -1,    -1,    -1,   485,    -1,    -1,
      -1,   489,  3212,    -1,    -1,   252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,
      -1,  3231,    -1,    -1,    -1,    -1,   267,  2786,  3238,    -1,
      -1,   272,   288,  2792,    -1,    -1,   292,    -1,    -1,    -1,
      -1,   252,    -1,    -1,    -1,    -1,   302,   288,   295,    -1,
      -1,   292,    -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,
      -1,   302,    -1,   310,    -1,    -1,   313,    -1,   324,    -1,
    3212,   312,  3214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2839,    -1,   323,   324,   295,    -1,    -1,  3229,    -1,  3231,
      -1,    -1,    -1,    -1,    -1,    -1,  3238,    -1,    -1,   310,
    3242,    -1,  3244,  3245,    -1,  3247,  3248,  3249,    -1,    -1,
     366,    -1,    25,   369,   370,  3257,    -1,    -1,    31,    -1,
    3262,    -1,    -1,    -1,    -1,   366,    -1,    -1,   369,   370,
     371,    -1,    -1,    -1,    -1,    -1,    -1,  3279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,    -1,   406,
     401,    -1,  4240,    76,    -1,    -1,  4244,    -1,    -1,  3311,
    3312,  3313,    -1,    -1,  3316,   416,    -1,    -1,    -1,    -1,
      -1,    -1,  3324,  3325,  3326,  3327,    -1,    -1,    25,    -1,
      -1,    -1,    -1,  3335,    31,   406,    -1,    -1,  3340,  3341,
      -1,  3343,  2607,  3345,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3357,  3358,    -1,   474,  3361,
     133,    -1,    -1,    -1,    -1,    -1,    -1,   140,    -1,    -1,
      -1,   144,    -1,   474,    -1,    -1,    -1,    -1,    -1,    76,
    3382,    -1,  3384,    -1,  3386,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,  3405,    -1,   512,    -1,    -1,    -1,    -1,
      -1,  4349,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,  3426,    -1,    -1,   534,    -1,    -1,
    3049,    -1,    -1,    -1,    -1,   208,   133,    -1,    -1,    -1,
      -1,   512,    -1,   140,    -1,    -1,    -1,   144,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,  3463,    -1,    -1,  3466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,  3480,    -1,
      -1,    -1,    -1,  3485,    -1,    -1,    -1,    -1,    10,    -1,
    2755,    13,    -1,    -1,    -1,    17,    18,    19,  3500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1981,    -1,
    3580,   208,  3514,    35,    -1,   288,    -1,    -1,    -1,   292,
    3522,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,   302,
      52,    -1,  3534,    -1,    -1,  3537,    -1,  3539,    -1,   312,
      -1,    -1,  3544,    -1,    -1,    -1,  2811,    -1,    -1,    -1,
      -1,   324,    -1,    -1,    -1,  2028,    78,  3559,  3560,    -1,
      -1,    -1,    -1,  3565,    -1,    -1,    -1,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,  3580,    -1,
      -1,  3583,    -1,    -1,  3586,    -1,    -1,    -1,    -1,  2062,
      -1,   288,  3594,   366,    -1,   292,   369,   370,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   302,    -1,    -1,    -1,    -1,
    3229,    -1,    -1,  2086,    -1,   312,    -1,  3619,    -1,  3689,
      76,    -1,    -1,  3625,    -1,  3244,    -1,   324,   401,    -1,
    3249,    -1,  2897,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4578,  4579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2921,    -1,    -1,    -1,
    3279,    -1,  3664,  3665,  3666,    -1,    -1,    -1,    -1,   366,
      -1,    -1,   369,   370,   196,    -1,    -1,   133,    -1,   201,
      -1,    -1,    -1,    -1,   140,    -1,    -1,  3689,   144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3698,    -1,  3700,    -1,
      -1,   474,   224,   225,   401,    -1,  3708,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
    2985,    -1,    -1,    -1,  2989,    -1,    -1,    -1,  3730,    -1,
     252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3820,    -1,   208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3026,    -1,  3028,    -1,  3030,  3031,    -1,    -1,    -1,
    3035,  3036,  3037,   295,  3039,  3040,  3041,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,   313,    -1,    -1,  3796,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2278,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3820,    -1,
      -1,    -1,    -1,  3825,    -1,    -1,    -1,    -1,  3093,  3831,
      -1,    -1,   288,    -1,    -1,    -1,   292,    -1,  3840,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   302,    -1,    -1,    -1,
      -1,    -1,    -1,  3118,    -1,    -1,   312,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3867,  3868,    -1,   324,    -1,
      -1,  3873,    -1,  3875,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4820,    -1,   406,    -1,  3888,    -1,  3890,  4827,
      -1,    -1,    -1,    -1,  4832,    -1,    51,  4835,  4836,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3910,    -1,
     366,    -1,    -1,   369,   370,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,  3999,
      -1,    -1,    -1,    -1,  3936,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,   401,    -1,    -1,  4018,    -1,
      45,    -1,  4022,    -1,    -1,  3957,  3958,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3586,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3594,    -1,    -1,  3980,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,  3999,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,   534,    -1,    -1,    -1,  4018,    -1,   474,    -1,
    4022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4059,    -1,    -1,
    4062,    -1,    -1,    -1,    -1,    -1,  4068,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3698,
    4082,  3700,    -1,    -1,  4086,  4087,  4088,    -1,    -1,    -1,
      -1,  4093,    -1,    -1,  4096,    -1,    -1,  4099,    -1,    -1,
      -1,   196,    -1,  4105,    -1,  4107,   201,    -1,  4110,    -1,
      -1,    -1,  4114,  4115,  4116,  4117,  4118,    -1,    -1,  4121,
    4122,  4123,  4124,  4125,  4126,  4127,  4128,  4129,  4130,   224,
     225,    23,  4134,  4135,  4136,    -1,    28,  4139,    -1,    -1,
    5078,    -1,  4144,    -1,    -1,    -1,    -1,  4149,    -1,  4151,
      -1,  4153,    -1,    -1,    -1,    -1,    -1,   252,    -1,  4161,
    2633,  3426,  4164,    -1,  4166,    -1,    -1,    -1,    -1,    -1,
      -1,  5109,    -1,    -1,    66,    -1,    -1,  3796,    -1,    -1,
    4182,    -1,    -1,  4185,  4186,    -1,    -1,    79,  4190,  4191,
      -1,    -1,    -1,  4195,  2667,  4197,    -1,    -1,    -1,    -1,
     295,    -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,   313,    -1,
      -1,  3840,   114,    -1,  4226,    -1,    -1,    -1,    -1,    -1,
    4232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4240,  2712,
      -1,    -1,  4244,    -1,    -1,    -1,   138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4326,    -1,    -1,   151,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,
      -1,    -1,    -1,    -1,    -1,  4277,    -1,    -1,    -1,    -1,
      -1,   173,    -1,    -1,    -1,    -1,    -1,   179,    25,    -1,
      -1,    -1,  4294,    -1,    31,    -1,  1153,    -1,  4300,    -1,
      -1,    -1,  1159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   406,  1169,    -1,   206,    -1,  1173,  3936,  3583,    -1,
    1177,    -1,  1179,    -1,  4326,    -1,    -1,    -1,  1185,    -1,
      -1,    -1,    -1,    -1,  1191,    -1,    -1,  1194,    -1,    76,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4349,    -1,    -1,
      -1,    -1,  5290,    -1,    -1,    -1,    -1,    -1,    51,    -1,
      -1,  3980,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,
      31,    -1,  5310,    -1,   266,    -1,    -1,    38,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4388,    -1,    -1,    -1,
      -1,  4393,  4394,  4395,    -1,    -1,   133,  4467,    -1,    60,
    4470,    -1,    -1,   140,  5342,  3670,    -1,   144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    76,    -1,   512,   310,  4421,
    4422,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   172,    -1,    -1,    -1,   534,
    5378,    -1,    -1,  4062,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,    -1,    -1,   346,   347,    -1,    -1,   350,    -1,
      -1,    -1,    -1,  3728,    -1,  4467,    -1,    -1,  4470,    -1,
      -1,   208,   133,    -1,    -1,    -1,    -1,    -1,    -1,   140,
      -1,    -1,    -1,   144,    -1,  5423,   378,    -1,    -1,   381,
      -1,    -1,    -1,    -1,    -1,  4114,   388,    -1,    -1,    -1,
      -1,  4571,    -1,   395,    -1,    -1,   398,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,  4588,    -1,
    4139,    -1,    -1,    -1,    -1,    -1,   418,    -1,    -1,    -1,
      -1,    -1,  4534,  3798,   426,    -1,    -1,    -1,    -1,    -1,
      -1,   433,    -1,   204,   436,    -1,  5484,   208,    -1,   441,
      -1,   288,    -1,    -1,    -1,   292,    -1,   449,  4560,  4561,
      -1,    -1,  4564,    -1,   456,   302,    -1,    -1,    -1,  4571,
     725,    -1,    -1,    -1,    -1,   312,  4578,  4579,    -1,    -1,
      -1,  3846,    -1,    -1,    -1,    -1,  4588,   324,    -1,    -1,
      -1,   483,    -1,  3858,  3859,    -1,   751,    -1,    -1,  4669,
      -1,    -1,    -1,  3868,    -1,    -1,   267,    -1,  3873,  4611,
    3875,   272,    -1,    -1,  4616,  4617,  4618,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5563,  4628,   288,    -1,   366,
      -1,   292,   369,   370,    -1,    -1,  3109,    -1,    -1,    -1,
      -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   312,    10,    -1,    -1,    13,  3921,    -1,    -1,    17,
      18,    19,   323,   324,   401,    -1,    -1,  4669,    -1,    -1,
    4672,    -1,    -1,    -1,    -1,    -1,    25,    35,    -1,    -1,
      -1,    -1,    31,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,  3956,  3957,    -1,    52,    -1,  4698,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,   369,   370,
     371,    -1,  4714,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,
    4732,    -1,    -1,    -1,   395,    -1,    -1,   474,    -1,   894,
     401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,    -1,    -1,  4760,    -1,
    5698,  4763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4771,
    4772,    -1,  4774,    -1,    -1,    62,  4778,  4779,    -1,    -1,
      -1,  4783,    -1,    -1,   133,    -1,  4788,    -1,  5726,  4791,
    4792,   140,    -1,    -1,    -1,   144,  4798,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    98,    -1,   474,    -1,    -1,    -1,    -1,  4820,    -1,
      -1,    -1,    -1,   172,    -1,  4827,    -1,    -1,    -1,    -1,
    4832,    -1,    -1,  4835,  4836,    -1,    -1,    -1,   196,    -1,
    3313,  4843,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4854,    -1,    -1,    -1,    -1,    -1,    -1,   208,
    4862,    -1,    -1,    -1,    -1,    -1,   224,   225,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1038,    -1,    -1,    -1,  4889,  3361,  4959,
      -1,    -1,    -1,    -1,   252,  4160,    -1,  5835,    -1,    -1,
    4902,  4971,  1057,    -1,    -1,  4907,    -1,    -1,    -1,    -1,
      -1,   198,  3385,  1068,    -1,    -1,    -1,    -1,    -1,    -1,
      25,    -1,    -1,    -1,     8,    -1,    31,    -1,  3401,  1084,
      14,    15,    -1,    -1,    -1,    -1,    20,   295,    22,   288,
    4942,    -1,    -1,   292,    28,  4564,    30,    -1,    -1,    -1,
      -1,    -1,   310,   302,    -1,   313,    -1,  4959,    -1,    -1,
      -1,   248,  4964,   312,    -1,    49,    50,    -1,    -1,  4971,
      -1,    76,    -1,    -1,    -1,   324,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4987,    -1,    -1,    -1,    -1,
    3463,    -1,  4994,  3466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,    -1,  5005,  5942,   292,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,
     369,   370,    -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,
      -1,    -1,   725,    -1,  5036,   140,    -1,   324,   325,   144,
      -1,  3514,    -1,    -1,    -1,  3518,    -1,    -1,   406,  3522,
      -1,    -1,   401,    -1,    -1,    -1,    -1,    -1,   751,    -1,
    5062,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5078,    -1,    -1,   366,
      -1,  5083,    -1,   370,    -1,    -1,  1241,  1944,   375,    -1,
      -1,    -1,    -1,    -1,    -1,  1952,    -1,   384,    -1,    -1,
    5102,    -1,    -1,   208,    -1,    -1,   393,  5109,  6046,    -1,
      -1,    -1,    -1,    -1,   401,    -1,   200,    -1,  5188,    -1,
     204,    -1,    -1,    -1,    -1,   474,    -1,   414,   212,  4394,
      -1,   215,    -1,    -1,   218,   219,   423,   221,    -1,   223,
      -1,   428,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5155,   512,  5157,    -1,  4422,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,  4437,  6111,    -1,  4440,   534,  4442,    -1,    -1,
      -1,  6119,  6120,   288,    -1,    -1,  5188,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,   485,    -1,
      -1,   894,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,
      -1,    -1,  5214,    -1,    -1,    -1,    -1,    -1,    -1,   324,
      -1,    -1,  5224,  4488,    -1,  5227,    -1,    -1,  5230,  5231,
    5232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4504,
      -1,    -1,    -1,    -1,  4509,    -1,    -1,    -1,  5318,    -1,
    5320,    -1,    -1,  5255,  5256,    -1,    -1,  5259,    -1,    -1,
      -1,   366,    -1,    -1,   369,   370,    -1,    -1,    -1,    -1,
    4889,    -1,    -1,    -1,  5276,    -1,    -1,    -1,  5280,    -1,
      -1,    -1,    -1,  6221,  5286,    -1,    -1,    -1,  5290,  6227,
      -1,    -1,    -1,    -1,  5296,  5297,   401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6245,  5310,    -1,
      -1,  5313,    -1,    -1,    -1,    -1,  5318,    -1,  5320,    -1,
      -1,    -1,    -1,  4942,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5342,    -1,    -1,  4608,    -1,  4964,  4611,  1502,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1057,  5367,  5368,    -1,    -1,   474,
      -1,    -1,    -1,    -1,    -1,  1068,  5378,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6324,    -1,    -1,    -1,
      -1,  1084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6348,    -1,    -1,    -1,  1569,    -1,  5418,  5036,    -1,    -1,
      -1,  5423,  4687,  4688,  4689,  4690,    -1,  4692,  4693,  4694,
    4695,  4696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1610,  6394,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3942,
      -1,    -1,  6410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5484,    -1,    -1,  5487,    -1,    -1,  1643,  6427,
    6428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3978,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5535,    -1,    -1,    -1,  5539,  5157,  5541,
      -1,    -1,    -1,    -1,    -1,  4810,    -1,  4812,  1241,    10,
      -1,    -1,    13,  5555,    -1,    -1,    17,    18,    19,    -1,
      -1,  5563,    -1,    -1,  5566,    -1,    -1,    -1,  1723,  1724,
    1725,    -1,    -1,    -1,    35,  5577,    -1,    51,    -1,   663,
      -1,    -1,  5584,    -1,    45,    -1,    -1,    -1,    -1,    -1,
     674,    52,    -1,    -1,   678,    -1,    -1,    -1,    -1,    -1,
      -1,   685,   686,    -1,    -1,   689,    -1,   691,   692,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,
      -1,    -1,   706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5632,    -1,    -1,    -1,    -1,    -1,  5638,    -1,    -1,    -1,
     724,  5643,  5644,    -1,    -1,    -1,  5648,    -1,    -1,    -1,
      -1,    -1,  5654,  5655,  5656,    -1,    -1,    -1,    -1,    -1,
      -1,   745,    -1,   747,    -1,    -1,    -1,    -1,  5670,    -1,
      51,    -1,    -1,   757,    -1,    -1,    -1,  5296,    -1,    -1,
    1835,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5690,    -1,
      -1,  1846,    -1,    -1,    10,    -1,  5698,    13,    -1,  5701,
      -1,    17,    18,    19,    -1,    -1,   790,  1862,  1401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4191,    35,
      -1,    -1,    -1,    -1,  5726,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,   196,    52,    -1,    -1,    -1,
     201,    -1,    -1,    -1,    -1,  4218,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5755,  5756,    -1,    -1,    -1,    -1,    -1,
      -1,  1916,    78,   224,   225,    -1,    -1,  4240,  2625,  5034,
    5035,  4244,    -1,    -1,    -1,    -1,  1931,  5779,  5780,  1934,
    1935,    -1,  5047,    -1,  5049,  5050,  5051,   871,    -1,  5791,
      -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,  5800,  5801,
    5802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1502,
    1965,  1966,    -1,  5815,  5816,    -1,    -1,  5819,    -1,    -1,
      -1,    -1,  5824,    -1,  5826,    -1,  5828,    -1,    -1,    -1,
      -1,    -1,    -1,  5835,   295,    -1,    -1,    -1,    -1,    -1,
    5842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,
    5115,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,  5861,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,   956,    -1,    -1,    -1,  1569,    -1,    -1,    -1,
     196,    -1,    -1,    -1,  5886,   201,    35,  5889,    -1,  5154,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,   224,   225,
    2065,    -1,    -1,    -1,    -1,    -1,    -1,  1610,    -1,    -1,
      -1,    -1,    -1,    -1,  2079,    -1,    -1,  2082,    -1,    78,
      -1,    -1,  5197,    -1,    -1,    -1,   252,    -1,    -1,    -1,
    5942,    -1,    -1,    -1,    -1,   406,  1030,    -1,    -1,    -1,
    1643,    -1,  2107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1055,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,
      -1,    -1,    -1,    51,    -1,    -1,  1070,    -1,  1072,    -1,
      -1,  5993,    -1,    -1,   310,    -1,    -1,   313,  1082,    -1,
      -1,    -1,    -1,    -1,    -1,  1089,  6008,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6018,    -1,    -1,  5638,
      -1,    -1,    -1,    -1,  5643,  5644,    -1,    -1,    -1,    -1,
    6032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6046,    -1,    -1,   196,  1132,    -1,
    1134,   512,   201,    -1,    -1,    -1,    -1,  6059,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,    -1,    -1,   534,    -1,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6101,
      -1,    -1,  5367,   252,    -1,  4578,    -1,    -1,    -1,  6111,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6119,  6120,    -1,
      -1,    -1,    -1,  6125,  1208,    -1,  1210,    -1,  1212,    -1,
    1214,  4604,  1216,  1217,  1218,    -1,    -1,  5756,    -1,  1223,
      -1,    -1,  1835,    -1,    -1,    -1,   295,    -1,  5413,    -1,
      -1,  1235,    -1,  1846,  6156,  6157,    -1,  5422,  6160,    -1,
      -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,  1862,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6197,   512,    -1,    -1,    -1,
    5819,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,    -1,   534,  6221,
      -1,    -1,    -1,  1916,    -1,  6227,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,  1931,    -1,
      -1,  1934,  1935,  6245,    -1,    -1,    -1,    -1,    -1,    -1,
    6252,   725,    35,    -1,    -1,    -1,    -1,   406,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,  6268,    -1,    -1,    52,
      -1,    -1,  1965,  1966,    -1,    -1,    -1,   751,    -1,    -1,
      -1,    -1,    -1,  3140,  6286,    -1,    -1,    -1,  3145,    -1,
    3147,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
    3157,    -1,    -1,  3160,    -1,  3162,  3163,    -1,    -1,  3166,
      -1,    -1,    -1,  3170,    -1,  3172,    -1,    -1,  3175,    -1,
      -1,    -1,  6324,    -1,    -1,    -1,    -1,  6329,    -1,    -1,
      -1,    -1,    -1,  6335,    -1,    -1,    -1,    -1,    -1,  1423,
      -1,    -1,    -1,    -1,   725,    -1,  6348,    -1,    -1,    -1,
      -1,    -1,    -1,  6355,  4827,    -1,    -1,    -1,    -1,  4832,
      -1,    -1,  4835,   512,    -1,    -1,    -1,    -1,    -1,    -1,
     751,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,  3239,  4856,  4857,   534,    -1,    -1,    -1,    -1,
      -1,  6393,  6394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5670,    -1,    -1,  6410,  5674,
      -1,    -1,  6414,   196,  2107,    -1,    -1,    -1,   201,    -1,
     894,    -1,    -1,    -1,    -1,  6427,  6428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2590,    -1,  6439,    -1,    -1,
      -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   295,   894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,
     313,  1615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,    35,
      -1,    -1,  2727,    -1,    -1,    -1,  2731,  2732,    -1,    45,
      -1,    -1,    -1,  1057,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1068,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1084,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   406,  5889,    -1,    -1,    -1,  5893,    -1,
    5895,  2786,    -1,    -1,  5899,  5900,    -1,  2792,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5121,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   725,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1057,    -1,    -1,    -1,
      -1,    -1,    -1,   751,  2839,    -1,    -1,  1068,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1084,    -1,    -1,    -1,    -1,    -1,    -1,
    6329,    -1,  3569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,  1831,    -1,    -1,
      -1,   534,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,    10,  1241,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,  1866,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,    35,  3649,    -1,  3651,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5290,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   894,    -1,  1912,   295,
      -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   310,    -1,    -1,   313,  1932,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1241,    -1,  3017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1958,    -1,  1960,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1975,    -1,  1977,  3049,    -1,    -1,    -1,    -1,  1983,
      -1,  1985,    -1,  1987,    -1,  1989,    -1,  1991,    -1,    -1,
      -1,  1995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6197,    -1,    -1,    -1,    -1,    -1,  3795,    -1,
     406,    -1,    -1,    -1,  3801,    -1,    -1,    -1,  2032,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3122,    -1,    -1,
      -1,  3126,    -1,    -1,    -1,    -1,  5449,    -1,    -1,    -1,
     224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1057,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1068,    -1,    -1,    -1,    -1,    -1,    -1,  5480,   252,    -1,
      10,    -1,    -1,    13,    -1,    -1,  1084,    17,    18,    19,
      -1,  5494,    -1,    -1,    -1,    -1,    -1,    -1,  1502,    -1,
      -1,    -1,    -1,    -1,  2727,    35,    -1,    -1,  2731,  2732,
      -1,    -1,    -1,    -1,    -1,    45,   512,    -1,    -1,    -1,
      -1,   295,    52,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,   310,    -1,   534,   313,
      -1,    -1,    -1,    -1,  3229,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3244,
    6355,    -1,    -1,  2786,  3249,  1569,    -1,  6362,    -1,  2792,
      -1,  6366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1502,    -1,    -1,  3279,    -1,    -1,    -1,    -1,    -1,
    3987,    -1,  3989,    -1,  3991,  6400,  1610,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2839,    -1,    -1,  6414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,  1643,
      -1,    -1,    -1,  1241,  6439,    -1,    -1,  6442,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1569,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,  1610,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   725,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,  5726,    -1,  5728,    -1,    -1,    -1,    -1,
      -1,    -1,  1643,    -1,   751,    -1,    -1,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,
     534,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3049,    -1,    -1,  5832,
      -1,  1835,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1846,    -1,    -1,    -1,    -1,    -1,    -1,  3534,
      -1,    -1,  3537,    -1,  3539,    -1,    -1,    -1,  1862,  3544,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   406,   894,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3122,
      -1,  3586,    -1,  3126,  1502,    -1,    -1,    -1,    10,  3594,
      -1,    13,  1916,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    51,  1835,    -1,    -1,  1931,    -1,    -1,
    1934,  1935,    -1,    35,  3619,  1846,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      52,  1862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1965,  1966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1569,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,    -1,    -1,    -1,   534,  1916,  3229,    -1,    -1,    -1,
      -1,    -1,  1610,  3698,    -1,  3700,    -1,    -1,    -1,    -1,
    1931,  3244,    -1,  1934,  1935,    -1,  3249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1057,    -1,    -1,    -1,    -1,  1643,    -1,    -1,    -1,    -1,
      -1,  1068,    -1,    -1,  1965,  1966,  3279,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1084,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6093,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,
      -1,    -1,    -1,  2107,    -1,    -1,    -1,  2721,  2722,    -1,
      -1,  3796,    -1,    -1,    -1,  6118,    -1,    -1,    -1,    -1,
      -1,    -1,   224,   225,    -1,    -1,  2740,  2741,    -1,  2743,
    2744,    -1,    -1,    -1,  2748,  2749,    -1,    -1,    -1,    -1,
    3825,    -1,    -1,    -1,    -1,    -1,  3831,    -1,    -1,  2763,
     252,    -1,    -1,  2767,    -1,  3840,    -1,  2771,  2772,    -1,
      -1,  2775,  2776,    -1,    -1,    -1,    -1,    -1,  2782,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2794,    -1,    -1,  3868,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2806,   295,    -1,    -1,  2107,  2811,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,   313,  2826,    -1,    -1,    -1,  2830,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1241,    -1,    -1,  2841,  6231,    -1,
    2844,    -1,  2846,  2847,  2848,    -1,    -1,  1835,    -1,  2853,
    2854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1846,  2863,
      -1,  3936,    -1,    -1,    -1,  2869,    -1,    -1,    -1,  2873,
      -1,    -1,    -1,    -1,  1862,    -1,  4653,    -1,    -1,  4656,
      -1,  2885,  2886,  3958,    -1,    -1,  2890,    -1,    -1,    -1,
      -1,    -1,  2896,  2897,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3980,  2910,    -1,  4685,  2913,
      -1,    -1,    -1,    -1,   406,    -1,  2920,  2921,    -1,    -1,
      -1,  3534,  2926,    -1,  3537,    -1,  3539,    -1,  1916,    -1,
      -1,  3544,    -1,    -1,  2938,    -1,    -1,  2941,    -1,    -1,
      -1,    -1,  2946,  1931,    -1,    -1,  1934,  1935,  2952,  2953,
      -1,    -1,    -1,    -1,    -1,    -1,  2960,    -1,    -1,  6352,
    2964,    -1,    -1,    51,  2968,  2969,  2970,  2971,    -1,  2973,
      -1,    -1,    -1,  3586,    -1,    -1,    -1,  1965,  1966,    -1,
      -1,  3594,    -1,  2987,  2988,    -1,  2990,  4062,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,  3002,  3003,
      -1,    -1,    -1,    -1,    -1,    -1,  3619,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,  4114,
      -1,    -1,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3058,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3066,    -1,  4139,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,  3085,    -1,    -1,    -1,  3698,    -1,  3700,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1502,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
    4887,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,  2107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3154,    -1,  3156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1569,    -1,    -1,    -1,  4943,  4944,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3796,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1610,    -1,    -1,    -1,   725,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4300,    -1,  3840,    -1,    -1,
      -1,    -1,    -1,   751,    -1,    -1,  1643,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3251,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3868,    -1,   196,    -1,    -1,
    5037,  5038,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,   252,    52,    -1,    -1,    -1,    -1,  4394,
      -1,    -1,    -1,  3936,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2727,    -1,    -1,    -1,  2731,  2732,    -1,
      78,    -1,    -1,    -1,    -1,  3958,    -1,  4422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3980,    -1,    -1,
      -1,   310,    -1,    -1,   313,    -1,   894,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5167,    -1,  2786,  5170,  5171,    -1,    -1,    -1,  2792,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5190,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2727,    -1,  1835,    -1,
    2731,  2732,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1846,
      -1,    -1,    -1,    -1,    -1,  2839,    -1,    -1,    -1,  4062,
      -1,    -1,    -1,    -1,    -1,  1862,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2786,   224,   225,    -1,  4564,
      -1,  2792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4114,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1916,
      10,    -1,    -1,    13,   252,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,  1931,    -1,  4139,  1934,  1935,    -1,
      -1,    -1,    -1,    -1,    -1,    35,  4611,    -1,  2839,  1057,
      -1,  4616,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
    1068,    -1,    52,    -1,    -1,    -1,    -1,   295,  1965,  1966,
      -1,    -1,    -1,    -1,    -1,    -1,  1084,    -1,    -1,    -1,
      -1,    -1,   310,   512,    -1,   313,    -1,  3581,    78,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,  3598,   534,    -1,    -1,  3602,    -1,
      -1,    -1,    -1,  3607,  3608,  3609,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3629,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   725,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3652,  3653,
    3654,  3655,    -1,    -1,    -1,  3049,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   751,    -1,    -1,    -1,    -1,   406,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,  3690,  4300,  3692,  3693,
    3694,    -1,    -1,    -1,    -1,    -1,   196,    35,    -1,  4774,
    2107,   201,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1241,   224,   225,    -1,    -1,  3122,    -1,
      -1,    -1,  3126,    -1,    -1,    51,    -1,    -1,    -1,  2727,
      78,    -1,    -1,  2731,  2732,    -1,    -1,    -1,  3049,    -1,
      -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,  4394,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,   295,   534,    -1,  2786,    -1,
      -1,    -1,    -1,    -1,  2792,    -1,   894,    -1,  3812,  4422,
     310,    -1,    -1,   313,  4889,    -1,    -1,  3821,    -1,    -1,
      -1,  3122,    -1,    -1,    -1,  3126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5611,  3229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3847,  3848,    -1,    -1,    -1,  3852,    -1,
    3244,  2839,    -1,    -1,    -1,  3249,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,  4942,    -1,    -1,
    3874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3279,   224,   225,  5665,  4964,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3926,    -1,    -1,    -1,    -1,  3931,  3229,    -1,
      -1,    -1,    -1,  3937,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3244,    -1,    -1,    -1,    -1,  3249,    -1,
      -1,  4564,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,
      -1,  5036,    -1,  3967,    -1,    -1,    -1,    -1,    -1,  1057,
      -1,    -1,   310,    -1,    -1,   313,    -1,    -1,  3279,    -1,
    1068,    -1,    -1,    -1,  1502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3996,    -1,  3998,    -1,  1084,    -1,  4611,    -1,
      -1,  5778,    -1,  4616,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,    -1,    -1,    -1,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3049,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5155,    -1,  5157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1610,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1643,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3122,    -1,    -1,    -1,  3126,    -1,
    3534,    -1,    -1,  3537,    -1,  3539,    -1,    -1,    -1,    -1,
    3544,    -1,    -1,  1241,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,  3586,    -1,    -1,    -1,   534,    -1,    -1,    -1,
    3594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,  5296,    17,    18,    19,  3619,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3534,    -1,    -1,  3537,    -1,  3539,    -1,
      35,  3229,    -1,  3544,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    -1,    -1,    -1,    -1,    -1,  3244,    52,    -1,    -1,
      -1,  3249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4889,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,  3586,    -1,    -1,    -1,    -1,
      -1,  3279,  5367,  3594,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3698,    -1,  3700,    -1,  4312,    -1,
    4314,    -1,    -1,    -1,    -1,    -1,    -1,  1835,  3619,    -1,
    2727,    -1,    -1,  4327,  2731,  2732,    -1,    -1,  1846,  4942,
      -1,    -1,    -1,    -1,    -1,  4339,    -1,    -1,    -1,  4343,
      -1,    -1,    -1,    -1,  1862,    -1,    -1,    -1,    -1,    -1,
    4354,  4964,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4373,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2786,
      -1,    -1,    -1,    -1,    -1,  2792,    -1,  4391,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4399,    -1,  3698,  1916,  3700,
      -1,   196,  3796,  6180,    -1,    -1,   201,    -1,    -1,   725,
      -1,    -1,  5487,  1931,  1502,    -1,  1934,  1935,    10,    -1,
    4424,    13,    -1,  5036,  4428,    17,    18,    19,    -1,   224,
     225,    -1,  2839,    -1,    -1,   751,    -1,    -1,    -1,  4443,
    4444,  4445,  4446,    35,    -1,    -1,  3840,  1965,  1966,  4453,
    4454,  4455,  4456,    45,    -1,    -1,    -1,   252,  4462,  4463,
      52,    -1,    -1,    -1,  4468,  4469,    -1,  4471,  4472,  4473,
    4474,  4475,  4476,  4477,  3868,    -1,    -1,    -1,    -1,    -1,
      -1,  1569,    -1,  4487,    -1,    -1,    78,  4491,  4492,  4493,
    4494,    -1,    -1,    -1,    -1,  3796,    -1,    -1,    -1,    -1,
     295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4515,    -1,    -1,    -1,   310,    -1,    -1,   313,    -1,
      -1,    -1,  1610,    -1,    -1,    -1,    -1,    -1,    -1,  4533,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3840,
      -1,    -1,  3936,    -1,  5157,    -1,  3534,    -1,    -1,  3537,
      -1,  3539,    -1,    -1,    -1,  1643,  3544,    -1,    -1,    -1,
      -1,    -1,    -1,  5638,  3958,    -1,    -1,  3868,  5643,  5644,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3980,    -1,    -1,  2107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3586,    -1,
      -1,    -1,    -1,    -1,   196,  4609,  3594,    -1,    -1,   201,
      -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3619,   224,   225,    -1,  3936,    -1,    -1,  4642,    -1,
      -1,    -1,  3049,    -1,    -1,  4649,    -1,  4651,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3958,    -1,    -1,
     252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4062,    -1,
      -1,    -1,    -1,    -1,    -1,  4679,    -1,    -1,    -1,  3980,
    5755,  5756,    -1,  5296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,    -1,
    3698,    -1,  3700,    -1,    -1,  3122,    -1,   512,   310,  3126,
    4114,   313,    -1,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,   534,
      -1,  1057,    -1,    -1,  5819,  4139,    -1,  1835,    -1,    -1,
      -1,    -1,  1068,    -1,  5367,    -1,    -1,    -1,  1846,    -1,
      -1,  4062,    -1,    -1,    -1,    -1,    -1,    -1,  1084,    -1,
      -1,    -1,    -1,    -1,  1862,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3796,    -1,
      -1,    -1,    -1,  4114,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3229,    -1,    -1,    -1,    -1,    -1,  1916,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3244,  4139,    -1,
      -1,    -1,  3249,  1931,    -1,    -1,  1934,  1935,    -1,    -1,
      -1,    -1,  3840,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,  3279,    -1,  5487,    -1,    -1,  1965,  1966,    -1,
    3868,    35,    -1,    -1,    -1,    39,  4890,  4891,  4892,    -1,
      -1,    45,  4896,  4897,  4898,  4899,    -1,    -1,    52,  4903,
      -1,    -1,    -1,    -1,    -1,    -1,  4300,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     512,    -1,    -1,    -1,    78,  1241,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,   534,    -1,    -1,    -1,    -1,    -1,  3936,    -1,
    4954,  4955,  4956,  4957,  4958,    -1,  4960,  4961,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4972,  4973,
    3958,    -1,    -1,    -1,    -1,    -1,   130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3980,    -1,    -1,    -1,    -1,    -1,    -1,  4300,
    4394,    -1,  5006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2107,
      -1,    -1,    -1,    -1,    -1,  5638,    -1,    -1,  4422,    -1,
    5643,  5644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,   196,    -1,    13,    -1,    -1,   201,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
     224,   225,    -1,    -1,  4062,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4394,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,    -1,  5108,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4422,    -1,    -1,    -1,    -1,  4114,  3534,    -1,    -1,
    3537,    -1,  3539,    -1,    -1,    -1,    -1,  3544,    -1,    -1,
      -1,   295,    -1,  5756,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4139,    -1,    -1,    -1,    -1,   310,    -1,    -1,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,  5173,
    4564,    13,    -1,    -1,    -1,    17,    18,    19,    -1,  3586,
      -1,    -1,    -1,    -1,    -1,    -1,  1502,  3594,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5205,    -1,    45,    -1,    -1,  5819,    -1,    -1,  2727,
      52,    -1,  3619,  2731,  2732,    -1,    -1,  4611,    -1,    -1,
      -1,    -1,  4616,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,   201,    -1,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   406,  1569,  6329,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,  4564,    -1,    -1,    -1,    -1,  2786,    -1,
      -1,    -1,    -1,    -1,  2792,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3698,    -1,  3700,  1610,    -1,    -1,    -1,    -1,  5303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4611,    -1,  4300,    -1,    -1,  4616,    -1,   471,  6393,    -1,
      -1,  2839,    -1,    -1,    -1,    -1,   295,  1643,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,   512,   201,
      -1,    -1,    -1,    -1,    -1,  5369,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,
    4774,    -1,   224,   225,  5388,    -1,    -1,    -1,    -1,  3796,
    5394,  5395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5404,    -1,    -1,    -1,    -1,    -1,  4394,  5411,    -1,    -1,
     252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3840,  4422,    -1,    -1,   406,    -1,    -1,
      -1,    -1,  5446,  5447,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   295,    -1,  5459,    -1,  5461,    -1,    -1,
      -1,  3868,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,   313,  5476,  4774,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4889,    -1,  5501,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1835,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3936,
    1846,  3049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,    -1,    -1,  1862,    -1,  4942,    -1,
      -1,  3958,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,   406,   534,    -1,    -1,    -1,    -1,
    4964,    -1,    -1,  3980,    -1,    -1,  4564,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4889,    -1,
      -1,    -1,    -1,    -1,    -1,  5599,    -1,    -1,    -1,    -1,
    1916,    -1,    -1,    -1,  3122,    -1,    -1,    -1,  3126,  5613,
      -1,    -1,    -1,    -1,    -1,  1931,    -1,    -1,  1934,  1935,
      -1,    -1,    -1,  4611,    -1,    -1,    -1,    -1,  4616,    -1,
      -1,    -1,    -1,  5637,    -1,    -1,    -1,    -1,    -1,  2727,
      -1,  4942,  5036,  2731,  2732,    -1,    -1,    -1,    -1,  1965,
    1966,    -1,    -1,    -1,    -1,  4062,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4964,    -1,    -1,    -1,    -1,    -1,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,   534,    -1,    -1,    -1,    -1,    -1,  2786,    -1,
    5704,    -1,    -1,    -1,  2792,    -1,    -1,  4114,    -1,    -1,
      -1,  3229,    -1,    -1,    -1,    -1,  6329,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3244,    -1,    -1,    -1,
      -1,  3249,  4139,    -1,     0,  5036,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2839,    -1,    -1,    20,    -1,    -1,    -1,    -1,    -1,
      -1,  3279,    -1,  5157,    -1,    31,    -1,    33,    34,    -1,
    5774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    51,  4774,    -1,    -1,    -1,
      -1,  2107,    -1,    -1,    -1,    61,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5808,    -1,    -1,    73,    -1,    75,
      76,    -1,    -1,    -1,    -1,    -1,    82,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    -1,    99,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5849,    -1,    -1,    -1,    -1,
     116,    -1,    -1,   119,    -1,    -1,  5157,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,  5873,
     136,    -1,    -1,    -1,   140,    -1,    -1,    -1,    -1,    -1,
      -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     156,    -1,   158,  4300,    -1,    -1,    -1,    -1,    -1,   165,
      -1,  4889,  5296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5933,
      -1,    -1,    -1,    -1,   200,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4942,    -1,    -1,    -1,    -1,    -1,
      -1,  3049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5367,    -1,    -1,  4964,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4394,   254,   255,
      -1,    -1,    -1,    -1,   260,  5296,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   275,
      -1,    -1,    -1,    -1,    -1,  4422,  3534,    -1,    -1,  3537,
      -1,  3539,    -1,    -1,    -1,    -1,  3544,    -1,   294,    -1,
      -1,    -1,   206,   207,  3122,    -1,    -1,    -1,  3126,    -1,
     214,  6045,   216,   217,    -1,    -1,    -1,    -1,  5036,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5367,    -1,  3586,    -1,
      -1,    -1,    -1,    -1,  6078,   341,  3594,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6089,    -1,    -1,    -1,    -1,
     356,    -1,    -1,  5487,    -1,    -1,   362,   363,    -1,   365,
      -1,  3619,    -1,    -1,   370,    -1,    23,    -1,    -1,    -1,
     376,    28,    -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,
     386,    -1,    -1,    -1,    -1,    -1,    -1,   393,   394,    -1,
      -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,    -1,   405,
      -1,  3229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,
     416,    -1,    -1,    -1,    -1,    -1,  3244,  4564,    -1,    -1,
      -1,  3249,    79,    -1,    -1,    -1,    -1,   433,    -1,  5157,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,
    3698,    -1,  3700,    -1,    -1,    -1,  5487,    -1,   454,    -1,
      -1,  3279,    -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,
     466,    -1,    -1,    -1,  4611,    -1,   472,  6211,    -1,  4616,
      -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,    -1,    -1,   490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   151,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   160,  5638,    -1,    -1,    -1,   514,  5643,
    5644,    -1,    -1,    -1,    -1,    -1,   173,    -1,    -1,    -1,
      -1,    -1,   179,    -1,    -1,    -1,    -1,   533,    -1,   186,
     536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3796,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,  5296,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,  3840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    -1,  5638,    -1,    -1,
      -1,    45,  5643,  5644,    -1,    -1,    -1,    -1,    52,   266,
    3868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5756,    -1,    -1,    -1,    -1,  4774,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,  5367,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,
      -1,  2727,    -1,  6417,    -1,  2731,  2732,    -1,  3936,   336,
      -1,    -1,    -1,    -1,    -1,  5819,    -1,    -1,    -1,   346,
     347,    -1,    -1,   350,    -1,    -1,    -1,    -1,    -1,    -1,
    3958,    -1,    -1,    -1,    -1,    -1,  3534,    -1,    -1,  3537,
      -1,  3539,    -1,    -1,    -1,  5756,  3544,    -1,    -1,    -1,
      -1,   378,  3980,    -1,   381,    -1,    -1,    -1,   385,    -1,
    2786,   388,    -1,    -1,    -1,    -1,  2792,    -1,   395,    -1,
      -1,   398,  4889,    -1,    -1,    -1,    -1,    -1,   662,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,   201,  3586,  5487,
      -1,   418,    -1,    -1,    -1,    -1,  3594,   681,    -1,   426,
      -1,    -1,    -1,   687,    -1,    -1,   433,    -1,  5819,   436,
     224,   225,    -1,  2839,   441,   699,    -1,    -1,    -1,    -1,
      -1,  3619,   449,    -1,   451,  4942,    -1,   208,    -1,   456,
      -1,   715,    -1,    -1,  4062,    -1,    -1,    -1,   252,   220,
      -1,    -1,    -1,   470,    -1,   729,   730,  4964,    -1,    -1,
     231,    -1,   736,    -1,   738,   739,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   752,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   762,    -1,
      -1,   295,    -1,    -1,    -1,    -1,  4114,    -1,    -1,    -1,
      -1,    -1,     0,    -1,    -1,    -1,   310,    -1,    -1,   313,
    3698,    -1,  3700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4139,    20,    -1,    -1,    -1,    -1,    -1,    -1,  5036,
      -1,    -1,    -1,    31,    -1,    33,    34,    -1,    -1,    -1,
      -1,   815,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5638,    -1,    -1,    51,    -1,  5643,  5644,    -1,    -1,    -1,
      -1,    -1,    -1,    61,    -1,    -1,    -1,    -1,    -1,   843,
      -1,    -1,    -1,    -1,    -1,    73,    -1,    75,    76,    -1,
      -1,    -1,    -1,    -1,    82,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   868,    -1,    -1,    -1,    -1,    97,
      -1,    99,   406,    -1,    -1,    -1,    -1,    -1,  3796,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3049,    -1,    -1,   134,    -1,   136,    -1,
      -1,    -1,   140,    -1,    -1,    -1,    -1,    -1,    -1,   147,
    5157,    -1,  3840,    -1,    -1,    -1,   930,    -1,   156,    -1,
     158,    -1,    -1,    -1,    -1,    -1,    -1,   165,  5756,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3868,    -1,  4300,    -1,    -1,   183,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   200,    -1,    -1,    -1,  3122,    -1,   512,    -1,
    3126,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,
     534,  5819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3936,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   254,   255,    -1,    -1,
      -1,    -1,   260,    -1,    -1,    -1,  1040,    -1,    -1,    -1,
    3958,    -1,    -1,  1047,    -1,    -1,  4394,   275,    -1,    -1,
      -1,    -1,    -1,    -1,  1058,    -1,    -1,    -1,  1062,  5296,
    1064,    -1,  3980,    -1,    -1,    -1,   294,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3229,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3244,    -1,
      -1,    -1,    -1,  3249,    -1,  6329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   356,    -1,
    5367,    -1,    -1,  3279,   362,   363,    -1,   365,    -1,    -1,
      -1,    -1,   370,    -1,  4062,    -1,    -1,    10,   376,    -1,
      13,   379,    -1,    -1,    17,    18,    19,    -1,   386,    -1,
      -1,    -1,   663,    -1,    -1,   393,   394,  1171,   669,    -1,
      -1,    -1,    35,   401,    -1,    -1,    -1,   405,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,   416,    52,
      -1,    -1,    -1,    -1,    -1,    -1,  4114,    -1,  6329,    10,
      -1,    -1,    13,    -1,    -1,   433,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    78,  4564,    -1,    -1,    -1,
      -1,  4139,    -1,    -1,    35,    -1,   454,    -1,  1232,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,   466,  1243,
      -1,    52,    -1,    -1,   472,    -1,    -1,    -1,    -1,   477,
    5487,    -1,    -1,    -1,    -1,    -1,  1260,    -1,    -1,    -1,
      -1,  1265,   490,  4611,    -1,    -1,    -1,    78,  4616,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   514,    -1,   516,   517,
     518,   519,   520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,    -1,    -1,   536,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,   840,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   859,    -1,
      -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4300,    -1,    -1,   196,    -1,   207,  3534,   252,
     201,  3537,    -1,  3539,  1398,    -1,   216,    -1,  3544,    -1,
      -1,  5638,  1406,  1407,    -1,    -1,  5643,  5644,    -1,    -1,
     230,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4774,    -1,    -1,    -1,
     931,    -1,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3586,   252,    -1,    -1,    -1,    -1,    -1,   310,  3594,    -1,
     313,    -1,    -1,    -1,    -1,  1459,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,  3619,    -1,    -1,  4394,   978,    -1,    -1,
      -1,    -1,    -1,    -1,   295,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,   310,
      -1,    -1,   313,    52,  4422,    -1,    -1,    -1,    -1,    -1,
      -1,  6329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5756,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4889,    -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3698,    -1,  3700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1093,    -1,  4942,   406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4964,    -1,    -1,    -1,
      -1,  1122,  1123,  1124,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4564,   196,    -1,   512,
    3796,    -1,   201,    -1,    -1,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,    -1,    -1,
      -1,   534,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5036,    -1,
      -1,    -1,    -1,  4611,  3840,    -1,    -1,    -1,  4616,    -1,
      -1,   512,    -1,   252,  1708,    -1,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,    -1,  3868,   534,    -1,    -1,    -1,    -1,    -1,    -1,
    1231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,   295,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1259,    -1,
      -1,   310,    -1,    -1,   313,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3936,   340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,  5157,
      -1,    -1,  3958,    -1,    -1,    -1,    -1,    -1,    -1,  1823,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,  3980,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   662,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      -1,    -1,    -1,    -1,  1858,    -1,  4774,   406,    45,    -1,
      -1,   681,    -1,    -1,    -1,    52,    -1,   687,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,  1881,    -1,   699,
      -1,    -1,    -1,    -1,    -1,  1889,    -1,    -1,    -1,    -1,
      -1,    78,    -1,  1897,    -1,   715,    -1,    -1,    -1,    -1,
      -1,   171,    -1,    -1,    -1,    -1,    -1,   177,    -1,    -1,
     730,  1412,    -1,    -1,    -1,    -1,  4062,    -1,   738,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,
      -1,   201,   752,    -1,  1938,  1939,    -1,  1941,  1942,    -1,
      -1,    -1,   762,    -1,    -1,    -1,    -1,    -1,  5296,  1953,
      -1,  1955,  1956,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,  1968,  1969,    -1,    -1,  4114,    -1,
      -1,  4889,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,   252,   170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1492,    -1,  4139,    -1,   815,    -1,    -1,    -1,    -1,
      -1,    -1,  2006,    -1,    -1,    -1,  2010,  2011,    -1,   196,
      -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,  5367,
      -1,    -1,    -1,   843,  4942,   295,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,   224,   225,    -1,
     310,    -1,    -1,   313,    -1,    -1,  4964,    -1,   868,    -1,
      -1,    35,    -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,    -1,   252,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,  1575,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6329,    -1,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,
     930,    -1,    -1,    -1,    -1,  1616,    -1,    -1,  5036,    -1,
      -1,  1622,  1623,   310,  2128,  1626,   313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,  1639,  5487,
      -1,  1642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   338,    -1,    -1,  4300,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    10,  1698,    -1,    13,
      52,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,  1712,   196,    -1,    -1,    -1,    -1,   201,    -1,   406,
    1040,    35,    -1,    -1,    -1,    -1,    78,  1047,    -1,    -1,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,  5157,
     224,   225,   512,    -1,    -1,    -1,    -1,    -1,  4394,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5638,    -1,    -1,    -1,    -1,  5643,  5644,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1822,    -1,    -1,    -1,   512,   310,    -1,    -1,   313,
      -1,    -1,  1833,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,   196,    -1,    -1,    -1,    -1,   201,
      -1,  1171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   224,   225,  1875,  1876,    -1,    -1,  5296,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1900,
     252,    -1,    -1,    -1,    -1,    -1,  1907,    -1,  5756,    -1,
     224,   225,  1232,    -1,    -1,    -1,    -1,    -1,  4564,    -1,
      -1,    -1,   406,  1243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
    1260,    -1,    -1,   295,    -1,  1265,    -1,    -1,    -1,  5367,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,   313,    -1,    -1,    -1,  4611,    -1,    -1,    -1,    -1,
    4616,  5819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1980,
      -1,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2013,  2014,    -1,    -1,    -1,    -1,    -1,   333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,  2030,
      -1,    -1,  2033,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5487,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1398,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1406,  1407,    -1,    -1,
      -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4774,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   511,
     512,  2665,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,  2720,    -1,    -1,    -1,
    5638,    -1,    -1,    -1,    -1,  5643,  5644,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2738,    -1,    -1,    10,  2742,    -1,
      13,    -1,  2746,  4889,    17,    18,    19,    -1,    -1,    -1,
      -1,  2755,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    -1,    38,  2770,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    10,    -1,  2787,    13,  2789,  2790,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,  4942,    -1,    -1,    -1,
    2804,    -1,    -1,    -1,    -1,    78,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,  4964,    -1,
    2824,  2825,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,  5756,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2861,  2862,    35,
      -1,  2865,    38,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2889,    -1,  2891,  1708,    10,
    5036,  2895,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,  5819,    78,    -1,    -1,  2909,    -1,    -1,    -1,    -1,
      -1,    -1,  2916,    -1,    35,  2919,    -1,    -1,    -1,    -1,
      -1,  2925,    -1,   196,    45,    -1,    -1,    -1,   201,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2945,    -1,    -1,    -1,    -1,    -1,  2951,   177,    -1,
      -1,   224,   225,    -1,  2958,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,  2972,    -1,
      -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,  6329,  2986,    -1,    -1,    -1,    -1,  2991,    -1,    -1,
      -1,    -1,    -1,  2997,    -1,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,  1823,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,   295,   252,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,  1858,    -1,
     313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,
      -1,    -1,    -1,  3057,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1881,    -1,    -1,    -1,    -1,   295,    -1,    -1,  1889,
      -1,    -1,    -1,    -1,    -1,   196,   252,  1897,    -1,    -1,
     201,   310,    -1,    -1,   313,    -1,  2587,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2597,    -1,    -1,    -1,
      -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,
      -1,  1941,  1942,    -1,    -1,  2626,    -1,    -1,    -1,    -1,
      -1,   252,    -1,   406,   310,  1955,    -1,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1968,  1969,
    5296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2673,  2674,   295,    -1,    -1,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,
      -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2707,    -1,  3212,    -1,
    3214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5367,    -1,    -1,    -1,    -1,    -1,  3231,    -1,    -1,
     406,    -1,    -1,    -1,  3238,    -1,    -1,    -1,    -1,   512,
      -1,  3245,    -1,  3247,  3248,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,    -1,   406,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3335,    -1,    -1,    -1,    -1,   512,  3341,    -1,    -1,
      -1,  5487,  2843,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,  2858,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2880,
      -1,    -1,    -1,   837,   838,    -1,    -1,    -1,    -1,    -1,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,  6329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3426,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,    23,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    41,
      35,    -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    10,    -1,   917,    13,  2966,  2967,    52,    17,    18,
      19,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    79,    -1,    -1,
      -1,    -1,  5638,    78,    -1,    -1,    45,  5643,  5644,    -1,
      -1,    -1,    -1,    52,    96,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   114,    -1,    -1,    -1,    -1,    -1,   120,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3559,  3560,    -1,    -1,   151,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3068,   160,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3580,    -1,    -1,  3583,
      -1,   173,    -1,    -1,  1038,  1039,    -1,    -1,    -1,    -1,
     182,    -1,    -1,    -1,   186,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5756,   196,    -1,    -1,   206,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3664,  3665,  3666,    -1,   256,    -1,    -1,   252,    -1,    -1,
      -1,    -1,    -1,  5819,   266,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3689,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,  3708,    -1,    10,    -1,    -1,    13,
     295,    -1,    -1,    17,    18,    19,    -1,    -1,   310,    -1,
      -1,   313,    -1,    -1,    -1,   310,  3730,    -1,   313,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,   336,    -1,   295,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,
      -1,   310,    -1,    -1,   313,    -1,   358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    -1,    -1,   378,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   388,    -1,    -1,    -1,
      -1,    -1,    -1,   395,    -1,    -1,   398,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3820,    -1,    -1,    -1,
      -1,   406,    -1,  1277,    -1,    -1,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,
      -1,   433,    -1,    -1,   436,  2665,   438,    -1,   440,   441,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,
      -1,    -1,    -1,  3867,   456,  1319,    -1,    -1,    -1,  3873,
      -1,  3875,   464,   177,    -1,   467,    -1,    -1,   470,    -1,
      -1,    -1,    -1,    -1,  3888,    -1,  3890,    -1,    -1,    -1,
      -1,   483,   196,    -1,  1348,  1349,  1350,   201,  1352,    -1,
    2720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3412,    -1,    -1,    -1,    -1,    -1,    -1,  2738,  1373,
     224,   225,  2742,    -1,    -1,    -1,  2746,   512,    -1,    -1,
      -1,    -1,  3433,    -1,    -1,  2755,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,    -1,   252,    -1,
    2770,    -1,    -1,  3957,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,  2804,    -1,    -1,    -1,    -1,    -1,
      -1,   295,    -1,    -1,    -1,  3999,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2824,  2825,   310,    -1,    -1,   313,
      -1,    -1,    10,    -1,  4018,    13,    -1,    -1,  4022,    17,
      18,    19,  1476,    -1,    -1,    -1,  1480,  1481,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,  4043,
      -1,  2861,  2862,    -1,    -1,  2865,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,  2889,
      -1,  2891,    -1,    -1,    -1,  2895,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,  2909,
      -1,    -1,    -1,    -1,    45,    -1,  2916,    -1,    -1,  2919,
      -1,    52,   406,    -1,    -1,  2925,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2945,    -1,    78,    -1,    -1,
      -1,  2951,    -1,    -1,    -1,    -1,    -1,    -1,  2958,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4151,    -1,    -1,
      -1,    -1,  2972,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2986,    10,    -1,    -1,
      13,  2991,    -1,    -1,    17,    18,    19,  2997,    -1,   177,
      -1,    -1,    -1,  6329,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,   196,   150,
      -1,    -1,    45,   201,    -1,  3706,    -1,    -1,   512,    52,
      -1,    -1,    -1,    -1,    -1,  3716,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   224,   225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,  3057,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,
     201,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1723,
    1724,  1725,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1365,    -1,    -1,    10,   295,    -1,    13,
      -1,   252,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,
      -1,    35,  4326,    -1,    -1,    -1,    -1,    -1,   171,    -1,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,  1420,    -1,
      -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,   310,
      -1,    -1,   313,    -1,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3879,  3880,
    3881,   224,   225,    -1,  4388,    -1,    -1,    -1,    -1,  4393,
      -1,  4395,  3212,    -1,  3214,  3896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,   252,
      -1,  3231,    -1,    -1,    -1,    -1,    -1,  4421,  3238,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3929,  3930,
      -1,    -1,    -1,  3934,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   295,    -1,    -1,   406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4467,    -1,    -1,  4470,   310,    -1,    -1,
     313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     224,   225,    -1,    -1,   512,  3335,    -1,    -1,    -1,    -1,
      -1,  3341,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,    -1,    -1,    -1,   252,  4040,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4560,  4561,    -1,    -1,
      -1,   512,    -1,   406,    -1,    -1,    -1,  4571,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,   295,    -1,    -1,  4588,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,  2052,   313,
      -1,    -1,    -1,    -1,    -1,    -1,  3426,  2061,  2062,  2063,
    2064,  2065,  2066,  2067,  2068,  2069,  2070,    -1,    -1,    -1,
      -1,  2075,    -1,  2077,    -1,  2079,    -1,    -1,  2082,  2083,
    2084,    -1,    -1,    -1,    -1,    -1,  2090,    -1,    -1,  2093,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2108,  2109,  2110,  1729,    -1,    -1,
      -1,  1733,    -1,    -1,    -1,  4669,    -1,    -1,  4672,   512,
      -1,    -1,  2126,    -1,    -1,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,    -1,    -1,
      -1,    -1,   406,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,  4206,  4207,  4208,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,  3559,
    3560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
    3580,    -1,    78,  3583,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   486,    35,    -1,    -1,    38,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    78,    -1,    -1,  2273,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3664,  3665,  3666,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,  3689,
      -1,    -1,    -1,  2327,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,  3708,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,  4902,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,
    3730,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2383,
      -1,    -1,    -1,    -1,   196,    -1,   252,    -1,    -1,   201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4959,    -1,    -1,    -1,    -1,
      -1,    -1,   224,   225,    -1,    -1,    -1,  4971,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2050,   295,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,   310,    -1,    -1,   313,    -1,    -1,
    3820,  5005,    -1,    -1,  2076,    -1,    -1,    -1,  2080,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2095,  2096,  2097,    -1,  2099,    -1,    -1,
      -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,   224,   225,
    4541,    -1,    -1,    -1,    -1,    -1,    -1,  3867,   310,    -1,
      -1,   313,    -1,  3873,    -1,  3875,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,  3888,    -1,
    3890,    -1,  4573,    -1,    -1,    -1,    -1,    -1,    -1,  5083,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5102,    -1,
      -1,    -1,    -1,    -1,  4605,    -1,    -1,    -1,    -1,   295,
      -1,    -1,    -1,  2567,  2568,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,    -1,  2577,   310,    -1,    -1,   313,    -1,    -1,
      -1,    -1,    -1,    -1,  2588,    -1,  2590,  3957,    -1,  4640,
      -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4657,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2628,    -1,    -1,    -1,  2632,  3999,
      -1,  2635,    -1,  2637,  5188,    -1,  2640,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,  4018,    -1,
      -1,    -1,  4022,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,    -1,    -1,    -1,
     406,    -1,    -1,  4043,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2693,
    2694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4802,  4803,  4804,  4805,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5318,    -1,  5320,    -1,    -1,  2773,
      -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,
      -1,  4151,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,    -1,    20,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    33,    34,    -1,  5368,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5378,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,    -1,
      82,    -1,    84,    -1,  5418,    -1,    -1,    96,    -1,  5423,
      -1,    -1,    -1,    -1,    -1,    97,    -1,    99,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,
      -1,   120,    -1,    -1,   116,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,   134,    -1,   136,    -1,    -1,    -1,   140,    -1,
      -1,    -1,   151,    -1,    -1,   147,    -1,    -1,    -1,    -1,
      -1,   160,    -1,    -1,   156,    -1,   158,    -1,    -1,    -1,
      -1,    -1,    -1,   165,   173,    -1,    -1,    -1,    -1,    -1,
     179,    -1,    -1,    -1,    -1,    -1,  4326,   186,    -1,    -1,
      -1,   183,  2584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,   200,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3015,  3016,  3017,    -1,   244,    -1,  3021,  4388,    -1,
      -1,    -1,    -1,  4393,    -1,  4395,    -1,    -1,    -1,    -1,
      -1,    -1,   254,   255,    -1,    -1,    -1,   266,   260,    -1,
      -1,    -1,    -1,    -1,  3048,    -1,    -1,    -1,    -1,    -1,
      -1,  4421,    -1,   275,    -1,    -1,    -1,    -1,  2680,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2692,    -1,   294,    -1,    -1,  2697,    -1,    -1,    -1,    -1,
      -1,   310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4467,    -1,  5150,
    4470,    -1,  5656,    -1,    -1,    -1,    -1,   336,    -1,    -1,
    5161,    -1,    -1,    -1,    -1,    -1,  5670,   346,   347,   341,
      -1,   350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,
     362,   363,    -1,   365,    -1,    -1,    -1,  5701,   370,   378,
      -1,   373,   381,    -1,   376,    -1,   385,   379,    -1,   388,
      -1,    -1,    -1,    -1,   386,    -1,   395,    -1,    -1,   398,
      -1,   393,   394,    -1,    -1,    -1,    -1,    -1,    -1,   401,
      -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,   418,
    4560,  4561,    -1,    -1,   416,    -1,    -1,   426,    -1,    -1,
      -1,  4571,   431,    -1,   433,    -1,    -1,   436,    -1,    -1,
      -1,   433,   441,    -1,    -1,    -1,    -1,    -1,  4588,    -1,
      -1,    -1,   451,    -1,    -1,    -1,  5780,   456,    -1,    -1,
      -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   470,    -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,
     472,    -1,    -1,  3257,   483,   477,    -1,    -1,  3262,    -1,
      -1,    -1,  5816,    -1,    -1,    -1,    -1,    -1,   490,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   514,    -1,    -1,    -1,    -1,    -1,    -1,  4669,
      -1,    -1,  4672,    -1,    -1,    -1,    -1,    -1,    -1,  3313,
      -1,   533,    -1,    -1,   536,    -1,    -1,    -1,    -1,    -1,
    3324,    -1,  3326,  3327,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5886,    -1,    -1,  5889,  3340,    -1,    -1,  3343,
      -1,  3345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3382,    -1,
    3384,    -1,  3386,    -1,    -1,    -1,    -1,    -1,    -1,  5440,
      -1,    -1,    -1,    -1,  5445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3480,    -1,  6032,    -1,
      -1,  3485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6046,    -1,    -1,    -1,  3500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6059,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3565,    -1,    -1,    -1,  6119,  6120,    -1,    23,    -1,
      -1,    -1,    -1,    28,  5625,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4959,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3625,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5005,    -1,    92,  3260,    -1,
      -1,    96,    -1,  6197,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3277,    -1,    -1,    -1,   114,
      -1,    -1,    -1,    -1,    -1,  3287,    -1,    -1,    -1,    -1,
      -1,  3293,  5723,    -1,  3296,    -1,    -1,    -1,    -1,    -1,
      -1,  3303,  3304,   138,  3306,    -1,    -1,    -1,    -1,  3311,
    3312,    -1,  3314,    -1,  3316,    -1,   151,    -1,  3320,    -1,
    5751,  3323,    -1,    -1,    -1,   160,  3328,    -1,    -1,    -1,
      -1,    -1,    -1,  5083,    -1,  3337,    -1,    -1,   173,    -1,
    3342,    -1,    -1,    -1,   179,    -1,    -1,  3349,  3350,  3351,
    3352,    -1,  5102,    -1,    -1,  3357,  3358,    -1,  3360,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,    -1,    -1,    -1,  3379,    -1,  3381,
      -1,    -1,    -1,    -1,    -1,    -1,  3388,  3389,  3390,  3391,
    3392,  3393,  3394,  3395,  3396,  3397,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   266,  3434,    -1,    -1,    -1,    -1,    -1,  5188,    -1,
      -1,  3825,    -1,    -1,    -1,    -1,    -1,  3831,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,
    6414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6427,  6428,    -1,    -1,    -1,    -1,    -1,
      -1,   336,    -1,    -1,    -1,  6439,    -1,    -1,    -1,    -1,
      -1,   346,   347,    -1,    -1,   350,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3910,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   378,    -1,    -1,   381,    -1,    -1,    -1,
     385,    -1,    -1,   388,    -1,    -1,    -1,    -1,    -1,    -1,
     395,    -1,    -1,   398,    -1,    -1,    -1,    -1,  5318,    -1,
    5320,    -1,  3574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,   433,    -1,
      -1,   436,    -1,    -1,    -1,    -1,   441,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   449,    -1,   451,    -1,  5368,    -1,
      -1,   456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5418,    -1,
      -1,    -1,    -1,    -1,    -1,  4059,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4068,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4082,    -1,
      -1,    -1,  4086,  4087,  4088,    -1,    -1,    -1,    -1,  4093,
      -1,    -1,  4096,    -1,    -1,  4099,    -1,    -1,    -1,    -1,
      -1,  4105,    -1,  4107,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4134,  4135,  4136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4161,    -1,    -1,
    4164,    -1,  4166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4182,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4190,  4191,    -1,    -1,
      -1,    -1,    -1,  4197,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3829,  3830,    -1,
      -1,    -1,  3834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4277,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5656,    -1,    -1,    -1,
    4294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5701,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4058,    -1,    -1,    -1,
      -1,    -1,  4064,    -1,    -1,    -1,  5816,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4111,
    4112,    -1,    -1,  4115,  4116,  4117,  4118,    -1,    -1,  4121,
    4122,  4123,  4124,  4125,  4126,  4127,  4128,  4129,  4130,  4131,
      -1,    -1,    -1,    -1,    -1,    -1,  5886,    -1,    -1,  5889,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4154,    -1,    -1,  4157,    -1,  4159,    -1,    -1,
    4162,  4163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4184,  4185,  4186,  4187,    -1,  4189,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4617,  4618,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4628,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4259,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4309,    -1,  6059,
      -1,    -1,    -1,    -1,  4698,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4714,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4344,    -1,    -1,    -1,    -1,    -1,  4732,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4771,  4772,    -1,
      -1,    -1,    -1,    -1,  4778,  4779,    -1,    -1,    -1,  4783,
      -1,    -1,    -1,    -1,  4788,    -1,    -1,  4791,  4792,    -1,
      -1,    -1,    -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6197,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4843,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4862,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4907,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4577,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4987,    -1,  6355,    -1,    -1,    -1,    -1,
    4994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5062,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4699,    -1,    -1,
      -1,  4703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4716,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4724,    -1,  4726,    -1,  4728,  4729,    -1,    -1,
      -1,    -1,  4734,  4735,  4736,  4737,    -1,    -1,    -1,  4741,
    4742,  4743,  4744,  4745,  4746,  4747,  4748,  4749,  4750,  4751,
    4752,  4753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4777,    -1,    -1,  4780,    -1,
    4782,    -1,    -1,    -1,  4786,    -1,    -1,  4789,  4790,    -1,
      -1,  4793,  4794,    -1,    -1,    -1,    -1,  4799,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5224,    -1,    -1,    -1,    -1,    -1,  5230,  5231,  5232,    -1,
      -1,  4853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4867,    -1,    -1,    -1,    -1,
      -1,  5255,  5256,    -1,    -1,  5259,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5065,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5152,  5153,    -1,    -1,    -1,  5539,    -1,    -1,  5160,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5584,  5203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5226,  5227,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5245,    -1,  5247,    -1,    -1,  5632,  5251,
    5252,  5253,  5254,    -1,    -1,  5257,  5258,    -1,    -1,    -1,
      -1,  5263,    -1,    -1,  5648,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5280,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5298,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5690,    -1,    -1,    -1,
    5312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5340,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5389,    -1,  5391,
      -1,    -1,    -1,    -1,    -1,  5779,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5791,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5800,  5801,  5802,    -1,
      -1,    -1,    -1,    -1,  5426,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5828,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5842,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5861,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5532,    -1,  5534,  5535,  5536,  5537,  5538,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5551,
    5552,  5553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5561,
      -1,    -1,    -1,    -1,  5566,    -1,    -1,  5569,    -1,    -1,
      -1,  5573,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5591,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5608,    -1,    -1,  5993,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6018,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5781,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5813,    -1,  5815,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5860,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6252,    -1,
    5872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6268,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5909,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5989,    -1,    -1,
      -1,    -1,    -1,    -1,  5996,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6393,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6029,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6044,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6156,  6157,    -1,    -1,  6160,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6262,  6263,    -1,  6265,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,    -1,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,  6331,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,   514,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,     3,
      -1,     5,     6,    -1,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,     3,    -1,     5,     6,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,     3,    -1,     5,     6,    -1,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   534,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,    -1,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
      -1,   291,    -1,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,    -1,   338,    -1,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,    -1,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
      -1,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,
     510,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,   534,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
      -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,    -1,   291,    -1,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,    -1,   338,    -1,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,    -1,     3,    -1,     5,     6,    -1,     8,     9,
      10,    11,    12,   508,   509,   510,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,   534,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,   514,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,
      -1,     5,     6,   533,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
     514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,
      -1,     3,    -1,     5,     6,   533,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    36,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,
       6,   533,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      36,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,    -1,
      -1,   531,   532,   533,     3,    -1,     5,     6,    -1,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,   526,    -1,    -1,
       3,    -1,     5,     6,   533,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,
     533,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    -1,     3,    -1,     5,     6,   533,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,
       5,     6,   533,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,
     525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,
       3,    -1,     5,     6,   533,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,
     533,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    -1,     3,    -1,     5,     6,   533,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,
       5,     6,   533,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,
     525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,
       3,    -1,     5,     6,   533,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,
     533,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    -1,     3,    -1,     5,     6,   533,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,
       5,     6,   533,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,
     525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,
       3,    -1,     5,     6,   533,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,
     533,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,     3,
      -1,     5,     6,    -1,     8,     9,   533,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,     3,    -1,     5,     6,    -1,     8,     9,   533,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,
      -1,     8,     9,    -1,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,     5,     6,    -1,     8,     9,    -1,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,   514,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
       5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,   433,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,   514,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,   514,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
     533,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    -1,    -1,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
      -1,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,    -1,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,    -1,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,   488,    -1,    -1,    -1,    -1,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     3,    -1,     5,     6,    -1,    -1,
      -1,    10,    11,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    -1,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,    -1,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     3,    -1,     5,     6,    -1,    -1,    -1,    10,    11,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    -1,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,    -1,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,    -1,   291,    -1,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,    -1,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,    -1,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,   526,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,    -1,   291,    -1,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,    -1,   338,    -1,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,   509,   510,     3,    -1,     5,     6,    -1,
      -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
     526,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,     5,     6,    -1,    -1,    -1,
      -1,    11,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,
      -1,    -1,   524,   525,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,
     524,   525,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,   177,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,     3,    -1,     5,     6,    -1,    -1,
      -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,     5,     6,
      -1,     8,     9,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,   106,   107,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,   106,   107,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,   106,   107,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,     6,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,   106,   107,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,   106,   107,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,   106,   107,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,   106,
     107,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,     6,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      99,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,   183,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    99,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,   183,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    99,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    99,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,     6,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
      -1,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,    -1,    -1,
      -1,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,    -1,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,    -1,   291,    -1,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
      -1,   338,    -1,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
      -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,   509,   510,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,    -1,   291,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,    -1,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,    -1,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,    -1,
     433,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,    -1,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
      -1,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,    -1,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,    -1,   338,
      -1,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,    -1,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,    -1,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
     509,   510,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
      -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,    -1,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,    -1,   338,    -1,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,   509,   510,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,    -1,   164,    -1,   166,   167,   168,   169,   170,
     171,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,    -1,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,    -1,
     291,    -1,   293,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,    -1,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,    -1,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,    -1,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,    -1,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,   166,
     167,   168,   169,   170,   171,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,    -1,    -1,
      -1,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,    -1,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,    -1,   291,    -1,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
      -1,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
      -1,   338,    -1,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
      -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,   509,   510,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,    -1,   291,    -1,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,    -1,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,    -1,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,    -1,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
      -1,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,    -1,   291,    -1,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,    -1,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,    -1,   338,
      -1,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,    -1,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,    -1,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
     509,   510,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
      -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,    -1,   291,    -1,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,    -1,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,    -1,   338,    -1,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,   509,   510,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,    -1,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,    -1,
     291,    -1,   293,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,    -1,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,    -1,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,    -1,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,    -1,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,    -1,    -1,
      -1,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,    -1,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,    -1,   291,    -1,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
      -1,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
      -1,   338,    -1,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
      -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,   509,   510,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      -1,    54,    -1,    -1,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    -1,    -1,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,    -1,    -1,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
      -1,   164,    -1,   166,   167,   168,    -1,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
      -1,   214,   215,   216,   217,    -1,    -1,    -1,    -1,    -1,
     223,   224,   225,   226,   227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,    -1,   291,    -1,
     293,   294,   295,   296,    -1,    -1,   299,    -1,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,    -1,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,    -1,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
      -1,   404,   405,   406,   407,   408,    -1,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,    -1,    -1,    -1,    -1,   448,   449,    -1,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,   509,   510
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    20,    31,    33,    34,    51,    61,    73,    75,    76,
      82,    84,    97,    99,   116,   119,   134,   136,   140,   147,
     156,   158,   165,   183,   200,   254,   255,   260,   275,   294,
     341,   356,   362,   363,   365,   370,   376,   379,   386,   393,
     394,   401,   405,   416,   433,   454,   466,   472,   477,   490,
     514,   516,   517,   518,   519,   520,   533,   540,   541,   542,
     543,   548,   549,   555,   556,   558,   559,   560,   561,   563,
     566,   578,   583,   584,   587,   588,   589,   609,   612,   613,
     628,   679,   682,   683,   686,   689,   690,   691,   699,   706,
     708,   709,   712,   715,   716,   720,   729,   733,   734,   735,
     738,   740,   741,   742,   743,   751,   753,   773,   777,   779,
     780,   790,   792,   799,   800,   803,   804,   805,   806,   807,
     816,   818,   820,   823,   827,   828,   838,   839,   844,   849,
     860,   892,   895,   896,   897,   902,   905,   907,   909,   911,
     912,   916,   917,   920,   922,   923,   927,   928,   929,   932,
     933,   934,   935,   936,   943,   945,   946,   947,   948,   954,
     956,   957,   963,   964,   965,   968,   969,   970,   971,   973,
     974,   976,   977,   979,   980,   982,   994,   996,   999,  1001,
    1002,  1011,  1013,  1018,  1023,  1033,  1037,  1038,  1039,  1040,
    1041,  1042,  1048,  1084,   448,   493,   949,    28,    79,    96,
     114,   120,   138,   151,   160,   173,   179,   186,   206,   244,
     266,   310,   336,   346,   347,   350,   378,   381,   385,   388,
     395,   398,   418,   426,   431,   433,   436,   441,   451,   456,
     470,   483,   705,   949,     3,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    30,    31,    32,    40,    41,    42,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    58,    59,    60,    61,    62,    63,    64,
      67,    68,    69,    70,    71,    73,    74,    75,    76,    77,
      79,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    93,    94,    95,    96,    97,    98,   100,   101,
     102,   103,   107,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   121,   123,   124,   125,   126,   127,   128,   129,
     131,   132,   133,   134,   137,   138,   139,   140,   141,   143,
     144,   145,   146,   148,   149,   150,   151,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   164,   166,   167,
     168,   169,   170,   172,   174,   175,   176,   178,   179,   180,
     181,   182,   184,   185,   187,   188,   189,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   202,   203,   204,
     205,   206,   207,   208,   209,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   221,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   248,   249,
     250,   251,   252,   254,   255,   256,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   293,
     294,   295,   296,   298,   299,   300,   301,   302,   303,   305,
     306,   307,   310,   311,   312,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     395,   396,   397,   398,   399,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   430,   431,   434,   435,   436,   437,   438,   439,
     440,   441,   443,   444,   445,   448,   449,   450,   451,   452,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   465,
     466,   467,   468,   469,   472,   473,   474,   475,   476,   477,
     478,   480,   481,   482,   483,   484,   485,   488,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,  1152,  1245,
    1257,  1258,  1262,  1263,  1264,     3,    29,  1034,  1242,  1257,
    1262,   481,   533,   987,   308,   342,   949,    54,   533,   620,
      23,    41,    66,    79,   114,   120,   138,   151,   160,   173,
     182,   186,   256,   310,   313,   336,   350,   378,   388,   398,
     418,   426,   436,   438,   440,   441,   456,   464,   467,   470,
     629,   688,   795,   850,   861,    29,   341,  1242,  1034,    29,
     335,   396,   438,   440,     6,   243,   903,   904,  1248,    23,
      28,    66,    79,    96,   114,   138,   151,   160,   173,   179,
     186,   206,   266,   310,   323,   336,   347,   350,   378,   381,
     385,   388,   395,   398,   418,   426,   433,   436,   441,   449,
     451,   456,   470,   483,   705,   808,   810,   811,   949,  1242,
      99,   481,   533,   683,   686,   689,   982,   995,   999,  1002,
    1011,  1018,  1023,  1033,  1037,    11,    22,    29,    49,   168,
     175,   177,   201,   245,   283,   344,   364,   524,   525,   824,
     825,  1034,  1247,  1249,    29,    31,    99,   360,   394,   829,
     830,   831,  1257,   173,  1257,  1244,  1248,   433,  1051,   824,
    1257,   448,  1242,   323,   266,   533,   915,   386,  1257,    29,
     399,   444,   448,   570,   579,   580,  1257,   183,   829,   830,
    1257,   342,   949,  1257,   242,    29,   135,  1053,  1054,    67,
      93,   256,   277,   378,   388,   399,   444,   448,   496,   567,
     568,   569,   570,    29,   399,   444,   448,   570,   448,   309,
    1096,  1097,  1240,  1257,  1051,   526,  1257,   178,   533,   988,
     533,   358,  1043,  1044,  1242,  1043,     3,    53,    55,    56,
      69,    70,   117,   118,   139,   169,   218,   219,   221,   228,
     278,   280,   300,   355,   403,   409,   444,   445,   478,  1125,
    1127,  1129,  1131,  1133,  1135,  1136,  1137,  1139,  1140,  1141,
    1143,  1144,  1148,  1258,  1262,  1053,  1054,  1055,  1253,    12,
    1254,  1255,  1257,  1254,  1254,  1038,  1039,  1042,     0,   536,
     533,   987,   152,   220,   314,   463,  1056,  1057,  1038,  1040,
    1041,   125,   216,   268,   469,   537,    35,   953,   877,  1245,
     813,  1257,   813,  1242,   345,   813,   451,  1242,   113,   433,
     865,  1245,  1257,  1264,     3,   106,   110,   400,  1250,  1251,
    1259,  1262,  1263,  1264,    29,   195,  1240,   301,   483,    10,
      17,    18,    19,    74,   164,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   899,   901,  1183,  1184,  1257,   195,
    1242,   865,  1242,    29,  1250,  1251,   865,  1242,  1242,   195,
    1240,  1242,   195,   813,  1242,   370,   401,    29,   195,  1096,
    1242,   391,  1242,   813,    29,   263,  1250,  1251,   195,  1240,
     243,   122,   226,   292,   354,   950,   951,   952,   533,   531,
     535,  1209,  1211,   511,   981,   982,   983,   984,  1259,  1240,
    1242,  1257,    28,    66,    80,    92,   114,   138,   179,   206,
     244,   310,   347,   378,   381,   426,   436,   449,   456,   808,
     809,   810,   811,  1248,   953,   998,  1002,  1011,  1018,  1023,
    1037,  1240,   270,   813,   533,   195,   813,  1242,   813,   451,
     195,  1242,   113,   433,   438,   440,  1250,  1251,   438,   440,
      74,   164,   899,   368,  1242,  1242,  1250,   195,   544,  1257,
     195,  1242,   195,   545,   813,  1242,  1242,   391,   813,   263,
    1250,   358,   395,   433,   483,   266,    96,   206,    28,    92,
     179,   347,   385,   449,   451,   455,   700,    29,  1242,  1035,
     577,  1248,  1259,   904,   270,   195,   877,   878,   195,   908,
     195,  1242,   195,   815,  1125,   451,   113,   433,   195,   864,
     865,   195,  1251,  1252,    87,   483,    74,   164,   195,   900,
     901,    59,   195,   864,   195,  1252,   195,   864,   195,  1242,
     195,  1242,   391,   908,   195,   815,   195,   263,  1252,   243,
     195,   812,   813,   195,  1241,  1242,   195,  1242,   953,   533,
    1000,   629,   995,   477,   981,   987,  1249,   825,   826,    29,
     826,  1249,   826,    29,   826,  1249,   826,   826,   826,  1249,
    1247,  1247,  1034,   826,   345,   533,   431,   533,   656,   656,
     656,   308,   446,   537,   656,   388,  1096,  1098,   537,   944,
    1248,   533,   997,    59,   483,   981,   114,   206,   388,   431,
     433,   913,   914,  1257,    48,   510,   226,   535,   311,   308,
     177,   311,  1248,   446,   953,   171,   821,   308,     5,     8,
       9,    10,    12,    37,    53,    55,    56,    65,    66,    69,
      70,    77,    79,   104,   105,   106,   107,   108,   109,   110,
     117,   118,   120,   157,   162,   163,   169,   185,   187,   218,
     219,   221,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   238,   249,   257,   258,   269,   278,   280,   290,   292,
     297,   298,   300,   310,   321,   337,   355,   383,   400,   409,
     427,   432,   444,   445,   450,   452,   453,   464,   470,   478,
     498,   499,   500,   501,   503,   504,   505,   506,   512,   524,
     525,   526,   533,  1038,  1128,  1131,  1134,  1135,  1136,  1138,
    1139,  1140,  1143,  1144,  1148,  1149,  1151,  1152,  1153,  1155,
    1179,  1180,  1181,  1185,  1203,  1208,  1234,  1237,  1238,  1245,
    1246,  1247,  1248,  1257,  1236,  1237,  1248,    29,   585,  1239,
    1240,   399,   567,   120,   576,  1248,   577,  1248,    48,    71,
     567,   510,   410,   951,   311,   177,   446,   523,    48,   510,
     226,   952,   533,  1240,   526,  1211,  1098,   981,   176,   989,
    1149,  1188,  1043,   537,   533,   990,   480,  1142,  1142,  1142,
     533,  1130,  1130,   339,   533,  1132,    69,    70,  1142,  1130,
    1127,   514,   515,   533,  1145,   533,  1145,    37,  1126,   533,
     115,   193,   271,   274,   392,   508,   533,  1146,  1147,   535,
     814,  1130,  1236,  1212,   534,   534,   542,   981,   991,   992,
     993,  1240,    29,   135,  1052,  1052,    59,  1052,   165,   171,
     253,   304,  1060,  1062,  1063,  1078,  1080,  1081,  1082,  1056,
    1057,   177,   222,   222,  1096,  1099,   533,    68,   288,   324,
     366,   401,   533,   875,   324,   362,   366,   401,   814,   324,
     366,   401,     3,    91,   145,   259,   324,   362,   366,   401,
     436,   439,   490,   578,   581,   958,   959,   960,   961,   845,
      25,   140,   324,   366,   401,   474,   594,  1242,    25,   140,
     401,   469,   562,   494,   195,  1096,    62,    98,   161,   198,
     248,   288,   292,   324,   325,   366,   375,   384,   393,   401,
     414,   423,   428,   485,   578,   582,   881,   893,   921,   533,
     862,  1211,   366,   562,   201,   157,    25,    31,    46,    76,
     133,   140,   144,   172,   208,   288,   292,   302,   312,   324,
     366,   369,   370,   401,   474,   590,   592,   593,   723,   921,
       5,   524,   525,   697,  1249,    29,   195,  1240,   813,   813,
     533,   898,   324,   401,   535,   157,   308,   324,   366,   401,
     893,   921,    25,   140,   324,   366,   401,   201,   557,   366,
     490,   514,   550,   557,   324,   366,   401,   893,   921,   308,
     324,   366,   157,    38,    60,   112,   204,   267,   272,   288,
     323,   366,   371,   395,   401,   416,   590,   694,   695,   324,
     366,   482,   723,   731,   157,   324,   366,   401,    25,    91,
     133,   140,   144,   324,   362,   366,   401,   408,   580,   568,
     570,   201,   157,    46,   131,   288,   366,   401,   590,   591,
     324,   366,   370,   401,    89,   132,   327,   439,   308,    25,
      31,   140,   324,   366,   401,   610,   611,   557,   171,   366,
     550,   557,   157,   366,   401,   590,  1242,   251,   122,   309,
     495,   537,   950,    29,   135,   479,   526,   534,   870,  1149,
    1189,  1190,  1258,  1149,  1210,     3,    29,    33,    34,    35,
      36,    37,    38,    39,    43,    57,    65,    66,    72,    78,
      80,    92,    99,   104,   105,   106,   108,   109,   110,   120,
     122,   130,   135,   136,   142,   147,   152,   163,   165,   171,
     173,   177,   183,   186,   190,   201,   210,   220,   222,   246,
     247,   253,   257,   258,   292,   297,   304,   308,   309,   313,
     314,   333,   343,   360,   374,   394,   400,   411,   429,   432,
     433,   442,   446,   447,   453,   463,   464,   470,   471,   479,
     486,   487,   489,   490,   526,  1243,  1260,  1262,  1263,  1264,
    1265,  1209,   534,   537,   163,   308,   453,   574,   577,   697,
     985,   471,   978,   308,   877,   533,   813,  1242,  1125,   865,
     301,    74,   164,   901,   865,   865,   171,  1125,   813,  1242,
    1242,   534,   656,  1242,    72,  1125,   292,   177,   533,   781,
     550,    38,   972,  1242,   292,   550,   494,   195,  1240,   550,
     813,   813,   781,   467,   629,   308,   171,   490,   889,   550,
     292,    48,   564,   292,   456,   730,   292,   990,    91,   324,
     707,    89,   132,   327,   439,    38,   781,   171,   195,   550,
     483,   195,  1240,   195,   684,  1240,  1240,   483,   813,    87,
     546,  1245,   451,  1245,  1245,  1242,   171,  1242,   705,    40,
      54,   111,   215,   288,   390,   157,    63,   372,   537,   547,
     157,   533,   157,   550,   157,   537,   547,   494,   157,   537,
     547,   157,   537,   195,   812,   195,   813,   195,   813,   157,
     537,   547,  1252,   157,   547,   157,   157,   547,   157,   547,
     157,    89,   132,   327,   439,   171,   157,   547,   157,   171,
     195,   157,   537,   547,   157,   537,   547,   157,   308,  1188,
     433,   534,   995,   826,  1034,   826,  1034,   826,  1034,   826,
    1034,   826,  1034,  1034,  1034,   826,  1034,   533,   657,   658,
    1257,   657,    29,   114,   138,   173,   179,   243,   244,   326,
     347,   381,   388,   395,   433,   436,   456,   834,  1239,  1252,
     831,  1242,   201,   537,  1014,  1248,  1125,  1192,    38,  1252,
     546,   534,   546,   546,   546,   251,  1257,   171,   834,  1252,
     171,   386,  1257,   577,   308,   533,  1212,   531,  1038,  1193,
    1149,  1207,   533,   533,   171,   533,   533,  1038,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,  1149,   533,   533,   533,
     533,   533,   533,   533,   533,   299,   645,   533,   533,   533,
     533,   533,   533,   533,   533,  1149,  1149,  1149,  1038,  1149,
    1188,  1211,  1248,   533,  1248,     3,    10,    13,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     167,   168,   169,   170,   172,   173,   174,   175,   176,   178,
     179,   180,   181,   182,   184,   185,   187,   188,   189,   191,
     192,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   221,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   272,   273,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   305,   306,   307,   309,
     310,   311,   312,   313,   315,   316,   317,   318,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   481,   482,   483,   484,   485,   486,   488,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   509,   510,   512,   521,   522,   523,
     524,   525,   526,   527,   528,   529,  1183,  1185,  1187,  1261,
    1266,   491,  1166,   320,  1149,   166,  1167,   222,   537,  1049,
     533,  1248,  1211,  1049,   123,   197,   586,   537,    71,   120,
     577,    38,     3,   120,   256,   575,   697,  1144,  1248,  1248,
      94,   137,  1161,   103,   120,   571,   572,   574,   697,   120,
     571,   251,  1240,    95,   371,   817,   534,   987,    35,    45,
      52,    78,   196,   201,   224,   252,   310,   313,   406,   534,
     537,  1044,  1241,    38,   533,  1188,  1247,  1142,  1142,    37,
    1126,   444,   444,  1247,  1247,   531,   531,  1247,   446,   446,
     446,   533,   446,  1247,  1243,   535,  1130,   177,  1085,    15,
     523,  1209,  1256,   534,   537,   990,  1040,  1040,  1058,  1059,
    1149,  1040,   168,   283,  1069,   240,   288,   354,   404,   469,
      29,  1064,  1149,   524,   525,  1065,  1066,  1149,  1151,  1078,
    1079,  1063,  1062,  1060,  1061,   171,  1081,   302,  1083,  1060,
    1078,  1099,  1003,  1240,  1099,    38,  1257,   401,  1188,    68,
     446,   446,   388,   201,   213,   314,   317,   403,   479,   526,
     868,   869,   870,   872,   874,   876,  1125,  1258,   446,   482,
     446,   388,   446,   446,   388,   253,   446,    79,   446,   436,
     567,   324,   958,   960,   523,   962,   171,   183,   201,   376,
     846,   847,    72,    92,   292,   653,   654,    92,   120,   292,
     446,    92,   446,   120,   292,   388,    92,   133,   144,   324,
     366,   778,   388,   713,    28,    66,   138,   179,   310,   347,
     381,   449,   456,   808,   809,  1242,   157,   366,   401,   590,
     308,   697,   393,   248,   446,  1257,   446,   297,   697,   124,
     223,   388,   399,   448,   569,   813,   372,   401,   881,   894,
     128,   534,   863,   868,   446,   470,   436,  1240,    72,    80,
      92,   153,   173,   195,   343,   464,   636,   651,   652,  1257,
      80,    92,   918,   329,   308,   383,   385,   451,    92,   918,
      32,   369,   383,   385,   451,   383,  1240,   172,   208,   302,
     813,   533,   446,   446,   194,   533,   598,    23,   262,   436,
     467,   492,   598,    92,   537,   128,     5,     5,   324,   201,
     157,   366,   401,   590,   921,   471,   471,   289,  1125,   446,
     388,   533,   899,  1242,  1240,   446,   446,   388,   894,   128,
     107,   433,   434,   930,   931,  1097,  1240,  1257,   931,   446,
     446,   781,   931,   114,   401,   581,   446,   552,   581,   446,
     446,   388,   894,   128,  1240,   446,   446,  1240,  1127,   697,
      59,   696,   697,   697,   112,   267,   272,    59,   446,   550,
     276,   388,   550,   288,   695,   446,   446,   297,  1248,   723,
     813,   446,   446,   388,   418,   350,  1248,   350,   446,   350,
     446,   350,   781,   781,   436,  1096,   329,   329,    92,   446,
     918,   388,   446,   446,   598,   598,   813,   813,   813,   813,
    1240,    47,   476,    47,    47,   476,   446,    47,   446,   476,
     388,   533,   537,   581,   470,   739,  1251,   446,   552,   581,
    1240,   446,   918,   388,   324,   366,   354,   367,   397,   573,
     950,  1189,  1189,  1190,   534,    15,    16,   537,  1056,  1057,
     532,   538,  1240,   983,  1242,  1240,   224,  1125,   224,   308,
     224,   224,   697,   813,   813,   224,   224,   224,  1125,   224,
     224,   224,   308,   446,   177,   446,   614,   456,   533,    38,
     157,   813,   782,   783,  1260,   958,  1125,   308,   157,   710,
    1242,   292,   329,   533,   551,   795,   471,   358,   483,  1240,
      29,   931,   781,   551,   157,  1251,    99,   183,   565,   628,
     690,   753,   827,   849,   954,   157,  1248,   731,   732,   157,
     308,  1248,  1251,   259,   813,   813,   813,   813,   148,   353,
     533,   739,   292,   551,  1240,   292,   692,   694,   292,    38,
     302,   329,   533,   656,   656,   195,   687,  1240,   171,   195,
     544,  1257,   533,   785,   875,  1242,   533,   866,   866,    38,
    1125,    27,    50,   217,   754,   243,   490,   492,  1036,   390,
     878,   877,  1125,  1242,   533,   815,  1125,   864,   865,  1252,
    1251,   157,   547,   157,   471,   157,   471,   900,   901,   547,
     864,  1252,   864,  1242,  1242,  1125,   815,  1252,   739,   157,
     812,   813,  1241,  1242,  1242,   813,   534,   195,  1240,   995,
    1034,  1034,  1034,  1034,  1034,  1034,   657,   534,   537,   534,
     180,   348,   382,   396,   434,  1241,   812,   113,   398,   864,
    1241,   301,   832,   833,  1257,   864,   864,  1241,  1239,  1239,
    1241,   812,   446,   184,   490,   843,   152,   253,   736,   737,
      23,   155,   383,   404,  1015,  1096,   296,  1016,   534,   537,
     998,   446,  1240,  1242,  1240,   544,   829,   830,   177,   843,
     830,  1257,    28,    80,   138,   179,   244,   347,   381,   456,
     808,   809,  1188,   532,  1188,  1193,  1194,   486,  1204,  1205,
    1149,  1188,   533,  1247,  1247,     3,   115,   193,   271,   274,
     392,   508,  1195,  1196,  1248,  1188,  1188,  1149,  1222,   374,
    1038,  1039,  1222,  1226,  1233,  1222,  1222,  1149,  1151,  1189,
    1226,  1229,  1230,  1149,  1230,  1222,  1149,  1222,  1222,  1188,
    1247,  1247,   534,  1149,  1149,   899,  1149,  1189,  1191,  1198,
     383,   524,   525,   533,  1150,  1151,  1185,  1199,   534,  1188,
    1149,  1191,  1200,  1149,    57,   177,   247,   447,  1149,  1188,
    1201,   135,   292,  1038,  1188,   276,  1151,  1149,  1159,  1160,
    1161,   276,  1149,  1161,   534,   537,  1247,  1146,  1125,  1149,
    1149,  1149,  1149,  1260,   256,   444,    43,   429,  1213,   813,
    1149,   533,  1038,  1202,   135,   137,   163,   228,   284,   285,
     286,   287,   291,   292,   297,   453,   465,  1197,  1227,  1149,
     533,  1149,   446,    52,   196,   201,   252,   406,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,    29,    36,
     411,  1182,   186,  1167,   383,   533,  1179,   533,   319,  1171,
     182,   256,   433,   438,   440,   467,  1050,  1240,  1238,  1085,
    1189,  1085,  1240,   448,   533,  1248,   537,   534,   194,   194,
     547,   993,   982,   986,  1149,   534,   266,   292,  1045,  1188,
     534,   534,   531,   510,   510,   534,   534,  1247,   532,  1247,
     534,   193,   271,  1147,   271,  1147,  1147,  1247,   274,   534,
    1243,   228,   237,   246,   384,   507,   533,  1038,  1086,  1087,
    1088,  1096,  1102,  1112,  1119,  1152,  1154,  1155,  1234,  1257,
     487,  1107,  1253,   993,   991,   537,    39,   130,   471,   858,
     383,   384,   524,   525,  1066,  1068,  1151,   404,   240,   309,
     537,     5,  1067,  1247,  1067,   383,   384,  1068,  1239,   296,
     408,  1017,  1079,  1061,   471,  1012,   120,   322,   533,  1004,
    1037,    38,   471,  1257,   533,  1019,  1020,  1021,  1257,   534,
    1251,  1242,  1242,   317,    59,  1258,   534,   870,   872,   869,
     872,  1258,   314,   534,   537,   814,  1251,  1242,  1242,  1251,
    1242,  1242,  1251,   482,  1242,  1242,   120,   574,   697,   378,
     470,   829,   388,   183,   829,   533,  1242,   297,   195,  1242,
     297,  1251,  1242,  1242,  1149,   297,  1242,  1242,    32,   369,
     446,   446,  1242,   446,   714,   877,   533,  1125,   865,    74,
     164,   901,   865,   865,   171,  1125,   813,  1242,   189,   288,
     324,   366,   475,   717,   718,   719,  1096,   446,   918,   388,
     297,   124,   223,  1251,  1242,   308,  1242,   308,   534,   537,
    1250,  1252,  1242,   366,   590,   533,   195,   636,  1242,   471,
     851,   240,   292,   240,   471,   645,   678,  1125,  1242,  1247,
    1257,  1240,  1242,   251,  1242,    29,   470,  1242,   195,  1242,
     195,  1257,   385,   451,   385,   451,   251,  1242,    29,   470,
    1242,   251,   383,  1240,    25,   140,   401,   724,   725,   726,
     727,  1260,  1251,  1242,   120,   178,   293,   471,   597,   600,
     601,  1260,   270,  1242,    76,   305,  1242,   593,   308,   446,
     436,  1240,   446,   918,   388,   128,  1242,  1242,   537,   534,
     537,  1251,  1242,   924,   925,  1260,   308,   366,   446,   747,
    1251,  1242,  1242,   308,  1096,   201,   537,   656,   656,  1211,
    1251,  1242,  1242,  1250,     3,    91,   146,   208,   331,   462,
     470,   473,   553,  1251,  1242,  1242,   308,   366,  1251,  1242,
     366,   401,   590,   694,   697,   813,  1242,   697,   813,  1242,
     697,  1251,  1242,   401,  1251,  1242,  1242,   120,   604,  1249,
    1241,  1241,  1251,   889,  1242,  1241,  1242,   366,   401,   590,
     591,  1240,  1240,  1242,  1242,  1242,  1242,  1251,  1242,    25,
      31,   140,   324,   366,   401,   324,   366,   401,   781,   366,
     401,   366,   401,   366,   921,  1111,  1257,   195,   791,  1257,
     195,  1257,  1248,  1251,  1242,  1242,  1248,  1242,   924,    25,
     140,   611,   398,  1250,   366,   401,   590,  1242,  1242,  1242,
     446,   446,    85,   461,   354,   537,  1056,  1056,  1056,  1149,
    1149,   479,  1190,   534,  1149,  1210,   978,   297,   819,  1248,
      38,   819,   138,   813,   819,   819,   224,   471,   471,   819,
     819,   819,   243,   819,   819,   819,   813,   349,   615,   615,
     206,   433,   752,  1149,  1125,   813,   534,   537,   523,   642,
    1260,  1242,    63,   177,   388,   482,   711,   718,   719,   157,
     302,   252,   630,   632,   634,   636,   648,   651,    26,   201,
     378,   430,   553,   554,   171,  1242,   483,  1240,    38,   748,
     434,   889,   544,  1257,   564,   629,   861,  1242,   173,   813,
     533,   680,   681,  1154,  1257,   350,  1248,   781,   781,   781,
     781,   533,   781,  1109,  1110,  1111,   398,   157,   533,   157,
     157,   156,  1037,   813,   302,   630,  1257,   471,   673,   490,
     599,   292,    38,   656,  1248,   292,   308,     3,   786,   787,
     781,    27,   534,   867,   868,   873,    38,   243,   375,   449,
     489,   879,   880,   881,   882,   879,   308,   243,   302,   125,
     216,   454,   469,   755,   756,  1242,   192,   192,   171,   547,
      38,   550,   172,   966,   967,   547,   547,   812,   813,  1242,
     813,  1242,   547,   547,   547,   547,   243,   547,   398,   171,
     547,   547,   308,   547,   292,   534,   658,   201,   201,   201,
     201,   201,   494,  1241,   697,   698,   537,   535,   186,   835,
     836,  1251,    59,   840,   841,  1260,   446,   533,   177,   155,
     404,   155,   404,   383,   469,   273,  1125,  1251,   490,   685,
     308,   835,   547,   177,   877,   813,  1125,   865,   301,   865,
     865,  1125,   813,  1242,   534,   532,   532,   537,  1149,   142,
    1205,  1206,    38,   534,  1149,   534,   534,   534,   177,   534,
     534,   511,  1223,  1224,   490,   492,  1228,  1125,  1224,   534,
      21,   297,   537,  1232,   314,  1235,   537,   538,   476,   534,
     534,    21,   297,   537,  1231,  1231,   537,   534,  1226,   537,
     534,   534,   534,   534,   537,   537,   534,   333,   534,   534,
     533,  1150,  1150,  1188,    13,    17,    18,    19,   201,   224,
     310,   521,   522,   523,   524,   525,   526,   527,   528,   529,
    1185,  1150,   534,   534,   171,   177,   406,   534,   534,    38,
    1201,  1188,  1201,  1201,   177,   534,   135,   534,  1260,   330,
    1164,    38,   534,   537,  1149,  1260,   537,  1149,  1212,  1149,
     534,   510,  1150,  1150,   150,  1188,   177,    37,   301,   387,
     476,   135,   137,   163,   291,   297,   453,   465,  1197,  1227,
     291,  1228,   150,   899,  1149,   429,  1213,  1149,  1202,  1149,
     446,   533,  1038,   533,  1171,   533,  1188,   487,   533,  1172,
    1257,   438,   440,   438,   440,  1240,  1051,  1051,  1051,  1107,
    1056,  1107,   951,  1247,  1146,   572,   993,   266,   533,   534,
    1247,  1145,  1145,   532,   532,   534,   533,  1038,  1102,  1112,
    1119,   177,   533,  1038,  1087,  1088,    38,  1089,  1090,  1257,
     537,   100,   178,   212,   227,   250,   279,   377,  1093,  1090,
      38,  1089,  1092,  1257,  1090,  1090,   514,  1106,  1211,  1149,
     186,  1070,  1059,   310,  1183,  1186,   513,   859,     5,  1247,
    1068,   309,   490,   469,  1065,   261,  1086,   487,  1108,   477,
     431,   470,  1005,  1006,  1007,  1257,   308,  1008,  1257,  1087,
    1021,  1022,   537,  1085,   523,  1212,   876,   814,   872,   872,
      59,   874,   528,  1252,  1252,   308,  1241,   311,   308,  1149,
     654,   771,   157,   547,   446,  1251,  1242,   577,  1125,   813,
     813,  1125,   701,  1242,   189,   475,   446,   446,   701,   717,
     723,   366,   401,   590,  1242,  1242,  1242,   214,   297,   160,
     868,   323,   401,   446,  1149,   292,   153,   652,  1242,   533,
     533,   157,   533,   678,   206,   533,   771,   421,   640,   641,
     771,   401,    25,   140,   370,   371,   401,   594,   602,   603,
     723,   919,   393,   157,   547,   157,   547,  1242,  1242,  1242,
    1242,   393,   393,   251,   726,   727,   726,   534,   537,   728,
    1248,   206,   534,   537,   523,   535,   120,   605,  1257,   160,
    1251,  1242,   366,   401,   590,  1242,  1242,  1242,   308,   324,
     366,   401,    25,   140,   324,   366,   401,  1125,   289,  1125,
     534,   537,   523,  1240,   446,  1252,   471,   744,   160,   656,
     388,   930,   487,   663,   663,   656,   253,   331,   297,  1248,
     331,  1252,   468,   160,   446,   446,   388,   418,   889,   889,
     889,   323,   401,    92,   446,   918,   388,   120,   171,   606,
     167,   546,   446,   446,   263,   263,   263,   446,   446,   388,
     446,   446,   388,   446,   388,   446,   388,   446,   128,   547,
    1125,   292,  1248,   401,   919,   157,   547,   446,   446,   534,
    1242,   446,   918,   388,   446,  1251,  1242,   534,   534,   534,
    1190,   532,  1125,   813,   224,   819,  1242,  1242,  1242,   224,
     419,   420,   616,  1248,   616,   189,   534,   534,   177,   781,
     783,   289,   310,   524,   525,   697,   784,   872,  1186,  1248,
    1265,    72,    78,    92,   120,   122,   181,   210,   292,   297,
     343,   360,   464,   643,   644,   647,   156,   486,   550,   577,
    1242,   577,   312,   721,  1240,  1240,  1240,   534,   537,  1252,
     186,   378,  1252,  1247,   456,  1240,   656,     3,   171,   749,
     889,    48,   564,   433,   730,   113,   990,  1149,   177,   537,
    1241,   599,   788,   789,  1248,   534,   537,  1242,   171,   657,
    1240,   684,  1240,  1242,   685,   533,   631,  1240,   534,  1242,
     490,   492,   674,   598,    38,   157,  1037,   673,   446,   157,
    1096,   523,   534,   537,   755,   534,   537,   120,   523,   883,
    1248,   577,   433,   871,   872,   171,   888,    51,   373,   884,
     885,   882,   885,   125,   216,   394,   469,   941,  1242,   302,
     308,   313,   189,  1037,  1125,   533,   534,   537,   547,   471,
     547,   471,   547,  1242,  1242,   739,   813,   157,   388,   388,
     388,   388,   388,  1241,   537,   833,  1257,  1251,   490,   537,
     837,  1251,   537,   843,   163,   311,   453,   842,  1098,   398,
     155,   155,   113,   288,   834,   843,  1252,   224,   224,   224,
     224,   697,   224,   224,   224,   224,   224,  1193,   442,  1149,
     147,  1125,   534,  1149,   228,   464,   464,   534,  1224,  1226,
     308,   308,  1222,  1226,    59,  1232,  1149,  1222,  1222,   308,
     308,  1230,  1228,  1228,  1149,   534,  1149,  1197,  1149,  1149,
     534,  1188,   537,  1125,  1150,  1150,  1150,  1150,   135,   137,
     292,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,
    1150,  1149,  1149,  1149,  1125,   534,   534,   534,  1188,   534,
     537,    59,  1151,  1165,   534,  1260,  1160,   340,   425,  1163,
     534,   537,   482,  1156,    38,   534,  1248,  1149,    35,    35,
    1149,   534,  1149,   177,   291,  1228,  1149,   534,   150,  1150,
    1150,   150,   150,  1149,  1149,  1057,   534,  1188,   537,  1149,
    1173,  1257,  1051,  1051,  1051,  1051,  1240,  1240,  1240,  1070,
     534,  1070,   534,   998,   532,  1222,  1090,  1092,  1090,  1090,
     533,   502,  1151,   534,  1257,   533,  1087,   227,   318,  1094,
    1087,  1094,   227,  1093,  1094,   227,   435,  1100,   533,  1257,
     533,   315,    59,   190,  1077,   533,   859,   168,   245,   309,
     490,   443,   103,  1149,   374,  1010,   476,   534,   537,  1212,
      90,  1010,   308,   534,   537,  1020,  1108,  1149,   534,   528,
     876,   456,   180,   382,   389,   396,   434,   457,   848,   171,
     848,   534,   122,   210,   288,   292,   772,  1242,  1242,    38,
     471,   471,   243,   814,  1251,  1242,   446,   918,   388,   446,
     214,  1242,    59,   436,  1242,   534,   157,   533,   661,   662,
     854,  1154,  1257,   657,   636,   657,   771,  1242,   657,   120,
    1257,    86,   638,   639,   418,   181,   159,   194,   292,   598,
     550,   113,   159,   181,   292,   418,   598,   638,   640,   695,
     401,   603,   456,  1242,  1257,   393,   725,  1242,   601,   784,
    1260,  1242,   323,   401,   446,   918,   388,   446,   160,   446,
     446,   388,   179,   310,   421,   793,   794,   179,   310,   801,
     802,   446,   446,   388,   534,   534,   534,   925,   289,   697,
     872,   926,  1186,  1248,  1265,   366,  1242,   533,   490,   745,
    1242,   663,   107,  1257,   533,   663,  1249,  1248,  1248,  1248,
    1242,  1242,  1242,  1242,   604,    59,   436,  1242,  1242,  1242,
    1242,   477,  1242,  1242,   171,   171,   368,   171,   195,  1251,
    1242,  1242,  1251,  1242,  1242,  1242,  1242,  1242,  1242,  1242,
     308,    78,   595,   157,    27,    50,   456,  1257,  1242,  1248,
     723,  1242,  1242,  1242,  1242,  1056,   534,   224,   819,   224,
     224,   224,   819,   550,   471,   621,   622,   701,   771,   490,
     492,   813,   533,   813,  1242,  1150,    32,    59,   646,   123,
     197,   122,   297,   240,  1240,   645,   179,   347,   767,   774,
     775,  1257,   710,   533,   329,   533,   631,   649,   209,   668,
     634,  1252,  1252,  1125,   533,   599,    29,   125,   216,   394,
     469,   750,   446,   746,  1251,   195,  1240,   732,   494,   308,
     534,  1086,   681,   889,   534,   537,  1111,   721,   739,   534,
     692,    38,   302,   329,   533,  1000,   633,   635,   637,   651,
    1257,   329,   669,   670,   631,   668,   598,   305,   308,   675,
    1037,   687,   685,   599,  1248,  1242,   851,   784,     3,   787,
     308,   873,  1149,  1149,   537,   533,   879,   456,   537,    44,
    1149,   446,   533,   657,  1240,   756,   701,   534,   966,   967,
    1242,  1242,   547,   398,   547,  1241,  1241,  1241,  1241,  1241,
     697,   183,   836,   843,   841,   534,  1242,   113,   177,   547,
     843,   297,   822,  1248,   822,   822,   822,   224,   822,   822,
     822,   822,   822,  1149,   534,   145,   241,   241,   534,   297,
     297,   534,  1058,  1226,   330,  1214,   297,   297,  1226,  1226,
    1214,  1214,   534,   534,   177,   534,  1149,   177,   135,   137,
     177,   171,   150,   534,   497,  1158,  1188,   359,   476,    59,
    1165,  1151,   488,   488,   534,  1149,   288,  1149,   537,  1157,
    1127,  1149,  1149,  1149,  1149,    35,    35,  1149,  1149,   150,
     534,   534,   534,  1149,   534,   329,  1174,  1240,  1240,  1240,
    1240,  1077,  1248,  1077,  1248,   534,   537,  1103,  1104,  1154,
     533,  1164,  1089,   533,  1241,  1087,   308,   471,  1095,  1087,
     227,  1087,  1245,  1110,   533,  1110,  1257,  1052,  1149,   489,
    1168,   899,   443,   302,  1237,  1037,   322,  1037,  1007,   308,
     533,  1009,  1149,   523,  1021,  1010,   456,   534,   446,   829,
     177,   771,   123,   197,   208,   122,   473,   547,  1125,  1242,
    1242,  1242,  1242,  1242,  1242,  1242,  1252,  1242,   771,   636,
    1149,   534,   537,   490,    78,   853,   857,   853,   534,   534,
     534,   120,  1257,   721,   604,   646,   195,   195,   297,   697,
      38,   646,   297,   604,  1125,   547,   547,   523,    59,   436,
    1242,  1242,  1242,  1242,  1242,  1251,  1242,  1242,  1247,  1247,
    1125,   537,  1247,  1247,   537,  1251,  1242,  1242,   446,  1149,
      72,  1149,  1252,  1242,   446,   446,   177,   201,   490,  1241,
    1241,   813,  1241,   157,   160,   813,  1248,  1248,  1125,   547,
     547,   446,   534,   224,   819,   819,   819,   819,   533,   617,
     618,   550,   127,   179,   213,   179,  1149,   292,   644,   120,
      38,   889,   656,   889,  1245,    35,   156,   201,   722,   726,
     302,   630,   606,   154,   203,   533,   398,   471,   657,    38,
    1252,   744,   564,   292,   533,   173,  1242,   680,  1248,   398,
     599,   156,  1037,   813,   302,   630,   685,   534,   537,   490,
     642,    59,   673,   606,   669,    84,   436,   676,   490,   955,
      38,   676,   177,   308,   533,  1240,  1248,   870,   890,   891,
    1258,   885,  1125,   171,   886,  1240,   177,   446,   910,   361,
     757,   211,   702,   547,   534,   547,   547,  1242,   311,   222,
     835,   547,   822,  1242,   534,  1215,  1216,  1222,   120,   143,
     149,   163,   297,   453,   465,  1218,  1219,  1221,   534,   534,
    1226,  1226,  1149,   534,  1150,   177,  1149,  1149,  1149,   533,
     534,   537,   534,  1165,   534,   476,   415,   534,   205,   288,
    1162,  1149,  1149,  1149,   534,    59,  1056,  1168,  1168,   391,
    1046,  1149,   534,   537,    38,  1105,   120,  1117,  1118,  1150,
      81,  1241,   534,  1149,   533,  1087,  1095,   533,   534,  1110,
     534,   102,   187,   380,   533,  1071,  1072,  1073,  1074,  1075,
    1076,  1149,  1169,  1170,  1257,  1056,   534,  1034,  1005,    92,
     852,   854,   136,   486,  1024,  1025,  1026,  1027,  1149,   835,
     308,   835,   534,   446,   401,  1016,   534,   202,   659,   662,
     310,   899,   813,   545,   813,   360,   659,   659,   642,    38,
     157,   157,   533,   595,   784,  1252,  1242,   446,   533,   865,
     899,   901,   794,   533,   533,   802,  1242,   534,   533,   534,
     401,  1016,  1242,  1242,   533,   533,   533,   490,   514,   975,
     368,   975,   975,   171,  1242,   595,  1242,   819,   623,   624,
    1260,    54,   101,   126,   145,   150,   172,   176,   191,   297,
     351,   619,   617,  1248,   865,    38,   906,   906,   534,   194,
     533,   471,   677,   264,   660,   677,   533,   775,   767,   533,
     534,   537,  1240,   534,   398,    29,    83,    86,    93,   121,
     181,   194,   207,   418,   421,   650,   650,  1239,  1242,  1242,
     534,  1037,   745,   157,   113,   721,   177,  1242,    38,  1242,
     685,   631,  1240,   534,   635,   312,  1257,   674,   669,   673,
     125,   140,   340,  1242,    64,    72,   256,  1037,   813,  1096,
     852,   177,   770,   872,   534,   537,   456,   147,   543,   884,
     887,  1107,   413,   413,   534,   282,   306,   758,   759,   760,
     171,   763,   701,   288,   475,   703,   704,  1242,   843,   537,
      38,  1149,    37,   301,   308,   534,   490,   492,  1217,  1218,
    1220,   171,  1150,  1159,  1188,   288,   509,   205,   534,  1188,
     188,   353,   384,  1175,    58,   129,   112,  1047,    38,  1120,
    1106,  1103,   533,  1150,   534,   537,    38,  1113,  1114,  1257,
     534,  1241,  1188,   534,   533,   402,   533,   534,   537,   537,
      38,  1061,   476,  1242,   534,   537,   293,   469,   265,   292,
    1010,  1025,    35,  1028,  1028,   837,   848,   547,  1242,   436,
     853,   533,   889,   533,   858,   598,  1240,   889,   889,   194,
    1149,   471,   596,   401,  1016,  1242,  1192,   171,   797,   797,
    1192,  1192,  1149,   436,  1188,  1188,   607,   608,  1259,   812,
     813,   812,   813,  1241,   547,   534,   537,   120,   526,   533,
     574,   625,   697,   972,  1248,   972,   292,   297,   351,   972,
     972,  1107,   906,    42,   199,   288,   655,   533,   693,  1149,
     206,   178,   328,   407,   308,   664,   665,   666,   534,  1245,
       6,   776,   726,   631,   668,  1242,   534,   721,   164,   796,
     599,   955,  1240,   494,  1086,   721,  1037,  1000,   669,   631,
     668,   642,   533,   675,   673,   674,   384,   384,    72,   311,
      72,   685,   851,   534,  1240,   771,   879,   890,  1125,   536,
     136,   490,   490,   759,   383,   433,   761,   141,   764,   486,
     766,   475,   701,   721,   547,  1216,  1260,   149,    37,    88,
     460,   494,    37,   494,   239,   307,  1225,   308,   534,  1149,
     534,   534,   476,    52,   103,   459,  1149,  1176,  1177,  1176,
    1176,   534,   168,   168,   657,  1242,  1214,  1110,   537,  1118,
    1260,   534,   537,   171,  1125,   534,   534,  1188,   533,  1188,
    1072,  1170,  1172,  1079,  1037,  1107,   854,   401,   265,  1149,
     442,   442,   177,  1242,   657,   677,   899,   859,   858,   656,
     677,   677,   693,   534,  1149,   436,   534,   314,   391,   357,
     798,   798,   534,   534,   534,  1242,   534,   534,   534,   537,
    1247,   975,   624,   574,   626,   627,  1248,  1248,   297,   526,
     657,   526,   657,  1248,  1248,   208,   694,   534,   436,   125,
     469,   308,   666,   308,   665,   533,   534,   537,   606,   398,
     721,   813,    38,    38,   533,  1242,   955,   685,   673,   606,
     669,   533,   671,   672,  1154,  1257,   676,   674,   675,   311,
     311,   533,   202,   855,   171,   885,    30,   217,   942,   179,
     179,   972,   383,   417,   765,   533,   156,   494,    37,   494,
      37,   494,   494,   352,   352,  1220,   143,   149,  1177,   383,
     170,   338,   170,   338,   153,  1178,  1178,  1178,    59,    59,
     401,    81,   534,  1151,  1114,   315,     3,   120,   292,   297,
     332,  1115,  1116,    38,  1091,   367,  1101,   534,  1071,   534,
    1019,    59,   125,   136,   469,  1029,  1030,   136,   216,  1031,
     835,  1016,   534,   663,   534,   859,   660,   771,   771,  1242,
     865,    59,  1016,   446,   607,   813,   534,   537,   526,   657,
     534,   422,  1242,    63,   288,   372,   401,   667,   667,   534,
       6,   398,  1242,   793,  1037,   721,   674,   669,   673,  1149,
     534,   537,   857,   857,   675,   676,   852,   533,   645,   141,
     293,   533,   937,   939,   943,  1002,  1011,  1018,  1037,  1048,
     865,   865,   762,  1257,  1149,   767,   494,   494,   308,   308,
     534,  1218,    35,   103,   186,   288,   443,   657,   657,  1257,
     533,  1164,  1150,  1150,   297,  1150,  1116,  1257,   533,   534,
    1107,   412,   437,   293,   401,   293,   120,   322,   477,   533,
    1032,   547,   771,   664,  1016,   813,   533,   627,    24,   120,
     297,  1242,   721,   955,   675,   673,   674,   534,   672,   545,
     545,   676,   534,   854,   856,   599,   383,   938,   939,   940,
    1038,  1039,   537,   537,   534,  1245,   387,   387,   308,  1177,
     383,   316,   401,   401,   446,   471,   281,  1121,  1122,  1257,
      81,  1149,  1019,   477,  1005,   533,  1006,   771,  1188,   656,
     656,   721,   676,   674,   675,   857,   855,   534,   537,   676,
     766,   534,   536,   446,   177,   533,   424,   424,   149,  1257,
    1257,   228,  1245,  1246,  1257,   332,  1123,   534,   537,   171,
    1125,  1113,   534,   476,  1188,   534,   534,   675,   676,   545,
     645,   854,  1107,   156,   940,   413,   413,     5,   768,   769,
    1247,  1248,  1260,   533,   120,  1248,  1221,  1122,   315,   157,
     332,  1124,  1223,   534,  1032,   534,   322,  1032,   676,   599,
     767,   490,   490,   534,   537,  1189,  1246,    38,    81,   534,
    1124,  1248,  1217,  1124,  1005,   676,  1245,   179,   179,   769,
    1056,   471,  1242,   533,  1221,  1225,  1217,   476,  1107,   533,
     865,   865,   534,  1257,    81,  1121,  1220,  1225,  1032,   768,
     533,   534,  1220,   534,  1121,   534
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   539,   540,   540,   540,   540,   540,   540,   541,   541,
     542,   542,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   544,   544,   545,
     545,   546,   546,   547,   547,   547,   548,   549,   550,   550,
     550,   551,   551,   552,   552,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   554,   554,   554,   554,   554,   554,
     555,   556,   556,   557,   557,   558,   558,   558,   558,   559,
     559,   559,   559,   559,   559,   560,   561,   562,   562,   563,
     563,   563,   563,   564,   564,   565,   565,   565,   565,   565,
     565,   566,   566,   566,   567,   567,   567,   568,   568,   568,
     568,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   569,   570,   570,   571,   571,   572,   572,   573,   573,
     573,   573,   574,   574,   574,   574,   575,   575,   575,   575,
     575,   575,   575,   576,   576,   576,   577,   577,   578,   579,
     579,   579,   579,   580,   580,   581,   581,   582,   582,   583,
     583,   583,   583,   583,   584,   585,   585,   586,   586,   587,
     588,   588,   588,   588,   588,   589,   589,   589,   589,   589,
     589,   589,   589,   589,   589,   589,   589,   589,   589,   589,
     589,   589,   589,   589,   589,   589,   590,   590,   591,   591,
     591,   592,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   594,   594,   595,   595,   596,   596,   597,
     597,   597,   597,   598,   599,   599,   600,   600,   601,   601,
     601,   601,   602,   602,   603,   603,   603,   603,   604,   604,
     605,   605,   606,   606,   606,   606,   607,   608,   608,   609,
     610,   610,   611,   611,   611,   611,   612,   612,   613,   613,
     614,   614,   615,   615,   616,   616,   616,   617,   617,   618,
     618,   619,   619,   619,   619,   619,   619,   619,   619,   619,
     619,   619,   619,   619,   619,   619,   620,   620,   621,   621,
     622,   622,   623,   623,   624,   625,   625,   625,   625,   625,
     625,   626,   626,   627,   628,   628,   628,   628,   628,   628,
     629,   629,   629,   629,   629,   629,   629,   629,   630,   630,
     631,   631,   632,   632,   633,   633,   634,   634,   634,   635,
     635,   636,   637,   637,   638,   638,   639,   639,   640,   640,
     641,   641,   642,   642,   643,   643,   643,   643,   644,   644,
     644,   644,   644,   644,   644,   644,   644,   645,   645,   645,
     646,   646,   647,   647,   647,   647,   648,   649,   649,   649,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   650,
     651,   651,   652,   652,   652,   652,   652,   652,   652,   653,
     653,   654,   654,   655,   655,   656,   656,   657,   657,   658,
     659,   659,   660,   660,   660,   660,   661,   661,   662,   662,
     663,   663,   664,   664,   664,   664,   664,   665,   666,   667,
     667,   667,   667,   667,   668,   668,   669,   669,   670,   671,
     671,   672,   672,   672,   673,   673,   674,   674,   674,   675,
     675,   675,   675,   676,   676,   677,   677,   678,   679,   679,
     680,   680,   681,   681,   681,   682,   682,   683,   683,   684,
     685,   685,   685,   686,   686,   687,   688,   688,   689,   690,
     690,   691,   691,   692,   692,   693,   693,   694,   694,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   695,   695,
     695,   695,   695,   696,   696,   697,   697,   697,   697,   698,
     698,   699,   699,   700,   700,   701,   701,   702,   702,   703,
     703,   704,   704,   705,   705,   706,   707,   707,   708,   708,
     709,   709,   710,   710,   711,   711,   711,   711,   712,   713,
     713,   714,   715,   715,   715,   715,   715,   715,   715,   715,
     715,   715,   715,   715,   715,   716,   717,   717,   717,   717,
     718,   718,   719,   719,   720,   720,   721,   721,   722,   722,
     723,   724,   724,   725,   725,   725,   725,   726,   727,   728,
     729,   729,   730,   730,   731,   731,   732,   732,   733,   733,
     733,   734,   734,   734,   734,   735,   736,   736,   737,   737,
     738,   738,   739,   739,   740,   740,   741,   742,   743,   744,
     744,   745,   745,   746,   746,   747,   747,   748,   748,   749,
     749,   750,   750,   750,   750,   750,   751,   752,   752,   753,
     753,   754,   754,   754,   755,   755,   756,   756,   756,   756,
     756,   757,   757,   758,   758,   759,   760,   760,   761,   761,
     762,   763,   763,   764,   764,   765,   765,   766,   766,   767,
     767,   768,   768,   768,   769,   769,   769,   769,   770,   770,
     771,   771,   772,   772,   772,   772,   772,   772,   773,   773,
     774,   774,   775,   776,   776,   777,   778,   778,   778,   778,
     779,   780,   780,   780,   780,   780,   780,   780,   780,   780,
     780,   780,   780,   780,   780,   780,   780,   781,   782,   782,
     783,   783,   784,   784,   784,   784,   784,   784,   785,   786,
     786,   787,   788,   788,   789,   789,   790,   790,   790,   790,
     790,   791,   791,   792,   793,   793,   794,   794,   794,   794,
     794,   795,   795,   796,   796,   797,   797,   797,   798,   798,
     799,   800,   800,   801,   801,   802,   802,   803,   803,   804,
     804,   805,   806,   807,   807,   807,   807,   807,   807,   807,
     807,   807,   807,   807,   807,   808,   808,   808,   808,   808,
     808,   808,   808,   808,   808,   808,   808,   808,   809,   809,
     809,   809,   809,   810,   810,   810,   810,   810,   810,   810,
     810,   811,   811,   811,   812,   812,   813,   813,   814,   814,
     815,   815,   816,   817,   817,   817,   818,   818,   818,   818,
     818,   818,   818,   818,   818,   818,   818,   818,   818,   818,
     818,   818,   818,   818,   819,   819,   820,   820,   820,   820,
     820,   820,   820,   820,   820,   820,   821,   821,   822,   822,
     823,   823,   824,   824,   824,   824,   824,   824,   824,   824,
     824,   824,   824,   824,   824,   824,   824,   824,   825,   825,
     826,   826,   827,   828,   828,   829,   829,   829,   829,   829,
     830,   830,   831,   831,   831,   831,   831,   832,   832,   833,
     833,   834,   834,   834,   834,   834,   834,   834,   834,   834,
     834,   834,   834,   834,   834,   834,   834,   834,   834,   834,
     834,   834,   835,   835,   836,   836,   837,   837,   838,   838,
     839,   839,   840,   840,   841,   842,   842,   842,   843,   843,
     844,   845,   845,   846,   846,   846,   847,   847,   847,   848,
     848,   848,   848,   848,   848,   849,   849,   850,   850,   851,
     851,   852,   852,   853,   853,   854,   854,   854,   855,   855,
     856,   856,   857,   857,   858,   858,   858,   859,   859,   859,
     860,   860,   860,   860,   861,   861,   862,   862,   863,   863,
     864,   864,   865,   865,   865,   865,   866,   866,   867,   867,
     868,   868,   868,   868,   868,   869,   869,   869,   869,   869,
     870,   871,   872,   872,   872,   873,   873,   873,   874,   875,
     875,   875,   875,   876,   876,   877,   878,   878,   879,   879,
     880,   880,   881,   881,   881,   881,   881,   881,   881,   881,
     881,   881,   881,   881,   881,   881,   881,   881,   881,   882,
     882,   882,   882,   882,   883,   883,   884,   885,   885,   885,
     886,   886,   887,   887,   888,   888,   889,   889,   890,   891,
     891,   892,   892,   892,   893,   893,   894,   894,   895,   895,
     895,   895,   895,   895,   896,   896,   897,   897,   898,   898,
     898,   898,   899,   899,   900,   900,   901,   902,   903,   903,
     904,   904,   905,   905,   905,   906,   906,   906,   907,   908,
     908,   909,   910,   910,   910,   910,   911,   912,   912,   912,
     913,   913,   914,   914,   915,   915,   916,   916,   917,   917,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   917,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   917,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   917,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   917,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   917,
     917,   917,   917,   918,   918,   919,   919,   920,   920,   920,
     920,   920,   920,   921,   921,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   923,   924,   924,   925,   925,   925,   926,   926,
     926,   926,   926,   927,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   929,   929,
     929,   930,   930,   930,   930,   930,   930,   930,   931,   931,
     932,   932,   932,   932,   933,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   935,   935,   936,   937,   937,   937,
     938,   938,   939,   939,   939,   939,   939,   940,   940,   941,
     941,   941,   941,   942,   942,   942,   943,   944,   944,   945,
     946,   946,   947,   947,   947,   947,   947,   947,   947,   947,
     947,   947,   947,   947,   948,   948,   949,   949,   949,   950,
     950,   950,   950,   950,   951,   951,   951,   952,   952,   953,
     953,   953,   954,   954,   954,   954,   955,   955,   955,   955,
     956,   957,   958,   958,   959,   959,   960,   960,   960,   961,
     961,   961,   961,   961,   961,   961,   962,   962,   963,   963,
     963,   963,   964,   965,   965,   965,   965,   966,   966,   967,
     968,   969,   969,   970,   971,   971,   971,   971,   971,   971,
     971,   972,   972,   973,   974,   974,   974,   974,   974,   974,
     975,   975,   976,   977,   977,   977,   977,   977,   978,   978,
     979,   979,   980,   980,   981,   981,   982,   982,   983,   984,
     984,   984,   985,   985,   985,   986,   986,   987,   987,   988,
     988,   989,   989,   990,   990,   991,   992,   992,   993,   993,
     994,   994,   994,   994,   995,   995,   995,   995,   995,   995,
     995,   995,   995,   995,   996,   997,   997,   998,   998,   998,
     998,   998,   999,   999,   999,  1000,  1000,  1001,  1001,  1001,
    1001,  1002,  1003,  1003,  1004,  1004,  1004,  1004,  1004,  1005,
    1005,  1006,  1006,  1007,  1008,  1008,  1008,  1009,  1009,  1009,
    1010,  1010,  1011,  1012,  1012,  1013,  1014,  1014,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1016,  1016,  1017,  1017,
    1017,  1018,  1019,  1019,  1020,  1020,  1021,  1022,  1022,  1023,
    1024,  1024,  1025,  1025,  1025,  1025,  1025,  1026,  1026,  1027,
    1027,  1028,  1028,  1029,  1030,  1031,  1031,  1031,  1031,  1031,
    1032,  1033,  1034,  1035,  1035,  1035,  1035,  1035,  1035,  1036,
    1036,  1036,  1037,  1037,  1038,  1038,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1040,  1040,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1042,  1042,  1042,  1043,  1043,  1044,  1045,
    1045,  1045,  1046,  1046,  1046,  1047,  1047,  1047,  1048,  1048,
    1049,  1049,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1051,  1051,  1052,  1052,  1052,  1053,  1053,  1054,  1054,
    1055,  1055,  1056,  1056,  1057,  1058,  1058,  1059,  1059,  1060,
    1060,  1060,  1060,  1061,  1061,  1062,  1062,  1062,  1062,  1062,
    1062,  1063,  1063,  1064,  1064,  1065,  1066,  1066,  1066,  1067,
    1067,  1068,  1068,  1069,  1069,  1070,  1070,  1071,  1071,  1072,
    1072,  1072,  1072,  1072,  1073,  1074,  1075,  1076,  1077,  1077,
    1078,  1078,  1079,  1079,  1080,  1080,  1081,  1082,  1082,  1082,
    1082,  1083,  1083,  1084,  1084,  1085,  1085,  1086,  1086,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1088,  1088,  1088,  1088,  1088,  1088,  1089,  1089,  1089,
    1089,  1090,  1090,  1091,  1091,  1092,  1092,  1092,  1092,  1092,
    1093,  1093,  1093,  1093,  1094,  1094,  1095,  1095,  1096,  1096,
    1097,  1097,  1097,  1098,  1098,  1099,  1099,  1099,  1100,  1101,
    1101,  1102,  1102,  1103,  1104,  1104,  1105,  1105,  1106,  1106,
    1107,  1107,  1108,  1108,  1108,  1109,  1109,  1110,  1110,  1111,
    1112,  1112,  1113,  1113,  1114,  1114,  1114,  1115,  1115,  1116,
    1116,  1116,  1116,  1116,  1117,  1117,  1118,  1118,  1119,  1120,
    1120,  1121,  1121,  1122,  1122,  1122,  1122,  1122,  1122,  1123,
    1123,  1124,  1124,  1125,  1125,  1125,  1125,  1125,  1125,  1126,
    1126,  1126,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,
    1128,  1128,  1128,  1128,  1128,  1129,  1129,  1130,  1130,  1131,
    1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,
    1132,  1132,  1133,  1133,  1134,  1134,  1135,  1136,  1137,  1137,
    1138,  1138,  1139,  1140,  1141,  1141,  1141,  1141,  1141,  1141,
    1142,  1142,  1143,  1143,  1143,  1143,  1144,  1145,  1145,  1145,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1147,  1147,  1148,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1150,  1150,  1150,  1150,  1150,
    1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,
    1150,  1150,  1150,  1150,  1150,  1150,  1150,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1152,  1152,  1152,  1152,  1152,  1152,  1152,  1153,  1153,
    1153,  1154,  1154,  1154,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1156,  1156,  1157,  1157,  1157,  1157,
    1158,  1159,  1159,  1160,  1160,  1161,  1161,  1162,  1162,  1162,
    1163,  1163,  1163,  1164,  1164,  1164,  1164,  1165,  1165,  1166,
    1166,  1167,  1167,  1168,  1168,  1169,  1169,  1170,  1171,  1171,
    1171,  1172,  1173,  1173,  1174,  1174,  1175,  1175,  1175,  1175,
    1176,  1176,  1177,  1177,  1177,  1177,  1177,  1178,  1178,  1178,
    1178,  1178,  1179,  1179,  1179,  1180,  1180,  1181,  1182,  1182,
    1182,  1183,  1183,  1184,  1184,  1184,  1184,  1184,  1184,  1184,
    1184,  1184,  1184,  1184,  1184,  1185,  1185,  1186,  1186,  1187,
    1187,  1187,  1187,  1187,  1187,  1188,  1188,  1189,  1189,  1190,
    1190,  1190,  1191,  1191,  1192,  1192,  1193,  1193,  1193,  1194,
    1194,  1195,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1197,  1197,  1197,  1197,  1198,  1198,  1199,  1200,  1200,  1200,
    1200,  1200,  1201,  1201,  1201,  1202,  1202,  1203,  1204,  1204,
    1205,  1206,  1206,  1207,  1207,  1208,  1208,  1209,  1209,  1209,
    1209,  1210,  1210,  1211,  1211,  1212,  1212,  1213,  1213,  1214,
    1214,  1215,  1215,  1216,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1218,  1218,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1220,  1220,  1220,  1220,  1221,  1221,  1222,
    1223,  1223,  1224,  1224,  1225,  1225,  1225,  1225,  1225,  1226,
    1226,  1227,  1227,  1227,  1227,  1227,  1228,  1228,  1228,  1228,
    1228,  1229,  1229,  1230,  1230,  1231,  1231,  1231,  1232,  1232,
    1232,  1233,  1233,  1234,  1234,  1235,  1235,  1236,  1236,  1237,
    1237,  1238,  1238,  1238,  1238,  1239,  1239,  1240,  1240,  1241,
    1241,  1242,  1243,  1244,  1245,  1245,  1246,  1246,  1246,  1246,
    1246,  1246,  1246,  1246,  1246,  1246,  1246,  1246,  1246,  1247,
    1248,  1249,  1249,  1249,  1250,  1251,  1251,  1251,  1251,  1252,
    1252,  1253,  1254,  1255,  1255,  1256,  1256,  1257,  1257,  1257,
    1258,  1258,  1258,  1259,  1259,  1259,  1259,  1260,  1260,  1260,
    1260,  1260,  1261,  1261,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     2,
       3,     4,     3,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,     4,     6,    10,
      13,     4,     6,     4,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     5,     7,     1,     3,     4,     4,
       4,     3,     2,     5,     3,     6,     4,     6,     6,     9,
       5,     7,     6,     6,     5,     5,     5,     5,     9,     4,
       5,     7,     6,     4,     8,     4,     2,     4,     3,     6,
       4,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     4,     3,     2,     2,     3,     4,     4,
       4,     5,     1,     3,     2,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     1,     2,     1,     3,     2,     3,     1,     1,
       1,     1,     6,     6,    10,     1,     2,     1,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       3,     4,     4,     3,     3,     2,     1,     0,     3,     0,
       1,     0,     1,     3,     2,     1,     1,     1,     1,     3,
       0,     1,     3,     1,    13,    16,    12,    15,    14,    17,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     6,     2,     4,     2,     2,     1,     0,     2,     2,
       1,     0,     2,     0,     3,     1,     1,     2,     2,     1,
       4,     4,     5,     2,     5,     7,     5,     2,     3,     0,
       1,     2,     1,     2,     2,     2,     3,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     9,     3,     9,     4,    10,    11,     3,
       1,     5,     3,     2,     0,     3,     0,     1,     3,     1,
       4,     0,     2,     2,     2,     0,     1,     3,     3,     6,
       4,     0,     1,     1,     2,     2,     0,     3,     3,     2,
       1,     1,     3,     3,     4,     0,     1,     0,     6,     1,
       3,     3,     3,     5,     2,     0,     2,     2,     0,     3,
       4,     4,     0,     2,     0,     4,     0,     3,     8,    11,
       1,     3,     1,     1,     3,     6,     8,     7,    10,     6,
       2,     3,     0,     8,    11,     5,     1,     0,     6,     5,
       8,     4,     6,     1,     0,     3,     0,     1,     2,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       3,     1,     3,     1,     0,     1,     2,     2,     1,     1,
       3,     6,    10,     1,     0,     1,     2,     2,     0,     2,
       2,     1,     0,     1,     0,     7,     2,     0,     3,     5,
       5,     8,     2,     0,     2,     2,     2,     1,     5,     2,
       0,     2,     6,     6,     6,    10,     6,     6,     6,     9,
       9,     6,     6,     9,     6,     7,     2,     2,     2,     2,
       1,     2,     1,     0,     7,     6,     4,     0,     1,     3,
       4,     1,     3,     1,     2,     2,     2,     2,     1,     1,
      10,    13,     2,     0,     2,     2,     1,     0,     5,     4,
       4,    11,    14,    12,    15,    11,     2,     1,     4,     0,
       8,    11,     1,     1,     7,     9,     8,    10,     8,     4,
       0,     5,     0,     2,     0,     2,     0,     2,     0,     2,
       0,     1,     1,     1,     1,     1,     8,     1,     1,    17,
      21,     1,     1,     2,     1,     3,     1,     1,     1,     3,
       1,     2,     0,     1,     2,     4,     1,     1,     1,     1,
       1,     3,     0,     1,     0,     1,     1,     4,     0,     1,
       1,     1,     3,     0,     1,     1,     1,     1,     2,     0,
       0,     2,     2,     1,     2,     2,     2,     2,    11,    13,
       1,     3,     5,     1,     3,     5,     1,     2,     2,     1,
       8,     6,     5,     4,     4,     3,     7,     8,     6,     6,
       6,     6,     6,     4,     7,     5,     8,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       3,     3,     1,     0,     1,     3,     7,     9,     9,     8,
       6,     3,     0,    13,     1,     3,     5,     5,     3,     6,
       2,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       6,     8,     8,     1,     3,     5,     5,     7,     9,     7,
       9,     5,     6,     6,     4,     6,     4,     6,     8,     4,
       6,     4,     6,     5,     7,     1,     1,     1,     2,     1,
       2,     1,     1,     1,     3,     3,     3,     3,     1,     1,
       1,     1,     1,     2,     2,     1,     3,     2,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     2,     2,     3,
       1,     3,     5,     2,     2,     0,     6,     6,     6,     6,
       6,     6,     6,     6,     8,     9,     8,     6,     6,     9,
       9,     9,     7,    10,     1,     1,     8,     8,     8,     8,
       8,     8,     8,     9,     8,     8,     2,     0,     1,     1,
       2,     2,     1,     2,     3,     3,     3,     3,     4,     4,
       3,     3,     3,     4,     4,     3,     4,     4,     1,     1,
       1,     0,     8,     8,    11,     1,     1,     2,     4,     5,
       1,     3,     2,     2,     2,     2,     2,     1,     3,     1,
       3,     1,     2,     2,     4,     3,     2,     2,     2,     2,
       2,     2,     3,     2,     2,     2,     2,     5,     5,     5,
       5,     5,     1,     3,     1,     2,     3,     0,     5,     7,
       6,     9,     3,     1,     2,     1,     1,     1,     3,     0,
       5,     2,     0,     3,     3,     3,     7,     7,    10,     1,
       1,     1,     1,     1,     1,    16,    19,     1,     0,     2,
       0,     1,     3,     4,     5,     2,     2,     4,     4,     0,
       1,     3,     2,     0,     1,     1,     0,     2,     2,     0,
       9,    12,     7,     7,     2,     0,     3,     2,     1,     3,
       1,     3,     2,     1,     1,     2,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     2,     1,     3,     1,     0,
       1,     2,     4,     5,     1,     1,     1,     1,     3,     3,
       2,     2,     1,     2,     2,     2,     2,     1,     2,     2,
       2,     2,     1,     1,     1,     3,     2,     1,     4,     0,
       3,     0,     1,     1,     3,     5,     2,     0,     2,     1,
       3,     5,     5,     5,     1,     2,     1,     0,     4,     6,
       4,     6,     4,     6,     4,     6,     4,     6,     3,     5,
       5,     5,     1,     3,     1,     3,     2,     2,     1,     2,
       1,     2,    11,    10,    10,     2,     2,     0,     9,     2,
       0,    10,    11,    11,     5,     5,     8,     5,     5,     5,
       1,     1,     1,     1,     3,     0,     5,     5,     6,     6,
       6,     6,     6,     8,     8,     6,     6,     7,     9,     9,
       8,    10,     6,     6,     6,     6,     6,     6,     6,     8,
       6,     8,     6,     8,     7,     9,     6,     8,     7,     9,
       8,    10,     8,    10,     9,    11,     8,    10,     9,    11,
       8,     8,     7,     6,     6,     6,     6,     8,     8,     8,
       8,     6,     9,     1,     0,     2,     0,     8,     8,     8,
      10,     9,     8,     1,     0,     6,     6,     6,     6,     6,
       6,     6,     9,     9,     6,     6,     6,     8,     6,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     7,
       9,     6,     7,     1,     3,     3,     3,     1,     1,     1,
       1,     1,     1,     7,     6,     6,     6,     6,     6,     6,
       7,     7,     6,     9,     9,     6,     6,     6,     6,     6,
       6,     8,     8,     8,     6,     7,     6,     6,     4,     7,
       6,     4,     4,     4,     3,     4,     3,     1,     1,     3,
       5,     5,     5,     5,     8,     5,     5,     6,     7,     7,
       7,     4,     4,     5,     4,     6,    13,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     1,     0,     3,     2,     0,     2,
       2,     2,     3,     3,     3,     3,     2,     3,     2,     5,
       4,     3,     3,     3,     3,     3,     1,     1,     0,     3,
       2,     2,     1,     2,     1,     3,     2,     1,     0,     2,
       3,     0,     9,    11,    12,    14,     3,     4,     4,     0,
       2,     5,     1,     0,     1,     2,     3,     3,     3,     1,
       2,     1,     1,     1,     1,     1,     1,     0,     5,     4,
       6,     6,     4,     3,     5,     7,     9,     1,     3,     1,
       5,     4,     4,     6,     4,     6,     6,     5,     7,     9,
       6,     1,     0,     6,    11,    11,    11,    13,     9,    11,
       1,     1,    10,     6,     4,     4,     2,     5,     2,     0,
       6,     5,     3,     5,     1,     3,     1,     1,     2,     1,
       1,     1,     1,     1,     0,     1,     0,     1,     0,     1,
       0,     1,     0,     3,     0,     2,     1,     3,     1,     0,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     5,     3,     0,     1,     1,     1,
       1,     1,     3,     9,    12,     3,     0,     2,     3,     2,
       3,     7,     1,     3,     1,     4,     4,     7,     2,     1,
       1,     1,     3,     2,     8,     5,     0,     4,     3,     0,
       2,     0,     7,     2,     0,     5,     3,     0,     2,     2,
       2,     3,     1,     3,     1,     2,     1,     0,     1,     2,
       0,     8,     1,     3,     3,     5,     2,     1,     3,    10,
       1,     2,     4,     4,     4,     5,     5,     2,     5,     3,
       5,     2,     0,     3,     1,     2,     5,     5,     8,     3,
       4,     7,     1,     0,     3,     2,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     9,     1,     2,
       4,     4,     4,     2,     2,     3,     1,     3,     9,     1,
       2,     0,     7,     7,     0,    10,     6,     0,     1,     0,
       2,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     1,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     6,     4,
       5,     2,     3,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     4,     0,     1,     3,     1,
       1,     1,     1,     1,     2,     4,     4,     5,     2,     0,
       1,     3,     1,     0,     1,     2,     3,     2,     4,     2,
       3,     2,     0,     4,     5,     2,     0,     1,     3,     2,
       3,     2,     3,     2,     3,     2,     3,     1,     4,     2,
       3,     3,     4,     5,     4,     5,     4,     5,     2,     4,
       1,     1,     0,     2,     0,     1,     4,     5,     4,     0,
       2,     2,     2,     1,     1,     0,     5,     2,     1,     1,
       2,     2,     4,     1,     3,     1,     2,     3,     6,     4,
       0,     2,     6,     2,     1,     3,     4,     0,     2,     0,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       7,    12,     1,     3,     2,     3,     3,     1,     2,     2,
       2,     2,     1,     2,     1,     3,     3,     2,    13,     2,
       0,     1,     3,     3,     6,     7,     5,     7,     9,     1,
       0,     2,     0,     2,     3,     5,     6,     2,     3,     3,
       4,     0,     1,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     1,     1,     1,     2,     3,     3,     0,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     1,
       3,     0,     1,     1,     1,     1,     5,     2,     1,     1,
       1,     1,     4,     1,     2,     2,     1,     3,     3,     2,
       1,     0,     5,     2,     5,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     1,     3,     3,
       5,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     3,     3,
       2,     2,     3,     5,     4,     6,     3,     5,     4,     6,
       4,     6,     5,     7,     3,     2,     4,     2,     3,     3,
       4,     3,     4,     3,     4,     5,     6,     6,     7,     6,
       7,     3,     4,     4,     6,     3,     3,     4,     3,     4,
       4,     5,     4,     5,     1,     1,     3,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     5,     6,     3,     4,     1,     1,     2,
       4,     1,     1,     1,     2,     2,     2,     2,     1,     1,
       4,     3,     5,     6,     8,     6,     6,     4,     4,     3,
       1,     1,     1,     1,     5,     1,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     6,     4,     4,     4,     4,     4,
       6,     5,     5,     5,     4,     6,     4,     4,     4,     4,
       5,     7,     7,     9,     5,     4,     6,     5,     7,     7,
       8,     4,     7,     4,     6,     6,     4,     5,     4,     5,
       3,    11,     8,     9,     2,     3,     3,     3,     4,     0,
       4,     1,     3,     3,     1,     1,     1,     1,     2,     0,
       2,     2,     0,     2,     3,     3,     4,     2,     2,     5,
       0,     5,     0,     2,     0,     1,     3,     3,     2,     2,
       0,     6,     1,     0,     3,     0,     3,     3,     3,     0,
       1,     4,     2,     2,     2,     2,     2,     3,     2,     2,
       3,     0,     4,     3,     5,     4,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     1,
       3,     3,     1,     0,     1,     3,     3,     3,     2,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     7,     5,     3,     5,     5,     3,
       3,     5,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     0,     1,     2,     0,     2,     1,     0,     2,
       0,     1,     3,     3,     2,     3,     2,     3,     4,     4,
       3,     3,     0,     2,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     3,     3,     6,     0,     3,     0,     2,
       4,     2,     1,     0,     5,     2,     5,     2,     0,     3,
       0,     1,     2,     2,     2,     2,     3,     2,     3,     2,
       0,     1,     3,     3,     3,     3,     3,     0,     3,     3,
       0,     1,     3,     7,     7,     3,     0,     1,     0,     1,
       3,     3,     2,     1,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     6,     2,     3,     5,     1,     1,     1,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       3,    10,     4,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 921 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
				(void) yynerrs;		/* suppress compiler warning */
			}
#line 30089 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 926 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 30097 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 930 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), 0));
			}
#line 30106 "gram.c" /* yacc.c:1646  */
    break;

  case 5:
#line 935 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 30118 "gram.c" /* yacc.c:1646  */
    break;

  case 6:
#line 943 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 30130 "gram.c" /* yacc.c:1646  */
    break;

  case 7:
#line 951 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 30142 "gram.c" /* yacc.c:1646  */
    break;

  case 8:
#line 971 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 30158 "gram.c" /* yacc.c:1646  */
    break;

  case 9:
#line 983 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 30169 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1126 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30175 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1133 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30181 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1134 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30187 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1138 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30193 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1139 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30199 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1143 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30205 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1144 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30211 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1148 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 30217 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1149 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 30223 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1150 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 30229 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1160 "gram.y" /* yacc.c:1646  */
    {
					CallStmt   *n = makeNode(CallStmt);

					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *) n;
				}
#line 30240 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1176 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30253 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1198 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30259 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1199 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30265 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30271 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30277 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1209 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30286 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1214 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 30294 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1218 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 30308 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1228 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 30320 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1236 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 30328 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1240 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 30336 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1244 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 30344 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1249 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30352 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1253 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 30401 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1300 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 30407 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1303 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 30415 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1307 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30423 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1311 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30431 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1315 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 30439 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1319 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 30447 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1333 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30460 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1352 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 30473 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1361 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 30486 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1372 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30492 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1373 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30498 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1378 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30511 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1387 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30524 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1396 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30537 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1405 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30550 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1427 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30562 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1435 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30574 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1443 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30586 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1451 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30598 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1459 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30610 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1467 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30622 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1485 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30635 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1504 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 30649 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1515 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 30655 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1516 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 30661 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1528 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30676 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1539 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30691 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1550 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30711 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1566 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30731 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1585 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 30741 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1591 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30747 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1619 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30758 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1626 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 30769 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1633 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30780 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1643 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30793 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1652 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30806 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1665 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30819 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1674 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30832 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1683 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30844 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1691 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30856 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1701 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 30862 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1703 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30874 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1712 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 30890 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1724 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 30902 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1732 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30915 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1741 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 30931 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1753 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30944 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1762 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30957 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1771 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 30969 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1779 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30982 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1789 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30995 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1799 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31001 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1801 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 31007 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1804 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31013 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31019 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1809 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 31025 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1811 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 31031 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1814 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 31037 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1815 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 31043 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1816 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 31049 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1817 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 31055 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1821 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 31061 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1822 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 31067 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1823 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 31073 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1829 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31079 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1842 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 31087 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1846 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 31095 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1850 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					if ((yyvsp[0].list) != NIL)
					{
						A_Const	   *n = (A_Const *) linitial((yyvsp[0].list));

						if ((n->val.ival.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 31116 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1867 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 31128 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1874 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 31134 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1875 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31140 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1876 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31146 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1880 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31152 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1881 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31158 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1882 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31164 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1886 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31170 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1887 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31176 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1891 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 31182 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1895 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31188 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1897 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 31200 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1905 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 31212 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1913 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 31224 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1924 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 31236 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1932 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 31247 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1942 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31253 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1943 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 31259 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1948 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31265 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1949 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 31271 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1955 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31282 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1962 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 31293 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1969 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 31304 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1976 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 31315 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1983 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 31326 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1994 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);

					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31338 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2004 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31344 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31350 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2009 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31356 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2010 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31362 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2019 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);

					(yyval.node) = (Node *) n;
				}
#line 31372 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2035 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 31383 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2042 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 31394 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2049 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 31405 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2056 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 31416 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2063 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 31427 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2083 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31441 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2093 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31455 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2103 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31469 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2113 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31483 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2123 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31499 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2135 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31515 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2147 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31529 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2157 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31543 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2167 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31557 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2177 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31573 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2189 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31589 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2201 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31603 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2211 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31617 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2221 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31631 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2231 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31645 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2241 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31659 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2251 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31673 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2261 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31689 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2273 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31705 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2285 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31719 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2295 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31733 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2307 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31739 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2308 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31745 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2314 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31762 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2328 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31779 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2341 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 31795 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2357 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31812 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2374 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31825 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2384 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31838 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2394 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31851 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2404 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31864 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2414 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31877 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2424 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 31889 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2433 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 31901 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2442 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetExpression;
					n->name = (yyvsp[-6].str);
					n->def = (yyvsp[-1].node);
					(yyval.node) = (Node *) n;
				}
#line 31914 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2452 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *) n;
				}
#line 31926 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2461 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31939 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2471 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31952 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2481 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31971 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2497 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31984 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2507 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31997 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2517 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 32010 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2527 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 32023 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2537 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *) n;
				}
#line 32043 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2554 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32056 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2564 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32069 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2574 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32082 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2584 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32096 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2595 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32110 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2609 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32129 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2625 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32142 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2635 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32154 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2644 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32173 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2660 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32185 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2669 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32199 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2680 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32213 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2691 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOids;
					(yyval.node) = (Node *) n;
				}
#line 32224 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2699 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32236 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2708 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32248 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2717 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *) n;
				}
#line 32259 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2725 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *) n;
				}
#line 32270 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2733 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32282 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2742 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32294 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2751 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32306 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2760 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 32317 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2768 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 32328 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2776 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32340 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2785 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 32351 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2793 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 32362 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2801 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32374 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2810 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32386 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2819 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32398 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2828 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32410 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2837 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 32422 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2846 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 32434 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2855 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName   *def = makeTypeNameFromNameList((yyvsp[0].list));

					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *) n;
				}
#line 32448 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2866 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOf;
					(yyval.node) = (Node *) n;
				}
#line 32459 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2874 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 32471 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2883 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetAccessMethod;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32483 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2892 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32495 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2901 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32507 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2910 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32519 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2919 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32531 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2928 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32542 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2936 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32553 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2944 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32564 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2952 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32575 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2959 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_GenericOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32587 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2969 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32593 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2970 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32599 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2975 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32612 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2983 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32618 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2987 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32624 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2988 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32630 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2993 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32642 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3001 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32654 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3009 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32666 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3017 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32678 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3027 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32684 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3030 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32690 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3031 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32696 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3035 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32702 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3036 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32708 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3042 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32716 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3046 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 32724 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 32733 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3055 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 32741 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3062 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32747 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3064 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32753 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3069 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 32761 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3073 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32769 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3077 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 32784 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3088 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 32792 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3094 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 32798 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3095 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32804 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3099 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32810 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3100 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32816 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3106 "gram.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 32871 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3159 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 32886 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3172 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 32902 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3186 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 32915 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3198 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 32923 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3205 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 32931 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3209 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 32939 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3223 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *) n;
				}
#line 32953 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3235 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32959 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3236 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32965 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3242 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 32978 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3252 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32992 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3263 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 33006 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3274 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 33026 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3301 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33037 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3308 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 33048 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3344 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 33086 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3378 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *) n;
				}
#line 33110 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3400 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33116 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3401 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33122 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3405 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33128 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3406 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33134 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3415 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33140 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3416 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33146 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3417 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33152 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3420 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33158 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3421 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33164 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3426 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33170 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3427 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33176 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3432 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 33184 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3436 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33192 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33200 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3444 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33208 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3448 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("csv"), (yylsp[0]));
				}
#line 33216 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3452 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33224 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33232 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33240 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3464 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33248 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3468 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 33256 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3472 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) (yyvsp[0].list), (yylsp[-3]));
				}
#line 33264 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) makeNode(A_Star), (yylsp[-3]));
				}
#line 33272 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3480 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33280 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3484 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 33288 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33296 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3497 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 33304 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3500 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 33310 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33318 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3508 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 33324 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3519 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 33332 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3523 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 33340 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3530 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 33348 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3536 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 33354 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3537 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 33360 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3538 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 33366 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3539 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString("default"); }
#line 33372 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3540 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 33378 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3541 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33384 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3546 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33392 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33400 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3557 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 33406 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3571 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33428 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3591 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33450 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3611 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33473 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3632 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33496 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3653 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33519 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3674 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33542 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3705 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33548 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3706 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33554 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3707 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33560 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3708 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33566 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3710 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33577 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3717 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33588 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3723 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 33594 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3724 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 33600 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3728 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33606 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3729 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33612 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3733 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33618 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3734 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33624 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3739 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33632 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3743 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33640 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3750 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33648 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3754 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33656 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3760 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33662 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3761 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33668 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3762 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33674 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3766 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33680 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3767 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33686 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3771 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->storage_name = (yyvsp[-3].str);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 33712 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3795 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33735 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3814 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 33758 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3835 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33764 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3836 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 33770 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3840 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33776 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3841 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33782 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3845 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33788 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3846 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 33794 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3850 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33800 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3851 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33806 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3855 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 33812 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3856 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33818 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3861 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 33830 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3868 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33836 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3869 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33842 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3871 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33860 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3903 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33872 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3911 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 33884 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3919 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-3]);
					n->nulls_not_distinct = !(yyvsp[-2].boolean);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33901 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3932 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33917 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3944 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33934 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3957 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *) n;
				}
#line 33948 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3967 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 33962 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3977 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *) n;
				}
#line 33990 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 4001 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable = (yyvsp[-3].range);
					n->fk_attrs = NIL;
					n->pk_attrs = (yyvsp[-2].list);
					n->fk_matchtype = (yyvsp[-1].ival);
					n->fk_upd_action = ((yyvsp[0].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[0].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[0].keyactions))->deleteAction->cols;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 34011 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 4020 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34017 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 4021 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34023 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 4022 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34029 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 4026 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 34035 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 4027 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 34041 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 4047 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 34053 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 4055 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34065 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 4063 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34077 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 4071 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34089 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 4083 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);

					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *) n;
				}
#line 34102 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 4094 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34108 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 4095 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 34114 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 4096 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 34120 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 4100 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 34126 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 4101 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 34132 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 4102 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 34138 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 4103 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 34144 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 4104 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 34150 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 4105 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 34156 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 4106 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 34162 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 4107 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 34168 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 4108 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 34174 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 4109 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 34180 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 4119 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 34192 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 4126 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34198 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 4131 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34216 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 4146 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-8]);
					n->nulls_not_distinct = !(yyvsp[-7].boolean);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34237 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 4163 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34257 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4180 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34277 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4196 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34297 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4214 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method = (yyvsp[-8].str);
					n->exclusions = (yyvsp[-6].list);
					n->including = (yyvsp[-4].list);
					n->options = (yyvsp[-3].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-2].str);
					n->where_clause = (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34319 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4233 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable = (yyvsp[-4].range);
					n->fk_attrs = (yyvsp[-7].list);
					n->pk_attrs = (yyvsp[-3].list);
					n->fk_matchtype = (yyvsp[-2].ival);
					n->fk_upd_action = ((yyvsp[-1].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[-1].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[-1].keyactions))->deleteAction->cols;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34343 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4267 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 34355 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4274 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34361 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4279 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34379 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4293 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-2]);
					n->keys = list_make1(makeString("value"));
					/* no NOT VALID support yet */
					processCASbits((yyvsp[0].ival), (yylsp[0]), "NOT NULL",
								   NULL, NULL, NULL,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 34397 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4308 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 34403 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4309 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 34409 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4313 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34415 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4314 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34421 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4318 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34427 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4319 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34433 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4323 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 34441 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4328 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34447 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34453 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4333 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 34461 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4337 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 34473 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4345 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 34481 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4349 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 34489 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4355 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 34495 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4357 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 34501 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4361 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 34509 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4366 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 34517 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4372 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 34523 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4373 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 34529 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4378 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34543 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4388 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 34557 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4398 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[-1].keyaction);
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 34569 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4406 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = (yyvsp[-1].keyaction);
					(yyval.keyactions) = n;
				}
#line 34581 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4414 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34597 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4428 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].keyaction))->cols)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("a column list with %s is only supported for ON DELETE actions",
										((yyvsp[0].keyaction))->action == FKCONSTR_ACTION_SETNULL ? "SET NULL" : "SET DEFAULT"),
								 parser_errposition((yylsp[-2]))));
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34611 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34619 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4447 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_NOACTION;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34631 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4455 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_RESTRICT;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34643 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4463 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_CASCADE;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34655 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4471 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETNULL;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34667 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4479 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETDEFAULT;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34679 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4488 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34685 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4489 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34691 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4493 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 34697 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4494 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 34703 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4498 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = parsePartitionStrategy((yyvsp[-3].str));
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 34717 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4509 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 34723 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4510 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 34729 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4514 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 34744 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4525 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 34759 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4536 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 34774 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4549 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34780 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4550 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34786 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4555 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34792 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4556 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34798 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4557 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34804 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4560 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 34810 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4561 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 34816 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4562 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 34822 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4563 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 34828 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4566 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34834 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4567 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34840 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4570 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34846 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4571 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34852 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4574 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34858 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4596 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34874 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4609 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34890 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4629 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 34896 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 34902 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4634 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 34912 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 34922 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 34932 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4663 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 34945 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4672 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 34958 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4694 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34976 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4708 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34994 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4726 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 35010 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4740 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35016 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4741 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35022 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4742 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35028 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4755 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35046 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4769 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35064 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4786 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 35080 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4799 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 35086 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4800 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 35092 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4813 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);

					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 35105 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4834 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35120 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4845 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35135 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4859 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35148 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4868 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35161 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35167 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4880 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35173 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4883 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35179 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4884 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35185 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4887 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35191 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4888 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35197 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4892 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].typnam), (yylsp[-1]));
				}
#line 35205 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4896 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35213 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4900 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 35221 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4904 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 35229 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4908 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35237 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4912 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35245 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4916 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35253 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4920 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 35261 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4924 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 35269 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4928 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 35277 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4932 "gram.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 35286 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4937 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35294 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4941 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 35302 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4945 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35310 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4955 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 35316 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4956 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 35322 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4958 "gram.y" /* yacc.c:1646  */
    {
					Float	   *f = makeFloat((yyvsp[0].str));

					doNegateFloat(f);
					(yyval.node) = (Node *) f;
				}
#line 35333 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4964 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 35339 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35345 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4968 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35351 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4981 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *) n;
			}
#line 35371 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4998 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);

				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *) n;
			}
#line 35387 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 5012 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35393 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 5013 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35399 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 5021 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35405 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 5022 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 35411 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 5026 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35417 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 5027 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35423 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 5031 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35429 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 5032 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35435 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 5036 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35441 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 5037 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35447 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 5053 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);

					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35461 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 5064 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35467 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 5065 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 35473 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 5079 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35485 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 5087 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35497 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 5105 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35510 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 5114 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35523 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 5126 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35529 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 5128 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35535 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 5133 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35543 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 5137 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35551 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 5141 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 35562 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 5148 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 35570 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 5160 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35582 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 5171 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35588 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 5173 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35594 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 5178 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35602 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 5191 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 35616 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 5201 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35630 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 5211 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35644 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 5221 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 35658 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 5231 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35672 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 5241 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35686 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 5251 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35700 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 5261 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 35714 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 5271 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 35728 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 5281 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35742 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 5291 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35756 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 5301 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *) n;
				}
#line 35770 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 5311 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35784 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 5330 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35797 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 5341 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 35803 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 5342 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 35809 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 5343 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 35815 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 5344 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 35821 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 5348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35827 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5349 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35833 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5353 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35839 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5354 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35845 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5365 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35858 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5374 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 35871 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35877 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5387 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35883 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5392 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 35891 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5396 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 35899 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5403 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35905 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5408 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 35913 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5412 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 35921 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5419 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 35929 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5423 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 35938 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5428 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 35947 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5433 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 35955 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 35963 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5446 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35969 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5451 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35975 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5463 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35991 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5476 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36007 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5490 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36013 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5491 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36019 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5496 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36025 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5497 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36031 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5501 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36037 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5502 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36043 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5513 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 36057 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5523 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 36070 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5532 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36082 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5552 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36105 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5573 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36128 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5594 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36152 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5616 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36176 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5649 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);

				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 36192 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5663 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 36198 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5664 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 36204 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5669 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));

				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 36216 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5677 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 36227 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5693 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 36241 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5703 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36255 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5715 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 36261 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5716 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 36267 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5729 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 36280 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5738 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 36293 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5756 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36306 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5783 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);

					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 36323 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5800 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);

					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 36338 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5813 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36344 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5814 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36350 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5818 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36356 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5819 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36362 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5823 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36368 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5824 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 36374 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5828 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36380 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5829 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 36386 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5834 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
								 parser_errposition((yylsp[0]))));

				}
#line 36404 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5847 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36410 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5851 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36416 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5852 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 36422 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5856 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 36428 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5857 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 36434 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5858 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 36440 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5859 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 36446 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5860 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 36452 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5871 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);

					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 36465 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5882 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 36471 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5883 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 36477 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5897 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *) n;
				}
#line 36502 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5921 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported")));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *) n;
				}
#line 36532 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5949 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 36538 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5950 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 36544 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5951 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 36550 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5956 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36556 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5958 "gram.y" /* yacc.c:1646  */
    {
					int			events1 = intVal(linitial((yyvsp[-2].list)));
					int			events2 = intVal(linitial((yyvsp[0].list)));
					List	   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List	   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 36579 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5980 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 36585 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5982 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 36591 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5984 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 36597 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5986 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 36603 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 36609 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5992 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36615 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5993 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36621 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36627 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36633 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 6003 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);

					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *) n;
				}
#line 36646 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 6014 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36652 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 6015 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36658 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 6019 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36664 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 6028 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36670 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 6032 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36676 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 6037 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 36684 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 6041 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 36696 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 6056 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36702 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 6057 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36708 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 6061 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36714 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 6062 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36720 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 6071 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36726 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 6072 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36732 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 6073 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36738 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 6078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 36746 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 6081 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36752 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 6082 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36758 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 6083 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36764 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 6087 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 36770 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 6088 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 36776 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 6093 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36782 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 6095 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 36810 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 6121 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 36816 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 6122 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 36822 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 6123 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 36828 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 6124 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 36834 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 6125 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 36840 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 6126 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 36846 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 6141 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36860 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 6153 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36874 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 6166 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36880 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 6168 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36886 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 6173 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 36892 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 6178 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36898 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 6180 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36904 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 6185 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);

					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 36916 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 6195 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 36922 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 6196 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 36928 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 6197 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 36934 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 6198 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 36940 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 6210 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 36952 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 6229 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36968 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 6241 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36985 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 6254 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37000 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 6265 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37015 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 6276 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *) n;
				}
#line 37031 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 6288 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37044 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 6297 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);

					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37056 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 6305 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);

					n->typeName = (yyvsp[-3].list);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37068 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 6313 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37082 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 6323 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37096 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 6333 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37110 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 6343 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37124 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 6353 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37138 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 6363 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 37153 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 6374 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 37167 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 6384 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 37182 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 6396 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37188 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 6399 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37194 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 6400 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37200 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 6404 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 37208 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 6408 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 37216 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 6414 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 37222 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 6415 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 37228 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 6416 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 37234 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 6417 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 37240 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 6418 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37246 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 6419 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 37252 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 6422 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37258 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 6425 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37264 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6426 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37270 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 37278 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6441 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37284 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6442 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37290 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6446 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37296 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6448 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37302 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6459 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37318 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6471 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37334 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6483 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37350 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6495 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 37366 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6507 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * The following problems must be solved before this can be
				 * implemented:
				 *
				 * - There must be no instance of the target value in
				 *   any table.
				 *
				 * - The value must not appear in any catalog metadata,
				 *   such as stored view expressions or column defaults.
				 *
				 * - The value must not appear in any non-leaf page of a
				 *   btree (and similar issues with other index types).
				 *   This is problematic because a value could persist
				 *   there long after it's gone from user-visible data.
				 *
				 * - Concurrent sessions must not be able to insert the
				 *   value while the preceding conditions are being checked.
				 *
				 * - Possibly more...
				 */
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("dropping an enum value is not implemented"),
						 parser_errposition((yylsp[-2]))));
			}
#line 37397 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6535 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37403 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6536 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37409 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6554 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);

					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37425 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6568 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37431 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6569 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37437 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6574 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);

					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37454 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6588 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37468 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6598 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 37481 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6607 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37495 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6617 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 37507 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6626 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37513 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6627 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37519 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37525 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6631 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37531 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6634 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37537 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6635 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37543 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6636 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37549 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6640 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 37567 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6653 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37573 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6659 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);

					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37585 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6670 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37599 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6680 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37613 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6692 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37619 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37625 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6698 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37638 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6707 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37651 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6720 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37666 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6731 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37681 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6745 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37696 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6756 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37711 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6779 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);

					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37723 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6790 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);

					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37735 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6809 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37750 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6820 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37765 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6831 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37780 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6842 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37795 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6853 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37810 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6864 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37825 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6875 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37840 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6886 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37855 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6897 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37870 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6908 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37885 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6919 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 37900 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6930 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 37915 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6944 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 37921 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6945 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 37927 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6946 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 37933 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6947 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 37939 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6948 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 37945 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6949 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 37951 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6950 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 37957 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6951 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 37963 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6952 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 37969 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6953 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 37975 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6954 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 37981 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6955 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 37987 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6956 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 37993 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6966 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = (yyvsp[0].objtype); }
#line 37999 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6967 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 38005 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6968 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 38011 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6969 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 38017 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6970 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 38023 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6974 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 38029 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6975 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 38035 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6976 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 38041 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6977 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 38047 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6978 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 38053 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6979 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 38059 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6980 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 38065 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6981 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 38071 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6986 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 38077 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6987 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 38083 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6988 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 38089 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6992 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 38095 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6993 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 38101 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6996 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 38107 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 38113 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 7001 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 38119 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 7003 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 38125 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 7007 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 38131 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 7008 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 38137 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 7020 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);

					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38150 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 7031 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38156 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 7032 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38162 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 7033 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38168 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 7044 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38181 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 7053 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38194 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 7062 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38207 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 7071 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38220 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 7080 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38233 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 7089 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38246 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 7098 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38259 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 7107 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38272 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 7116 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38285 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 7125 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38303 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 7139 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38316 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 7148 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38329 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 7157 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38342 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 7166 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38355 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 7175 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38368 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 7184 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38381 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 7193 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38394 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 7202 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38407 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 7213 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38413 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 7214 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38419 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 7230 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38433 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 7241 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38447 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 7252 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38461 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 7263 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38475 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 7274 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38489 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 7285 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38503 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 7296 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38517 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 7307 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38531 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 7318 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38545 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 7329 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38559 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 7340 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38565 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 7341 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38571 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 7344 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38577 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 7345 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38583 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 7356 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = false;
					(yyval.node) = (Node *) n;
				}
#line 38594 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 7363 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = true;
					(yyval.node) = (Node *) n;
				}
#line 38605 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 7372 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38618 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 7381 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38631 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 7390 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38644 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 7399 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38657 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 7408 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38670 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 7417 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *) n;
				}
#line 38683 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 7426 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38696 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 7435 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38709 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 7444 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38722 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 7453 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38735 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 7462 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38748 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 7471 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38761 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 7480 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38774 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 7489 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38787 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 7498 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38800 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 7507 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38813 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 7534 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38831 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 7552 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38850 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 7568 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38869 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 7595 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38875 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 7597 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38881 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 7599 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38887 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 7601 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 38899 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 7609 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 38911 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 7618 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 38917 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 7619 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 38923 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 7623 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38935 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 7631 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38947 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 7639 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38959 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 7647 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup("alter system");
				n->cols = NIL;
				(yyval.accesspriv) = n;
			}
#line 38970 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 7654 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38982 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 7665 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1(makeString((yyvsp[0].str)));
			}
#line 38990 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7669 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str)));
			}
#line 38998 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7676 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = (yyvsp[0].str);
			}
#line 39006 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7680 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
			}
#line 39014 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7691 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39027 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7700 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39040 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7709 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39053 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7718 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39066 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7727 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39079 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7736 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39092 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7745 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39105 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7754 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39118 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7763 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39131 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7772 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39144 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7781 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39157 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7790 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39170 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7799 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PARAMETER_ACL;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39182 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7807 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39195 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7816 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39208 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7825 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39221 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7834 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39234 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7843 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39247 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7852 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39260 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7861 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39273 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7870 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39286 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7882 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 39292 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7883 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 39298 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7887 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39304 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7888 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39310 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7893 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39316 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7894 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39322 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7905 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-3].list);
					n->grantee_roles = (yyvsp[-1].list);
					n->opt = NIL;
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 39337 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7916 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-5].list);
					n->grantee_roles = (yyvsp[-3].list);
					n->opt = (yyvsp[-1].list);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 39352 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7930 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->opt = NIL;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39368 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7942 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					DefElem *opt;

					opt = makeDefElem(pstrdup((yyvsp[-7].str)),
									  (Node *) makeBoolean(false), (yylsp[-7]));
					n->is_grant = false;
					n->opt = list_make1(opt);
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39387 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7959 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 39393 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7960 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39399 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7965 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem(pstrdup((yyvsp[-1].str)), (yyvsp[0].node), (yylsp[-1]));
			}
#line 39407 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7971 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 39413 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7972 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 39419 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7973 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(false); }
#line 39425 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7976 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39431 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7977 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 39437 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7988 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);

					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39449 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39455 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39461 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 8004 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39469 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 8008 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39477 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 8012 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39485 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 8024 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39502 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 8038 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39520 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 8053 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39538 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 8069 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 39544 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 8070 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 39550 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 8071 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 39556 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 8072 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 39562 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 8073 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 39568 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 8074 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 39574 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 8089 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-14].boolean);
					n->concurrent = (yyvsp[-12].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39608 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 8121 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-17].boolean);
					n->concurrent = (yyvsp[-15].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39642 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 8153 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39648 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 8154 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39654 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 8158 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39660 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 8159 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 39666 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 8162 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39672 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 8163 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39678 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 8169 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39694 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 8181 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39710 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 8200 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 39719 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 8205 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 39728 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 8210 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 39737 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 8216 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39743 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 8217 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39749 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 8220 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39755 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 8221 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39761 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 8224 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39767 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 8225 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39773 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 8229 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 39779 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 8230 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 39785 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 8231 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 39791 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 8234 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 39797 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 8235 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 39803 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 8236 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 39809 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 8254 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39826 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 8268 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39844 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 8283 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39861 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 8297 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39878 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 8312 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39884 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 8313 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39890 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 8316 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39896 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 8317 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39902 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 8321 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39908 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 8322 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39914 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 8326 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39920 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 8328 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39926 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 8333 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					n->objfuncargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 39939 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 8347 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39951 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 8355 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39963 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 8363 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39976 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 8378 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39982 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 8379 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39988 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 8383 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39994 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 8385 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 40000 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 8400 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40014 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 8410 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40028 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 8420 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40042 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 8430 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40056 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 8440 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40070 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 8452 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 40076 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 8453 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 40082 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 8454 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 40088 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 8455 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 40094 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 8456 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 40100 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 8467 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40112 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 8481 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 40118 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 8483 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 40128 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 8489 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 40139 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 8499 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 40147 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 8503 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 40156 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 8508 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 40165 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 8516 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_DEFAULT ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 40180 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 8558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 40188 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 8562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 40196 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 8566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 40204 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 8570 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 40213 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 8577 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 40219 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 8578 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 40225 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 8583 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					n->objfuncargs = (List *) linitial((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 40238 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 8594 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40244 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 8596 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40250 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 8601 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40256 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 8606 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40262 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 8607 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40268 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 8615 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(false), (yylsp[-3]));
				}
#line 40276 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 8619 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[-4]));
				}
#line 40284 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 8623 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40292 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 8627 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("immutable"), (yylsp[0]));
				}
#line 40300 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 8631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("stable"), (yylsp[0]));
				}
#line 40308 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 8635 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("volatile"), (yylsp[0]));
				}
#line 40316 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 8639 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-2]));
				}
#line 40324 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 8643 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-2]));
				}
#line 40332 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 8647 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-1]));
				}
#line 40340 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 8651 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 40348 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8655 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40356 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8659 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 40364 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8663 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 40372 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8667 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 40380 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8671 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40388 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8675 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *) (yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 40397 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40405 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8687 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40413 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40421 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8695 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40429 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8699 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40437 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8703 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 40445 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8708 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40451 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 40459 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8716 "gram.y" /* yacc.c:1646  */
    {
					ReturnStmt *r = makeNode(ReturnStmt);

					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 40470 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8726 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 40478 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8730 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 40492 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8740 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = NULL;
				}
#line 40500 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8747 "gram.y" /* yacc.c:1646  */
    {
					/* As in stmtmulti, discard empty statements */
					if ((yyvsp[-1].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 40512 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8755 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = NIL;
				}
#line 40520 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8766 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 40526 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8767 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 40532 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8771 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40538 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8772 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40544 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8776 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40558 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8789 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 40566 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8793 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 40574 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8808 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40587 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8817 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40600 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8826 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40613 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8838 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40619 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8839 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40625 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8863 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40640 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8874 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40655 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8885 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40670 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8896 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40685 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8907 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40700 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8918 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40715 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8932 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40730 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8943 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40745 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8957 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40760 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8968 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40775 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8982 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 40787 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8990 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 40793 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8992 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 40799 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8994 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 40805 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40811 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 9001 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 40817 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 9005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40823 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 9007 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40829 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 9012 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 40841 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 9031 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);

					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 40852 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 9040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40858 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 9041 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40864 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 9046 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 40872 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 9050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40880 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 9063 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 40895 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 9075 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 40910 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 9087 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *) n;
				}
#line 40925 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 9099 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 40931 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 9100 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 40937 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 9101 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 40943 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 9106 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40958 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 9118 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40964 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 9119 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40970 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 9130 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);

					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40985 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 9143 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 40993 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 9147 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 41001 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 9151 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 41009 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 9155 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 41017 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 9162 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41031 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 9184 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 41048 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 9197 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = REINDEX_OBJECT_SCHEMA;
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 41065 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 9210 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 41082 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 9224 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 41088 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 9225 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 41094 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 9228 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 41100 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 9229 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 41106 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 9232 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41112 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 9233 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 41118 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 9244 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *) n;
				}
#line 41132 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 9254 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *) n;
				}
#line 41146 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 9272 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41160 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 9282 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41174 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 9292 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41188 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 9302 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41202 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 9312 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41216 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 9322 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41230 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 9332 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41244 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 9342 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41258 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 9352 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41272 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 9362 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41286 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 9372 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41300 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 9382 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41314 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 9392 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41329 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 9403 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41344 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 9414 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41358 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 9424 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41372 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 9434 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41386 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 9444 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41400 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 9454 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41414 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 9464 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41428 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 9474 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41443 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 9485 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41458 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 9496 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41473 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 9507 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41488 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 9518 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41503 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 9529 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41518 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 9540 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41533 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 9551 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41548 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 9562 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41563 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 9573 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41578 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 9584 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41593 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 9595 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41608 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 9606 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41624 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 9618 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41640 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 9630 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41656 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 9642 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41672 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 9654 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41688 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 9666 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41704 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 9678 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41719 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 9689 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41734 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 9700 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41750 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 9712 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41766 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 9724 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41781 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 9735 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41796 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 9746 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41809 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 9755 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41823 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 9765 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41837 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 9775 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41851 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 9785 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41865 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 9795 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41879 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 9805 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41893 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 9815 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41907 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 9825 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41921 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 9835 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41935 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 9845 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41952 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9863 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 41958 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9864 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 41964 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9875 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41978 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9885 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41992 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9895 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42006 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9905 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42021 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9916 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42035 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9926 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42049 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9937 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42055 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9938 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false;	}
#line 42061 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9949 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42075 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9959 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42089 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9969 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42103 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9979 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42117 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9989 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42131 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9999 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42145 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 10009 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42159 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 10019 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42173 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 10029 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42187 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 10039 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42201 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 10049 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42215 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 10059 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42229 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 10069 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42243 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 10079 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42257 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 10089 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42271 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 10099 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42285 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 10109 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42299 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 10119 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42313 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 10129 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42327 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 10139 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42341 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 10149 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42355 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 10159 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42369 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 10169 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42383 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 10179 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42397 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 10189 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42411 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 10199 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42425 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 10209 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42439 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 10228 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);

					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42451 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 10237 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42457 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 10238 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 42463 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 10242 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 42469 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 10244 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 42475 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 10246 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0])); }
#line 42481 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 10251 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 42487 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 10252 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 42493 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 10253 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 42499 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 10254 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 42505 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 10255 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 42511 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 10268 "gram.y" /* yacc.c:1646  */
    {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);

					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42523 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 10284 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42536 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 10293 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42549 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 10302 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42562 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 10311 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42575 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 10320 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42588 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 10329 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42601 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 10338 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42614 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 10347 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].node);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42627 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 10356 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42640 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 10365 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42653 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 10374 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42666 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 10383 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42679 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 10392 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42692 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 10401 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42705 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 10410 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42718 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 10419 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42731 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 10428 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42744 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 10437 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42757 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 10446 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42770 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 10455 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42783 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 10464 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42796 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 10473 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42809 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 10482 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42822 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 10491 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42835 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 10519 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42847 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 10527 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-4].str);
					n->options = (yyvsp[0].list);
					n->for_all_tables = true;
					(yyval.node) = (Node *) n;
				}
#line 42860 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 10536 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					n->pubobjects = (List *) (yyvsp[-1].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 42874 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 10562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLE;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 42887 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 10571 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
					(yyval.publicationobjectspec)->name = (yyvsp[0].str);
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42898 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 10578 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42908 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 10584 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					/*
					 * If either a row filter or column list is specified, create
					 * a PublicationTable object.
					 */
					if ((yyvsp[-1].list) || (yyvsp[0].node))
					{
						/*
						 * The OptWhereClause must be stored here but it is
						 * valid only for tables. For non-table objects, an
						 * error will be thrown later via
						 * preprocess_pubobj_list().
						 */
						(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
						(yyval.publicationobjectspec)->pubtable->relation = makeRangeVar(NULL, (yyvsp[-2].str), (yylsp[-2]));
						(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
						(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					}
					else
					{
						(yyval.publicationobjectspec)->name = (yyvsp[-2].str);
					}
					(yyval.publicationobjectspec)->location = (yylsp[-2]);
				}
#line 42939 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 10611 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = makeRangeVarFromQualifiedName((yyvsp[-3].str), (yyvsp[-2].list), (yylsp[-3]), yyscanner);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					(yyval.publicationobjectspec)->location = (yylsp[-3]);
				}
#line 42953 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 10622 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 42966 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 10631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42976 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 10639 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].publicationobjectspec)); }
#line 42982 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 10641 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].publicationobjectspec)); }
#line 42988 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 10663 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43000 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 10671 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_AddObjects;
					(yyval.node) = (Node *) n;
				}
#line 43014 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 10681 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_SetObjects;
					(yyval.node) = (Node *) n;
				}
#line 43028 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 10691 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_DropObjects;
					(yyval.node) = (Node *) n;
				}
#line 43042 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 10710 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43056 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 10729 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43070 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 10739 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43084 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 10749 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43098 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 10759 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43113 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 10770 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43128 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 10781 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43143 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 10792 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(true), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43158 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 10803 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(false), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43173 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 10814 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SKIP;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43187 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 10832 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 43200 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 10841 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 43213 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 10860 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt   *n = makeNode(RuleStmt);

					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43230 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 10875 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43236 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 10876 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43242 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 10877 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43248 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 10883 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 43258 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 10889 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 43268 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 10905 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43274 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 10906 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43280 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 10909 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 43286 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 10910 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 43292 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 10911 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 43298 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 10912 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 43304 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 10916 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43310 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 10917 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43316 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 10918 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43322 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 10931 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);

					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43334 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 10941 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43340 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 10942 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 43346 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 10946 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43357 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 10956 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43368 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 10963 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43379 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 10983 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43393 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 10993 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43406 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 11002 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43420 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 11012 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43434 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 11022 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43447 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 11031 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43460 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 11040 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43473 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 11049 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43486 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 11058 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43499 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 11067 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43512 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 11076 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43525 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 11085 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43538 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 11097 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43551 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 11106 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43565 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 11124 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 43572 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 11127 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 43579 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 11130 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43586 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 11133 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 43593 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 11136 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43600 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 11143 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43606 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 11145 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 43612 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 11147 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43618 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 11153 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43624 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 11157 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43630 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 11158 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43636 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 11159 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43642 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 11173 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43659 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 11187 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43676 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 11201 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43698 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 11220 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43720 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 11240 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 43726 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 11241 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 43732 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 11242 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 43738 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 11243 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 43744 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 11254 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt   *n = makeNode(LoadStmt);

					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43755 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 11271 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43767 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 11281 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43773 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 11282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43779 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 11286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43785 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 11287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43791 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 11292 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (yyvsp[0].node), (yylsp[-2]));
				}
#line 43799 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 11296 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 43807 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 11300 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 43815 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 11317 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43821 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 11318 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 43827 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 11319 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43833 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 11320 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43839 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 11321 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43845 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 11322 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43851 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 11323 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43857 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 11343 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 43869 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 11351 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 43881 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 11359 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *) makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *) n;
				 }
#line 43894 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 11368 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseRefreshCollStmt *n = makeNode(AlterDatabaseRefreshCollStmt);

					n->dbname = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				 }
#line 43905 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 11378 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);

					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 43917 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 11396 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43930 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 11405 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43943 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 11414 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 43956 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 11423 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 43969 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 11435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 43977 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 11439 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 43985 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 11450 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 43993 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 11462 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);

					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 44004 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 11480 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 44015 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 11487 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 44026 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 11504 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);

					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 44040 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 11518 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44053 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 11528 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44065 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 11537 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44077 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 11546 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44090 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 11556 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 44105 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 11568 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 44120 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 11580 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 44133 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 11603 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);

					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44145 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 11614 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 44161 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 11626 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 44177 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 11638 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 44193 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 11650 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 44209 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 11662 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 44223 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 11672 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 44237 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 11701 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);

				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *) n;
			}
#line 44252 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 11724 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44265 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 11733 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 44278 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 11743 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node *) n;
				}
#line 44293 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 11755 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 44308 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 11767 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 44323 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 11780 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44329 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 11781 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 44335 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 11794 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 44360 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 11815 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 44373 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 11826 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 44389 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 11838 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 44402 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 11850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 44410 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 11854 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 44418 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 11866 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 44426 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 11872 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44432 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 11873 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 44438 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 11874 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "format"; }
#line 44444 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 11878 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 44450 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 11879 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 44456 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 11880 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44462 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 11884 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44468 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 11885 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44474 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 11889 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44480 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 11890 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44486 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 11893 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44492 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 11894 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44498 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 11897 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44504 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 11898 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44510 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 11902 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44516 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 11903 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44522 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 11908 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 44530 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 11915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44536 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 11917 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44542 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 11921 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44548 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 11922 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44554 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 11936 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 44566 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 11944 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44581 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 11955 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44593 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 11963 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 44605 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 11993 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);

					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44618 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 12003 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44624 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 12004 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44630 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 12023 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44642 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 12032 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44663 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 12050 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44684 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 12068 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44690 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 12069 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44696 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 12080 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 44709 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 12089 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 44722 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 12098 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 44735 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 12107 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 44748 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 12127 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 44760 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 12144 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 44768 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 12148 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 44777 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 12156 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44787 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 12162 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44798 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 12169 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44808 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 12175 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44819 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 12182 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 44829 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 12190 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 44835 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 12191 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 44841 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 12196 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44847 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 12198 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 44853 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 12203 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44865 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 12214 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 44878 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 12224 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 44891 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 12233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 44899 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 12240 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 44911 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 12249 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 44923 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 12257 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 44931 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 12263 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44937 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 12264 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44943 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 12277 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);

					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) n;
				}
#line 44958 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 12290 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44964 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 12291 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44970 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 12303 "gram.y" /* yacc.c:1646  */
    {
					LockStmt   *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 44983 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 12313 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 44989 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 12314 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 44995 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 12317 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 45001 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 12318 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 45007 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 12319 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 45013 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 12320 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 45019 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 12321 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 45025 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 12322 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 45031 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 12323 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 45037 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 12324 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 45043 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 12327 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 45049 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 12328 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 45055 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 12332 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 45061 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 12333 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 45067 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 12334 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 45073 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 12350 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);

					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *) n;
				}
#line 45089 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 12364 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45095 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 12365 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 45101 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 12370 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 45110 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 12375 "gram.y" /* yacc.c:1646  */
    {
					int			ncolumns = list_length((yyvsp[-3].list));
					int			i = 1;
					ListCell   *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget  *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 45135 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 12399 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 45147 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 12409 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45153 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 12410 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 45159 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 12427 "gram.y" /* yacc.c:1646  */
    {
					MergeStmt  *m = makeNode(MergeStmt);

					m->withClause = (yyvsp[-9].with);
					m->relation = (yyvsp[-6].range);
					m->sourceRelation = (yyvsp[-4].node);
					m->joinCondition = (yyvsp[-2].node);
					m->mergeWhenClauses = (yyvsp[-1].list);
					m->returningList = (yyvsp[0].list);

					(yyval.node) = (Node *) m;
				}
#line 45176 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 12442 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45182 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 12443 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list),(yyvsp[0].node)); }
#line 45188 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 12454 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matchKind = (yyvsp[-3].mergematch);
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 45199 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 12461 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matchKind = (yyvsp[-3].mergematch);
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 45210 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 12468 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matchKind = (yyvsp[-3].mergematch);
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 45221 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 12475 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matchKind = (yyvsp[-4].mergematch);
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 45235 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 12485 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matchKind = (yyvsp[-4].mergematch);
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 45249 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 12497 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_MATCHED; }
#line 45255 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 12498 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_NOT_MATCHED_BY_SOURCE; }
#line 45261 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 12502 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_NOT_MATCHED_BY_TARGET; }
#line 45267 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 12503 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_NOT_MATCHED_BY_TARGET; }
#line 45273 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 12507 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45279 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 12508 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45285 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 12513 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_UPDATE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[0].list);
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 45299 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 12526 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_DELETE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 45313 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 12539 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45326 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 12548 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45339 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 12557 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[-2].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45352 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 12566 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = (yyvsp[-5].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45365 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 12575 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;
					(yyval.mergewhen) = n;
				}
#line 45378 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 12587 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[-1].list);
				}
#line 45386 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 12599 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);

					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 45400 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 12610 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45406 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 12613 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45412 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 12614 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 45418 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 12615 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 45424 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 12616 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 45430 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 12617 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 45436 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 12618 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 45442 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 12621 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45448 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 12622 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 45454 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 12623 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45460 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 12676 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 45466 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 12677 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 45472 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 12692 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45478 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 12694 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45489 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 12701 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45501 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 12709 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45513 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 12717 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 45525 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 12725 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45537 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 12733 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45549 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 12741 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45561 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 12751 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45567 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 12752 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45573 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 12787 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 45591 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 12803 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 45610 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 12817 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45616 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 12819 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef  *cr = makeNode(ColumnRef);
					ResTarget  *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *) cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *) n;
				}
#line 45639 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 12838 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45647 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 12842 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45655 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 12846 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45663 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 12861 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45674 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 12868 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45685 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 12875 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 45696 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 12884 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45702 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 12885 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45708 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 12889 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);

				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 45725 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 12904 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 45731 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 12905 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 45737 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 12906 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 45743 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 12911 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 45757 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 12921 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 45771 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 12931 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 45779 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 12938 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 45795 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 12950 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 45811 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 12962 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 45819 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 12968 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 45825 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 12969 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 45831 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 12974 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 45846 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 12985 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 45852 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 12994 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45861 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 12999 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45870 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 13004 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45879 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 13009 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45888 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 13014 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45900 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 13022 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45912 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 13030 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 45921 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 13035 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 45930 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 13040 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 45939 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 13051 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 45945 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 13052 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 45951 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 13053 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 45957 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 13060 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 45963 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 13061 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45969 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 13070 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45975 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 13071 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45981 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 13075 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45987 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 13076 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45993 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 13080 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45999 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 13084 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 46005 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 13085 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 46011 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 13089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 46024 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 13098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 46037 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 13111 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 46046 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 13116 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 46055 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 13121 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 46063 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 13125 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 46076 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 13136 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 46082 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 13137 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = NULL; }
#line 46088 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 13142 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 46101 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 13151 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 46114 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 13167 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 46127 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 13176 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 46140 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 13185 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 46153 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 13194 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 46166 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 13206 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46172 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 13209 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 46178 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 13213 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46184 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 13215 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 46193 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 13222 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46199 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 13242 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46205 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 13244 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 46211 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 13246 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 46217 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 13250 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 46223 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 13251 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 46229 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 13255 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46235 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 13256 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46241 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 13259 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46247 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 13260 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46253 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 13286 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 46265 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 13294 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 46277 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 13304 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46283 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 13305 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 46289 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 13309 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46295 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 13310 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46301 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 13311 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46307 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 13312 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46313 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 13313 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46319 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 13318 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 46327 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 13331 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 46335 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 13338 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 46343 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 13345 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 46351 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 13351 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46357 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 13352 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 46363 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 13356 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46369 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 13357 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46375 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 13361 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46381 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 13362 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46387 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 13366 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46393 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 13367 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 46399 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 13372 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);

					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 46412 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 13383 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 46418 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 13384 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 46424 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 13385 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 46430 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 13386 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 46436 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 13390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46442 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 13391 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46448 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 13402 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 46459 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 13409 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);

					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 46470 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 13427 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46476 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 13428 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46482 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 13432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46488 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 13433 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 46494 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 13440 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 46503 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 13445 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);

					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 46516 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 13454 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 46528 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 13462 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 46541 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 13471 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46552 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 13478 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46564 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 13486 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46577 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 13495 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46590 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 13504 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 46598 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 13508 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 46607 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 13513 "gram.y" /* yacc.c:1646  */
    {
					JsonTable  *jt = castNode(JsonTable, (yyvsp[-1].node));

					jt->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) jt;
				}
#line 46618 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 13520 "gram.y" /* yacc.c:1646  */
    {
					JsonTable  *jt = castNode(JsonTable, (yyvsp[-1].node));

					jt->alias = (yyvsp[0].alias);
					jt->lateral = true;
					(yyval.node) = (Node *) jt;
				}
#line 46630 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 13549 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 46638 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 13553 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 46656 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 13567 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46681 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 13588 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46707 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 13610 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 46724 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 13623 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 46742 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 13640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 46752 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 13646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 46761 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 13651 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 46771 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 13657 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 46780 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 13663 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 46786 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 13664 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 46792 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 13675 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 46802 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 13680 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 46808 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 13689 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 46816 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 13693 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 46824 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 13697 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 46835 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 13704 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 46846 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 13711 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 46854 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 13716 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 46860 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 13717 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 46866 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 13718 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 46872 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 13719 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 46878 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 13740 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 46886 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 13744 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 46894 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 13752 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 46905 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 13759 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 46913 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 13766 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 46924 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 13773 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 46935 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 13780 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 46946 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 13790 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 46952 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 13791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 46958 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 13805 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 46966 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 13809 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 46978 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 13817 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 46990 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 13831 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);

					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 47005 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 13844 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 47011 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 13845 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47017 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 13861 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 47032 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 13872 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 47047 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 13885 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 47053 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 13889 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 47059 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 13890 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 47065 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 13893 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 47071 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 13894 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47077 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 13897 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 47083 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 13898 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 47089 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 13903 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47095 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 13904 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47101 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 13909 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47107 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 13911 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);

					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 47120 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 13919 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47126 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 13924 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 47132 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 13925 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47138 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 13930 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 47146 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 13934 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 47154 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 13940 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47177 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 13965 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47192 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 13977 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *) n;
				}
#line 47207 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 13989 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 47213 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 13990 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 47219 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 13995 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 47237 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 14009 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);
					ListCell   *option;
					bool		nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = boolVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 47298 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 14066 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 47313 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 14080 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 47319 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 14082 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 47325 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 14087 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 47331 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 14089 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 47337 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 14091 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(true), (yylsp[-1])); }
#line 47343 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 14093 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(false), (yylsp[0])); }
#line 47349 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 14095 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("path", (yyvsp[0].node), (yylsp[-1])); }
#line 47355 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 14100 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 47361 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 14102 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 47367 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 14107 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 47379 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 14115 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 47391 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 14131 "gram.y" /* yacc.c:1646  */
    {
					JsonTable *n = makeNode(JsonTable);
					char	  *pathstring;

					n->context_item = (JsonValueExpr *) (yyvsp[-10].node);
					if (!IsA((yyvsp[-8].node), A_Const) ||
						castNode(A_Const, (yyvsp[-8].node))->val.node.type != T_String)
						ereport(ERROR,
								errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								errmsg("only string constants are supported in JSON_TABLE path specification"),
								parser_errposition((yylsp[-8])));
					pathstring = castNode(A_Const, (yyvsp[-8].node))->val.sval.sval;
					n->pathspec = makeJsonTablePathSpec(pathstring, (yyvsp[-7].str), (yylsp[-8]), (yylsp[-7]));
					n->passing = (yyvsp[-6].list);
					n->columns = (yyvsp[-3].list);
					n->on_error = (JsonBehavior *) (yyvsp[-1].node);
					n->location = (yylsp[-12]);
					(yyval.node) = (Node *) n;
				}
#line 47415 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 14153 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47421 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 14154 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 47427 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 14159 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 47433 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 14161 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 47439 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 14166 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_FOR_ORDINALITY;
					n->name = (yyvsp[-2].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47452 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 14179 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_REGULAR;
					n->name = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
					n->pathspec = (JsonTablePathSpec *) (yyvsp[-3].node);
					n->wrapper = (yyvsp[-2].ival);
					n->quotes = (yyvsp[-1].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[0].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[0].list));
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 47472 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 14199 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_FORMATTED;
					n->name = (yyvsp[-6].str);
					n->typeName = (yyvsp[-5].typnam);
					n->format = (JsonFormat *) (yyvsp[-4].node);
					n->pathspec = (JsonTablePathSpec *) (yyvsp[-3].node);
					n->wrapper = (yyvsp[-2].ival);
					n->quotes = (yyvsp[-1].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[0].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[0].list));
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47492 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 14217 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_EXISTS;
					n->name = (yyvsp[-4].str);
					n->typeName = (yyvsp[-3].typnam);
					n->format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
					n->wrapper = JSW_NONE;
					n->quotes = JS_QUOTES_UNSPEC;
					n->pathspec = (JsonTablePathSpec *) (yyvsp[-1].node);
					n->on_empty = NULL;
					n->on_error = (JsonBehavior *) (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 47512 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 14234 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_NESTED;
					n->pathspec = (JsonTablePathSpec *)
						makeJsonTablePathSpec((yyvsp[-4].str), NULL, (yylsp[-4]), -1);
					n->columns = (yyvsp[-1].list);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47527 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 14246 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_NESTED;
					n->pathspec = (JsonTablePathSpec *)
						makeJsonTablePathSpec((yyvsp[-6].str), (yyvsp[-4].str), (yylsp[-6]), (yylsp[-4]));
					n->columns = (yyvsp[-1].list);
					n->location = (yylsp[-8]);
					(yyval.node) = (Node *) n;
				}
#line 47542 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 14265 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonTablePathSpec((yyvsp[0].str), NULL, (yylsp[0]), -1); }
#line 47548 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 14267 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47554 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 14281 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 47563 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 14286 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 47573 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 14293 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 47582 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 14298 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 47592 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 14304 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 47601 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 14309 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 47611 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 14318 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 47617 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 14320 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 47623 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 14322 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 47629 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 14326 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47635 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 14327 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47641 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 14328 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47647 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 14329 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47653 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 14330 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47659 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 14332 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 47668 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 14337 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 47678 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 14342 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47684 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 14357 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47690 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 14358 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47696 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 14359 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47702 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 14360 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47708 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 14361 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47714 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 14373 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47724 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 14379 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 47734 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 14386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 47740 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 14387 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47746 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 14394 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47755 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 14399 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47764 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 14404 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47773 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 14409 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47782 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 14414 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47791 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 14419 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47800 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 14424 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47809 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 14429 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47819 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 14435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47829 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 14441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47839 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 14447 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47848 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 14454 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 47873 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 14475 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 47881 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 14485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47889 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 14489 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47897 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 14497 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47905 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 14501 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 47914 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 14509 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 47927 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 14521 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47945 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 14542 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47953 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 14546 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47961 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 14552 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47969 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 14556 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 47984 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 14569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 47994 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 14577 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48006 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 14587 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48012 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 14589 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48018 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 14591 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 48024 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 14593 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48030 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 14595 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48036 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 14597 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48042 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 14601 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48048 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 14602 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48054 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 14610 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 48067 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 14619 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48079 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 14627 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 48092 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 14636 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48104 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 14647 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48113 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 14654 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48119 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 14655 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48125 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 14656 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48131 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 14661 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 48137 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 14663 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 48143 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 14665 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 48149 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 14667 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 48155 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 14669 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 48161 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 14671 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 48167 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 14673 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 48176 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 14678 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 48185 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 14683 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 48195 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 14689 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 48207 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 14697 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 48216 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 14702 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 48227 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 14709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 48237 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 14715 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 48243 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 14720 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 48251 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 14724 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 48260 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 14732 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("json");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48269 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 14766 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48275 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 14768 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 48281 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 14770 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48294 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 14779 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48305 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 14786 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   -1);
				}
#line 48316 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 14802 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48322 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 14804 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 48328 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 14806 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48334 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 14808 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48340 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 14810 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48346 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 14812 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48352 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 14814 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48358 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 14816 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48364 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 14818 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48370 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 14820 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48376 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 14822 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48382 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 14824 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48388 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 14826 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48394 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 14828 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48400 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 14831 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48406 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 14833 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48412 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 14836 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48418 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 14838 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48424 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 14840 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 48430 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 14842 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 48436 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 14845 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 48445 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 14850 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48458 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 14859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 48467 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 14864 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48480 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 14873 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 48489 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 14878 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48502 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 14887 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 48511 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 14892 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48524 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 14902 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 48537 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 14911 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48550 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 14920 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48563 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 14929 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 48576 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 14948 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48589 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 14957 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48602 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 14966 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 48615 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 14975 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48628 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 14984 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 48649 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 15001 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48662 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 15010 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48675 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 15019 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48688 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 15028 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48701 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 15037 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48714 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 15046 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48727 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 15055 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 48735 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 15059 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 48743 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 15063 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 48755 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 15071 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 48767 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 15079 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 48779 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 15087 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 48791 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 15095 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *) n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 48816 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 15116 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 48843 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 15139 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 48859 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 15151 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 48870 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 15158 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-2]))));
				}
#line 48890 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 15174 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 48899 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 15179 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 48909 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 15185 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 48920 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 15192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 48931 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 15199 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 48943 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 15207 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 48955 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 15216 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeJsonIsPredicate((yyvsp[-3].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-3]));
				}
#line 48965 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 15234 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeNotExpr(makeJsonIsPredicate((yyvsp[-4].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-4])), (yylsp[-4]));
				}
#line 48975 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 15251 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);

					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48994 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 15277 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49000 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 15279 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 49006 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 15281 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 49012 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 15283 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 49018 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 15285 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49024 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 15287 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49030 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 15289 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49036 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 15291 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49042 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 15293 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49048 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 15295 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49054 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 15297 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49060 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 15299 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49066 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 15301 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49072 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 15303 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49078 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 15305 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49084 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 15307 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49090 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 15309 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49096 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 15311 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 49102 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 15313 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 49110 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 15317 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 49118 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 15321 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 49127 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 15326 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 49137 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 15341 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49143 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 15342 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49149 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 15344 "gram.y" /* yacc.c:1646  */
    {
					ParamRef   *p = makeNode(ParamRef);

					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 49170 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 15361 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 49187 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 15374 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49193 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 15376 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49199 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 15378 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 49215 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 15390 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink	   *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *) n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *) a;
				}
#line 49244 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 15415 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 49260 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 15427 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 49276 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 15439 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));

					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 49288 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 15447 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 49303 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 15458 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 49318 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 15469 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);

				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *) g;
			  }
#line 49330 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 15479 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 49340 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 15485 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));

					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 49353 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 15494 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 49367 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 15504 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-7]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 49381 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 15514 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *) n;
				}
#line 49398 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 15527 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *) n;
				}
#line 49412 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 15537 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall   *n = makeFuncCall((yyvsp[-3].list), NIL,
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));

					n->agg_star = true;
					(yyval.node) = (Node *) n;
				}
#line 49435 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 15568 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = (FuncCall *) (yyvsp[-3].node);

					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 49475 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 15604 "gram.y" /* yacc.c:1646  */
    {
					JsonAggConstructor *n = IsA((yyvsp[-2].node), JsonObjectAgg) ?
						((JsonObjectAgg *) (yyvsp[-2].node))->constructor :
						((JsonArrayAgg *) (yyvsp[-2].node))->constructor;

					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) (yyvsp[-2].node);
				}
#line 49489 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 15614 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49495 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 15624 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49501 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 15625 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49507 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 15626 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49513 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 15634 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49524 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 15641 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 49532 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 15645 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 49540 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 15649 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49548 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 15653 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 49556 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 15657 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49564 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 15661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 49572 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 15665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49580 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 15669 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 49588 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 15673 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49596 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 15677 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 49604 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 15681 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 49612 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 15685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 49620 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 15689 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("system_user"),
											   NIL,
											   COERCE_SQL_SYNTAX,
											   (yylsp[0]));
				}
#line 49631 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 15696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 49639 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 15700 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 49647 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 15704 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 49655 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 15708 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 49661 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 15710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49672 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 15717 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49683 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 15724 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 49694 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 15731 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49705 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 15738 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 49720 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 15749 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49738 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 15763 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49752 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 15773 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 49767 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 15784 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 49787 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 15800 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49801 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 15810 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49812 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 15817 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49823 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 15824 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49834 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 15831 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 49842 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 15835 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);

					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *) c;
				}
#line 49854 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 15843 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 49867 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 15852 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 49880 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 15861 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 49888 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 15865 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 49896 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 15869 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 49904 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 15873 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 49912 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 15877 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 49920 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 15881 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49933 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 15890 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 49941 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 15894 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));

					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *) x;
				}
#line 49955 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 15904 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 49963 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 15908 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 49971 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 15912 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 49980 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 15917 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);

					n->xmloption = (yyvsp[-5].ival);
					n->expr = (yyvsp[-4].node);
					n->typeName = (yyvsp[-2].typnam);
					n->indent = (yyvsp[-1].boolean);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 49995 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 15928 "gram.y" /* yacc.c:1646  */
    {
					/* Support for legacy (non-standard) json_object() */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("json_object"),
											   (yyvsp[-1].list), COERCE_EXPLICIT_CALL, (yylsp[-3]));
				}
#line 50005 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 15937 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = (yyvsp[-4].list);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 50020 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 15948 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = NULL;
					n->absent_on_null = false;
					n->unique = false;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50035 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 15963 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = (yyvsp[-3].list);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 50049 "gram.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 15978 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayQueryConstructor *n = makeNode(JsonArrayQueryConstructor);

					n->query = (yyvsp[-3].node);
					n->format = (JsonFormat *) (yyvsp[-2].node);
					n->absent_on_null = true;	/* XXX */
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 50064 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 15991 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = NIL;
					n->absent_on_null = true;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50078 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 16001 "gram.y" /* yacc.c:1646  */
    {
					JsonParseExpr *n = makeNode(JsonParseExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->unique_keys = (yyvsp[-1].boolean);
					n->output = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 50092 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 16011 "gram.y" /* yacc.c:1646  */
    {
					JsonScalarExpr *n = makeNode(JsonScalarExpr);

					n->expr = (Expr *) (yyvsp[-1].node);
					n->output = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50105 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 16020 "gram.y" /* yacc.c:1646  */
    {
					JsonSerializeExpr *n = makeNode(JsonSerializeExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 50118 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 16029 "gram.y" /* yacc.c:1646  */
    {
					MergeSupportFunc *m = makeNode(MergeSupportFunc);

					m->msftype = TEXTOID;
					m->location = (yylsp[-2]);
					(yyval.node) = (Node *) m;
				}
#line 50130 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 16043 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_QUERY_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-8].node);
					n->pathspec = (yyvsp[-6].node);
					n->passing = (yyvsp[-5].list);
					n->output = (JsonOutput *) (yyvsp[-4].node);
					n->wrapper = (yyvsp[-3].ival);
					n->quotes = (yyvsp[-2].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[-1].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[-1].list));
					n->location = (yylsp[-10]);
					(yyval.node) = (Node *) n;
				}
#line 50150 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 16062 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_EXISTS_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-5].node);
					n->pathspec = (yyvsp[-3].node);
					n->passing = (yyvsp[-2].list);
					n->output = NULL;
					n->on_error = (JsonBehavior *) (yyvsp[-1].node);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 50167 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 16079 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_VALUE_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-6].node);
					n->pathspec = (yyvsp[-4].node);
					n->passing = (yyvsp[-3].list);
					n->output = (JsonOutput *) (yyvsp[-2].node);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[-1].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[-1].list));
					n->location = (yylsp[-8]);
					(yyval.node) = (Node *) n;
				}
#line 50185 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 16099 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 50191 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 16101 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 50197 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 16105 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 50203 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 16107 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 50209 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 16109 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 50215 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 16111 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 50221 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 16114 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50227 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 16117 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 50233 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 16118 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 50239 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 16122 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 50251 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 16130 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 50263 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 16139 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 50269 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 16140 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 50275 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 16143 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50281 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 16144 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50287 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 16145 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50293 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 16148 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50299 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 16149 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50305 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 16150 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50311 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 16156 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50319 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 16160 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 50327 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 16164 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50335 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 16168 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 50343 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 16183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50349 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 16184 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50355 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 16188 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 50361 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 16189 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50367 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 16197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50373 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 16198 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50379 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 16202 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 50385 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 16204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 50391 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 16209 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 50402 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 16218 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 50408 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 16220 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 50426 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 16234 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 50432 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 16239 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 50451 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 16265 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50457 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 16266 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 50463 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 16269 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50469 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 16270 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50475 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 16279 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 50487 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 16287 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 50499 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 16295 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 50511 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 16303 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50524 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 16314 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 50546 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 16332 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n1 = (yyvsp[-2].windef);
					WindowDef  *n2 = (yyvsp[0].windef);

					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 50588 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 16378 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50601 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 16387 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50614 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 16396 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50627 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 16405 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50640 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 16414 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50653 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 16425 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 50659 "gram.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 16426 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 50665 "gram.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 16427 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 50671 "gram.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 16428 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 50677 "gram.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 16429 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 50683 "gram.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 16443 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50689 "gram.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 16444 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50695 "gram.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 16445 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 50701 "gram.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 16448 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50707 "gram.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 16449 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50713 "gram.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 16452 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 50719 "gram.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 16455 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 50725 "gram.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 16456 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 50731 "gram.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 16457 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 50737 "gram.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 16460 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50743 "gram.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 16461 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50749 "gram.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 16464 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 50755 "gram.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 16465 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 50761 "gram.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 16466 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 50767 "gram.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 16467 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 50773 "gram.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 16468 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 50779 "gram.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 16469 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 50785 "gram.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 16470 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 50791 "gram.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 16471 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 50797 "gram.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 16472 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 50803 "gram.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 16473 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 50809 "gram.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 16474 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 50815 "gram.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 16475 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 50821 "gram.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 16479 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50827 "gram.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 16481 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50833 "gram.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 16486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50839 "gram.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 16488 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50845 "gram.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 16493 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50851 "gram.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 16495 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50857 "gram.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 16497 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 50863 "gram.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 16499 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 50869 "gram.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 16501 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 50875 "gram.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 16503 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 50881 "gram.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 16515 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 50889 "gram.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 16519 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 50897 "gram.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 16526 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 50905 "gram.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 16530 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 50913 "gram.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 16536 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50921 "gram.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 16540 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 50935 "gram.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 16550 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 50949 "gram.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 16561 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50955 "gram.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 16562 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50961 "gram.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 16565 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 50967 "gram.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 16566 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 50973 "gram.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 16570 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 50981 "gram.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 16574 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 50989 "gram.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 16578 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 50997 "gram.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 16583 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51003 "gram.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 16584 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51009 "gram.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 16590 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 51017 "gram.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 16599 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51023 "gram.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 16600 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 51029 "gram.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 16601 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 51035 "gram.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 16602 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 51041 "gram.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 16603 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 51047 "gram.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 16604 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 51053 "gram.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 16605 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 51059 "gram.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 16606 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51065 "gram.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 16610 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFC"; }
#line 51071 "gram.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 16611 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFD"; }
#line 51077 "gram.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 16612 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKC"; }
#line 51083 "gram.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 16613 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKD"; }
#line 51089 "gram.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 16619 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51098 "gram.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 16624 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51107 "gram.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 16632 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 51113 "gram.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 16654 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51121 "gram.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 16658 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 51130 "gram.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 16663 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51145 "gram.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 16674 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 51166 "gram.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 16691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51174 "gram.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 16696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 51180 "gram.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 16697 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51186 "gram.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 16698 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51192 "gram.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 16702 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *) n;
				}
#line 51204 "gram.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 16709 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 51210 "gram.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 16720 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr   *c = makeNode(CaseExpr);

					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *) c;
				}
#line 51225 "gram.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 16734 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51231 "gram.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 16735 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 51237 "gram.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 16740 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen   *w = makeNode(CaseWhen);

					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *) w;
				}
#line 51250 "gram.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 16751 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 51256 "gram.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 16752 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51262 "gram.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 16755 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 51268 "gram.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 16756 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51274 "gram.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 16760 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 51282 "gram.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 16764 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 51290 "gram.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 16771 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 51298 "gram.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 16775 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 51306 "gram.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 16779 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 51319 "gram.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 16788 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 51332 "gram.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 16799 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 51338 "gram.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 16800 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51344 "gram.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 16804 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51350 "gram.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 16805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 51356 "gram.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 16809 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51362 "gram.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 16810 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 51368 "gram.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 16819 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51374 "gram.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 16820 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51380 "gram.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 16824 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51386 "gram.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 16825 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51392 "gram.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 16830 "gram.y" /* yacc.c:1646  */
    {
				JsonArgument *n = makeNode(JsonArgument);

				n->val = (JsonValueExpr *) (yyvsp[-2].node);
				n->name = (yyvsp[0].str);
				(yyval.node) = (Node *) n;
			}
#line 51404 "gram.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 16841 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_NONE; }
#line 51410 "gram.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 16842 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_NONE; }
#line 51416 "gram.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 16843 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51422 "gram.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 16844 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51428 "gram.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 16845 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_CONDITIONAL; }
#line 51434 "gram.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 16846 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51440 "gram.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 16847 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_CONDITIONAL; }
#line 51446 "gram.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 16848 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51452 "gram.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 16849 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNSPEC; }
#line 51458 "gram.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 16854 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonBehavior(JSON_BEHAVIOR_DEFAULT, (yyvsp[0].node), (yylsp[-1])); }
#line 51464 "gram.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 16856 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonBehavior((yyvsp[0].ival), NULL, (yylsp[0])); }
#line 51470 "gram.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 16860 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_ERROR; }
#line 51476 "gram.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 16861 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_NULL; }
#line 51482 "gram.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 16862 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_TRUE; }
#line 51488 "gram.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 16863 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_FALSE; }
#line 51494 "gram.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 16864 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_UNKNOWN; }
#line 51500 "gram.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 16865 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_ARRAY; }
#line 51506 "gram.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 16866 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_OBJECT; }
#line 51512 "gram.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 16868 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_ARRAY; }
#line 51518 "gram.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 16873 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-2].node), NULL); }
#line 51524 "gram.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 16875 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-2].node)); }
#line 51530 "gram.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 16877 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-5].node), (yyvsp[-2].node)); }
#line 51536 "gram.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 16879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, NULL); }
#line 51542 "gram.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 16884 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 51548 "gram.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 16886 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51554 "gram.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 16891 "gram.y" /* yacc.c:1646  */
    {
				/* formatted_expr will be set during parse-analysis. */
				(yyval.node) = (Node *) makeJsonValueExpr((Expr *) (yyvsp[-1].node), NULL,
												castNode(JsonFormat, (yyvsp[0].node)));
			}
#line 51564 "gram.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 16900 "gram.y" /* yacc.c:1646  */
    {
					int		encoding;

					if (!pg_strcasecmp((yyvsp[0].str), "utf8"))
						encoding = JS_ENC_UTF8;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf16"))
						encoding = JS_ENC_UTF16;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf32"))
						encoding = JS_ENC_UTF32;
					else
						ereport(ERROR,
								errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								errmsg("unrecognized JSON encoding: %s", (yyvsp[0].str)));

					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, encoding, (yylsp[-3]));
				}
#line 51585 "gram.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 16917 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, JS_ENC_DEFAULT, (yylsp[-1]));
				}
#line 51593 "gram.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 16924 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 51601 "gram.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 16928 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
				}
#line 51609 "gram.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 16934 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_KEEP; }
#line 51615 "gram.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 16935 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_KEEP; }
#line 51621 "gram.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 16936 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_OMIT; }
#line 51627 "gram.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 16937 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_OMIT; }
#line 51633 "gram.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 16938 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_UNSPEC; }
#line 51639 "gram.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 16943 "gram.y" /* yacc.c:1646  */
    {
					JsonOutput *n = makeNode(JsonOutput);

					n->typeName = (yyvsp[-1].typnam);
					n->returning = makeNode(JsonReturning);
					n->returning->format = (JsonFormat *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 51652 "gram.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 16951 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51658 "gram.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 16965 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 51664 "gram.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 16966 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 51670 "gram.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 16967 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ARRAY; }
#line 51676 "gram.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 16968 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_OBJECT; }
#line 51682 "gram.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 16969 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_SCALAR; }
#line 51688 "gram.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 16978 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51694 "gram.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 16979 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51700 "gram.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 16980 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51706 "gram.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 16981 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51712 "gram.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 16982 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51718 "gram.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 16987 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51724 "gram.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 16989 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51730 "gram.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 16999 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 51736 "gram.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 17002 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 51742 "gram.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 17007 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51748 "gram.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 17008 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51754 "gram.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 17009 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51760 "gram.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 17013 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51766 "gram.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 17014 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51772 "gram.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 17015 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51778 "gram.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 17019 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51784 "gram.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 17020 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));}
#line 51790 "gram.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 17030 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectAgg *n = makeNode(JsonObjectAgg);

					n->arg = (JsonKeyValue *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->agg_order = NULL;
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 51807 "gram.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 17048 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayAgg *n = makeNode(JsonArrayAgg);

					n->arg = (JsonValueExpr *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->agg_order = (yyvsp[-3].list);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 51823 "gram.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 17062 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51829 "gram.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 17063 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51835 "gram.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 17072 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51841 "gram.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 17073 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51847 "gram.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 17077 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 51853 "gram.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 17078 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 51859 "gram.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 17082 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 51871 "gram.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 17090 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 51883 "gram.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 17098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 51895 "gram.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 17106 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef  *n = makeNode(ColumnRef);

					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 51912 "gram.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 17128 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 51918 "gram.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 17129 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 51924 "gram.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 17141 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 51932 "gram.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 17145 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVarFromQualifiedName((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 51940 "gram.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 17151 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51946 "gram.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 17153 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 51952 "gram.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 17157 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51958 "gram.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 17159 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51964 "gram.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 17161 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51970 "gram.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 17172 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51976 "gram.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 17174 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 51985 "gram.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 17185 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 51993 "gram.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 17189 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52001 "gram.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 17193 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52009 "gram.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 17197 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52017 "gram.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 17201 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52030 "gram.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 17210 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-1].list));

					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52042 "gram.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 17218 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell   *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52078 "gram.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 17250 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 52086 "gram.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 17254 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 52097 "gram.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 17261 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52109 "gram.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 17269 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 52117 "gram.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 17273 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 52125 "gram.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 17277 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 52133 "gram.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 17282 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 52139 "gram.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 17283 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52145 "gram.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 17285 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 52151 "gram.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 17286 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 52157 "gram.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 17287 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 52163 "gram.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 17292 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec   *spc = (RoleSpec *) (yyvsp[0].rolespec);

					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 52206 "gram.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 17333 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * "public" and "none" are not keywords, but they must
					 * be treated specially here.
					 */
					RoleSpec   *n;

					if (strcmp((yyvsp[0].str), "public") == 0)
					{
						n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
						n->roletype = ROLESPEC_PUBLIC;
					}
					else if (strcmp((yyvsp[0].str), "none") == 0)
					{
						ereport(ERROR,
								(errcode(ERRCODE_RESERVED_NAME),
								 errmsg("role name \"%s\" is reserved",
										"none"),
								 parser_errposition((yylsp[0]))));
					}
					else
					{
						n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
						n->rolename = pstrdup((yyvsp[0].str));
					}
					(yyval.rolespec) = n;
				}
#line 52238 "gram.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 17361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
				}
#line 52246 "gram.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 17365 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
				}
#line 52254 "gram.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 17369 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
				}
#line 52262 "gram.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 17375 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 52268 "gram.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 17377 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 52274 "gram.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 17394 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 52305 "gram.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 17427 "gram.y" /* yacc.c:1646  */
    {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 52320 "gram.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 17439 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52326 "gram.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 17440 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 52332 "gram.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 17461 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52338 "gram.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 17462 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52344 "gram.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 17463 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52350 "gram.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 17468 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52356 "gram.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 17469 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52362 "gram.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 17470 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52368 "gram.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 17475 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52374 "gram.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 17476 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52380 "gram.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 17477 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52386 "gram.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 17478 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52392 "gram.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 17484 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52398 "gram.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 17485 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52404 "gram.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 17486 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52410 "gram.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 17487 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52416 "gram.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 17488 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52422 "gram.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 17494 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52428 "gram.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 17495 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52434 "gram.c" /* yacc.c:1646  */
    break;


#line 52438 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 18507 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int			nfields = 0;
	ListCell   *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast   *n = makeNode(TypeCast);

	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node	   *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.ival.type = T_Integer;
	n->val.ival.ival = val;
	n->location = location;

   return (Node *) n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.fval.type = T_Float;
	n->val.fval.fval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBoolAConst(bool state, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.boolval.type = T_Boolean;
	n->val.boolval.boolval = state;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.bsval.type = T_BitString;
	n->val.bsval.bsval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeNullAConst(int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->isnull = true;
	n->location = location;

	return (Node *) n;
}

static Node *
makeAConst(Node *v, int location)
{
	Node	   *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(castNode(Float, v)->fval, location);
			break;

		case T_Integer:
			n = makeIntConst(castNode(Integer, v)->ival, location);
			break;

		default:
			/* currently not used */
			Assert(false);
			n = NULL;
	}

	return n;
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec   *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Integer	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
		if (limitClause->limitOption == LIMIT_OPTION_WITH_TIES && stmt->lockingClause)
		{
			ListCell   *lc;

			foreach(lc, stmt->lockingClause)
			{
				LockingClause *lock = lfirst_node(LockingClause, lc);

				if (lock->waitPolicy == LockWaitSkip)
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("%s and %s options cannot be used together",
									"SKIP LOCKED", "WITH TIES")));
			}
		}
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const	   *con = (A_Const *) n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (IsA(&con->val, Integer))
		{
			con->val.ival.ival = -con->val.ival.ival;
			return n;
		}
		if (IsA(&con->val, Float))
		{
			doNegateFloat(&con->val.fval);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Float *v)
{
	char	   *oldval = v->fval;

	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->fval = oldval+1;	/* just strip the '-' */
	else
		v->fval = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_DEFAULT &&
			p->mode != FUNC_PARAM_IN &&
			p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName   *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar   *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/*
 * Convert a relation_name with name and namelist to a RangeVar using
 * makeRangeVar.
 */
static RangeVar *
makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
							  core_yyscan_t yyscanner)
{
	RangeVar   *r;

	check_qualified_name(namelist, yyscanner);
	r = makeRangeVar(NULL, NULL, location);

	switch (list_length(namelist))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = name;
			r->relname = strVal(linitial(namelist));
			break;
		case 2:
			r->catalogname = name;
			r->schemaname = strVal(linitial(namelist));
			r->relname = strVal(lsecond(namelist));
			break;
		default:
			ereport(ERROR,
					errcode(ERRCODE_SYNTAX_ERROR),
					errmsg("improper qualified name (too many dotted names): %s",
						   NameListToString(lcons(makeString(name), namelist))),
						   parser_errposition(location));
			break;
	}

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node	   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*
 * Parse a user-supplied partition strategy string into parse node
 * PartitionStrategy representation, or die trying.
 */
static PartitionStrategy
parsePartitionStrategy(char *strategy)
{
	if (pg_strcasecmp(strategy, "list") == 0)
		return PARTITION_STRATEGY_LIST;
	else if (pg_strcasecmp(strategy, "range") == 0)
		return PARTITION_STRATEGY_RANGE;
	else if (pg_strcasecmp(strategy, "hash") == 0)
		return PARTITION_STRATEGY_HASH;

	ereport(ERROR,
			(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
			 errmsg("unrecognized partitioning strategy \"%s\"",
					strategy)));
	return PARTITION_STRATEGY_LIST;		/* keep compiler quiet */

}

/*
 * Process pubobjspec_list to check for errors in any of the objects and
 * convert PUBLICATIONOBJ_CONTINUATION into appropriate PublicationObjSpecType.
 */
static void
preprocess_pubobj_list(List *pubobjspec_list, core_yyscan_t yyscanner)
{
	ListCell   *cell;
	PublicationObjSpec *pubobj;
	PublicationObjSpecType prevobjtype = PUBLICATIONOBJ_CONTINUATION;

	if (!pubobjspec_list)
		return;

	pubobj = (PublicationObjSpec *) linitial(pubobjspec_list);
	if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
		ereport(ERROR,
				errcode(ERRCODE_SYNTAX_ERROR),
				errmsg("invalid publication object list"),
				errdetail("One of TABLE or TABLES IN SCHEMA must be specified before a standalone table or schema name."),
				parser_errposition(pubobj->location));

	foreach(cell, pubobjspec_list)
	{
		pubobj = (PublicationObjSpec *) lfirst(cell);

		if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
			pubobj->pubobjtype = prevobjtype;

		if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLE)
		{
			/* relation name or pubtable must be set for this type of object */
			if (!pubobj->name && !pubobj->pubtable)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid table name"),
						parser_errposition(pubobj->location));

			if (pubobj->name)
			{
				/* convert it to PublicationTable */
				PublicationTable *pubtable = makeNode(PublicationTable);

				pubtable->relation =
					makeRangeVar(NULL, pubobj->name, pubobj->location);
				pubobj->pubtable = pubtable;
				pubobj->name = NULL;
			}
		}
		else if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_SCHEMA ||
				 pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA)
		{
			/* WHERE clause is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->whereClause)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("WHERE clause not allowed for schema"),
						parser_errposition(pubobj->location));

			/* Column list is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->columns)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("column specification not allowed for schema"),
						parser_errposition(pubobj->location));

			/*
			 * We can distinguish between the different type of schema
			 * objects based on whether name and pubtable is set.
			 */
			if (pubobj->name)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
			else if (!pubobj->name && !pubobj->pubtable)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
			else
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid schema name"),
						parser_errposition(pubobj->location));
		}

		prevobjtype = pubobj->pubobjtype;
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
