/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "preproc_extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;
static int	bytea_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

static bool check_declared_list(const char *name);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return res_str;
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return res_str;
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return result;
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string
					  && ptr->variable->type->type != ECPGt_bytea)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string
					  || ptr->variable->type->type == ECPGt_bytea)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar ||
					ptr->variable->type->type == ECPGt_bytea)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_bytea &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

/*
 * check an SQL identifier is declared or not.
 * If it is already declared, the global variable
 * connection will be changed to the related connection.
 */
static bool
check_declared_list(const char *name)
{
	struct declared_list *ptr = NULL;
	for (ptr = g_declared_list; ptr != NULL; ptr = ptr -> next)
	{
		if (!ptr->connection)
			continue;
		if (strcmp(name, ptr -> name) == 0)
		{
			if (connection && strcmp(ptr->connection, connection) != 0)
				mmerror(PARSE_ERROR, ET_WARNING, "connection %s is overwritten with %s by DECLARE statement %s", connection, ptr->connection, name);
			connection = mm_strdup(ptr -> connection);
			return true;
		}
	}
	return false;
}

#line 678 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CARDINALITY = 262,
    SQL_CONNECT = 263,
    SQL_COUNT = 264,
    SQL_DATETIME_INTERVAL_CODE = 265,
    SQL_DATETIME_INTERVAL_PRECISION = 266,
    SQL_DESCRIBE = 267,
    SQL_DESCRIPTOR = 268,
    SQL_DISCONNECT = 269,
    SQL_FOUND = 270,
    SQL_FREE = 271,
    SQL_GET = 272,
    SQL_GO = 273,
    SQL_GOTO = 274,
    SQL_IDENTIFIED = 275,
    SQL_INDICATOR = 276,
    SQL_KEY_MEMBER = 277,
    SQL_LENGTH = 278,
    SQL_LONG = 279,
    SQL_NULLABLE = 280,
    SQL_OCTET_LENGTH = 281,
    SQL_OPEN = 282,
    SQL_OUTPUT = 283,
    SQL_REFERENCE = 284,
    SQL_RETURNED_LENGTH = 285,
    SQL_RETURNED_OCTET_LENGTH = 286,
    SQL_SCALE = 287,
    SQL_SECTION = 288,
    SQL_SHORT = 289,
    SQL_SIGNED = 290,
    SQL_SQLERROR = 291,
    SQL_SQLPRINT = 292,
    SQL_SQLWARNING = 293,
    SQL_START = 294,
    SQL_STOP = 295,
    SQL_STRUCT = 296,
    SQL_UNSIGNED = 297,
    SQL_VAR = 298,
    SQL_WHENEVER = 299,
    S_ADD = 300,
    S_AND = 301,
    S_ANYTHING = 302,
    S_AUTO = 303,
    S_CONST = 304,
    S_DEC = 305,
    S_DIV = 306,
    S_DOTPOINT = 307,
    S_EQUAL = 308,
    S_EXTERN = 309,
    S_INC = 310,
    S_LSHIFT = 311,
    S_MEMPOINT = 312,
    S_MEMBER = 313,
    S_MOD = 314,
    S_MUL = 315,
    S_NEQUAL = 316,
    S_OR = 317,
    S_REGISTER = 318,
    S_RSHIFT = 319,
    S_STATIC = 320,
    S_SUB = 321,
    S_VOLATILE = 322,
    S_TYPEDEF = 323,
    CSTRING = 324,
    CVARIABLE = 325,
    CPP_LINE = 326,
    IP = 327,
    IDENT = 328,
    UIDENT = 329,
    FCONST = 330,
    SCONST = 331,
    USCONST = 332,
    BCONST = 333,
    XCONST = 334,
    Op = 335,
    ICONST = 336,
    PARAM = 337,
    TYPECAST = 338,
    DOT_DOT = 339,
    COLON_EQUALS = 340,
    EQUALS_GREATER = 341,
    LESS_EQUALS = 342,
    GREATER_EQUALS = 343,
    NOT_EQUALS = 344,
    ABORT_P = 345,
    ABSENT = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASENSITIVE = 365,
    ASSERTION = 366,
    ASSIGNMENT = 367,
    ASYMMETRIC = 368,
    ATOMIC = 369,
    AT = 370,
    ATTACH = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BREADTH = 383,
    BY = 384,
    CACHE = 385,
    CALL = 386,
    CALLED = 387,
    CASCADE = 388,
    CASCADED = 389,
    CASE = 390,
    CAST = 391,
    CATALOG_P = 392,
    CHAIN = 393,
    CHAR_P = 394,
    CHARACTER = 395,
    CHARACTERISTICS = 396,
    CHECK = 397,
    CHECKPOINT = 398,
    CLASS = 399,
    CLOSE = 400,
    CLUSTER = 401,
    COALESCE = 402,
    COLLATE = 403,
    COLLATION = 404,
    COLUMN = 405,
    COLUMNS = 406,
    COMMENT = 407,
    COMMENTS = 408,
    COMMIT = 409,
    COMMITTED = 410,
    COMPRESSION = 411,
    CONCURRENTLY = 412,
    CONDITIONAL = 413,
    CONFIGURATION = 414,
    CONFLICT = 415,
    CONNECTION = 416,
    CONSTRAINT = 417,
    CONSTRAINTS = 418,
    CONTENT_P = 419,
    CONTINUE_P = 420,
    CONVERSION_P = 421,
    COPY = 422,
    COST = 423,
    CREATE = 424,
    CROSS = 425,
    CSV = 426,
    CUBE = 427,
    CURRENT_P = 428,
    CURRENT_CATALOG = 429,
    CURRENT_DATE = 430,
    CURRENT_ROLE = 431,
    CURRENT_SCHEMA = 432,
    CURRENT_TIME = 433,
    CURRENT_TIMESTAMP = 434,
    CURRENT_USER = 435,
    CURSOR = 436,
    CYCLE = 437,
    DATA_P = 438,
    DATABASE = 439,
    DAY_P = 440,
    DEALLOCATE = 441,
    DEC = 442,
    DECIMAL_P = 443,
    DECLARE = 444,
    DEFAULT = 445,
    DEFAULTS = 446,
    DEFERRABLE = 447,
    DEFERRED = 448,
    DEFINER = 449,
    DELETE_P = 450,
    DELIMITER = 451,
    DELIMITERS = 452,
    DEPENDS = 453,
    DEPTH = 454,
    DESC = 455,
    DETACH = 456,
    DICTIONARY = 457,
    DISABLE_P = 458,
    DISCARD = 459,
    DISTINCT = 460,
    DO = 461,
    DOCUMENT_P = 462,
    DOMAIN_P = 463,
    DOUBLE_P = 464,
    DROP = 465,
    EACH = 466,
    ELSE = 467,
    EMPTY_P = 468,
    ENABLE_P = 469,
    ENCODING = 470,
    ENCRYPTED = 471,
    END_P = 472,
    ENUM_P = 473,
    ERROR_P = 474,
    ESCAPE = 475,
    EVENT = 476,
    EXCEPT = 477,
    EXCLUDE = 478,
    EXCLUDING = 479,
    EXCLUSIVE = 480,
    EXECUTE = 481,
    EXISTS = 482,
    EXPLAIN = 483,
    EXPRESSION = 484,
    EXTENSION = 485,
    EXTERNAL = 486,
    EXTRACT = 487,
    FALSE_P = 488,
    FAMILY = 489,
    FETCH = 490,
    FILTER = 491,
    FINALIZE = 492,
    FIRST_P = 493,
    FLOAT_P = 494,
    FOLLOWING = 495,
    FOR = 496,
    FORCE = 497,
    FOREIGN = 498,
    FORMAT = 499,
    FORWARD = 500,
    FREEZE = 501,
    FROM = 502,
    FULL = 503,
    FUNCTION = 504,
    FUNCTIONS = 505,
    GENERATED = 506,
    GLOBAL = 507,
    GRANT = 508,
    GRANTED = 509,
    GREATEST = 510,
    GROUP_P = 511,
    GROUPING = 512,
    GROUPS = 513,
    HANDLER = 514,
    HAVING = 515,
    HEADER_P = 516,
    HOLD = 517,
    HOUR_P = 518,
    IDENTITY_P = 519,
    IF_P = 520,
    ILIKE = 521,
    IMMEDIATE = 522,
    IMMUTABLE = 523,
    IMPLICIT_P = 524,
    IMPORT_P = 525,
    IN_P = 526,
    INCLUDE = 527,
    INCLUDING = 528,
    INCREMENT = 529,
    INDENT = 530,
    INDEX = 531,
    INDEXES = 532,
    INHERIT = 533,
    INHERITS = 534,
    INITIALLY = 535,
    INLINE_P = 536,
    INNER_P = 537,
    INOUT = 538,
    INPUT_P = 539,
    INSENSITIVE = 540,
    INSERT = 541,
    INSTEAD = 542,
    INT_P = 543,
    INTEGER = 544,
    INTERSECT = 545,
    INTERVAL = 546,
    INTO = 547,
    INVOKER = 548,
    IS = 549,
    ISNULL = 550,
    ISOLATION = 551,
    JOIN = 552,
    JSON = 553,
    JSON_ARRAY = 554,
    JSON_ARRAYAGG = 555,
    JSON_EXISTS = 556,
    JSON_OBJECT = 557,
    JSON_OBJECTAGG = 558,
    JSON_QUERY = 559,
    JSON_SCALAR = 560,
    JSON_SERIALIZE = 561,
    JSON_TABLE = 562,
    JSON_VALUE = 563,
    KEEP = 564,
    KEY = 565,
    KEYS = 566,
    LABEL = 567,
    LANGUAGE = 568,
    LARGE_P = 569,
    LAST_P = 570,
    LATERAL_P = 571,
    LEADING = 572,
    LEAKPROOF = 573,
    LEAST = 574,
    LEFT = 575,
    LEVEL = 576,
    LIKE = 577,
    LIMIT = 578,
    LISTEN = 579,
    LOAD = 580,
    LOCAL = 581,
    LOCALTIME = 582,
    LOCALTIMESTAMP = 583,
    LOCATION = 584,
    LOCK_P = 585,
    LOCKED = 586,
    LOGGED = 587,
    MAPPING = 588,
    MATCH = 589,
    MATCHED = 590,
    MATERIALIZED = 591,
    MAXVALUE = 592,
    MERGE = 593,
    MERGE_ACTION = 594,
    METHOD = 595,
    MINUTE_P = 596,
    MINVALUE = 597,
    MODE = 598,
    MONTH_P = 599,
    MOVE = 600,
    NAME_P = 601,
    NAMES = 602,
    NATIONAL = 603,
    NATURAL = 604,
    NCHAR = 605,
    NESTED = 606,
    NEW = 607,
    NEXT = 608,
    NFC = 609,
    NFD = 610,
    NFKC = 611,
    NFKD = 612,
    NO = 613,
    NONE = 614,
    NORMALIZE = 615,
    NORMALIZED = 616,
    NOT = 617,
    NOTHING = 618,
    NOTIFY = 619,
    NOTNULL = 620,
    NOWAIT = 621,
    NULL_P = 622,
    NULLIF = 623,
    NULLS_P = 624,
    NUMERIC = 625,
    OBJECT_P = 626,
    OF = 627,
    OFF = 628,
    OFFSET = 629,
    OIDS = 630,
    OLD = 631,
    OMIT = 632,
    ON = 633,
    ONLY = 634,
    OPERATOR = 635,
    OPTION = 636,
    OPTIONS = 637,
    OR = 638,
    ORDER = 639,
    ORDINALITY = 640,
    OTHERS = 641,
    OUT_P = 642,
    OUTER_P = 643,
    OVER = 644,
    OVERLAPS = 645,
    OVERLAY = 646,
    OVERRIDING = 647,
    OWNED = 648,
    OWNER = 649,
    PARALLEL = 650,
    PARAMETER = 651,
    PARSER = 652,
    PARTIAL = 653,
    PARTITION = 654,
    PASSING = 655,
    PASSWORD = 656,
    PATH = 657,
    PLACING = 658,
    PLAN = 659,
    PLANS = 660,
    POLICY = 661,
    POSITION = 662,
    PRECEDING = 663,
    PRECISION = 664,
    PRESERVE = 665,
    PREPARE = 666,
    PREPARED = 667,
    PRIMARY = 668,
    PRIOR = 669,
    PRIVILEGES = 670,
    PROCEDURAL = 671,
    PROCEDURE = 672,
    PROCEDURES = 673,
    PROGRAM = 674,
    PUBLICATION = 675,
    QUOTE = 676,
    QUOTES = 677,
    RANGE = 678,
    READ = 679,
    REAL = 680,
    REASSIGN = 681,
    RECHECK = 682,
    RECURSIVE = 683,
    REF_P = 684,
    REFERENCES = 685,
    REFERENCING = 686,
    REFRESH = 687,
    REINDEX = 688,
    RELATIVE_P = 689,
    RELEASE = 690,
    RENAME = 691,
    REPEATABLE = 692,
    REPLACE = 693,
    REPLICA = 694,
    RESET = 695,
    RESTART = 696,
    RESTRICT = 697,
    RETURN = 698,
    RETURNING = 699,
    RETURNS = 700,
    REVOKE = 701,
    RIGHT = 702,
    ROLE = 703,
    ROLLBACK = 704,
    ROLLUP = 705,
    ROUTINE = 706,
    ROUTINES = 707,
    ROW = 708,
    ROWS = 709,
    RULE = 710,
    SAVEPOINT = 711,
    SCALAR = 712,
    SCHEMA = 713,
    SCHEMAS = 714,
    SCROLL = 715,
    SEARCH = 716,
    SECOND_P = 717,
    SECURITY = 718,
    SELECT = 719,
    SEQUENCE = 720,
    SEQUENCES = 721,
    SERIALIZABLE = 722,
    SERVER = 723,
    SESSION = 724,
    SESSION_USER = 725,
    SET = 726,
    SETS = 727,
    SETOF = 728,
    SHARE = 729,
    SHOW = 730,
    SIMILAR = 731,
    SIMPLE = 732,
    SKIP = 733,
    SMALLINT = 734,
    SNAPSHOT = 735,
    SOME = 736,
    SOURCE = 737,
    SQL_P = 738,
    STABLE = 739,
    STANDALONE_P = 740,
    START = 741,
    STATEMENT = 742,
    STATISTICS = 743,
    STDIN = 744,
    STDOUT = 745,
    STORAGE = 746,
    STORED = 747,
    STRICT_P = 748,
    STRING_P = 749,
    STRIP_P = 750,
    SUBSCRIPTION = 751,
    SUBSTRING = 752,
    SUPPORT = 753,
    SYMMETRIC = 754,
    SYSID = 755,
    SYSTEM_P = 756,
    SYSTEM_USER = 757,
    TABLE = 758,
    TABLES = 759,
    TABLESAMPLE = 760,
    TABLESPACE = 761,
    TARGET = 762,
    TEMP = 763,
    TEMPLATE = 764,
    TEMPORARY = 765,
    TEXT_P = 766,
    THEN = 767,
    TIES = 768,
    TIME = 769,
    TIMESTAMP = 770,
    TO = 771,
    TRAILING = 772,
    TRANSACTION = 773,
    TRANSFORM = 774,
    TREAT = 775,
    TRIGGER = 776,
    TRIM = 777,
    TRUE_P = 778,
    TRUNCATE = 779,
    TRUSTED = 780,
    TYPE_P = 781,
    TYPES_P = 782,
    UESCAPE = 783,
    UNBOUNDED = 784,
    UNCONDITIONAL = 785,
    UNCOMMITTED = 786,
    UNENCRYPTED = 787,
    UNION = 788,
    UNIQUE = 789,
    UNKNOWN = 790,
    UNLISTEN = 791,
    UNLOGGED = 792,
    UNTIL = 793,
    UPDATE = 794,
    USER = 795,
    USING = 796,
    VACUUM = 797,
    VALID = 798,
    VALIDATE = 799,
    VALIDATOR = 800,
    VALUE_P = 801,
    VALUES = 802,
    VARCHAR = 803,
    VARIADIC = 804,
    VARYING = 805,
    VERBOSE = 806,
    VERSION_P = 807,
    VIEW = 808,
    VIEWS = 809,
    VOLATILE = 810,
    WHEN = 811,
    WHERE = 812,
    WHITESPACE_P = 813,
    WINDOW = 814,
    WITH = 815,
    WITHIN = 816,
    WITHOUT = 817,
    WORK = 818,
    WRAPPER = 819,
    WRITE = 820,
    XML_P = 821,
    XMLATTRIBUTES = 822,
    XMLCONCAT = 823,
    XMLELEMENT = 824,
    XMLEXISTS = 825,
    XMLFOREST = 826,
    XMLNAMESPACES = 827,
    XMLPARSE = 828,
    XMLPI = 829,
    XMLROOT = 830,
    XMLSERIALIZE = 831,
    XMLTABLE = 832,
    YEAR_P = 833,
    YES_P = 834,
    ZONE = 835,
    FORMAT_LA = 836,
    NOT_LA = 837,
    NULLS_LA = 838,
    WITH_LA = 839,
    WITHOUT_LA = 840,
    MODE_TYPE_NAME = 841,
    MODE_PLPGSQL_EXPR = 842,
    MODE_PLPGSQL_ASSIGN1 = 843,
    MODE_PLPGSQL_ASSIGN2 = 844,
    MODE_PLPGSQL_ASSIGN3 = 845,
    UMINUS = 846
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 612 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;
	struct	exec		exec;
	struct describe		describe;

#line 1327 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1358 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   164182

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  611
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  867
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3875
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  7100

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   846

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   598,     2,     2,
     603,   604,   596,   594,   606,   595,   605,   597,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   608,   607,
     591,   593,   592,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   601,     2,   602,   599,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   609,     2,   610,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   600
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1737,  1737,  1740,  1744,  1754,  1756,  1758,  1760,  1762,
    1764,  1766,  1768,  1770,  1772,  1774,  1776,  1778,  1780,  1782,
    1784,  1786,  1788,  1790,  1792,  1794,  1796,  1798,  1800,  1802,
    1804,  1806,  1808,  1810,  1812,  1814,  1816,  1818,  1820,  1822,
    1824,  1842,  1844,  1846,  1848,  1850,  1852,  1854,  1856,  1858,
    1860,  1862,  1864,  1866,  1868,  1870,  1872,  1874,  1876,  1878,
    1880,  1882,  1884,  1886,  1888,  1890,  1892,  1894,  1896,  1898,
    1900,  1902,  1904,  1906,  1908,  1910,  1912,  1914,  1918,  1920,
    1922,  1924,  1926,  1928,  1930,  1932,  1934,  1936,  1938,  1940,
    1942,  1944,  1946,  1948,  1950,  1974,  1976,  1978,  1980,  1982,
    1984,  1986,  1988,  1990,  1992,  1994,  1996,  1998,  2000,  2028,
    2030,  2032,  2034,  2036,  2038,  2040,  2042,  2044,  2046,  2048,
    2050,  2056,  2058,  2060,  2062,  2064,  2066,  2068,  2070,  2072,
    2078,  2088,  2092,  2096,  2102,  2106,  2118,  2128,  2129,  2143,
    2150,  2156,  2167,  2173,  2182,  2189,  2195,  2204,  2211,  2219,
    2224,  2229,  2235,  2240,  2246,  2251,  2257,  2261,  2266,  2272,
    2280,  2288,  2292,  2297,  2303,  2308,  2314,  2319,  2325,  2329,
    2333,  2337,  2342,  2346,  2350,  2354,  2358,  2366,  2370,  2374,
    2378,  2382,  2386,  2394,  2402,  2406,  2415,  2417,  2425,  2429,
    2433,  2437,  2445,  2449,  2453,  2457,  2461,  2465,  2473,  2481,
    2489,  2493,  2501,  2505,  2509,  2513,  2521,  2526,  2532,  2536,
    2540,  2544,  2548,  2552,  2560,  2564,  2568,  2576,  2580,  2584,
    2592,  2596,  2600,  2604,  2612,  2616,  2620,  2624,  2629,  2633,
    2637,  2641,  2645,  2649,  2653,  2661,  2665,  2673,  2677,  2685,
    2689,  2703,  2707,  2711,  2715,  2723,  2727,  2731,  2735,  2743,
    2747,  2751,  2755,  2759,  2763,  2767,  2775,  2779,  2784,  2790,
    2794,  2802,  2810,  2814,  2818,  2822,  2830,  2834,  2842,  2846,
    2854,  2858,  2866,  2870,  2874,  2878,  2882,  2891,  2899,  2903,
    2911,  2915,  2923,  2931,  2935,  2939,  2943,  2947,  2955,  2959,
    2963,  2967,  2971,  2975,  2979,  2983,  2987,  2991,  2995,  2999,
    3003,  3007,  3011,  3015,  3019,  3023,  3027,  3031,  3035,  3043,
    3047,  3055,  3059,  3063,  3071,  3079,  3083,  3087,  3091,  3095,
    3099,  3103,  3107,  3111,  3115,  3119,  3123,  3127,  3131,  3135,
    3139,  3143,  3147,  3151,  3155,  3159,  3163,  3167,  3171,  3175,
    3179,  3183,  3187,  3191,  3195,  3199,  3203,  3207,  3211,  3215,
    3219,  3223,  3227,  3231,  3235,  3239,  3243,  3247,  3251,  3255,
    3259,  3263,  3267,  3271,  3275,  3279,  3283,  3287,  3291,  3295,
    3299,  3303,  3307,  3311,  3315,  3319,  3327,  3331,  3339,  3344,
    3350,  3355,  3361,  3365,  3369,  3373,  3381,  3389,  3394,  3400,
    3404,  3412,  3416,  3420,  3424,  3432,  3436,  3444,  3448,  3452,
    3456,  3464,  3468,  3476,  3480,  3488,  3492,  3496,  3500,  3508,
    3516,  3520,  3528,  3536,  3540,  3548,  3552,  3556,  3560,  3568,
    3584,  3592,  3600,  3608,  3612,  3620,  3625,  3631,  3635,  3639,
    3647,  3651,  3659,  3664,  3670,  3674,  3678,  3682,  3686,  3690,
    3694,  3698,  3702,  3706,  3710,  3714,  3718,  3722,  3726,  3734,
    3739,  3745,  3750,  3756,  3761,  3767,  3771,  3779,  3787,  3791,
    3795,  3799,  3803,  3808,  3814,  3818,  3826,  3834,  3838,  3842,
    3846,  3850,  3854,  3862,  3866,  3870,  3874,  3878,  3882,  3886,
    3891,  3897,  3902,  3908,  3913,  3919,  3923,  3931,  3935,  3943,
    3947,  3951,  3959,  3963,  3971,  3979,  3983,  3991,  3995,  4003,
    4008,  4014,  4018,  4026,  4031,  4037,  4042,  4048,  4052,  4056,
    4060,  4068,  4072,  4076,  4080,  4084,  4088,  4092,  4096,  4100,
    4108,  4112,  4117,  4123,  4127,  4135,  4139,  4143,  4147,  4155,
    4163,  4167,  4172,  4178,  4182,  4186,  4190,  4194,  4198,  4202,
    4206,  4210,  4214,  4222,  4226,  4234,  4238,  4242,  4246,  4250,
    4254,  4258,  4266,  4270,  4278,  4282,  4290,  4295,  4301,  4306,
    4312,  4316,  4324,  4332,  4337,  4343,  4347,  4352,  4357,  4363,
    4367,  4375,  4379,  4387,  4392,  4398,  4402,  4406,  4410,  4415,
    4421,  4429,  4437,  4441,  4445,  4449,  4453,  4461,  4466,  4472,
    4477,  4483,  4491,  4495,  4503,  4507,  4511,  4519,  4524,  4530,
    4534,  4539,  4545,  4549,  4553,  4558,  4564,  4569,  4575,  4580,
    4586,  4594,  4598,  4606,  4610,  4618,  4622,  4626,  4634,  4638,
    4646,  4654,  4658,  4663,  4669,  4673,  4681,  4689,  4694,  4700,
    4708,  4712,  4720,  4724,  4732,  4737,  4743,  4748,  4754,  4758,
    4766,  4770,  4774,  4778,  4782,  4786,  4790,  4794,  4798,  4802,
    4806,  4810,  4814,  4818,  4826,  4831,  4837,  4841,  4845,  4849,
    4857,  4861,  4869,  4873,  4881,  4886,  4892,  4896,  4904,  4909,
    4915,  4919,  4927,  4932,  4938,  4943,  4949,  4957,  4962,  4968,
    4972,  4980,  4984,  4992,  4997,  5003,  5007,  5011,  5016,  5024,
    5032,  5037,  5043,  5051,  5055,  5059,  5063,  5067,  5071,  5075,
    5079,  5083,  5087,  5091,  5095,  5099,  5107,  5115,  5119,  5123,
    5127,  5135,  5139,  5147,  5152,  5158,  5162,  5170,  5175,  5181,
    5185,  5193,  5201,  5205,  5213,  5217,  5221,  5225,  5233,  5241,
    5249,  5257,  5261,  5269,  5274,  5280,  5284,  5292,  5297,  5303,
    5307,  5311,  5319,  5323,  5327,  5331,  5339,  5347,  5351,  5359,
    5364,  5370,  5374,  5382,  5386,  5394,  5398,  5406,  5414,  5422,
    5430,  5435,  5441,  5446,  5452,  5457,  5463,  5468,  5474,  5479,
    5485,  5490,  5496,  5500,  5504,  5508,  5512,  5520,  5528,  5532,
    5540,  5544,  5552,  5556,  5560,  5568,  5572,  5580,  5584,  5588,
    5592,  5596,  5604,  5609,  5615,  5619,  5627,  5635,  5639,  5647,
    5651,  5659,  5667,  5672,  5678,  5683,  5689,  5693,  5701,  5706,
    5712,  5716,  5724,  5728,  5733,  5739,  5743,  5747,  5751,  5759,
    5764,  5771,  5773,  5781,  5785,  5789,  5793,  5797,  5801,  5809,
    5813,  5821,  5825,  5833,  5841,  5845,  5853,  5861,  5865,  5869,
    5873,  5881,  5890,  5894,  5898,  5902,  5906,  5910,  5914,  5918,
    5922,  5926,  5930,  5934,  5938,  5942,  5946,  5950,  5958,  5966,
    5970,  5978,  5982,  5990,  5994,  5998,  6002,  6006,  6010,  6018,
    6026,  6030,  6038,  6046,  6051,  6057,  6061,  6069,  6073,  6077,
    6081,  6085,  6094,  6099,  6105,  6113,  6117,  6125,  6129,  6133,
    6137,  6141,  6149,  6154,  6160,  6165,  6171,  6175,  6180,  6186,
    6192,  6198,  6206,  6210,  6218,  6222,  6230,  6234,  6242,  6246,
    6254,  6258,  6266,  6274,  6282,  6286,  6290,  6294,  6298,  6302,
    6306,  6310,  6314,  6318,  6322,  6326,  6334,  6338,  6342,  6346,
    6350,  6354,  6358,  6362,  6366,  6370,  6374,  6378,  6382,  6390,
    6394,  6398,  6402,  6406,  6414,  6418,  6422,  6426,  6430,  6434,
    6438,  6442,  6450,  6454,  6458,  6466,  6470,  6478,  6482,  6490,
    6494,  6502,  6506,  6514,  6522,  6526,  6531,  6537,  6541,  6545,
    6549,  6553,  6557,  6561,  6565,  6569,  6573,  6577,  6581,  6585,
    6589,  6593,  6597,  6601,  6605,  6613,  6617,  6625,  6629,  6633,
    6637,  6641,  6645,  6649,  6653,  6657,  6661,  6669,  6674,  6680,
    6684,  6692,  6696,  6700,  6704,  6713,  6722,  6731,  6740,  6749,
    6758,  6767,  6780,  6794,  6808,  6822,  6836,  6850,  6864,  6883,
    6902,  6921,  6935,  6954,  6968,  6987,  7005,  7009,  7017,  7022,
    7028,  7036,  7040,  7048,  7052,  7056,  7060,  7064,  7072,  7076,
    7084,  7088,  7092,  7096,  7100,  7108,  7112,  7120,  7124,  7132,
    7136,  7140,  7144,  7148,  7152,  7156,  7160,  7164,  7168,  7172,
    7176,  7180,  7184,  7188,  7192,  7196,  7200,  7204,  7208,  7212,
    7220,  7224,  7232,  7236,  7244,  7249,  7255,  7259,  7267,  7271,
    7279,  7283,  7291,  7299,  7303,  7307,  7315,  7320,  7326,  7334,
    7339,  7345,  7349,  7353,  7361,  7365,  7369,  7377,  7381,  7385,
    7389,  7393,  7397,  7405,  7409,  7417,  7422,  7428,  7433,  7439,
    7443,  7451,  7455,  7463,  7467,  7471,  7479,  7484,  7490,  7494,
    7502,  7507,  7513,  7517,  7522,  7528,  7532,  7537,  7543,  7547,
    7551,  7555,  7563,  7568,  7574,  7578,  7586,  7590,  7598,  7602,
    7610,  7614,  7618,  7622,  7630,  7634,  7642,  7646,  7654,  7658,
    7662,  7666,  7670,  7678,  7682,  7686,  7690,  7694,  7702,  7710,
    7718,  7722,  7726,  7734,  7738,  7742,  7750,  7758,  7762,  7766,
    7770,  7778,  7782,  7790,  7798,  7802,  7810,  7815,  7821,  7825,
    7833,  7837,  7841,  7845,  7849,  7853,  7857,  7861,  7865,  7869,
    7873,  7877,  7881,  7885,  7889,  7893,  7897,  7905,  7909,  7913,
    7917,  7921,  7929,  7933,  7941,  7949,  7953,  7958,  7964,  7969,
    7975,  7979,  7987,  7991,  7999,  8004,  8010,  8018,  8022,  8030,
    8034,  8038,  8046,  8050,  8058,  8063,  8069,  8073,  8077,  8081,
    8085,  8089,  8097,  8101,  8109,  8113,  8121,  8125,  8129,  8133,
    8141,  8145,  8153,  8157,  8165,  8173,  8181,  8185,  8193,  8197,
    8205,  8209,  8213,  8221,  8225,  8230,  8236,  8244,  8249,  8255,
    8263,  8267,  8271,  8275,  8283,  8291,  8295,  8299,  8307,  8311,
    8319,  8323,  8331,  8336,  8342,  8346,  8354,  8358,  8362,  8366,
    8370,  8374,  8378,  8382,  8386,  8390,  8394,  8398,  8402,  8406,
    8410,  8414,  8418,  8422,  8426,  8430,  8434,  8438,  8442,  8446,
    8450,  8454,  8458,  8462,  8466,  8470,  8474,  8478,  8482,  8486,
    8490,  8494,  8498,  8502,  8506,  8510,  8514,  8518,  8522,  8526,
    8530,  8534,  8538,  8542,  8546,  8550,  8554,  8558,  8562,  8566,
    8570,  8578,  8583,  8589,  8594,  8600,  8604,  8608,  8612,  8616,
    8620,  8628,  8633,  8639,  8643,  8647,  8651,  8655,  8659,  8663,
    8667,  8671,  8675,  8679,  8683,  8687,  8691,  8695,  8699,  8703,
    8707,  8711,  8715,  8719,  8723,  8727,  8731,  8735,  8739,  8743,
    8751,  8759,  8763,  8771,  8775,  8779,  8787,  8791,  8795,  8799,
    8803,  8811,  8819,  8823,  8827,  8831,  8835,  8839,  8843,  8847,
    8851,  8855,  8859,  8863,  8867,  8871,  8875,  8879,  8883,  8887,
    8891,  8895,  8899,  8903,  8907,  8911,  8919,  8923,  8927,  8935,
    8939,  8943,  8947,  8951,  8955,  8959,  8967,  8971,  8979,  8983,
    8987,  8991,  8999,  9007,  9011,  9015,  9019,  9023,  9027,  9031,
    9035,  9039,  9047,  9051,  9059,  9067,  9071,  9075,  9083,  9087,
    9095,  9099,  9103,  9107,  9111,  9119,  9124,  9130,  9134,  9138,
    9142,  9150,  9154,  9159,  9165,  9173,  9178,  9184,  9192,  9196,
    9204,  9208,  9212,  9216,  9220,  9224,  9228,  9232,  9236,  9240,
    9244,  9248,  9256,  9260,  9268,  9272,  9277,  9283,  9287,  9291,
    9295,  9299,  9307,  9311,  9315,  9323,  9328,  9334,  9338,  9343,
    9349,  9353,  9357,  9361,  9369,  9373,  9377,  9382,  9388,  9396,
    9404,  9409,  9415,  9419,  9427,  9431,  9435,  9443,  9447,  9451,
    9455,  9459,  9463,  9467,  9475,  9480,  9486,  9490,  9494,  9498,
    9506,  9514,  9518,  9522,  9526,  9534,  9538,  9546,  9554,  9562,
    9566,  9574,  9582,  9586,  9590,  9594,  9598,  9602,  9606,  9614,
    9619,  9625,  9633,  9637,  9641,  9645,  9649,  9653,  9661,  9665,
    9673,  9681,  9685,  9689,  9693,  9697,  9705,  9710,  9716,  9720,
    9728,  9732,  9740,  9744,  9752,  9756,  9764,  9772,  9776,  9780,
    9788,  9792,  9797,  9803,  9808,  9814,  9819,  9825,  9830,  9836,
    9841,  9847,  9852,  9858,  9866,  9870,  9878,  9883,  9889,  9893,
    9897,  9901,  9909,  9913,  9917,  9921,  9925,  9929,  9933,  9937,
    9941,  9945,  9953,  9959,  9969,  9974,  9980,  9984,  9988,  9992,
    9996, 10004, 10009, 10013, 10021, 10026, 10032, 10040, 10044, 10052,
   10056, 10060, 10064, 10068, 10076, 10080, 10088, 10092, 10100, 10108,
   10112, 10117, 10123, 10127, 10132, 10138, 10143, 10149, 10157, 10162,
   10168, 10176, 10181, 10187, 10191, 10195, 10199, 10203, 10207, 10211,
   10215, 10223, 10228, 10234, 10238, 10243, 10249, 10257, 10261, 10269,
   10273, 10281, 10289, 10293, 10301, 10309, 10313, 10321, 10325, 10329,
   10333, 10337, 10345, 10349, 10357, 10361, 10369, 10374, 10380, 10388,
   10396, 10400, 10404, 10408, 10412, 10420, 10428, 10479, 10483, 10496,
   10498, 10502, 10506, 10510, 10514, 10523, 10529, 10533, 10541, 10545,
   10553, 10557, 10565, 10569, 10573, 10577, 10581, 10585, 10589, 10593,
   10601, 10605, 10613, 10617, 10621, 10625, 10629, 10633, 10637, 10645,
   10649, 10653, 10661, 10665, 10673, 10681, 10685, 10690, 10696, 10700,
   10705, 10711, 10715, 10720, 10726, 10731, 10737, 10742, 10744, 10750,
   10754, 10758, 10762, 10766, 10770, 10774, 10778, 10782, 10790, 10795,
   10801, 10805, 10810, 10816, 10820, 10828, 10833, 10839, 10844, 10850,
   10858, 10862, 10870, 10874, 10882, 10886, 10890, 10894, 10902, 10907,
   10913, 10917, 10922, 10926, 10930, 10934, 10942, 10946, 10954, 10958,
   10966, 10974, 10978, 10982, 10990, 10994, 11002, 11006, 11014, 11018,
   11026, 11031, 11037, 11041, 11049, 11053, 11057, 11061, 11065, 11073,
   11081, 11089, 11097, 11105, 11110, 11116, 11120, 11128, 11133, 11139,
   11143, 11151, 11159, 11163, 11167, 11171, 11179, 11184, 11190, 11194,
   11202, 11207, 11213, 11217, 11225, 11229, 11233, 11237, 11241, 11245,
   11249, 11253, 11257, 11261, 11265, 11269, 11277, 11281, 11285, 11289,
   11293, 11297, 11305, 11309, 11313, 11317, 11325, 11330, 11336, 11341,
   11347, 11351, 11355, 11359, 11364, 11370, 11374, 11378, 11382, 11390,
   11395, 11401, 11405, 11413, 11417, 11425, 11429, 11433, 11441, 11445,
   11453, 11457, 11461, 11469, 11477, 11482, 11488, 11492, 11500, 11508,
   11512, 11520, 11525, 11531, 11536, 11542, 11547, 11553, 11557, 11563,
   11569, 11574, 11580, 11584, 11592, 11600, 11604, 11612, 11616, 11624,
   11628, 11632, 11640, 11644, 11652, 11656, 11660, 11664, 11668, 11676,
   11680, 11688, 11692, 11700, 11708, 11713, 11719, 11723, 11731, 11735,
   11739, 11743, 11747, 11751, 11759, 11764, 11770, 11775, 11781, 11783,
   11785, 11789, 11793, 11797, 11805, 11815, 11826, 11835, 11839, 11843,
   11847, 11851, 11855, 11859, 11863, 11871, 11875, 11879, 11883, 11887,
   11895, 11899, 11907, 11912, 11918, 11922, 11926, 11930, 11934, 11938,
   11942, 11946, 11950, 11954, 11958, 11966, 11971, 11977, 11981, 11989,
   11993, 12001, 12009, 12017, 12021, 12029, 12033, 12041, 12049, 12057,
   12061, 12065, 12069, 12073, 12077, 12085, 12090, 12096, 12100, 12104,
   12108, 12116, 12124, 12128, 12133, 12139, 12143, 12147, 12151, 12155,
   12159, 12163, 12167, 12171, 12175, 12179, 12183, 12187, 12192, 12198,
   12202, 12210, 12218, 12222, 12226, 12230, 12234, 12238, 12242, 12246,
   12250, 12254, 12258, 12262, 12266, 12270, 12274, 12278, 12282, 12286,
   12290, 12294, 12298, 12302, 12306, 12310, 12314, 12318, 12322, 12326,
   12330, 12334, 12338, 12342, 12346, 12350, 12354, 12358, 12362, 12366,
   12370, 12374, 12378, 12382, 12386, 12390, 12394, 12398, 12402, 12406,
   12410, 12414, 12418, 12422, 12426, 12430, 12434, 12438, 12442, 12446,
   12450, 12455, 12459, 12463, 12467, 12471, 12475, 12479, 12483, 12487,
   12495, 12499, 12503, 12507, 12511, 12515, 12519, 12523, 12527, 12531,
   12535, 12539, 12543, 12547, 12551, 12555, 12559, 12563, 12567, 12571,
   12575, 12579, 12587, 12591, 12595, 12599, 12603, 12607, 12611, 12615,
   12619, 12623, 12627, 12631, 12635, 12639, 12647, 12651, 12655, 12659,
   12663, 12667, 12671, 12679, 12683, 12687, 12695, 12699, 12703, 12711,
   12715, 12719, 12723, 12727, 12731, 12735, 12739, 12743, 12747, 12751,
   12755, 12759, 12763, 12767, 12771, 12775, 12779, 12783, 12787, 12791,
   12795, 12799, 12803, 12807, 12811, 12815, 12819, 12823, 12827, 12831,
   12835, 12839, 12843, 12847, 12851, 12855, 12859, 12863, 12867, 12871,
   12875, 12879, 12883, 12887, 12891, 12895, 12899, 12903, 12907, 12911,
   12915, 12919, 12923, 12927, 12931, 12935, 12939, 12943, 12947, 12955,
   12959, 12967, 12971, 12975, 12980, 12986, 12994, 12998, 13006, 13010,
   13018, 13022, 13030, 13034, 13039, 13045, 13049, 13054, 13060, 13064,
   13068, 13072, 13080, 13084, 13092, 13097, 13103, 13108, 13114, 13119,
   13125, 13129, 13137, 13145, 13149, 13154, 13160, 13168, 13172, 13179,
   13184, 13190, 13194, 13198, 13203, 13209, 13213, 13221, 13225, 13229,
   13233, 13237, 13245, 13249, 13253, 13257, 13262, 13268, 13272, 13276,
   13284, 13288, 13296, 13304, 13308, 13312, 13320, 13324, 13332, 13336,
   13340, 13344, 13348, 13352, 13356, 13360, 13364, 13368, 13372, 13376,
   13384, 13388, 13396, 13400, 13408, 13412, 13416, 13420, 13424, 13428,
   13436, 13440, 13448, 13452, 13460, 13464, 13468, 13476, 13481, 13487,
   13491, 13499, 13503, 13507, 13515, 13519, 13527, 13535, 13539, 13543,
   13547, 13551, 13555, 13559, 13563, 13571, 13575, 13579, 13583, 13591,
   13595, 13603, 13611, 13615, 13619, 13623, 13627, 13635, 13639, 13643,
   13651, 13655, 13663, 13671, 13675, 13683, 13691, 13696, 13702, 13707,
   13713, 13717, 13725, 13729, 13733, 13737, 13745, 13750, 13756, 13760,
   13769, 13771, 13779, 13784, 13790, 13795, 13801, 13805, 13813, 13821,
   13825, 13829, 13833, 13837, 13841, 13845, 13849, 13854, 13860, 13864,
   13872, 13876, 13880, 13884, 13888, 13892, 13896, 13900, 13908, 13912,
   13916, 13921, 13927, 13932, 13938, 13946, 13950, 13958, 13963, 13969,
   13973, 13977, 13981, 13986, 13992, 13997, 14003, 14007, 14011, 14015,
   14019, 14027, 14031, 14035, 14039, 14043, 14050, 14054, 14062, 14066,
   14074, 14078, 14083, 14089, 14093, 14098, 14104, 14108, 14116, 14120,
   14128, 14133, 14139, 14144, 14150, 14154, 14162, 14166, 14170, 14174,
   14182, 14186, 14194, 14198, 14206, 14210, 14218, 14226, 14234, 14242,
   14246, 14254, 14258, 14262, 14266, 14270, 14274, 14278, 14282, 14286,
   14290, 14294, 14298, 14302, 14306, 14307, 14312, 14318, 14322, 14323,
   14327, 14335, 14343, 14347, 14351, 14355, 14363, 14367, 14375, 14379,
   14383, 14387, 14395, 14399, 14407, 14411, 14415, 14419, 14423, 14427,
   14431, 14435, 14439, 14443, 14447, 14451, 14455, 14459, 14463, 14467,
   14471, 14475, 14479, 14483, 14487, 14491, 14495, 14499, 14503, 14507,
   14511, 14515, 14519, 14523, 14527, 14531, 14535, 14539, 14543, 14547,
   14551, 14555, 14559, 14563, 14567, 14571, 14575, 14579, 14583, 14587,
   14591, 14595, 14599, 14603, 14607, 14611, 14615, 14619, 14623, 14627,
   14631, 14635, 14639, 14643, 14647, 14651, 14655, 14659, 14663, 14667,
   14671, 14675, 14679, 14683, 14687, 14691, 14695, 14699, 14703, 14707,
   14711, 14715, 14719, 14723, 14727, 14731, 14735, 14739, 14743, 14747,
   14751, 14755, 14759, 14763, 14767, 14771, 14775, 14779, 14783, 14787,
   14791, 14795, 14799, 14803, 14807, 14811, 14815, 14819, 14823, 14827,
   14831, 14835, 14839, 14843, 14847, 14851, 14855, 14859, 14863, 14867,
   14871, 14875, 14879, 14883, 14887, 14891, 14895, 14899, 14903, 14907,
   14911, 14915, 14919, 14923, 14927, 14931, 14935, 14939, 14943, 14947,
   14951, 14955, 14959, 14963, 14967, 14971, 14975, 14979, 14983, 14987,
   14991, 14995, 14999, 15003, 15007, 15011, 15015, 15019, 15023, 15027,
   15031, 15035, 15039, 15043, 15047, 15051, 15055, 15059, 15063, 15067,
   15071, 15075, 15079, 15083, 15087, 15091, 15095, 15099, 15103, 15107,
   15111, 15115, 15119, 15123, 15127, 15131, 15135, 15139, 15143, 15147,
   15151, 15155, 15159, 15163, 15167, 15171, 15175, 15179, 15183, 15187,
   15191, 15195, 15199, 15203, 15207, 15211, 15215, 15219, 15223, 15227,
   15231, 15235, 15239, 15243, 15247, 15251, 15255, 15259, 15263, 15267,
   15271, 15275, 15279, 15283, 15287, 15291, 15295, 15299, 15303, 15307,
   15311, 15315, 15319, 15323, 15327, 15331, 15335, 15339, 15343, 15347,
   15351, 15355, 15359, 15363, 15367, 15371, 15375, 15379, 15383, 15387,
   15391, 15395, 15399, 15403, 15407, 15411, 15415, 15419, 15423, 15427,
   15431, 15435, 15439, 15443, 15447, 15451, 15455, 15459, 15463, 15467,
   15471, 15475, 15479, 15483, 15487, 15491, 15495, 15499, 15503, 15507,
   15511, 15515, 15519, 15523, 15527, 15531, 15535, 15539, 15543, 15547,
   15551, 15555, 15559, 15563, 15567, 15571, 15575, 15579, 15583, 15587,
   15591, 15595, 15599, 15603, 15607, 15611, 15615, 15619, 15623, 15627,
   15631, 15635, 15639, 15643, 15647, 15651, 15655, 15659, 15663, 15667,
   15671, 15675, 15683, 15687, 15691, 15695, 15699, 15703, 15707, 15711,
   15715, 15719, 15723, 15727, 15731, 15735, 15739, 15743, 15747, 15751,
   15755, 15759, 15763, 15767, 15771, 15775, 15779, 15783, 15787, 15791,
   15795, 15799, 15803, 15807, 15811, 15815, 15819, 15823, 15827, 15831,
   15835, 15839, 15843, 15847, 15851, 15855, 15859, 15863, 15867, 15871,
   15875, 15879, 15883, 15887, 15891, 15895, 15899, 15903, 15907, 15911,
   15915, 15919, 15927, 15931, 15935, 15939, 15943, 15947, 15951, 15955,
   15959, 15963, 15967, 15971, 15975, 15979, 15983, 15987, 15991, 15995,
   15999, 16003, 16007, 16011, 16015, 16023, 16027, 16031, 16035, 16039,
   16043, 16047, 16051, 16055, 16059, 16063, 16067, 16071, 16075, 16079,
   16083, 16087, 16091, 16095, 16099, 16103, 16107, 16111, 16115, 16119,
   16123, 16127, 16131, 16135, 16139, 16143, 16147, 16151, 16155, 16159,
   16163, 16167, 16171, 16175, 16179, 16183, 16187, 16191, 16195, 16199,
   16203, 16207, 16211, 16215, 16219, 16223, 16227, 16231, 16235, 16239,
   16243, 16247, 16251, 16255, 16259, 16263, 16267, 16271, 16275, 16279,
   16283, 16287, 16291, 16295, 16299, 16303, 16307, 16311, 16315, 16319,
   16323, 16331, 16335, 16339, 16343, 16347, 16351, 16355, 16359, 16363,
   16367, 16371, 16375, 16379, 16383, 16387, 16391, 16395, 16399, 16403,
   16407, 16411, 16415, 16419, 16423, 16427, 16431, 16435, 16439, 16443,
   16447, 16451, 16455, 16459, 16463, 16467, 16471, 16475, 16479, 16483,
   16487, 16491, 16495, 16499, 16503, 16507, 16511, 16515, 16519, 16523,
   16527, 16531, 16535, 16539, 16543, 16547, 16551, 16555, 16559, 16563,
   16567, 16571, 16575, 16579, 16583, 16587, 16591, 16595, 16599, 16603,
   16607, 16611, 16615, 16619, 16623, 16627, 16631, 16635, 16639, 16643,
   16647, 16651, 16655, 16659, 16663, 16667, 16671, 16675, 16679, 16683,
   16687, 16691, 16695, 16699, 16703, 16707, 16711, 16715, 16719, 16723,
   16727, 16731, 16735, 16739, 16743, 16747, 16751, 16755, 16759, 16763,
   16767, 16771, 16775, 16779, 16783, 16787, 16791, 16795, 16799, 16803,
   16807, 16811, 16815, 16819, 16823, 16827, 16831, 16835, 16839, 16843,
   16847, 16851, 16855, 16859, 16863, 16867, 16871, 16875, 16879, 16883,
   16887, 16891, 16895, 16899, 16903, 16907, 16911, 16915, 16919, 16923,
   16927, 16931, 16935, 16939, 16943, 16947, 16951, 16955, 16959, 16963,
   16967, 16971, 16975, 16979, 16983, 16987, 16991, 16995, 16999, 17003,
   17007, 17011, 17015, 17019, 17023, 17027, 17031, 17035, 17039, 17043,
   17047, 17051, 17055, 17059, 17063, 17067, 17071, 17075, 17079, 17083,
   17087, 17091, 17095, 17099, 17103, 17107, 17111, 17115, 17119, 17123,
   17127, 17131, 17135, 17139, 17143, 17147, 17151, 17155, 17159, 17163,
   17167, 17171, 17175, 17179, 17183, 17187, 17191, 17195, 17199, 17203,
   17207, 17211, 17215, 17219, 17223, 17227, 17231, 17235, 17239, 17243,
   17247, 17251, 17255, 17259, 17263, 17267, 17271, 17275, 17279, 17283,
   17287, 17291, 17295, 17299, 17303, 17307, 17311, 17315, 17319, 17323,
   17327, 17331, 17335, 17339, 17343, 17347, 17351, 17355, 17359, 17363,
   17367, 17371, 17375, 17379, 17383, 17387, 17391, 17395, 17399, 17403,
   17407, 17411, 17415, 17419, 17423, 17427, 17431, 17435, 17439, 17443,
   17447, 17451, 17455, 17459, 17463, 17467, 17471, 17475, 17479, 17483,
   17487, 17491, 17495, 17499, 17503, 17507, 17511, 17515, 17519, 17523,
   17527, 17531, 17535, 17539, 17543, 17547, 17551, 17555, 17559, 17563,
   17567, 17571, 17575, 17579, 17583, 17587, 17591, 17595, 17599, 17603,
   17607, 17611, 17615, 17619, 17623, 17627, 17631, 17635, 17639, 17643,
   17647, 17651, 17655, 17659, 17663, 17667, 17671, 17675, 17679, 17683,
   17687, 17691, 17695, 17699, 17703, 17707, 17711, 17715, 17719, 17723,
   17727, 17731, 17735, 17739, 17743, 17747, 17751, 17755, 17759, 17763,
   17767, 17771, 17775, 17779, 17783, 17787, 17791, 17795, 17799, 17803,
   17807, 17811, 17815, 17819, 17823, 17827, 17831, 17835, 17839, 17843,
   17847, 17851, 17855, 17859, 17863, 17867, 17871, 17875, 17879, 17883,
   17887, 17891, 17895, 17899, 17903, 17907, 17911, 17915, 17919, 17923,
   17927, 17931, 17935, 17939, 17943, 17947, 17951, 17955, 17959, 17963,
   17967, 17971, 17975, 17979, 17983, 17987, 17991, 17995, 17999, 18003,
   18007, 18011, 18015, 18019, 18023, 18027, 18031, 18035, 18039, 18043,
   18047, 18051, 18055, 18059, 18063, 18067, 18071, 18075, 18079, 18083,
   18087, 18091, 18095, 18099, 18103, 18107, 18111, 18115, 18119, 18123,
   18127, 18131, 18135, 18145, 18146, 18149, 18155, 18161, 18167, 18168,
   18169, 18170, 18171, 18184, 18184, 18191, 18191, 18200, 18215, 18217,
   18220, 18222, 18226, 18238, 18254, 18258, 18269, 18270, 18273, 18285,
   18294, 18295, 18298, 18299, 18300, 18303, 18304, 18307, 18308, 18311,
   18312, 18315, 18317, 18319, 18321, 18325, 18332, 18339, 18355, 18389,
   18399, 18402, 18406, 18419, 18420, 18422, 18424, 18428, 18442, 18448,
   18485, 18547, 18556, 18558, 18559, 18562, 18564, 18565, 18568, 18569,
   18570, 18571, 18572, 18579, 18578, 18588, 18590, 18592, 18593, 18596,
   18597, 18598, 18599, 18602, 18603, 18607, 18606, 18623, 18622, 18638,
   18637, 18652, 18658, 18659, 18662, 18664, 18665, 18668, 18669, 18670,
   18671, 18674, 18675, 18678, 18686, 18703, 18711, 18719, 18727, 18755,
   18763, 18772, 18780, 18788, 18796, 18824, 18832, 18952, 18986, 18988,
   18990, 18994, 18998, 18997, 19048, 19050, 19049, 19064, 19070, 19077,
   19082, 19088, 19089, 19092, 19093, 19094, 19095, 19096, 19097, 19098,
   19099, 19100, 19103, 19104, 19105, 19106, 19107, 19108, 19109, 19110,
   19111, 19112, 19115, 19116, 19119, 19121, 19130, 19230, 19231, 19238,
   19239, 19240, 19246, 19255, 19258, 19259, 19260, 19261, 19264, 19265,
   19266, 19269, 19271, 19279, 19280, 19286, 19294, 19295, 19298, 19299,
   19302, 19307, 19314, 19319, 19326, 19333, 19333, 19335, 19342, 19343,
   19346, 19347, 19348, 19349, 19350, 19351, 19352, 19353, 19354, 19360,
   19365, 19375, 19380, 19385, 19392, 19393, 19405, 19416, 19427, 19431,
   19432, 19435, 19440, 19444, 19445, 19448, 19454, 19462, 19468, 19475,
   19479, 19480, 19483, 19486, 19490, 19491, 19494, 19500, 19509, 19514,
   19524, 19534, 19546, 19547, 19548, 19549, 19550, 19551, 19552, 19553,
   19554, 19555, 19556, 19557, 19558, 19559, 19560, 19567, 19568, 19571,
   19572, 19579, 19580, 19581, 19588, 19587, 19604, 19605, 19612, 19611,
   19682, 19688, 19694, 19702, 19708, 19714, 19720, 19726, 19732, 19738,
   19744, 19750, 19756, 19767, 19768, 19771, 19772, 19773, 19774, 19775,
   19776, 19777, 19778, 19779, 19780, 19781, 19782, 19783, 19784, 19785,
   19786, 19787, 19788, 19789, 19790, 19791, 19792, 19795, 19796, 19797,
   19798, 19799, 19800, 19804, 19805, 19806, 19807, 19808, 19809, 19810,
   19813, 19816, 19817, 19818, 19819, 19820, 19821, 19822, 19823, 19836,
   19837, 19838, 19839, 19840, 19841, 19842, 19847, 19848, 19849, 19850,
   19851, 19852, 19858, 19859, 19860, 19861, 19862, 19863, 19864, 19865,
   19866, 19867, 19868, 19871, 19872, 19873, 19874, 19875, 19876, 19877,
   19878, 19881, 19882, 19883, 19884, 19885, 19886, 19887, 19904, 19905,
   19906, 19909, 19910, 19911, 19912, 19913, 19914, 19918, 19918, 19921,
   19927, 19928, 19931, 19933, 19938, 19948, 19959, 19966, 19967, 19968,
   19971, 20004, 20006, 20008, 20010, 20012, 20014, 20015, 20018, 20020,
   20028, 20029, 20030, 20034, 20035, 20039, 20040, 20043, 20044, 20047,
   20048, 20049, 20050, 20051, 20054, 20055, 20056, 20057, 20058, 20059,
   20060, 20061, 20062, 20063, 20064, 20065, 20066, 20067, 20068, 20069,
   20070, 20071, 20072, 20073, 20074, 20075, 20076, 20077, 20078, 20079,
   20080, 20081, 20082, 20083, 20084, 20085, 20086, 20087, 20088, 20089,
   20090, 20091, 20092, 20093, 20094, 20095, 20096, 20097, 20098, 20099,
   20100, 20101, 20102, 20103, 20104, 20105, 20106, 20107, 20108, 20109,
   20112, 20113, 20114, 20115, 20118, 20119, 20120, 20121, 20122, 20123,
   20124, 20125, 20126, 20127, 20134, 20135, 20136, 20137, 20140, 20141,
   20144, 20145, 20148, 20149, 20160, 20161
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CARDINALITY", "SQL_CONNECT", "SQL_COUNT",
  "SQL_DATETIME_INTERVAL_CODE", "SQL_DATETIME_INTERVAL_PRECISION",
  "SQL_DESCRIBE", "SQL_DESCRIPTOR", "SQL_DISCONNECT", "SQL_FOUND",
  "SQL_FREE", "SQL_GET", "SQL_GO", "SQL_GOTO", "SQL_IDENTIFIED",
  "SQL_INDICATOR", "SQL_KEY_MEMBER", "SQL_LENGTH", "SQL_LONG",
  "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN", "SQL_OUTPUT",
  "SQL_REFERENCE", "SQL_RETURNED_LENGTH", "SQL_RETURNED_OCTET_LENGTH",
  "SQL_SCALE", "SQL_SECTION", "SQL_SHORT", "SQL_SIGNED", "SQL_SQLERROR",
  "SQL_SQLPRINT", "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT",
  "SQL_UNSIGNED", "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND",
  "S_ANYTHING", "S_AUTO", "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT",
  "S_EQUAL", "S_EXTERN", "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER",
  "S_MOD", "S_MUL", "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT",
  "S_STATIC", "S_SUB", "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE",
  "CPP_LINE", "IP", "IDENT", "UIDENT", "FCONST", "SCONST", "USCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASENSITIVE",
  "ASSERTION", "ASSIGNMENT", "ASYMMETRIC", "ATOMIC", "AT", "ATTACH",
  "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN",
  "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BREADTH", "BY", "CACHE",
  "CALL", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P",
  "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT",
  "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE", "COLLATION",
  "COLUMN", "COLUMNS", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "COMPRESSION", "CONCURRENTLY", "CONDITIONAL", "CONFIGURATION",
  "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DEPTH",
  "DESC", "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "EMPTY_P",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ERROR_P",
  "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE",
  "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FINALIZE", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORMAT", "FORWARD",
  "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P",
  "INCLUDE", "INCLUDING", "INCREMENT", "INDENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "JSON", "JSON_ARRAY", "JSON_ARRAYAGG", "JSON_EXISTS",
  "JSON_OBJECT", "JSON_OBJECTAGG", "JSON_QUERY", "JSON_SCALAR",
  "JSON_SERIALIZE", "JSON_TABLE", "JSON_VALUE", "KEEP", "KEY", "KEYS",
  "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LEADING",
  "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD",
  "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED",
  "LOGGED", "MAPPING", "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE",
  "MERGE", "MERGE_ACTION", "METHOD", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NESTED", "NEW", "NEXT", "NFC", "NFD", "NFKC", "NFKD", "NO", "NONE",
  "NORMALIZE", "NORMALIZED", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "OMIT", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P",
  "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARAMETER", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PATH", "PLACING", "PLAN", "PLANS", "POLICY", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES",
  "PROGRAM", "PUBLICATION", "QUOTE", "QUOTES", "RANGE", "READ", "REAL",
  "REASSIGN", "RECHECK", "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING",
  "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURN",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP",
  "ROUTINE", "ROUTINES", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCALAR",
  "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SOURCE", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STORED", "STRICT_P", "STRING_P", "STRIP_P",
  "SUBSCRIPTION", "SUBSTRING", "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "SYSTEM_USER", "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TARGET",
  "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UESCAPE", "UNBOUNDED", "UNCONDITIONAL", "UNCOMMITTED", "UNENCRYPTED",
  "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE",
  "USER", "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P",
  "VALUES", "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P",
  "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW",
  "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "FORMAT_LA", "NOT_LA", "NULLS_LA",
  "WITH_LA", "WITHOUT_LA", "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR",
  "MODE_PLPGSQL_ASSIGN1", "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3",
  "'<'", "'>'", "'='", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "toplevel_stmt", "stmt", "opt_single_name",
  "opt_qualified_name", "opt_concurrently", "opt_drop_behavior",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "set_statistics_value", "set_access_method_name", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "column_compression",
  "opt_column_compression", "column_storage", "opt_column_storage",
  "ColQualList", "ColConstraint", "ColConstraintElem",
  "opt_unique_null_treatment", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "DomainConstraint",
  "DomainConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem", "OptWhereClause",
  "key_actions", "key_update", "key_delete", "key_action", "OptInherit",
  "OptPartitionSpec", "PartitionSpec", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "stats_params", "stats_param", "AlterStatsStmt", "create_as_target",
  "opt_with_data", "CreateMatViewStmt", "create_mv_target", "OptNoLog",
  "RefreshMatViewStmt", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "OptParenthesizedSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "opt_procedural", "CreateTableSpaceStmt",
  "OptTableSpaceOwner", "DropTableSpaceStmt", "CreateExtensionStmt",
  "create_extension_opt_list", "create_extension_opt_item",
  "AlterExtensionStmt", "alter_extension_opt_list",
  "alter_extension_opt_item", "AlterExtensionContentsStmt",
  "CreateFdwStmt", "fdw_option", "fdw_options", "opt_fdw_options",
  "AlterFdwStmt", "create_generic_options", "generic_option_list",
  "alter_generic_options", "alter_generic_option_list",
  "alter_generic_option_elem", "generic_option_elem",
  "generic_option_name", "generic_option_arg", "CreateForeignServerStmt",
  "opt_type", "foreign_server_version", "opt_foreign_server_version",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "am_type", "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "FUNCTION_or_PROCEDURE",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertionStmt",
  "DefineStmt", "definition", "def_list", "def_elem", "def_arg",
  "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause", "InsertStmt",
  "insert_target", "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "MergeStmt", "merge_when_list", "merge_when_clause",
  "merge_when_tgt_matched", "merge_when_tgt_not_matched",
  "opt_merge_when_condition", "merge_update", "merge_delete",
  "merge_insert", "merge_values_clause", "DeclareCursorStmt",
  "cursor_name", "cursor_options", "opt_hold", "SelectStmt",
  "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause", "opt_sort_clause",
  "sort_clause", "sortby_list", "sortby", "select_limit",
  "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "json_table",
  "json_table_path_name_opt", "json_table_column_definition_list",
  "json_table_column_definition", "path_opt",
  "json_table_column_path_clause_opt", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_passing_clause_opt",
  "json_arguments", "json_argument", "json_wrapper_behavior",
  "json_behavior", "json_behavior_type", "json_behavior_clause_opt",
  "json_on_error_clause_opt", "json_value_expr", "json_format_clause",
  "json_format_clause_opt", "json_quotes_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "NonReservedWord", "BareColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "bare_label_keyword", "statements", "statement",
  "CreateAsStmt", "$@1", "$@2", "at", "ECPGConnect", "connection_target",
  "opt_database_name", "db_prefix", "server", "opt_server", "server_name",
  "opt_port", "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGDeclareStmt", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@3", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@4", "var_declaration", "$@5", "$@6",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@7", "struct_union_type", "$@8",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@9", "opt_reference", "ECPGVar",
  "$@10", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGCKeywords",
  "all_unreserved_keyword", "ECPGunreserved_interval", "into_list",
  "ecpgstart", "c_args", "coutputvariable", "civarind", "char_civar",
  "civar", "indicator", "cvariable", "ecpg_param", "ecpg_bconst",
  "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,   791,   792,   793,   794,
     795,   796,   797,   798,   799,   800,   801,   802,   803,   804,
     805,   806,   807,   808,   809,   810,   811,   812,   813,   814,
     815,   816,   817,   818,   819,   820,   821,   822,   823,   824,
     825,   826,   827,   828,   829,   830,   831,   832,   833,   834,
     835,   836,   837,   838,   839,   840,   841,   842,   843,   844,
     845,    60,    62,    61,    43,    45,    42,    47,    37,    94,
     846,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

#define YYPACT_NINF -6254

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-6254)))

#define YYTABLE_NINF -3721

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-3721)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -6254,   607,  8793, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, 21574, -6254, -6254, -6254, -6254, -6254,  1513,
    1294,156473,   447,102966,108141,  1323,112741, -6254, 87421,  1251,
   -6254,   430, -6254, -6254, -6254, -6254, -6254, -6254, -6254,  1629,
      73, 23164, -6254, -6254,108716,   245, 89725, -6254,109291,  1941,
     948,  1592,   247, 22466,109866,104691,  1082,113316,   986,   403,
   12664,    73, 43799,113891,  1861, 83380, -6254,103541,  1769,  1527,
  123666,  2021,  1644, 83958,123666,  1664,114466,  1995,  2065,  1836,
  124241,124816,101241,  1797,123666,  2192,   459, 86269,125391,  2086,
   -6254,115041, -6254,  1644, -6254, 87421, 81064,   479,  2067, -6254,
  125966,123666,  2085,  2197, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,  1956, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,  1120,
   -6254,  1391,  2939,  2034,  1008,  2099, -6254,  7846, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254,  2003,  2541, -6254, -6254,
   -6254,  2213, -6254,  2128, -6254, -6254, -6254,  2265, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254,  2728,  5641,112741,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254,105266, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254,   302, -6254, -6254, -6254, -6254, -6254,112741,
  112741, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,112741,  2308,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254,  1157,  2525, -6254, -6254, 87421,  2147,
    2147,  2818,  2003,  2373,  2400,  2447,  2457,  2264,  2463,   365,
   -6254, -6254, -6254, -6254, -6254,  2773, 89725,123666,123666,123666,
    2585,123666,  2415,123666,   965, 89725,160039,115616,  2624,  2468,
   75747,126541, -6254, 89725,123666,157494, 89725,123666,123666,127116,
  123666,127691,123666,  2127,110441,123666,  2572,123666,123666,158003,
  128266,  2714, -6254,  3010,  1871, -6254,  2454, -6254,   279, -6254,
    2269, -6254,   282,   284,   303, -6254, -6254, -6254,155960,123666,
   22632,  2021,  2773, -6254,  2085,123666,  2731,123666,  2499,128841,
  123666, -6254,123666,  2568,129416,   979,  2420,160039,  2496, 76341,
    2656,123666,123666,160039,129991,130566,131141,123666,123666, -6254,
   -6254,  2645,123666, -6254,  2786,160548,   122,  2790,  2963,  2875,
    1616, -6254, -6254,  3086,  2555, -6254, -6254,  3099,112741, -6254,
  111016, -6254, -6254, -6254,   365,  2823, -6254,  2691,  2707,  2718,
   -6254, -6254, -6254, -6254, -6254,163093,   403, -6254, -6254,  2842,
   90301,  2949, -6254, -6254,131716, 96061,  2712, -6254,   982, 90877,
  161057,  3061,  2715, 76935,  3116, -6254, 91453, -6254,161566, 92029,
   -6254, -6254, -6254, -6254, -6254,132291, -6254,132866,  2797,  2949,
   -6254, 96637,162075, -6254,  2988,133441,134016,134591,  2773, 10779,
   -6254,  2672,  2470,  2701,  2207,112741,112741,  2288,152867, -6254,
   -6254,  2734, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254,   413,  2486, 84536,   787, 85114, -6254, -6254,   852,  1148,
    1344,   413,  3239,  3239,   863,112741, -6254, -6254,  2486, -6254,
     995,  1178,  2828,  2744,  2744,  2744,  2975,  1588, -6254,  2744,
    2899, -6254, -6254, -6254, -6254, -6254,115041, 84536, 85114, -6254,
    2769,   365,  2021,   197,  3256,  2839,155960,  1661,123666, -6254,
   -6254, -6254,  3280,  2824,  3126, -6254,  2805, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254,  3077,  3087,   212,   782,
    2021,   406, -6254,  3234, -6254,  3107, 52147, 52147,  1647,112741,
    2021, 85692,116191,147816,   266,163093,  2021,135166,  2913,  1786,
    3118, -6254, -6254, -6254,   833, -6254,  3409,  2956,  3245,   894,
    1871, 72247, -6254, -6254,  2959,  2269,115041, 99516, -6254, -6254,
   -6254, -6254,155960,  3310, 57538,123666,  2955, -6254,  2976,  2955,
    2986,  2990,  2034, -6254,155960,123666,  1196,  1196,  3446,  1196,
    1958,  2155, -6254,  3358, -6254,  3348,  3308,  3313,115041,  3011,
      73,  3012, -6254, -6254, -6254,  3022, -6254,  3013,  3017, -6254,
    1191,  3346, -6254, -6254, -6254, -6254, -6254,  3420, -6254, -6254,
   -6254, -6254, -6254, -6254,  3530,  3513,156985,156985,   900,  1010,
     324,   320, -6254, -6254, -6254,  3370, -6254, -6254,  3365,  3146,
  123666, -6254, -6254,123666, -6254,135741, -6254, -6254,  2147,  3022,
    1552,   926,  3205,  3326,  3239,  1962,  2385,  2385, -6254, -6254,
    3065, -6254,  1180, -6254,  2109,  3076,  2300,  3090,  2163,  2272,
   -6254,  1203,123666,   281,  3132,116766,  5305,  3079,  3120,  2269,
    3263,   450,  3433,  3492,  8431,   365,117341, -6254, -6254, -6254,
   -6254,123666,123666, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254,  3121,  1881, -6254, -6254,  3122,  3494,  3347,  8751,
    1152,  3457,  3294,  1565,  9615,  3353,  1624,  3506, 11562,   145,
    3508,  2212,  2489,136316,148391,  3465,  3510,  7408,  2271,   966,
    3361,  1226,  3457,  3503,  3307,  1565,  3519,  7787,123666,  3140,
   -6254,  3427,  3559,   940, -6254,   327, -6254, 44379, 57538, 79906,
   -6254,  2269, -6254,  2115, -6254, -6254,155451, -6254,  3212,  3376,
    1393, 89725,  3152,123666,123666, -6254, 97213, 89725, -6254,  3385,
   77529, 89725, -6254, 89725, -6254, -6254,  3516, 97213,123666,123666,
   -6254,123666, -6254, -6254,  3154, -6254, -6254, -6254, -6254, -6254,
    2744,123666,  3617, 97213,  3398,   481,  2206,  3655,123666,  3402,
    2206,  3203,136891, -6254, -6254,  2206, -6254, -6254,123666,123666,
    3173,  1828,  3399,   872,  2206,  3417,  3662,  3664,  3424,  3261,
    3428,  2976, -6254,  3631,  3403,  1137,   258,  2532,  2206,  3243,
  137466,138041,123666,  3247,123666,  3641, 89725,  3281, 89725, 89725,
  123666,  3562,123666, -6254,  3389,117916, -6254,  3198,  3086, -6254,
   -6254, -6254, -6254,  3065, -6254,  1648, -6254, -6254, -6254, -6254,
   -6254, -6254,  3580, -6254,   224,  3581,  3206,  3583,   751, -6254,
    3264, -6254,  3264,  3264,  3210,  3210,  3406,  3213,  3591, -6254,
   -6254, -6254, -6254,  2550,  3264,  3210, -6254, 98365, -6254,  2226,
    2278, -6254,   369, -6254,  3712, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254,  3217, -6254,  1864, -6254, -6254,  2303, -6254,
   -6254, -6254, -6254,  3258, -6254,  3599,   373, -6254,  3601, -6254,
    3224,138616, -6254,139191,139766,  3604,   385, -6254,160039,  3607,
     373,  3610,  3224,  3612,   373,  3616,  1062,  3619, -6254,  1401,
    3603,  3620,   369,  3621,  2535,  3224, -6254,  3622,   387, -6254,
    3623,   405, -6254,  3624,  3474, -6254, 12074, 10779, -6254, 13622,
    2305, -6254, -6254, -6254, -6254, -6254, -6254, 57538,  1059,  3354,
   -6254, -6254,  2440,  2288,  2486, -6254,112741,  2486,112741,   863,
    2486,112741,  2486,112741,   863,  2486,112741,112741,112741,  2486,
   -6254, -6254,   440,   436, -6254, -6254, -6254, -6254, -6254,112741,
    3253,123666, -6254,123666, -6254, -6254, -6254,105841,160039,106416,
   -6254,123666, -6254,   861,112741, -6254,112741, -6254,  2021, -6254,
    3065, -6254,  2470, 97213,  3750,160039,  3641,  2458, -6254, -6254,
    3641, -6254, -6254,  3641,  3641, -6254, -6254, -6254,  3538,123666,
    3627,105841,160039,  3632, -6254,140341, -6254,163093,  3482,  3259,
   -6254, -6254, -6254, -6254,  2462,  3789,   283,  3798, 57538,  3274,
     283,   283,  3276,  3643, -6254, -6254, -6254,   317,  3285,  3286,
   -6254,   275,   275, -6254,  3290,  3293, -6254,   276,  3295,  3296,
    3821,   301,   304,  3297,  3298,  3299,  3300,  3301,  3302,  3306,
    3309,  3311,  3315,  3316,  3317,  3318,  2550,   283,  3322, 57538,
   -6254,  3323,   275,  3325,  3328,  3329,  3835,  3333, -6254,  3837,
    3334, -6254,   250,   389,  3335,  3336, -6254,  3560, -6254,   305,
    3339,  3340,  3341,  3342,  3344,  3345,  3349,  3350, 57538, 57538,
   57538, -6254, 49152,  2269,  2021, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254,   310, -6254,153384, -6254,  3388, -6254, -6254,
    3564, -6254, -6254, 57538, -6254, -6254,  3714,   855, -6254,   315,
   -6254, -6254,  2269, -6254, -6254,   550, -6254, -6254, -6254, -6254,
   -6254,  3666,  3355,  2361,  2361,   316, -6254,108716,108716, -6254,
   -6254,   375,  3363, -6254,  2667, -6254, -6254, -6254, -6254, -6254,
   -6254,162584,  3848, -6254,   576,  2021,   327,  2367,  3786,153915,
  154427,  3668,  3668,  3649, -6254, -6254,123666, -6254, -6254,  2269,
     285,  3679,  2477, -6254,  2734, 22166,  2478,  2955,123666,123666,
    3866, -6254, -6254,  2491, -6254,  3371, -6254,  2976, -6254, -6254,
    2034,  2034, 57538,  2034,   318,  2104, 52746, 58137,  3734,  3602,
     376,  2039,  3738, -6254,  3608,  1958,  2155,115041,123666,115041,
  140916,  3512, 57538, -6254,  3022,  3392,  2343, -6254, 99516,  6261,
    6261,  3693, -6254, -6254,  3795,108716,  3445,156985, -6254, -6254,
  123666, -6254, -6254,118491, -6254, -6254, -6254,  1259,  3380, -6254,
    3396,123666,  3977,  2385,  2385, -6254, -6254,  3386, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254,  2003,123666, -6254,  3391,
    3393,  3384,  3394, -6254, 99516, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254,  3395, -6254, -6254, -6254, -6254, -6254,   365,
    3397, -6254,  3855,  3479,  3486,  3540, 80485, -6254,  3487,  3452,
    3489,  3548, 87421,  3404,  3495,  3498,  3550,  3687, -6254, -6254,
    3499,  3867,  3504,148966, -6254, -6254,  1590, -6254, -6254, -6254,
    1590, -6254,  3429, -6254,  1488,  1049,  1560,  3520,   573,  1116,
    3862, -6254,  1507, -6254, -6254,  3568, -6254,  6724,123666,  3811,
    8514,  3661,   365,  3578, -6254, -6254, -6254,  3724,  3528,123666,
    3535,  3685,   365,  1449,149541, -6254, -6254,123666, -6254, -6254,
   -6254, -6254,  7644,  3858, 47379, -6254,  2406,  3541,  3521,  3553,
  123666,100091,  2677,  3663,  3686,   119,  2684,  1117,  3613,123666,
    1034,  3691,123666,  3462,  3551,  3552,  3805,  3469,   519,  3912,
    3471, -6254, -6254, -6254,  3877,  3684,  3808,  3853,  8875,  3542,
    3544, 93757, -6254,  3565,   779, 78123,123666,123666,  3566,  3570,
  150116,  7644,  3889,106991,106991,  3573,  3574, 70511,  3907,  2202,
    3576, -6254, -6254, -6254,  2202,  3577,  3588,150691,  7644,  3896,
  123666,  3589,  3590,123666, 98365,   365, -6254,  3978,   365,   365,
    2049,  3980,  3597,   580,  3768,   504,  2206,  3471,  2089, -6254,
    3600,  3605,   382, -6254,  3733,123666,  3606,  3609,  2031,  3697,
    2021, -6254,  3698, -6254,  3614,  3699,  3615,   105,  3173, -6254,
   -6254,    48,  3618,115041,  3721,  3735,  1034,   442,  1186,  3471,
   -6254,  3625,  3626,  3469,  3469,123666,123666,123666,123666,123666,
     261,  4006,   267,  3630,   546,  1161,  3527, -6254,  2202,158512,
    3633, -6254,  2202,123666,   257,  1260,  3471,  1893, -6254,  1249,
   -6254, -6254, -6254,  1871, -6254, 57538, 57538, 57538,  3531, -6254,
    2967, 22166,  1002, -6254,   321, 11932,  3532, -6254, -6254, -6254,
   -6254,123666,155960, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
  123666, -6254,123666,  3845, 97213,  3856,  3769,  3868,  3869,   365,
  123666,123666,  3870,  3871,  3872, 97213,  3873,  3874,  3876,  3783,
    3656,   220,  3645,  3571,  4065,  3948,123666, 87421, -6254,  1590,
   -6254, 97213,  3799,  3954, -6254,123666,  3820,    99, -6254,  3993,
    3644, -6254, -6254,   109,123666,104116,  3173, -6254, -6254,  3959,
  160039,   391,  3960,  2021,  3636,  3962,  3812,  2021,160039,  3863,
  123666,123666,123666,123666,   771, -6254,158512,  3829, -6254,123666,
    3831,  2089,  3832,  4089,   921,  2744,141491,  3957, -6254,142066,
    3598,123666,  3611,  3611,  4094, 97213,   420,  3891, -6254, -6254,
    3628,  3239, -6254,  3198,  3635, -6254, -6254,  2506, -6254,  3745,
   -6254, 89725, -6254, -6254, 89725, -6254, -6254, 97213,123666,  3637,
   -6254,  3638, -6254, -6254, 57538, -6254, -6254, -6254,  3239, -6254,
   97213,  3264,  3264, -6254, -6254,  4100,  3695,  3701,  3239, -6254,
    3239, -6254, 97213, -6254,  3629,  3634,  3239,  3700, -6254,  3702,
    3239, -6254,  2495, -6254, -6254, 89725, 89725, -6254,160039,160039,
    3986,   387,  3992,  3680,  3995,  3688, 78123, 78123, -6254,   416,
   89725, -6254,160039, 89725, -6254,123666, -6254,123666, -6254, -6254,
   -6254, -6254, 97213, 97213, -6254,160039,158512,  3999,123666,123666,
   -6254,123666,123666, -6254,123666,123666, -6254, 12498,  2321, -6254,
   10779, -6254,  2497,  3668, -6254,  2308,142641,  1919,  2288, -6254,
  112741, -6254,112741,   863, -6254, -6254,112741, -6254,112741,   863,
   -6254,112741, -6254, -6254, -6254,112741,123666,  4207,  3640, -6254,
     550, -6254,123666,  2505, -6254, -6254,  2509,  1602,123666,123666,
     994, 89725,123666,  3860,123666, 89725, 89725,123666,123666,123666,
  123666,123666,  3711,  3363,   750, -6254,   333,   561,115041,  3878,
   -6254, -6254, -6254,  3650, -6254, -6254,  2510,  2085,  1595,123666,
   -6254,123666,123666,123666, -6254, -6254,103541,  3987,   480,106416,
  123666, -6254, -6254, 20969, 57538, 51548, -6254, -6254, 22166,  3692,
   57538, 57538,  3652,  3239,  3239, -6254,  1281, 57538, 57538, 57538,
   48553, 57538, 57538, 53345, 57538, 57538, 57538, 57538, 57538, 57538,
    3239,  3239,  3653, 57538,  2846, 57538, 78123, 57538, 61731, 45579,
   57538, 57538, 49751,   329,  3290, 57538,  3890, 62929, 57538,  2367,
    3910, 57538,  2367,  2846,  4175,  4175,  2067,  3083,  9776,  3659,
    2269, -6254,  3239,  1555,   358, 97213, 57538, 57538, 57538, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, 57538, -6254, 87421, -6254, -6254, -6254,
   -6254, -6254, -6254,  1305, -6254, -6254, -6254, -6254, -6254, -6254,
    5218, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254,123666, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, 50350, -6254, -6254, -6254, -6254,  3658, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254,  3673, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, 50949, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,  3665, -6254,
   -6254, 57538, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,  3743, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254,  1610, 57538, 57538, 57538, 57538, 57538,
   57538, 57538, 57538, 57538, -6254, 57538,   531, -6254, -6254, -6254,
    4010,  3714,    90,   647,  3667,  3883,107566, 52147,  4015, -6254,
   44379, -6254,   251,112741, -6254, -6254,  2269,  4015, -6254, -6254,
   -6254, -6254, -6254,  1259,  3669, -6254,  3674, -6254, -6254, -6254,
   -6254, -6254,123666,  3848, -6254, -6254,  3755, -6254, -6254, -6254,
   -6254,   328, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
    3670, -6254, -6254, -6254, -6254,  3670, -6254, -6254,  3668,  3675,
    4013,  4014,  1062,  2003,123666,  3034, 57538,  1305,   325,123666,
   57538,  3658,  3673, 57538,  3665, 57538,  3743, -6254, 57538, -6254,
    2517,  2362,123666,123666, -6254,  3984, -6254,  3681, -6254, 17035,
    3984, -6254, -6254, 62330,  3806,  3976,  3913, -6254, -6254, -6254,
    3683, 22166, 57538, 57538, -6254,  2692, 22166,  2768, -6254, -6254,
   -6254, -6254, -6254, -6254,  1453, -6254,123666,  1569,  3734,  2039,
    3752,  1725,  4183,  3753,123666, -6254, 72822,  2521,  2603, -6254,
    3022, -6254, -6254,   378, -6254,   535, -6254,  4262, -6254,156985,
   -6254, -6254, -6254,  4207, -6254,  3099, -6254,  3099,  4288, -6254,
  112741, -6254, -6254, -6254, -6254,   269, -6254, -6254, 10779, 10779,
   -6254, -6254, -6254, -6254, -6254,160039,123666,123666,  3911, -6254,
    4171, -6254, 98365, -6254,  3703, -6254, 97789, 92605, -6254, -6254,
    1324, -6254,  1023,160039, -6254,123666,123666, -6254, 87421,160039,
  123666,123666, -6254,160039,  3749,123666,123666, -6254, -6254, -6254,
   -6254, -6254,154939,   125,103541,  3844,101816, -6254, -6254,  3705,
  123666,  3936, -6254, -6254,143216, -6254,  3937,160039,123666,123666,
   57538,  3938,123666,123666, -6254,  1012,  3790,  3794, -6254,123666,
    3800, 89725,  3708, 97213, 89725, 78717, 89725, 89725,  4076, 97213,
  123666,123666,  1532,115041,   298,  1286,  3471,  3951, -6254,  1809,
   -6254,160039, -6254,123666,  3941, -6254, -6254, -6254,119066,  4202,
    3841, -6254, -6254, -6254,151266, -6254, -6254,  3944, -6254,  2526,
   -6254,160039,160039,123666,  8976,  3722,143791,123666,  1991,  4016,
    3965,  4018,   157, -6254, -6254, -6254, 97213, -6254,123666,119641,
  123666,123666,  4003,123666,111591,144366,144941,  1775,  1975,  4009,
  123666,112166,  4019, -6254,  3882,123666, -6254, -6254, 87997,160039,
  123666,   264, 87421, -6254,  3996, -6254,123666, -6254,   350, -6254,
  123666,  5867,  3961,  3825,  3836,123666,   474,  1521,  3471,  4139,
  123666,123666,  3739,  2529,160039,123666, 87421, -6254,  3970,   131,
  160039,123666,119066, -6254,  3971, -6254,115041,  4073, -6254,  3744,
    2744,  2959,  2298,  3744,160039,123666, -6254,  3744,123666,147816,
   -6254,160039,  1064, -6254,160039,123666,119066, -6254,  3973,  3917,
  160039,123666, 19020, -6254, -6254, -6254,   365, -6254, -6254, -6254,
   -6254, -6254,123666,123666,   365,123666,123666,   365,  1853, -6254,
  160039,123666, -6254, -6254, -6254,  3884,160039,123666,123666,   411,
  123666, -6254,123666,160039,  3801,123666,123666, -6254, -6254,123666,
    8123,123666,123666,123666,123666,123666,123666,160039,123666, -6254,
   -6254,  1246,  1685,  1708,  1895,   207,123666,  4093,123666,145516,
    2021,160039,123666,123666,  2021,123666, 87421,  2160, -6254, -6254,
    3892, -6254,160039,  1064, -6254,  9130,123666,123666,123666,  3846,
    3849,   292,  3942, -6254, -6254, -6254,  1280,  1280,  3983, -6254,
   57538, 57538, 53944,  3764, -6254, -6254, 57538,  3212, -6254, -6254,
   -6254,   393,  4261,   393,146091,   393,   393,  4078,  3833,  3834,
     393,   393,   393,  4057,   393,   393,   393,123666,  3958, -6254,
   -6254,  3958,   206, 57538, 97213,123666, -6254,  2530, -6254,  3780,
   -6254, -6254, 87421,123666,   557,   193,  4149,  4007,100666,  3390,
    4137,123666,  3827,123666,  4274,  3886,    20, -6254,  3390,123666,
   -6254,  3050,103541, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
  123666, -6254, -6254,  4143,123666, 65859,  3967, -6254,  2021,  3173,
    3173,  3173,  3173,  3785,  3173,123666,  3923,  4165,  3390,  3792,
    4169, -6254,  2089,  4170,  4177,123666,  4029,100666,  3864,  3851,
    4044,  4300,  2744,  2021,  4047,  4035, -6254, 80485, -6254,  3173,
    4317, 47966,  6053,  6308,  4037,  4103, -6254, -6254,  4050,  1244,
  123666,117916, -6254,  3822, -6254,  4159,  4161,  4184, -6254,   224,
   -6254,  4316,  2198,  4185, 57538,  2538,  3826,   369, -6254, -6254,
    3838,  3634,  3861,  3875,  3840,  3842, -6254,  3239, 71086,  3847,
    1538,  4096,  3850, -6254,   373, -6254,  3224, -6254,123666, -6254,
  123666,123666,123666,123666,   385, -6254, -6254,   373,  3224,   373,
    1062, -6254,  4125,   369,  3224,  3974,  4208,   387, -6254,   405,
   -6254,  4070,  1062, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
    4091,  2744,  2506, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254,112741,  3099, -6254,  2543, -6254,123666, -6254,
    4186,  4187,  4188,  4189,  4190,  3857,  3865,  3898,123666,  3885,
    3857,   365,  3887,  3859, -6254,  3885,  3885,  3857,  3363,  3363,
    3857,  3865,159021,  4327, 87421, -6254, -6254,  3950,  3880,  4220,
    1228, -6254,  1272,  1584,  4126, -6254, -6254, -6254, -6254, -6254,
   97213, -6254,160039,  3908, -6254, -6254, -6254,  4092,  3888,159021,
    1062,   288, -6254, 89725,123666, 97213, 89725,  4101, 89725, 89725,
   97213,123666,123666,  2558, -6254,  2368, -6254,  2374, 57538,   827,
   -6254, 17676,  2566, 57538,  3893,  3894, -6254, -6254, -6254, -6254,
   -6254, -6254,  3900,  4226, -6254, -6254,  2571,  2575, 17921,  2596,
   97213,  3543,  3895, -6254,  3901,   339,  4090,  3902,  7310,  3929,
    2583,  3903,   348, -6254,  7310,  1096,  3904, 10162,  4033,  3905,
    2586,  3909,  3916, -6254,  7233,  8145,  3918, 18202,  3906,  3922,
    3927,  3899, 61731, 61731, 49152,  2063, -6254, 61731,  3928,  4088,
    2594, 17142,  3931,  3932, 18509, 54543, 57538, 54543, 54543, 18583,
    3915,  3933, -6254,  4275, -6254,  2595, 87421,  4081, 18613,  2600,
   -6254, 57538, 87421,  9027, 57538, -6254, 57538,  3935, -6254, -6254,
    2971,  2971,  2971,  2846, -6254, -6254,  3934, -6254, 61731, 61731,
   -6254,  1427, 49152, -6254, -6254,  4242, -6254, -6254,   694, -6254,
   -6254, -6254, -6254, -6254,  2798, -6254, -6254, -6254,  4129,  2596,
    2443, 78123,  4123, 57538,   417, 57538,  3658, 57538,  3979,  2971,
    2971,  2971,   421,   421,   345,   345,   345,  2398,   647, -6254,
   -6254, -6254,  3914,  3939,  3883,  3940, 57538, -6254,  3952, 73397,
   -6254,  2720,  2724,123666, 10423, 10788, 14019, -6254, -6254, -6254,
   65273,  3988,  1002, -6254, -6254, -6254,  3988,   758,  4288,  1259,
   -6254,  1871,  3239,  1555,155451, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254,123666, 22166, -6254, -6254,  4156,  3945, -6254,
   -6254, 57538, -6254, -6254,  1578,  3964,  1027,   150,  2385,  2385,
    2692,   818, -6254, -6254,  4001, -6254, 57538, -6254,  2917,  2981,
   -6254, -6254, -6254, -6254,  3363, -6254,  4210, -6254, -6254, -6254,
   65273,  3994,  3949,  2047, 69932,  4166, -6254,123666, 65273, -6254,
  123666,   434, -6254,  3956, -6254, -6254, -6254, -6254,  2211, -6254,
   -6254, -6254,  3943, -6254,  3946, -6254,  3963, -6254, -6254, -6254,
   -6254,   291,  3968,  3947,  3969,  2235, -6254, -6254, -6254, -6254,
   92605,  2303, -6254, 97789, -6254, 97789, -6254,  2303,  4386, -6254,
   92605,  2290, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254,160039,160039,  4191,123666,
    4174,  4192, 57538,  1518, -6254,  4339,  1062, -6254, -6254,  4051,
   -6254, 22166, -6254, -6254, -6254, -6254, -6254,160039,123666, -6254,
  163093, -6254, -6254, 97213, -6254, -6254,123666,123666, -6254, -6254,
   -6254, 97213, -6254, -6254, -6254,123666,   219,  4052,  4055,123666,
   -6254,  1044,  3733,  9338,123666,123666,123666,  4290, -6254, -6254,
   -6254, -6254,  4209, -6254,  4347, -6254, 92605, -6254,  3224,  1721,
    4062,  3471, 57538,  4217, -6254,  1031,123666,  3981,  3982,  4353,
    1994,  4305,  3985, -6254,  4095, -6254,  4111,  1468, -6254, -6254,
    4120, -6254, -6254, -6254, -6254,  4363,  1062,  4365,  1062,123666,
  123666,123666,123666,  4131, -6254, -6254, -6254, -6254,  4132,  4276,
   -6254, 87421, 87421, 87421,  2634, -6254, -6254,  2021, -6254, -6254,
   -6254, -6254, -6254, -6254,  4322, -6254,  2635, -6254,  2292,120216,
   -6254, -6254, -6254, -6254, -6254,  4370,160039,123666,  9590,123666,
  123666,123666,  4223,  2239,  1317, 97213, -6254, 94333, -6254, -6254,
    2640, -6254,  4017,123666,  4086,160039,  4066, -6254, -6254, -6254,
    4373,  2744,  4153,106991,  4056,  4056,  2351, -6254, -6254, -6254,
   -6254,  4289,  4213, -6254,   400,  4214,160039,  4079, -6254, -6254,
   -6254, -6254, -6254,  4388,  4106, -6254, -6254,  4108,  1528,  3471,
    2089, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
    4128, -6254, -6254, -6254, -6254, -6254, -6254,    28,    28, -6254,
   -6254, -6254,    28,  1752,   460,  1597,  3471, -6254,  1135,  1496,
    4109, -6254,  4110, -6254, -6254, -6254,  4286,  4294,  4295,  4114,
    4115,  4178,  4116,  4117,  4179, -6254,  4119,  4180,  4135,  4199,
    4142,  4461,  1062, 97213,  4298,  2021,  4194,  4434,  1062, -6254,
   -6254,  4146, -6254,  4147, -6254,  2650,  4549,  4551, -6254,123666,
   -6254,   537,  1777,  3471, -6254,  4155, -6254,160039,123666, -6254,
   -6254, -6254, 57538,  4068,  4069,  4074, 22166, 22166, 57538, -6254,
   -6254, 22166,  4072, -6254, -6254, -6254, -6254, 97213, -6254,123666,
    4383, -6254, -6254,   393,123666,123666, -6254, -6254, -6254,123666,
   -6254, -6254, -6254,  4385, -6254,   307,   307, -6254, -6254,  4421,
   10585,  4077,   485, -6254, 87421, 74558,  2840,   235,  2206, -6254,
  163093,123666,163093, -6254,   193,  4301,123666,123666,123666,  4080,
    4082, -6254, -6254, -6254, -6254,160039,   975,160039,  3239, -6254,
   -6254,  4160, -6254,123666,  2744,  2823,  4441,  3801, -6254,  4567,
    3664,   391,  2057,   539,  3261,  4506,  2976,  4087, 57538,   466,
   -6254, -6254, -6254, -6254, -6254,  2269,123666,  3851, -6254, -6254,
   -6254, -6254,  2021, -6254,  4098,  4097, -6254,123666,  4452,123666,
  123666,123666,112741,  2085,  4104,123666,  4102, 97213,123666,  2697,
    3469,  4586,  4468,  2085,  3864,  4181,  4469,115041,  2660, -6254,
    4105, -6254,  1244, -6254,  2665,   290, -6254,  2021,163093, 93181,
    4459, -6254,  1017,  6308, -6254, -6254,  1017,   260,123666, -6254,
   -6254, -6254, -6254,  4332,  2376, -6254,  4450, -6254,123666, -6254,
   -6254, 69353, -6254, 97213,  4107, -6254,  2678, -6254,  2682, -6254,
   -6254, -6254,  3239, -6254, -6254,  2886,  2886,  4122, -6254, 71672,
   -6254,  4124, -6254,  2389, -6254, -6254, -6254,   387,  4195,  1062,
    4197,  1062, -6254, -6254, -6254, -6254,123666, -6254,123666,158512,
   -6254, -6254,123666, -6254,  4498,  4485, -6254, -6254, -6254, -6254,
    4271,  4272,  4273,  4277,  4281,123666,  3857, -6254,  4127,123666,
  123666,160039,  1799, -6254, -6254,160039,   488, -6254,   252, -6254,
  115041,  4278, -6254, -6254, -6254, -6254,  4515,  4517, -6254, -6254,
   -6254,  1473, -6254,105841,   492, -6254,160039,  4454,  4456,  4457,
    4458,   365,  4462,  4463,  4465,  4467,  4470, -6254, -6254, -6254,
    4152, 18657, 57538, -6254,  4527, 97213, -6254, 10823, -6254, -6254,
   -6254, 57538, -6254, -6254,  4471, -6254, -6254,  4221,  4231,  4162,
    3895,  4033, -6254,  4389,  4390, 57538,  4033,  4641,  1144, 57538,
   57538, 57538, -6254, -6254,  4393,  4394, 57538,  2596,  2596, 57538,
   -6254,  4172, 57538, -6254, -6254, -6254, -6254,  2662, 57538, -6254,
   57538, -6254, -6254, 46179,  4690,  4690,  4173, 97213, 61731, 61731,
   61731, 61731,  1697,  3325, 61731, 61731, 61731, 61731, 61731, 61731,
   61731, 61731, 61731, 61731,   674, -6254,  4395, 57538, 57538, 55142,
   -6254, -6254, 97213,  4182,  3915,  4193,  4196, 57538, -6254, -6254,
   -6254,  2686, 63515,  4200, 87421, -6254, 57538, 17318,  2690,  4232,
   19036,  2269, 11130,  2021, 57538,  2481,  2909, 57538,  2693, 57538,
   -6254, -6254, -6254, -6254,  4528, -6254, -6254, -6254, -6254, -6254,
   -6254,  4417,  2596, -6254, -6254, 57538,  4201,  3369, 61731, 61731,
    3502, -6254,  3561, 57538, 49152, -6254,  3983, -6254, 46779,  4203,
   57538,151841, -6254, -6254,  1644,  1644,  1644,  1644, -6254,123666,
  123666,123666,  4198, 66445,  4540,  4204, 64687,120791,  4211,  2498,
   -6254,120791,121366,120791,120791,  4205,  2269, 57538,  4532,  4212,
    4532, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254,  4215, -6254,  4206, -6254,
   -6254,   327,  4224, -6254, -6254,   291, -6254, -6254,  2085, -6254,
    4222, -6254,  3964,  2078, -6254, -6254, -6254,  1297, -6254,  4279,
   -6254, -6254, -6254,  4211, 55741,  4346, -6254, -6254, -6254,  4245,
    2694, -6254, -6254,  4633,  4346, -6254,  2074, -6254,  2704, 72822,
    3994, 57538,  2269,  3239,  4225, -6254,  3099,   758, -6254, -6254,
   -6254, -6254, -6254,  2705,  2302, -6254, -6254, 92605, -6254,  4268,
    3224,  3224,  1515,  3857,  4554,  1515, 11367, -6254,  2010,123666,
   -6254,123666, -6254, -6254, -6254,  4688,  4265,  4291,  4490, -6254,
    3090, -6254, -6254,160039,123666, -6254, -6254, -6254,   538,  1807,
    3471, -6254,  4311, -6254, -6254,  4545,123666, -6254,  4702,  4328,
  123666, 12662,  4608,  4296, -6254, -6254, 67031,123666,123666,123666,
   -6254,123666,123666,  2010,121941, -6254,  4682,  2010,  4351,  4589,
    1726,  3469,  2306,  5423, -6254,  2245, -6254, -6254,  4315, -6254,
  123666, -6254,123666, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
    4379, -6254, -6254, -6254, -6254, 87997, -6254, -6254,123666, -6254,
   87421, 74558, 87421, -6254, -6254, -6254,123666, -6254,  1859,   555,
    1892,  3471, -6254,  4329, -6254,  4613,  4330,  4331,  4391,   238,
     299,  4336,  4337,  4396,  4240,  4244,  4251, -6254, 87421, 75153,
    4420,123666,  3224,  4255,  4299,123666,  4056,122516, -6254,  4258,
   -6254, -6254,  4056,   413,  2021, -6254, -6254,  2021,  3224,  2021,
  123666,123666,123666,123666,   411, -6254, -6254, -6254,  4733,  4359,
  123666,123666,123666,123666, -6254,  4319, -6254, -6254, -6254,123666,
  123666,  4626,  1553,  2552,160039,123666,123666,160039,123666,123666,
  123666,123666,123666,123666,123666,  4494, -6254,  4720,  4646,  2695,
    4691,  4349,123666, -6254,123666,  2021, -6254,  3733,123666,123666,
  123666,123666, -6254, -6254, -6254, -6254, -6254,  3983, -6254,  4280,
    4582,   393, -6254,  4584,  4585,  4587,   393, -6254, -6254,  2206,
   -6254,   588,123666, -6254,  2752,123666, -6254, -6254, -6254,  4222,
    2385,  2385, -6254, -6254, -6254, -6254, -6254, -6254,  4283,123666,
  123666, 61731, -6254,  1785,  1936,  1714, -6254,  4572,123666,  3560,
   -6254, -6254, -6254,   983,123666, -6254, -6254, -6254, -6254,  4285,
   -6254,   101,  4104, -6254,  4604,100666,  3224,160039,160039,  3224,
   -6254, 97213,  4287,  3851, -6254,   896,  4375, -6254,160039,   391,
  146666,  3636,  4325,  4514, 12854, 65273, 65859,    28, -6254,  4292,
    4293, -6254, -6254,123666,  4301,158512,  2713,  2089,  4785,  1358,
    2701,  3908,102391,  4495,  4104,  4604, -6254,  3469,  4520,  4522,
   -6254,  2085,123666,  3908,  3851,  2021,123666,  4296, -6254,  2823,
   74558,  2416, -6254, 92605, 57538, 57538, -6254,  4302, -6254,  4303,
    6308, -6254,  4372,  4308,  4787, 57538, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254,  4399,  4306,123666,123666,  1244,123666,
    4822, -6254, -6254,  4313,  4185, -6254,  4185, -6254,  4318, -6254,
   -6254, -6254,  2344,  2003, 71672, 71672, 71672, 71672, 71672, -6254,
   -6254,123666, -6254,123666, -6254,  1062, -6254,  4436,  1062,123666,
    2085,123666,123666,123666,123666,123666,  3857,   365,  3859, -6254,
   -6254,  4665,159021,  4667, -6254, 87421, -6254, -6254, -6254, -6254,
   -6254,  2721,123666, -6254, -6254, -6254,  4736,  4676,  1062,   480,
    1058,  1058,  1058,  1058,  4630,  1058,  1058,  1058,  1058,  1058,
   -6254, 57538, 22166, -6254,  4321, -6254, 22166,  4711,  4616,  4617,
   -6254, -6254,  4341,  4562,  4564, -6254,  4342, 57538,  4033, 19110,
   -6254, -6254,  4568,  4569, -6254,  4033,  4033, 19110, -6254, 19110,
    4343, 13216, 19751, -6254,  2730, 57538, -6254,   667,   667,   667,
    4694,  4687, -6254,  3130,   667,   667,   667,   340,   340,   270,
     270,   270,  4690,   674, 20159, 20236, 19696,  4344, -6254, -6254,
   -6254,  3915, -6254, 58736,   821,  4814, 62929, -6254, -6254, -6254,
    4397,  4398,  4350, -6254, 57538, 59335,  4352, 98365,  4563, -6254,
    2175, 57538, 57538,  2131, -6254,  6119, 57538, -6254, -6254,  2131,
     532, 57538,  3966,  4049, 57538, 57538,  4216, 13470,  4355, -6254,
    2735, 57538, 13506,  4558, -6254,123666,123666,123666,123666, -6254,
   -6254, -6254, 57538,120791,121366,120791,120791,  4357, 64101, 68778,
    2498,  4358,123666, -6254, -6254,  4360, 65273,  4664,  4576, -6254,
   65273,  4576,  2189,  4576,  4669,  4464, 73972, -6254, -6254,  4364,
   -6254, -6254,  4588, -6254,  2406, 22166,  4841,  4714,  2021,  4714,
     758,   361,  2021, -6254,  4378, 78123, -6254, -6254, -6254, -6254,
    4472, -6254,  4611, 22166, 52147, -6254,  2085,  2171,123666,  2269,
     117, -6254, 57538,  4400,123666, -6254,  4346, 22166, -6254, 10779,
   -6254, -6254, -6254, -6254,  4460,  2736, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254,  4473,103541,  4729, -6254, -6254,  1993,  4712,
     569, -6254,  1062, -6254, 97213,123666,123666,123666,  3404, -6254,
   -6254,123666,123666,123666,123666, -6254, -6254,160039,123666, -6254,
   -6254,123666, 57538,  2739, -6254,  4431,  4846,   380,  2740, -6254,
    2746,  2010, -6254,  2756, -6254, -6254,123091, -6254,  4301,   411,
    1785,  4731,  4734,  4631, -6254,   365, -6254,  4893,  1785,  4635,
     411, -6254, -6254, -6254, -6254,  2750, -6254, 97213,  1062,  1062,
   -6254, -6254, -6254, -6254, -6254,  4407, -6254,  4874,  4500,123666,
  123666,123666,123666,123666,160039,123666,123666,  3239,  3239, 97213,
    4401, -6254,  3239,  3239,  4403, -6254,160039,123666,123666, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
    4488, -6254, 57538,  4869, -6254, -6254, -6254, -6254, -6254, 57538,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
  160039,123666,  4497, -6254,  4499, -6254,   931, -6254, -6254,123666,
  123666,123666,123666,  4792, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254,  4784,123666, -6254, -6254,  2021,
    2021, 97213,  1062,  1062, -6254, -6254, -6254,  4504, -6254, -6254,
    4422,  4737,   393, -6254,   393,   393,   393, -6254,  4424, -6254,
    2206,  4828, -6254,  2010,  1426,  4779, -6254, 57538, -6254,  1332,
    4694, -6254,  4840,  4924, -6254, -6254, -6254, -6254,  3801,  2744,
    3801, -6254, -6254, 89725,  1843, -6254,  4762,   557, 87421,  4662,
  100666,  1135,  2130,  4437,  4571, -6254,  3224,  3224,  4501,123666,
    4933, -6254, -6254, -6254, -6254, -6254, -6254,160039,  4066, -6254,
    4683,  1489,  4803,123666, 65859, -6254,  4211, -6254, -6254, -6254,
    2021, -6254, -6254,  4579,  3851, -6254,  4825,123666,  4681,100666,
    3908, -6254,  2757, -6254, -6254, -6254,  4496,  4919,  3864, -6254,
    1135,  4495, -6254, -6254,  4900,  4552,  4502,  4947, -6254,  4552,
    4810,  4685,  4466, -6254,  4105, -6254,123666, -6254, 22166, 22166,
    2021, 98941,  1017, 97213,  4819, -6254, 22166,123666,   223,  4475,
    4634, -6254,  4786,123666, -6254,  1062,  2763, -6254, -6254, -6254,
    4474,  2451,  2451, -6254, -6254, -6254,  1062,  1062, -6254,123666,
   -6254,  3857,  3857,  3857,  3857,  3857, -6254,  4689, -6254, -6254,
   -6254, -6254,  4780, -6254,159021, -6254,  1062, -6254, -6254, -6254,
   -6254, -6254, -6254,  1058, -6254, -6254, -6254, -6254, -6254, 22166,
   -6254,123666, -6254, -6254, -6254, -6254, -6254, -6254,  3681,  4479,
   57538,  1727, -6254, -6254,  4480,  4481,  4033,  4033, -6254, -6254,
   57538, -6254, 14207, 61731,  4824, -6254, 57538, 57538, 57538, -6254,
    4476,  2774,  2775, -6254, -6254,   821, -6254,  4814, -6254, -6254,
   -6254, 14247,  4530, 22166,  4601,  4483,  1720,  2131,  2131,  6119,
    2131, 57538, 57538,  2131,  2131, 57538, -6254, -6254, -6254, 14613,
   -6254,  4959,  3983, -6254, -6254, -6254, -6254,  4484, -6254, -6254,
   -6254, -6254, 88573,  4489,  4081,120791,  4491,123666,  2498, 65273,
   -6254, -6254,  2808, -6254, 65273,  4794, -6254, 65273, 89725, -6254,
  123666,  4492,123666, -6254,  1196, 57538,  4534, -6254,  4534, -6254,
    2385, -6254, -6254, -6254, -6254, -6254,  4636,  4503, -6254,112741,
     874, -6254,  2047, -6254, -6254,  4936, 67031,  4894, 20411, 57538,
   -6254, -6254, -6254, -6254, -6254,159021,  4721,159021,  2010, -6254,
   -6254, -6254, -6254, -6254, -6254,  4505, -6254, -6254, -6254, -6254,
    4590, -6254, -6254,    70,  3878,  2010, -6254, 14632,  4829, 67031,
   79311,123666, -6254,123666, -6254,  4672,  4829,  4829, -6254, -6254,
   -6254, -6254,  4995,  4878,  4883, -6254, -6254,  4508, -6254, -6254,
   -6254,  4720, -6254, -6254, 74558,160039,123666, -6254,  4599, -6254,
   -6254, -6254, -6254, -6254, -6254, 68203, 78123, -6254,   238,  4513,
    4516,   299, -6254, -6254, -6254,123666, 15158,  4518, 15188,    71,
    3878,123666,123666,  4519,  4521,  4523,  2200,  1909,  2241,  3857,
    4876,123666, -6254, -6254, -6254,  4720, -6254, -6254,123666, -6254,
     393, -6254, -6254, -6254, -6254, 87421, -6254,  3579,  4424,  2021,
   89725,  5010,  5010, 15260,  4753, -6254, -6254,   507,  4593,  4789,
    4593,  4524,123666,   983,  4525,  2780, -6254,123666,  4526,  4657,
    2364,  2364,123666,123666,123666,  2784,  2085,  3224,  4299,   391,
    4902,100666,  4952,  4301,   472, -6254,123666,  5028,112741,  2085,
    4104,123666,  4533,  1059, -6254,102391,  4756,  2840,123666,  2697,
    4495,  3864,  1559,123666, -6254,  1594, -6254,  2085, -6254,123666,
  115041, 67031,  4896, -6254, 97789, -6254,  2787, -6254, -6254, -6254,
    4618,  9978,  3988,  4656,  4666,  4541,  2450,  4907,123666,  1313,
   -6254,  4559, -6254, -6254, -6254, -6254, -6254, -6254, -6254,123666,
     492, -6254, -6254, -6254, -6254,  4548, -6254,  5043, 57538,  1149,
   -6254, -6254, -6254, -6254, -6254,  4778, -6254,  4553, -6254, -6254,
    2835,  1727, 20570, -6254,  4892, 61731, 22166, 22166, 22166, 57538,
   -6254, 57538, -6254, -6254, -6254, -6254,   139, -6254, -6254,  4884,
    4557,  2131,  2131,  2131, -6254, 57538,   249, 57538, -6254,  2795,
    5054, 61132,  5014, -6254,123666,  2799, -6254, 57538,  4566, -6254,
   -6254, 65273,  2808,  4570,  2803,123666,  2807, 97213, 59934, 22166,
  123666, -6254, -6254, -6254, -6254,  2098,  4985, -6254, -6254, -6254,
    4624,123666,  2814, -6254,  1278,  2316,  1492, -6254,  5066,  5066,
   22166,  1799,  1515,   446, -6254,123666,  4668, -6254,  4846,  4573,
    3801, -6254,  4574, -6254, -6254,  1867,  3469,123666,  3801,  3801,
    2840,  4908, -6254, -6254, 57538,  4638, -6254,  1181,  3878,123666,
   97213, -6254,   349,  4934, -6254, 97213, 97213, -6254, -6254, -6254,
   57538, -6254,  4675, -6254, -6254, -6254, 57538, 57538,163602, -6254,
   -6254,123666,123666,123666,123666,123666, -6254,  1062, -6254, -6254,
    2815, -6254,152353, -6254, -6254,  3655,  2021,  3655,  2020, -6254,
   -6254,  3655,  3655, -6254,  3988, -6254,  5010,  1690, -6254, -6254,
    4826,  4580, 57538,  4906, -6254,  1363,  4807, -6254,  4583, -6254,
   89725,  5112, -6254, 87421,  4104,  4604,123666, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,  2819,
    4301,  4955,  3851,  4502, -6254,123666,  4629, -6254, 65273,  4301,
    2085,  2701,  3908,  4495,  4104,  4604, -6254, -6254, -6254,  4595,
    4522,  3864,  2697,  4742, -6254,  4745, -6254,  5048,  4820,  5058,
    3908, -6254,  4296,  2844,123666, -6254, -6254,  6308, 98941, 97213,
   -6254, -6254, -6254,  4610,  4996,  4651,  4660, -6254, -6254, -6254,
    2450, -6254,   132,  5012,  4670, -6254,  4680,123666, -6254, -6254,
    2806,  5147,  4301,  1062, 57538, 87421, 22166, -6254, -6254,  5009,
   -6254,   366,   242,  2102,  4851,  4627, 57538,  4892,  2849,  2858,
    4684, -6254, -6254, -6254,  3915, 56340, 56340, 56340,  4637, 21914,
    4205, 88573,  4639, -6254, 61731,  2862, -6254,  2681,123666,  2870,
   -6254, 22166,123666, -6254, -6254, 57538, -6254,  2905, -6254,  4640,
      75,  4642, 44979,  4628, -6254, -6254, -6254, -6254, -6254, 22166,
    4632, -6254,  5129,  5001,  5002,123666, -6254,  2085, -6254,  3988,
   67031, -6254,  4773, -6254,  4911, -6254, -6254, 57538,  4735,  4738,
   -6254,  5004, -6254, -6254,123666, -6254,123666,  4593, 78123,  3964,
    1867,  2744,  4593,  4593,  4580, 15573, 57538, -6254,  4746, -6254,
   -6254,  2906,  2033,  4821,  4821,  2914,  2915, 15715,123666,  2919,
    2922, -6254,  2926,  3239,  3865,  2241,  3865, -6254,  3857, -6254,
   -6254, 87421, -6254, -6254,159530, -6254, -6254, -6254,  2021, -6254,
    2021,  4886, 81643, 82222,  2021,  2021, -6254, -6254, -6254, -6254,
    4976, -6254,  2089, -6254, 16028,  4749, -6254, -6254, -6254,   563,
   -6254,  4879,  4891, -6254,  4653, -6254,  2931, -6254,  1135,  4806,
    4301, -6254, -6254,123666,  5154,  5167, -6254,  1539,123666,  4211,
   -6254,  4502,  3908, -6254,  3864,  1135,  4495,  2840, 67617,  4552,
    2697,  4522, -6254, -6254,  4895, -6254,  4897, -6254,  4677,  5007,
   -6254,  2126,  1017, -6254, -6254, -6254,  1676,  5034,  5035, -6254,
   -6254, -6254,  3655, -6254,  2219,  4692,  5068, -6254, -6254, -6254,
   -6254, -6254,123666, -6254, -6254, -6254, -6254, -6254,  4740,   278,
     326, -6254,  4741, -6254,  4877,  4880,  1727,  2637, -6254, 22166,
   -6254, -6254, -6254, 60533,  4847,  1042, 17575,  5078, -6254,  5078,
    5078, -6254,123666,  4910, -6254, -6254,123666,  4694,  4700, 61132,
   87421,  2968, -6254, 94909, -6254,  2972,  2982, -6254, 57538,  4704,
   57538, -6254, 59934,123666,  4705,  5183,  5185,  1299, -6254, -6254,
   -6254, 72822,  5188, 22166,   925,  2113,159021,  3878,  2997,  4056,
    4715, -6254,  3964,  4789, -6254, -6254, -6254, -6254, 22166,123666,
   89725,  5189, -6254, -6254, -6254, -6254, -6254, -6254, -6254,  3878,
    4808, -6254, -6254,163602, -6254,123666, -6254, -6254,  3004, -6254,
   -6254, -6254, 82801, -6254,  4475, -6254,  4475, -6254, -6254, -6254,
    2342,  4830,123666,  1452,  1452,  5128, -6254,  4790, -6254,  4726,
   -6254,  5249,  4882,123666, -6254, -6254,   238,  2085,100666,  4301,
   -6254,  1059,  2697,  4495,  3864, 57538,  3005, -6254,  4846,   380,
   -6254,  4522,  4552, -6254, -6254, 67031,  4743,  3560,  5136, -6254,
   -6254, -6254,  2092, 89725, 89725,123666, -6254, -6254, -6254, 57538,
     983, -6254, -6254,  4788, -6254,  4795, -6254, -6254,  4982,  4984,
    4761,  1727, -6254,  5261, -6254, -6254, -6254, -6254, -6254,  1303,
   -6254, -6254, -6254, -6254,  5217,  3019, 62929, -6254, -6254, -6254,
  123666,  4986,  1751,  5262,  4932,  3025, 59934,  3043, -6254, -6254,
   -6254,123666,123666,123666,  1852,  1206, -6254,  5011,  4901, -6254,
   -6254,  5013,   777, -6254,   446, -6254, -6254, -6254, -6254, -6254,
    4807,  2010,  2010,  3878, -6254,123666, -6254,  4770, -6254, -6254,
   -6254,159530, -6254,  4475, -6254, -6254, -6254, -6254,  5281, -6254,
    1707, -6254, -6254, -6254, -6254,123666,  4301,  4401,  4502, -6254,
   -6254,  4522,  3864,  2697, 16280, -6254, 67617,123666,123666,  4552,
   -6254,  3047, 67031,  3851,  4925, -6254,  3109, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254,  1011,  4771,  4774, -6254, -6254, 16311,
   89725, -6254, -6254,  4928,  4929, -6254,  5016, 56939,  4935, -6254,
    5003, -6254,  4793, -6254,  4081, -6254, -6254, 61731,  5023, -6254,
   61731,  1751, -6254, 61731,123666, -6254,  4796, -6254, -6254,  3048,
   -6254,  1478,  1495,  2181, -6254, -6254, -6254, -6254, 72822, -6254,
    4844,  2047,  4800,123666, -6254, -6254,  2010, -6254, -6254, -6254,
   57538, -6254, -6254,  2744,  2744,  4301, -6254, -6254,  4552,  2697,
    4522,  4846, -6254, -6254, -6254, -6254,  5007, -6254,  3051,  4552,
    4670,     2, -6254, -6254,  2386,  2990,  4888,  5145, -6254,  4802,
    4904,  4914,  5176, -6254, -6254, -6254,147241,  5258,  4694, -6254,
    4694, -6254,  4694, -6254, 57538, -6254,123666,123666, 89149,123666,
    4804, -6254,  4865, 57538,  3059,  2010,  3071, -6254, -6254, -6254,
   -6254,  4522,  4552,123666,  3560, -6254, 67031,  3988,  5186, -6254,
    3109,  4930,  4931, 86845, -6254, -6254, -6254,  1045,  3074, -6254,
   95485,123666, 16375, -6254, -6254,  5341,   332,  5228, -6254,  4875,
    3088,  1209, -6254,  4552, -6254, -6254,  3851, -6254, -6254,   983,
   -6254,  4863,  4864,  3096, -6254, -6254, -6254, -6254, -6254, -6254,
    2021,  1727,147241,  5041,   824,  3101, -6254, 57538, 89149, -6254,
   -6254,  2047, -6254, -6254,  4552, 89725,  5179,  5181, -6254, 86845,
    2434,  4827, -6254, -6254,  5031,  2021,  2835,  5031, -6254,  1280,
    4898,  4889,  3988,  4831, 89725, 89725, -6254,123666,  4833, -6254,
    1727, -6254,  2102,  2835,  4837,123666,  4875, -6254, 86845, -6254,
   -6254,  5291,147241, -6254,  1727,  2102,  2021, -6254, -6254,  3104,
    4842,  3111, -6254,  1727, -6254,147241, -6254, -6254,  3114, -6254
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    3393,     0,     2,     1,  3828,  3832,  3836,  3837,  3759,  3838,
    3839,  3804,  3805,  3806,  3807,  3808,  3809,  3810,  3811,  3812,
    3813,  3814,  3815,  3817,  3816,  3818,  3819,  3820,  3821,  3822,
    3823,  3824,  3825,  3827,  3826,  3777,  3400,  3776,  3773,  3774,
    2446,  3841,  3829,  3842,  3830,  3831,  3833,  3834,  3803,  3835,
    3843,  3844,  3845,  3840,  3848,  3799,  3800,  3798,  3801,  3802,
    3846,  3847,  3790,  3791,  3792,  3793,  3849,  3401,  3402,  3795,
    3394,  3398,  3463,  3543,  3796,  3797,  3794,  3399,  3789,  3543,
       0,     0,  3595,  3557,     0,     0,     0,  3542,  3519,  3525,
    3648,     0,  3490,  3491,  3487,  3489,  3488,  3492,  3475,  2008,
    1476,   675,  1565,  1564,     0,  1476,     0,   282,     0,  1576,
       0,  1476,   450,  1133,  3417,     0,  3502,     0,     0,     0,
     675,  1476,     0,     0,  1735,     0,  3500,     0,     0,  2008,
       0,     0,  1749,     0,     0,  3501,     0,     0,     0,  1273,
       0,     0,     0,  1476,     0,     0,  1756,     0,     0,     0,
    3504,     0,  3503,  1749,  3644,  3520,     0,  1578,     0,  3499,
       0,     0,     0,     0,     3,    38,    73,    74,    31,    30,
      91,    56,    17,    64,   126,   125,   127,    43,    39,    81,
      26,    28,    40,    44,    66,    68,    33,    57,   103,    65,
      24,    63,    69,    89,    51,    12,    13,    52,    14,    53,
      15,    54,    99,    75,    92,    36,    62,    23,    45,    71,
      72,     5,    47,    79,    11,    58,    59,    61,    84,    85,
      86,   109,    87,   121,    42,   118,    96,    97,   115,    98,
     116,     9,   100,    55,    16,   112,   111,   113,    82,    48,
      83,    70,    90,   110,    27,   114,    18,    19,    21,    22,
      20,    60,    29,    67,    32,    88,   117,   107,   102,   122,
     120,     4,   128,   104,    76,     7,     8,    93,     6,    25,
      50,    10,    35,    34,    49,    41,   124,    37,  1576,    95,
     108,    94,   101,    80,   105,   123,   106,    78,   119,  1711,
    1698,  1758,  1702,  1734,     0,  1714,    46,  1735,   130,   131,
     132,   137,  3397,  3452,  3453,  3454,  3543,  3485,  3486,  3479,
    3495,  3514,  3494,  3507,  3515,  3493,  3521,     0,   134,   136,
     138,   141,   135,   129,   133,   140,   145,   139,   144,   142,
     143,   146,   147,   148,    77,  3470,  3469,     0,  3543,     0,
    3770,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,
    2473,  2474,  2475,  2476,  2477,  2478,  2480,  2479,  2481,  2482,
    2842,  2483,  2484,  2485,  2782,  2783,  2843,  2784,  2785,  2486,
    2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,  2786,  2495,
    2496,  2497,  2498,  2499,  2787,  2844,  2500,  2501,  2502,  2503,
    2504,  2505,  2845,  2506,  2507,  2508,  2509,  2510,  2511,  2512,
    2513,  2514,  2846,  2515,  2516,  2453,  2847,  2454,  2517,  2518,
    2519,  2520,  2521,  2788,  2789,  2522,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,  2536,
    2537,  2538,  2539,  2540,  2541,  2542,  2543,  2544,  2545,  2546,
    2547,  2548,  2549,  2550,  2551,  2790,  2552,  2553,  2554,  2555,
    2791,  2556,  2557,  2558,  2559,  2792,  2560,  2561,  2562,  2563,
    2848,  2849,  2564,  2565,  2566,  2567,  2568,  2793,  2794,  2569,
    2570,  2571,  2572,  2573,  2574,  2850,  2575,  2576,  2577,  2578,
    2579,  2580,  2581,  2582,  2583,  2584,  2585,  2586,  2587,  2851,
    2795,  2588,  2589,  2590,  2796,  2797,  2591,  2852,  2853,  2592,
    2854,  2798,  2799,  2800,  2801,  2802,  2803,  2804,  2805,  2806,
    2807,  2808,  2593,  2594,  2595,  2596,  2597,  2598,  2599,  2600,
    2809,  2855,  2601,  2856,  2602,  2603,  2604,  2605,  2606,  2607,
    2608,  2609,  2610,  2611,  2612,  2613,  2614,  2810,  2615,  2616,
    2617,  2618,  2619,  2620,  2811,  2857,  2812,  2621,  2622,  2623,
    2624,  2625,  2626,  2627,  2628,  2813,  2814,  2629,  2630,  2631,
    2858,  2632,  2815,  2633,  2816,  2634,  2635,  2636,  2637,  2638,
    2639,  2640,  2641,  2642,  2643,  2644,  2817,  2859,  2645,  2860,
    2818,  2646,  2647,  2648,  2649,  2650,  2651,  2652,  2653,  2654,
    2655,  2656,  2657,  2658,  2659,  2819,  2660,  2820,  2663,  2661,
    2662,  2664,  2665,  2666,  2667,  2668,  2669,  2670,  2671,  2672,
    2673,  2674,  2821,  2675,  2676,  2677,  2678,  2679,  2680,  2681,
    2682,  2683,  2684,  2685,  2686,  2687,  2688,  2689,  2690,  2691,
    2692,  2693,  2861,  2694,  2695,  2696,  2697,  2698,  2822,  2699,
    2700,  2701,  2702,  2703,  2704,  2705,  2706,  2707,  2708,  2709,
    2710,  2711,  2712,  2455,  2713,  2714,  2823,  2715,  2716,  2862,
    2717,  2718,  2824,  2719,  2720,  2721,  2722,  2723,  2724,  2725,
    2726,  2727,  2728,  2729,  2730,  2731,  2732,  2733,  2734,  2825,
    2735,  2736,  2737,  2738,  2863,  2739,  2740,  2741,  2742,  2743,
    2744,  2745,  2826,  2827,  3417,  2746,  2747,  2828,  2748,  2829,
    2749,  2750,  2751,  2752,  2753,  2754,  2756,  2755,  2757,  2758,
    2759,  2760,  2761,  2762,  2763,  2764,  2765,  2766,  2767,  2830,
    2768,  2864,  2769,  2770,  2771,  2772,  2773,  2774,  2775,  2776,
    2777,  2778,  2779,  2831,  2832,  2833,  2834,  2835,  2836,  2837,
    2838,  2839,  2840,  2841,  2780,  2781,  3435,  2451,  2452,  2459,
    2460,  2461,  3410,  3431,  3437,  3766,  3436,  2458,  3594,     0,
       0,  3665,  3666,  3687,  3667,  3668,  3669,  3688,  3689,  3670,
    3671,  3672,  3673,  3674,  3675,  3676,  3677,  3678,  3690,  3679,
    3680,  3681,  3682,  3683,  3684,  3685,  3686,  3691,  3692,  3741,
    3742,  3743,  3744,  3745,  3747,  3746,  3556,  3714,  3750,  3555,
    3751,  3559,  3752,  3753,  3754,  3755,  3715,  3756,  3558,  3748,
    3711,  3560,  3553,  3554,  3712,  3663,  3664,  2426,  3713,  3710,
    3749,  3438,  3709,  3564,  3563,  1687,  3765,  1688,     0,  3566,
    3693,  3694,  3695,  3696,  3698,  3697,  3699,  2865,  2866,  2867,
    2868,  2869,  2870,  2871,  2872,  2873,  2874,  2875,  2876,  3724,
    2877,  2878,  2879,  3740,  2880,  2881,  3725,  2882,  2883,  2884,
    2885,  2886,  2887,  2888,  2889,  2890,  2891,  2892,  2893,  2894,
    2895,  2896,  2897,  2898,  2899,  2900,  2901,  2902,  2903,  2904,
    2905,  3726,  3727,  2906,  2907,  2908,  2909,  2910,  2911,  2912,
    2913,  2914,  2915,  2916,  2917,  2918,  2919,  2920,  2921,  2922,
    2923,  2924,  2925,  2926,  2927,  2928,  2929,  2930,  3728,  2931,
    2932,  3729,  2933,  2934,  2935,  3730,  2936,  2937,  2938,  2939,
    2940,  3734,  3735,  3736,  3737,  3738,  3739,  3723,  3517,  3700,
    3722,  3731,  3732,  3733,  3527,  3523,  3531,  3526,     0,     0,
       0,     0,  3543,  1997,  1998,  1999,  1996,  2009,  1995,     0,
    3458,  2000,  3506,  1475,  1474,  1489,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3407,     0,  1486,   159,     0,  3718,  3712,  3721,
       0,  2429,  3713,  3710,  3709,   420,   419,  1575,     0,  1554,
     675,     0,  1489,   449,  1735,     0,     0,     0,     0,     0,
       0,   892,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,   153,     0,     0,   474,
     473,     0,     0,  1105,   479,     0,     0,     0,     0,     0,
     665,  3416,  3411,  3421,     0,  3414,  3415,  3709,     0,  3852,
    2661,  3447,  3448,  3850,     0,  2725,  1689,  1687,  3765,     0,
     283,   286,   287,   284,   285,     0,  1245,  1246,  1248,     0,
       0,  1258,   932,   933,     0,     0,     0,   946,     0,     0,
       0,   930,     0,     0,     0,   952,     0,   949,     0,     0,
     953,   950,   927,   951,   934,     0,   926,     0,     0,  1258,
     954,     0,     0,   928,     0,     0,     0,     0,  1489,     0,
    3509,  3510,  2575,  1615,   480,     0,     0,  1735,     0,  1599,
    1600,  1576,  1588,  1601,  1593,  1595,  1594,  1596,  1597,  1592,
    1598,  2466,  1029,  2483,  1029,  2563,  1026,  1027,  1029,  1029,
    1029,  2682,     0,     0,  1001,     0,  1012,  2447,  1029,  2448,
    3766,  1034,  2474,   559,   559,   559,     0,  1033,  1038,   559,
       0,  3505,  1457,  1498,  2428,  1748,     0,  2483,  2563,  1002,
    1456,     0,  2746,  1605,     0,     0,     0,     0,  2701,  1466,
     267,  3707,  2712,  2826,  2746,  3708,   266,   261,   262,  3702,
    3703,  3705,   235,  3706,  3704,  3701,     0,     0,  1033,   559,
       0,  1489,  1464,   998,  1755,  1753,     0,  2413,     0,     0,
    2493,     0,  2509,  2604,   258,  2694,  2703,  2712,  2826,  2746,
    2779,   214,   224,   219,     0,   276,  2712,  2826,  2746,     0,
    1486,     0,  1715,  1864,  1863,  2422,     0,     0,  3518,  1459,
    1458,  1577,     0,  1580,     0,  2677,  1719,  1722,  1582,  1720,
    1711,     0,     0,  3396,     0,  1587,  1752,  1752,     0,  1752,
       0,  1703,  1711,  1706,  1710,     0,     0,     0,     0,     0,
    1476,     0,  3477,  3514,  3484,  3549,  3481,     0,     0,  3539,
    3535,  3532,  3540,  3541,  3534,  3522,  3464,     0,  3472,  3471,
    3778,  3779,  3596,  3409,  3428,     0,     0,     0,     0,     0,
       0,     0,  3565,  3567,  3569,  3529,  3528,  3524,     0,     0,
       0,  3654,  3655,     0,  3653,     0,  3650,  3652,     0,  3549,
       0,     0,     0,     0,     0,     0,     0,     0,  3455,   659,
    3457,   656,     0,  1460,     0,     0,     0,   957,     0,  1501,
    1090,     0,     0,     0,     0,     0,  1342,     0,  1141,  1142,
       0,  2451,     0,  2574,  1342,     0,     0,  2256,  2267,  2268,
    2269,  2497,  2556,  2264,  2265,  2266,  2258,  2259,  2260,  2261,
    2262,  2263,     0,     0,  1240,  2257,     0,  2574,     0,  1342,
       0,   186,     0,   163,  1342,     0,     0,  2574,     0,     0,
    2574,     0,     0,     0,     0,     0,  2574,     0,     0,     0,
       0,     0,   186,  2609,     0,   163,  2574,     0,     0,     0,
    1480,     0,     0,     0,  1482,  1485,  1472,     0,  2337,     0,
    2338,  2430,  1569,     0,  1568,  1562,  1572,  1567,  1557,     0,
    2422,     0,     0,     0,     0,   940,     0,     0,   930,     0,
       0,     0,   941,     0,   942,   943,     0,     0,     0,     0,
     939,     0,  1470,  1462,     0,  1607,  1609,  1608,  1610,  1606,
     559,     0,     0,     0,  2574,     0,   163,  1540,     0,  2574,
     163,     0,     0,   478,   477,   163,   476,   475,  2497,  2556,
       0,  1132,     0,  1215,   163,  2574,     0,   207,  2574,   734,
    2574,  1582,   152,     0,   678,     0,   846,  2609,   163,     0,
       0,     0,     0,     0,     0,   155,     0,     0,     0,     0,
       0,     0,     0,   664,   675,     0,  3420,  3426,     0,  3418,
    3597,  3853,  3851,  3457,  3552,     0,  3449,  1249,   259,   260,
    1247,   944,  2574,  1174,   158,     0,     0,  2574,   163,  1957,
    1986,  1964,  1986,  1986,  1953,  1953,  2537,  1966,  2574,  1954,
    1955,  1991,  2011,     0,  1986,  1953,  1958,     0,  1956,  1994,
    1994,  1981,   158,   961,  1936,  1937,  1938,  1939,  1967,  1968,
    1940,  1973,  1974,  1978,  1941,  2008,  1944,  3719,  1953,  3720,
    3717,  3716,   945,     0,   931,  2574,   158,  1138,  2574,  2456,
     196,     0,   929,  2497,  2556,  2574,   158,  1242,     0,  2574,
     158,  2574,   192,  2574,   158,  2574,   158,  2574,   679,     0,
       0,  2574,   158,  2574,  2609,   194,   948,  2574,   158,   955,
    2574,   158,  2424,  2574,     0,  1473,     0,     0,  3783,  3787,
       0,  3785,  3780,  3508,  3562,  3561,  3451,     0,  3864,     0,
    1689,  1590,     0,  1735,  1029,  1028,     0,  1029,     0,  3874,
    1029,     0,  1029,     0,  3874,  1029,     0,     0,     0,  1029,
    2449,  2450,     0,     0,  3873,  3869,  3872,  1003,  1013,     0,
    1035,     0,  1043,     0,  1042,  1041,  1040,     0,     0,     0,
    1044,     0,  1868,  1642,     0,  1010,     0,  1008,     0,  1454,
    3457,  1469,     0,     0,     0,     0,   155,     0,  1271,  1268,
     155,  1270,  1269,   155,   155,  1465,   265,   263,     0,     0,
       0,     0,     0,     0,  1471,     0,  1463,     0,     0,     0,
    3772,  3775,  2270,  3771,     0,  2783,  2784,  2785,  2329,     0,
    3714,  2786,  2787,  2844,  2144,  2130,  2139,  2145,  2131,  2133,
    2140,  2788,  2789,  2079,  2790,  2791,  2442,  2792,  2793,  2794,
    2796,  2797,  2798,  2799,  2800,  2801,  2802,  2803,  2804,  2805,
    2806,  2808,  2809,  2135,  2137,  2810,  2811,  2812,  2814,     0,
    2443,  2815,  2816,  2640,  2818,  2819,  2821,  2822,  2141,  2824,
    2825,  2142,  2826,  2827,  2828,  2829,  2441,   522,  2143,  2830,
    2832,  2833,  2834,  2835,  2837,  2838,  2839,  2840,     0,     0,
       0,  2419,     0,  2108,     0,  1945,  1946,  1969,  1970,  1947,
    1975,  1976,  1948,     0,  1949,  2418,  2012,  2215,  2107,  2125,
       0,  2113,  2114,     0,  2106,  2102,  2217,  1738,  2414,     0,
    2103,  2431,  2330,  2445,  2444,  3766,  2340,  2434,  2432,  2433,
    2435,  1738,  2412,     0,     0,     0,   227,     0,     0,  3643,
     278,     0,   279,  2420,  2712,   215,   257,   229,   256,   230,
     228,     0,  2495,   216,     0,     0,   217,     0,     0,     0,
       0,     0,     0,     0,   272,  1461,     0,  1866,  1865,  2423,
     966,     0,     0,  1579,  1576,  2280,     0,  1721,     0,     0,
       0,  1701,  1700,     0,  1584,  1586,  1560,  1582,  1750,  1751,
       0,     0,     0,     0,     0,     0,     0,     0,  1808,  1766,
    1767,  1769,  1805,  1809,  1817,     0,  1707,     0,     0,     0,
    1870,     0,     0,  3395,  3549,  3550,     0,  3544,     0,  3543,
    3543,  3537,  3536,  3533,     0,     0,  3430,     0,  3434,  3432,
       0,  3589,  3592,     0,  3590,  3591,  3593,     0,  3598,  3599,
       0,     0,     0,     0,     0,  3580,  3568,  3575,  3577,  3579,
    3578,  3587,  3583,  3586,  3588,  3530,  3543,     0,  3656,  3662,
    3659,  2511,     0,  3651,     0,  3461,  2002,  2003,  2004,  2005,
    2006,  2007,  3462,     0,  3459,  2001,  3460,   657,   658,     0,
       0,  1487,     0,     0,     0,     0,     0,  1173,     0,     0,
       0,     0,     0,   958,     0,     0,     0,     0,  1509,  1510,
    1511,     0,     0,     0,  1512,  1513,  1501,   269,  1520,  1517,
    1500,  1502,  1515,  1507,     0,     0,     0,     0,     0,     0,
       0,  1532,     0,   200,   201,     0,   691,   675,     0,  2574,
       0,     0,     0,     0,  1183,  1190,  1341,     0,     0,     0,
       0,     0,     0,     0,     0,  1184,  1182,     0,  1185,   271,
    1195,  1222,  1225,     0,     0,  1140,  1143,     0,     0,     0,
       0,     0,  1332,     0,     0,     0,  1332,     0,     0,     0,
    1341,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     294,   296,   309,   375,     0,     0,     0,  2574,  1342,     0,
       0,     0,  1244,     0,     0,     0,     0,     0,     0,     0,
       0,  1225,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,   162,   167,     0,     0,     0,     0,  1225,     0,
       0,     0,     0,     0,     0,     0,   642,   655,     0,     0,
       0,     0,     0,   652,     0,     0,   163,   299,   632,   638,
       0,     0,     0,   741,   740,     0,     0,     0,     0,     0,
       0,  1430,     0,  1429,     0,     0,     0,     0,     0,  1530,
    1529,     0,     0,     0,     0,     0,     0,  1332,     0,   288,
     290,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,     0,     0,
       0,   167,     0,     0,  1332,     0,   301,     0,  3465,     0,
    1481,  1478,  1479,     0,  1484,     0,     0,     0,     0,  2116,
       0,  2284,  1758,  2282,  1158,  2336,     0,  2333,  2332,  2427,
    2339,  1552,     0,   246,   247,   245,  1570,   248,  1571,  1566,
       0,  1553,     0,     0,     0,     0,     0,     0,     0,     0,
    2497,  2556,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   854,  1501,
    1539,     0,     0,     0,   684,     0,  2574,     0,   165,   893,
       0,   844,   479,     0,     0,     0,     0,  1406,   165,     0,
       0,   203,     0,     0,   738,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   845,     0,     0,   165,     0,
    2574,   635,  2574,     0,   559,   559,     0,     0,   154,   151,
       0,     0,     0,     0,     0,     0,     0,     0,  3424,  3419,
    3422,     0,  3412,  3426,     0,  1693,  1692,  1695,  1694,     0,
    1691,     0,   156,   157,     0,  1232,  1257,     0,     0,     0,
    1985,  1972,  1980,  1979,     0,  1962,  1961,  1960,     0,  1959,
       0,  1986,  1986,  1984,  1963,  1936,     0,     0,     0,  1990,
       0,  1988,     0,   922,  1932,  1928,     0,  1997,  1996,  1995,
       0,  1942,  1953,  1950,   947,     0,     0,  1226,     0,     0,
    2574,   158,  2574,     0,  2574,     0,     0,     0,  1234,   158,
       0,  1228,     0,     0,  1230,     0,  1432,     0,   938,   936,
     935,   937,     0,     0,   920,     0,     0,     0,     0,     0,
     915,     0,     0,   917,     0,     0,  3781,     0,     0,  3784,
       0,  3511,     0,  3870,  1611,  3867,     0,     0,  1735,  1589,
       0,  1021,     0,  3874,  3875,  1006,     0,  1016,     0,  3874,
    1004,     0,  1017,  1014,  1015,     0,     0,     0,  3868,  3757,
    3763,  1020,     0,     0,   560,   562,     0,     0,  2520,  2536,
       0,  2564,  2597,  2598,  2650,  2667,  2697,  2703,  2708,     0,
    2739,  2751,     0,  1049,  1087,  1039,   750,     0,     0,  1652,
    1011,  1009,  1455,     0,  1603,  2289,     0,  1735,     0,     0,
    1272,     0,     0,   151,   264,   236,     0,     0,  1087,     0,
    2701,  1468,   997,   675,     0,     0,  2111,  2112,  2328,     0,
       0,     0,     0,     0,     0,  2110,     0,     0,     0,     0,
    2385,     0,     0,  2385,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2035,     0,     0,  2288,     0,     0,
    2288,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2036,  2017,  2018,  3715,  2108,  2280,     0,
    2109,  2438,     0,  2008,  2270,     0,  2267,  2268,  2269,  2941,
    2942,  2943,  2944,  2945,  2946,  2947,  2948,  2949,  2950,  2951,
    2952,  2953,  2954,  2955,  2956,  2957,     0,  2958,  2959,  2960,
    2961,  2962,  2964,  2963,  2965,  2966,  2967,  2968,  2969,  2970,
    2343,  2972,  2973,  2974,  2975,  2976,  2977,  2978,  2979,  2980,
    2981,  2982,  2983,  2984,  2985,  2986,  2987,  2988,  2989,  2990,
    2991,  2992,  2993,  2994,  2995,  2996,  2997,  2998,  2999,  3000,
    3001,  3002,  3003,  3004,  3005,  3006,  3007,  3008,  3009,  3010,
    3011,  3012,  3013,  3014,  3015,  3016,  3017,  3018,  3019,  3020,
    3021,  3022,  3023,  3024,  3025,  3026,  3027,  3028,  3029,  3030,
    3031,  3032,  3033,  3034,  3035,  3036,  3037,  3038,  3039,  3040,
    3041,  3042,  3043,  3044,  3045,  3046,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,  3060,
    3061,  3062,  3063,  3064,  3065,  3066,  3067,  3068,  3069,  3070,
    3071,  3072,  3073,  3074,  3075,  3076,  3077,  3078,  3079,  3080,
    3081,  3082,  3083,  3084,  3085,  3086,  3087,  3088,  3089,  3090,
    3091,  3092,  3093,  3094,  3095,  3096,  3097,  3098,  3099,  3100,
    3101,  3102,  3103,  3104,  3105,  3106,  3107,  3108,  3109,  3110,
    3111,  3112,  3113,  3114,  3115,  3116,  3117,  3118,  3119,  3120,
    3121,  3122,  3123,  3124,  3125,  3126,  3127,  3128,  2050,  3129,
    3130,  3131,  3132,  3133,  3134,  3135,  3136,  3137,  3138,  3139,
    3140,  3141,  3142,  3143,  3144,  3145,  3146,  3147,  3148,  3149,
    3150,  3151,  3152,  3153,  3154,  3155,  3156,  3157,  3158,  3159,
    3160,  3161,  3162,  3163,  3164,  3165,  3166,  3167,  3168,  3169,
    3170,  3171,  3172,  3173,  3174,  3175,  3176,  3177,  3178,  3179,
    3180,  3181,  3182,  3183,  3184,  3185,  3186,  3187,  3188,  3189,
    3190,  3191,  3192,  3193,  3194,  2052,  3195,  3196,  3197,  3198,
    3199,  3200,  3201,  3202,  3203,  3204,  3205,  3206,  3207,  3208,
    3209,  3210,  3211,  3212,  3213,  3214,  3215,  3216,  3217,  3218,
    3219,  3220,  3221,  3222,  3223,  3224,  3225,  3226,  3227,  3228,
    3229,  3230,  3231,  3232,  3235,  3233,  3234,  3236,  3237,  3238,
    3239,  3240,  3241,  3242,  3243,  3244,  3245,  3246,  3247,  3248,
    3249,  3250,  3251,  3252,  3253,  3254,  3255,  3256,  3257,  3258,
    3259,  3260,  3261,  3262,  3263,  3264,  3265,  3266,  3267,  3268,
    3269,  3270,  3271,  3272,  3273,  3274,  3275,  3276,  3277,  3278,
    3279,  3280,  3281,  3282,  3283,  3284,  3285,  3286,  3287,  3288,
    3289,  3290,  3291,  3292,  3294,  3293,  3295,  3296,  3297,  3298,
    3299,  3300,  3301,  3302,  3303,  3304,  3305,  3306,  3307,  3308,
    3309,  3310,  3311,  3312,  3313,  3314,  3315,  3316,  3317,  3318,
    3319,  3320,  3321,  3322,  3323,  3324,  3325,  3326,  3327,  3328,
    3329,  3330,  3331,  3332,  3333,  3334,  3335,  3336,  3337,  3338,
    3339,  3340,  3341,  3342,  3343,  3344,  3345,  3346,  3347,  3348,
    3349,  3351,  3350,  3352,  3353,  3354,  3355,  3356,  3357,  3358,
    3359,  3360,  3361,  3362,  3363,  3364,  3365,  3366,  3367,  3368,
    3369,  3370,  3371,  3372,  3373,  3374,  3375,  3376,  3377,  3378,
    3379,  3380,  3381,  3382,  3383,  3384,  3385,  3386,  3387,  3388,
    3389,  3390,  3391,  3392,     0,  2264,  2265,  2266,  2258,  2259,
    2260,  2261,  2262,  2263,  2274,     0,     0,  2417,  2463,  2462,
       0,  2217,     0,  2032,     0,  2225,     0,     0,  1821,  1737,
       0,  2436,  2331,     0,  3764,  3767,  2104,  1821,  3640,  3639,
    3638,  3637,  3608,     0,  3602,  3603,     0,  3641,  3642,   280,
     281,   277,     0,     0,   232,   231,     0,   254,   255,   226,
     253,     0,   249,   250,   234,  2201,  2200,   233,   225,   222,
     220,   237,   239,   240,   223,   221,   275,   273,     0,     0,
       0,     0,   158,  3543,  1587,  1574,     0,     0,  2343,     0,
    2278,     0,     0,  2276,     0,     0,     0,  1818,     0,  1723,
       0,  1727,  1587,     0,  1583,  1718,  1717,  1759,  1760,  1124,
    1716,  1788,  1789,     0,     0,     0,     0,  1814,  1812,  1779,
    1770,  1778,     0,     0,  1776,     0,  1780,  2012,  1807,  1705,
    1764,  1765,  1768,  1704,     0,  1810,     0,  1655,  1808,  1769,
    1639,     0,  1617,     0,     0,  1871,     0,     0,     0,  3551,
    3549,  3480,  1936,  3543,  3473,  3543,  3538,     0,  3427,     0,
    3408,  3433,  3574,  2721,  3606,     0,  3607,     0,     0,  3571,
       0,  3581,  3584,  3582,  3585,     0,  1936,  3657,  3760,  3760,
    1936,  2010,  3456,  3498,  1488,     0,     0,     0,  1153,  1155,
       0,  1154,     0,  1157,     0,  1166,     0,     0,  1152,  1171,
       0,  1160,  1158,     0,  1528,     0,     0,   959,     0,     0,
       0,     0,  1508,     0,     0,     0,  2739,   268,  1511,  1516,
    1503,  1514,     0,     0,     0,     0,     0,  1089,  1088,     0,
       0,     0,  1535,   553,     0,   377,     0,     0,     0,     0,
       0,     0,     0,     0,   840,   837,     0,     0,   836,     0,
     689,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,  1332,     0,   307,     0,  1192,     0,
    1191,     0,  1196,     0,     0,  1193,  1188,  1189,  2703,  2712,
    2746,   270,  1194,  1224,     0,  1223,  1219,     0,  1135,     0,
    1136,     0,     0,     0,     0,     0,     0,     0,  2548,     0,
    2574,     0,   522,   315,   339,   544,     0,  1331,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   361,     0,     0,   364,   363,     0,     0,
       0,     0,     0,   369,     0,   347,     0,   348,     0,   368,
       0,     0,     0,     0,     0,     0,  1332,     0,   303,     0,
       0,     0,     0,     0,     0,     0,     0,  1241,     0,   767,
       0,     0,  2703,  1220,     0,  1415,     0,  2738,  1416,  1419,
     559,     0,   559,  1421,     0,     0,  1418,  1420,     0,     0,
     189,     0,   184,   188,     0,     0,  2703,  1221,     0,     0,
       0,     0,     0,   640,   641,   654,     0,   645,   646,   643,
     647,   648,     0,     0,     0,     0,     0,     0,     0,   639,
       0,     0,   736,   735,   739,     0,     0,     0,     0,     0,
       0,  1424,     0,     0,  1215,     0,     0,  1423,  1431,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1275,
    1274,     0,     0,     0,     0,  1342,     0,   883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   191,   754,
       0,   753,     0,   185,   190,     0,     0,     0,     0,     0,
       0,     0,     0,   244,  1477,  1483,  1758,  1758,  1758,  2122,
       0,     0,     0,     0,  1757,  2334,  2337,  1557,  1563,  1556,
    1555,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   423,
     424,   426,     0,     0,     0,     0,   856,     0,   859,   862,
    1499,   506,     0,     0,   681,   714,     0,     0,   482,   198,
       0,     0,     0,     0,   769,     0,  1215,  1214,   160,   151,
     207,   480,     0,   206,   208,   210,   211,   212,   209,   213,
       0,   733,   737,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,  1891,     0,     0,   183,     0,
       0,   630,   634,     0,  3403,     0,     0,   482,   598,   388,
    2574,     0,   559,     0,  2574,     0,   150,     0,   843,     0,
       0,     0,  1177,  1177,     0,     0,   783,   782,     0,     0,
       0,     0,  3425,     0,  3497,     0,     0,     0,  1690,   158,
    1175,     0,   163,     0,     0,     0,     0,   158,  1983,  1982,
    1933,  1929,     0,     0,     0,     0,   962,     0,     0,     0,
       0,     0,     0,  1951,   158,  1139,   197,  2457,     0,   924,
       0,     0,     0,     0,   158,  1243,   912,   158,   193,   158,
     158,   680,     0,   158,   195,     0,     0,   158,   956,   158,
    2425,     0,   158,  3782,  3788,  3786,  1614,  3871,  3865,  3866,
    2574,   559,  1695,  1591,  1018,  1025,  1007,  1024,  1023,  1005,
    1022,  1019,  3573,     0,     0,  3762,     0,  1036,     0,   558,
       0,     0,     0,     0,     0,  1057,  1058,     0,     0,  1054,
    1059,     0,  1061,  1045,  1047,  1055,  1056,  1062,  1051,  1050,
    1063,  1064,     0,     0,     0,  1076,   748,     0,     0,     0,
       0,  1649,     0,  1647,     0,  1869,  1651,  1640,  3496,  1604,
       0,  1602,     0,   623,  1266,  1265,  1267,     0,  1033,     0,
     158,     0,  1467,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2293,     0,  2294,     0,     0,  2327,
    2323,     0,     0,     0,     0,     0,  2300,  2301,  2302,  2299,
    2303,  2298,     0,     0,  2304,  2297,     0,     0,  2378,  2395,
       0,  2108,  2378,  2406,     0,  2405,  2411,     0,  2284,  2012,
       0,     0,  2402,  2396,     0,  2402,     0,     0,  2385,     0,
       0,     0,     0,  2185,     0,     0,     0,  2284,  2287,     0,
       0,  2822,     0,     0,     0,     0,  2080,     0,     0,  2251,
       0,  2284,     0,     0,     0,     0,     0,     0,     0,  2280,
    2319,     0,   520,     0,  2070,     0,     0,     0,  2199,     0,
    2196,     0,     0,     0,     0,  2340,     0,     0,  2439,  2013,
    2028,  2029,  2030,  2033,  2416,  2016,     0,  2342,     0,     0,
    2014,  2041,     0,  2320,  2066,     0,  2071,  2056,  2386,  2305,
    2306,  2307,  2308,  2073,     0,  2049,  2054,  2058,     0,  2395,
    2037,     0,  2034,     0,  2343,  2279,     0,  2277,     0,  2025,
    2026,  2027,  2019,  2020,  2021,  2022,  2023,  2024,  2031,  2255,
    2253,  2254,     0,     0,  2225,     0,     0,  2053,     0,     0,
    2124,  2567,  2604,     0,  1749,  1749,  1749,  1736,  1747,  2415,
       0,  1886,  1758,  3769,  3768,  2341,  1886,     0,     0,     0,
    2421,     0,     0,  2008,     0,   274,  1867,   964,   965,   963,
    1936,  1559,  1573,  1587,  2281,  1581,  1725,     0,     0,  1561,
    1585,     0,  1122,  1123,     0,  1127,  2822,  2699,     0,     0,
       0,     0,  1781,  1815,     0,  1806,     0,  1782,  2431,  2432,
    1783,  1786,  1787,  1777,  1816,  1653,     0,  1811,  1709,  1708,
       0,  1889,     0,     0,     0,  1631,  1619,     0,     0,  1872,
       0,  1821,  1657,     0,  2340,  1819,  3478,  3545,  3483,  3513,
    3474,  3516,     0,  3429,  3609,  3610,     0,  3600,  3601,  3570,
    3576,  3647,     0,  3761,     0,     0,  1382,  1276,  1343,  1156,
       0,  1953,  1167,     0,  1151,     0,  1150,  1953,     0,  1168,
       0,  1953,  1383,  1277,  1344,   960,  1384,  1278,  1345,  1385,
    1519,  1279,  1518,  1506,  1505,  1504,     0,     0,     0,     0,
       0,     0,     0,     0,   821,  2574,   158,  1533,  1386,     0,
    1280,   376,  1534,  1346,  1538,   839,   838,     0,     0,  1347,
       0,   690,   695,     0,   697,   698,  2497,  2556,   699,   702,
     703,     0,   705,   694,   693,     0,     0,     0,     0,     0,
     711,   713,     0,     0,     0,     0,     0,     0,  1186,  1187,
    1387,  1283,     0,  1348,     0,  1134,     0,  1284,   199,     0,
       0,   295,     0,  2574,   317,     0,     0,     0,     0,     0,
       0,     0,     0,   821,   504,   821,     0,  1334,   314,   345,
       0,   360,   355,   356,   354,  2574,   158,  2574,   158,     0,
       0,     0,     0,     0,   357,   352,   353,   349,     0,     0,
     362,  2469,  2538,  2713,     0,   722,   724,     0,   729,   365,
    1304,   384,   383,   382,     0,   370,     0,   389,   392,     0,
     367,   346,   344,   341,   310,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,  1390,  1349,
       0,  1371,  1375,     0,     0,     0,   761,  1393,  1290,  1352,
       0,   559,     0,     0,   574,   574,   559,  1404,  1291,   187,
    1321,     0,     0,   172,     0,     0,     0,     0,   166,   176,
    1394,  1292,  1353,     0,     0,  1395,  1293,     0,     0,   300,
     633,   644,   649,  1298,   653,   650,  1361,   651,  1402,  1294,
       0,  1398,  1324,  1356,   402,   618,   401,  1215,  1215,  1405,
    1425,  1295,  1215,     0,  1332,     0,   289,   291,     0,   155,
       0,  1296,     0,  1354,  1397,  1323,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1541,     0,     0,     0,     0,
       0,     0,   158,     0,     0,     0,  1334,  2574,   158,   881,
    1396,     0,  1329,     0,  1369,     0,     0,     0,   414,     0,
    1322,  1332,     0,   302,  1300,     0,  1363,     0,     0,   242,
     241,   243,     0,     0,     0,     0,  2285,  2286,     0,  2283,
    2117,  2336,     0,  1551,   986,   972,   985,     0,   968,  2536,
       0,   971,   973,     0,     0,     0,   974,   978,   979,     0,
     970,   967,   969,     0,   425,     0,     0,   778,   779,     0,
       0,     0,     0,   858,     0,     0,  1531,     0,   163,   688,
       0,     0,     0,   683,   713,   718,     0,     0,     0,     0,
     481,   485,   489,   490,   491,     0,     0,     0,     0,   177,
     164,     0,   901,     0,   559,     0,   771,  1215,  1408,     0,
     207,   202,     0,     0,   734,     0,  1582,  2798,     0,     0,
     613,  2126,   616,  2127,  2128,   615,     0,   388,   853,   851,
     850,   852,   874,   849,     0,  1890,  1892,     0,     0,     0,
       0,     0,     0,     0,   484,     0,     0,   562,     0,   601,
       0,     0,     0,     0,   598,     0,     0,     0,     0,   870,
    3716,   842,     0,  1145,     0,  1163,  1146,     0,     0,     0,
       0,  1200,  1207,  1176,  1201,  1178,  1207,     0,     0,   784,
     788,   787,   791,   789,     0,   785,   662,  3423,  3417,  1696,
    1697,     0,  1233,     0,     0,  1527,     0,  1525,     0,  1952,
    1965,   923,     0,  1992,  1993,  1994,  1994,     0,  1934,     0,
    3854,  3862,  3861,     0,  1977,  1943,  1227,   158,     0,   158,
       0,   158,  1235,  1229,  1231,  1433,     0,   921,     0,     0,
     914,   916,     0,   918,     0,     0,  3572,  3758,  1037,   561,
       0,     0,     0,     0,     0,     0,  1053,   660,  1060,     0,
       0,     0,  1075,  1070,  1072,     0,  1087,  1081,     0,   747,
       0,     0,  1650,  1643,  1645,  1644,     0,     0,  1641,  2290,
     913,     0,   629,     0,  1087,  1078,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1754,  2291,  2292,
       0,     0,     0,  2324,     0,     0,  2161,     0,  2132,  2134,
    2147,     0,  2162,  2115,     0,  2377,  2374,     0,     0,     0,
    2378,  2385,  2181,     0,     0,     0,  2385,     0,  2405,     0,
       0,     0,  2176,  2178,     0,     0,     0,  2395,  2395,     0,
    2183,     0,     0,  2163,  2136,  2138,  2148,     0,     0,  2271,
       0,  2151,  2150,     0,  2082,  2083,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2097,  2152,  2250,     0,     0,     0,
    2154,  2153,     0,     0,  2318,     0,     0,     0,  2159,   521,
    2164,     0,     0,     0,     0,  2170,     0,  2207,     0,     0,
       0,  2105,  2281,     0,     0,     0,     0,     0,     0,     0,
    2388,  2389,  2390,  2387,     0,  2072,  2057,  2075,  2051,  2055,
    2059,     0,  2395,  2074,  2077,     0,     0,  2045,     0,     0,
    2043,  2067,  2039,     0,     0,  2068,     0,  2123,     0,     0,
       0,  2228,  2223,  2224,  1749,  1749,  1749,  1749,  1746,     0,
       0,     0,  2807,     0,  2699,  2841,     0,  1847,  1820,  1822,
    1832,  1847,  1854,  1847,  1847,  1884,  2422,     0,  1791,     0,
    1791,  3622,  3624,  3625,  3626,  3627,  3628,  3630,  3631,  3633,
    3634,  3635,  3623,  3629,  3632,  3636,  3613,  3614,     0,  3604,
    3605,   218,     0,   251,   238,  3647,  1558,  1726,  1735,  1761,
       0,  2272,  1127,     0,  1763,  1784,  1785,     0,  1774,     0,
    1813,  1771,  1654,  1638,     0,  1636,  1623,  1625,  1624,     0,
       0,  1626,  2340,     0,  1636,  1618,     0,  1662,     0,     0,
    1889,     0,  1661,     0,  3547,  3466,     0,     0,  3646,  3649,
    3661,  3658,  3476,     0,  1953,  1148,  1149,     0,  1172,     0,
    1092,  1093,     0,  1091,     0,     0,     0,   552,   555,     0,
    1536,     0,  1403,  1320,   692,     0,     0,     0,     0,   707,
     666,   708,   710,     0,     0,   709,   712,   715,  1332,     0,
     308,  1306,     0,  1367,  1180,     0,     0,  1137,     0,     0,
       0,     0,     0,  1108,   543,  1107,     0,     0,     0,     0,
     821,     0,     0,   547,     0,   503,   500,   340,     0,     0,
       0,     0,   163,     0,   319,   332,   395,   338,     0,   372,
       0,   343,     0,   336,   358,   350,   359,   351,   371,   373,
       0,   726,   727,   725,   721,     0,   728,   730,     0,   386,
       0,     0,     0,   404,   366,   403,     0,  1389,     0,  1332,
       0,   304,  1302,     0,  1365,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1370,     0,     0,
       0,     0,   766,     0,   763,     0,   574,     0,  1417,     0,
    1414,  1412,   574,     0,     0,   169,   168,     0,   175,     0,
       0,     0,     0,     0,     0,  1426,  1427,  1428,     0,     0,
       0,     0,     0,     0,   408,     0,   311,   313,   312,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   415,   379,     0,   877,
       0,     0,     0,   417,     0,     0,  1381,     0,     0,     0,
       0,     0,  1388,  1285,  2120,  2121,  2118,  1758,  2335,     0,
       0,     0,   983,     0,     0,     0,     0,   428,   429,   163,
     427,   452,     0,   821,     0,     0,   855,   860,   868,  2640,
    2258,  2259,   866,   861,   863,   865,   864,   867,     0,     0,
       0,     0,   525,     0,     0,     0,   512,     0,     0,   522,
     505,   508,   509,     0,     0,   684,   687,   685,   686,     0,
     706,     0,   484,   532,   588,     0,   179,     0,     0,   180,
     178,     0,     0,   388,   768,     0,   765,  1407,     0,   205,
       0,   738,     0,     0,     0,     0,     0,  1215,   676,     0,
     873,   875,   847,     0,   718,     0,     0,   635,     0,   559,
    1615,   623,     0,   590,   484,   588,   597,     0,     0,   605,
     387,     0,     0,   623,   388,     0,     0,  1108,   869,     0,
       0,     0,  1144,     0,     0,     0,  1197,  1202,  1198,     0,
    1177,  1159,     0,  1199,     0,     0,  1205,  1130,  1179,  1131,
    1449,  1450,  1447,  1448,     0,     0,     0,     0,     0,     0,
    3440,  1686,  3450,     0,     0,  1523,     0,  1971,     0,  1989,
    1987,  1930,     0,  3543,     0,     0,     0,     0,     0,  1935,
     925,     0,   908,     0,   910,   158,   755,     0,   158,     0,
       0,     0,     0,     0,     0,     0,  1052,     0,  1046,  1048,
    1073,     0,     0,  1087,  1086,     0,  1077,  1085,  1083,  1084,
    1082,     0,     0,  1648,  1646,   621,     0,     0,   158,  1087,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2295,     0,  2326,  2322,     0,  2129,  2296,  2376,  2392,  2394,
    2182,  2384,     0,     0,     0,  2407,     0,     0,  2385,  2345,
    2399,  2398,     0,     0,  2397,  2385,  2385,  2345,  2184,  2345,
       0,     0,     0,  2251,     0,     0,  2081,  2093,  2094,  2095,
    2311,     0,  2100,     0,  2090,  2091,  2092,  2084,  2085,  2086,
    2087,  2088,  2089,  2096,  2315,  2314,     0,     0,  2156,  2157,
    2158,  2317,  2165,     0,  2487,  2208,     0,  2169,  2198,  2197,
       0,     0,     0,  2172,     0,     0,  2194,     0,  2252,  2440,
    2015,     0,     0,  2042,  2321,  2060,     0,  2076,  2078,  2038,
    2271,     0,     0,     0,     0,     0,  2047,     0,     0,  2248,
       0,     0,     0,  2230,  2227,     0,     0,     0,     0,  1740,
    1739,  1745,     0,  1847,  1854,  1847,  1847,     0,     0,  1711,
       0,  1832,     0,  1846,  1830,  1845,     0,     0,  1860,  1858,
       0,  1860,     0,  1860,     0,  1824,     0,  1850,  1826,  1845,
    1828,  1834,     0,  1876,  2423,  1885,     0,  1804,  2117,  1804,
       0,     0,     0,  3645,     0,     0,  1762,  1125,  1126,  1772,
       0,  1775,     0,  1887,     0,  1637,     0,     0,     0,  1628,
    1634,  1616,     0,     0,     0,  1658,  1636,  1659,  3482,     0,
    3546,  3611,  3612,  1169,     0,     0,  1161,  1098,  1099,  1102,
    1100,  1097,  1101,     0,     0,     0,   821,   824,     0,     0,
       0,   822,   158,  1281,     0,     0,     0,     0,   667,  1401,
    1282,     0,     0,     0,     0,  1181,  1335,     0,     0,  1305,
     821,     0,     0,     0,   569,     0,  1121,  1121,     0,   316,
       0,   549,   610,     0,   502,   501,     0,   499,   718,     0,
       0,   323,   333,     0,   328,     0,  1333,     0,     0,     0,
       0,   327,   330,   329,   399,     0,   396,     0,   158,   158,
     374,   723,   385,   390,   391,   394,  1340,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     902,   885,     0,     0,   903,   904,     0,     0,     0,  1238,
    1239,  1237,  1372,  1373,  1379,  1376,  1374,  1378,  1377,  1380,
       0,  1288,     0,     0,   759,  1336,  1409,  1411,  1410,     0,
    1413,   173,   170,   171,   174,  1337,  1318,  1299,  1362,   619,
       0,     0,     0,  1297,     0,  1355,     0,  1314,  1308,     0,
       0,     0,     0,     0,  1400,  1328,  1360,  1399,  1326,  1358,
    1325,  1357,  1327,  1359,  1319,     0,     0,  1894,   882,     0,
       0,     0,   158,   158,   880,   757,  1301,     0,  1364,  1310,
       0,     0,     0,   975,     0,     0,     0,   977,   433,   453,
     163,     0,   777,   841,     0,     0,   857,     0,   510,     0,
     516,   523,     0,     0,   527,   528,   526,   511,  1215,   559,
    1215,   810,   811,     0,     0,   831,     0,   682,     0,     0,
     482,     0,   529,     0,     0,   486,   182,   181,     0,     0,
       0,   772,   776,   774,   773,   775,   770,     0,   761,   207,
    2574,     0,     0,     0,     0,   617,   611,   614,  1422,   848,
       0,  1893,   751,     0,   388,   631,  3405,     0,     0,   482,
     623,  3404,     0,   487,   492,   493,   506,     0,   598,   589,
       0,   590,   599,   600,     0,   607,  1497,     0,   624,   607,
       0,     0,     0,   871,     0,   872,     0,  1147,  1164,  1165,
       0,     0,  1207,     0,     0,  1209,  1204,     0,     0,   790,
     793,   786,   669,     0,  3413,   158,     0,  1526,  1931,  3855,
       0,  3856,  3857,  3858,  3859,  3860,   158,   158,  1264,     0,
     919,  1067,  1068,  1069,  1066,  1065,   661,     0,  1071,  1030,
    1080,   749,     0,   622,     0,  1031,   158,  1000,   992,   999,
     988,   991,   993,     0,   995,   996,   990,   987,   989,  2325,
    2146,     0,  2391,  2393,  2180,  2404,  2403,  2179,  2410,     0,
       0,  2373,  2401,  2400,     0,     0,  2385,  2385,  2149,  2160,
       0,  2250,  2281,     0,     0,  2101,     0,     0,     0,  2155,
    2831,     0,     0,  2212,  2213,     0,  2209,  2210,  2205,  2206,
    2171,     0,  2628,  2189,     0,     0,  2204,  2064,  2062,  2061,
    2046,     0,     0,  2044,  2040,     0,  2069,  2214,  2247,  2281,
    2216,     0,  1758,  1744,  1743,  1742,  1741,     0,  1831,  1827,
    1829,  1835,     0,  2836,     0,  1836,  1843,     0,  1823,     0,
    1859,  1855,     0,  1856,     0,     0,  1857,     0,     0,  1825,
       0,  1843,     0,  1883,  1752,     0,  2219,  2437,  2219,  3615,
       0,  3618,  3616,  3617,  3621,   252,  1730,     0,  1773,     0,
    3870,  1620,     0,  1621,  1627,     0,     0,     0,     0,     0,
    1663,  1656,  3548,  1162,  1170,     0,     0,     0,   554,   826,
     825,   828,   823,   827,  1537,     0,   700,   701,   704,  1307,
       0,  1368,  1316,     0,  1652,   545,   318,     0,   564,     0,
       0,     0,  1114,   153,  1113,     0,   564,   564,   498,   497,
     506,   326,     0,     0,     0,   320,   398,     0,   400,   321,
     325,   379,   342,   335,     0,     0,     0,  1303,     0,  1366,
    1312,  1339,  1391,  1286,  1350,     0,     0,   891,     0,     0,
       0,     0,  1392,  1287,  1351,     0,     0,     0,     0,     0,
    1652,     0,     0,     0,     0,     0,     0,     0,     0,  1546,
       0,     0,   378,   879,   878,   379,   416,  1330,     0,  2119,
       0,   976,   981,   982,   980,     0,   422,   430,   433,     0,
       0,  1255,  1255,     0,     0,   507,   524,     0,   609,   568,
     609,     0,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   764,   763,   204,
       0,   482,     0,   718,     0,   876,     0,     0,     0,     0,
     484,     0,     0,  3864,   483,     0,     0,   495,     0,   601,
     590,   598,     0,     0,   620,     0,  1490,     0,   626,     0,
       0,     0,   820,  1203,     0,  1217,     0,  1158,  1128,  1212,
       0,  1735,  1886,     0,     0,     0,     0,   803,     0,   673,
    3439,  3443,  1256,  1524,  3863,   909,   911,   756,  1074,     0,
    1087,  1079,   994,  2375,  2409,  2344,  2346,     0,     0,  2367,
    2360,  2363,  2361,  2362,  2364,     0,  2359,     0,  2177,  2408,
    2357,  2371,  2310,  2252,  2098,     0,  2313,  2312,  2316,     0,
    2166,     0,  2167,  2211,  2173,  2190,     0,  2174,  2202,     0,
       0,  2065,  2063,  2048,  2249,     0,  2234,     0,  1879,     0,
    1882,     0,     0,  1833,     0,     0,  1837,     0,     0,  1839,
    1841,     0,     0,     0,     0,     0,     0,  2426,     0,  1803,
       0,  1713,  1712,  3620,  3619,     0,  1733,  2273,  1888,  1635,
       0,     0,     0,  1109,     0,     0,  1636,  1665,  1677,  1677,
    1660,  1075,     0,   158,   696,     0,     0,   297,  1121,     0,
    1215,   570,  2640,   571,  1120,  1124,   152,     0,  1215,  1215,
     494,     0,   324,   334,     0,   381,   393,     0,  1652,     0,
       0,   889,   898,   898,   886,     0,     0,   905,  1289,   760,
       0,   573,     0,   292,  1315,  1309,     0,     0,     0,  1548,
    1549,     0,     0,     0,     0,     0,  1338,   158,  1311,   984,
       0,   455,   463,   434,   438,  1540,     0,  1540,     0,   435,
     439,  1540,  1540,   432,  1886,   451,  1255,     0,  1252,  1251,
     557,   637,     0,     0,   514,     0,   579,   513,     0,   832,
       0,     0,   717,     0,   484,   588,     0,   542,   533,   534,
     535,   536,   538,   537,   539,   540,   541,   531,   530,     0,
     718,   895,   388,  1497,   758,     0,     0,   731,     0,   718,
       0,  1615,   623,   590,   484,   588,  1612,   488,   506,     0,
     605,   598,   601,     0,   602,     0,   606,     0,     0,     0,
     623,  1550,  1108,     0,     0,   821,  1216,  1177,     0,     0,
    1206,  1210,  1211,     0,     0,     0,     0,  1259,   797,   798,
     792,   794,     0,   805,   809,   668,     0,     0,   672,   663,
       0,  3441,   718,   158,     0,     0,  2358,  2365,  2366,     0,
    2187,     0,     0,  2383,     0,     0,     0,  2099,     0,     0,
    2192,  2191,  2203,  2175,  2229,     0,     0,     0,     0,  1915,
    1884,     0,     0,  1878,     0,     0,  1909,     0,     0,     0,
    1844,  1862,     0,  1840,  1838,     0,  1851,     0,  1853,  2516,
    2794,  2696,     0,  1790,  1792,  1795,  1797,  1796,  1798,  1794,
    2218,  2220,     0,     0,     0,     0,  1724,     0,  1633,  1886,
       0,  1630,     0,  1672,     0,  1664,  1666,     0,     0,     0,
    1094,     0,  1095,  1317,     0,  1115,     0,   609,     0,  1127,
    1124,   559,   609,   609,   637,     0,     0,   337,     0,   305,
    1313,     0,     0,   900,   900,     0,     0,     0,     0,     0,
       0,   410,     0,     0,  1542,     0,  1543,  1544,  1547,   418,
     431,     0,   461,   460,     0,   458,   457,   459,     0,   448,
       0,     0,     0,     0,     0,     0,   421,  1250,  1254,  1253,
       0,   515,     0,   517,     0,     0,   565,   566,   567,     0,
     519,   575,   576,   829,     0,   834,     0,   720,     0,     0,
     718,   587,   742,     0,     0,     0,  1491,     0,     0,   612,
     752,  1497,   623,  3406,   598,     0,   590,   496,     0,   607,
     601,   605,   603,   604,     0,  1494,     0,   625,     0,  1117,
     819,     0,  1207,  1218,  1213,  1208,  1453,     0,     0,   795,
     800,   799,  1540,   804,     0,     0,     0,   671,   670,  3444,
    3446,  3445,     0,   746,  1032,  2347,  2348,  2372,     0,     0,
       0,  2351,     0,  2349,     0,     0,  2371,     0,  2188,  2309,
    2195,  2168,  2193,  2782,     0,  2754,     0,  2246,  2235,  2246,
    2246,  2226,     0,  2345,  1877,  1880,     0,  1912,     0,     0,
       0,     0,  1897,     0,  1842,     0,     0,  1852,     0,     0,
       0,  1799,     0,     0,     0,     0,     0,     0,  1622,  1632,
    1110,     0,  1674,  1676,     0,     0,     0,  1652,     0,   574,
       0,  1111,  1127,   568,   821,   821,   331,   322,   380,     0,
       0,     0,   896,   899,   887,   888,   907,   906,   762,  1652,
       0,   406,   405,     0,   409,     0,   456,   466,     0,   464,
     436,   441,     0,   447,   446,   443,   442,   437,   440,   556,
       0,     0,     0,     0,     0,     0,   577,     0,   578,     0,
     833,     0,     0,     0,   744,   894,     0,     0,   482,   718,
    1492,  3864,   601,   590,   598,     0,     0,   592,  1121,  1121,
     469,   605,   607,  1495,  1496,     0,     0,   522,     0,  1129,
    1452,  1451,  1735,     0,     0,     0,   806,   807,   802,     0,
       0,  3442,  2352,     0,  2355,     0,  2356,  2350,  2380,  2382,
       0,  2368,  2369,     0,  2239,  2238,  2237,  2241,  2240,     0,
    2233,  2231,  2232,  1914,     0,     0,     0,  1910,  1911,  1895,
       0,     0,  1899,  1849,  1875,     0,     0,     0,  1793,  2221,
    2222,     0,     0,     0,  1886,     0,  1679,     0,     0,  1667,
    1668,     0,     0,  1669,   158,   298,   563,   821,   572,  1112,
     579,   548,   546,  1652,   890,     0,   293,     0,   411,  1545,
     462,     0,   445,   444,   636,   518,   608,   584,     0,   583,
       0,   581,   580,   830,   835,     0,   718,   884,  1497,   732,
    1613,   605,   598,   601,     0,   591,     0,   153,   153,   607,
     467,     0,     0,   388,     0,  1435,  1735,  1434,  1436,  1444,
    1441,  1443,  1442,  1440,     0,  1262,  1263,   796,   801,     0,
       0,  2353,  2354,     0,     0,  2186,     0,     0,     0,  2243,
       0,  2244,     0,  1881,     0,  1898,  1901,     0,     0,  1907,
       0,  1900,  1902,     0,     0,  1861,     0,  1873,  1801,     0,
    1800,     0,     0,     0,  1629,  1673,  1675,  1670,     0,  1671,
       0,     0,     0,     0,  1680,  1096,   550,   821,   306,   897,
       0,   465,   582,   559,   559,   718,   743,  1493,   607,   601,
     605,  1121,   593,   595,   594,   471,  1117,  1118,     0,   607,
     809,     0,  1445,  1439,  1711,  1698,     0,     0,   808,     0,
       0,     0,     0,  2236,  2242,  2245,     0,     0,  1905,  1906,
    1908,  1903,  1904,  1848,     0,  1802,     0,     0,     0,     0,
    1678,  1684,     0,     0,     0,   551,     0,   586,   585,   745,
     470,   605,   607,   153,   522,  1116,     0,  1886,     0,  1437,
    1735,     0,     0,   814,  2379,  2381,  2370,  2621,     0,  1916,
       0,     0,     0,  1729,  1728,  2798,     0,     0,  1732,     0,
       0,     0,   407,   607,   468,   596,   388,  1119,  1103,     0,
    1438,     0,     0,     0,   812,   815,   818,   816,   817,  1924,
       0,  2373,     0,     0,  1927,     0,  1874,     0,     0,  1681,
    1685,     0,  1682,   472,   607,     0,     0,     0,   780,     0,
       0,     0,  1917,  1918,  1927,     0,  2357,  1927,  1896,  1758,
       0,     0,  1886,     0,     0,     0,   813,     0,     0,  1913,
    2373,  1926,  2383,  2357,     0,     0,     0,  1104,   814,  1260,
    1261,     0,     0,  1921,  2371,  2383,     0,  1731,  1683,     0,
       0,     0,  1919,  2371,   781,     0,  1922,  1920,     0,  1923
};

  /* YYPGOTO[NTERM-NUM].  */
static const int yypgoto[] =
{
   -6254, -6254,  5146,  -657, -2107, -5691, -1558,  6056, -6254, -6254,
   -1331, -1703,  3235, -1371, -6254, -6254, -6254,  -799, -6254, -6254,
   -6254, -6254,  4099, -6254, -3462, -6254, -6254,   107,  4045, -1807,
      80,  3572,  1474, -6254, -1415, -6254, -6254, -1006,   -72, -6254,
    4048,   371, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -1219,  1980, -6254,  2075,  1288, -4670, -6254, -6254, -2050, -4345,
   -6254,   508, -6254,   536, -4672, -6254, -5379, -1226, -6254, -6254,
   -6254,  1965, -6254, -6254, -6254,  1912,  1078,  -562, -6254, -6254,
   -6254, -6254, -6254, -6254, -1034, -6254, -6254, -1353,   -64, -1019,
   -3487, -4818, -6254, -6254,   355,  -600, -2004, -6254,   553, -6254,
     554, -6254, -5398, -6254,  -168, -3286, -2770, -6254, -6254, -6254,
    -559, -2028,  1338, -6254,  1402, -6254, -1070, -1495,  1766, -2707,
   -1167, -6254,  -452, -4112, -1311, -1032, -1030, -1202, -4908, -5432,
   -6254, -6254, -1343, -4366, -5788, -6009, -5511, -5441,  1345, -6254,
    -190,   370, -6254, -4153, -4940,   -60,   347, -6254,   -58,   -54,
   -6254,   360,  -963, -1380, -2109, -6254,  -691, -6254, -6254, -6254,
   -3982, -6254, -6254, -6254,    93, -6254, -6254, -6254, -6254,   407,
   -6254, -6254, -6254, -6254, -6254, -6254, -3660,  1948,  1949, -6254,
   -4945, -6254, -1336, -6254,   570, -4019,  1325, -6254, -6254,  1084,
    4121,   388, -6254, -6254, -6254, -6254, -6254, -6254, -2225, -6254,
   -6254, -6254, -6254,  -172,  -537, -6254, -6254, -6254, -6254, -6254,
   -6254, -6254,   -53, -6254,  1041,   331, -6254, -6254,  -844, -6254,
   -6254, -6254, -6254, -6254, -6254, -1410, -5770, -1553, -1517, -6254,
   -4035, -6254, -6254, -6254,  -509, -6254, -6254, -6254, -6254, -6254,
   -1384, -6254,  1140, -4684, -6254, -6254,   368, -6254, -6254, -6254,
   -6254, -6254, -1181,  -450,  3250, -6254,  -703,  -942, -6254, -6254,
   -6254,  -448, -6254, -6254, -6254, -6254, -6254,  -817, -1642,  5424,
    4535, -1562,  6353, -1282,  -882, -6254, -6254, -6254, -3258, -6254,
   -6254, -4851, -6254,  5413,   138,  -464,   -51, -6254,  -116,   -17,
    3879, -6254,   980, -1634, -3691,   308,  -660, -6254, -6254, -6254,
     309, -6254, -2456, -6254, -6254, -6254, -6254, -4659,   -49, -6254,
   -4932, -5774, -5188, -4745, -1379, -6254, -4949, -4888, -4631, -6254,
    1971, -6254, -6254,  -887,  -948,  3222, -6254, -1989,  2319, -1948,
   -6254, -3117,   386,  1490,  3228, -3756,  -859,  3214, -3535, -6254,
   -1002,  1068, -6254,  -538, -4318, -6254, -6254, -6254, -3360,  -794,
   -6254, -6254,  1470,  -128, -6254, -6254, -6254, -6254,  -999,  3160,
    -934, -6254, -6254,  4493, -6254, -4793, -6254,  4477, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254, -6254, -1990,  1241, -6254,
   -1205, -6254, -6254,  2076,   592, -6254, -6254, -6254, -6254,  1328,
    -206, -6254, -6254, -6254, -6254, -6254, -6254, -6254, -1168, -1414,
   -6254, -6254, -6253, -6254, -6254, -6254, -6254, -6254,  2580, -1355,
   -1128,  4335,  -497,   -46, -5994, -6254, -6254,  -865, -6254,  3547,
   -6254, -6254, -6254, -6254, -6254,   374,   377, -6254, -6254, -6254,
   -6254, -4325, -6254, -6254, -5545, -6254, -6254,  2053, -6254, -6254,
    1499,   -70,  3343, -6254, -6254, -6254,   -88, -6254, -6254, -1423,
    2439, -6254, -2823, -6254,  -913, -6254, -6254, -2383,   -44, -4901,
     -67, -6254, -6254, -5660, -1329,   151, -6254, -6254, -4629,   -61,
   -6254, -6254, -6254, -6254, -5663, -6254,   -59, -5466,   749, -3834,
   -6254,   -71, -6254,  -615, -6254, -6254,  -616, -6254, -6254, -6254,
   -4409,   -42,   188,  3972,  1882,    43,   505,  -157,   -83,   -78,
     -63,   100,  3706, -6254, -6254, -6254, -5313,  3746, -6254,  -101,
   -1225, -6254, -6254, -1269,  -246,   312,  1604,  -959,  2421,  3689,
    3696, -6254,  1601,  2455, -2873, -2872, -6254,   830, -1175, -1028,
   -6254, -6254, -6254, -6254,   200,  -955,  2438, -6254,  3690, -6254,
   -6254, -6254, -2798, -3906, -3871,   854, -4507, -4399, -6254,   240,
     225, -1974,  -557,  -143, -1932, -1178,  1586, -6254, -6254,   866,
    -785, -6254, -6254,  -779, -3877,   795, -6254, -5580, -3304,   873,
   -1364, -1142, -6254, -1252, -6254,  -985,   882, -6254, -5080, -1385,
   -6254, -4099,  -597, -2171, -1512, -6254, -6254, -1482, 20096, -6254,
   -6254, -6254, 20519, 24036, -6254, -6254, 30723, 32583, -6254, -1218,
   32663, 15610, -1490, -1472, -1195, 33800, 35817, -2057,  1789,    -3,
   -6254, -3488, -3063, -6254, -6254, -6254,  -499,   945,   457, -6254,
   -6254, -5598, -4997, -6254,  2592,  -244, -6254,  -987,  1715,  -986,
   -6254, -6254, -6254, -2928, -5356, -3074,  2598, -6254, -6254, -6254,
    -906, -6254, 36836, -3726, -6254, -1116, -1416, -2076,  3108, -3274,
   -2367, -6254, -6254, -6254, -3615, -6254, -6254, -6254,  -845,  1738,
   -6254, -6254,  1870, -6254, -6254, -6254, -1381,  2144, -1174, -3605,
    1747, -5057, -6254,  -712, -4622, -5561, -6254, -6184, -5344, -2372,
   -1361, -3525, -4480, -2451,  1761, -3624, -6254, -2417,  1842,  1040,
   -6254,   392, -6254, -6254, -1171,  2612, -1189, 35951,  -950, 24122,
   -1771, -6254,  7521, -4695,  5921,   -82,  -825,   183,  -867,  -843,
   -6254,  9387, 10782,  8286, -4192, -6254, -6254, -6254,   -41, -6254,
   -6254, -6254, -6254,  4987,  1176, -6254,  4157, -6254,  2045,  3351,
   -6254, -6254,  2493,  -983,    17, -6254,  -899, -6254,   -77, -6254,
   -6254, -6254, -6254,   395,   947, -1000,  5567, -6254, -6254, -6254,
   -6254, -6254, -6254,  3761, -6254, -6254, -1680, -6254, -6254, -6254,
   -6254, -6254,  5395,  -272, -6254,  4592,  -269, -6254, -6254, -6254,
   -6254, -6254, -6254, -6254, -6254, -6254,  3771,  2513, -6254,  4381,
   -6254, -6254, -6254,    96,  4005, -6254, -6254, -6254,  -646,  -947,
    4402,  4406,  2501, -6254, -6254, -6254, -6254, -6254, -6254, -6254,
   -6254,  2511, -6254, -6254,  1753, -2972,  2512, -6254, -6254,   877,
   -6254, -6254,   306, -6254,   878, -6254,  3919, -6254, -6254, -6254,
     914, -6254, -6254, -6254,  -516, 27388,   -40,   -13,   -65,   464,
   -6254, 18787, 13035,    58,  -940, 13697, 31354,   -81, -6254,  5387,
    2514,  2004, -1151, -6254,   428,  3260, 25505, -6254, -1149,    33,
      -2, -1140,  2796,  -742, -1337,  4112,  -791, -2364, -6254,  5727,
   -6254, -4215, -5752, -1223,  -179,  4578, -1366
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   163,   164,  1496,  1501,  2329,  2355,   165,   166,
    2133,  3569,  3422,  4419,  4420,   167,   168,  2129,   169,   170,
     171,   172,  2047,   173,  2301,  3583,   174,  3257,  1232,  1233,
    1234,  3110,  3111,  3514,  3112,  3099,  1867,  2247,  2069,  1197,
    1198,  2028,  2070,   176,   177,  1861,  3091,   178,   179,   180,
    2100,  2190,  2101,  2102,  2041,  5617,  6477,  4205,  3379,  4471,
    4206,  4207,  4925,  4926,  4285,  4954,  5016,  6491,  6492,   181,
    2206,  2207,   182,   183,  3551,  4385,  5069,  6026,  6027,  6283,
    1015,  5640,  5641,  6270,  6271,  6506,  6688,  6689,  3584,  1046,
    4466,  5153,  4410,  5712,  4411,  5713,  4412,  5714,  5507,  5508,
    4915,  4916,  4396,  5100,  5101,  2564,  5653,  5102,  4413,  5672,
    6317,  4414,  3345,  3272,  3273,  6521,  3618,  2476,  2474,  6220,
    6296,  5493,  5494,  4990,  6530,  6531,  6532,  6831,  5674,  5718,
    5719,  6726,  6727,  4469,  5159,  5725,  6084,  6294,  4163,   185,
    4439,  4440,   186,  2323,  4592,  1129,  3621,  1047,  1130,  3585,
     190,  3611,  6523,  3612,  2159,  3436,  5082,  4568,   191,  1524,
    4879,  6109,  6378,  6379,  1114,   192,  2309,   193,   194,  3564,
    4403,   195,  3290,  4111,   196,   197,  4130,  4131,  4132,   198,
    5110,  6045,  2103,  4194,  4195,  4196,  4197,  4946,   199,  2304,
    3592,  3593,   200,   201,   202,  3758,  3759,   203,  3500,   204,
     205,   206,   207,  4984,  5574,  5688,  4236,  4426,  5126,  5686,
     208,  4389,  3586,  3639,  4504,  4505,  6107,  6370,  6371,  6372,
    6582,  6867,  6374,  6584,  6748,  6586,  5663,  7023,  7024,  6355,
    4868,  5471,   210,  5664,  5665,  6536,   211,  3288,   212,   213,
    2278,  3557,  3558,  5083,  3628,  4478,  4479,  5139,  5140,   214,
    4325,   215,  5550,  5551,  1048,  6544,  6483,  6674,   216,   217,
    5554,  5555,   218,   219,   220,   221,   222,  1115,  1459,  1460,
    1117,  1628,  1629,  4071,  1572,   223,  3122,   224,  4365,   225,
    1728,  5788,   226,  1154,  1655,  1656,  3587,   228,  1166,  3778,
    1168,  3742,  3743,  2492,  4572,  4573,  5243,   229,   230,  4576,
    4577,  5250,  3755,   231,  2034,  3267,  3268,  5463,  3588,  1049,
    4157,  6202,  5952,  6203,  6737,  6938,  5953,  3995,  4814,   233,
    1050,  2075,  3329,  1596,  1597,  3632,  4484,  3235,  3236,  2230,
    5180,  3238,  4486,  3239,  2007,  3240,  1543,  1544,  4492,  4493,
    4494,  4495,  5176,  5186,  5187,  6101,  6363,  5183,  2297,  6095,
    6096,   234,  2072,  3326,   235,   236,   237,  2112,  1382,  1606,
    1607,   238,  1076,  1077,   239,  6288,   240,  1546,   241,  6105,
     242,   243,  1713,  1714,  1187,   244,   245,  3349,  4928,   246,
    2073,   247,   248,  4230,  4231,  5566,   249,   250,   251,  3408,
    3409,   252,   253,   254,   255,   256,  6857,  6941,  6942,  6943,
    5194,  6742,   257,  1699,   258,   259,   260,   261,   994,  1424,
    1425,  1426,  1343,  3589,  6086,   263,   264,  2029,  2030,  2031,
    2032,  3262,   265,   266,   267,  4516,  4517,   268,   269,   270,
     271,  2281,   272,   273,  6261,   274,   275,  2251,   276,   277,
    1433,  1434,  1435,  1436,  2249,  3983,  1009,  1253,  1894,  1900,
    1904,  1905,  1906,   279,  1132,   280,  1704,  1464,  1133,  1648,
    1134,  3181,  4025,  4829,  4830,  4831,  4834,  5917,  5435,  1135,
    4021,   284,  2499,  3764,  3767,  4017,  1136,  4031,  4032,  4033,
    4838,  1137,  6206,  6207,  6208,  6209,  6458,  6799,  6800,  6803,
    6914,  1138,  1156,  1535,  3647,  1139,  1813,   290,   291,   292,
    1262,  1256,  1257,  3988,  6196,  6446,   294,  3068,  3957,  1176,
    1910,  1216,  1217,  1270,  3524,  3147,  3148,  3172,  3173,  1919,
    1920,  3160,  3164,  3165,  4007,  4001,  3153,  5417,  6433,  6434,
    6435,  6436,  6437,  6438,  5896,  3168,  3169,  1922,  1923,  1924,
    3177,   295,  3961,  4768,  4769,  4770,  5393,  5394,  6895,  5408,
    5404,  5881,  6179,  4771,  1243,  1693,  1931,  5889,  6897,  4772,
    6168,  6169,  6413,  5413,  4778,  4825,  4454,  4455,  4456,  4773,
    6631,  6632,  6891,  6892,  6415,  6416,  4774,  6623,  6998,  6999,
    7030,  7056,  3241,  2385,  1574,  1814,  1575,  2393,  1815,  2369,
    1577,  1816,  1817,  1818,  1580,  1819,  1820,  1821,  1583,  2361,
    1822,  1823,  2379,   950,   951,  1824,  1895,  6417,  1826,  1827,
    1828,  4775,  1829,  5346,  5845,  5831,  3879,  3880,  3107,  6160,
    5342,  4703,  5336,  3061,  3065,  6191,  6440,  6441,  3950,  4752,
    5373,  5862,  6408,  6617,  6618,  6770,  1830,  1831,  1832,  3942,
    3054,  1385,  1833,  5085,  3056,  3870,  3848,  2233,  3849,  2506,
    2527,  3797,  3812,  3813,  3918,  3850,  3858,  3863,  3871,  3904,
    1834,  3799,  3800,  4614,  2529,  1835,  1430,  2236,  1431,  3076,
    3899,  5811,  6125,  6126,  6393,  6394,  6136,  6395,  6137,  6127,
    4625,  4626,  6606,  3824,  3919,  4629,  3832,  3833,  4647,  4636,
    3825,  1836,  4638,  1851,  1837,  1838,  2493,  1244,  6175,   825,
    2238,  1173,  1839,  1840,  1841,  1339,   746,  1599,  1600,   748,
    3057,   809,   810,   997,   924,  3058,     2,    70,  1140,  4463,
    6069,   297,   298,  1052,  1053,  1054,  1526,  1527,  2339,  2342,
    1946,  3200,   752,   753,   826,  5754,  6110,  6381,  1123,   299,
     300,   301,   302,   303,  1340,  2000,   952,    71,    79,    72,
    1296,   337,   338,  3193,   304,   942,   305,  1934,  1285,  4844,
     306,   307,   308,   309,   310,  1120,   311,  1287,   312,  1288,
     313,   314,   315,   316,  1295,   317,  1936,  1937,  5450,  1938,
     318,   319,   812,   813,  1646,   320,   321,  1312,  2443,  1314,
    1675,  1952,  1966,  1967,  1968,   322,   760,   323,   324,   325,
    1958,  1959,   326,  3084,  3085,  3205,  3086,   327,  4044,  4045,
     328,  4796,  4797,  5902,  4798,   329,  3080,   330,   331,  1247,
    4849,   332,   938,   333,  1326,   814,   815,   816,   999,   928,
    1202,   817,  1001,  4198,   930,   818,   819,   820,  2468,    73,
    4052,  2469,  1843,   827,  1844,  3074,  1845,  1846,  1847,  1848,
    1849,  1850,   822,  1302,  1638,  1639,  4053,  1641,    77,  1642,
     334,  4533,  2444,  1676,  3708,  2454,  2455
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      75,   175,   286,   278,  1925,  1261,   282,   932,  1242,   184,
     293,  2232,   283,   187,   285,   188,  1884,  1356,  2158,   189,
     209,  2246,   227,   927,   232,  1389,  1207,   262,  1394,   281,
    1490,   287,   296,  1862,  1282,    74,  1383,  1283,  1063,  2401,
    1069,   932,  1911,  1158,  1913,  1271,  1852,  3373,   925,  3449,
    2240,  1158,  1246,  3344,  1131,  2375,  4162,   927,  3237,  1183,
    1204,   293,  3780,  2163,  1384,  2013,  1204,  1204,  1890,  1537,
    2224,  1889,  2365,  2366,   932,   926,  3705,  3343,  2306,   756,
    2381,  4409,   925,  2374,  2211,  3330,  1310,  2517,  4594,  4780,
     927,  3606,  3831,  1684,  1685,  1686,  3356,  1344,  4496,  1690,
     811,  1876,  5138,   995,  4290,  1649,  2291,  4442,  5164,   926,
    1167,  3967,  1056,  2391,  4823,   925,   288,  1078,  4431,  4064,
    4066,   811,  2315,  1384,  3771,  1208,  3237,  3835,  4913,  1174,
    4917,  1055,  1062,  4991,  1068,  1988,  1990,  1991,  1896,  1690,
    1062,  1360,   926,  3479,  3480,  2279,   929,  4885,  2509,  2284,
    1392,  3518,  2511,  1062,  2288,  2512,  2513,  4836,  3796,  2104,
    1969,  5495,  1971,  2298,  1414,  1437,  1631,  3819,  3823,  3826,
    3827,  1974,  4941,  3836,  4943,  3838,  3839,  2318,  5189,  2157,
     929,  5426,  4322,  1313,  2122,  2076,  2473,  1384,  2189,  2139,
    1265,  3410,  3410,  1458,   991,  3410,  4837,  3475,  2216,  5702,
     992,  3695,  1485,  5086,  3661,  5441,  5465,  1674,  1494,  1610,
    1273,  5711,  1614,   929,  1651,  1274,  4428,  2359,  6088,  1869,
    1508,  1196,  3625,  5728,  3507,   175,   286,   278,  1239,  1622,
     282,  1612,  1538,   184,   293,  5732,   283,   187,   285,   188,
    5816,  3247,  5817,   189,   209,  1625,   227,  5721,   232,  5710,
    6135,   262,  6200,   281,  1231,   287,   296,  3321,  1338,  3194,
    3194,  1259,  6225,  1155,   747,  5407,  1889,  5534,  4812,  2365,
    2366,  1155,   824,  6300,   829,  4368,  6172,  4371,  4372,  3966,
    4711,  6217,  4376,  4377,  4378,  1437,  4380,  4381,  4382,  6081,
    4010,  6340,  6049,  4013,  5671,  4734,  1006,  4631,  2460,  4731,
    2374,  3981,  2439,  2381,  4853,  1066,  2392,  1891,  5148,  5954,
    6184,  1918,  6186,  3321,  5212,  1921,  1530,  6353,  6077,  3989,
    4848,  6336,  1305,  1948,  1949,  3082, -1994, -2430,  1640,  6546,
    3321,  6559,  5589,  1961,  2362,  2363,  5720,  6253,  5836,   340,
     288,  6080,    39,  1437,    38,    39,  2373,  1730,  1731,  6602,
      40, -1953, -1966,  4667,  2071, -3719,  1301,  2352, -3720, -1986,
   -3717,  1951,  1954,  3410, -3719, -3719,  2314, -3720, -3720, -3717,
   -3717,  1013,  5405,  1338,  5410,  5411,  2043, -1991,  3486, -3716,
   -2011, -1981,  1538,    39,  3489,  6753,    39,  2071, -3716, -3716,
     340,    39,  2071, -2847,   340,    38,    39, -2429,  1730,  1731,
    2271,    40, -2847, -2847,    39,  3301,  3776,  3347,    39,  1437,
    5790,  5791,  5792,    87,  5794,  5795,  5796,  5797,  5798,    88,
      89,  1437,  6760,  4667,  1327,  2445,    92,    93,  2585,  4842,
    4633,   340,    94,  6755,   993,   340,    38,    39,  3897,  4644,
      38,    95,    40,    96,  1702,    97,    40,  4349,  3347,  1961,
    3120,    99,  4125,  2466,  4201,  5190,  1866, -2256,    39,  1722,
    3127,  5103,  6263,  6264, -2256, -1994,   939,  3549,   940,    39,
    6103,  4886,  2293,  6598,   336,   758,    39,  1855,  4881,    39,
    5174,   340,  4387,   340,  3144,  5247,  5735,  5547,  1573,  6859,
    1338,  2044,    40,  3129,    40,  5915,  4211,  6400,  3567,  2258,
    5669,  3855,  2352,  2263,  2585,  2264,  2352,  6405,  2240,   754,
     340,  1342,  4202, -2620,  1573,  1463,  2262,  3636,  2352,  1420,
    2352,  2224,  2362,  2363,  6599,  3466,  2563,  2093,  5951, -1787,
    3897,  2442,  4443,  2344,  3872,  4596,  3127,  3572,  2352,  2160,
    3637,  6216,  6252,  3945,  1384,  2043,  5191,  6639,  5552,  2352,
    1509,  4126,  6732,  1159,  6561,  3756,  3151,  6720,  1214,  2373,
    3581,  1159,  6230,  5960,  1879,  2056,   116,  4234,  3089,  3129,
      87,  3073,  3352,  4086,  3353,  6479,    88,    89,   289,  2352,
    2296,  2161,  2253,    92,    93,  6580,  1121,  1510,  2296,    94,
    6482,   953,  3347,  1538,  2134,  3578,   122,  3374,    95,  6297,
      96,  4284,    97,  6859,  3473,  6427,  6989,     3,    99,  6990,
    3347,  1914,  3374,  2208,  3069,  3608,  2212,   126,  5548,  1248,
     340,  1635,  5010,  1421,  3347,  1511,  4243,  4203,  3069,   289,
    3939, -2275,  3433,  5248,  2432,  6581,   954,  3940, -2275,  2580,
    3354,  1880,  3090,  4320,  3582,    35,   340,  4235,  6341,    37,
    -163,    38,    39,  1719,  3760,  -163,  3757,    40,  3116,  3117,
    2044,  -163,  3573,  3492,  1215,  4087,  2353,  1260,  3072,   129,
    1329,  3152,  6406,  1283,  2105,  1512,  2399,  2399,  2538,  5553,
    1661,  3960,  1308,  1309,  1666,  1667,  1668,  3347,  3347,  1422,
    4399,  3873,  1056,  3946,  1679,  2240,  2579,  2162,  4161,  1916,
    2503,  1517,  3568,  6407,  5670,  3347,  4634,  3638,  2277,  4388,
   -1787,  1055,  1674,  5135,  1726,  4645,  1075,  1674,  6401,  6328,
    5916,  2522,  6849,   116,  5192,  4212,  3121,  1251,  2276,  5549,
    2585,   759,  5075,  1299,  3753,  3278,  3550,  6859,  4129,  6104,
    2449,  2409,  3753,  3416,  4886,  2248,  3753,  1732,   135,  3452,
    4667,  1423,  2045,   122, -3721, -3721, -3721,  4667,  6703,  5086,
    4364,  5932,  3127,   953,  4882,  4781,  3097,  4995,  4782,  4783,
    6073,  6291,  6731,  3506,   126,  5249,  1062,  1062,  5680,  4784,
    4785,  4786, -2620,  4787,  4788,  -454,  3761,  5568,  4789,  4790,
    4791,  5104,   941,  3467,  3468,  3129,  5067,  5068,  1272,  5193,
    1703,  4720,   289,  1962,  4400,  4204,  6603,  3487,   954,  3516,
    3517,  2353,  1983,  3490,  4134,  2353,  3187,  5921,  1689,  5729,
    2046,  2494,  3444,  4350,  3898,  3447,   129,  2353,  3454,  2353,
    2354,  3306,  6928,  2360,  2376,  2377,  3375,  5961,  2508, -2256,
    6153,  1407,  6754,  1306,  6927,  1301,  2438,  2353,  5970,  2257,
    1014,  3375,  1428,  2378, -2430,  2518,  1429,   932,  2353, -2620,
    2266,  2277,  3083,  1963,  1964,  3095,  3697,  1561,  3515,  4682,
    1957, -2620,   150,   927,  5576,  5501,  2274,  5407,  2364,  2368,
    5580,  3792, -3719,  5175,  1538, -3720, -1986, -3717,  2353,  3388,
    6756,  2498,  3668,   152,  1689,  5390,  6600,  4443,   925,  1307,
    7092,  6554,  3098,  3389, -1991,   135, -3716,  2539, -1981,  7097,
    3673,   155,  3577,  2582,  1963,  1964,  4738,  3736,  3070,  1962,
   -2847,  6982,  1725,  2467, -2429,   926,   159,  5005,  5006,  3751,
    6601,  3972,  5007,  2223,  6841,  7037,  4679,  4680,  4681,  4682,
    6557,  4792,  6122,  1468,  3053,  4635,  4855,  1465,  4856,  3140,
    6685,   293,  2111,  1466,  4646,  1467,  5900,  4443,  3474,  1336,
    1337,  6851,  3446,  3523,  3201,  4443,  3178,  6910,  5129,  6840,
    3179,  1261,  7013,  2376,  2377,  2382,  5011,  3726,  5086,  2396,
    6870,  1428,  1341,  1532,  5868,  1429,  5870,  5871,  4039,  3603,
    4219,  2407,  2380,  2429,  6805,  5681,  1318,  4800,  3192,  5761,
    5762,  5763,  5764,  5765,  3753,  1152,  1153,  1152,  1153,  1462,
    3376,  2432,  3941, -2275,  3762,  4401,  6816,  3050,  3051,  3052,
    3053,  4038,  2399,  5295,  5296,  3376,  6659,  1926,  1538,   150,
    6465,  6664,  6665,  1692,  1146,  3763,  1538,  1538,  5643,  4612,
    4839,  3377,  5300,  1653,  3220,  4051,  6775,  4673,  6730,  4055,
     152,  7054,  5242,  5048,  5481,  6930,  3377,  1469,  1147,  1654,
    1522,  1660,  3493,  1665,   293,  4721,  3378,  5127,   155,  1669,
    3325,  5539,  5136,  1539,  1078,  1301,  5148,  1062,  5136, -2559,
    1878,  3378,  1252,   159,  2277,  1070,  2399,  3716,  2277,  3279,
    5642,  5682,  3494,  3719,  5245,  1660,  1665,  1341,  5242,  1146,
    2439,  5455,  6704,  1692,  4793,  5281,  2505,  3372,  5358,  4402,
    6292,  3888,  5933,  2295,  4105,  5062,  3397,    75,  6327,  3325,
    6796, -1925,  3372,  1147,  6724,  2195,  4010,  3830,  4817,  5639,
   -1953,  6797,  2497,    35,    39,  1930,  3325,    37,  5184,  1645,
    2131,  6981,  1204,  1062, -2599,  4041,  1204,  3066,  1354,  1361,
    6918,  4722,    74,  3658,  3659,  1672,  6933,  6934,  1393,  6712,
    4806,  3259,  1481,  1723,  2132,  1593,  1672,  4794,  2196,  6911,
    1336,  1337,  1415,  3335,  -163,  -163,  6723,  3737,  6003,  1273,
    1701,  1315,  5683,  3100,  1274,  6794,  1672,  4644,  3113,  3113,
    2450,  3269,  1950,  2452,  3604,  2352,  2456,  4818,  2458,  2240,
    6876,  2461,  6004,  1275,  5495,  2465,  1275,   925,  1724,  1384,
     747,  3270,  2050, -1953,  1341,  1941,   747,  5752,  1856,  3357,
    3707,  6850,  1868,  1539,  1870,  4251,  7055,  5439,   747,  5696,
    3300,  5117,  5661,  4840,   926,  4633,  1301,  3395,   811,  6289,
    4723,  3048,  3049,  3050,  3051,  3052,  3053,  2123,  3655,  7045,
    5833,  6972,  6333,  5567,  4903,  3619,  6387,  6763, -3721, -3721,
   -3721,  4677,  4678,  4679,  4680,  4681,  4682,  1989,  4677,  4678,
    4679,  4680,  4681,  4682,  3339,   934,  3364,  2027,  5084,  3374,
    4252,  1658,  6765,  1663,  4795,   935,  6957, -3438,  4063, -1699,
    6236,  6842,  7015,  3615,  1276,  1908,  2310,  1276,  2035,  3748,
    3749,  6235,  1953,  4125,   756,   756,  3280,   339,  3222,  1973,
    3754,  2131,  3365,  1650,  4135,  1694,  1696,  1859,  2001,  2221,
    3616,  2200,  1204,  1204,  6912,  5014,  1010,  2201, -2559,   340,
    1865,  1659,  4154,  1664,  1873,  2132,   828,  6469,  6935,  2311,
      40,  4306,  4253,  1678,  1972,  6267,  1277,  4307,   932,  1879,
      35,  1672,  6079,  3374,    37,  1897,  2399,    39, -1521,  6067,
    5684,  3308,  2124,  2197,   927,  1695,  1697,  5834,  6173,  1997,
    1998,  3315,  5181, -1699,  3605,  6542,  5015,  1159,  4819,  3374,
    6913,  7061,  3396,  3798,  6550,  1683,  1268,  4651,   947,   925,
     936,  1071,  6553, -2599, -2559,  1146,  4220,  6539,  1341,  1437,
    5662,  1909,  4126,  2580,  1673,  4624, -1786, -1953,  3793,  3795,
    6567,  3271,  4969,  2036,  3560,  3802,   926,  6980,  5496,  1147,
    6568,  3816,  3817,  5118,  6098,  5787,  1880,  6556,  6987,  6864,
    6552,  5928,  2296,  3840,  1539,  5685,  2202,  6593,  1719,  4500,
   -2623,  1673,  6970,  3860,  3341,  1316,  4359,  7029,  3675,  3875,
    6766,  4106,  1072,  4582,  3434,  5945,  4308,  3437,  3438, -2599,
    5185,  3067,  3738,  4645,  6798,  4254,  3806,  2498,  1355,  1341,
    6135,  7014,  4429,  3685,  5088,  2198,  6878,  4075,  3281,  1942,
    3067,  3699,  1482,  1196,  2181,  1594,  6538,  2239,  3657,   747,
     747,  6005,  1159,  6517,  1073,  3650,  1074,  4584, -1699,  1719,
    1384,  1384,  7043,  3449,  2353,  2222,  1674,  2584,  3674,  6135,
    2585,  4634,  1674,  4040,  3393,  4040,  6555,  3321,  3375,   289,
    6388,  6953,  5091,  3687,  3617,  5878,  3689,  4970,  3735,  5882,
    4501,  3676,  3740,  7062,  2312,  3713, -3438,  3747,  2002,   937,
    3750,  3693,  3127,  6864,  3807,  3688,  2125,  1278,    87, -3721,
    1278,  1673, -3467,  6461,    88,    89,  3358,  3846,  3694,  6879,
    2418,    92,    93,  4919, -1699,  3342,  6774,    94,  3537,  1159,
    3359,  1159,  3360,  1159,  3282,  3129,    95,  6455,    96,  1159,
      97,    98,  6662,  5093,   335,  6827,    99, -1786,  2126,  4129,
     293,  1146,  3375,  1680,  3739,  6714,  4255,  2037,  3745,  3746,
    1311,  7041, -3438,  2419,  4256,  1159,  1159,  4257,  3522,  1159,
    5920,  6526,  6721,  1266,  3374,  1147, -1953,  2337,  3375,  3495,
    2203,  3374,  3808,  2127, -1953,  3809,  2364, -1953,  2012, -1953,
    4663,  3895,   289,  1260,    75,    75, -2664,    75,  3361,  2038,
    4309,  6451,  4485,  3316,  3476,  5742,  2313,  4717,  4442,  6046,
    1384,  -716,  6478,  2328,  3962,  1261,  5255,  3532,  1367,    35,
    3269,  6880,  2204,    37,  1268,  1368,  1369,  1370,  3543,    74,
      74,  6376,    74,  3511,  2039,  6030,  5429,  6864,  4920,  3237,
   -1699,  1267,  4310,  3237,  3561,  1064,  3512,  7051,  6905, -2623,
    3374,  2240,  3376, -3721,  6034,  3965,  2502,  2205, -3721,  5096,
    4443,   116,  4583,  4443,  3216,  6650,  3791,  1283,  4068,  6031,
    3284,  4971,   943,  6906,  1516,  6342,  3513,  4311,  3508,  1645,
    2375,  3285,  3274,  3377, -1699,  1539,  7083, -1699,  6347,  3263,
    5707,   122,  3924,  5017,   754,   754,  6348,  1985,  3635,  1970,
    2387,  3264,  3317,  3810,  4136,  5097,  4585,  2040,  3378, -3721,
    3275,  2017,   126,  4972,  6343, -2623,  6912,  5708,  2345,  3265,
    3651,  6527,  5098,  3154,  3496,  5457,  3376,  1272,  4502,  6344,
    6793, -2426,  2346,  1573,  6839,  1268,  6740,  5698,  1517,  6847,
    6848,  1681,  5086,  4503,  1930,  3666,  1930,  2399,  4973,  3372,
     944,  4125,  3376,  1159,  5600,  4664,  4665,  3377,  2420,  3709,
    4684,  1986,  6518,  5633,   129,  2018,  3125,  3134,  5637,  4805,
    6828,  3155,  2581,  5660,   943,  1986,  6881,  6452,   944,  3896,
      35,  2583,  3378,  3377,    37,  3692,  1573,  3145,  3146,  2347,
    3150,  5256,  1274,  1274,  5084,  1274,  2128,  3071,  6661,  5701,
    6528,  4715,  4716,  4443,  2451,  1708,  2453,  4084,  3378,  2457,
    2093,  2459,  3730,  3375,  2462,  2463,  2464,  5430,  6377,  3811,
    3375,  3615,  5565,  3372,  1159,  1518,  5099,  2471,   945,  1539,
    3374,   946,  3102,  3104,   811,   811,  3925,  1539,  1539,  1987,
    3271,  3926,  2500,   135,  2501, -2664,  4352,  5651,  3616,  3372,
    4126,  6926,   944,  1987,  6829,  3975,   945,  6923,   925,  2388,
    3374,  3286,  5311, -3721,  5312,  3728,  5656,  1341,  4921,  4922,
    2421,  5707,  1341,  1341,  5652,  4022,  3275,  6128,  3413,  2019,
    6349,  3417,  3276,  6830,  1269,   926,  4127,  3157,  4069,  3375,
    4070,   932,  3927,  2348,  3266,  4015,  5434,  1709,  5708,  4923,
    6129,  6887,  1204,  3287,   925,   756,  6130,   927,  6042,  6966,
    6508, -2664,  6510,  3087,  3088,  5511,  6514,  6515,  4810,  6519,
    6131,  5709,   811,  6741,   102,   103,  6967,  5458,  4128,  6345,
     945,   926,   925,   946,  5459,  6560,  3992,  6545,  1420,  4221,
    6979,  5460,  6983,  1204,  3258,  3374,  5003,  4014,  3889,   947,
    5512,  5601,  3158,  3403,  1428,  6158,  3212,  3214,  1429,   926,
     947, -2451,  7091,  4138,  1011,  -186,  2349,   150,  6176, -3721,
    3427,  1533,  1170,  6180,   947,  7098,  6182,   947,  2141,  5461,
    3731,  3048,  3049,  3050,  3051,  3052,  3053,  3376,   152,  2345,
    1124,  6809,  1341,  1519,  3376,  3439,  -186,  4586,    87,  1204,
    3470,  3198,  5462,  2346,    88,    89,   155,  4016,  6205,  2387,
    1125,  4258,  4270,  5084,  3732,  5013,  1204,  2027,  3377,  5313,
    2142,   159,  2027,  1420,  1969,  3377,  1971,  3993,  3733,  6043,
    2239,  1520,  4443,  4443,  6924,  1974,    99,  4129,  6159,  4312,
    1026,  5657,  1421,  3378,  3728,  1341,  3928,  1126,  5513,  3576,
    3378,   947,  6061,  6120,  6132,  1341,  2024,    39,  4315,  2025,
    3712,  3728,  4139,  3376,  1688,   948,  3734,  6937,  2350,  3375,
     953,  3772,  3237,  6888,  4898,  4151,  4537,  4023,  6889,  1710,
    5246,  4313,  3237,  4587,  3372,  2131,  6375,   944,  1700,  5654,
     747,  3372,  4258,  2389,  3377,  1521,  2027,  1522,  5258,  3375,
    2027,  1523,  6718,  1732,  4316,  5008,  4667,  1175,  1422,  2132,
    4668,  4669,  4670,  6890,  1028,   954,  4314,  4897,   289,  3378,
    3453,  3449,  1711,  1853,  1712,  1319,  1320,  1421,  3461,  1373,
    1374,  1375,  1376,  1377,  1378,  1379,  1380,  1381,  1341,  4317,
    5282,  1341,  1341,  6048,  1321,  5286,  5929,  1322,  6722,   146,
    3440,   116,  4899,  1914,  1689,  3441,   932,  2144,  3237,  1915,
    3372,  2399,  5467,  5655,  2348,   945,  4442,   948,  2388,  1210,
    1423,  2584,   927,  4269,  2585,  4448,  4449,  4450,  4451,  2145,
    4453,   122,  6072,  5009,  3375,  6364,  6443,  6059,   151,  5294,
    4179,  3439,   949,  1422,  6211,  5050,  6213,   925,  4246,  2526,
    1854,  7017,   126,  5270,  5397,  4481,  3127,  4353,  4354,  4355,
    6133,  4296,  5537, -3721,  6739,  4336,  -480,  6745,  2585,  2535,
    5930,  2201,  6134,  5285,   926,  5483,  1875,  1181,  5290,  5291,
    1289,  2146,   158,  7007,  1914,  2113,  4359,  2349,  1323,  3129,
    4321,  1916,  5057,  3376,  6537,   160,  4343,  3509,  2277,  1290,
    5468,  3364,  1341,   138,   129,  1423,  4180,  6444,  6038,  1291,
    6040,  3591,  1159,  1994,  5012,  3596,  1995,  1159,  1159,   161,
    6423,  3410,  1324,  3376,  3377,   953,  5427,  2577,  5467,  6801,
    6571,  4514,  5398,  3129,  5227,   146,   947,  3365,  4024,  3510,
    5538,  4318,  1917,  4443,  4671,  3559,  1039,  4443,  1040,  3378,
    4244,    35,  4245,  7060,  3377,    37,  4115,  6262,  4119,  4120,
    5541,  5049,  2114,  1325,  6050,  3765,  5399,  4672,  6843,  5241,
     954,  4118,  1916,  2147,   151,  2292,  4319,  6738,  5469,  3378,
    4337,  5400,  5470,   135,  6021,   754,  6022,  6023,  6024,  2350,
    3372,  -480,  6511,  3822,  6170,   293,  3440,  6512,  1184,  1384,
   -1757,  3441,  3501,  5428,  5401,  6588, -1757, -3721,  3376,  6802,
    3777,  1185, -3721,  6051,  1292,  5242,  5468,  6516,   158,  4777,
    3372,  6604,  1127,  1917,  3154,  1272,  1272,  6671,  1272,  1538,
    5160,   160,  6549,  5402,  1996,  5424,  2148,  1159,  5496,  3377,
    4181,  2149,  4112,  2017,  7072,    75,  1468,  5398,    75,  1186,
    1465,  6513,  2389,  4673,   293,   161,  1466,  3448,  1467,  5901,
    2144,  7085,  5442, -3721,  3378,  6855,   134,  1124,  4839,  1026,
      38,  5496,  3155,  6307,  1128,  4148,    40,  2390,  4049,  6259,
      74,  5399,  2145,    74,  1293,  1988,  6929,  1125, -1757,  6605,
    1159,  2585,  2151,  3580,  5469,  1509,  5884,  2018,  5470,  3458,
    1159,  3597,  1007,  6260,  6672,  3372,  4182,   150,   146,  3501,
    3420,  4803,  3781,  2003,  1213,  3423,  4147,  1007,  6939,  5401,
    4287,  3134,  4288,  3127,  1126,  2432,  4292,  6308,   152,  3459,
    6309,  5403,  1510,  2584,  2146,   932,  2585,  6310,  3156, -1757,
    2153,  3105,  4156,  1028,  3814,  4161,   155,   151,  4518,  1644,
     340,   927,  7067,  -628,  1008,  2004,  3129,  6807,  4827,   146,
    1469,   159,  4474,  1294,  2154,  6311,   146,  2014,  3127,  1264,
    5130,  1732,  4432,  5912,  4667, -3721,   925,  1403,  4668,  4669,
    4670,  4085,  6649,  1159,  3106,  2156,  1159,  1159,  3157,  3498,
    2005,   158,  3677,  3504,  2169,  7068,  5351,  4828,   151,  3673,
      93,  3129,  7084,   926, -1108,   151,  4250,  4909,  1404,  2015,
    7039,  2019,  7042,  5496,  1240,  7093,  2166, -3721,    97,  3501,
    1512,  5307,  5308,  5309,  5310,  6312,  2147,  5314,  5315,  5316,
    5317,  5318,  5319,  5320,  5321,  5322,  5323,  1652,  6313,  6811,
    6812,  4443,   158,  4966,  2016,   146,  5403,   162,  3714,   158,
    3715,  6314,   141,  3158,  3717,   160,  3718,  2580,  2167,  3720,
    2170,  6453,   160,  3721,  4674,  4675,  4676,  4677,  4678,  4679,
    4680,  4681,  4682,  4735,  3894,  2191,  2020,  7088,  5397,   161,
    1254,  7044,  6746,  3419,   151,  4967,   161,  4340,  6454,  2148,
     955,  5362,  5363,  2168,  2149,  1707,  4922,  1159,   162,  2371,
    2372,  1012,  2171,  4779,  2008,  6856,  4114,  6968,  3986,  2172,
    3448,  1118,  4122,  2173,  2021,  1279,  6747,  2192,  2022, -3721,
    4968,  2193,   141, -3721, -3721,  1039,  5525,  1040,   158,  2241,
     138,  2242,  6969,  1211,  3987,  3048,  3049,  3050,  3051,  3052,
    3053,   160,  2009,  1146,  3078,  2151,  2010, -3512,  4666,  3079,
    5962,  5018,  2194,  2023,  1044,  4271,  5398,  -397,  5968,  4164,
    4694,  1892,   146,  4274,  5197,   161,  4277,  1147,  2131,  5198,
    6259,  1732,  6269,  1903,  4667, -3721,  2131,     8,  4668,  4669,
    4670,  2011,  6916,  2316,   162,  4672,  2426,  -397,  2024,  4854,
    5399,  2025,  2132,  2153,  6260,  1871,  4718,  5779,  4566,  6630,
    2132,   151,  5619,  5602,  5736,  5400,  4887,  2317,    76,  5198,
    2427,  6259,  6368,  5786,  1263, -1522,  2432,  2154,  3093,  4443,
    2376,  2377,  3668,  1317,  5524,  5620,  4443,  5603,  5401,  4843,
    1286,  4443,  6572,  3134,  4443,  6260,  6369,  3347,  2156,  2378,
    4749,  4927,  2026,  1328,  3347,   158,  3668,  5809,  4600,  3348,
    4602,  4603,  4852,  4801,  5814,  5815,  3355,  5402,   160,  1311,
    6761,  3980,  6315,  4443,  1283,  6316,  6762,  5084,  2144,  2121,
    6467,  4673,  2376,  2377,  2138,  2240,  2131,  1334,  6472,  6473,
    1428,  5514,   161,  5521,  1429,    35,   340,   757,  1342,    37,
    2145,  2380,  6975,  2174,   933,  4951,  4443,    40,  4859,  1330,
    2132,   162,    35,  2364, -2422,  3248,    37,  4952,  5482,  1428,
    5454,  1683,  1004,  1429,  5499,  2364,  2364,  3248,  2012,  3237,
    1057,  2440,  -397,  -397,  4890,  2441,  1331,  6904,   933, -3721,
    5703,  2175,  4736,  6170,  4597,  2176,  2584,  2440,  1483,  2585,
    1484,  3704,  2146,  2586,  2587,  2588,  1352,  1205,  5214,  5215,
    5216,  5217,  5218,  1205,  1205,  5403,  6824, -2423,  5759,  3190,
    3191,   933,  1428,   289,  1683,  7070,  1429,  4391,  7073,  5257,
    2177,  3127,  5496,  1332,  5146,  6804,  6481,  2178,  3128,  5540,
    4608,  6485,  6486,  1333,  3138,  4672,  4609,  6356,  5397,  1335,
    4610,  4556,  5088,  5214,  5215,  5216,  5217,  5218,  5089,  1732,
    1901,  5219,  4667, -1699,  3129,  1365,  4668,  4669,  4670,  4961,
    1350,  5518,  5090,  4724,  1486,  4725,  1487,  1428,  5076, -2430,
    5867,  1429,   289,  5133,  5352,  1384,  3909,  3910,  3911,  3912,
    4693,  1366,  4695,  4696,  2147, -3721,  3881,  1418,  4443,  3884,
    5091,  4726,  5092,  1409,  5650,  5209,  5210,  3048,  3049,  3050,
    3051,  3052,  3053,  1419,  2448,  3821,  2242,  5216,  5217,  5218,
    4567,  2584,  3520,  3521,  2585,  3982,  5398,  1427, -3721, -3721,
   -3721,  4673,  2510,  2525,  2242,   162,  3645,  5105,  3646,  3874,
    6728,  1471,  4674,  4675,  4676,  4677,  4678,  4679,  4680,  4681,
    4682,  3124,  3137,  2242,  3138,  5922,  3127,  2148,  4811,  1478,
    5399,  5093,  2149,  3128,  1491,  3142,  3908,  2242,  2364,  3973,
    3248,  3706,  1473,  3138,  4874,  5400,  1505,  5722,  3448,  3727,
    7018,  3728,  3130,  3729,  3769,  3728,  3770,  3131,  4443,  3129,
    5094,  3985,  -627,  2432,  5715,  4035,  1513,  3138,  5401,  1514,
    4145,  1538,  4146,  4226,  4393,  4227,  4394,   102,   103,  4863,
    3132,  2778,  4519,  2151,  3138,  4011,  4012,  4558,  4088,  3728,
    4091,  1515,  3909,  3910,  3911,  3912,  4627,  5402,  4628,  4727,
    4133, -1710,  4607,  1528,  3138,  4728,  1525,   932,  3133,   340,
    4616,  4986,  3138,  4589, -1710,  4622,  4992,  3138, -3447,  4623,
   -1710,  3138,  1541,   927,  4485,  7077,  6177,  4642,  4599,  4352,
    4653,  2153,  3138,  4604, -3448,  4009,  4009,   756,  4686,  4700,
    3138,  3138,  5095,  4672,  4705,  1536,  4706,  5096,   925,  3190,
    4036,  2845, -1133,  1973,  1545,  2154,    75,    75,  1601,  4860,
    4861, -1781, -1781,  4630,  4026,  3237,  3134,  1301,  4754, -1710,
    4755,  6072,  4756,  1592,  4757,   926,  2156,  3130,  4944,  4949,
    4945,  4950,  3131,  1204,  4977,  1608,  4978,  5496,  1972,  6228,
    6229,    74,    74,  5097,  5046,  5403,  4978,  5157,  1619,  5158,
    1539,  3903, -1710,  4241,  5168,  4443,  5169,  1538,  1602,  5172,
    5098,  5173,  4674,  4675,  4676,  4677,  4678,  4679,  4680,  4681,
    4682,  1119,  5205,  3113,  5206,  1007,  5207,   932,  3138,  4673,
    5332,   932,  5333,  3133,  5343,  1341,  5344,  5354,  5437,  3138,
    5438,  1626,  1026,   927,  1647, -1711,  2239,   927,  5443,  5453,
    5444,  4070,  5644, -1710,  5645,   932,  1870,  5704, -1711,  3728,
      40,  4729,  3136, -1710, -1711,  5781, -1106,  2498,   925,  1682,
    3965,   927,   925,  4730,  5821,  5824,  3138,  5825,  1204,  5858,
    5924,  3138,  4070,  5948,  5955,  5949,  3728,  1683,  4443,  6178,
    5956,  3134,  3728,  1687,  5123,   926,   925,  1691,  6728,   926,
    5957,  6074,  3728,  6075,  5496,  6140,  6141,  6113,  4982,  5206,
   -1784, -1784,  3673, -1711,  5099,  1698,  1028,  4286,  6150,  6152,
    6151,  3138,   747,   926,  6302,  1705,  6303,  4443,  6322,  4998,
    3728,  6357,  1706,  6358,  5106,  6391,  5108,  6392,  1716,  6410,
    1870,  6411,  5251,  6420,  1717,  2432, -1711,  6426,  4056,  5143,
    1719,  6428,  5498,  5143,  5500,   932,  5524,  5503,  6449,  6500,
    6450,  6501,  1718,  6541,  1870,  3092,  4072,  5883,  3044,  5886,
    4208,   927,  4076,  1030, -1785, -1785,  4079,  3045,  3046,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  2224,  3136,  6569,  2584,
    6450,  6853,  2585,  6610,  4232,  4706,   925, -1711,  1720,    35,
    4098,  3965,  6611,    37,  3138,  1721,  6628, -1711,  6629,  1341,
    2376,  2377, -1710,   134,  6634,  1727,  2432,  1341,  6619,  6620,
    1341,   932,  5178,   926,  3127,  1729,  4415,  5946,  4329,  4811,
    1057, -3721,  4333,  1874,  4140,  4443,  5137,   927,  5496,  1877,
    4674,  4675,  4676,  4677,  4678,  4679,  4680,  4681,  4682,  6637,
    6670,  5143,  3770,  3180,   747,  3183,  4875,  3129,  6676,  6677,
    3770,  3770,   925,  6680,  4878,  3138,  6681,  1881,  3138,  4366,
    6682,  4366,  6683,  4366,  4366,  6710,  1882,  6711,  4366,  4366,
    4366,  1883,  4366,  4366,  4366,  6771,  6772,  5304,  5116,   926,
    5119,  4251,  4199,  3044,  4232,  1888,  1893,  1538,  1039,  1538,
    1040,  1898, -3721, -3721, -3721,  3048,  3049,  3050,  3051,  3052,
    3053, -1133,  6779,   146,  6780,  1912,  6783,  4228,  2432,  1899,
    1266,  5331,  2584,  4237,  1043,  2585,  6784,  2292,  3138,  5361,
    1901,  5515,  4441, -1758,  1902,  1927,  4447,  4247,  5478, -1758,
    1928,  6806,  5414,  3728,   747,  1929,  4252,  4260,  6820,  6845,
    6821,  6846,   151,  4265,  1932,  5236, -1711,  3127,  1935,  1933,
    4397,  4475,  1939,  6883, -3721,  5143,  1940,   754,  4974,  6898,
    4976,  3138,  5370,  4278,  1943, -3721,  3903,  1944,  1945,  4281,
   -3721,  2584,  1947,  1970,  2585,  1538,  4289,  6900,  1267,  3138,
    3129,  6936,  6965,  6450,  6642,  6985,   158,  6986,  1975,  1976,
    4304,  4416,  1977,  7011,  6383,  5438,  4532,   947,  4253,   160,
    1992,  1999,  4443,   932,  4330,  7012,  3127,  3138,  7031,  2006,
    7032, -1758,  2074, -3721,  1428,   747,   289,  1901,  1429,   927,
    1159, -3721,  7040,   161,  3138,  2012,  2048,  1261,  7016,  2077,
    7048,  5749,  7049,  6273,  2079,  7058,  3167,  6780,  7094,  3129,
    7049,  5625,   162, -1446,   925,  7096, -1446,  7032,  7099,  2080,
    7032,  2116,  5364, -3718,  2111,  2117,  5037,  2115,  2128,  5259,
    2130,  2140, -1758,  2143,   933,  2165,  2182,  2183,  5638,  2199,
    1301,   926,  1268,  2210,  2209,  1261,  2213,  2218,  2219,  3134,
    6274,  2220,  1004,  2250,  2252,  2254,  2259,  2265,  2270,  2273,
    2275,  1004,   757,  2280,  2283, -1711,  6144,  2285, -3721,  1004,
    5059,   757,  1004, -3721,  1341,  6275,  2277,  2294, -1711,  2299,
    2300,  5365,  -150,  4443, -1711,   757,  2302,  2303,  5630,  4443,
    2305,  4254,  2307,  6094,  6276,   932,  2319,  2308,  2328,  6277,
    2326,   932,  2331,  2335,   757,   972,  2341,  2351,  2356,  2357,
    2358,   927,  4578,  2364,  2360,  2367,  2368,   927,  2370,  2384,
    2386,  6278,  2394,   757, -3721,  6279,  2395, -3721,  2398,   757,
    2399,  2406, -3721, -1711,  2410,  5846,   925,  2412,  4417,  2413,
    6280,   757,   925,  2415,  2422, -3721,  2417,  2423,  2425,  2428,
    2431,  2434,  2435,  4759,  4760,  4761,  2472,  2446,  2507,  2514,
    2523,  1534,  2524,   926,  1159, -1957, -1711,  1261,  2516,   926,
    4164,   757,  1159,  2519, -1964,  1159,  1004,  2530,  3905,  2531,
    3906,  1591,  3134, -3721,  2532,  1004,   757,  1159,  2533,  2534,
    4418,  1269,  1004,   162,   757,  1004,  2536, -1955,  2537,  2538,
    2540,  2541,  2542,  2543,  2544,  2545,  3907,  1591,   757,  2546,
    5264, -1958,  2547, -1956,  2548,    76,  5203, -1711,  2549,  2550,
    2551,  2552,  4255,  4443,   757,  2553,  2555, -1711,  2556,  2563,
    4256,  2557,  2558,  4257,  4701,  4574,  2559,  2560,  2561,  2562,
    4708,  3134,  2565,  2566,  2567,  2568,  6281,  2569,  2570,  3060,
    3064, -3721,  2571,  2572,  3062,  4590,  3096,  4441,  3066,  3108,
    1672,  3067,  4574,  3048,  3049,  3050,  3051,  3052,  3053,  3092,
    3118,  3908,  1539,  3123,  3141,  1915,  1917,  3143, -3721,  3174,
    3176,  3196,   757,  3186,  3197,  3199,  3207,  4444,  3189,  3208,
    3210, -3660,  3215,  3224,  3218,  3225, -3665,  3219,  3227,  3221,
    6282,  3223,  3226,  3243,  3244,  3245,  3246,  1341,  3251,  3248,
    3252,  3249,  1004,  1004,  3250,  3253,  3254,  4441,  5274,  1205,
    3255,   757,  3261,  1205,  3283,  4441,  3289,  3909,  3910,  3911,
    3912,  4816,  4816,  2240,  3913,  3914,  3277, -3721,  3303,  3307,
    3915,  3309,  3310,   933,  3311,  4811,  1732,  5715,   757,  4667,
    1004,  3313,  3314,  4668,  4669,  4670,  3327,  3331,  3965,  3333,
     757,  3332,  3350,  3366,  3351,  3368,  3362,  3369,  3370,  3371,
    5306,  5851,  3372,  4811,  3380,  3382, -1711,  3381,  3383,  3384,
    3385,  3394,  3400,  3390, -3721,  3391,  3401,  3404,  6397,  3414,
    3415,  3418,  3421,  3424,  3428,  5327,  3048,  3049,  3050,  3051,
    3052,  3053,   757,   757,  3425,  3430,  3431,  3435,  1539,  3442,
     932,   932,   932,  3443,  3445,  2093,  3450,  3460,  3462,  3464,
    3471,  3451,  3456,  3488,  3469,  3457,   927,   927,   927,  1732,
    3463,  3465,  4667,  3497,  3472,  3519,  4668,  4669,  4670,  3531,
    3526,  3477,  3478, -3721,  1428,  2033,  3491,  3534,  1429,  3502,
    3533,   925,   925,   925,  5852,  3048,  3049,  3050,  3051,  3052,
    3053,  3547,  3535,  3536,  3540,  3541,  3542,  3544,  3545,  1159,
    3546,  3552,  3548,  3554,  3553,  3555,  6470,  3562,   926,   926,
     926,  3563,  3566,  1021,  6055,  3571,  3579,  3590,  2162,  3594,
    3595,  3607,  3598,  3610,  3613,  4947,  3916,  3614,  3623,  1205,
    1205,  3627,  3634,  2584,  3640,  3648,  2585,  3660,  3917,  3662,
    2586,  2587,  2588,  3678,  3631,  3663,  3670,  5832,  3671,  3680,
    3723,  3681,  3682,  1004,  1004,   933,  3696,  3752,  3126,  3683,
    3667,  3741,   757,  3641,  3779,  3668,  3876,  1004,  3127,  3644,
    3653,  3654,  1591,  1004,  3766,  3128,  3724,  1004,  3798,  1004,
    5676,  5677,  4996,  1591,  3768,  3803,  3882,  3843,  2585,  3923,
    4672,  3902,  3960,  5910,  4811,  3886,  3943,  3969,  3921,  1591,
    3948,  3129,  3949,  3971,  1267,  3968,  3974,  3977,  3978,  3976,
    4003,  5771,  5772,  5773,  5774,  5775,  4004,  3991,  5564,  4006,
    4872,  4027,  4005,  4020,  4028,  4042,  2584,  3082,  4059,  2585,
    4060,  4080,  4089,  4094,  4097,  4102,  4107,  4062,  4092,  6028,
    4108,  4113,  1004,   932,  1004,  1004,  4110,  4121,  4137,  4142,
    1871,  1875,  4144,  5039,  4170,  4152,  4158,  4159,  4160,   927,
    4183,  3127,  3829,  3829,  5167,  4189,  4209,  4222, -3721,  4215,
    4188,  4216,  4217,  4672,  4242,  4225,  4673,  3856,  4233,  4240,
    4243,  4263,  4444,  4264,   925,  4280,  3877,  6627,  4324,  2577,
    4339,  2296,  4347,  1591,  3129,  4348,  4351,  1268,  4360,  4367,
    4379,  4366,  4373,  4395,  4374,  4375,  4406,  4384,  4421,  4407,
    4423,   926,  4425,  5070,  5070,  5150,  4435,  4446,  4452,  3130,
    4427,  4457,  4458,  5087,  3131,  4459,  4460,  4461,  1539,  4957,
    1539,  4465,  1159,  4462,   757,  4468,  4472,  2577,  4473,  4476,
    6094,  4470,  4444,  4477,  4482,  4497,  4498,  3132,  2778,  4508,
    4444,  4509,  4499,  4510,  4513,  4511,  5907,  4515,  1341,  4673,
    4520,  3903,    76,    76,  5202,    76,  5855,  1692,  4546,  4522,
    1995,  4523,  4548,  1004,  4525,  3133,  4526,  4745,  4552,  4549,
    5141,  4534,  3559,  4554,  4535,  4524,  4575,  4560,  4561,  4562,
    4563,  4564,  4565,  2432,  4570,  4767,  4579,  4581,  4591,  4588,
    4593,  2429,  4601,  4621,  4637,  4641,  4624,  3820, -2248,  1062,
    4699,  4702, -3721,  4580,   757,  5177,  1539, -3721,  2845,  4719,
    4733,  2396,  4807,  4569,  1689,  4743,  4826,  4618,  4619,  1591,
    5368,   757,  4663,  3134,  4620,  4632,  5151,  4643,  4639,  4750,
    4649,  4652,  4352,  4654,  4714,  4857,  5163,  4744,   757,  1384,
    4655,  3138,  4659,   757,  5678,  4767,  4661,  4532,  1062,  1260,
    5052,  4662,  4685,  4767,  1004,  4690,  4691,  4698, -3721,  4713,
    4820,  4822,  4746,  4748,  4833,  4777,  5776,  4813,  4808,  4841,
    4845,  4824,  4846,  2440,  5201,  4864,  4847,  4674,  4675,  4676,
    4677,  4678,  4679,  4680,  4681,  4682,  4869,  4871,  4883,  4862,
    4865,  4884,  4850,  4851,  4894,  1004,  4895,  4896,  4900,  4902,
    4908,  4911,  4918,  4929,  4906,  4907,  4914,  1261,  4912,  6039,
    4930,  3449,  4932,  6166,  4938,  4939,  3134,  4940,  4948,  3136,
    4956,  4965,  4981,  4985,  1004,  1004,  1004,  4983,  1004,  1261,
    4979,  4987,  4993,  4989,  4994,  4997,  5004,  4999,  5000,  5021,
    5943,  3059,  5001,   932,  5002,  5019,  5020,  5022,  5023,  1004,
    5024,  5025,  5027,  5028,  1341,  5030,  5026,  5029,  5031,   927,
    4674,  4675,  4676,  4677,  4678,  4679,  4680,  4681,  4682,  6006,
    6007,  5032,  6009,  5375,  5376,  5377,  5378,  5033,  5034,  5035,
    5038,  5042,  5044,  5045,   925,  5040,  3486,   757,  3489,  6188,
    3103,  5051,  5054,  5055,  5058,   757,   757,  5061,  5056,  5066,
    5072,  5074,  5125,  5109,  5114,  5128,  5121,  3707,  5115,  5132,
    2539,   926, -3721,  5145,  5161,  5162,  5166,  5165,  5170,  6494,
    5182,  6496,  5142,  5143,  5196,  3044,  5155,  5152,  1004,  5199,
    5204,  5349,  1004,  1004,  3045,  3046,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  5999,  5211,  5229,  5230,  5213,  1004,  5231,
    5232,  5233,  3501,  5237,   933,  5234,  5221,  1468,  5223,  5235,
    5253,  1465,  5254,   757,  5273,   293,  5252,  1466,  5260,  1467,
    5261,  5262,  5263,  2525,  5240,  5278,  5265,  5266,  5244,  5267,
    4441,  5268,  5338,  4441,  5269,  5279,  5280,  5283,  5284,  5277,
    5287,  5292,  5293,  4667,  1732,  5356,  5298,  4667,  5357,  5305,
     933,  4668,  4669,  4670,  5345, -2247,  5328,  5387,  5416,  5412,
    5434,  5436,  5431,  5440,  5456,  5464,  5474,  5329, -3721,  5421,
    5330,  5382,  1591,  5477,  5337,  5360,  5475,  5388,   933,  5371,
    3048,  3049,  3050,  3051,  3052,  3053,  5418,  5396,  5449,  1205,
    6057,  5420,  2033,  1159,  5966,  5425,  2033,  5484,  5422,  5485,
    6958,  5487,  5476,  6960,  5488,  5491,  6962,  4156,  5506,  5509,
    5510,  5527,  5530,  5543,  5559,  5542,  5544,  5545,  5560,  5546,
    2445,  1469,  5556,  5557,  5558,  5561,  5570,  6505,  5572,  5573,
    1205,  5579,  5590,  6319,   932,  5591,  5596,  5599,  5616,   932,
    1591,   932,  5615,  5618,  5516,  5621,  5632,  5935,  5634,  5635,
     927,  5636,  5658,  5673,  5631,   927,  5647,   927,  5668,  5693,
    5679,  5687,  5694,  5706,  5717,  5723,  5699,   932,  5743,  5700,
    5724,  5745,  5753,  4441,  5769,   925,  5741,  1591,  5740,  5748,
     925,  5581,   925,   927,  5744,  5747,  1205,  5755,  5777,  5783,
    5758,  3753,  4286,  5784,  5793,  5800,  5801,  5802,  5803,  5805,
    5971,  5806,   926,  1205,  5823,  5812,  5813,   926,   925,   926,
    1591,  5760,  4002,  5835,  1283,  5804,  5807,  5818,  5829,  5087,
    6647,  6223,  5987, -2249,  5840,  5838,  5839,  5861,  5844,  5857,
    5872,  5879,  5875,  5877,  5880,   926,  5887,  5892,   289,  5888,
    5894,  6658,  1732,  5893,  5895,  4667,  5927,  5569,   289,  4668,
    4669,  4670,  5906,  5909,  1341,  5908,  5923,  6242,  4672,  5925,
    5931,  5950,  5582,  5919,  5951,  5583,  5963,  5584,  5965,  5964,
    5974,  5967,  5969,  5975,  5995,   757,  5976,  5988,  4208,  5991,
    5535,  5997,  1341,  6001,  6011,  6002,   289,  6694,  6696,  6010,
    6018,  1004,  1004,  1004,  6015,  6029,  6019,  6025,  6032,  1159,
    6036,  6020,  6037,  6044,  6047,  6399,  4232,  6241,   757,  6053,
    6052,  6056,  6054,  5624,  1384,  6060,  6062,  6066,  6078,  6404,
    1591,  6068,  6243,  6071,  6082,  6087,  6076,  6089,  6083,  4366,
    6100,  1591,  6085,  6090,  4366,  6106,  5479,  6108,  4811,  6091,
    6118,  6145,  6119,   933,  4673,  2033,  6155,  1591,  6114,  6149,
    1384,  3728,  6286,  6124,  6138,  6139,  6156,  6157,  6165,  6687,
    6167,  6181,  6171,  6190,  6174,  6185,   757,  6195,  6201,  6212,
    6204,  6219,  6227,  6231,   757,  6232,  6215,  6197,  6237,  6214,
    6233,  6234,   757,  1997,  1998,  6239,  6245,  6265,  6287,  6246,
    5657,  6250,  6256,  6295,  6257,  6306,  6258,  6298,  6301,  6325,
    6305,  1591,  4441,  4441,  6293,  6326,  6330,  6335,  6338,  6365,
    6489,  6490,  6700,  6354,  6359,  6367,  6099,  1004,  6373,  6366,
    1004,  6385,  6380,  1591,  6384,  4444,  6389,  6390,  4444,  6402,
    1004,  6403,  6412,  5730,   932,  6418,  1591,  6445,  5087,  6422,
    6447,  6457,  6474,  6425,  6464,  6482,  6466,  6468,  1591,  6476,
     927,  6488,  6525,  6522,  6520,  6529, -3721,  6533,  6535,  6543,
    6564,  1004,  1004,  6548,   757,   757,  6562,  6823,  6558,  6563,
    6566,  6565,  6576,  1341,  5726,   925,  1004,  5604,   757,  1004,
    5607,  6577,  4532,  4532,  4532,  4532,  4532,  6575,  1591,  1591,
    6578,   757,   757,  6583,  6419,  6587,  6585,  6592,  6597,  6607,
    6612,  6608,   926,    76,  6642,  6419,    76,  6644,  6643,  6645,
    6646,  6621,  6626,  6638,  6651,  6640,  6652,  6654,  6673,  2577,
    6655,  6656,  6669,  6692,  6699,  6702,  6709,  6705,  5789,  5789,
    5789,  5789,  6716,  5789,  5789,  5789,  5789,  5789,  5383,  6707,
    1341,  5389,  4673,  5201,  6713,  6717,  6733,  1004,  6734,  6736,
    6735,  1004,  1004,  6743,  6744,  4674,  4675,  4676,  4677,  4678,
    4679,  4680,  4681,  4682,  6750,  6749,  6901,  6902,  4444,  6758,
    6764,  6769,  6759,  4578,  6752,  6757,  6776,  6786,  4751,  6636,
    5810,  5689,  6791,   289,  6792,  6498,  2579,  6795,  6815,  6808,
    1004,  1004,  6825,  6703,  6817,  6834,  1004,  1004,  3501,  6704,
    6833,  3897,  3815,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  6852,  6854,  5926,  1004,
    6835,  1004,  6871,  1004,  1004,  1004,  1004,  1004,  1004,  6872,
    6873,  1004,  6874,  1004,  1004,  6875,  6877,  1004,  6882,  6896,
    6894,  6886,  6908,  6920,  6907,  6922,  6909,  6946,  6940,  1159,
    6947,  1591,  1004,  1004,  1004,  6950,  6951, -2971,  6954,  6955,
    6959,  6971,  6992,  4441,  6952,  6996,  6956,  4441,  6994,  6964,
    1004,  6663,   933,  6973,  6991,  6993,  6687,  1159,  6995,  7001,
    4839,  7009,  7019,  7021,  7022,  6493,  5897, -2011,  7038,  5904,
    5905,  1159,  6912,  7046,  7047,  4574,  7053,  4286,  7064,  1538,
    7065,  7069,  1159,  7055,  7078,  7076,  7082,  2051,  4286,  7075,
   -2971,  7086,  7090,  1281,  6361,  7095,  3503,    75,  4804,  2180,
    4297,  2179,  3115, -2971,  5903,  4924,  4214,  6818,  5533, -2971,
    2078,  5526,  4338,  4386,  5071, -2971,  6284,  6686,  6921,  6660,
    5675, -2971,  6635,  2052, -2971,  6337,  5522,  5523, -2971,  5911,
    5913,  6035,    74,  4674,  4675,  4676,  4677,  4678,  4679,  4680,
    4681,  4682,  6318,  4904,  4559,  4867,  6810,  6221,  2445,  6917,
    6708,  6706,  6832,  6932,  6064,  4910,  5697,  5705, -2971,  5727,
   -2971,  6666,  5667,  4404,  4405,  5531,  6058,  4942,  5131,  5692,
    2164,  6324,  6785,  5171,  6787,  7089,  6579,  4444,  4444,  5751,
    6988,  2144,  7066,  6299,  5077,  6837,  2053,  5733,  6244,  3570,
    6484, -2971,  6675,  6247,  1116,  1461,  1179,  1004,  1341,  5238,
    5778,  6460,  4433,  2145,  5780,  3633,  4065,  6984,  3629,  5737,
    4858,  5188,  1384,  6362,  6573,  3649,  3684,  5041,  2495,  1540,
    5562,  4988,  4335,  2054,  6858,  1885,  7020,  3260,  5756,  5506,
    4363,  6507,  3990,  5757,  6974,  3528,  1620,   932,  5445,  5914,
    5037,  6456, -2971,  6459,  4555,  4809, -2971,  3077,  1159,  5808,
    4019,  1004, -2971,   927,  3139,  2146,  5516,  4821,  4000,  3171,
    5419,  6899,  3175,  3280,  6788,  3170,  4018,  6013,  6014,  5898,
    5391,  7059,  2447,  2055,  5869,  6424,  6625,  5885,   925,  5384,
    4366,  6624,  4366,  4366,  4366,  5446,  5385,  7035,  6885,  6961,
    4767,  3856,  3856,  2505,  6777,  5386,  3856,  7052,  2505,  2505,
    6398,  5339,  5517,  3944,  6192,   926,  6789,  1004,  6790,  4747,
    3947,  1538, -2971,  2056,  4741,  1159,   289,  2057,  3862,  4613,
    4362,  4739,  6595,  7057,  5518,  4732,    87,  4648,  5288,  3959,
   -3468,  1304,    88,    89,  5200,  2343,  4507,  3856,  3856,    92,
      93,  4441,  4043,  6751,  3643,    94,  1171,  2147,  6065,  2058,
    2059,  3195,  1284,  4037,    95,  3188,    96,  2504,    97,    98,
    1984,  1955,  1298,  1643,    99,  1956,  4050,  3898,  4047,  5423,
    4048,  4799,  6814,  5451,  1297,  5452,  5899,  5982,  4557,    78,
    3725,  6199,  1677,  4054,     0,   289,     0,     0,  6093,  5992,
       0,  2060,     0,     0,     0,   141,     0,     0,  2437,     0,
    2061, -2971,     0,     0,     0,     0,     0,     0,     0,  2062,
    2148,     0,  6574,     0,     0,  2149,     0,     0,  2063,     0,
       0,     0,     0,  3081,     0, -2971,  2064, -2971, -2971,     0,
       0,  3448,     0,     0,     0,  5519,     0,     0,  4444,  2065,
    7074,  5789,  4444,     0,     0,  6865,  6866,     0,  2066, -2971,
       0,     0,     0,  2067,  6976,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2151,     0,     0,     0,
       0,     0, -2971,     0, -2971, -2971,     0,     0,     0,   116,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6493,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
       0,  1004,     0,  6977,  6978,     0,     0,  7010,     0,   122,
    2068,     0,     0,  1004,  2153,     0,  1004,     0,     0,  4441,
       0,     0,     0,     0,     0,     0,  4441,     0,     0,     0,
     126,  4441,     0,     0,  4441,     0,     0,     0,  2154,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4767,     0,     0,     0,  4767,     0,     0,     0,  2156,
       0,  5520,     0,  4441,  4914,     0,     0,     0,     0,     0,
       0,     0,  1004,    69,     0,     0,  1004,     0,     0,  1004,
       0,  1004,   129,  6194,  1004,     0,     0,  1159,     0,     0,
       0,   289,   289,  1159,   932,     0,  4441,  6352,  1159,  1004,
       0,     0,     0,     0,     0,     0,     0,     0,  1004,  1004,
     927,     0,  2081,     0,     0,     0,     0,  4574,  2082,     0,
       0,     0,  5087,     0,     0,     0,     0,     0,  1538,     0,
       0,     0,     0,     0,     0,   925,     0,     0,     0,     0,
       0,  6331,     0,     0,     0,   757,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1341,     0,     0,
       0,   135,   926,  2084,    76,    76,     0,     0,  4366,     0,
       0,   757,     0,     0,     0,     0,  3372,  6285,  1591,   175,
     286,   278,  1591,  1591,   282,     0,  6782,   184,   293,   757,
     283,   187,   285,   188,   933,   757,  1157,   189,   209,   757,
     227,     0,   232,     0,  1157,   262,     0,   281,   757,   287,
     296,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2085,     0,     0,   757,     0,     0,  1004,  2086,     0,     0,
       0,  2087,     0,  6272,     0,  1062,  4444,  1004,  4441,  1591,
    1004,     0,  1004,  1004,     0,  1591,     0,  6198,     0,  6323,
       0,     0,     0,     0,     0,     0,     0,   757,  4574,  2088,
    4574,     0,  6332,     0,     0,     0,  7079,  7080,     0,     0,
    1205,     0,     0,     0,     0,     0,     0,   757,   757,     0,
    6350,     0,     0,     0,     0,   150,     0,     0,     0,     0,
       0,     0,  1591,     0,   288,  2089,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   152,     0,     0,     0,
       0,  4487,     0,     0,   933,   757,     0,     0,   933,     0,
       0,     0,     0,     0,   155,     0,     0,     0,  4441,     0,
       0,     0,     0,     0,     0,  2051,     0,     0,     0,   159,
     757,     0,   933,     0,     0,     0,   757,     0,     0,  2584,
       0,     0,  2585,     0,     0,     0,  2586,  2587,  2588,     0,
     757,     0,     0,     0,     0,  1205,     0,   757,  4259,     0,
     757,  2052,   932,     0,     0,  2186,   757,     0,     0,  2091,
       0,     0,     0,     0,  3127,     0,     0,     0,   927,  2092,
       0,  3128,     0,     0,     0,     0,   757,     0,     0,  2093,
       0,     0,   757,     0,     0,     0,     0,     0,     0,   757,
       0,  2094,     0,   925,  4444,     0,     0,  3129,     0,     0,
    1539,  4444,     0,   757,  6509,  1261,  4444,     0,     0,  4444,
       0,     0,     0,     0,  2053,     0,     0,   757,     0,     0,
     926,     0,   933,     0,     0,     0,    87,     0,   757,  4259,
       0,     0,    88,    89,   932,  1341,  2096,  2097,  4444,    92,
      93,     0,     0,     0,     0,    94,  1004,  1004,  1004,     0,
     927,  2054,  1004,     0,    95,  4441,    96,     0,    97,     0,
       0,     0,     0,     0,    99,     0,     0,     0,  2098,     0,
       0,  4444,     0,     0,     0,   925,     0,     0,     0,  1004,
    1591,     0,     0,     0,     0,     0,     0,     0,   933,     0,
       0,     0,     0,     0,     0,  4259,  4488,     0,     0,     0,
       0,  2055,   926,  6551,  4259,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4767,  3130,     0,     0,     0,  4767,
    3131,  1004,  4767,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1159,  7034,  4259,     0,     0,     0,  4441,     0,
       0,  2099,     0, -3721, -3721,  2057,  4487,     0,     0,     0,
     932,     0,     0,  4480,     0,     0,     0,  1591,     0,     0,
       0,     0,     0,     0,     0,  3829,   927,     0,     0,     0,
    2051,  3133,     0,  6596,     0,     0,     0,  4441,  2059,   116,
    1004,     0,     0,     0,     0,     0,     0,  3856,  3856,  3856,
    3856,   925,     0,  3856,  3856,  3856,  3856,  3856,  3856,  3856,
    3856,  3856,  3856,     0,     0,     0,  2052,     0,     0,   122,
       0,     0,     0,  4444, -3721,     0,     0,     0,   926,     0,
    6648,  5335,     0,   141,     0,     0,     0,     0,  4489,  3134,
     126,     0,  1539,     0,     0,     0,  6690,  2062,  6691,     0,
       0,     0,  6697,  6698,     0,     0,  2063,     0,     0,     0,
       0,     0,     0,     0,  3324,     0,     0,  3856,  3856,     0,
       0,     0,     0,     0,     0,     0,     0,  2065,     0,  2053,
       0,     0,     0,     0,     0,     0,  2066,     0,   757,   932,
     933,  2067,   129,     0,     0,  4441,     0,     0,     0,  6272,
       0,   289,     0,     0,     0,   927,  1591,     0,   757,     0,
       0,     0,  4490,  4444,   289,   757,  2054,     0,     0,  1004,
       0,  1591,  1004,     0,  1004,  1004,  1591,     0,     0,     0,
     925,     0,   289,     0,  1004,  3136,     0,     0,     0,  1004,
       0,     0,     0,     0,     0,     0,   289,     0,  2068,     0,
       0,     0,  4491,     0,     0,     0,  1591,   926,     0,     0,
       0,  4488,     0,     0,     0,     0,  2055,     0,     0,     0,
       0,   135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1004,  1004,
    1004,     0,     0,  1004,     0,     0,     0,     0,     0,     0,
       0,  1004,  1004,  1004,  1004,     0,     0,     0,     0,     0,
    2057,     0,   933,     0,     0,  6860,     0,  1004,   933,   293,
    1004,  6861,  1004,  6862,     0,     0,  4767,     0,  6778,     0,
       0,     0,     0,     0,  1004,  1004,     0,     0,  1004,  6945,
    1159,  3044,     0,  2059,     0,     0,     0,     0,     0,     0,
    3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  1004,
    4444,  1004,     0,  1004,     0,     0,     0,     0,     0,     0,
       0,     0,  4441,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1004,     0,     0,     0,     0,     0,   141,     0,
       0,     0,     0,  2061,     0,   150,  1004,     0,     0,     0,
    6838,     0,  2062,     0,     0,     0,     0,     0,     0,     0,
     757,  2063,     0,     0,     0,     0,   152,     0,     0,  3324,
       0,     0,     0,     0,     0,  6863,     0,  1004,     0,  6860,
       0,     0,  2065,   293,   155,  6861,     0,  6862,     0,     0,
       0,  2066,  1004,  4444,     0,     0,  2067,     0,  6590,   159,
       0,     0,     0,     0,     0,     0,  1004,  1079,     0,  1539,
       0,     0,  3291,     0,  1004,     0,     0,  4490,     0,     0,
       0,     0,     0,  4767,     0,   289,     0,     0,     0,  4574,
       0,     0,  4444,  4441,     0,     0,     0,     0,     0,  4441,
       0,     0,     0,     0,     0,     0,  1591,     0,     0,  1591,
    3292,  1591,     0,  2068,     0,     0,  1591,  4491,     0,     0,
    1157,     0,     0,  1082,     0,     0,     0,     0,     0,     0,
    3856,     0,   757,   757,     0,     0,     0,     0,  1004,     0,
    1083,     0,     0,     0,     0,     0,     0,     0,     0,  6863,
       0,     0,     0,   757,     0,     0,   757,     0,  1445,  1591,
       0,     0,   932,     0,     0,     0,     0,  1591,     0,     0,
       0,     0,     0,  6860,     0,     0,     0,   293,   927,  6861,
       0,  6862,  3293,     0,     0,     0,     0,  2577,     0,     0,
       0,     0,  1591,     0,     0,  1086,     0,     0,  1004,     0,
    4444,     0,   289,   925,  1087,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1088,   932,     0,
       0,     0,     0,  3294,     0,     0,     0,     0,     0,     0,
     926,     0,     0,  4441,   927,  1157,     0,   933,   933,   933,
       0,  7028,     0,     0,     0,     0,     0,   932,     0,     0,
    1448,     0,     0,     0,  3071,     0,     0,     0,     0,   925,
       0,     0,   757,   927,     0,     0,     0,     0,     0,     0,
       0,  1591,     0,  1591,     0,     0,  7027,     0,  7050,     0,
       0,   757,     0,  6863,     0,     0,   926,     0,   925,     0,
      69,     0,     0,     0,     0,     0,     0,  7028,     0,     0,
       0,  7026,   757,  7071,     0,     0,     0,     0,     0,     0,
    1092,     0,  1157,     0,  1157,   926,  1157,     0,     0,     0,
       0,     0,  1157,  1670,  1671,     0,  7028,     0,     0,     0,
       0,     0,  7027,     0,  5897,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,  1157,
       0,     0,  1157,     0,  3295,     0,     0,  7026,     0,     0,
       0,  7027,     0,     0,     0,     0,     0,     0,     0,  1591,
       0,     0,     0,     0,     0,  5837,     0,  4444,     0,     0,
       0,     0,     0,     0,     0,     0,  7026,     0,     0,     0,
     972,  3296,     0,   757,  1097,     0,     0,     0,  1004,     0,
       0,     0,     0,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,     0,  1591,     0,     0,     0,     0,     0,     0,
       0,     0,  1452,     0,     0,  3297,     0,  5874,     0,     0,
       0,     0,  1101,     0,     0,     0,     0,     0,     0,  1102,
     933,  1591,  1103,     0,     0,     0,   757,     0,   757,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   757,  1104,   757,     0,     0,     0,     0,     0,     0,
    1454,  5124,   289,     0,     0,     0,     0,  1106,     0,     0,
    1455,     0,  1965,     0,  1004,  1108,     0,     0,  4444,     0,
       0,     0,     0,  3298,  4444,     0,     0,   289,     0,     0,
    3299,     0,     0,     0,     0,  1993,     0,  1670,  1671,     0,
       0,     0,     0,  1591,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1113,     0,     0,
       0,     0,     0,     0,   757,  1591,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1591,
    1346,  1348,     0,  2584,  1351,     0,  2585,     0,     0,     0,
    2586,  2587,  2588,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1401,     0,     0,     0,  3126,     0,
       0,  1411,     0,     0,     0,   757,     0,     0,  3127,     0,
       0,     0,     0,     0,     0,  3128,     0,  1157,     0,     0,
       0,  6944,     0,     0,     0,     0,     0,   757,     0,     0,
    1472,   757,  1475,     0,     0,  1477,     0,     0,  4444,     0,
       0,  3129,     0,     0,     0,     0,     0,     0,     0,  1502,
    2584,     0,   757,  2585,     0,  1506,     0,  2586,  2587,  2588,
       0,     0,     0,     0,     0,     0,     0,     0,  1004,     0,
       0,  1591,     0,     0,     0,  3126,     0,  1004,     0,     0,
       0,     0,     0,     0,     0,  3127,     0,     0,     0,     0,
       0,  1004,  3128,     0,     0,  1004,  1004,  1004,     0,     0,
       0,     0,  1004,     0,     0,  1004,     0,     0,  1004,     0,
       0,     0,     0,     0,  1004,     0,  1004,     0,  3129,  1004,
       0,     0,     0,  1591,  1004,  1004,  1004,  1004,     0,     0,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
       0,     0,     0,  1004,  1004,  1004,     0,     0,  1591,     0,
       0,     0,     0,  1004,     0,   289,     0,     0,  1004,  3130,
     933,     0,  1004,  2081,  3131,     0,     0,     0,     0,  2082,
    1004,     0,     0,  1004,     0,  1004,     0,     0,     0,     0,
       0,     0,     0,     0,  2184,     0,     0,  3132,  2778,     0,
       0,  1004,     0,     0,  1004,  1004,     0,     0,     0,  1004,
    1004,     0,     0,     0,  1004,     0,  1004,     0,     0,     0,
       0,     0,     0,     0,  2084,  3133,     0,    69,    69,  1004,
      69,     0,  1004,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1004,     0,     0,  3130,     0,     0,     0,
       0,  3131,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2845,     0,
       0,     0,     0,     0,  3132,  2778,     0,     0,     0,  2185,
       0,  2085,  3856,  3134,     0,     0,  3135,     0,  2086,     0,
    1004,     0,  2087,     0,     0,     0,     0,   996,  2383,     0,
       0,     0,  3133,     0,     0,     0,     0,  1004,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2088,     0,  2397,  1591,     0,     0,     0,     0,     0,     0,
       0,     0,  2408,     0,     0,     0,  2411,     0,     0,     0,
    2414,     0,  2416,     0,     0,  2845,     0,     0,  2424,   757,
       0,     0,     0,     0,  2430,     0,  2089,  2433,     0,     0,
    3134,     0,     0,  3135,     0,     0,     0,     0,     0,     0,
       0,     0,  1004,     0,     0,     0,     0,     0,     0,  3136,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2109,  2110,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,     0,   933,  1591,   933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2186,     0,     0,     0,
    2091,     0,     0,     0,   933,  1591,  2051,     0,     0,     0,
    2092,     0,     0,     0,     0,     0,  3136,     0,     0,     0,
    2093,     0,     0,     0,     0,  1157,  2255,     0,     0,     0,
    1157,  1157,  2094,     0,     0,     0,     0,     0,     0,     0,
       0,  2267,  2052,     0,     0,  3044,     0,     0,     0,     0,
     757,     0,     0,   757,  3045,  3046,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,     0,     0,     0,     0,  4656,     0,  4657,
       0,  2289,  2290,     0,  2187,     0,     0,  2096,  2097,    80,
       0,     0,     0,     0,    81,     0,     0,     0,    82,     0,
      83,     0,    84,    85,     0,     0,     0,  2327,     0,     0,
       0,     0,     0,    86,     0,  2053,     0,     0,  3204,  2188,
       0,     0,  2081,     0,  3211,  3213,     0,  1004,  2082,    90,
      91,     0,  3044,     0,     0,     0,     0,     0,     0,     0,
       0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
       0,     0,  2054,   757,   757,     0,     0,  1591,  4640,     0,
    1157,     0,     0,     0,   757,     0,     0,     0,     0,     0,
       0,  1004,  1004,  2084,  3856,     0,   100,     0,     0,     0,
       0,   757,     0,     0,     0,     0,     0,   101,     0,   102,
     103,     0,  2099,     0,     0,     0,  2403,  2405,     0,     0,
    3856,     0,  2055,     0,     0,  5734,  1591,  1280,     0,  1591,
    1004,  1004,     0,  1157,     0,     0,     0,   106,     0,     0,
       0,  1004,     0,  1157,     0,     0,     0,     0,     0,   107,
    2085,   108,   109,     0,     0,     0,     0,  2086,   110,     0,
     111,  2087,     0,     0,     0,     0,  2057,     0,     0,     0,
       0,     0,     0,   112,     0,   113,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2088,
     114,     0,   115,     0,     0,   117,     0,     0,   757,  2059,
       0,   933,     0,     0,     0,     0,     0,     0,     0,     0,
     118,     0,   119,     0,     0,     0,   120,     0,     0,     0,
       0,     0,     0,   121,     0,  2089,  1157,  1004,     0,  1157,
    1157,     0,   123,     0,   124,     0,     0,     0,     0,     0,
       0,   125,     0,  1004,   141,     0,  3323,     0,     0,  2061,
       0,     0,     0,     0,     0,     0,     0,     0,  2062,   127,
       0,  1004,     0,     0,     0,     0,     0,  2063,     0,     0,
       0,     0,     0,     0,     0,  3324,   128,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2065,  1004,
       0,     0,  1004,     0,     0,     0,     0,  2066,     0,     0,
    1004,  1004,  2067,  1591,     0,  2186,     0,  1004,  1004,  2091,
       0,     0,  1004,     0,     0,     0,     0,  1004,     0,  2092,
    1004,  1004,     0,     0,     0,     0,     0,  1004,     0,  2093,
     130,   131,     0,     0,     0,     0,   132,     0,  1004,     0,
    1157,  2094,     0,     0,  1004,     0,     0,     0,     0,     0,
       0,   133,  1004,     0,     0,     0,  1004,     0,     0,  2068,
       0,     0,     0,  3856,     0,     0,     0,     0,     0,     0,
     134,     0,     0,     0,     0,     0,     0,     0,  2081,     0,
       0,     0,     0,  2214,  2082,  2584,  2096,  2097,  2585,     0,
    1004,     0,  2586,  2587,  2588,     0,     0,     0,  1004,  2184,
       0,     0,     0,     0,     0,    76,     0,     0,     0,     0,
    3126,     0,     0,     0,     0,     0,     0,   136,  2215,     0,
    3127,     0,  3642,     0,     0,     0,     0,  3128,     0,  2084,
    1591,     0,   137,     0,     0,     0,     0,     0,   138,   139,
       0,   140,     0,   757,     0,     0,   141,     0,  1004,  3656,
       0,     0,   142,  3129,     0,   143,     0,     0,     0,  3664,
       0,  3665,   144,     0,     0,     0,     0,  3669,     0,   145,
     146,  3672,     0,     0,     0,     0,     0,   147,     0,     0,
       0,   148,     0,  1591,  2185,     0,  2085,     0,     0,     0,
       0,  2099,   149,  2086,     0,     0,     0,  2087,     0,     0,
     757,     0,     0,     0,     0,  1591,     0,     0,     0,   151,
       0,     0,   757,     0,     0,     0,     0,     0,    69,     0,
       0,    69,     0,     0,     0,  2088,     0,   751,  1004,     0,
     153,     0,   154,     0,   923,  1004,     0,     0,     0,     0,
       0,     0,   156,     0,     0,     0,   757,     0,   157,     0,
       0,     0,     0,   158,     0,     0,     0,     0,     0,     0,
       0,  2089,     0,     0,     0,     0,   160,     0,   923,     0,
       0,  3130,     0,     0,     0,     0,  3131,  1591,  3856,     0,
    3322,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,     0,     0,  3132,
    2778,   923,     0,  1004,     0,  3367,     0,     0,     0,   162,
       0,     0,     0,  -149,  3804,  3805,     0,  3679,     0,  1004,
       0,     0,     0,     0,   933,  3686,     0,  3133,     0,     0,
       0,  3841,  3842,     0,     0,     0,     0,  1345,     0,     0,
       0,  2186,     0,   757,     0,  2091,  1357,     0,     0,     0,
    1004,     0,     0,     0,  1357,  2092,     0,  1357,     0,     0,
       0,     0,     0,  3887,     0,  2093,     0,     0,     0,     0,
    2845,     0,     0,     0,     0,     0,     0,  2094,  3455,     0,
       0,     0,     0,     0,     0,  3134,  2081,     0,  3135,     0,
       0,     0,  2082,     0,     0,     0,     0,  1591,     0,  1591,
       0,     0,     0,     0,     0,     0,     0,  2083,  3481,  3482,
    3483,  3484,     0,     0,     0,     0,     0,     0,     0,  4294,
       0,     0,  2096,  2097,     0,  6884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2084,     0,     0,
     757,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4295,     0,     0,     0,     0,     0,
       0,  1345,     0,     0,     0,     0,  1004,     0,     0,  2081,
    1357,     0,     0,  3538,  3539,  2082,  1004,  1357,     0,  1004,
    1357,  3136,  1004,  1004,  1004,     0,     0,     0,     0,  3556,
       0,     0,     0,     0,  2085,     0,     0,     0,     0,     0,
       0,  2086,     0,     0,     0,  2087,     0,  1004,  1004,     0,
       0,  1004,     0,     0,     0,     0,     0,     0,     0,     0,
    2084,     0,     0,  3599,  3600,  3601,  3602,  2099,  1004,     0,
       0,     0,     0,  2088,     0,  1004,  3856,     0,     0,  3856,
    1004,     0,  3856,  1004,  1004,     0,     0,     0,     0,     0,
       0,  1004,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2089,
       0,     0,  1004,     0,     0,  1004,     0,  2085,     0,     0,
       0,   757,     0,   757,  2086,     0,     0,  3044,  2087,     0,
       0,     0,     0,     0,     0,     0,  3045,  3046,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,  1004,     0,     0,     0,     0,
       0,  4658,     0,     0,     0,     0,  2088,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1591,   757,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1004,  3698,     0,     0,     0,     0,     0,  3702,  2090,
       0,     0,  2089,  2091,     0,     0,     0,     0,     4,     0,
       0,     0,     0,  2092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2093,     0,     0,     0,     5,     0,     0,
       0,   933,     0,     0,     0,  2094,  1004,     6,     7,     0,
       0,     0,     8,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,    36,     0,    37,  2095,    38,    39,
    2096,  2097,  2186,     0,    40,     0,  2091,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,  2092,  1004,     0,     0,
    1591,     0,     0,     0,     0,     0,  2093,     0,     0,     0,
       0,     0,  2098,     0,     0,     0,     0,     0,  2094,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2052,
       0,     0,     0,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,    41,     0,     0,     0,     0,     0,     0,     0,
       0,  1004,     0,     0,     0,  1004,     0,  1004,     0,     0,
    3304,     0,     0,  2096,  2097,     0,     0,     0,     0,     0,
       0,  1004,  1345,  1004,     0,     0,     0,  1004,  1357,     0,
    2081,     0,  1357,  1004,  1357,  2099,  2082,  1004,     0,     0,
       0,     0,  2053,  1591,  1004,  3305,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3900,     0,     0,
       0,     0,     0,     0,  3204,     0,     0,     0,     0,     0,
       0,    42,     0,     0,     0,     0,     0,     0,     0,  2054,
       0,  2084,     0,     0,     0,     0,     0,     0,     0,     0,
    1004,     0,    43,     0,     0,     0,  1591,  2330,     0,  2332,
    2333,  1591,  1591,     0,     0,     0,  1004,     0,     0,     0,
       0,     0,  1004,  1004,   757,     0,    44,     0,  2099,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   757,  2055,
       0,  2081,     0,     0,     0,     0,     0,  2082,  2085,     0,
       0,    45,     0,  4008,  4008,  2086,     0,     0,  1004,  2087,
       0,     0,     0,     0,     0,     0,  1004,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,  2584,     0,  2056,
    2585,     0,     0,  2057,  2586,  2587,  2588,  2088,     0,     0,
       0,     0,  2084,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,  3126,     0,    46,     0,  1965,    47,     0,    69,
      69,     0,  3127,     0,     0,  2118,  2059,     0,     0,  3128,
       0,     0,     0,  2089,  1591,  1591,     0,     0,     0,     0,
      48,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3129,  6591,     0,  3979,  2085,
    1004,   933,     0,  1157,     0,     0,  2086,  2119,     0,     0,
    2087,   141,  1004,     0,     0,     0,  2061,     0,     0,     0,
       0,  1004,  1004,  1004,     0,  2062,     0,  1004,     0,     0,
    1004,     0,     0,     0,  2063,     0,     0,     0,  2088,     0,
       0,  1004,  2120,     0,   923,  2081,     0,     0,  1004,     0,
       0,  2082,     0,  2090,     0,  2065,     0,  2091,     0,     0,
       0,     0,     0,     0,  2066,     0,  1004,  2092,     0,  2067,
       0,  1358,   751,  1004,  2089,    49,     0,  2093,     0,  1358,
       0,   751,  1358,     0,     0,     0,     0,     0,     0,  2094,
    4166,     0,  1004,     0,     0,   751,  2084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3130,   751,     0,     0,   933,  3131,     0,
     757,     0,     0,     0,     0,     0,  2068,     0,     0,    50,
       0,  3386,     0,   751,  2096,  2097,     0,     0,     0,   751,
       0,  3132,  2778,     0,     0,     0,    51,     0,     0,     0,
       0,   751,     0,  2085,  2186,     0,     0,     0,  2091,     0,
    2086,    52,     0,     0,  2087,     0,  3387,     0,  2092,  3133,
       0,     0,     0,     0,  1004,     0,     0,  1157,  2093,     0,
       0,   751,     0,     0,     0,  1157,     0,     0,  1157,     0,
    2094,    53,  2088,     0,     0,  1358,   751,     0,     0,     0,
    1157,     0,  1358,     0,   751,  1358,    54,    55,    56,    57,
      58,    59,  2845,     0,    60,    61,    62,    63,   751,    64,
      65,    66,    67,    68,     0,     0,     0,  3134,  2089,  1004,
    3135,     0,  4150,     0,   751,  2096,  2097,     0,     0,  2099,
       0,     0,     0,     0,     0,  1004,   933,     0,     0,  1591,
       0,     0,     0,  2081,  1004,     0,  1004,     0,  1004,  2082,
       0,     0,     0,     0,     0,     0,     0,  2098,     0,     0,
       0,     0,   757,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1004,     0,   749,     0,
       0,     0,   751,     0,     0,   921,     0,     0,     0,   757,
       0,     0,  3900,     0,  2084,     0,     0,     0,  2186,     0,
       0,     0,  2091,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2092,  3136,     0,     0,     0,     0,     0,   921,
       0,   751,  2093,     0,     0,     0,     0,     0,     0,     0,
    2099,  1004,     0,     0,  2094,     0,     0,     0,  1199,     0,
       0,  1004,     0,   923,  1199,  1199,     0,     0,   751,  1004,
    1004,  2085,   921,     0,     0,  1004,     0,     0,  2086,     0,
     751,     0,  2087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4341,     0,     0,  2096,
    2097,     0,  1004,     0,     0,     0,     0,     0,  6893,     0,
    2088,     0,  1004,     0,     0,     0,     0,     0,  4527,  4530,
       0,     0,   751,   751,     0,     0,     0,     0,     0,     0,
       0,  4342,     0,     0,     0,     0,     0,     0,     0,  3044,
       0,     0,     0,     0,     0,     0,  2089,   757,  3045,  3046,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,     0,     0,     0,
       0,     0,     0,  4709,     0,     0,     0,     0,     0,     0,
       0,     0,  1004,     0,     0,     0,     0,     0,  1004,     0,
       0,     0,     0,  4123,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,  1004,     0,     0,     0,
       0,     0,     0,  1004,  2099,     0,     0,     0,     0,     0,
       0,     0,     0,  1004,     0,  2081,  1004,  6893,     0,  1004,
       0,  2082,     0,     0,     0,     0,  2186,     0,     0,     0,
    2091,     0,     0,     0,     0,  4512,     0,     0,     0,     0,
    2092,     0,     0,  4521,     0,   923,  1004,     0,     0,     0,
    2093,     0,   751,     0,     0,     0,     0,     0,     0,     0,
    4536,     0,  2094,  1358,     0,     0,  2084,  1358,     0,  1358,
    4542,     0,     0,  4543,     0,  4544,  4545,  2051,     0,  4547,
       0,     0,     0,  4550,     0,  4551,     0,     0,  4553,     0,
    1004,     0,     0,     0,  1004,     0,     0,     0,     0,  1004,
       0,     0,     0,     0,  4888,     0,     0,  2096,  2097,     0,
       0,     0,  1004,  2052,     0,     0,     0,     0,     0,   933,
       0,     0,     0,  2085,     0,  4272,  1591,     0,  4275,     0,
    2086,     0,     0,     0,  2087,     0,     0,     0,     0,  4889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2088,  1004,  1004,     0,  4595,     0,     0,     0,
       0,  1004,     0,     0,     0,   933,  2053,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2584,     0,     0,  2585,
    1004,  1004,     0,  2586,  2587,  2588,     0,     0,  2089,     0,
       0,     0,  1345,     0,   933,  1345,     0,     0,     0,     0,
       0,  3126,  2099,  2054,     0,     0,     0,  4370,     0,     0,
    3204,  3127,     0,  4802,   751,  1157,     0,     0,  3128,     0,
    4383,     0,     0,     0,     0,     0,     0,     0,  4392,     0,
       0,     0,     0,     0,     0,     0,  1357,  1357,     0,  4815,
    4815,     0,     0,     0,  3129,     0,     0,     0,     0,     0,
       0,  1357,     0,  2055,  1357,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4436,  2186,     0,
       0,     0,  2091,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2092,     0,     0,     0,     0,     0,  4464,     0,
       0,     0,  2093,  2056,   751,     0,     0,  2057,     0,     0,
       0,    80,     0,     0,  2094,     0,    81,     0,     0,     0,
      82,   751,    83,     0,    84,    85,     0,     0,     0,     0,
       0,     0,  1357,     0,     0,    86,  1357,  1357,   751,  2135,
    2059,     0,     0,   751,     0,     0,     0,     0,     0,     0,
       0,    90,    91,     0,     0,     0,  4959,     0,     0,  2096,
    2097,     0,     0,  4538,     0,  4540,     0,     0,     0,     0,
       0,     0,  3130,     0,     0,     0,     0,  3131,     0,     0,
       0,  2136,     0,     0,     0,   141,     0,     0,     0,     0,
    2061,  4960,     0,     0,     0,     0,     0,     0,   100,  2062,
    3132,  2778,     0,     0,     0,     0,     0,     0,  2063,   101,
       0,   102,   103,     0,     0,     0,  2137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3133,  2065,
       0,     0,     0,     0,     0,     0,     0,     0,  2066,   106,
       0,     0,     0,  2067,     0,     0,     0,     0,     0,     0,
       0,   107,     0,   108,   109,     0,     0,     0,     0,     0,
     110,     0,   111,     0,  2099,     0,     0,  4598,     0,     0,
       0,  2845,     0,     0,  4605,   112,     0,   113,     0,     0,
       0,     0,  4870,     0,     0,     0,  3134,   751,     0,  3135,
       0,     0,   114,     0,   115,   751,   751,   117,     0,     0,
    2068,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   118,     0,   119,     0,     0,     0,   120,     0,
       0,     0,     0,     0,     0,  6360,     0,     0,     0,     0,
       0,     0,     0,     0,   123,     0,   124,     0,     0,     0,
       0,     0,     0,   125,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   923,     0,     0,     0,     0,     0,
       0,   127,  4931,   751,  4933,     0,     0,     0,     0,     0,
       0,     0,  2584,     0,     0,  2585,     0,     0,   128,  2586,
    2587,  2588,  3136,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3126,     0,     0,
     923,     0,     0,     0,     0,     0,     0,  3127,     0,     0,
       0,     0,     0,     0,  3128,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   923,     0,
       0,     0,   130,   131,     0,     0,     0,     0,   132,     0,
    3129,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,   133,     0,   921,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5120,
       0,     0,   134,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   749,     0,     0,     0,     0,  3044,     0,
       0,     0,   749,     0,     0,     0,     0,  3045,  3046,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,   749,     0,  5036,     0,
    3885,     0,     0,     0,  5043,     0,     0,     0,     0,   136,
       0,     0,     0,     0,     0,   749,     0,     0,     0,     0,
       0,     0,     0,     0,   137,     0,     0,     0,     0,     0,
     138,   139,     0,   140,   749,     0,     0,     0,   141,     0,
     749,  5185,     0,     0,   142,     0,     0,   143,  3130,     0,
       0,     0,   749,  3131,   144,     0,     0,     0,     0,     0,
       0,   145,   146,  5208,     0,     0,     0,     0,     0,   147,
    4530,     0,     0,   148,     0,     0,  3132,  2778,     0,     0,
       0,     0,   749,     0,   149,     0,     0,     0,     0,  4876,
    4877,     0,     0,     0,     0,     0,     0,   749,     0,     0,
       0,   151,     0,     0,  3133,   749,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   751,     0,     0,     0,   749,
       0,     0,   153,     0,   154,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   156,   749,     0,     0,     0,     0,
     157,     0,  1157,     0,     0,   158,     0,  2845,   751,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   160,     0,
       0,     0,  3134,     0,     0,  3135,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,   923,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   749,     0,     0,     0,     0,     0,     0,
       0,   162,     0,     0,     0,  -149,   751,     0,     0,     0,
       0,     0, -2741,  5220,   751,  5222,     0,  5224,     0,     0,
       0,     0,   751,     0,     0,     0,     0,     0,     0,     0,
    1199,     0,   749,     0,  1199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   921,     0,     0,     0,  3136,   749,
       0,     0,     0,     0,     0, -2741,     0,     0,     0,     0,
       0,   749,     0,     0,     0,     0,     0,     0, -2741,     0,
       0,     0,     0,     0, -2741,  2584,     0,     0,  2585,     0,
   -2741,     0,  2586,  2587,  2588,     0, -2741,     0,     0, -2741,
       0,  1358,  1358, -2741,   751,   751,     0,     0,     0,     0,
    3126,     0,     0,   749,   749,     0,  1358,     0,   751,  1358,
    3127,     0,     0,     0,     0,     0,     0,  3128,     0,     0,
       0,   751,   751, -2741,     0,     0,     0,     0,     0,     0,
       0,     0,  5060,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3129,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3044,     0, -2741,     0,     0,     0,
       0,     0,     0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,     0,     0,  5448,     0,  4650,  1358,     0,     0,
       0,  1358,  1358,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     4,     0,     0,     0,     0,     0,
    1199,  1199,     0,     0,     0,     0,     0, -2741,     0,     0,
       0, -2741,     0,     5,     0,     0,     0, -2741,     0,     0,
       0,     0,  1345,     6,     7,  1357,   921,  1357,  1357,     0,
       9,    10,     0,   749,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,  3130,    37,     0,    38,    39,  3131,     0,     0,     0,
      40,     0,     0,   750,     0,     0,     0, -2741,     0,     0,
     922,     0,  1157,     0,     0,     0,     0,     0,     0,  3132,
    2778,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   923,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,  2584,   922,  5228,  2585,  3133,     0,     0,
    2586,  2587,  2588,     0,  1157,     0,     0,     0,    41,     0,
       0,     0,     0,  1200,     0,  1157,  1175,     0,  3126,  1200,
    1200,     0,     0,     0,     0,     0,     0,   922,  3127,     0,
       0,     0,     0,     0,     0,  3128,     0,     0,     0,     0,
    2845,     0,     0,     0,     0,     0, -2741, -2743,     0,     0,
       0,     0,     0,     0,     0,  3134,     0,     0,  3135,     0,
       0,  3129,     0,     0,     0,     0,     0,     0,     0,     0,
   -2741,     0, -2741, -2741,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   749,     0,    42,     0,     0,
       0,  1670,  1671,     0, -2741,     0,     0,     0,     0,     0,
   -2743,     0,     0,     0,     0,     0,     0,     0,    43,     0,
       0,     0,     0, -2743, -2741,     0,     0, -2741, -2741, -2743,
   -2741,     0,     0,     0,     0, -2743,     0,     0,     0,     0,
       0, -2743,    44,     0, -2743,     0,     0,     0, -2743,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3136,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,   749,     0,     0, -2743,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3130,
       0,  1157,   749,     0,  3131,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   749,
       0, -2743,     0,     0,   749,     0,   996,  3132,  2778,     0,
      46,     0,     0,    47,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4530,  4530,  4530,  4530,  4530,
       0,     0,     0,     0,     0,  3133,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0, -2743,     0,     0,     0, -2743,  3044,     0,     0,
       0,     0, -2743,     0,     0,     0,  3045,  3046,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,     0,     0,     0,  2845,  5073,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3134,     0,     0,  3135,     0,     0,     0,
    2584,     0,     0,  2585,     0,     0,     0,  2586,  2587,  2588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2743,     0,     0,  3126,     0,     0,     0,     0,
       0,    49,     0,     0,     0,  3127,     0,     0,     0,     0,
       0,     0,  3128,     0,     0,     0,     0,     0,   749,     0,
       0,     0,     0,     0,     0,     0,   749,   749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3129,     0,
       0,  5768,     0,     0,  5770,     0,     0,     0,     0,     0,
       0,  1175,     0,     0,     0,    50,     0,     0,     0,  3136,
       0,     0,     0,     0,  1345,     0,     0,  1357,     0,  1357,
    1357,     0,    51,     0,  5785,     0,     0,     0,     0,     0,
       0, -2743,     0,     0,     0,   921,     0,    52,     0,     0,
       0,     0,     0,     0,   749,     0,     0,     0,     0,     0,
       0,     0,  3204,     0,     0, -2743,     0, -2743, -2743,     0,
       0,     0,     0,     0,     0,     0,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2743,
      69,   921,    54,    55,    56,    57,    58,    59,     0,     0,
      60,    61,  1636,     0,     0,     0,     0,    66,  1637, -2743,
       0,     0, -2743, -2743,     0, -2743,  3130,     0,     0,   921,
       0,  3131,     0,     0,     0,  3044,     0,     0,     0,     0,
    1199,     0,     0,     0,  3045,  3046,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,     0,  3132,  2778,     0,  5275,  5646,     0,
    1157,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,  1157,  5648,     0,     0,     0,     0,  2584,     0,     0,
    2585,  1199,  3133,     0,  2586,  2587,  2588,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5985,  5986,
       0,     0,  3126,  5989,  5990,     0,     0,     0,     0,     0,
       0,   996,  3127,     0,     0,   751,     0,     0,     0,  3128,
       0,     0,     0,     0,     0,  2845,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1199,     0,     0,
    3134,   751,     0,  3135,     0,  3129,     0,     0,     0,     0,
       0,     0,     0,     0,  1199,     0,     0,     0,  5934,   751,
       0,     0,     0,     0,   923,   751,     0,     0,     0,   751,
       0,   996,     0,     0,     0,     0,     0,     0,   751,   996,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   751,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1358,     0,  1358,  1358,  5972,  5973,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   749,   751,     0,     0,
       0,     0,     0,     0,     0,     0,  3136,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   751,   751,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   749,
       0,     0,     0,  3130,     0,     0,     0,     0,  3131,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   923,   751,     0,  2081,   923,     0,
       0,  3132,  2778,  2082,   921,     0,     0,     0,     0,     0,
    2144,     0,     0,     0,     0,     0,     0,     0,  6016,  6017,
     751,     0,   923,     0,     0,     0,   751,   749,     0,  3133,
       0,     0,  2145,     0,     0,   749,     0,     0,     0,     0,
     751,     0,     0,   749,     0,     0,     0,   751,  2084,     0,
     751,     0,  3044,     0,     0,     0,   751,     0,     0,     0,
     922,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
       0,     0,  2845,     0,  5348,     0,   751,     0,     0,     0,
       0,     0,   751,     0,  2146,     0,     0,  3134,   750,   751,
    3135,     0,     0,     0,     0,     0,     0,   750,     0,     0,
       0,     0,     0,   751,     0,  2085,     0,     0,     0,     0,
       0,   750,  2086,     0,     0,     0,  2087,   751,     0,     0,
       0,     0,   923,     0,     0,   749,   749,     0,   751,     0,
     750,     0,     0,     0,     0,     0,     0,     0,     0,   749,
       0,     0,     0,     0,  2088,     0,     0,     0,     0,   750,
       0,  6112,   749,   749,     0,   750,     0,     0,     0,     0,
       0,  6193,  6115,  6116,     0,     0,     0,   750,     0,     0,
       0,     0,     0,     0,     0,     0,  2147,     0,     0,     0,
    2089,     0,  6121,  3136,     0,     0,     0,     0,   923,     0,
       0,     0,     0,     0,     0,     0,     0,   750,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   750,     0,     0,     0,     0,     0,     0,     0,
     750,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   750,  1157,     0,     0,     0,  2148,
       0,     0,     0,     0,  2149,     0,     0,     0,     0,     0,
     750,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2150,     0,     0,     0,  2091,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2093,     0,     0,     0,     0,  3044,
       0,     0,     0,     0,  6008,  2151,  2094,     0,  3045,  3046,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,     0,   750,  6012,
       0,  5466,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   921,     0,     0,     0,     0,  2152,     0,
       0,  2096,  2097,  2153,     0,  1200,     0,   750,     0,  1200,
       0,     0,  2584,     0,     0,  2585,     0,     0,     0,  2586,
    2587,  2588,     0,     0,     0,     0,     0,  2154,     0,   922,
       0,     0,     0,  2155,   750,     0,     0,  3126,   751,     0,
     923,     0,     0,     0,     0,     0,   750,  3127,  2156,     0,
       0,     0,     0,     0,  3128,     0,     0,     0,   751,     0,
    6070,     0,     0,     0,     0,   751,     0,     0,     0,     0,
       0,     0,  1358,     0,  1358,  1358,     0,     0,     0,     4,
    3129,     0,     0,     0,     0,     0,     0,     0,   750,   750,
       0,     0,     0,     0,     0,     0,     0,     0,     5,     0,
       0,     0,     0,     0,     0,     0,  2099,     0,     6,     7,
       0,     0,     0,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,     0,    38,
      39,     0,     0,     0,     0,    40,     0,     0,     0,     0,
       0,     0,   923,     0,     0,     0,     0,     0,   923,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1200,  1200,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,  3130,     0,
       0,     0,     0,  3131,     0,     0,     0,     0,     0,     0,
       0,   922,     0,    41,     0,     0,     0,     0,   750,     0,
       0,     0,     0,     0,     0,     0,  3132,  2778,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3133,     0,     0,     0,     0,     0,
     751,     0,     0,     0,     0,     0,     0,     0,     0,  6462,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   996,     0,     0,   996,     0,     0,
       0,     0,    42,     0,     0,     0,     0,  2845,     0,     0,
       0,  6589,     0,     0,  6224,     0,  6226,     0,     0,     0,
       0,     0,  3134,    43,     0,  3135,     0,     0,     0,     0,
       0,     0,     0,  6499,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   751,   751,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     750,     0,     0,   751,     0,     0,   751,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3136,     0,
       0,     0,     0,     0,  6684,    46,     0,     0,    47,     0,
       0,     0,     0,     0,     0,     0,     0,   996,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6594,
       0,    48,  6351,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     750,     0,     0,     0,     0,     0,     0,   923,   923,   923,
       0,     0,     0,     0,     0,     0,     0,   750,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   751,     4,   750,     0,     0,     0,     0,   750,
       0,     0,     0,     0,  3044,     0,     0,     0,     0,     0,
       0,   751,     5,  3045,  3046,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,     6,     7,  3525,     0,    49,     0,     0,     9,
      10,     0,   751,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,     0,    38,    39,     0,     0,     0,     0,    40,
       0,     0,     0,     0,     0,     0,   749,     0,     0,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,     0,
       0,     0,   749,     0,     0,  6495,     0,  6497,     0,     0,
       0,     0,    52,     0,     0,     0,     0,     0,     0,     0,
     749,     0,     0,   751,     0,   921,   749,    41,     0,     0,
     749,     0,     0,     0,     0,     0,     0,     0,     0,   749,
       0,     0,    53,   750,     0,     0,   996,   996,     0,     0,
       0,   750,   750,     0,   749,     0,     0,    54,    55,    56,
      57,    58,    59,     0,     0,    60,    61,  1636,  2436,     0,
     923,     0,    66,     0,     0,     0,   751,     0,   751,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   749,     0,
       0,   751,     0,   751,     0,     0,     0,     0,     0,     0,
       0,  1199,     0,     0,     0,     0,    42,     0,   749,   749,
     922,     0,     0,     0,     0,     0,     0,     0,     0,   750,
       0,     0,     0,     0,     0,     0,     0,    43,     0,     0,
       0,     0,  2584,     0,     0,  2585,     0,     0,     0,  2586,
    2587,  2588,     0,     0,     0,   921,   749,  1079,     0,   921,
       0,    44,  1080,     0,     0,     0,   922,  3126,     0,     0,
       0,     0,     0,     0,   751,     0,     0,  3127,     0,     0,
       0,   749,     0,   921,  3128,     0,    45,   749,     0,     0,
       0,     0,     0,     0,   922,     0,     0,     0,     0,     0,
    1081,   749,     0,     0,     0,  1200,  1199,     0,   749,     0,
    3129,   749,     0,  1082,     0,     0,     0,   749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1083,     0,     0,     0,     0,   751,     0,   749,     0,    46,
       0,     0,    47,   749,     0,     0,  1200,     0,  1084,     0,
     749,     0,     0,     0,     0,     0,     0,   751,     0,     0,
    6915,   751,     0,     0,   749,    48,     0,     0,     0,     0,
       0,     0,  1085,     0,     0,     0,     0,     0,   749,     0,
       0,     0,   751,   921,     0,  1086,     0,     0,     0,   749,
       0,     0,     0,     0,  1087,     0,  6715,     0,     0,     0,
       0,     0,  1200,     0,     0,     0,     0,  1088,     0,     0,
       0,     0,     0,  1089,  7025,     0,     0,   996,     0,  1200,
    1090,   996,     0,     0,     0,     0,     0,     0,  3130,     0,
       0,     0,     0,  3131,  2584,     0,     0,  2585,     0,     0,
    1091,  2586,  2587,  2588,     0,     0,     0,     0,     0,   921,
       0,     0,     0,     0,     0,     0,  3132,  2778,     0,  3126,
      49,     0,     0,     0,     0,     0,     0,     0,     0,  3127,
    7025,     0,     0,     0,     0,     0,  3128,     0,     0,     0,
       0,     0,     0,     0,  3133,     0,     0,     0,     0,     0,
     923,   750,     0,     0,     0,     0,     0,     0,     0,  7025,
    1092,     0,  3129,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   750,     0,     0,  2845,     0,     0,
       0,    51,     0,     0,     0,     0,     0,     0,  6819,     0,
       0,     0,  3134,     0,  1093,  3135,    52,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1094,     0,   922,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1095,     0,     0,     0,     0,     0,    53,     0,     0,     0,
     972,  1096,   750,     0,  1097,     0,     0,     0,     0,     0,
     750,    54,    55,    56,    57,    58,    59,     0,   750,    60,
      61,  1636,  3703,     0,     0,     0,    66,     0,     0,     0,
       0,     0,  1098,     0,     0,  1099,     0,     0,     0,  1100,
    3130,     0,  1101,     0,     0,  3131,     0,     0,     0,  1102,
       0,     0,  1103,     0,     0,     0,     0,     0,  3136,   749,
       0,   921,     0,     0,     0,     0,     0,     0,  3132,  2778,
       0,     0,  1104,     0,     0,     0,     0,     0,     0,   749,
    1105,     0,     0,     0,     0,     0,   749,  1106,  6919,   751,
    1107,     0,     0,     0,     0,  1108,  3133,     0,     0,     0,
     750,   750,     0,  1109,  6041,  1110,     0,     0,     0,     0,
    1111,     0,     0,     0,   750,     0,     0,     0,     0,     0,
    1502,  1502,     0,     0,  1112,     0,     0,   750,   750,     0,
       0,     0,     0,     0,     0,   996,     0,  1113,     0,  2845,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   923,     0,     0,  3134,     0,   923,  3135,   923,     0,
       0,     0,     0,     0,  3044,     0,     0,     0,     0,     0,
       0,     0,     0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,     0,   921,   923,     0,  5490,     0,     0,   921,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2584,     0,     0,  2585,
       0,     0,     0,  2586,  2587,  2588,     0,     0,     0,     0,
     751,     0,     0,   751,     0,     0,     0,     0,     0,     0,
       0,  3126,     0,     0,     0,     0,     0,     0,     0,     0,
    3136,  3127,     0,     0,     0,     0,  1502,     0,  3128,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   749,     0,     0,  3129,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   922,     0,
       0,     0,     0,   996,     0,     0,     0,     0,     0,     0,
     996,     0,     0,   751,   751,   996,     0,     0,   996,  6183,
       0,     0,     0,     0,   751,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   751,     0,     0,     0,     0,  3044,   996,     0,     0,
       0,     0,     0,     0,     0,  3045,  3046,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,     0,     0,     0,     0,  5695,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     996,     0,     0,   749,   749,     0,     0,     0,     0,     0,
       0,     0,  3130,     0,     0,     0,     0,  3131,     0,     0,
       0,     0,     0,     0,   749,     0,     0,   749,     0,     0,
       0,     0,     0,     0,     0,     0,  1357,     0,     0,     0,
    3132,  2778,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   751,     0,
       0,   923,     0,     0,     0,     0,     0,     0,  3133,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2584,  1357,     0,  2585,     0,     0,     0,  2586,  2587,  2588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3126,     0,     0,   921,   921,
     921,  2845,     0,     0,     0,  3127,  2584,     0,     0,  2585,
       0,     0,  3128,  2586,  2587,  2588,  3134,     0,     0,  3135,
       0,     0,     0,   749,     0,     0,     0,     0,     0,     0,
       0,  3126,   996,     0,     0,     0,     0,     0,  3129,     0,
       0,  3127,   749,     0,     0,     0,     0,     4,  3128,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   749,     0,     0,     5,     0,     0,     0,
       0,     0,     0,     0,  3129,     0,     6,     7,     0,     0,
       0,     0,     0,     9,    10,     0,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,  3136,     0,     0,    37,     0,    38,    39,     0,
       0,     0,   996,    40,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   749,     0,  3130,     0,     0,     0,
       0,  3131,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    41,     0,     0,  3132,  2778,     0,     0,     0,     0,
       0,     0,  3130,   751,     0,     0,     0,  3131,     0,     0,
       0,   921,     0,     0,     0,   931,     0,   749,     0,   749,
       0,     0,  3133,     0,     0,     0,     0,     0,  3044,     0,
    3132,  2778,   749,  1002,   749,     0,     0,  3045,  3046,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,     0,     0,     0,   931,
    5819,  6534,     0,     0,     0,     0,     0,     0,  3133,     0,
     751,     0,     0,     0,     0,  2845,     0,     0,  1203,     0,
      42,     0,   751,     0,  1203,  1203,     0,     0,     0,   996,
    3134,     0,   931,  3135,     0,     0,     0,     0,     0,     0,
       0,    43,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2845,     0,     0,     0,   749,   751,     0,     0,     0,
       0,     0,     0,     0,     0,    44,  3134,     0,     0,  3135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   996,     0,     0,     0,   749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3136,     0,     0,     0,
       0,     0,     0,     0,   923,     0,     0,     0,   749,     0,
       0,     0,   749,    46,     0,     0,    47,     0,     0,     0,
       0,   996,     0,   751,     0,     0,     0,     0,     0,     0,
       0,   750,  3136,   749,     0,     0,     0,     0,     0,    48,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   750,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   750,     0,     0,     0,     0,
     922,   750,     0,     0,     0,   750,     0,     0,     0,     0,
       0,     0,     0,     0,   750,     0,     0,     0,     0,     0,
       0,     0,  3044,     0,     0,     0,     0,     0,     0,   750,
       0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
     751,     0,     0,     0,  5856,     0,     0,     0,     0,   996,
       0,     0,     0,     0,    49,     0,     0,     0,  3044,     0,
       0,   921,     0,   750,     0,     0,     0,  3045,  3046,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  1200,     0,     0,     0,
    5860,     0,     0,   750,   750,     0,     0,     0,     0,     0,
    1588,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,     0,     0,     0,     0,     0,  1588,     0,     0,     0,
     922,   750,     0,     0,   922,    51,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      52,     0,     0,     0,     0,     0,   750,     0,   922,     0,
       0,     0,   750,     0,     0,     0,     0,     0, -2760,     0,
       0,  1357,     0,     0,     0,     0,   750,     0,     0,     0,
      53,  1200,     0,   750,     0,     0,   750,     0,     0,     0,
       0,   751,   750,   751,     0,    54,    55,    56,    57,    58,
      59,     0,     0,    60,    61,  1636,     0,     0,     0,     0,
      66,     0,   750,     0,     0,     0,     0,     0,   750,     0,
       0, -2760,     0,     0,     0,   750,     0,     0,     0,     0,
       0,     0,     0,     0, -2760,     0,   996,     0,     0,   750,
   -2760,   751,     0,     0,  1357,  1357, -2760,     0,     0,     0,
     749,  1358, -2760,   750,     0, -2760,     0,     0,   922, -2760,
       0,     0,     0,     0,   750,     0,     0,  2584,     0,     0,
    2585,     0,     0,     0,  2586,  2587,  2588,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2760,
       0,   923,  3126,     0,     0,     0,  1358,     0,     0,     0,
       0,     0,  3127,     0,     0,     0,     0,  2584,     0,  3128,
    2585,     0,   921,     0,  2586,  2587,  2588,   921,     0,   921,
       0,     0, -2760,     0,   922,     0,     0,     0,     0,     0,
       0,     0,  3126,     0,     0,  3129,     0,     0,     0,     0,
       0,     0,  3127,     0,     0,   921,     0,   996,     0,  3128,
       0,     0,     0,   996,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6949,     0, -2760,     0,  3129,     0, -2760,     0,     0,
       0,     0,     0, -2760,     0,     0,     0,     0,     0,     0,
       0,   749,     0,     0,   749,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2234, -2760,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3130,     0,     0,     0,     0,  3131,     0,
       0,  1588,     0,     0,     0,     0,     0,     0,     0,  7006,
       0,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
       0,  3132,  2778,     0,   749,   749,     0,   996,  1588,     0,
       0,     0,     0,  3130,     0,   749,     0,     0,  3131,     0,
       0,     0,  1175,     0,     0,     0,     0,     0,     0,  3133,
       0,     0,   749,     0,   750,     0,   922,     0,     0,     0,
       0,  3132,  2778,     0,   751,     0,     0,     0,     0,     0,
       0,     0, -2760,     0,   750,     0,     0,     0,   751,  7006,
       0,   750,     0,     0,     0,     0,  7063,     0,     0,  3133,
       0,     0,  2845,     0,     0,     0, -2760,     0, -2760, -2760,
       0,     0,     0,     0,     0,  1357,  1357,  3134,     0,   923,
    3135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2760,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2845,     0,     0,     0,     0,     0,     0,     0,
   -2760,     0,     0, -2760, -2760,     0, -2760,  3134,     0,   749,
    3135,     0,   921,     0,     0,   931,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1002,     0,     0,     0,     0,   922,     0,
       0,     0,  1002,     0,   922,     0,     0,     0,     0,     0,
    1002,   923,     0,  1002,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3136,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2584,     0,     0,  2585,     0,     0,     0,
    2586,  2587,  2588,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2584,     0,     0,  2585,     0,     0,  3126,  2586,
    2587,  2588,     0,  3136,     0,     0,     0,     0,  3127,     0,
       0,     0,     0,     0,     0,  3128,     0,  3126,  1588,     0,
       0,     0,     0,     0,     0,     0,     0,  3127,     0,     0,
       0,     0,     0,     0,  3128,     0,   750,     0,     0,     0,
       0,  3129,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1002,     0,     0,
    3129,     0,  1589,     0,     0,     0,  1002,   923,     0,  3044,
     751,     0,     0,  1002,     0,     0,  1002,     0,  3045,  3046,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,     0,  1589,     0,
       0,  6143,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3044,
       0,     0,     0,     0,     0,     0,     0,     0,  3045,  3046,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,     0,     0,     0,
       0,  6154,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   750,   750,
       0,     0,     0,     0,   749,     0,     0,     0,     0,  3130,
       0,     0,     0,     0,  3131,     0,     0,     0,     0,   750,
       0,     0,   750,     0,     0,     0,     0,     0,  3130,     0,
       0,     0,     0,  3131,     0,     0,     0,  3132,  2778,     0,
       0,     0,     0,  1002,  1002,     0,   923,     0,     0,     0,
    1203,     0,     0,     0,  1203,     0,  3132,  2778,     0,     0,
       0,   749,     0,     0,     0,  3133,     0,     0,     0,     0,
       0,     0,   751,   749,     0,     0,     0,     0,     0,     0,
       0,  1002,     0,     0,  3133,     0,  1358,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   751,
       0,     0,     0,   922,   922,   922,     0,   749,  2845,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3134,     0,     0,  3135,  2845,   750,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3134,     0,     0,  3135,     0,   750,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1358,
    1358,     0,     0,     0,     0,     0,     0,     0,   750,     0,
       0,  3242,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   921,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   749,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3136,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1203,  1203,     0,     0,     0,     0,     0,   751,  3136,  3242,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1002,  1002,   931,     0,     0,   750,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,     0,
       0,     0,     0,  1589,  1002,     0,  1588,     0,  1002,     0,
    1002,     0,     0,     0,  1589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1589,   749,     0,     0,     0,     0,   922,     0,     0,  1588,
       0,     0,   750,     0,   750,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3044,     0,   750,     0,   750,
       0,     0,     0,     0,  3045,  3046,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  1002,  3044,  1002,  1002,  6164,     0,     0,
       0,     0,     0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,     0,     0,     0,     0,  6218,     0,  2584,     0,
       0,  2585,     0,     0,     0,  2586,  2587,  2588,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2234,  2234,  2234,  3126,  1589,     0,     0,     0,  2584,     0,
     750,  2585,     0,  3127,     0,  2586,  2587,  2588,     0,   923,
    3128,     0,     0,     0,     0,     0,     0,     0,     0,  1588,
       0,     0,     0,  3126,     0,     0,     0,     0,     0,     0,
    1588,     0,     0,  3127,     0,     0,  3129,     0,     0,     0,
    3128,     0,   749,     0,   749,     0,  1588,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   750,     0,     0,     0,   923,  3129,     0,     0,     0,
    2584,     0,     0,  2585,  1002,     0,     0,  2586,  2587,  2588,
    1358,  1358,     0,   750,     0,     0,     0,   750,     0,     0,
       0,     0,   749,     0,   923,  3126,     0,     0,     0,     0,
    1588,     0,     0,     0,     0,  3127,     0,     0,   750,     0,
       0,     0,  3128,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
    1589,     0,     0,     0,     0,  1588,     0,     0,  3129,     0,
       0,     0,   921,     0,     0,     0,     0,  1588,     0,     0,
       0,     0,     0,     0,  3130,     0,     0,     0,     0,  3131,
       0,     0,     0,     0,     0,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3132,  2778,  3130,     0,     0,  1588,  1588,  3131,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1002,     0,     0,     0,
    3133,     0,  3132,  2778,     0,     0,   922,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1002,  1002,  1002,     0,  1002,
    3133,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2845,     0,     0,  3130,     0,     0,     0,
    1002,  3131,     0,     0,     0,     0,     0,     0,  3134,     0,
       0,  3135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2845,  3132,  2778,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3134,     0,
       0,  3135,     0,     0,     0,     0,     0,     0,  2234,     0,
       0,     0,  3133,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2234,     0,     0,  2234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1002,
       0,     0,     0,  1002,  1002,     0,     0,     0,     0,     0,
    1588,     0,     0,     0,     0,  2845,     0,     0,     0,  1002,
       0,     0,     0,     0,  3136,     0,     0,     0,     0,     0,
    3134,     0,     0,  3135,     0,   749,     0,     0,     0,     0,
       0,     0,     0,  2584,     0,     0,  2585,     0,     0,   749,
    2586,  2587,  2588,     0,  3136,   750,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3126,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3127,     0,
     921,     0,     0,     0,     0,  3128,     0,     0,     0,     0,
       0,     0,     0,  1589,     0,     0,     0,     0,     0,   931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1203,  3129,     0,     0,     0,     0,     0,   922,     0,     0,
       0,     0,   922,     0,   922,     0,  3136,     0,     0,     0,
    3044,     0,     0,     0,     0,     0,     0,     0,     0,  3045,
    3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,     0,     0,
     922,  1203,  6249,     0,     0,     0,     0,     0,     0,     0,
    3044,  1589,   921,     0,     0,     0,     0,     0,     0,  3045,
    3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,     0,     0,
       0,     0,  6251,     0,     0,  2584,     0,     0,  2585,     0,
       0,     0,  2586,  2587,  2588,     0,   750,     0,  1589,   750,
       0,     0,     0,     0,     0,     0,     0,  1203,     0,     0,
    3126,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3127,     0,     0,     0,  1203,     0,     0,  3128,     0,  3130,
       0,  1589,  3044,     0,  3131,     0,     0,     0,     0,     0,
       0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
       0,     0,     0,  3129,  6290,     0,     0,  3132,  2778,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   921,     0,
       0,   749,     0,     0,     0,  3133,     0,     0,     0,   750,
     750,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     750,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,  1002,  1002,     0,     0,   750,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2845,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1589,     0,  3134,     0,     0,  3135,     0,     0,     0,
       0,     0,  1589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   931,     0,     0,     0,  1589,     0,
       0,  3130,     0,     0,     0,     0,  3131,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3132,
    2778,     0,     0,     0,     0,     0,     0,   921,     0,     0,
       0,     0,     0,     0,   750,     0,     0,   922,     0,     0,
       0,     0,  1589,     0,     0,     0,     0,  3133,     0,     0,
       0,     0,     0,   749,     0,     0,     0,     0,  1002,  3136,
       0,  1002,     0,     0,  1589,     0,     0,     0,     0,     0,
       0,  1002,     0,     0,     0,     0,     0,  1589,     0,     0,
     749,     0,     0,     0,     0,     0,     0,     0,     0,  1589,
    2845,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,  1002,     0,  3134,     0,     0,  3135,     0,
       0,     0,     0,     0,     0,  2234,     0,  1002,  2584,     0,
    1002,  2585,     0,     0,     0,  2586,  2587,  2588,     0,  1589,
    1589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3126,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3127,     0,     0,     0,     0,     0,     0,
    3128,     0,     0,     0,     0,  3044,     0,     0,     0,     0,
       0,     0,     0,     0,  3045,  3046,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,     0,     0,     0,  3129,  6667,  1002,     0,
       0,     0,  1002,  1002,     0,     0,     0,     0,     0,     0,
       0,  3136,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   749,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1002,  1002,     0,     0,     0,     0,  1002,  1002,     0,
       0,     0,     0,     0,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,     0,     0,     0,
    1002,     0,  1002,     0,  1002,  1002,  1002,  1002,  1002,  1002,
       0,     0,  1002,     0,  1002,  1002,     0,  4061,  1002,   750,
       0,  3242,  4067,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1589,  1002,  1002,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,  3130,     0,     0,  3044,     0,  3131,
       0,  1002,     0,   931,     0,     0,  3045,  3046,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,     0,     0,     0,     0,  6678,
       0,     0,  3132,  2778,     0,     0,   750,     0,  1588,     0,
       0,     0,     0,     0,  1588,     0,     0,     0,   750,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3133,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2584,     0,     0,  2585,     0,     0,     0,  2586,  2587,  2588,
       0,     0,   750,     0,     0,     0,     0,     0,     0,     0,
     921,  1588,     0,     0,     0,  3126,     0,     0,     0,     0,
       0,  2584,     0,  2845,  2585,  3127,     0,     0,  2586,  2587,
    2588,     0,  3128,     0,     0,     0,     0,     0,  3134,     0,
       0,  3135,     0,     0,     0,     0,  3126,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3127,     0,  3129,     0,
       0,     0,     0,  3128,     0,     0,   921,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,     0,
     922,     0,     0,     0,     0,  2584,     0,     0,  2585,  3129,
       0,     0,  2586,  2587,  2588,   921,     0,     0,     0,   750,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3126,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3127,     0,     0,     0,     0,     0,     0,  3128,     0,     0,
       0,     0,  1002,     0,  3136,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3129,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3130,     0,     0,     0,
       0,  3131,     0,     0,     0,     0,     0,  2234,  1002,     0,
       0,     0,     0,     0,     0,     0,   750,     0,     0,     0,
       0,     0,     0,     0,  3132,  2778,     0,  3130,     0,     0,
       0,     0,  3131,     0,     0,     0,     0,     0,     0,  1588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3133,     0,     0,  3132,  2778,     0,     0,     0,
    3044,     0,     0,     0,     0,     0,     0,     0,     0,  3045,
    3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,     0,     0,
       0,     0,  6701,  3133,     0,     0,     0,     0,     0,     0,
       0,  3130,     0,     0,     0,  2845,  3131,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3134,     0,  3242,  3135,     0,     0,  3242,     0,     0,  3132,
    2778,     0,     0,     0,     0,     0,  2845,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3134,     0,     0,  3135,  1585,     0,  3133,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   750,     0,   750,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1585,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2845,     0,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,     0,  1002,     0,     0,  3134,  3136,   750,  3135,     0,
       0,     0,     0,     0,  1002,     0,     0,  1002,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3136,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1588,     0,   922,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1588,     0,     0,  1002,     0,  1588,     0,  1002,     0,     0,
    1002,     0,  1002,     0,     0,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1002,  3136,     0,     0,     0,  1588,     0,     0,     0,  1002,
    1002,     0,  3044,     0,     0,     0,     0,     0,     0,     0,
       0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
       0,     0,     0,     0,  6931,     0,     0,     0,     0,     0,
       0,     0,     0,  3044,     0,     0,     0,     0,     0,     0,
       0,     0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,     0,     0,     0,     0,  6948,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1589,
       0,     0,     0,  1589,  1589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   931,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3044,     0,     0,
       0,     0,     0,     0,     0,     0,  3045,  3046,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,     0,     0,  1002,     0,  7036,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,     0,
    1589,  1002,     0,  1002,  1002,     0,  1589,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     750,     0,     0,  1589,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   750,     0,  1585,     0,     0,     0,
       0,     0,     0,     0,     0,   931,     0,  1585,     0,   931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1585,     0,   922,     0,     0,     0,     0,
       0,     0,     0,   931,     0,  3242,     0,     0,  4067,     0,
    4067,     0,     0,     0,     0,  3242,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2584,  1203,     0,  2585,     0,
       0,     0,  2586,  2587,  2588,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3126,     0,     0,     0,  3992,     0,     0,     0,  1588,     0,
    3127,     0,     0,     0,     0,     0,  1588,  3128,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   922,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1585,     0,     0,
       0,  3242,     0,  3129,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1002,  1002,  1002,
       0,     0,  2584,  1002,     0,  2585,     0,     0,     0,  2586,
    2587,  2588,     0,     0,     0,  3993,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3126,     0,     0,
    1002,  1589,     0,     0,     0,     0,     0,  3127,     0,   931,
    1588,     0,  1588,     0,  3128,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   922,     0,     0,   750,     0,     0,     0,
    3129,     0,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,  3130,     0,     0,     0,     0,  3131,     0,     0,     0,
       0,     0,     0,  1585,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1589,     0,     0,     0,  1589,  3132,
    2778,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1002,     0,     0,     0,     0,     0,  3133,  1588,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4687,     0,     0,     0,  2234,     0,  4688,
       0,     0,     0,  2234,     0,     0,     0,     0,  2584,     0,
    2845,  2585,  1588,     0,     0,  2586,  2587,  2588,  3130,     0,
       0,     0,   922,  3131,     0,  3134,     0,     0,  3135,     0,
       0,     0,     0,  3126,     0,     0,     0,     0,     0,     0,
    4067,     0,     0,  3127,     0,     0,  3132,  2778,   750,     0,
    3128,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   931,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3133,   750,  3129,  1589,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1002,     0,  1589,  1002,  3101,  1002,  1002,  1589,     0,     0,
       0,     0,     0,     0,     0,  1002,     0,     0,     0,     0,
    1002,     0,  1588,     0,     0,     0,     0,  2845,     0,     0,
       0,  3136,     0,     0,     0,     0,     0,  1589,     0,     0,
       0,     0,  3134,     0,  4067,  3135,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1588,  1002,
    1002,  1002,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,  1002,  1002,  1002,  1002,     0,     0,     0,     0,
       0,     0,     0,   931,     0,     0,  3994,     0,  1002,   931,
       0,  1002,     0,  1002,  3130,     0,     0,     0,     0,  3131,
       0,     0,     0,     0,     0,  1002,  1002,     0,     0,  1002,
       0,     0,     0,   750,     0,     0,     0,     0,     0,     0,
       0,     0,  3132,  2778,     0,     0,  1585,  3044,  4689,     0,
    1002,     0,  1002,     0,  1002,     0,  3045,  3046,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,     0,     0,     0,     0,     0,
    3133,     0,     0,  1002,     0,     0,     0,     0,     0,     0,
    1588,     0,     0,     0,     0,  2584,     0,  1002,  2585,     0,
       0,     0,  2586,  2587,  2588,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3126,     0,     0,  2845,  1585,     0,     0,     0,  1002,     0,
    3127,     0,     0,     0,     0,     0,     0,  3128,  3134,     0,
       0,  3135,  1588,  1002,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1002,     0,     0,
       0,  1585,     0,  3129,  3044,  1002,     0,  1588,  5340,     0,
       0,     0,     0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1585,     0,  2584,  1589,     0,  2585,
    1589,     0,  1589,  2586,  2587,  2588,     0,  1589,     0,     0,
       0,     0,     0,     0,     0,   922,     0,     0,     0,     0,
       0,  3126,     0,     0,  4615,     0,     0,     0,     0,  1002,
       0,  3127,     0,     0,  3136,     0,     0,     0,  3128,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1589,     0,     0,  5341,     0,  6767,     0,     0,  1589,     0,
       0,     0,     0,     0,  3129,     0,     0,     0,     0,     0,
       0,   922,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3130,     0,  1589,     0,     0,  3131,     0,     0,  1002,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     922,     0,     0,     0,  1585,     0,     0,     0,     0,  3132,
    2778,     0,     0,     0,     0,  1585,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   931,   931,
     931,  1585,  3242,     0,     0,     0,     0,  3133,     0,     0,
    3044,     0,     0,     0,     0,     0,     0,     0,     0,  3045,
    3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,     0,     0,
       0,     0,  1589,     0,  1589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2845,     0,  3130,     0,     0,  1585,     0,  3131,     0,     0,
       0,     0,     0,     0,     0,  3134,     0,     0,  3135,     0,
       0,     0,     0,     0,     0,     0,     0,  1585,     0,     0,
    3132,  2778,     0,     0,     0,     0,     0,     0,     0,     0,
    1585,     0,     0,  6768,     0,     0,  4067,     0,     0,     0,
       0,     0,  1585,     0,     0,     0,     0,     0,  3133,     0,
       0,  2584,     0,     0,  2585,     0,     0,     0,  2586,  2587,
    2588,     0,     0,     0,  4067,     0,     0,     0,     0,     0,
    1589,     0,     0,     0,     0,     0,  3126,     0,     0,     0,
       0,     0,  1585,  1585,     0,     0,  3127,     0,     0,     0,
       0,  2845,     0,  3128,     0,     0,     0,     0,     0,  1002,
       0,  3136,     0,     0,     0,  1002,  3134,     0,     0,  3135,
       0,     0,     0,     0,  1589,     0,     0,     0,     0,  3129,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   931,  1589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3136,     0,     0,     0,  1588,  3044,     0,     0,
       0,     0,     0,     0,  1589,     0,  3045,  3046,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1589,  3130,     0,     0,
       0,     0,  3131,     0,     0,  1585,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4067,     0,     0,  3242,     0,
    1589,     0,     0,     0,     0,  3132,  2778,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3133,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3044,     0,
       0,     0,     0,     0,     0,     0,     0,  3045,  3046,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,     0,     0,     0,     0,
       0,     0,  2584,     0,     0,  2585,  2845,     0,     0,  2586,
    2587,  2588,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3134,     0,     0,  3135,     0,     0,  3126,     0,  1002,
       0,     0,  1589,     0,     0,     0,     0,  3127,  1002,     0,
       0,     0,     0,     0,  3128,     0,     0,     0,     0,     0,
       0,     0,  1002,     0,     0,     0,  1002,  1002,  1002,     0,
       0,     0,     0,  1002,     0,     0,  1002,     0,     0,  1002,
    3129,     0,     0,     0,     0,  1002,     0,  1002,     0,     0,
    1002,     0,     0,     0,  1589,  1002,  1002,  1002,  1002,     0,
       0,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,     0,  1588,     0,  1002,  1002,  1002,     0,     0,  1589,
       0,     0,     0,     0,  1002,     0,     0,  3136,     0,  1002,
       0,   931,     0,  1002,     0,     0,     0,     0,     0,     0,
       0,  1002,     0,     0,  1002,     0,  1002,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,     0,     0,  1002,  1002,     0,     0,     0,
    1002,  1002,     0,     0,     0,  1002,     0,  1002,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1002,     0,     0,  1002,     0,     0,     0,     0,  3130,     0,
       0,     0,     0,  3131,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3132,  2778,     0,     0,
       0,     0,  4624,  3044,     0,     0,     0,     0,     0,  1588,
       0,     0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  1002,     0,     0,  3133,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1589,     0,     0,     0,     0,     0,
       0,     0,  1588,     0,     0,     0,     0,  2845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3134,     0,  1588,  3135,     0,     0,     0,  2584,
       0,     0,  2585,     0,     0,     0,  2586,  2587,  2588,     0,
       0,     0,     0,  1002,     0,  4660,     0,     0,     0,     0,
       0,     0,     0,     0,  3126,     0,     0,  4692,     0,     0,
       0,     0,     0,     0,  3127,     0,     0,     0,     0,     0,
       0,  3128,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   931,     0,     0,     0,     0,   931,  1589,   931,
       0,     0,     0,     0,     0,     0,  1588,  3129,     0,     0,
       0,     0,     0,  2584,     0,     0,  2585,     0,     0,     0,
    2586,  2587,  2588,     0,     0,   931,  1589,     0,  3136,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3126,     0,
       0,     0,     0,  2584,     0,     0,  2585,     0,  3127,     0,
    2586,  2587,  2588,     0,     0,  3128,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3126,     0,
       0,  4704,     0,     0,     0,     0,     0,     0,  3127,     0,
       0,  3129,     0,     0,     0,  3128,     0,  2584,     0,     0,
    2585,     0,     0,     0,  2586,  2587,  2588,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3129,  3126,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3127,     0,     0,  3130,  6097,     0,  1588,  3128,
    3131,     0,     0,     0,  3044,     0,     0,     0,  1002,     0,
       0,     0,     0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,     0,  3132,  2778,  3129,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4697,  3133,  1002,  1002,     0,     0,     0,     0,     0,     0,
       0,     0,  1585,     0,     0,     0,  1585,  1585,     0,  3130,
       0,     0,     0,     0,  3131,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,     0,
    1589,  1002,  1002,     0,  2845,     0,     0,  3132,  2778,  3130,
       0,     0,  1002,     0,  3131,     0,     0,     0,     0,  3134,
       0,     0,  3135,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1585,     0,  3133,     0,  3132,  2778,  1585,
       0,     0,     0,     0,  1169,     0,     0,  1172,     0,     0,
       0,  1180,     0,  3130,     0,     0,     0,  1189,  3131,  1209,
       0,  1212,     0,     0,     0,  3133,     0,     0,  1245,     0,
       0,     0,   931,  1250,     0,     0,     0,     0,  2845,     0,
       0,  3132,  2778,     0,     0,     0,  1585,     0,     0,     0,
       0,     0,     0,  3134,     0,     0,  3135,     0,  1002,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2845,  3133,
       0,     0,     0,     0,  1002,  3136,     0,     0,     0,     0,
       0,     0,     0,  3134,     0,     0,  3135,     0,     0,     0,
       0,     0,  1002,     0,     0,     0,     0,     0,     0,  4067,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2845,     0,     0,     0,     0,     0,     0,     0,
    1002,     0,     0,  1002,     0,     0,     0,  3134,     0,     0,
    3135,  1002,  1002,     0,  1589,     0,     0,     0,  1002,  1002,
       0,     0,     0,  1002,     0,     0,     0,     0,  1002,  3136,
       0,  1002,  1002,     0,     0,     0,     0,     0,  1002,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1002,
       0,     0,     0,     0,     0,  1002,     0,     0,     0,  3136,
       0,  3044,     0,  1002,     0,     0,     0,  1002,     0,     0,
    3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,     0,
       0,     0,     0,     0,     0,  2081,  2584,     0,     0,  2585,
       0,  2082,     0,  2586,  2587,  2588,     0,     0,  2144,  4067,
       0,  1002,     0,  3136,     0,     0,     0,     0,     0,  1002,
       0,  3126,     0,     0,  5347,     0,     0,     0,     0,     0,
    2145,  3127,     0,     0,     0,     0,     0,     0,  3128,     0,
       0,     0,     0,     0,  1585,  3044,  2084,     0,     0,  5271,
       0,  1589,     0,     0,  3045,  3046,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,     0,  3129,     0,     0,     0,     0,  1002,
    2584,     0,     0,  2585,     0,  3044,     0,  2586,  2587,  2588,
       0,     0,  2146,     0,  3045,  3046,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,     0,     0,  3126,     0,     0,     0,     0,
       0,     0,  1588,  2085,  1589,  3127,     0,     0,     0,     0,
    2086,     0,  3128,     0,  2087,     0,     0,  1585,     0,  3044,
       0,  1585,     0,     0,     0,     0,  1589,     0,  3045,  3046,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,     0,  3129,     0,
       0,     0,  2088,     0,     0,     0,     0,     0,     0,  1002,
       0,     0,     0,     0,     0,  1588,  1002,     0,     0,     0,
    1588,  1588,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2147,     0,     0,     0,  2089,     0,
       0,     0,  3130,     0,     0,     0,     0,  3131,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3132,  2778,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2148,  3133,     0,
    1002,     0,  2149,     0,     0,   931,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3130,     0,  2150,     0,
    1585,  3131,  2091,     0,     0,     0,     0,     0,     0,     0,
       0,  1002,  2092,  6097,  1588,  1585,     0,     0,     0,     0,
    1585,  2845,  2093,     0,  3132,  2778,     0,     0,     0,     0,
       0,     0,     0,  2151,  2094,     0,  3134,     0,     0,  3135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1585,     0,  3133,     0,     0,     0,     0,     0,  1589,     0,
    1589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4267,     0,     0,  2096,
    2097,  2153,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2845,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2154,     0,     0,     0,     0,
    3134,  4268,     0,  3135,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2156,  1002,     0,     0,
    5810,     0,  3136,     0,     0,     0,     0,  1002,     0,     0,
    1002,     0,     0,  1002,  1002,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,  1002,
       0,     0,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2099,     0,     0,     0,     0,  1002,
       0,     0,     0,     0,     0,     0,  1002,     0,     0,     0,
       0,  1002,     0,     0,  1002,  1002,  3136,     0,     0,     0,
       0,     0,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1002,     0,     0,  1002,     0,  3044,     0,
       0,     0,     0,     0,     0,     0,     0,  3045,  3046,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1002,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1588,     0,
    1585,  1589,     0,  1585,     0,  1585,     0,     0,     0,     0,
    1585,     0,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3044,     0,     0,     0,     0,     0,     0,     0,
       0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   931,  1585,     0,     0,     0,  1002,     0,     0,
       0,  1585,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1000,  1347,  1347,     0,     0,  1347,     0,
       0,     0,  1359,     0,  1245,     0,  1585,  1386,     0,     0,
    1359,     0,     0,  1359,     0,     0,  1245,     0,  1347,     0,
       0,  1245,     0,     0,     0,  1347,  2584,  1245,     0,  2585,
       0,     0,     0,  2586,  2587,  2588,     0,     0,  1002,     0,
       0,  1589,     0,     0,     0,     0,  1440,     0,     0,     0,
       0,  3126,  1245,     0,  1347,     0,  1347,     0,     0,  1347,
       0,  3127,     0,     0,     0,     0,  1386,     0,  3128,     0,
       0,  1497,     0,  1347,     0,  1002,     0,     0,     0,  1347,
       0,  2584,     0,     0,  2585,  1585,     0,  1585,  2586,  2587,
    2588,     0,  1002,     0,  3129,     0,  1002,     0,  1002,     0,
       0,     0,     0,     0,     0,     0,  3126,     0,     0,     0,
       0,     0,  1002,     0,  1002,     0,  3127,  1000,  1002,     0,
       0,     0,     0,  3128,  1002,     0,  1359,     0,  1002,     0,
    1386,     0,     0,  1359,  1589,  1002,  1359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3129,
       0,     0,  1347,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5828,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1002,     0,  1585,     0,     0,     0,  1589,     0,     0,
       0,     0,  1589,  1589,     0,     0,     0,  1002,     0,     0,
       0,     0,     0,  1002,  1002,     0,     0,     0,     0,     0,
       0,     0,  3130,  1245,     0,     0,     0,  3131,     0,     0,
       0,     0,     0,     0,     0,  1715,     0,  1585,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1002,
    3132,  2778,     0,     0,     0,     0,     0,  1002,  5820,     0,
     931,     0,     0,  1842,  1842,  1585,     0,     0,     0,  1245,
       0,     0,     0,     0,     0,     0,     0,  3130,  3133,     0,
       0,     0,  3131,     0,     0,  1002,     0,     0,  1245,     0,
       0,     0,     0,  1245,     0,  1588,     0,     0,     0,     0,
       0,  1842,     0,     0,     0,  3132,  2778,     0,     0,     0,
       0,     0,  1245,     0,     0,  1589,  1589,     0,     0,     0,
       0,  2845,     0,     0,     0,  1245,     0,     0,     0,     0,
       0,     0,  2234,  3133,     0,     0,  3134,  1585,     0,  3135,
       0,  1002,   931,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1002,     0,     0,     0,     0,     0,  1585,
       0,     0,  1002,  1002,  1002,     0,     0,     0,  1002,     0,
       0,  1002,     0,     0,     0,     0,  2845,     0,     0,     0,
       0,     0,  1002,  1585,     0,     0,     0,     0,     0,  1002,
       0,  3134,     0,     0,  3135,     0,     0,     0,     0,     0,
       0,     0,  1245,     0,     0,     0,     0,  1002,     0,     0,
       0,     0,     0,  1245,  1002,     0,     0,     0,  1347,  1347,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3136,  1002,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   931,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1842,  1842,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1585,     0,  3136,  1000,     0,
    1347,     0,     0,     0,  1359,     0,     0,  1386,  1359,  2584,
    1359,     0,  2585,     0,     0,  1347,  2586,  2587,  2588,     0,
       0,     0,     0,     0,     0,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,  3126,     0,     0,     0,     0,  1245,
       0,     0,     0,     0,  3127,  1347,  1347,  1585,  3044,     0,
       0,  3128,     0,     0,     0,     0,     0,  3045,  3046,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,     0,  1245,  1245,  1245,
       0,  1347,  1585,  1000,     0,  1000,  1000,  3129,     0,     0,
    1002,     0,  2340,     0,     0,     0,  2584,     0,     0,  2585,
       0,     0,     0,  2586,  2587,  2588,  1002,   931,     0,     0,
    1589,     0,     0,  3044,     0,  1002,     0,  1002,     0,  1002,
       0,  3126,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3127,     0,     0,     0,     0,     0,     0,  3128,     0,
       0,     0,     0,     0,     0,     0,     0,  1002,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3129,     0,     0,     0,  1347,     0,
    1347,  1347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5826,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,     0,     0,  3130,     0,     0,     0,     0,
    3131,     0,  1002,     0,  1842,     0,     0,     0,     0,     0,
    1002,  1002,     0,     0,     0,     0,  1002,     0,     0,     0,
       0,     0,     0,  3132,  2778,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1585,  2475,     0,
    2475,     0,     0,  1002,  1245,     0,  1169,  5827,     0,     0,
       0,  3133,     0,  1002,     0,     0,     0,     0,     0,     0,
       0,  2584,     0,     0,  2585,     0,     0,     0,  2586,  2587,
    2588,     0,  3130,     0,     0,     0,  2515,  3131,  1245,     0,
       0,     0,  2521,     0,     0,     0,  3126,     0,     0,     0,
       0,     0,     0,     0,  2845,  1842,  3127,     0,     0,     0,
    3132,  2778,     0,  3128,     0,     0,     0,     0,     0,  3134,
       0,     0,  3135,  1002,     0,     0,     0,     0,     0,  1002,
       0,     0,     0,     0,     0,     0,     0,     0,  3133,  3129,
       0,  1585,     0,     0,     0,     0,  1842,  1002,     0,     0,
       0,     0,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1002,     0,     0,  1002,     0,  1585,
    1002,     0,     0,     0,     0,  1842,  1842,  1842,     0,  1842,
       0,  2845,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3134,  1002,     0,  3135,
    1842,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3136,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2584,     0,     0,  2585,     0,     0,     0,  2586,  2587,  2588,
       0,  1002,     0,     0,     0,  1002,     0,     0,     0,     0,
    1002,     0,     0,  1245,     0,  3126,     0,  3130,     0,     0,
       0,     0,  3131,  1002,     0,  3127,     0,     0,     0,     0,
     931,     0,  3128,     0,     0,     0,     0,  1589,     0,  1842,
       0,     0,     0,  1842,  1842,  3132,  2778,     0,     0,     0,
       0,     0,  3136,     0,  1245,  1245,  1245,  3185,  3129,  1842,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1585,     0,  3133,  1002,  1002,     0,     0,     0,     0,
       0,  3044,  1002,     0,     0,     0,   931,     0,     0,     0,
    3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,     0,
       0,  1002,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   931,  2845,     0,     0,     0,
    1585,     0,     0,  1585,     0,     0,     0,     0,     0,     0,
       0,  3134,     0,     0,  3135,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6396,     0,     0,     0,     0,     0,     0,  3044,     0,
       0,     0,     0,     0,     0,     0,     0,  3045,  3046,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3130,     0,     0,     0,
       0,  3131,     0,     0,     0,     0,  3312,     0,     0,     0,
       0,     0,     0,     0,  1347,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3132,  2778,     0,  1245,  3346,     0,
       0,     0,     0,     0,     0,     0,  1245,     0,     0,  1347,
       0,     0,     0,     0,     0,     0,     0,  3136,     0,     0,
       0,     0,  3133,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1386,     0,  1245,     0,     0,     0,     0,     0,
    3412,  3412,     0,     0,  3412,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1245,     0,     0,
    1245,     0,     0,     0,     0,  2845,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3134,     0,  1347,  3135,     0,     0,     0,  1585,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6205,     0,     0,
    1245,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,  1347,  1347,  1347,  1245,     0,     0,     0,
       0,     0,     0,  3044,     0,     0,     0,     0,     0,     0,
    1245,     0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,     0,  1842,  1842,  1842,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1245,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1245,
       0,     0,     0,     0,     0,     0,  3136,  1347,  1347,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1079,  1347,     0,     0,     0,  3783,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1245,  3412,     0,  1585,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1347,  1347,  1347,
    1347,     0,     0,     0,     0,     0,  1245,     0,     0,     0,
       0,     0,     0,  1245,     0,     0,  3626,     0,  1082,  3784,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1083,     0,  1585,  1000,     0,
       0,  1000,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1842,  3044,  1445,     0,     0,     0,     0,     0,  1585,
       0,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
       0,     0,     0,     0,     0,     0,     0,  3785,     0,     0,
       0,  1576,  1359,  1359,     0,     0,     0,     0,     0,     0,
    1086,     0,     0,  1386,  1386,     0,     0,  1359,     0,  1087,
    1359,     0,     0,     0,     0,     0,     0,  1576,     0,     0,
       0,     0,  1088,     0,     0,  1347,  1347,     0,  3786,     0,
       0,     0,  1347,     0,     0,     0,     0,     0,     0,     0,
       0,  1585,     0,  1245,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2475,
       0,     0,     0,     0,     0,     0,  1347,     0,  1359,     0,
       0,  3744,  1359,  1359,     0,  1245,  1245,     0,  1347,     0,
       0,     0,     0,  3787,     0,  1245,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1245,     0,     0,  1245,
    3626,     0,     0,  1169,     0,  1092,  1169,  3782,     0,     0,
       0,  1842,  1842,     0,     0,     0,     0,  1842,  1842,     0,
       0,     0,     0,     0,  1842,  1842,  1842,  1842,  1842,  1842,
    1842,  1842,  1842,  1842,  1842,  1842,  1842,     0,     0,     0,
    1842,     0,  1842,  1386,  1842,  1842,  1842,  1842,  1842,  1842,
       0,     0,  1842,  1585,  1842,  1842,     0,     0,  1842,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1842,  1842,  1842,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   972,  3788,     0,     0,  1097,
       0,  1842,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1452,     0,     0,
    3789,     0,     0,     0,     0,     0,     0,  1101,     0,     0,
       0,  1347,     0,     0,  1102,     0,     0,  1103,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1104,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
       0,     0,  1106,     0,     0,  1455,     0,     0,     0,     0,
    1108,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3790,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1113,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1842,     0,
       0,     0,  1576,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1576,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1576,
       0,     0,     0,     0,     0,     0,     0,    80,     0,     0,
       0,     0,    81,     0,  1585,     0,    82,     0,    83,     0,
      84,    85,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,    86,     0,     0,  1578,     0,     0,     0,     0,    87,
       0,     0,     0,     0,     0,    88,    89,    90,    91,     0,
       0,     0,    92,    93,     0,     0,     0,     0,    94,     0,
    1578,     0,     0,     0,     0,     0,     0,    95,     0,    96,
       0,    97,    98,     0,     0,     0,     0,    99,  1842,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1576,   100,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   101,     0,   102,   103,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   104,
       0,     0,     0,     0,     0,   105,     0,     0,     0,     0,
       0,     0,     0,     0,  1585,   106,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   107,     0,   108,
     109,     0,     0,     0,     0,     0,   110,     0,   111,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   112,     0,   113,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   114,     0,
     115,     0,   116,   117,     0,     0,     0,     0,     0, -1735,
       0,     0,     0,     0,     0,     0,     0,     0,   118,     0,
     119,     0,     0,     0,   120,     0,     0,     0,     0,     0,
       0,   121,   122,     0,     0,     0,     0,  1585,     0,  1576,
     123,     0,   124,     0,     0,     0,     0,     0,     0,   125,
       0,     0,     0,   126,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   127,     0,     0,
       0,     0,  1842,  1842,  1842,  1842,  1842,  1842,  1842,  1842,
    1842,     0,  1842,     0,   128,     0,     0,     0,     0,     0,
    1585,     0,     0,  1245,  1842,  1585,  1585,  1842,     0,     0,
   -1735,     0,     0,     0,     0,   129,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1245,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   130,   131,
       0,     0,     0,     0,   132,     0,     0,     0,     0,     0,
       0,  1245, -1735,  1842,     0,     0,  1347,  1842,     0,   133,
    1842,     0,  1842,     0,     0,  1842,     0,     0,     0,  1245,
    1245,     0,     0,     0,     0,     0,     0,     0,   134,     0,
    1842,     0,     0,     0,   135,     0,     0,     0,     0,  1842,
    1842,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1245,     0,  1578,     0,     0,     0,  1585,
       0,  4029,     0,  4034,     0,     0,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,   136,     0,     0,     0,     0,
       0,     0,  1578,     0,  2584,     0,     0,  2585,     0,     0,
     137,  2586,  2587,  2588,     0,     0,   138,   139,     0,   140,
       0,     0,     0,     0,   141,     0,     0,     0,     0,  3126,
     142,     0,  6622,   143,     0,     0,     0,     0,     0,  3127,
     144,     0,     0,     0,     0,     0,  3128,   145,   146,     0,
       0,     0,     0,     0,     0,   147,     0,     0,     0,   148,
       0,  1169,     0,  1169,     0,     0,     0,     0,     0,     0,
     149,     0,  3129,     0,     0,     0,     0,  1842,   150,     0,
       0,     0,     0,     0,     0,     0,     0,   151,  1000,     0,
       0,  1359,  1386,  1359,  1359,     0,  1578,  1347,     0,   152,
    1245,     0,     0,     0,     0,     0,     0,     0,   153,     0,
     154,     0,  1576,     0,     0,     0,     0,   155,     0,     0,
     156,     0,     0, -1735,     0,     0,   157,     0,     0,     0,
       0,   158,   159,  3346,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   160,     0,  4167,  1245,     0,     0,
       0,     0,     0,  4178,     0,     0,     0,     0,     0,     0,
       0,     0,  1245,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1576,     0,  1245,     0,     0,     0,     0,   162,     0,     0,
    3130,  -149,     0,     0,     0,  3131,     0,     0,     0,     0,
       0,     0,     0,  1245,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1576,  3132,  2778,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,     0,     0,     0,     0,     0,  1347,
       0,     0,  1347,     0,     0,     0,  3133,     0,     0,     0,
    1576,     0,     0,  1585,     0,     0,  2584,     0,     0,  2585,
       0,     0,     0,  2586,  2587,  2588,     0,     0,  1245,  1245,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3126,     0,  4323,     0,  4326,  4328,     0,     0,  2845,
       0,  3127,     0,     0,     0,     0,     0,     0,  3128,     0,
       0,     0,     0,     0,  3134,     0,     0,  3135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1842,  1842,  1842,
       0,     0,     0,  1842,  3129,     0,     0,     0,     0,     0,
       0,  1347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1347,     0,     0,     0,     0,     0,
    1842,     0,  1347,     0,     0,     0,     0,     0,     0,     0,
    1576,     0,     0,     0,     0,  3346,     0,     0,     0,     0,
    1245,  1576,     0,     0,     0,     0,  4430,     0,     0,  1169,
       0,     0,     0,     0,     0,     0,     0,  1576,     0,     0,
       0,  1347,  4445,     0,     0,     0,     0,     0,     0,     0,
    3136,     0,  4323,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,     0,  4467,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2340,     0,
       0,  1576,  3130,     0,     0,     0,     0,  3131,     0,     0,
       0,  1842,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1576,     0,  4531,     0,     0,     0,     0,
    3132,  2778,     0,     0,     0,  1347,  1576,  1347,     0,  1347,
       0,     0,     0,     0,     0,     0,     0,     0,  1576,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3133,     0,
       0,     0,     0,     0,     0,     0,  3044,     0,     0,     0,
       0,     0,     0,     0,     0,  3045,  3046,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,     0,  2475,     0,     0,  1576,  1576,
       0,     0,     0,     0,     0,  1578,     0,     0,     0,     0,
       0,  2845,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3134,     0,     0,  3135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1016,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1000,  1347,     0,  1359,     0,  1359,  1359,  1017,  1347,     0,
       0,     0,     0,     0,     0,  1842,     0,     0,     0,     0,
    1842,     0,     0,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,  1018,     0,     0,     0,     0,     0,     0,     0,
    1585,     0,     0,     0,     0,  1019,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1578,     0,  -893,     0,     0,     0,     0,     0,     0,  1842,
    1842,  1842,  3136,     0,  1842,     0,     0,     0,     0,     0,
    1020,     0,  1842,  1842,  1842,  1842,  1021,     0,     0,     0,
       0,     0,     0,  1578,     0,     0,     0,     0,  1842,     0,
       0,  1842,     0,  1842,  1022,     0,     0,     0,     0,     0,
       0,  1576,     0,     0,     0,  1842,  1842,  1023,     0,  1842,
       0,     0,     0,     0,     0,     0,  1024,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1386,  1025,
    1842,     0,  1842,     0,  1842,     0,     0,     0,  1026,     0,
       0,     0,  1027,     0,     0,  1079,     0,     0,     0,     0,
    1441,     0,     0,  1842,     0,     0,  4753,     0,     0,     0,
    1245,     0, -1106,     0,     0,     0,     0,  4776,  3044,     0,
       0,     0,     0,     0,     0,     0,     0,  3045,  3046,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,     0,     0,  1442,     0,
    1245,     0,     0,  1578,     0,     0,     0,     0,  1842,     0,
       0,  1082,  1443,     0,  1578,     0,     0,     0,     0,     0,
       0,     0,  1028,  1842,  1444,     0,     0,     0,  1083,     0,
    1578,     0,  -628,     0,     0,     0,     0,  4776,     0,     0,
       0,  4832,     0,     0,  4835,  4776,  1445,  4034,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,  1029,     0,     0,  1030,
       0,     0,     0,  1086,  1578,     0,     0,     0,     0,     0,
       0,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1031,     0,     0,  1088,  1578,     0,     0,  1842,
       0,  1447,     0,     0,     0,     0,  1032,     0,     0,  1578,
       0,     0,     0,     0,  -480,     0,     0,     0,     0,     0,
       0,  1578,     0,  1347,  1347,     0,     0,     0,  1448,     0,
       0,     0,     0,     0,  1033,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1034,     0,     0,     0,     0,     0,
       0,  -480,     0,     0,  1035,     0,     0,     0,     0,  1842,
       0,  1578,  1578,     0,     0,     0,  1449,     0,     0,     0,
       0,     0,     0,     0,  1036,     0,     0,     0,     0,     0,
       0,     0,  1037,     0,     0,     0,     0,     0,  1092,  -480,
       0,     0,  1038,     0,  1039,     0,  1040,  1041,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1042,     0,     0,     0,  4955,     0,     0,     0,
    1043,     0,     0,  1044,     0,     0,  1045,     0,     0,     0,
       0,     0,  1450,     0,     0,     0,     0,     0,     0,  -480,
    1245,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3412,     0,     0,     0,     0,     0,     0,     0,  1095,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   972,  1451,
       0,     0,  1097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1452,     0,     0,  1453,     0,     0,     0,  1100,     0,     0,
    1101,     0,     0,     0,     0,     0,     0,  1102,     0,     0,
    1103,     0,     0,     0,  1578,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1104,     0,     0,     0,     0,     0,     0,     0,  1454,     0,
       0,     0,     0,     0,     0,  1106,     0,     0,  1455,  1842,
       0,     0,     0,  1108,     0,  1842,     0,     0,     0,     0,
       0,  1456,     0,  1110,     0,     0,  1347,     0,  1457,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1113,     0,     0,     0,     0,
       0,     0,     0,  1245,  1245,  1245,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1245,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1842,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2475,  1245,  1245,     0,
       0,     0,  1245,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   956,     0,  1245,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   957,     0,     0,  4531,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1576,     0,
     958,     0,  1576,  1576,     0,     0,     0,     0,     0,  1347,
       0,     0,     0,     0,     0,     0,     0,     0,   959,     0,
       0,     0,     0,     0,   960,     0,  3744,  5239,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1245,     0,     0,
       0,     0,   961,     0,     0,     0,     0,     0,     0,     0,
    1245,     0,     0,     0,     0,   962,     0,     0,     0,  1576,
       0,     0,     0,     0,   963,  1576,     0,     0,     0,  1842,
       0,     0,     0,     0,     0,     0,     0,   964,  1842,     0,
       0,     0,     0,   965,     0,     0,     0,     0,     0,     0,
     966,     0,  1842,     0,     0,     0,  1842,  1842,  1842,     0,
       0,     0,     0,  1842,     0,     0,  1842,     0,     0,  1842,
     967,     0,  1576,     0,     0,  1842,     0,  1842,     0,     0,
    1842,     0,     0,     0,     0,  1842,  1842,  1842,  1842,     0,
       0,  1842,  1842,  1842,  1842,  1842,  1842,  1842,  1842,  1842,
    1842,     0,     0,     0,  1842,  1842,  1842,     0,   968,     0,
       0,     0,     0,     0,  1842,     0,     0,     0,     0,  1842,
       0,     0,     0,  1842,     0,     0,     0,     0,     0,     0,
     969,  1842,     0,     0,  1842,     0,  1842,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1842,     0,     0,  1842,  1842,     0,     0,     0,
    1842,  1842,     0,     0,     0,  1842,     0,  1842,  5374,     0,
       0,     0,     0,     0,   970,     0,  1245,  1245,  1245,     0,
    1000,     0,     0,  4776,  5395,     0,     0,     0,  5395,  5409,
    5395,  5395,     0,     0,  1842,     0,     0,     0,     0,     0,
     971,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     972,   973,     0,     0,   974,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1842,   975,     0,     0,   976,     0,     0,     0,   977,
       0,     0,   978,     0,     0,     0,  4034,     0,  1842,   979,
       0,     0,   980,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1576,     0,   981,     0,     0,     0,     0,     0,     0,     0,
     982,     0,     0,     0,     0,   983,     0,   984,     0,     0,
     985,     0,     0,     0,     0,   986,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   987,     0,     0,     0,     0,
     988,     0,     0,  5497,  2475,  3346,  2475,     0,     0,  2475,
       0,  5505,     0,     0,   989,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   990,     0,  5529,
       0,     0,     0,  1576,     0,     0,     0,  1576,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,  1578,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5578,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,     0,     0,     0,     0,  1578,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5622,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,     0,     0,  1578,  1576,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1347,     0,  1842,     0,
       0,  1576,     0,     0,     0,  1245,  1576,     0,     0,     0,
       0,  5666,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3346,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1576,  1245,     0,     0,
       0,     0,  4776,  4445,     0,     0,     0,     0,     0,     0,
    4323,     0,     0,     0,     0,     0,     0,     0,     0,  5716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1245,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1842,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2475,  1245,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4531,  4531,  4531,  4531,  4531,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1245,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1842,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1578,  1842,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1842,     0,     0,  1842,     0,     0,     0,     0,     0,     0,
       0,  1842,  1842,     0,     0,     0,     0,     0,  1842,  1842,
       0,     0,     0,  1842,     0,     0,  1578,     0,  1842,     0,
    1578,  1842,  1842,     0,     0,     0,  1576,     0,  1842,  1576,
       0,  1576,  1245,  1245,  1245,  1245,  1576,     0,     0,  1842,
    5395,  5409,  5395,  5395,     0,  1842,  5395,     0,     0,  5876,
       0,     0,     0,  4776,     0,     0,     0,  4776,     0,     0,
       0,     0,     0,  5891,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   808,     0,     0,     0,  1576,
       0,     0,  1386,     0,     0,     0,     0,  1576,     0,     0,
       0,  1842,     0,     0,     0,  4832,   808,     0,     0,  1842,
       0,  4034,     0,     0,     0,     0,  1051,  1061,     0,  1067,
       0,     0,  1576,     0,     0,  1061,     0,     0,     0,     0,
       0,  1169,     0,     0,     0,     0,     0,     0,  1061,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3346,  1842,
       0,     0,  1258,  1258,     0,     0,     0,     0,     0,  1578,
       0,     0,     0,  5959,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1578,     0,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1576,     0,  1576,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1842,
       0,     0,     0,     0,     0,     0,  1842,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1347,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1347,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1576,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1842,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1000,     0,     0,     0,     0,     0,     0,  3346,     0,     0,
       0,  1300,     0,  1576,     0,     0,  2475,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4445,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1576,     0,     0,  1347,     0,  4467,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1245,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1245,     0,     0,     0,     0,     0,
    6111,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1576,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,     0,  1578,     0,  1578,  1576,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,     0,  1842,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1842,     0,  1576,
    1842,     0,     0,  1842,  1842,  1842,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,     0,     0,     0,     0,  1842,  1842,
    1578,     0,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1000,
       0,     0,  5395,     0,     0,  1578,  4776,     0,     0,     0,
       0,  4776,     0,     0,  4776,  1000,     0,  4323,     0,  6187,
       0,     0,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5497,     0,     0,  1842,     0,     0,     0,
       0,  1576,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5497,  1386,  1347,     0,
    1347,     0,     0,     0,  1578,     0,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1576,     0,     0,     0,     0,     0,     0,
       0,     0,  1359,  1386,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1576,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1051,  1359,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5666,
       0,     0,     0,     0,  1245,     0,     0,     0,     0,  1245,
       0,     0,  1578,     0,     0,     0,     0,     0,  3346,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1245,     0,
       0,     0,  5716,     0,     0,  6339,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1347,  1245,  5497,     0,
       0,  1061,  1061,     0,     0,     0,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1578,  1842,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1842,     0,     0,     0,  1842,     0,  1842,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1300,     0,  1842,  1576,  1842,     0,     0,     0,  1842,     0,
       0,     0,     0,     0,  1842,     0,     0,     0,  4776,     0,
       0,     0,  6187,     0,     0,  1842,     0,  6442,     0,     0,
       0,     0,     0,     0,     0,     0,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1578,     0,
       0,     0,     0,     0,  1245,     0,     0,     0,     0,     0,
       0,  1842,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,     0,     0,     0,  1842,     0,     0,
       0,     0,     0,  1842,  1842,     0,     0,  1576,  1347,  1347,
    1347,  1347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1576,     0,     0,     0,  1842,
       0,  1349,     0,     0,     0,  1353,     0,  1000,     0,     0,
       0,     0,     0,  1388,     0,     0,  1390,     0,     0,  1395,
    1396,     0,  1399,     0,  1402,     0,     0,  1408,     0,  1410,
       0,     0,  1245,     0,     0,  4776,     0,     0,     0,     0,
       0,  1579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,  1578,     0,     0,     0,     0,     0,
       0,  1245,  1476,     0,     0,     0,  1480,  1579,     0,     0,
       0,     0,     0,  1492,  1493,     0,     0,  1499,     0,  1503,
    1504,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1842,     0,     0,     0,     0,     0,     0,     0,     0,
    1300,     0,  1061,  1842,     0,     0,  1578,     0,     0,     0,
       0,     0,  1842,  1842,  1842,     0,     0,     0,  1000,     0,
       0,  1842,     0,     0,     0,  6633,  1548,     0,     0,     0,
       0,  1578,  1842,     0,     0,     0,     0,  1576,     0,  1842,
       0,     0,     0,     0,     0,     0,     0,  1616,     0,  1618,
       0,     0,  2475,     0,     0,     0,     0,  5497,  1632,  1634,
       0,     0,     0,     0,  1842,     0,     0,     0,  1061,     0,
       0,     0,     0,  2475,     0,  1386,     0,     0,     0,     0,
       0,     0,     0,  1842,     0,     0,  1576,     0,     0,  1576,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2475,
    2475,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1347,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1300,     0,   808,     0,  6729,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1578,  1258,     0,  6111,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1842,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4323,     0,     0,  1842,     0,     0,     0,
       0,     0,     0,     0,     0,  1842,     0,  1842,     0,  1842,
    6442,     0,     0,     0,     0,     0,     0,     0,  4034,     0,
       0,     0,  1978,  1576,     0,  1979,     0,  1982,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1359,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1578,     0,  1347,     0,  2042,     0,     0,     0,     0,  2475,
       0,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,  1578,     0,
       0,     0,     0,     0,     0,  3346,     0,     0,     0,  1579,
       0,     0,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5497,     0,     0,     0,     0,     0,     0,     0,
    1359,  1359,  6868,     0,     0,     0,  1842,     0,     0,     0,
    2217,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1842,     0,     0,  2256,  6633,     0,     0,
    1576,     0,     0,  1842,     0,     0,     0,     0,  2475,  2475,
    6903,  2268,     0,  2269,     0,     0,   755,     0,   821,   821,
       0,   821,     0,  2272,     0,     0,     0,     0,     0,     0,
    2282,     0,  1347,  1579,     0,     0,     0,     0,     0,   821,
       0,     0,     0,   821,     0,     0,     0,     0,     0,   821,
     821,     0,   821,  1576,     0,     0,     0,     0,   821,     0,
    1160,     0,     0,  6729,  1347,  1347,     0,     0,  1160,  5497,
    1578,   821,  2334,     0,  2336,  1576,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,     0,     0,     0,  1842,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1842,     0,     0,  1842,     0,     0,
    1842,  6963,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,     0,  1578,     0,     0,  4034,     0,     0,     0,     0,
    4832,     0,     0,     0,     0,     0,     0,  1842,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1576,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1579,
       0,     0,     0,  7000,     0,     0,     0,     0,     0,     0,
       0,  1842,     0,  7003,  7004,  1000,  7008,     0,     0,     0,
    1842,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1347,     0,     0,  5497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6633,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2496,     0,     0,     0,     0,     0,  7000,
       0,     0,     0,     0,  1842,  1000,     0,     0,     0,     0,
       0,     0,  1000,     0,     0,     0,     0,     0,     0,  1576,
       0,     0,     0,     0,   821,     0,     0,     0,     0,     0,
       0,  1359,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  7087,     0,     0,     0,  1578,     0,     0,  7000,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  7000,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   808,
     808,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,  1632,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1579,     0,     0,     0,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   808,  1578,     0,
    1576,     0,  3202,     0,     0,  3202,     0,     0,     0,     0,
       0,     0,     0,  3209,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3217,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1578,     0,     0,     0,     0,     0,     0,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3302,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1576,     0,     0,     0,     0,     0,     0,     0,     0,   821,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3398,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,   821,   821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1576,     0,     0,     0,     0,     0,     0,
    1579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   821,     0,     0,  1576,     0,     0,     0,
       0,  1576,  1576,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1579,  3529,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1579,  3565,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3630,   755,  1576,     0,     0,  1579,  1579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3690,     0,  3691,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1632,  3700,     0,  3701,     0,     0,     0,
       0,     0,  1529,   821,     0,   821,     0,     0,     0,   755,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3722,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1632,     0,     0,     0,  1632,     0,     0,     0,     0,  1632,
       0,     0,  1632,  1578,     0,     0,     0,     0,     0,     0,
       0,  1579,     0,     0,     0,     0,     0,   821,     0,     0,
     821,   821,     0,  3774,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   755,     0,  1160,     0,
    1160,     0,     0,     0,     0,     0,   755,     0,     0,     0,
     821,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1160,  1160,     0,     0,   755,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   821,     0,   821,     0,     0,  1576,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,     0,     0,     0,  1578,  1578,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,   755,     0,     0,  1960,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     755,     0,     0,     0,     0,     0,     0,     0,  1578,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1576,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,     0,     0,     0,     0,     0,     0,
       0,   821,     0,   821,     0,     0,   821,     0,   821,     0,
       0,   821,   821,   821,     0,     0,     0,  2470,     0,     0,
       0,     0,     0,     0,   821,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3963,     0,     0,     0,   821,
       0,   821,     0,     0,     0,     0,     0,   821,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1579,     0,
       0,     0,  1579,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1579,
       0,     0,  1300,     0,     0,  1579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4057,  4058,
    3075,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   821,   821,     0,     0,     0,  4073,  4074,     0,
       0,     0,  4077,  4078,     0,     0,     0,  4081,  4082,   755,
       0,     0,  1579,     0,   755,   755,     0,     0,     0,     0,
       0,     0,  4093,     0,     0,     0,  4096,     0,     0,     0,
    4099,  4100,     0,     0,  4103,  4104,     0,     0,     0,     0,
       0,  4109,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4124,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4141,     0,     0,     0,     0,
    4143,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     821,     0,   755,     0,     0,  4149,     0,     0,     0,  4155,
       0,     0,  3206,     0,     0,     0,     0,     0,     0,     0,
    4165,     0,     0,  4169,     0,  4171,  4174,  4176,     0,     0,
       0,     0,  4184,  4187,     0,     0,     0,     0,     0,     0,
       0,     0,  4200,     0,   998,     0,     0,     0,  4210,     0,
       0,     0,  4213,     0,   755,     0,     0,     0,     0,     0,
       0,     0,  4223,  4224,     0,     0,     0,  4229,     0,  1578,
       0,     0,     0,  4238,  4239,     0,     0,     0,     0,  1201,
       0,     0,     0,     0,     0,  1201,  1201,  4248,     0,     0,
    4249,     0,     0,     0,     0,     0,     0,  4261,  4262,     0,
       0,     0,     0,  4266,     0,     0,     0,   755,     0,     0,
       0,     0,     0,     0,     0,  4273,     0,   755,  4276,     0,
       0,     0,     0,  4279,     0,     0,     0,     0,     0,  4282,
    4283,     0,  1632,     0,  1632,     0,     0,  4291,  1632,     0,
    1579,  4293,     0,     0,     0,  4300,  4301,  4302,  4303,     0,
    4305,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4331,  4332,     0,  4334,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4344,  4345,
    4346,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     755,     0,     0,   755,   755,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4398,     0,     0,     0,     0,
       0,     0,     0,  4422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4434,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4506,     0,   755,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4539,     0,  4541,  1579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1579,     0,     0,     0,     0,  1579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1300,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1579,     0,     0,     0,
    1632,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4606,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   821,     0,   821,     0,     0,
       0,   821,     0,   821,     0,     0,   821,     0,     0,     0,
     821,     0,     0,     0,     0,  3075,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1579,     0,     0,  1579,
       0,  1579,     0,     0,     0,     0,  1579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1579,
       0,     0,     0,     0,     0,     0,     0,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1632,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4873,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4880,     0,     0,
       0,  4880,     0,     0,     0,     0,  4891,  4892,  4893,     0,
       0,  1579,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4905,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4934,  4935,  4936,  4937,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4958,
       0,  4962,  4963,  4964,   998,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,  1579,
       0,   998,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5047,     0,     0,     0,     0,     0,     0,   998,     0,
    5053,     0,     0,  1587,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,   998,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,  5063,  5064,     0,  1587,
       0,  5065,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5107,     0,  1579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1632,     0,
       0,  2470,     0,     0,     0,     0,     0,     0,  3964,  5144,
       0,     0,     0,     0,  1061,     0,     0,     0,  3206,     0,
    5156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,   998,     0,     0,     0,     0,
       0,  1201,     0,     0,     0,  1201,     0,     0,     0,     0,
    5195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1051,     0,     0,  1061,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,  1579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5225,     0,
    5226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1632,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,   755,     0,     0,     0,     0,     0,
    4046,     0,  1960,     0,     0,   821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   755,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1201,  1201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,  1587,   998,     0,     0,     0,   998,
       0,   998,     0,     0,     0,  1587,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,   998,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,     0,     0,     0,     0,     0,     0,     0,   755,
       0,     0,   755,     0,     0,  1587,     0,     0,     0,     0,
       0,     0,     0,     0,   755,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1579,     0,     0,
       0,  5472,     0,  5473,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5480,     0,     0,     0,
       0,     0,     0,     0,     0,  1579,     0,     0,  5486,     0,
       0,     0,  5489,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5502,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5528,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5532,     0,     0,     0,     0,     0,     0,     0,  5536,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5571,     0,     0,     0,  5575,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5585,  5586,  5587,  5588,   998,     0,     0,     0,
       0,     0,  5592,  5593,  5594,  5595,     0,     0,     0,     0,
       0,  5597,  5598,     0,     0,     0,     0,  5605,  5606,     0,
    5608,  5609,  5610,  5611,  5612,  5613,  5614,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,  5623,   998,     0,     0,
    5626,  5627,  5628,  5629,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4880,     0,   998,   998,   998,     0,
     998,     0,     0,     0,     0,     0,  1579,     0,     0,  1579,
       0,     0,  5649,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0,     0,     0,   821,  2470,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   755,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5731,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,   998,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,  4880,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5766,     0,  5767,     0,     0,     0,     0,
       0,     0,     0,  1632,  1632,  1632,  1632,  1632,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5782,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3206,     0,     0,     0,     0,   755,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1587,
       0,     0,     0,     0,     0,     0,     0,     0,  1201,     0,
    1579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1201,     0,     0,     0,     0,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5936,  5937,  5938,
       0,     0,     0,  5939,  5940,  5941,  5942,     0,     0,     0,
    5944,     0,     0,   998,   998,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1587,     0,     0,     0,  1579,     0,     0,
       0,  5977,  5978,  5979,  5980,  5981,     0,  5983,  5984,  1587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5993,
    5994,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6000,     0,     0,     0,     0,     0,     0,
       0,  1632,  1632,  1587,  1632,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,   998,     0,     0,  1587,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,     0,     0,     0,     0,     0,  1579,
       0,     0,     0,   998,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,   998,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,  1587,     0,     0,     0,  6063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,   998,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6117,     0,     0,     0,     0,     0,     0,     0,     0,
     755,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,   998,     0,     0,     0,     0,   998,   998,
       0,     0,     0,  6123,     0,   998,   998,   998,   998,   998,
     998,   998,   998,   998,   998,   998,   998,   998,     0,     0,
       0,   998,     0,   998,     0,   998,   998,   998,   998,   998,
     998,     0,     0,   998,     0,   998,   998,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,   821,     0,     0,
       0,     0,     0,  1587,   998,   998,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,  1632,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1579,     0,     0,     0,  1632,     0,   821,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6238,     0,
       0,     0,     0,     0,     0,     0,   755,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6248,     0,     0,
       0,     0,     0,  6254,  6255,     0,     0,     0,     0,     0,
    1579,     0,     0,  6266,     0,     0,     0,     0,     0,   998,
    6268,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6320,  6321,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6329,     0,
    1061,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6346,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
    4880,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6382,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1579,     0,     0,     0,
       0,  1579,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1632,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1632,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6448,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6463,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4046,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6480,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1632,     0,     0,
       0,     0,     0,     0,     0,  1579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6540,     0,
       0,     0,     0,   998,   998,   998,   998,   998,   998,   998,
     998,   998,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,   755,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   755,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   755,  4880,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   755,
       0,     0,     0,     0,   998,     0,     0,     0,   998,     0,
       0,   998,     0,   998,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,  1632,     0,     0,     0,     0,     0,
     998,   998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6657,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6679,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,  1587,  1587,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,  1579,
    6719,     0,     0,     0,     0,   755,     0,     0,     0,   998,
       0,  1587,   998,     0,   998,   998,     0,  1587,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,     0,     0,
       0,     0,   755,     0,  6773,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6813,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6826,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6836,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,   998,
     998,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3206,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   755,  1587,     0,     0,     0,  1587,
     755,     0,     0,     0,     0,   755,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1579,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,  1587,   998,     0,   998,   998,  1587,     0,
       0,     0,     0,     0,     0,     0,   998,     0,     0,  7081,
       0,   998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,   998,   998,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,   998,   998,   998,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,   998,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   998,   998,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,   998,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,   821,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,  1587,     0,  1587,     0,     0,     0,     0,  1587,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   755,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,  1587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   821,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1587,     0,  1587,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,  1587,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   755,     0,     0,
       0,     0,     0,  1587,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1587,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1587,     0,     0,
       0,     0,     0,     0,     0,   755,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,  1587,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,   998,   998,   998,
       0,     0,     0,     0,   998,     0,     0,   998,     0,     0,
     998,     0,     0,     0,     0,     0,   998,     0,   998,     0,
       0,   998,     0,     0,     0,  1587,   998,   998,   998,   998,
       0,     0,   998,   998,   998,   998,   998,   998,   998,   998,
     998,   998,     0,     0,     0,   998,   998,   998,     0,     0,
    1587,     0,     0,     0,     0,   998,     0,     0,     0,     0,
     998,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,   998,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,   998,   998,     0,     0,
       0,   998,   998,     0,     0,     0,   998,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,  1581,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1587,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,  1587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1587,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,  1590,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1590,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,  1587,   998,   998,     0,     0,     0,     0,     0,     0,
    1003,  1003,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,   998,     0,     0,     0,     0,  1581,
       0,     0,   998,   998,     0,  1587,     0,     0,     0,   998,
     998,     0,     0,     0,   998,     0,     0,     0,     0,   998,
       0,     0,   998,   998,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,  1003,  1003,     0,   998,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,  1003,     0,  1581,     0,     0,
    1590,  1003,     0,     0,     0,  1003,     0,  1003,     0,     0,
       0,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,  1590,     0,     0,
     998,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,     0,     0,     0,     0,  1581,     0,     0,
    1003,     0,  1003,  1003,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1587,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1587,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,  1581,     0,     0,     0,     0,  1587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0,     0,  1590,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1587,
       0,  1587,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1581,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,  1003,  1003,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,   998,     0,     0,   998,   998,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
     998,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,  1003,   998,     0,     0,
    1003,  1003,   998,     0,     0,   998,   998,     0,     0,     0,
       0,     0,     0,   998,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,   998,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1590,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1590,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,   998,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,   998,     0,     0,     0,   998,
       0,     0,     0,     0,     0,   998,     0,     0,     0,   998,
       0,     0,     0,     0,     0,  1587,   998,     0,     0,  1003,
    1003,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,   998,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,  1587,  1587,  1590,     0,     0,   998,     0,
       0,     0,     0,     0,   998,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,   998,  1590,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,  1003,     0,
       0,  1590,     0,     0,     0,     0,   998,     0,  1003,     0,
       0,     0,     0,     0,  1590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1590,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,  1587,  1584,  1003,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,  1003,     0,     0,
       0,     0,   998,     0,  1584,     0,  1590,  1590,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,   998,   998,   998,     0,     0,     0,   998,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,   998,  1003,
    1003,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,  1003,
       0,     0,     0,     0,  1003,  1003,     0,     0,     0,     0,
       0,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,
    1003,  1003,  1003,  1003,     0,     0,     0,  1003,     0,  1003,
       0,  1003,  1003,  1003,  1003,  1003,  1003,     0,     0,  1003,
       0,  1003,  1003,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
    1003,  1003,  1003,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,  1581,     0,     0,  1003,  1581,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,   998,     0,     0,
       0,  1587,  1581,     0,     0,     0,   998,     0,   998,  1582,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1581,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,  1584,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,   998,   998,     0,     0,     0,  1584,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,     0,   998,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,  1581,   998,     0,
       0,   998,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,   998,     0,  1581,     0,   998,     0,     0,     0,
       0,   998,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
    1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,  1003,   998,   998,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,  1003,     0,     0,  1003,     0,  1003,
       0,     0,  1003,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,  1581,     0,
       0,     0,     0,  1581,     0,     0,  1003,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1590,     0,     0,  1582,
    1590,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,  1590,  1003,     0,
    1003,  1003,     0,  1590,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
    1590,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1584,     0,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,     0,  1581,     0,  1581,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,  1582,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,  1581,
       0,     0,     0,     0,  1003,  1003,  1003,     0,     0,     0,
    1003,     0,     0,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,  1590,     0,
       0,  1586,     0,     0,     0,     0,     0,  1584,  1582,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,  1584,     0,     0,     0,  1581,  1003,
    1581,     0,     0,  1582,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1582,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,  1590,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,  1582,  1582,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,  1584,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,  1590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,  1590,
    1003,     0,  1003,  1003,  1590,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,  1590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1003,  1003,  1003,     0,
       0,  1003,  1581,     0,     0,     0,     0,     0,     0,  1003,
    1003,  1003,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,  1581,     0,  1003,     0,
    1003,     0,     0,     0,     0,     0,  1586,     0,  1584,     0,
       0,     0,  1003,  1003,     0,     0,  1003,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1586,     0,     0,     0,  1003,     0,  1003,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1590,  1581,     0,  1590,     0,  1590,
       0,     0,     0,     0,  1590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1590,     0,     0,
       0,     0,     0,     0,     0,  1590,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1590,     0,     0,  1586,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
    1581,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,  1590,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,     0,  1582,     0,     0,     0,  1582,
    1582,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1590,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1590,     0,     0,
       0,     0,     0,     0,  1586,     0,  1582,     0,     0,     0,
       0,     0,  1582,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,  1584,  1581,     0,     0,  1584,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,  1003,     0,     0,  1590,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,  1003,  1003,  1003,     0,     0,     0,     0,
    1003,     0,     0,  1003,     0,     0,  1003,     0,     0,  1584,
       0,     0,  1003,     0,  1003,     0,     0,  1003,     0,     0,
       0,  1590,  1003,  1003,  1003,  1003,     0,     0,  1003,  1003,
    1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,     0,     0,
       0,  1003,  1003,  1003,     0,     0,  1590,     0,     0,     0,
       0,  1003,     0,     0,  1586,     0,  1003,     0,     0,     0,
    1003,     0,     0,     0,     0,  1586,     0,     0,  1003,     0,
    1581,  1003,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,  1003,  1003,     0,     0,     0,  1003,  1003,     0,
       0,     0,  1003,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,  1586,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,  1590,     0,     0,  1582,     0,     0,  1584,     0,     0,
       0,     0,  1586,  1586,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,     0,  1584,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1590,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1590,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,  1584,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,  1590,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,  1003,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1590,     0,     0,  1590,  1003,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,  1582,     0,     0,  1582,     0,  1582,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
    1003,     0,     0,     0,     0,     0,  1582,  1581,  1003,  1003,
       0,  1590,     0,     0,  1582,  1003,  1003,     0,     0,     0,
    1003,     0,     0,     0,     0,  1003,     0,     0,  1003,  1003,
       0,     0,     0,  1584,     0,  1003,  1584,     0,  1584,  1582,
       0,     0,     0,  1584,     0,     0,  1003,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,     0,     0,  1584,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,  1584,
    1582,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,     0,     0,     0,  1584,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1590,     0,     0,  1582,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,  1364,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
    1398,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,  1417,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,  1581,     0,     0,  1470,     0,  1581,  1581,
       0,     0,     0,     0,     0,  1590,     0,     0,  1582,     0,
       0,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,  1586,  1825,  1825,     0,  1586,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1582,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1586,     0,  1590,  1582,  1590,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1586,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,  1863,  1003,     0,  1584,  1003,     0,     0,
    1003,  1003,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1887,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,     0,  1003,  1003,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,  1907,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,  1003,     0,
       0,  1003,  1003,     0,  2231,  2235,     0,     0,     0,  1003,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,  1003,     0,  1582,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2108,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,  1584,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,  1586,     0,  2287,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,  1003,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2321,  2324,  2325,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,  1003,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
    1584,  1003,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,  1003,     0,     0,  1582,  1003,     0,     0,     0,     0,
       0,  1590,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2528,     0,     0,     0,     0,
       0,     0,  1582,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,  1003,     0,
    1586,     0,     0,     0,  1590,     0,  2554,     0,     0,  1590,
    1590,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
    1003,  1003,     0,     0,  1584,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,  2573,  2574,  2575,     0,  2578,
       0,     0,     0,     0,     0,     0,     0,     0,  1863,     0,
       0,     0,  1584,     0,     0,     0,  1003,     0,     0,     0,
    3063,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1863,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,  1590,  1590,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,     0,  3149,
       0,     0,     0,  3161,  3166,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,  1582,     0,     0,  1582,     0,     0,  1003,
    1003,  1003,     0,     0,     0,  1003,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,  1584,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,  1584,     0,     0,  1584,  3119,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,  1586,     0,  1586,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,  3182,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,  1586,     0,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,  1590,     0,     0,
       0,     0,  1003,     0,  1003,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,  1586,     0,  1586,     0,     0,
       0,  3334,     0,     0,     0,     0,     0,     0,     0,     0,
    3363,     0,  2231,  2231,  2231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3399,     0,
       0,     0,     0,     0,  3411,  3411,     0,     0,  3411,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,  3429,     0,     0,  3432,     0,     0,  1003,  1003,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1586,     0,     0,     0,     0,     0,     0,
    1003,     0,  1582,     0,     0,     0,     0,  1584,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3505,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,  3527,     0,     0,  1586,     0,     0,     0,     0,
    1003,     0,     0,  3530,  1582,     0,  1003,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,  1003,  3574,  3411,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
    3609,     0,     0,     0,  1003,     0,     0,  3622,     0,     0,
       0,     0,     0,     0,  1584,     0,     0,     0,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1586,     0,     0,     0,     0,  1003,     0,
       0,     0,  1003,     0,     0,     0,  1582,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,  3801,     0,     0,
       0,     0,     0,     0,  1590,     0,  3818,  3818,  3818,  3818,
    3828,  3834,  3818,  3837,  3818,  3818,     0,     0,     0,     0,
    3844,     0,  3845,     0,  3847,     0,     0,  3861,  3864,  3869,
       0,     0,     0,     0,     0,  3878,     0,     0,  3883,     0,
       0,  1003,  1003,     0,     0,     0,     0,  3711,     0,  1003,
       0,     0,     0,  3890,  3891,  3892,  1584,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,  1003,  1003,
       0,  3893,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1863,
    1863,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3773,     0,     0,  3775,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3901,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3920,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,  3055,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,  3922,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3055,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,  1582,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3929,  3930,  3931,  3932,  3933,  3934,  3935,  3936,
    3937,     0,  3938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1825,     0,     0,  2231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,  1584,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1582,  3893,     0,     0,     0,  3901,     0,     0,
    3920,     0,  3922,     0,     0,  3984,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,  1586,     0,     0,     0,     0,     0,  2574,
    2575,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3958,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3970,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3055,     0,     0,
       0,  3055,     0,     0,     0,  1907,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1907,  1907,     0,     0,  4101,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1863,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,  4168,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,  4218,  4356,  4357,  2231,
       0,     0,     0,  4361,     0,     0,     0,     0,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3055,     0,     0,     0,     0,     0,
    4390,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3055,     0,     0,     0,  3857,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3055,
    3055,  3055,     0,     0,  3055,     0,     0,     0,     0,     0,
       0,  1586,  4298,  4299,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4424,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1586,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4611,     0,     0,     0,     0,
    4617,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,  2578,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3869,     0,  3869,  3869,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4707,     0,
       0,  4710,     0,  4712,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4737,     0,  4740,     0,  4742,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3166,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,  3055,
       0,     0,     0,     0,  4758,     0,     0,     0,     0,  4866,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1907,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4901,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3055,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3055,     0,     0,
       0,     0,  3055,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,  1586,  1586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2231,
       0,     0,     0,     0,     0,  2231,     0,     0,     0,     0,
       0,     0,     0,     0,  4980,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3411,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5134,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5111,  5112,  5113,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5122,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5147,  5149,     0,     0,     0,  5154,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5272,
       0,     0,     0,  1586,     0,     0,     0,     0,  5276,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3818,     0,     0,     0,  5289,  3818,  3818,     0,
       0,     0,     0,  3834,     0,     0,  5297,     0,     0,  5299,
       0,     0,     0,     0,     0,  5301,     0,  5302,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5324,  5325,  5326,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3878,     0,     0,     0,     0,     0,     0,
       0,  5350,     0,     0,  5353,     0,  5355,     0,     0,     0,
       0,     0,     0,     0,  1863,     0,     0,     0,     0,     0,
       0,     0,  5359,     0,     0,     0,     0,     0,     0,     0,
    5366,  5367,     0,     0,     0,     0,     0,  5372,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5415,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3055,     0,     0,
       0,  5433,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3055,     0,     0,     0,  5447,     0,
       0,     0,     0,     0,  3055,     0,     0,     0,     0,     0,
    3055,     0,     0,  3055,     0,     0,     0,     0,     0,     0,
    3055,  3055,     0,  3055,     0,     0,     0,     0,  3857,  3857,
       0,  4683,     0,  3857,     0,     0,     0,  3055,     0,     0,
    3055,     0,     0,     0,     0,  3055,     0,     0,     0,     0,
    5379,  5380,  5381,     0,  3055,     0,     0,     0,     0,  3055,
       0,     0,     0,     0,     0,     0,  3055,  3055,  3055,  3055,
       0,     0,     0,     0,  3857,  3857,     0,  3055,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3055,     0,  3055,     0,
       0,     0,     0,     0,     0,  3055,  3055,  3055,  3055,  3055,
    3055,  3055,  3055,  3055,  3055,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3055,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3055,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5738,  5739,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5746,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5659,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5691,     0,     0,     0,     0,     0,     0,  5799,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3149,     0,     0,     0,     0,     0,
       0,     0,     0,  3622,     0,     0,     0,     0,     0,     0,
       0,     0,  5822,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5750,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5841,  5843,     0,     0,     0,     0,     0,  5847,  5848,
       0,     0,     0,  5849,     0,     0,     0,     0,  5850,     0,
    3711,  5853,  5854,     0,     0,     0,     0,     0,  5859,     0,
       0,     0,  3055,  3055,     0,     0,     0,  3055,     0,  3818,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3055,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1825,     0,     0,     0,     0,     0,     0,     0,  5918,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5947,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5863,  5864,  5865,  5866,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5996,
       0,     0,     0,     0,     0,     0,  5998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3055,     0,     0,
       0,     0,     0,  3055,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6033,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4683,  4683,     0,     0,  3857,  3857,  3857,  3857,     0,     0,
    3857,  3857,  3857,  3857,  3857,  3857,  3857,  3857,  3857,  3857,
    4683,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3055,     0,     0,  3055,     0,  3055,     0,
       0,  4683,  4683,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3055,  3857,  3857,  3055,     0,  3055,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3818,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6142,     0,     0,
       0,     0,     0,  6146,  6147,  6148,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6161,  6162,
       0,     0,  6163,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6102,     0,
       0,     0,  3055,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6189,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6210,  3055,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3857,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6386,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3878,     0,     0,     0,
    3055,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6409,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6421,     0,     0,     0,  6304,     0,
       0,     0,     0,  1863,     0,  6439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6334,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6475,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6487,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3055,  6524,
       0,     0,  3055,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3055,     0,     0,     0,     0,
       0,     0,     0,  3055,     0,  3055,     0,  3055,  3055,     0,
       0,     0,     0,  4683,  4683,  4683,  4683,     0,     0,     0,
    4683,  4683,  4683,  4683,  4683,  4683,  4683,  4683,  4683,  4683,
    3055,  3055,  3055,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6471,     0,
       0,     0,     0,     0,     0,     0,  3055,     0,     0,  3055,
       0,  3055,     0,     0,     0,  3055,     0,     0,  4683,  4683,
       0,  3818,  3055,  3055,     0,     0,     0,     0,  3055,     0,
       0,     0,     0,  6609,     0,     0,     0,     0,     0,     0,
       0,     0,  6616,  6616,  6616,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2578,
       0,  3055,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3055,
       0,     0,     0,     0,  6653,     0,  6547,     0,     0,     0,
       0,     0,     0,  3055,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6668,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6570,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6616,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6439,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4683,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6844,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6869,     0,     0,     0,
       0,     0,     0,     0,  3055,  3055,     0,     0,     0,     0,
       0,     0,  3055,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6439,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3055,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3055,  3857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3055,     0,  3055,
       0,     0,     0,  3055,  3055,  3055,  3055,     0,     0,  3055,
    3055,     0,     0,     0,  6616,  3055,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3055,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  7002,     0,  3055,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3055,     0,  3055,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3055,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3055,     0,
    4683,  3857,  3055,  3055,  3055,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3055,  3055,  3055,
       0,     0,     0,     0,     0,     0,     0,  3857,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3055,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3055,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3055,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4683,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3055,     0,     0,     0,     0,
    3857,     0,     0,  4683,     0,     0,     0,  3055,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3055,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3055,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3055,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3055,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3055,     0,     0,     0,     0,
       0,     0,  3055,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4683,     0,  3857,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3055,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3055,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3055,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3055,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3857,     0,     0,  3857,     0,     0,  3857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4683,     0,  4683,     0,  4683,     0,
       0,     0,     0,     0,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,  3055,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   837,   350,
     351,   352,   838,   839,   840,   841,   842,   843,   844,   353,
     354,   355,   845,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   846,   369,   370,   371,
     372,   373,   374,   375,   847,   848,   376,   377,   849,   378,
     379,   850,   380,   381,   382,   383,   384,   851,   385,   852,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     853,   854,   396,   397,   398,   399,   400,   401,   855,   402,
     403,   404,   856,   857,   858,   859,   406,   860,   861,   862,
     408,   409,   410,   411,   800,   412,   413,   414,   415,   863,
     416,   864,   417,   418,   419,   420,   421,   422,   423,   865,
     424,   425,   426,   427,   866,   867,   428,   429,   430,   431,
     432,   868,   433,   434,   435,   436,   869,   437,   438,   439,
     440,   870,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   871,   451,   872,   452,   453,   454,   455,   456,
     873,   457,   874,   458,   459,   460,   875,   461,   462,   463,
     464,   465,   876,   466,   467,   877,   468,   469,   470,   878,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
     879,   480,   481,   482,   483,   484,   485,   486,   487,   880,
     488,   489,   490,   881,   491,   492,   493,   882,   494,   883,
     495,   884,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   885,   886,   519,   520,   521,
     522,   523,   887,   524,   525,   526,   888,   889,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   890,   558,   559,   560,   561,   891,   562,   563,   564,
     565,   566,   567,   892,   568,   569,   570,   893,   894,   571,
     572,   573,   895,   896,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   897,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   898,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   899,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   900,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,   901,   648,   649,   650,   651,   652,   902,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     903,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   904,   681,
     682,   905,   906,   683,   684,   685,   686,   687,   688,   689,
     690,   907,   691,   692,   693,   908,   909,   695,   696,   697,
     698,   699,   910,   700,   701,   702,   703,   704,   705,   706,
     707,   708,   911,   912,   709,   710,   711,   712,   713,   913,
     914,   714,   715,   716,   717,   718,   915,   719,   916,   720,
     721,   722,   723,   724,   725,   917,   918,   726,   919,   920,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
       0,     0,     0,     0,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,  1119,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,  2225,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  1753,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,  2226,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,  1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,  1785,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1786,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  1787,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,  1797,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,  1799,  2227,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1809,  1810,  2228,     0,     0,     0,     0,
       0,     0,  1812,  2229,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  1753,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,  1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,  1785,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1786,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  1787,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,   146,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,   151,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,  1797,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,  2576,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,   160,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,  1808,     0,   161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1809,  1810,     0,     0,     0,     0,     0,
       0,     0,  1812,  6641,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  1753,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,  1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,  1785,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1786,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  1787,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,  1797,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1809,  1810,     0,     0,     0,     0,     0,
       0,     0,  1812,  3859,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  1753,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,  1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,  1785,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1786,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  1787,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,  1797,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1809,  1810,     0,     0,     0,     0,     0,
       0,     0,  1812,  5303,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  1753,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,  1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,  1785,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1786,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  1787,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,  1797,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1809,  1810,     0,     0,     0,     0,     0,
       0,     0,  1812,  5369,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,     0,  1549,   366,  1550,  1551,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,  1552,  1553,
     379,     0,   380,   381,   382,   383,     0,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   800,   412,  1554,  1555,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,     0,   446,   447,   448,
     449,     0,     0,   451,     0,   452,   453,   454,  1557,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,     0,     0,     0,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
    3228,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,  3229,     0,   491,   492,   493,  1559,  1560,     0,
    1561,     0,   496,   497,   498,   499,   500,  1562,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,     0,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   538,
     803,   539,   540,   804,   541,   542,   543,  1563,   545,  1564,
     547,   548,   549,   550,   551,   552,   553,   554,     0,     0,
     557,     0,   558,   559,   560,   561,     0,     0,   563,  1565,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,  3231,   577,   578,   579,
       0,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,   596,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1566,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,     0,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,  3232,   657,   658,   659,   660,   661,  1568,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,     0,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1569,  1570,     0,     0,   695,   696,     0,
     698,     0,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,     0,  1571,  3233,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   807,   744,   745,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,  3328,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,     0,  1549,
     366,  1550,  1551,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,  1552,  1553,   379,     0,   380,
     381,   382,   383,     0,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,     0,   406,     0,     0,     0,   408,   409,   410,
     411,   800,   412,  1554,  1555,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,     0,   446,   447,   448,   449,     0,     0,
     451,     0,   452,   453,   454,  1557,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,     0,     0,     0,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,  3228,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,  3229,
       0,   491,   492,   493,  1559,  1560,     0,  1561,     0,   496,
     497,   498,   499,   500,  1562,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,     0,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   538,   803,   539,   540,
     804,   541,   542,   543,  1563,   545,  1564,   547,   548,   549,
     550,   551,   552,   553,   554,     0,     0,   557,     0,   558,
     559,   560,   561,     0,     0,   563,  1565,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,  3231,   577,   578,   579,     0,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,   596,     0,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1566,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,  3232,
     657,   658,   659,   660,   661,  1568,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,     0,   680,     0,   681,   682,     0,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1569,  1570,     0,     0,   695,   696,     0,   698,     0,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,     0,  1571,  3233,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   807,   744,   745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
    4483,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,    38,    39,
       0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
    1734,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1735,   366,  1736,  1737,
       0,   369,   370,   371,   372,   373,   374,   375,  1738,  1739,
     376,   377,  1740,  1741,   379,     0,   380,   381,   382,   383,
    1742,     0,  1743,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,   412,
    1751,  1752,   415,  1753,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1556,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
    1754,   446,   447,   448,   449,  1755,  1756,   451,     0,   452,
     453,   454,  1757,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1758,     0,
    1759,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,  1559,  1760,     0,  1761,     0,   496,   497,   498,   499,
     500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
     510,  1771,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1772,   521,   522,   523,     0,   524,   525,   526,
    1773,  1774,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1775,   538,   803,   539,   540,   804,   541,   542,
     543,  1776,   545,  1777,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1778,   557,  1779,   558,   559,   560,   561,
    1780,  1781,   563,  1782,   565,   566,   567,     0,   568,   569,
     570,     0,     0,  1783,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1784,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
    1785,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,  1786,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,  3820,   630,   631,
     632,   633,   634,   635,   636,   637,  1787,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,   146,   648,   649,
     650,   651,   652,  1788,   654,   655,   656,   657,   658,   659,
     660,   661,  1789,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
    1790,   680,     0,   681,   682,  1791,   151,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,  1792,  1793,     0,
       0,   695,   696,  1794,   698,  1795,  1796,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,  1797,   709,   710,
     711,   712,   713,  1798,     0,   714,   715,   716,   717,   718,
    2576,  1799,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,   160,   727,   728,   729,   730,   731,   732,
     733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,
     743,   807,   744,   745,     0,  1808,     0,   161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1809,  1810,     0,
       0,     0,     0,     0,     0,     0,  1812,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,    38,    39,     0,
    1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,  1734,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1735,   366,  1736,  1737,     0,
     369,   370,   371,   372,   373,   374,   375,  1738,  1739,   376,
     377,  1740,  1741,   379,     0,   380,   381,   382,   383,  1742,
       0,  1743,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,
    1748,  1749,  1750,   408,   409,   410,   411,   800,   412,  1751,
    1752,   415,  1753,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,  1754,
     446,   447,   448,   449,  1755,  1756,   451,     0,   452,   453,
     454,  1757,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,  1758,     0,  1759,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
    1559,  1760,     0,  1761,     0,   496,   497,   498,   499,   500,
    1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,
    1771,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,  1772,   521,   522,   523,     0,   524,   525,   526,  1773,
    1774,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,  1775,   538,   803,   539,   540,   804,   541,   542,   543,
    1776,   545,  1777,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1778,   557,  1779,   558,   559,   560,   561,  1780,
    1781,   563,  1782,   565,   566,   567,     0,   568,   569,   570,
       0,     0,  1783,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,  1784,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,  1785,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,  1786,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,  1787,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,   146,   648,   649,   650,
     651,   652,  1788,   654,   655,   656,   657,   658,   659,   660,
     661,  1789,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,  1790,
     680,     0,   681,   682,  1791,   151,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1792,  1793,     0,     0,
     695,   696,  1794,   698,  1795,  1796,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,  1797,   709,   710,   711,
     712,   713,  1798,     0,   714,   715,   716,   717,   718,  2576,
    1799,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,   160,   727,   728,   729,   730,   731,   732,   733,
    1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,
     807,   744,   745,     0,  1808,     0,   161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1809,  1810,     0,     0,
       0,     0,     0,     0,     0,  1812,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1730,
    1731,  1732,    40,  1733,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,  1734,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1735,   366,  1736,  1737,  3865,   369,
     370,   371,   372,   373,   374,   375,  1738,  1739,   376,   377,
    1740,  1741,   379,     0,   380,   381,   382,   383,  1742,     0,
    1743,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,
    1749,  1750,   408,   409,   410,   411,   800,   412,  1751,  1752,
     415,  1753,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1754,   446,
     447,   448,   449,  1755,  1756,   451,     0,   452,   453,   454,
    1757,   456,     0,   457,     0,   458,   459,   460,  3866,   461,
     462,   463,   464,   465,     0,   466,  1758,     0,  1759,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1559,
    1760,     0,  1761,     0,   496,   497,   498,   499,   500,  1762,
    1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,
     512,   513,   514,   515,   516,   517,   518,     0,  3867,   519,
    1772,   521,   522,   523,     0,   524,   525,   526,  1773,  1774,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1775,   538,   803,   539,   540,   804,   541,   542,   543,  1776,
     545,  1777,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1778,   557,  1779,   558,   559,   560,   561,  1780,  1781,
     563,  1782,   565,   566,   567,     0,   568,   569,   570,     0,
       0,  1783,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1784,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,  1785,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,  1786,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,  1787,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,  1788,   654,   655,   656,   657,   658,   659,   660,   661,
    1789,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,  1790,   680,
       0,   681,   682,  1791,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1792,  1793,     0,  3868,   695,
     696,  1794,   698,  1795,  1796,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,  1797,   709,   710,   711,   712,
     713,  1798,     0,   714,   715,   716,   717,   718,   806,  1799,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,  1800,
    1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,
     744,   745,     0,  1808,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1809,  1810,     0,     0,     0,
       0,     0,     0,     0,  1812,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
     340,     0,     0,    37,     0,    38,    39,     0,  1730,  1731,
    1732,    40,  1733,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349, -2278,
     350,   351,   352,     0,     0,     0, -2278,  1734,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1735,   366,  1736,  1737,     0,   369,   370,
     371,   372,   373,   374,   375,  1738,  1739,   376,   377,  1740,
    1741,   379,     0,   380,   381,   382,   383,  1742,     0,  1743,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,
    1750,   408,   409,   410,   411,   800,   412,  1751,  1752,   415,
    1753,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1556,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,  1754,   446,   447,
     448,   449,  1755,  1756,   451,     0,   452,   453,   454,  1757,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,  1758,     0,  1759,   469,   470,
       0,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,  1559,  1760,
       0,  1761,     0,   496,   497,   498,   499,   500,  1762,  1763,
    1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,  1772,
     521,   522,   523,     0,   524,   525,   526,  1773,  1774,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1775,
     538,   803,   539,   540,   804,   541,   542,   543,  1776,   545,
    1777,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1778,   557,  1779,   558,   559,   560,   561,  1780,  1781,   563,
    1782,   565,   566,   567,     0,   568,   569,   570,     0,     0,
    1783,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1784,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,  1785,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,  1786,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,  1787,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
    1788,   654,   655,   656,   657,   658,   659,   660,   661,  1789,
     663, -2278,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,  1790,   680,     0,
     681,   682,  1791,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,  1792,  1793,     0,     0,   695,   696,
    1794,   698,  1795,  1796,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,  1797,   709,   710,   711,   712,   713,
    1798,     0,   714,   715,   716,   717,   718,   806,  1799,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,  1800,  1801,
    1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,
     745,     0,  1808,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1809,  1810,     0,     0,     0,     0,
       0,     0,     0,  1812,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349, -2276,   350,
     351,   352,     0,     0,     0, -2276,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  1753,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,  1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,  1785,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1786,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  1787,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
   -2276,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,  1797,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1809,  1810,     0,     0,     0,     0,     0,
       0,     0,  1812,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,    38,    39,     0,  1730,  1731,  1732,    40,
    1733,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,  1734,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1735,   366,  1736,  1737,     0,   369,   370,   371,   372,
     373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,
       0,   380,   381,   382,   383,  1742,     0,  1743,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,
     409,   410,   411,   800,   412,  1751,  1752,   415,  1753,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1556,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,  1754,   446,   447,   448,   449,
    1755,  1756,   451,     0,   452,   453,   454,  1757,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,  1758,     0,  1759,   469,   470,     0,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,  1559,  1760,     0,  1761,
       0,   496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,  1772,   521,   522,
     523,     0,   524,   525,   526,  1773,  1774,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1775,   538,   803,
     539,   540,   804,   541,   542,   543,  1776,   545,  1777,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1778,   557,
    1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,   565,
     566,   567,     0,   568,   569,   570,     0,     0,  1783,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1784,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,  1785,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,  1786,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,  1787,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,  1788,   654,
     655,   656,   657,   658,   659,   660,   661,  1789,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,  1790,   680,     0,   681,   682,
    1791,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,  1792,  1793,     0,     0,   695,   696,  1794,   698,
    1795,  1796,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,  1797,   709,   710,   711,   712,   713,  1798,     0,
     714,   715,   716,   717,   718,   806,  1799,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,
     738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,
    1808,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1809,  1810,     0,     0,     0,     0,     0,  2525,
    3794,  1812,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1734,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1735,   366,  1736,  1737,     0,   369,   370,   371,   372,   373,
     374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,
     380,   381,   382,   383,  1742,     0,  1743,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,
     410,   411,   800,   412,  1751,  1752,   415,  1753,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1754,   446,   447,   448,   449,  1755,
    1756,   451,     0,   452,   453,   454,  1757,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1758,     0,  1759,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1559,  1760,     0,  1761,     0,
     496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1772,   521,   522,   523,
       0,   524,   525,   526,  1773,  1774,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1775,   538,   803,   539,
     540,   804,   541,   542,   543,  1776,   545,  1777,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1778,   557,  1779,
     558,   559,   560,   561,  1780,  1781,   563,  1782,   565,   566,
     567,     0,   568,   569,   570,     0,     0,  1783,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1784,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,  1785,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,  1786,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
    1787,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,  1788,   654,   655,
     656,   657,   658,   659,   660,   661,  1789,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,  1790,   680,     0,   681,   682,  1791,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,
    1796,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,  1797,   709,   710,   711,   712,   713,  1798,     0,   714,
     715,   716,   717,   718,   806,  1799,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,
    1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1809,  1810,  1811,     0,     0,     0,     0,     0,     0,
    1812,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,  3159,   350,   351,   352,     0,
       0,     0,     0,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,  1753,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,  1779,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1783,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,  1785,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1786,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  1787,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
    1797,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1809,  1810,     0,     0,     0,     0,     0,     0,     0,  1812,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,  1753,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,  1779,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1783,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,  1785,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
    1786,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,  3820,
     630,   631,   632,   633,   634,   635,   636,   637,  1787,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,  1797,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,  1808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
    1810,     0,     0,     0,     0,     0,     0,     0,  1812,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,   340,     0,     0,    37,     0,    38,
      39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,  1734,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1735,   366,  1736,
    1737,     0,   369,   370,   371,   372,   373,   374,   375,  1738,
    1739,   376,   377,  1740,  1741,   379,     0,   380,   381,   382,
     383,  1742,     0,  1743,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,  1744,  1745,
    1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,
     412,  1751,  1752,   415,  1753,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,  1556,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,  1754,   446,   447,   448,   449,  1755,  1756,   451,     0,
     452,   453,   454,  1757,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,  1758,
       0,  1759,   469,   470,     0,   471,   472,   802,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,  1559,  1760,     0,  1761,     0,   496,   497,   498,
     499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,   510,  1771,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,  1772,   521,   522,   523,     0,   524,   525,
     526,  1773,  1774,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  1775,   538,   803,   539,   540,   804,   541,
     542,   543,  1776,   545,  1777,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1778,   557,  1779,   558,   559,   560,
     561,  1780,  1781,   563,  1782,   565,   566,   567,     0,   568,
     569,   570,     0,     0,  1783,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,  1784,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,  1785,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,  1786,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,  1787,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,  1788,   654,   655,   656,   657,   658,
     659,   660,   661,  1789,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,  1790,   680,     0,   681,   682,  1791,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,  1792,  1793,
       0,     0,   695,   696,  1794,   698,  1795,  1796,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,  1797,   709,
     710,   711,   712,   713,  1798,     0,   714,   715,   716,   717,
     718,   806,  1799,  4358,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,
    1807,   743,   807,   744,   745,     0,  1808,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1809,  1810,
       0,     0,     0,     0,     0,     0,     0,  1812,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,    38,    39,
       0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
    1734,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1735,   366,  1736,  1737,
       0,   369,   370,   371,   372,   373,   374,   375,  1738,  1739,
     376,   377,  1740,  1741,   379,     0,   380,   381,   382,   383,
    1742,     0,  1743,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,   412,
    1751,  1752,   415,  1753,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1556,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
    1754,   446,   447,   448,   449,  1755,  1756,   451,     0,   452,
     453,   454,  1757,   456,     0,   457,     0,   458,   459,   460,
    3866,   461,   462,   463,   464,   465,     0,   466,  1758,     0,
    1759,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,  1559,  1760,     0,  1761,     0,   496,   497,   498,   499,
     500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
     510,  1771,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1772,   521,   522,   523,     0,   524,   525,   526,
    1773,  1774,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1775,   538,   803,   539,   540,   804,   541,   542,
     543,  1776,   545,  1777,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1778,   557,  1779,   558,   559,   560,   561,
    1780,  1781,   563,  1782,   565,   566,   567,     0,   568,   569,
     570,     0,     0,  1783,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1784,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
    1785,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,  1786,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,  1787,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,  1788,   654,   655,   656,   657,   658,   659,
     660,   661,  1789,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
    1790,   680,     0,   681,   682,  1791,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,  1792,  1793,     0,
       0,   695,   696,  1794,   698,  1795,  1796,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,  1797,   709,   710,
     711,   712,   713,  1798,     0,   714,   715,   716,   717,   718,
     806,  1799,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,
     743,   807,   744,   745,     0,  1808,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1809,  1810,     0,
       0,     0,     0,     0,     0,     0,  1812,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,    38,    39,     0,
    1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,  1734,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1735,   366,  1736,  1737,     0,
     369,   370,   371,   372,   373,   374,   375,  1738,  1739,   376,
     377,  1740,  1741,   379,     0,   380,   381,   382,   383,  1742,
       0,  1743,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,
    1748,  1749,  1750,   408,   409,   410,   411,   800,   412,  1751,
    1752,   415,  1753,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,  1754,
     446,   447,   448,   449,  1755,  1756,   451,     0,   452,   453,
     454,  1757,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,  1758,     0,  1759,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
    1559,  1760,     0,  1761,     0,   496,   497,   498,   499,   500,
    1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,
    1771,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,  1772,   521,   522,   523,     0,   524,   525,   526,  1773,
    1774,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,  1775,   538,   803,   539,   540,   804,   541,   542,   543,
    1776,   545,  1777,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1778,   557,  1779,   558,   559,   560,   561,  1780,
    1781,   563,  1782,   565,   566,   567,     0,   568,   569,   570,
       0,     0,  1783,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,  1784,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,  1785,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,  1786,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,  1787,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,  1788,   654,   655,   656,   657,   658,   659,   660,
     661,  1789,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,  1790,
     680,     0,   681,   682,  1791,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1792,  1793,  3923,     0,
     695,   696,  1794,   698,  1795,  1796,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,  1797,   709,   710,   711,
     712,   713,  1798,     0,   714,   715,   716,   717,   718,   806,
    1799,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
    1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,
     807,   744,   745,     0,  1808,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1809,  1810,     0,     0,
       0,     0,     0,     0,     0,  1812,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1730,
    1731,  1732,    40,  1733,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,  1734,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1735,   366,  1736,  1737,     0,   369,
     370,   371,   372,   373,   374,   375,  1738,  1739,   376,   377,
    1740,  1741,   379,     0,   380,   381,   382,   383,  1742,     0,
    1743,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,  5432,  1744,  1745,  1746,  1747,  1748,
    1749,  1750,   408,   409,   410,   411,   800,   412,  1751,  1752,
     415,  1753,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1754,   446,
     447,   448,   449,  1755,  1756,   451,     0,   452,   453,   454,
    1757,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1758,     0,  1759,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1559,
    1760,     0,  1761,     0,   496,   497,   498,   499,   500,  1762,
    1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1772,   521,   522,   523,     0,   524,   525,   526,  1773,  1774,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1775,   538,   803,   539,   540,   804,   541,   542,   543,  1776,
     545,  1777,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1778,   557,  1779,   558,   559,   560,   561,  1780,  1781,
     563,  1782,   565,   566,   567,     0,   568,   569,   570,     0,
       0,  1783,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1784,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,  1785,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,  1786,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,  1787,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,  1788,   654,   655,   656,   657,   658,   659,   660,   661,
    1789,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,  1790,   680,
       0,   681,   682,  1791,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1792,  1793,     0,     0,   695,
     696,  1794,   698,  1795,  1796,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,  1797,   709,   710,   711,   712,
     713,  1798,     0,   714,   715,   716,   717,   718,   806,  1799,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,  1800,
    1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,
     744,   745,     0,  1808,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1809,  1810,     0,     0,     0,
       0,     0,     0,     0,  1812,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
     340,     0,     0,    37,     0,    38,    39,     0,  1730,  1731,
    1732,    40,  1733,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,  1734,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,  6613,  1735,   366,  1736,  1737,     0,   369,   370,
     371,   372,   373,   374,   375,  1738,  1739,   376,   377,  1740,
    1741,   379,     0,   380,   381,   382,   383,  1742,     0,  1743,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,  6614,  1744,  1745,  1746,  1747,  1748,  1749,
    1750,   408,   409,   410,   411,   800,   412,  1751,  1752,   415,
    1753,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1556,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,  1754,   446,   447,
     448,   449,  1755,  1756,   451,     0,   452,   453,   454,  1757,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,  1758,     0,  1759,   469,   470,
       0,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,  1559,  1760,
       0,  1761,     0,   496,   497,   498,   499,   500,  1762,  1763,
    1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,  1772,
     521,   522,   523,     0,   524,   525,   526,  1773,  1774,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1775,
     538,   803,   539,   540,   804,   541,   542,   543,  1776,   545,
    1777,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1778,   557,  1779,   558,   559,   560,   561,  1780,  1781,   563,
    1782,   565,   566,   567,     0,   568,   569,   570,     0,     0,
    1783,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1784,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,  1785,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,  1786,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,  1787,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
    1788,   654,   655,   656,   657,   658,   659,   660,   661,  1789,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,  1790,   680,     0,
     681,   682,  1791,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,  1792,  1793,     0,     0,   695,   696,
    1794,   698,  1795,  1796,   700,   701,   702,   703,   704,  6615,
     706,   707,   708,     0,  1797,   709,   710,   711,   712,   713,
    1798,     0,   714,   715,   716,   717,   718,   806,  1799,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,  1800,  1801,
    1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,
     745,     0,  1808,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1809,  1810,     0,     0,     0,     0,
       0,     0,     0,  1812,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,  6614,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  1753,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,  1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,  1785,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1786,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  1787,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,  6615,   706,
     707,   708,     0,  1797,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1809,  1810,     0,     0,     0,     0,     0,
       0,     0,  1812,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,    38,    39,     0,  1730,  1731,  1732,    40,
    1733,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,  1734,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1735,   366,  1736,  1737,     0,   369,   370,   371,   372,
     373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,
       0,   380,   381,   382,   383,  1742,     0,  1743,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,
     409,   410,   411,   800,   412,  1751,  1752,   415,  1753,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1556,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,  1754,   446,   447,   448,   449,
    1755,  1756,   451,     0,   452,   453,   454,  1757,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,  1758,     0,  1759,   469,   470,     0,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,  1559,  1760,     0,  1761,
       0,   496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,  1772,   521,   522,
     523,     0,   524,   525,   526,  1773,  1774,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1775,   538,   803,
     539,   540,   804,   541,   542,   543,  1776,   545,  1777,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1778,   557,
    1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,   565,
     566,   567,     0,   568,   569,   570,     0,     0,  1783,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1784,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,  1785,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,  1786,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,  1787,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,  1788,   654,
     655,   656,   657,   658,   659,   660,   661,  1789,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,  1790,   680,     0,   681,   682,
    1791,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,  1792,  1793,     0,     0,   695,   696,  1794,   698,
    1795,  1796,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,  1797,   709,   710,   711,   712,   713,  1798,     0,
     714,   715,   716,   717,   718,   806,  1799,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,
     738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,
    1808,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1809,  1810,     0,     0,     0,     0,     0,     0,
       0,  1812,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1734,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1735,   366,  1736,  1737,     0,   369,   370,   371,   372,   373,
     374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,
     380,   381,   382,   383,  1742,     0,  1743,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,
     410,   411,   800,   412,  1751,  1752,   415,  1753,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1754,   446,   447,   448,   449,  1755,
    1756,   451,     0,   452,   453,   454,  1757,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1758,     0,  1759,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1559,  1760,     0,  1761,     0,
     496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1772,   521,   522,   523,
       0,   524,   525,   526,  1773,  1774,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1775,   538,   803,   539,
     540,   804,   541,   542,   543,  1776,   545,  1777,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1778,   557,  1779,
     558,   559,   560,   561,  1780,  1781,   563,  1782,   565,   566,
     567,     0,   568,   569,   570,     0,     0,  1783,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1784,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,  1785,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,  1786,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
    1787,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,  1788,   654,   655,
     656,   657,   658,   659,   660,   661,  1789,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,  1790,   680,     0,   681,   682,  1791,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,
    1796,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,  1797,   709,   710,   711,   712,   713,  1798,     0,   714,
     715,   716,   717,   718,   806,  1799,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,
    1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3162,  3163,     0,     0,     0,     0,     0,     0,     0,
    1812,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,  1753,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,  1779,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1783,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,  1785,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1786,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  1787,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
    1797,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,  5830,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1809,  1810,     0,     0,     0,     0,     0,     0,     0,  1812,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,  1753,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,  5842,   555,  1778,   557,  1779,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1783,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,  1785,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
    1786,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,  1787,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,  1797,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,  1808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
    1810,     0,     0,     0,     0,     0,     0,     0,  1812,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,   340,     0,     0,    37,     0,    38,
      39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,  1734,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1735,   366,  1736,
    1737,     0,   369,   370,   371,   372,   373,   374,   375,  1738,
    1739,   376,   377,  1740,  1741,   379,     0,   380,   381,   382,
     383,  1742,     0,  1743,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,  6429,     0,  1744,  1745,
    1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,
     412,  1751,  1752,   415,  1753,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,  1556,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,  1754,   446,   447,   448,   449,  1755,  1756,   451,     0,
     452,   453,   454,  1757,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,  1758,
       0,  6430,   469,   470,     0,   471,   472,   802,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,  1559,  1760,     0,  1761,     0,   496,   497,   498,
     499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,   510,  1771,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,  1772,   521,   522,   523,     0,   524,   525,
     526,  1773,  1774,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  1775,   538,   803,   539,   540,   804,   541,
     542,   543,  1776,   545,  1777,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1778,   557,  1779,   558,   559,   560,
     561,  1780,  1781,   563,  1782,   565,   566,   567,     0,   568,
     569,   570,     0,     0,  1783,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,  1784,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,  1785,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,  1786,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,  6431,   636,   637,  1787,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,  1788,   654,   655,   656,   657,   658,
     659,   660,   661,  1789,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,  1790,   680,     0,   681,   682,  1791,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,  1792,  1793,
       0,     0,   695,   696,  1794,   698,  1795,  1796,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,  1797,   709,
     710,   711,   712,   713,  1798,     0,   714,   715,   716,   717,
     718,   806,  1799,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,
    1807,   743,   807,   744,   745,     0,  1808,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1809,  1810,
       0,     0,     0,     0,     0,     0,     0,  6432,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,    38,    39,
       0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
    1734,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363, -3721,  1735,   366,  1736,  1737,
       0,   369,   370,   371,   372,   373,   374,   375,  1738,  1739,
     376,   377,  1740,  1741,   379,     0,   380,   381,   382,   383,
    1742,     0,  1743,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,  6614,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,   412,
    1751,  1752,   415,  1753,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1556,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
    1754,   446,   447,   448,   449,  1755,  1756,   451,     0,   452,
     453,   454,  1757,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1758,     0,
    1759,   469,   470,     0,   471,   472,   802,   473,   474, -3721,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,  1559,  1760,     0,  1761,     0,   496,     0,     0,   499,
     500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
     510,  1771,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1772,   521,   522, -3721,     0,   524,   525,   526,
    1773,  1774,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1775,   538,   803,   539,   540,   804,   541,   542,
     543,  1776,   545,  1777,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1778,   557,  1779,   558,   559,     0,   561,
    1780,  1781,   563,  1782,   565,   566,   567,     0,   568,   569,
     570,     0,     0,  1783,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1784,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
    1785,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,  1786,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,  1787,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,  1788,   654,   655,   656,   657,   658, -3721,
     660,   661,  1789,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
    1790,   680,     0,   681,   682,  1791,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,  1792,  1793,     0,
       0,   695,   696,  1794,   698,  1795,  1796,   700,   701,   702,
     703,   704,  6615,   706,   707,   708,     0,  1797,   709,   710,
     711,   712,   713,  1798,     0,   714,   715,   716,   717,   718,
     806,  1799,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,
     743,   807,   744,   745,     0, -3721,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1809,  1810,     0,
       0,     0,     0,     0,     0,     0,  1812,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,    38,    39,     0,
    1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,  1734,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1735,   366,  1736,  1737,     0,
     369,   370,   371,   372,   373,   374,   375,  1738,  1739,   376,
     377,  1740,  1741,   379,     0,   380,   381,   382,   383,  1742,
       0,  1743,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,
    1748,  1749,  1750,   408,   409,   410,   411,   800,   412,  1751,
    1752,   415,  6414,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,  1754,
     446,   447,   448,   449,  1755,  1756,   451,     0,   452,   453,
     454,  1757,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,  1758,     0,  1759,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
    1559,  1760,     0,  1761,     0,   496,   497,   498,   499,   500,
    1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,
    1771,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,  1772,   521,   522,   523,     0,   524,   525,   526,  1773,
    1774,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,  1775,   538,   803,   539,   540,   804,   541,   542,   543,
    1776,   545,  1777,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1778,   557,     0,   558,   559,   560,   561,  1780,
    1781,   563,  1782,   565,   566,   567,     0,   568,   569,   570,
       0,     0,  1783,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,  1784,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,  1785,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,  1786,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,  3851,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,  1788,   654,   655,   656,   657,   658,   659,   660,
     661,  1789,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,  1790,
     680,     0,   681,   682,  1791,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1792,  1793,     0,     0,
     695,   696,  1794,   698,  1795,  1796,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,  1798,     0,   714,   715,   716,   717,   718,   806,
    1799,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
    1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,
     807,   744,   745,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3852,  3853,     0,     0,
       0,     0,     0,     0,     0,  3854,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1730,
    1731,  1732,    40,  1733,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,  1734,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1735,   366,  1736,  1737,     0,   369,
     370,   371,   372,   373,   374,   375,  1738,  1739,   376,   377,
    1740,  1741,   379,     0,   380,   381,   382,   383,  1742,     0,
    1743,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,
    1749,  1750,   408,   409,   410,   411,   800,   412,  1751,  1752,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1754,   446,
     447,   448,   449,  1755,  1756,   451,     0,   452,   453,   454,
    1757,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1758,     0,  1759,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1559,
    1760,     0,  1761,     0,   496,   497,   498,   499,   500,  1762,
    1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1772,   521,   522,   523,     0,   524,   525,   526,  1773,  1774,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1775,   538,   803,   539,   540,   804,   541,   542,   543,  1776,
     545,  1777,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1778,   557,     0,   558,   559,   560,   561,  1780,  1781,
     563,  1782,   565,   566,   567,     0,   568,   569,   570,     0,
       0,  1783,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1784,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,  1785,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,  1786,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,  3851,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,  1788,   654,   655,   656,   657,   658,   659,   660,   661,
    1789,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,  1790,   680,
       0,   681,   682,  1791,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1792,  1793,     0,     0,   695,
     696,  1794,   698,  1795,  1796,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,  1798,     0,   714,   715,   716,   717,   718,   806,  1799,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,  1800,
    1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,
     744,   745,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3852,  3853,     0,     0,     0,
       0,     0,     0,     0,  3854,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
     340,     0,     0,    37,     0,    38,    39,     0,  1730,  1731,
       0,    40,  1733,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,  1734,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1735,   366,  1736,  1737,     0,   369,   370,
     371,   372,   373,   374,   375,  1738,  1739,   376,   377,  1740,
    1741,   379,     0,   380,   381,   382,   383,  1742,     0,  1743,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,
    1750,   408,   409,   410,   411,   800,   412,  1751,  1752,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1556,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,  1754,   446,   447,
     448,   449,  1755,  1756,   451,     0,   452,   453,   454,  1757,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,  1758,     0,  1759,   469,   470,
       0,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,  1559,  1760,
       0,  1761,     0,   496,   497,   498,   499,   500,  1762,  1763,
    1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,  1772,
     521,   522,   523,     0,   524,   525,   526,  1773,  1774,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1775,
     538,   803,   539,   540,   804,   541,   542,   543,  1776,   545,
    1777,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1778,   557,     0,   558,   559,   560,   561,  1780,  1781,   563,
    1782,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1784,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,  1785,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,  1786,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,  3996,  3997,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
    1788,   654,   655,   656,   657,   658,   659,   660,   661,  1789,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,  1790,   680,     0,
     681,   682,  1791,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,  1792,  1793,     0,     0,   695,   696,
    1794,   698,  1795,  1796,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
    1798,     0,   714,   715,   716,   717,   718,   806,  1799,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,  1800,  1801,
    1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,
     745,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3998,  3999,     0,     0,     0,     0,
       0,     0,     0,  3854,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,     0,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,     0,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,  1785,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1786,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  3851,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,  3854,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,     0,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,  5334,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,     0,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,  1785,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
    1786,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,  3851,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,  3854,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1730,
    1731,     0,    40,  1733,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,  1734,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1735,   366,  1736,  1737,     0,   369,
     370,   371,   372,   373,   374,   375,  1738,  1739,   376,   377,
    1740,  1741,   379,     0,   380,   381,   382,   383,  1742,     0,
    1743,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,
    1749,  1750,   408,   409,   410,   411,   800,   412,  1751,  1752,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1754,   446,
     447,   448,   449,  1755,  1756,   451,     0,   452,   453,   454,
    1757,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1758,     0,  1759,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1559,
    1760,     0,  1761,     0,   496,   497,   498,   499,   500,  1762,
    1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1772,   521,   522,   523,     0,   524,   525,   526,  1773,  1774,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1775,   538,   803,   539,   540,   804,   541,   542,   543,  1776,
     545,  1777,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1778,   557,     0,   558,   559,   560,   561,  1780,  1781,
     563,  1782,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1784,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,  1785,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,  1786,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,  3851,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,  1788,   654,   655,   656,   657,   658,   659,   660,   661,
    1789,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,  1790,   680,
       0,   681,   682,  1791,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1792,  1793,     0,     0,   695,
     696,  1794,   698,  1795,  1796,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,  1798,     0,   714,   715,   716,   717,   718,   806,  1799,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,  1800,
    1801,  1802,  1803,  5873,  1804,  1805,  1806,  1807,   743,   807,
     744,   745,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,  3854,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,  1739,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,  1742,     0,  1743,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,  1755,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1758,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,  4437,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,  4762,  1771,   512,   513,   514,   515,
     516,   517,   518,  4763,     0,   519,  1772,   521,   522,   523,
       0,   524,   525,   526,  1773,  1774,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1775,   538,   803,   539,
     540,   804,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1778,   557,     0,
     558,   559,   560,   561,     0,  1781,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,  1241,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1784,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,  1785,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
     638,  4764,   640,   641,   642,   643,   644,   645,   646,   805,
     647,   146,   648,   649,   650,   651,   652,  1788,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,  1790,   680,     0,   681,   682,  1791,
     151,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,  1794,   698,  1795,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,  1798,     0,   714,
     715,   716,   717,   718,  2576,   719,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,   160,   727,   728,
     729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,
    1804,  1805,  1806,  1807,  4765,   807,   744,   745,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
    4766,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,  1739,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
    1742,     0,  1743,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,  1755,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1758,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,  4437,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
    4762,  1771,   512,   513,   514,   515,   516,   517,   518,  4763,
       0,   519,  1772,   521,   522,   523,     0,   524,   525,   526,
    1773,  1774,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1775,   538,   803,   539,   540,   804,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1778,   557,     0,   558,   559,   560,   561,
       0,  1781,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,  1241,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1784,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
    1785,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,  4764,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,  1788,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
    1790,   680,     0,   681,   682,  1791,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,  1794,   698,  1795,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,  1798,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,
    4765,   807,   744,   745,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,  4766,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,  1739,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,  1755,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,  4437,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,     0,   558,   559,   560,   561,     0,  1781,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,  1785,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,  1794,
     698,  1795,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,  4438,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,  1739,   376,   377,   797,   378,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,  1755,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,   468,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,  4437,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,  4762,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,     0,   558,   559,
     560,   561,     0,  1781,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,  1785,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,   638,  4764,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,  1794,   698,  1795,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,   719,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,  4765,   807,   744,   745,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,   162,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,  1739,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,  1742,     0,
    1743,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,
    1749,  1750,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,  1755,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1758,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,  4437,
    1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1772,   521,   522,   523,     0,   524,   525,   526,  1773,  1774,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1775,   538,   803,   539,   540,   804,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1778,   557,     0,   558,   559,   560,   561,     0,  1781,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1784,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,  1785,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,  1788,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,  1790,   680,
       0,   681,   682,  1791,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,  1794,   698,  1795,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,  1798,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,  1800,
    1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,
     744,   745,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,  5492,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,  1739,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,  1742,     0,  1743,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,  1755,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1758,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,  4437,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1772,   521,   522,   523,
       0,   524,   525,   526,  1773,  1774,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1775,   538,   803,   539,
     540,   804,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1778,   557,     0,
     558,   559,   560,   561,     0,  1781,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1784,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,  1785,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,  1788,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,  1790,   680,     0,   681,   682,  1791,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,  1794,   698,  1795,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,  1798,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,
    1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
    6725,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,  6240,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,  5392,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0, -1847,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0, -1847,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
   -1847,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499, -1847,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520, -1847,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544, -1847,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631, -1847,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,  1901,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,   146,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,   151,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
    2576,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,   160,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,     0,     0,     0,   161,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   162,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,   146,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,   151,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,  2576,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,   160,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,     0,     0,     0,   161,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   162,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,  3405,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
    1241,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,  3406,  3407,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,  2277,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,    39,     0,     0,     0,     0,    40,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,  4528,  4529,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,    39,     0,
       0,     0,     0,    40,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,  4529,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
    1886,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,  4030,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
    4751,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,  5890,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,    38,    39,     0,     0,     0,  1367,    40,
       0,     0,     0,     0,     0,  1368,  1369,  1370,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   837,   350,   351,
     352,   838,   839,   840,   841,   842,   843,   844,   353,   354,
     355,   845,   356,   357,   358,   359,   360,   361,   362,   363,
       0,  1549,   366,  1550,  1551,   846,   369,   370,   371,   372,
     373,   374,   375,   847,   848,   376,   377,  1552,  1553,   379,
     850,   380,   381,   382,   383,     0,   851,   385,   852,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
     854,   396,   397,   398,   399,   400,   401,   855,   402,   403,
     404,     0,   857,   858,   859,   406,   860,   861,   862,   408,
     409,   410,   411,   800,   412,  1554,  1555,   415,   863,   416,
     864,   417,   418,   419,   420,   421,   422,   423,   865,   424,
     425,   426,   427,   866,   867,   428,   429,  1556,   431,   432,
     868,   433,   434,   435,   436,   869,   437,   438,   439,   440,
     870,   441,   442,   443,   444,     0,   446,   447,   448,   449,
       0,   871,   451,   872,   452,   453,   454,  1557,   456,   873,
     457,   874,   458,   459,   460,   875,   461,   462,   463,   464,
     465,   876,   466,     0,   877,     0,   469,   470,   878,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,   879,
     480,   481,   482,   483,   484,   485,   486,   487,   880,   488,
     489,     0,     0,   491,   492,   493,  1559,  1560,   883,  1561,
     884,   496,   497,   498,   499,   500,  1562,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   512,   513,   514,
     515,   516,   517,   518,   885,   886,   519,     0,   521,   522,
     523,   887,   524,   525,   526,   888,   889,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   538,   803,
     539,   540,   804,   541,   542,   543,  1563,   545,  1564,   547,
     548,   549,   550,   551,   552,   553,   554,  5078,     0,   557,
     890,   558,   559,   560,   561,   891,     0,   563,  1565,   565,
     566,   567,   892,   568,   569,   570,   893,   894,  5079,   572,
     573,   895,   896,   574,   575,     0,   577,   578,   579,     0,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   897,   592,   593,   594,     0,   596,     0,   598,   599,
     600,   898,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,  1566,   613,   614,   615,   616,   899,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   900,   630,   631,   632,   633,   634,   635,   636,
     637,     0,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,   901,   648,   649,   650,   651,   652,   902,   654,
     655,  3232,   657,   658,   659,   660,   661,  1568,   663,   903,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,     0,   680,   904,   681,   682,
     905,   906,   683,   684,   685,   686,   687,   688,   689,   690,
     907,   691,  1569,  1570,     0,   909,   695,   696,     0,   698,
       0,   910,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,   912,   709,   710,   711,   712,   713,   913,   914,
     714,   715,   716,   717,   718,     0,  1571,   916,   720,   721,
     722,   723,   724,   725,   917,   918,   726,   919,   920,   727,
     728,   729,   730,   731,   732,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   807,   744,   745,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1373,
    1374,  1375,  5080,  5081,  1378,  1379,  1380,  1381,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,    38,    39,
       0,     0,     0,  1367,    40,     0,     0,     0,     0,     0,
    1368,  1369,  1370,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   837,   350,   351,   352,   838,   839,   840,   841,
     842,   843,   844,   353,   354,   355,   845,   356,   357,   358,
     359,   360,   361,   362,   363,     0,  1549,   366,  1550,  1551,
     846,   369,   370,   371,   372,   373,   374,   375,   847,   848,
     376,   377,  1552,  1553,   379,   850,   380,   381,   382,   383,
       0,   851,   385,   852,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,   854,   396,   397,   398,   399,
     400,   401,   855,   402,   403,   404,     0,   857,   858,   859,
     406,   860,   861,   862,   408,   409,   410,   411,   800,   412,
    1554,  1555,   415,   863,   416,   864,   417,   418,   419,   420,
     421,   422,   423,   865,   424,   425,   426,   427,   866,   867,
     428,   429,  1556,   431,   432,   868,   433,   434,   435,   436,
     869,   437,   438,   439,   440,   870,   441,   442,   443,   444,
       0,   446,   447,   448,   449,     0,   871,   451,   872,   452,
     453,   454,  1557,   456,   873,   457,   874,   458,   459,   460,
     875,   461,   462,   463,   464,   465,   876,   466,     0,   877,
       0,   469,   470,   878,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,   879,   480,   481,   482,   483,   484,
     485,   486,   487,   880,   488,   489,     0,     0,   491,   492,
     493,  1559,  1560,   883,  1561,   884,   496,   497,   498,   499,
     500,  1562,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   512,   513,   514,   515,   516,   517,   518,   885,
     886,   519,     0,   521,   522,   523,   887,   524,   525,   526,
     888,   889,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   538,   803,   539,   540,   804,   541,   542,
     543,  1563,   545,  1564,   547,   548,   549,   550,   551,   552,
     553,   554,  5563,     0,   557,   890,   558,   559,   560,   561,
     891,     0,   563,  1565,   565,   566,   567,   892,   568,   569,
     570,   893,   894,  5079,   572,   573,   895,   896,   574,   575,
       0,   577,   578,   579,     0,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   897,   592,   593,   594,
       0,   596,     0,   598,   599,   600,   898,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,  1566,   613,
     614,   615,   616,   899,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   900,   630,   631,
     632,   633,   634,   635,   636,   637,     0,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,   901,   648,   649,
     650,   651,   652,   902,   654,   655,  3232,   657,   658,   659,
     660,   661,  1568,   663,   903,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
       0,   680,   904,   681,   682,   905,   906,   683,   684,   685,
     686,   687,   688,   689,   690,   907,   691,  1569,  1570,     0,
     909,   695,   696,     0,   698,     0,   910,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,   912,   709,   710,
     711,   712,   713,   913,   914,   714,   715,   716,   717,   718,
       0,  1571,   916,   720,   721,   722,   723,   724,   725,   917,
     918,   726,   919,   920,   727,   728,   729,   730,   731,   732,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   807,   744,   745,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1373,  1374,  1375,  5080,  5081,  1378,
    1379,  1380,  1381,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,  1367,     0,     0,
       0,     0,     0,     0,  1368,  1369,  1370,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,  1371,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,  1372,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1373,  1374,
    1375,  1376,  1377,  1378,  1379,  1380,  1381,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,  1367,     0,     0,     0,     0,     0,     0,  1368,  1369,
    1370,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,  1488,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,  1489,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1373,  1374,  1375,  1376,  1377,  1378,  1379,  1380,
    1381,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,     0,
     776,   777,   778,     0,     0,   779,   780,   781,   782,     0,
       0,   783,   784,   785,     0,   786,     0,     0,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,  1367,     0,     0,     0,     0,
       0,     0,  1368,  1369,  1370,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   797,   378,   379,     0,   380,  1603,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     800,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,  1604,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   802,   473,
    1605,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   803,   539,   540,   804,
     541,   542,   543,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,     0,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   656,   657,
     658,     0,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
       0,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,   697,   698,   699,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,   806,   719,     0,   720,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   807,   744,   745,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1373,  1374,  1375,  1376,
    1377,  1378,  1379,  1380,  1381,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,     0,   776,   777,   778,     0,     0,   779,
     780,   781,   782,     0,     0,   783,   784,   785,     0,   786,
       0,     0,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,  1367,
       0,     0,     0,     0,     0,     0,  1368,  1369,  1370,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,  2260,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,  2261,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,     0,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,     0,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1373,  1374,  1375,  1376,  1377,  1378,  1379,  1380,  1381,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,  1367,     0,     0,     0,     0,     0,     0,
    1368,  1369,  1370,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1373,  1374,  1375,  1376,  1377,  1378,
    1379,  1380,  1381,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,  1367,     0,     0,
       0,     0,     0,     0,  1368,  1369,  1370,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,  4116,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,  4117,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1373,  1374,
    1375,  1376,  1377,  1378,  1379,  1380,  1381,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,  1367,     0,     0,     0,     0,     0,     0,  1368,  1369,
    1370,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,  6222,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1373,  1374,  1375,  1376,  1377,  1378,  1379,  1380,
    1381,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   837,   350,   351,   352,   838,
     839,   840,   841,   842,   843,   844,   353,   354,   355,   845,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   846,   369,   370,   371,   372,   373,   374,
     375,   847,   848,   376,   377,   849,   378,   379,   850,   380,
     381,   382,   383,   384,   851,   385,   852,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   853,   854,   396,
     397,   398,   399,   400,   401,   855,   402,   403,   404,   856,
     857,   858,   859,   406,   860,   861,   862,   408,   409,   410,
     411,   800,   412,   413,   414,   415,   863,   416,   864,   417,
     418,   419,   420,   421,   422,   423,   865,   424,   425,   426,
     427,   866,   867,   428,   429,   430,   431,   432,   868,   433,
     434,   435,   436,   869,   437,   438,   439,   440,   870,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   871,
     451,   872,   452,   453,   454,   455,   456,   873,   457,   874,
     458,   459,   460,   875,   461,   462,   463,   464,   465,   876,
     466,   467,   877,   468,   469,   470,   878,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,   879,   480,   481,
     482,   483,   484,   485,   486,   487,   880,   488,   489,   490,
     881,   491,   492,   493,   882,   494,   883,   495,   884,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   885,   886,   519,   520,   521,   522,   523,   887,
     524,   525,   526,   888,   889,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   890,   558,
     559,   560,   561,   891,   562,   563,   564,   565,   566,   567,
     892,   568,   569,   570,   893,   894,   571,   572,   573,   895,
     896,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   897,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   898,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   899,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     900,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
     901,   648,   649,   650,   651,   652,   902,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   903,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   904,   681,   682,   905,   906,
     683,   684,   685,   686,   687,   688,   689,   690,   907,   691,
     692,   693,   908,   909,   695,   696,   697,   698,   699,   910,
     700,   701,   702,   703,   704,   705,   706,   707,   708,   911,
     912,   709,   710,   711,   712,   713,   913,   914,   714,   715,
     716,   717,   718,   915,   719,   916,   720,   721,   722,   723,
     724,   725,   917,   918,   726,   919,   920,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,     0,     0,     0,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,  2237,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,     0,  1549,   366,
    1550,  1551,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,  1552,  1553,   379,     0,   380,   381,
     382,   383,     0,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     800,   412,  1554,  1555,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,     0,   446,   447,   448,   449,     0,     0,   451,
       0,   452,   453,   454,  1557,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
       0,     0,     0,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,  3228,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,  3229,     0,
     491,   492,   493,  1559,  1560,     0,  1561,     0,   496,   497,
     498,   499,   500,  1562,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,     0,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   803,   539,   540,   804,
     541,   542,   543,  1563,   545,  1564,   547,   548,   549,   550,
     551,   552,   553,   554,     0,     0,   557,     0,   558,   559,
     560,   561,     0,     0,   563,  1565,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,  3230,
     574,   575,  3231,   577,   578,   579,     0,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,   596,     0,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
    1566,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,  3232,   657,
     658,   659,   660,   661,  1568,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,     0,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1569,
    1570,     0,     0,   695,   696,     0,   698,     0,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,  1571,  3233,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   807,   744,   745,     0,     0,     0,     0,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,  3234,   770,   771,   772,   773,   774,   775,     0,   776,
     777,   778,     0,     0,   779,   780,   781,   782,     0,     0,
     783,   784,   785,     0,   786,     0,     0,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   797,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   800,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   802,   473,   474,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   803,   539,   540,   804,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,     0,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
       0,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,     0,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,   806,   719,     0,   720,     0,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   807,   744,   745,     0,     0,     0,     0,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
    1249,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,     0,     0,     0,     0,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,  6693,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,     0,     0,     0,     0,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,  6695,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,     0,     0,     0,     0,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,  6822,   770,   771,
     772,   773,   774,   775,     0,   776,   777,   778,     0,     0,
     779,   780,   781,   782,     0,     0,   783,   784,   785,     0,
     786,     0,     0,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
     340,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,    40,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,  1141,   344,   345,   346,   347,   348,   349,  1142,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,  1143,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   797,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   800,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,  1144,   455,
     456,     0,   457,     0,   458,  1145,     0,  1146,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   802,   473,   474,     0,   476,   477,   478,
     479,  1147,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,  1148,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   803,   539,   540,   804,   541,   542,   543,   544,     0,
     546,   547,   548,  1149,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,  1150,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,  1151,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,     0,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,     0,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,     0,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,   806,   719,     0,
     720,     0,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   807,   744,
     745,     0,     0,     0,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,  1152,  1153,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,    40,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
    1141,   344,   345,   346,   347,   348,   349,  1142,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,  1177,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,  1144,   455,   456,     0,
     457,     0,   458,  1178,     0,  1146,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,  1147,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,  1148,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,  1149,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,  1150,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,  1151,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,     0,
       0,     0,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,  1152,  1153,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,    40,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,  1657,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,  1146,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,  1147,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,     0,     0,     0,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
    1152,  1153,   770,   771,   772,   773,   774,   775,     0,   776,
     777,   778,     0,     0,   779,   780,   781,   782,     0,     0,
     783,   784,   785,     0,   786,     0,     0,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,   340,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,    40,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,  1662,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   797,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   800,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,  1146,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   802,   473,   474,
       0,   476,   477,   478,   479,  1147,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   803,   539,   540,   804,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,     0,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
       0,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,     0,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,   806,   719,     0,   720,     0,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   807,   744,   745,     0,     0,     0,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,  1152,  1153,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,   801,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,  1857,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,  1218,     0,   761,   762,   763,   764,   765,
     766,   767,  1219,   768,   769,  1858,     0,   770,   771,   772,
     773,   774,   775,     0,   776,   777,   778,     0,     0,   779,
     780,   781,   782,     0,     0,   783,   784,   785,     0,   786,
       0,     0,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,  1220,   377,  1191,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
    1221,     0,  1222,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,  1223,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,  1224,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,  1225,   634,   635,
     636,   637,   638,   639,   640,   641,   642,  1226,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,  1227,     0,
     654,   655,   656,   657,   658,     0,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,     0,   685,   686,   687,   688,   689,
     690,     0,   691,  1228,   693,     0,     0,  1229,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,  1195,   719,     0,   720,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,  1230,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
      38,    39,     0,     0,     0,     0,    40,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   837,   350,   351,   352,   838,   839,
     840,   841,   842,   843,   844,   353,   354,   355,   845,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   846,   369,   370,   371,   372,   373,   374,   375,
     847,   848,   376,   377,   849,   378,   379,   850,   380,   381,
     382,   383,   384,   851,   385,   852,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   853,   854,   396,   397,
     398,   399,   400,   401,   855,   402,   403,   404,   856,   857,
     858,   859,   406,   860,   861,   862,   408,   409,   410,   411,
     800,   412,   413,   414,   415,   863,   416,   864,   417,   418,
     419,   420,   421,   422,   423,   865,   424,   425,   426,   427,
     866,   867,   428,   429,   430,   431,   432,   868,   433,   434,
     435,   436,   869,   437,   438,   439,   440,   870,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   871,   451,
     872,   452,   453,   454,   455,   456,   873,   457,   874,   458,
     459,   460,   875,   461,   462,   463,   464,   465,   876,   466,
     467,   877,   468,   469,   470,   878,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,   879,   480,   481,   482,
     483,   484,   485,   486,   487,   880,   488,   489,   490,   881,
     491,   492,   493,   882,   494,   883,   495,   884,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   885,   886,   519,   520,   521,   522,   523,   887,   524,
     525,   526,   888,   889,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   803,   539,   540,   804,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   890,   558,   559,
     560,   561,   891,   562,   563,   564,   565,   566,   567,   892,
     568,   569,   570,   893,   894,   571,   572,   573,   895,   896,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   897,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   898,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   899,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   900,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,   901,
     648,   649,   650,   651,   652,   902,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   903,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   904,   681,   682,   905,   906,   683,
     684,   685,   686,   687,   688,   689,   690,   907,   691,   692,
     693,   908,   909,   695,   696,   697,   698,   699,   910,   700,
     701,   702,   703,   704,   705,   706,   707,   708,   911,   912,
     709,   710,   711,   712,   713,   913,   914,   714,   715,   716,
     717,   718,   915,   719,   916,   720,   721,   722,   723,   724,
     725,   917,   918,   726,   919,   920,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   807,   744,   745,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     837,   350,   351,   352,   838,   839,   840,   841,   842,   843,
     844,   353,   354,   355,   845,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   846,   369,
     370,   371,   372,   373,   374,   375,   847,   848,   376,   377,
     849,   378,   379,   850,   380,   381,   382,   383,   384,   851,
     385,   852,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   853,   854,   396,   397,   398,   399,   400,   401,
     855,   402,   403,   404,   856,   857,   858,   859,   406,   860,
     861,   862,   408,   409,   410,   411,   800,   412,   413,   414,
     415,   863,   416,   864,   417,   418,   419,   420,   421,   422,
     423,   865,   424,   425,   426,   427,   866,   867,   428,   429,
     430,   431,   432,   868,   433,   434,   435,   436,   869,   437,
     438,   439,   440,   870,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   871,   451,   872,   452,   453,   454,
     455,   456,   873,   457,   874,   458,   459,   460,   875,   461,
     462,   463,   464,   465,   876,   466,   467,   877,   468,   469,
     470,   878,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,   879,   480,   481,   482,   483,   484,   485,   486,
     487,   880,   488,   489,   490,   881,   491,   492,   493,   882,
     494,   883,   495,   884,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   885,   886,   519,
     520,   521,   522,   523,   887,   524,   525,   526,   888,   889,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   890,   558,   559,   560,   561,   891,   562,
     563,   564,   565,   566,   567,   892,   568,   569,   570,   893,
     894,   571,   572,   573,   895,   896,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   897,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   898,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   899,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   900,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,   901,   648,   649,   650,   651,
     652,   902,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   903,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     904,   681,   682,   905,   906,   683,   684,   685,   686,   687,
     688,   689,   690,   907,   691,   692,   693,   908,   909,   695,
     696,   697,   698,   699,   910,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   911,   912,   709,   710,   711,   712,
     713,   913,   914,   714,   715,   716,   717,   718,   915,   719,
     916,   720,   721,   722,   723,   724,   725,   917,   918,   726,
     919,   920,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,  4191,   347,   348,   349,   837,   350,   351,   352,
     838,   839,   840,   841,   842,   843,   844,   353,   354,   355,
     845,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   846,   369,   370,   371,   372,   373,
     374,   375,   847,   848,   376,   377,   849,   378,   379,   850,
     380,   381,   382,   383,   384,   851,   385,   852,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   853,   854,
     396,   397,   398,   399,   400,   401,   855,   402,   403,   404,
     856,   857,   858,   859,   406,   860,   861,   862,   408,   409,
     410,   411,   800,   412,   413,   414,   415,   863,   416,   864,
     417,   418,   419,   420,   421,   422,   423,   865,   424,   425,
     426,   427,   866,   867,   428,   429,   430,  4192,   432,   868,
     433,   434,   435,   436,   869,   437,   438,   439,   440,   870,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     871,   451,   872,   452,   453,   454,   455,   456,   873,   457,
     874,   458,   459,   460,   875,   461,   462,   463,   464,   465,
     876,   466,   467,   877,   468,   469,   470,   878,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,   879,   480,
     481,   482,   483,   484,   485,   486,   487,   880,   488,   489,
     490,   881,   491,   492,   493,   882,   494,   883,   495,   884,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   885,   886,   519,   520,   521,   522,   523,
     887,   524,   525,   526,   888,   889,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   890,
     558,   559,   560,   561,   891,   562,   563,   564,   565,   566,
     567,   892,   568,   569,   570,   893,   894,   571,   572,   573,
     895,   896,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     897,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     898,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   899,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   900,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,   901,   648,   649,   650,   651,   652,   902,  4193,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   903,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   904,   681,   682,   905,
     906,   683,   684,   685,   686,   687,   688,   689,   690,   907,
     691,   692,   693,   908,   909,   695,   696,   697,   698,   699,
     910,   700,   701,   702,   703,   704,   705,   706,   707,   708,
     911,   912,   709,   710,   711,   712,   713,   913,   914,   714,
     715,   716,   717,   718,   915,   719,   916,   720,   721,   722,
     723,   724,   725,   917,   918,   726,   919,   920,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,  1739,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
    1742,     0,  1743,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,  1755,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1758,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,  4437,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
     510,  1771,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1772,   521,   522,   523,     0,   524,   525,   526,
    1773,  1774,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1775,   538,   803,   539,   540,   804,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1778,   557,     0,   558,   559,   560,   561,
       0,  1781,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1784,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
    1785,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,  1788,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
    1790,   680,     0,   681,   682,  1791,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,  1794,   698,  1795,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,  1798,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,
     743,   807,   744,   745,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,     0,
      40,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  7005,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,   560,   561,  1780,   562,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1786,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,   697,
     698,   699,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,   806,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   797,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     800,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   803,   539,   540,   804,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,   697,   698,   699,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,   806,   719,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   807,   744,   745,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  1542,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  1595,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  1609,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,  1613,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,     0,  1549,   366,
    1550,  1551,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,  1552,  1553,   379,     0,   380,   381,
     382,   383,     0,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     800,   412,  1554,  1555,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,     0,   446,   447,   448,   449,     0,     0,   451,
       0,   452,   453,   454,  1557,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
       0,     0,     0,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,  3228,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,  3229,     0,
     491,   492,   493,  1559,  1560,     0,  1561,     0,   496,   497,
     498,   499,   500,  1562,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,     0,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   803,   539,   540,   804,
     541,   542,   543,  1563,   545,  1564,   547,   548,   549,   550,
     551,   552,   553,   554,     0,     0,   557,     0,   558,   559,
     560,   561,     0,     0,   563,  1565,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,  3231,   577,   578,   579,     0,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,   596,     0,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
    1566,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,  3232,   657,
     658,   659,   660,   661,  1568,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,     0,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1569,
    1570,     0,     0,   695,   696,     0,   698,     0,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,  1571,  3233,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   807,   744,   745,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,     0,  1549,   366,  1550,  1551,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
    1552,  1553,   379,     0,   380,   381,   382,   383,     0,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   800,   412,  1554,  1555,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,     0,   446,
     447,   448,   449,     0,     0,   451,     0,   452,   453,   454,
    1557,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,     0,     0,     0,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,     0,   491,   492,   493,  1559,
    1560,     0,  1561,     0,   496,   497,   498,   499,   500,  1562,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
       0,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   538,   803,   539,   540,   804,   541,   542,   543,  1563,
     545,  1564,   547,   548,   549,   550,   551,   552,   553,   554,
       0,     0,   557,     0,   558,   559,   560,   561,  3314,     0,
     563,  1565,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,     0,   577,
     578,   579,     0,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,   596,
       0,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,  1566,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,  3232,   657,   658,   659,   660,   661,
    1568,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,     0,   680,
       0,   681,   682,     0,  5179,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1569,  1570,     0,     0,   695,
     696,     0,   698,     0,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,  1571,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   807,
     744,   745,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,     0,
    1549,   366,  1550,  1551,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,  1552,  1553,   379,     0,
     380,   381,   382,   383,     0,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,   800,   412,  1554,  1555,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,     0,   446,   447,   448,   449,     0,
       0,   451,     0,   452,   453,   454,  1557,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,     0,     0,     0,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,     0,   491,   492,   493,  1559,  1560,     0,  1561,     0,
     496,   497,   498,   499,   500,  1562,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,     0,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   803,   539,
     540,   804,   541,   542,   543,  1563,   545,  1564,   547,   548,
     549,   550,   551,   552,   553,   554,  3392,     0,   557,     0,
     558,   559,   560,   561,     0,     0,   563,  1565,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,     0,   577,   578,   579,     0,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,   596,     0,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,  1566,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
       0,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
    1567,   657,   658,   659,   660,   661,  1568,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,     0,   680,     0,   681,   682,     0,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1569,  1570,     0,     0,   695,   696,     0,   698,     0,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,     0,  1571,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   807,   744,   745,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,     0,  1549,   366,  1550,  1551,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,  1552,  1553,   379,     0,   380,   381,   382,   383,
       0,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,   800,   412,
    1554,  1555,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1556,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
       0,   446,   447,   448,   449,     0,     0,   451,     0,   452,
     453,   454,  1557,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,     0,     0,
       0,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,     0,   491,   492,
     493,  1559,  1560,     0,  1561,     0,   496,   497,   498,   499,
     500,  1562,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,     0,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   538,   803,   539,   540,   804,   541,   542,
     543,  1563,   545,  1564,   547,   548,   549,   550,   551,   552,
     553,   554,  4975,     0,   557,     0,   558,   559,   560,   561,
       0,     0,   563,  1565,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
       0,   577,   578,   579,     0,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,   596,     0,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,  1566,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,     0,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,  1567,   657,   658,   659,
     660,   661,  1568,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
       0,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,  1569,  1570,     0,
       0,   695,   696,     0,   698,     0,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
       0,  1571,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   807,   744,   745,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,     0,  1549,   366,  1550,  1551,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,  1552,  1553,
     379,     0,   380,   381,   382,   383,     0,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   800,   412,  1554,  1555,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,     0,   446,   447,   448,
     449,     0,     0,   451,     0,   452,   453,   454,  1557,   456,
    6781,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,     0,     0,     0,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,     0,   491,   492,   493,  1559,  1560,     0,
    1561,     0,   496,   497,   498,   499,   500,  1562,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,     0,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   538,
     803,   539,   540,   804,   541,   542,   543,  1563,   545,  1564,
     547,   548,   549,   550,   551,   552,   553,   554,     0,     0,
     557,     0,   558,   559,   560,   561,     0,     0,   563,  1565,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,     0,   577,   578,   579,
       0,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,   596,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1566,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,     0,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,  1567,   657,   658,   659,   660,   661,  1568,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,     0,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1569,  1570,     0,     0,   695,   696,     0,
     698,     0,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,     0,  1571,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   807,   744,   745,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,     0,  1549,   366,
    1550,  1551,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,  1552,  1553,   379,     0,   380,   381,
     382,   383,     0,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     800,   412,  1554,  1555,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,     0,   446,   447,   448,   449,     0,     0,   451,
       0,   452,   453,   454,  1557,   456,  7033,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
       0,     0,     0,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,     0,
     491,   492,   493,  1559,  1560,     0,  1561,     0,   496,   497,
     498,   499,   500,  1562,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,     0,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   803,   539,   540,   804,
     541,   542,   543,  1563,   545,  1564,   547,   548,   549,   550,
     551,   552,   553,   554,     0,     0,   557,     0,   558,   559,
     560,   561,     0,     0,   563,  1565,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,     0,   577,   578,   579,     0,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,   596,     0,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
    1566,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,  1567,   657,
     658,   659,   660,   661,  1568,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,     0,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1569,
    1570,     0,     0,   695,   696,     0,   698,     0,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,  1571,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   807,   744,   745,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,     0,  1549,   366,  1550,  1551,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
    1552,  1553,   379,     0,   380,   381,   382,   383,     0,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   800,   412,  1554,  1555,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,     0,   446,
     447,   448,   449,     0,     0,   451,     0,   452,   453,   454,
    1557,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,     0,     0,     0,   469,
     470,     0,   471,   472,   802,   473,  1558,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,     0,   491,   492,   493,  1559,
    1560,     0,  1561,     0,   496,   497,   498,   499,   500,  1562,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
       0,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   538,   803,   539,   540,   804,   541,   542,   543,  1563,
     545,  1564,   547,   548,   549,   550,   551,   552,   553,   554,
       0,     0,   557,     0,   558,   559,   560,   561,     0,     0,
     563,  1565,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,     0,   577,
     578,   579,     0,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,   596,
       0,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,  1566,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,  1567,   657,   658,   659,   660,   661,
    1568,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,     0,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1569,  1570,     0,     0,   695,
     696,     0,   698,     0,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,  1571,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   807,
     744,   745,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,     0,
    1549,   366,  1550,  1551,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,  1552,  1553,   379,     0,
     380,   381,   382,   383,     0,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,   800,   412,  1554,  1555,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,     0,   446,   447,   448,   449,     0,
       0,   451,     0,   452,   453,   454,  1557,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,     0,     0,     0,   469,   470,     0,   471,   472,
     802,   473,  1621,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,     0,   491,   492,   493,  1559,  1560,     0,  1561,     0,
     496,   497,   498,   499,   500,  1562,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,     0,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   803,   539,
     540,   804,   541,   542,   543,  1563,   545,  1564,   547,   548,
     549,   550,   551,   552,   553,   554,     0,     0,   557,     0,
     558,   559,   560,   561,     0,     0,   563,  1565,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,     0,   577,   578,   579,     0,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,   596,     0,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,  1566,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
       0,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
    1567,   657,   658,   659,   660,   661,  1568,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,     0,   680,     0,   681,   682,     0,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1569,  1570,     0,     0,   695,   696,     0,   698,     0,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,     0,  1571,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   807,   744,   745,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,     0,  1549,   366,  1550,  1551,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,  1552,  1553,   379,     0,   380,   381,   382,   383,
       0,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,   800,   412,
    1554,  1555,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1556,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
       0,   446,   447,   448,   449,     0,     0,   451,     0,   452,
     453,   454,  1557,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,     0,     0,
       0,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,     0,   491,   492,
     493,  1559,  1560,     0,  1561,     0,   496,   497,   498,   499,
     500,  1562,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,     0,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   538,   803,   539,   540,   804,   541,   542,
     543,  1563,   545,  1564,   547,   548,   549,   550,   551,   552,
     553,   554,     0,     0,   557,     0,   558,   559,   560,   561,
       0,     0,   563,  1565,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
       0,   577,   578,   579,     0,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,   596,     0,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,  1566,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,     0,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,  1567,   657,   658,   659,
     660,   661,  1568,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
       0,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,  1569,  1570,     0,
       0,   695,   696,     0,   698,     0,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
       0,  1571,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   807,   744,   745,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,     0,  1549,   366,  1550,  1551,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,  1552,  1553,
     379,     0,   380,   381,   382,   383,     0,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   800,   412,  1554,  1555,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,     0,   446,   447,   448,
     449,     0,     0,   451,     0,   452,   453,   454,  1557,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,     0,     0,     0,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,     0,   491,   492,   493,  1559,  1560,     0,
    1561,     0,   496,   497,   498,   499,   500,  1562,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,     0,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   538,
     803,   539,   540,   804,   541,   542,   543,  1563,   545,  1564,
     547,   548,   549,   550,   551,   552,   553,   554,     0,     0,
     557,     0,   558,   559,   560,   561,     0,     0,   563,  1565,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,     0,   577,   578,   579,
       0,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,   596,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1566,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,     0,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,  3232,   657,   658,   659,   660,   661,  1568,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,     0,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1569,  1570,     0,     0,   695,   696,     0,
     698,     0,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,     0,  1571,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   807,   744,   745,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,     0,  1549,   366,
    1550,  1551,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,  1552,  1553,   379,     0,   380,   381,
     382,   383,     0,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     800,   412,  1554,  1555,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,     0,   446,   447,   448,   449,     0,     0,   451,
       0,   452,   453,   454,  1557,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
       0,     0,     0,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,     0,
     491,   492,   493,  1559,  1560,     0,  1561,     0,   496,   497,
     498,   499,   500,  1562,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,     0,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   803,   539,   540,   804,
     541,   542,   543,  1563,   545,  1564,   547,   548,   549,   550,
     551,   552,   553,   554,     0,     0,   557,     0,   558,   559,
     560,   561,     0,     0,   563,  1565,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,     0,   577,   578,   579,     0,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,   596,     0,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
    1566,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,     0,   657,
     658,   659,   660,   661,  1568,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,     0,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1569,
    1570,     0,     0,   695,   696,     0,   698,     0,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,  1571,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   807,   744,   745,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,     0,     0,   366,     0,     0,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
       0,     0,   379,     0,   380,   381,   382,   383,     0,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   800,   412,     0,     0,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,     0,   446,
     447,   448,   449,     0,     0,   451,     0,   452,   453,   454,
       0,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,     0,     0,     0,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,     0,   491,   492,   493,     0,
       0,     0,     0,     0,   496,   497,   498,   499,   500,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
       0,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   538,   803,   539,   540,   804,   541,   542,   543,     0,
     545,     0,   547,   548,   549,   550,   551,   552,   553,   554,
       0,     0,   557,     0,   558,   559,   560,   561,     0,     0,
     563,     0,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,     0,   577,
     578,   579,     0,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,   596,
       0,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,     0,   657,   658,   659,   660,   661,
       0,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,     0,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,     0,     0,     0,     0,   695,
     696,     0,   698,     0,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,     0,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   837,   350,   351,   352,   838,
     839,   840,   841,   842,   843,   844,   353,   354,   355,   845,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   846,   369,   370,   371,   372,   373,   374,
     375,   847,   848,   376,   377,     0,   378,   379,   850,   380,
     381,   382,   383,   384,   851,   385,   852,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   853,   854,   396,
     397,   398,   399,   400,   401,   855,   402,   403,   404,     0,
     857,   858,   859,   406,   860,   861,   862,   408,   409,   410,
     411,     0,   412,   413,   414,   415,   863,   416,   864,   417,
     418,   419,   420,   421,   422,   423,   865,   424,   425,   426,
     427,   866,   867,   428,   429,   430,   431,   432,   868,   433,
     434,   435,   436,   869,   437,   438,   439,   440,   870,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   871,
     451,   872,   452,   453,   454,   455,   456,   873,   457,   874,
     458,   459,   460,   875,   461,   462,   463,   464,   465,   876,
     466,   467,   877,   468,   469,   470,   878,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   879,   480,   481,
     482,   483,   484,   485,   486,   487,   880,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   883,   495,   884,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   885,   886,   519,   520,   521,   522,   523,   887,
     524,   525,   526,   888,   889,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   890,   558,
     559,   560,   561,   891,   562,   563,   564,   565,   566,   567,
     892,   568,   569,   570,   893,   894,   571,   572,   573,   895,
     896,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   897,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   898,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   899,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     900,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,   647,
     901,   648,   649,   650,   651,   652,   902,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   903,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   904,   681,   682,   905,   906,
     683,   684,   685,   686,   687,   688,   689,   690,   907,   691,
     692,   693,     0,   909,   695,   696,   697,   698,   699,   910,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
     912,   709,   710,   711,   712,   713,   913,   914,   714,   715,
     716,   717,   718,     0,   719,   916,   720,   721,   722,   723,
     724,   725,   917,   918,   726,   919,   920,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,     0,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,  3335,   380,   381,   382,   383,   384,     0,
       0,  3336,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,  3337,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,  3338,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,  3339,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  3340,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,  3341,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,  3342,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,  3335,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,  3337,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,  3338,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,  3339,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,  4408,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,  3341,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
    3342,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    1161,   350,  1162,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
    1163,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,  1206,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,  1164,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,  1165,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,  1161,   350,  1162,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,  1163,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,  4090,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,  1164,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
    1165,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,  3335,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,  3337,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,  3338,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,  3339,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,  3341,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,  3342,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   796,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,   799,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,   801,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    1161,   350,  1162,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
    1163,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,  1164,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,  1165,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,  3575,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,  3405,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,  1241,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,  3406,
    3407,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,  1058,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    1059,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,  1060,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,     0,    39,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,  1303,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    2477,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,  2478,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,  2479,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,  2480,   458,   459,     0,     0,     0,
    2481,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,  2482,  2483,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,  2484,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,  2485,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,  2486,   637,   638,   639,   640,   641,   642,  2487,
     644,   645,   646,   805,   647,     0,  2488,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,  2489,   683,     0,  2490,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,  2491,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,  1162,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,  1163,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,  1164,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
    1165,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,  3405,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
    1241,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,  3406,  3407,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,  2466,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,  3951,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,  3952,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,  3203,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,  3953,
     683,     0,   685,   686,  3954,   688,  3955,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,  3956,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     823,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,   801,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    1005,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,     0,    39,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    1405,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  1406,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
    1241,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,  1531,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    4172,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,  4173,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,  4185,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,  4186,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,  1065,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,  1122,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,  1182,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
    1241,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,  1362,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  1363,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    1860,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  2049,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,  1241,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    2106,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  2107,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,  2338,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,  2466,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,  3203,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,    39,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,    40,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,  4953,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,  5392,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,  5406,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,  5504,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,  5577,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,  5958,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,  1188,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,  1190,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,  1191,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,  1192,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
    1193,   693,     0,     0,  1194,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,  1195,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    1235,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
    1191,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
    1236,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,  1237,   693,     0,     0,  1238,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,  1195,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,  1255,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  1387,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  1397,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  1400,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  1416,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  1474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  1479,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  1495,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  1498,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  1500,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  1547,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  1615,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  1617,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  1627,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  1630,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  1633,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,  1871,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,  1220,   377,  1191,   378,  1872,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,  1224,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,  1225,   634,   635,   636,   637,   638,
     639,   640,   641,   642,  1226,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,  1864,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
    1228,   693,     0,     0,  1229,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,  1195,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,  1230,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,  1980,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,  1981,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,  1190,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,  1191,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,  1195,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  2286,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  2320,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  2322,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  2400,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  2402,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  2404,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,  2520,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,  3184,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,     0,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  3620,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  3624,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  3710,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  4095,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  4153,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  4175,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  4177,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  4327,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,  4369,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  5690,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,  6997,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,  1220,   377,  1191,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,  1224,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,  1225,   634,   635,   636,   637,   638,
     639,   640,   641,   642,  1226,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,  1864,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
    1228,   693,     0,     0,  1229,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,  1195,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,  1230,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
    1191,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,  1195,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,  1220,   377,  1191,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,  1224,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,  1225,   634,   635,   636,   637,   638,
     639,   640,   641,   642,  1226,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,  1864,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,  3256,   686,   687,   688,   689,   690,     0,   691,
    1228,   693,     0,     0,  1229,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,  1195,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,  1230,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,  1220,   377,
    1191,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,  1224,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,  1225,
     634,   635,   636,   637,   638,   639,   640,   641,   642,  3318,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
    3319,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,  1228,   693,     0,     0,  3320,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,  1195,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,  1230,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,  1220,   377,  1191,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,  1224,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,  1225,   634,   635,   636,   637,   638,
     639,   640,   641,   642,  3402,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,  3319,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
    1228,   693,     0,     0,  3320,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,  1195,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,  1230,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,  1220,   377,
    1191,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,  1224,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,  1225,
     634,   635,   636,   637,   638,   639,   640,   641,   642,  3426,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
    3319,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,  1228,   693,     0,     0,  3320,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,  1195,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,  1230,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,  1220,   377,  1191,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,  1224,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,  1225,   634,   635,   636,   637,   638,
     639,   640,   641,   642,  1226,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,  3319,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
    1228,   693,     0,     0,  3320,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,  1195,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,  1230,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,     0,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,     0,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,     0,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,    35,   340,     0,     0,    37,     0,    38,    39,
       0,     0,     0,     0,    40,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,     0,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,     0,   412,
     413,   414,   415,  6502,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,  2243,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,  2244,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,  2245,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
       0,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,     0,   744,   745,     0,     0,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,  1336,  1337,  6503,
       0,     0,     0,     0,     0,     0,  6504,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
     102,   103,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,     0,   378,   379,     0,
     380,   381,   382,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,     0,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,     0,
     647,   146,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
     151,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   158,   719,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,   160,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,     0,   744,   745,  1432,     0,
       0,   161,     0,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,  2584,     0,     0,  2585,     0,     0,
     162,  2586,  2587,  2588,  2589,  2590,  2591,  2592,  2593,  2594,
    2595,  2596,  2597,  2598,  2599,  2600,  2601,  2602,  2603,  2604,
    2605,     0,  2606,  2607,  2608,  2609,  2610,  2611,  2612,  2613,
    2614,  2615,  2616,  2617,  2618,  2619,  2620,  2621,  2622,  2623,
    2624,  2625,  2626,  2627,  2628,  2629,  2630,  2631,  2632,  2633,
    2634,  2635,  2636,     0,     0,  2637,  2638,  2639,  2640,  2641,
    2642,  2643,  2644,  2645,  2646,  2647,  2648,  2649,  2650,  2651,
    2652,  2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,  2661,
    2662,  2663,  2664,     0,  2665,  2666,  2667,  2668,  2669,  2670,
    2671,  2672,  2673,  2674,  2675,  2676,  2677,  2678,  2679,     0,
    2680,  2681,  2682,  2683,  2684,  2685,  2686,  2687,  2688,  2689,
    2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,  2699,
    2700,  2701,  2702,  2703,  2704,  2705,  2706,  2707,  2708,  2709,
    2710,  2711,  2712,  2713,  2714,  2715,     0,  2716,  2717,  2718,
    2719,  2720,  2721,  2722,  2723,  2724,  2725,  2726,  2727,     0,
       0,  2728,  2729,  2730,  2731,     0,  2732,  2733,  2734,  2735,
    2736,     0,  2737,  2738,  2739,  2740,  2741,     0,  2742,  2743,
       0,  2744,  2745,  2746,     0,  2747,  2748,     0,  2749,  2750,
    2751,  2752,  2753,  2754,  2755,  2756,  2757,  2758,  2759,  2760,
    2761,  2762,  2763,  2764,  2765,  2766,  2767,  2768,  2769,  2770,
    2771,  2772,  2773,  2774,     0,  2775,     0,  2776,  2777,  2778,
    2779,  2780,  2781,  2782,  2783,  2784,  2785,  2786,  2787,  2788,
    2789,  2790,  2791,  2792,  2793,  2794,  2795,  2796,  2797,  2798,
    2799,  2800,  2801,  2802,  2803,  2804,  2805,     0,  2806,  2807,
    2808,  2809,  2810,  2811,  2812,  2813,  2814,  2815,  2816,  2817,
    2818,  2819,  2820,  2821,  2822,     0,  2823,  2824,     0,  2825,
    2826,  2827,  2828,  2829,  2830,  2831,  2832,  2833,  2834,  2835,
    2836,  2837,  2838,  2839,  2840,  2841,  2842,  2843,  2844,  2845,
    2846,  2847,  2848,  2849,  2850,  2851,  2852,  2853,     0,  2854,
    2855,  2856,     0,  2857,  2858,  2859,  2860,  2861,     0,  2862,
    2863,  2864,  2865,     0,     0,  2866,  2867,  2868,  2869,  2870,
    2871,  2872,  2873,  2874,  2875,  2876,  2877,  2878,  2879,  2880,
    2881,  2882,  2883,     0,  2884,  2885,  2886,  2887,  2888,  2889,
    2890,  2891,  2892,  2893,  2894,  2895,  2896,  2897,  2898,  2899,
    2900,  2901,  2902,  2903,  2904,  2905,  2906,  2907,  2908,  2909,
    2910,  2911,  2912,  2913,  2914,  2915,  2916,  2917,     0,  2918,
    2919,  2920,  2921,  2922,  2923,  2924,  2925,  2926,  2927,  2928,
    2929,  2930,  2931,  2932,  2933,  2934,     0,  2935,  2936,  2937,
    2938,  2939,  2940,  2941,  2942,  2943,  2944,  2945,  2946,  2947,
    2948,  2949,  2950,  2951,  2952,  2953,  2954,  2955,  2956,  2957,
    2958,  2959,  2960,  2961,  2962,  2963,  2964,  2965,  2966,  2967,
    2968,  2969,  2970,  2971,  2972,  2973,  2974,  2975,  2976,  2977,
    2978,  2979,  2980,  2981,  2982,  2983,  2984,  2985,  2986,  2987,
       0,  2988,  2989,  2990,  2991,  2992,  2993,  2994,  2995,  2996,
    2997,  2998,  2999,  3000,  3001,  3002,  3003,     0,  3004,  3005,
    3006,  3007,  3008,  3009,  3010,  3011,  3012,  3013,  3014,  3015,
    3016,  3017,  3018,  3019,     0,  3020,  3021,  3022,  3023,  3024,
    3025,     0,  3026,     0,     0,     0,     0,  3027,  3028,  3029,
    3030,  3031,  3032,  3033,  3034,  3035,  3036,  3037,  3038,  3039,
    3040,  3041,     0,  3042,  3043,     0,  3044,     0,     0,     0,
       0,     0,     0,     0,     0,  3045,  3046,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,    35,   340,     0,     0,    37,     0,
      38,    39,     0,     0,     0,     0,    40,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,     0,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,     0,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
       0,   412,   413,   414,   415,  3109,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,  2243,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,  2244,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,     0,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,   697,   698,   699,  2245,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,   719,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,     0,   744,   745,    35,   340,     0,     0,
      37,     0,    38,    39,     0,     0,     0,     0,    40,  1336,
    1337,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,     0,   378,   379,     0,
     380,   381,   382,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,     0,   412,   413,   414,   415,  3114,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
    2243,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,  2244,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,     0,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
    2245,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,     0,   719,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,     0,   744,   745,    35,   340,
       0,     0,    37,     0,    38,    39,     0,     0,     0,     0,
      40,  1336,  1337,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,     0,   378,
     379,     0,   380,   381,   382,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
       0,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,     0,   412,   413,   414,   415,  4083,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,  2243,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,  2244,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,  2245,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,     0,   719,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,     0,   744,   745,
      35,   340,     0,     0,    37,     0,    38,    39,     0,     0,
       0,     0,    40,  1336,  1337,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
       0,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,     0,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,  2243,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,  2244,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,  2245,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,   719,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,    35,
     744,   745,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1336,  1337,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,   102,   103,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,     0,
     378,   379,     0,   380,   381,   382,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,     0,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,     0,   406,     0,     0,
       0,   408,   409,   410,   411,     0,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,     0,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,     0,   719,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,     0,   744,
     745,  1432,    35,   340,     0,     0,    37,     0,     0,    39,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,     0,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,   405,
     406,     0,     0,   407,   408,   409,   410,   411,     0,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,   647,     0,   648,   649,
     650,   651,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,   694,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
       0,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,     0,   744,   745,    35,   340,     0,     0,    37,     0,
       0,    39,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,     0,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,     0,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,   405,   406,     0,     0,   407,   408,   409,   410,   411,
       0,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,     0,   647,     0,
     648,   649,   650,   651,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,   697,   698,   699,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,   719,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,    35,   744,   745,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,  1391,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,     0,   378,   379,     0,   380,   381,   382,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,     0,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
     405,   406,     0,     0,   407,   408,   409,   410,   411,     0,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,   647,     0,   648,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,     0,   719,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,    35,   744,   745,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,  1412,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,     0,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,   405,
     406,     0,     0,   407,   408,   409,   410,   411,     0,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,  1413,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,   647,     0,   648,   649,
     650,   651,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
       0,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,    35,   744,   745,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,     0,   378,   379,     0,   380,   381,   382,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,   405,   406,
       0,     0,   407,   408,   409,   410,   411,     0,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,     0,   647,     0,   648,   649,   650,
     651,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,  3499,     0,   714,   715,   716,   717,   718,     0,
     719,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
      35,   744,   745,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
       0,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,   405,   406,     0,
       0,   407,   408,   409,   410,   411,     0,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,  4571,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,   647,     0,   648,   649,   650,   651,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,   719,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,    35,
     744,   745,     0,    37,     0,     0,    39,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,     0,
     378,   379,     0,   380,   381,   382,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,     0,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,     0,   406,     0,     0,
       0,   408,   409,   410,   411,     0,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,  2243,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,  2244,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,     0,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,  2245,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,     0,   719,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,    35,   744,
     745,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,     0,   378,
     379,     0,   380,   381,   382,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
       0,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,   405,   406,     0,     0,   407,
     408,   409,   410,   411,     0,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,   647,     0,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,     0,   719,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,    35,   744,   745,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,     0,   378,   379,
       0,   380,   381,   382,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,   405,   406,     0,     0,   407,   408,
     409,   410,   411,     0,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,  1507,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,   647,     0,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,     0,   719,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,    35,   744,   745,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,     0,   378,   379,     0,
     380,   381,   382,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,   405,   406,     0,     0,   407,   408,   409,
     410,   411,     0,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,  1598,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,     0,
     647,     0,   648,   649,   650,   651,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,     0,   719,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,    35,   744,   745,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,     0,   378,   379,     0,   380,
     381,   382,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,   405,   406,     0,     0,   407,   408,   409,   410,
     411,     0,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,  1611,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,   647,
       0,   648,   649,   650,   651,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,     0,   719,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,    35,   744,   745,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,     0,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,     0,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,   405,   406,     0,     0,   407,   408,   409,   410,   411,
       0,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
    1623,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,  1624,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,     0,   647,     0,
     648,   649,   650,   651,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,   697,   698,   699,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,   719,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,    35,   744,   745,     0,    37,     0,     0,
      39,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,     0,   378,   379,     0,   380,   381,   382,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,     0,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
       0,   406,     0,     0,     0,   408,   409,   410,   411,     0,
     412,   413,   414,   415,  3094,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,     0,   719,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,    35,   744,   745,     0,    37,     0,     0,    39,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,     0,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,     0,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
       0,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,    35,   744,   745,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,     0,   378,   379,     0,   380,   381,   382,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,     0,   406,
       0,     0,     0,   408,   409,   410,   411,     0,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,     0,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,     0,
     719,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
       0,   744,   745
};

static const yytype_int16 yycheck[] =
{
       2,    73,    73,    73,  1273,   162,    73,    88,   151,    73,
      73,  1427,    73,    73,    73,    73,  1239,   965,  1398,    73,
      73,  1436,    73,    88,    73,   973,   142,    73,   976,    73,
    1029,    73,    73,  1222,   306,     2,   970,   306,   115,  1601,
     117,   122,  1267,   125,  1269,   291,  1217,  2097,    88,  2158,
    1431,   133,   153,  2081,   124,  1567,  3342,   122,  2006,   136,
     141,   124,  2518,  1399,   970,  1347,   147,   148,  1246,  1075,
    1425,  1245,  1554,  1555,   155,    88,  2440,  2081,  1501,    81,
    1570,  3568,   122,  1565,  1415,  2074,   828,  1721,  3779,  3966,
     155,  2316,  2543,  1163,  1164,  1165,  2086,   956,  3633,  1169,
      83,  1229,  4447,   106,  3464,  1124,  1490,  3595,  4474,   122,
     127,  3083,   114,  1585,  4020,   155,    73,   119,  3580,  3236,
    3237,   104,  1506,  1029,  2507,   142,  2074,  2544,  4163,   131,
    4165,   114,   115,  4245,   117,  1330,  1331,  1332,  1254,  1209,
     123,   966,   155,  2193,  2194,  1476,    88,  4129,  1706,  1480,
     975,  2227,  1710,   136,  1485,  1713,  1714,  4028,  2525,  1364,
    1311,  4906,  1311,  1494,   989,  1008,  1116,  2539,  2540,  2541,
    2542,  1311,  4191,  2545,  4193,  2547,  2548,  1508,  4496,  1398,
     122,  4812,  3486,   829,  1389,  1359,  1681,  1093,  1407,  1394,
     278,  2123,  2124,  1010,   101,  2127,  4030,  2187,  1417,  5144,
     104,  2426,  1027,  4395,  2375,  4834,  4865,  1154,  1033,  1096,
     293,  5151,  1099,   155,  1127,   293,  3576,  1548,  5729,  1225,
    1045,   141,  2329,  5163,  2214,   297,   297,   297,   148,  1111,
     297,  1098,  1075,   297,   297,  5167,   297,   297,   297,   297,
    5297,  2012,  5299,   297,   297,  1112,   297,  5155,   297,  5150,
    5811,   297,  5912,   297,   147,   297,   297,  2064,   949,  1939,
    1940,   161,  5953,   125,    81,  4772,  1440,  4951,  3994,  1751,
    1752,   133,    84,  6043,    86,  3533,  5874,  3535,  3536,  3077,
    3885,  5944,  3540,  3541,  3542,  1128,  3544,  3545,  3546,  5721,
    3163,  6079,  5671,  3165,  5112,  3919,   108,  3822,  1664,  3914,
    1782,  3124,  1639,  1793,  4060,   117,  1588,  1247,  4461,  5497,
    5890,  1270,  5892,  2120,  4529,  1270,  1058,  6091,  5716,  3142,
      29,  6073,    20,  1306,  1307,     9,    76,    76,  1119,  6323,
    2137,  6340,  5004,    13,  1552,  1553,  5154,  6000,  5335,    70,
     297,  5720,    76,  1186,    75,    76,  1564,    78,    79,   107,
      81,    76,    76,    83,  1356,    76,   339,   133,    76,    76,
      76,  1308,  1309,  2295,    85,    86,   108,    85,    86,    85,
      86,   124,  4771,  1064,  4773,  4774,    95,    76,   117,    76,
      76,    76,  1225,    76,   117,   107,    76,  1389,    85,    86,
      70,    76,  1394,    76,    70,    75,    76,    76,    78,    79,
    1470,    81,    85,    86,    76,  2047,  2513,   150,    76,  1252,
    5261,  5262,  5263,    35,  5265,  5266,  5267,  5268,  5269,    41,
      42,  1264,  6606,    83,   940,  1648,    48,    49,    83,  4034,
      91,    70,    54,   107,   189,    70,    75,    76,   113,    91,
      75,    63,    81,    65,   247,    67,    81,   155,   150,    13,
     165,    73,   259,    13,   190,   195,   190,    99,    76,   247,
     115,   226,  6007,  6008,   106,    76,    36,   247,    38,    76,
     247,  4131,  1491,   107,    79,    28,    76,  1219,   259,    76,
     190,    70,   276,    70,  1907,   233,  5170,   249,  1085,  6742,
    1181,   210,    81,   148,    81,   378,   146,   358,   399,  1447,
     399,  2558,   133,  1451,    83,  1453,   133,   258,  1889,    81,
      70,   105,   248,   247,  1111,  1012,  1450,    97,   133,   192,
     133,  1876,  1740,  1741,   158,   420,   369,   382,   148,   379,
     113,  1647,  3595,  1533,   205,   247,   115,   428,   133,   394,
     120,   471,   471,   453,  1450,    95,   286,   472,   249,   133,
     428,   358,  6561,   125,  6342,   222,   238,  6551,    99,  1777,
     169,   133,  5960,  5508,   516,   358,   188,   436,   193,   148,
      35,    21,   453,   448,   455,  6238,    41,    42,    73,   133,
     560,   436,  1441,    48,    49,   453,   122,   465,   560,    54,
     241,   518,   150,  1436,  1393,  2298,   218,    93,    63,  6040,
      65,   190,    67,  6856,   162,  6185,   604,     0,    73,   607,
     150,   235,    93,  1412,  1837,  2318,  1415,   239,   380,   155,
      70,  1118,   162,   296,   150,   503,   606,   363,  1851,   124,
      99,    99,  2144,   381,   606,   503,   563,   106,   106,  1813,
     521,   593,   267,   436,   253,    69,    70,   516,  6080,    73,
      70,    75,    76,   605,    93,    75,   323,    81,  1881,  1882,
     210,    81,   553,   117,   205,   540,   442,   162,  1842,   291,
     942,   353,   423,   942,  1365,   553,   606,   606,   603,   380,
    1144,   247,   759,   760,  1148,  1149,  1150,   150,   150,   362,
     133,   362,   694,   603,  1158,  2076,  1812,   552,   541,   323,
    1700,   162,   603,   454,   603,   150,   367,   287,   603,   503,
     560,   694,  1659,   247,  1211,   367,   313,  1664,   579,   247,
     603,  1727,  6731,   188,   464,   375,   441,   248,   247,   491,
      83,   284,   247,   338,   254,   162,   516,  6990,   545,   516,
    1653,  1608,   254,  2127,  4404,  1436,   254,    80,   370,   367,
      83,   424,   471,   218,    87,    88,    89,    83,   195,  4951,
     367,   192,   115,   518,   545,     7,   190,   367,    10,    11,
    5710,   264,  6560,   516,   239,   523,   759,   760,  5123,    21,
      22,    23,   516,    25,    26,   197,   225,  4979,    30,    31,
      32,   556,   362,  2177,  2178,   148,   489,   490,   293,   539,
     603,   107,   297,   483,   247,   541,   564,   546,   563,  2225,
    2226,   442,  1328,   546,   516,   442,  1932,  5446,   606,  5164,
     539,  1688,  2153,   531,   499,  2156,   291,   442,  2164,   442,
     606,  2050,  6841,   550,   584,   585,   332,  5509,  1705,   481,
    5837,   984,   564,   541,  6838,   828,  1637,   442,  5520,  1446,
     603,   332,   601,   603,   603,  1722,   605,   938,   442,   593,
    1457,   603,   546,   594,   595,  1871,  2428,   291,  2223,   599,
     546,   605,   494,   938,  4986,  4910,  1473,  5384,   603,   603,
    4992,  2523,   603,   593,  1727,   603,   603,   603,   442,  2108,
     564,   606,   601,   515,   606,  4766,   530,  3960,   938,   597,
    7084,  6333,   326,  2108,   603,   370,   603,   603,   603,  7093,
    2392,   533,  2296,   603,   594,   595,   499,  2479,   603,   483,
     603,  6930,   516,   483,   603,   938,   548,  4287,  4288,  2491,
     564,   603,  4292,   606,  6722,   603,   596,   597,   598,   599,
    6338,   183,  5793,  1014,   599,   606,  4063,  1014,  4065,  1899,
    6495,  1014,   603,  1014,   606,  1014,   595,  4020,   516,   594,
     595,  6735,   458,  2232,  1947,  4028,  1925,   190,  4430,  6721,
    1925,  1128,  6981,   584,   585,   606,   516,  2472,  5170,   606,
    6750,   601,   949,  1060,  5383,   605,  5385,  5386,   610,   218,
     516,   606,   603,   606,  6657,    99,   938,  3969,  1938,  5214,
    5215,  5216,  5217,  5218,   254,   594,   595,   594,   595,  1011,
     506,   606,   481,   481,   453,   458,  6679,   596,   597,   598,
     599,  3192,   606,  4647,  4648,   506,  6467,  1273,  1871,   494,
    6218,  6472,  6473,  1176,   247,   474,  1879,  1880,  5073,   212,
     606,   537,  4657,  1131,  1984,  3216,  6626,   380,  6559,  3220,
     515,   227,   606,   516,   516,  6843,   537,  1014,   271,  1141,
     521,  1143,   516,  1145,  1127,   371,   562,  4427,   533,  1151,
    2072,   516,   606,  1075,  1076,  1058,  5229,  1060,   606,   292,
     247,   562,   603,   548,   603,    99,   606,  2453,   603,   516,
    5072,   195,   546,  2459,   606,  1177,  1178,  1064,   606,   247,
    2437,  4857,   539,  1246,   346,  4630,  1703,   603,  4732,   552,
     603,  2583,   543,   241,   102,  4373,  2115,  1119,  6063,  2121,
     195,    76,   603,   271,  6556,   159,  3999,  2543,  4000,   541,
     107,   206,   271,    69,    76,  1278,  2138,    73,   121,  1122,
     560,  6929,  1223,  1126,   292,   610,  1227,   292,   183,   966,
    6813,   457,  1119,  2371,  2372,   292,  6847,  6848,   975,  6538,
    3983,  2026,   183,   381,   584,   183,   292,   409,   202,   392,
     594,   595,   989,   142,   594,   595,  6555,   183,   247,  1262,
    1182,    24,   286,  1874,  1262,  6651,   292,    91,  1879,  1880,
    1654,   142,   292,  1657,   423,   133,  1660,   379,  1662,  2580,
    6761,  1665,   271,   195,  5949,  1669,   195,  1247,  1210,  2115,
    1027,   162,  1355,   190,  1181,    24,  1033,  5199,  1220,   102,
    2443,  6732,  1224,  1225,  1226,   161,   402,  4832,  1045,  5135,
    2047,   256,   249,  4031,  1247,    91,  1219,   458,  1221,  6032,
     546,   594,   595,   596,   597,   598,   599,    95,  2364,  7019,
     429,  6911,  6070,  4979,   223,  2325,   107,  6613,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   341,   594,   595,
     596,   597,   598,   599,   243,    24,   242,  1349,  4395,    93,
     216,  1143,   240,  1145,   526,    34,  6884,   292,  3236,   169,
    5974,  6723,  6983,   372,   286,    99,   159,   286,    95,  2488,
    2489,  5971,   292,   259,  1306,  1307,   190,    13,  1999,  1311,
     560,   560,   278,  1125,  3304,  1177,  1178,  1221,   138,   379,
     399,    95,  1403,  1404,   547,   190,   378,   101,   541,    70,
    1223,  1143,  3336,  1145,  1227,   584,    13,  6225,  6849,   202,
      81,    95,   278,  1155,  1311,  6015,   338,   101,  1429,   516,
      69,   292,  5718,    93,    73,  1255,   606,    76,   607,  5704,
     464,  2052,   210,   397,  1429,  1177,  1178,   546,  5875,  1336,
    1337,  2062,  4489,   253,   603,  6320,   241,   949,   560,    93,
     603,  7041,   603,   556,  6329,   603,   384,  3838,   462,  1429,
     139,   405,  6332,   541,   607,   247,  3386,  6305,  1365,  2242,
     417,   205,   358,  2577,   541,   581,   379,   384,  2524,  2525,
    6350,   362,    95,   210,  2279,  2531,  1429,  6928,  4906,   271,
    6352,  2537,  2538,   448,  5742,   367,   593,  6335,  6939,  6742,
    6331,  5466,   560,  2549,  1436,   539,   210,  6382,   605,   195,
     292,   541,  6908,  2559,   413,   288,  3522,   402,  2396,  2565,
     408,   439,   466,   225,  2145,  5490,   210,  2148,  2149,   607,
     443,   606,   468,   367,   539,   401,   185,   606,   503,  1436,
    7031,  6982,  3579,  2407,   142,   509,   173,  3248,   362,   288,
     606,  2431,   503,  1403,  1404,   503,  6304,  1429,  2370,  1306,
    1307,   560,  1064,  6286,   508,  2354,   510,   225,   378,   605,
    2406,  2407,  7013,  3612,   442,   565,  2453,    80,  2395,  7070,
      83,   367,  2459,  3193,  2111,  3195,  6334,  3324,   332,  1014,
     371,  6877,   190,  2410,   603,  5396,  2413,   210,  2478,  5400,
     286,  2398,  2482,  7044,   397,  2448,   541,  2487,   358,   288,
    2490,  2423,   115,  6856,   263,  2412,   394,   539,    35,   122,
     539,   541,    39,  6212,    41,    42,   439,  2556,  2425,   256,
     159,    48,    49,    95,   444,   534,  6623,    54,  2259,  1141,
     453,  1143,   455,  1145,   458,   148,    63,  6206,    65,  1151,
      67,    68,  6470,   251,    71,   133,    73,   560,   436,   545,
    1653,   247,   332,   415,  2481,  6540,   532,   394,  2485,  2486,
     541,   392,   607,   202,   540,  1177,  1178,   543,   606,  1181,
    5444,   248,  6552,   222,    93,   271,   593,  1524,   332,   458,
     394,    93,   341,   471,   601,   344,   603,   604,   605,   606,
     603,   326,  1127,  1128,  1636,  1637,   292,  1639,   521,   436,
     394,   363,  3631,   194,   458,  5180,   509,   220,  5136,  5668,
    2556,   607,   471,   157,  3070,  1812,   183,  2254,    80,    69,
     142,   358,   436,    73,   384,    87,    88,    89,  2265,  1636,
    1637,   358,  1639,   424,   471,   249,   379,  6990,   210,  3627,
     560,   290,   436,  3631,  2281,   603,   437,  7031,   482,   541,
      93,  3072,   506,   266,   362,  3076,  1698,   471,   271,   367,
    4763,   188,   474,  4766,  1976,  6450,  2523,  1976,   384,   283,
     203,   394,   185,   507,    98,  6081,   467,   471,   458,  1702,
    3232,   214,   162,   537,   604,  1727,  7070,   607,   134,   241,
     372,   218,   122,   237,  1306,  1307,   142,   185,  2335,  1311,
     185,   253,   293,   462,   458,   413,   474,   544,   562,   322,
     190,   161,   239,   436,   195,   607,   547,   399,   110,   271,
    2357,   398,   430,   310,   603,   250,   506,  1262,   524,   210,
     471,   378,   124,  2370,  6719,   384,   100,  5137,   162,  6728,
    6729,   603,  5974,   539,  1927,  2382,  1929,   606,   471,   603,
     263,   259,   506,  1365,   241,  3852,  3853,   537,   397,  2445,
    3857,   263,   112,  5061,   291,   215,  1894,   380,  5066,  3980,
     358,   358,  1814,  5099,   185,   263,   513,   539,   263,   514,
      69,  1823,   562,   537,    73,  2422,  2423,  1910,  1911,   181,
    1913,   358,  1910,  1911,  4951,  1913,   271,  1839,  6469,  5143,
     477,  3898,  3899,  4906,  1656,   184,  1658,  3262,   562,  1661,
     382,  1663,   250,   332,  1666,  1667,  1668,   560,   545,   578,
     332,   372,  4979,   603,  1436,   249,   534,  1679,   341,  1871,
      93,   344,  1874,  1875,  1857,  1858,   266,  1879,  1880,   341,
     362,   271,  1694,   370,  1696,   541,   606,   102,   399,   603,
     358,  6836,   263,   341,   442,  3118,   341,   190,  1938,   344,
      93,   394,   205,   476,   207,   606,   192,  1874,   440,   441,
     509,   372,  1879,  1880,   129,   190,   190,   190,  2124,   329,
     326,  2127,   362,   471,   533,  1938,   394,   474,   604,   332,
     606,  2012,   322,   285,   446,   366,   444,   276,   399,   471,
     213,   190,  2023,   436,  1984,  1947,   219,  2012,   105,   471,
    6275,   607,  6277,  1857,  1858,   229,  6281,  6282,   380,   269,
     233,   603,  1945,   287,   103,   104,   471,   452,   436,   410,
     341,  1984,  2012,   344,   459,  6341,   109,  6322,   192,   458,
    6925,   466,  6931,  2064,   394,    93,   458,  3176,  2585,   462,
     264,   438,   539,  2121,   601,   275,  1963,  1964,   605,  2012,
     462,   436,  7082,   194,   412,   440,   358,   494,  5879,   582,
    2138,  1064,   243,  5884,   462,  7095,  5887,   462,   394,   504,
     418,   594,   595,   596,   597,   598,   599,   506,   515,   110,
     169,  6662,  1999,   417,   506,   182,   471,   453,    35,  2120,
    2183,  1945,   527,   124,    41,    42,   533,   478,   556,   185,
     189,  3422,  3432,  5170,   452,   458,  2137,  2129,   537,   362,
     436,   548,  2134,   192,  3215,   537,  3215,   200,   466,   226,
    2012,   455,  5135,  5136,   367,  3215,    73,   545,   358,   394,
     252,   367,   296,   562,   606,  2052,   476,   226,   362,  2295,
     562,   462,   603,  5784,   367,  2062,   506,    76,  3482,   509,
     181,   606,   293,   506,   516,   578,   504,  6852,   460,   332,
     518,   516,  4060,   362,   393,  3334,  3678,   392,   367,   458,
    4576,   436,  4070,   539,   603,   560,  6108,   263,  1181,   193,
    1947,   603,  3503,   578,   537,   519,  2208,   521,  4594,   332,
    2212,   525,   603,    80,   436,   393,    83,   503,   362,   584,
      87,    88,    89,   402,   326,   563,   471,  4146,  1653,   562,
    2162,  4270,   501,   516,   503,    18,    19,   296,  2170,   591,
     592,   593,   594,   595,   596,   597,   598,   599,  2145,   471,
    4631,  2148,  2149,  5670,    37,  4636,   193,    40,  6554,   464,
     337,   188,   471,   235,   606,   342,  2277,   108,  4146,   241,
     603,   606,   192,   267,   285,   341,  5694,   578,   344,   412,
     424,    80,  2277,  3432,    83,  3599,  3600,  3601,  3602,   130,
    3604,   218,  5709,   471,   332,  6102,   128,  5689,   503,  4646,
     455,   182,   603,   362,  5925,   458,  5927,  2277,  3412,  1734,
     593,  6986,   239,  4610,   170,  3629,   115,  3516,  3517,  3518,
     523,  3470,   393,   122,  6572,    95,   428,  6582,    83,  1754,
     267,   101,   535,  4635,  2277,   458,   480,   603,  4640,  4641,
       5,   182,   547,  6968,   235,   394,  4352,   358,   131,   148,
    3485,   323,  4358,   506,  6303,   560,  3505,   394,   603,    24,
     280,   242,  2259,   432,   291,   424,   521,   199,  5658,    34,
    5660,  2303,  1874,   341,  4294,  2307,   344,  1879,  1880,   584,
    6181,  4243,   165,   506,   537,   518,   238,  1812,   192,   206,
    6355,  3652,   248,   148,  4549,   464,   462,   278,   603,   436,
     471,   436,   374,  5396,   271,  2277,   508,  5400,   510,   562,
    3410,    69,  3412,  7038,   537,    73,  3294,   438,  3296,  3297,
     458,  4341,   471,   206,   224,  2498,   282,   294,  6724,   560,
     563,  3295,   323,   274,   503,   537,   471,   241,   358,   562,
     210,   297,   362,   370,  5632,  1947,  5634,  5635,  5636,   460,
     603,   553,   362,  2540,  5872,  2448,   337,   367,   393,  3295,
     235,   342,  2209,   315,   320,  6377,   241,   266,   506,   286,
    2516,   336,   271,   273,   139,   606,   280,  6284,   547,   557,
     603,   309,   551,   374,   310,  1910,  1911,   384,  1913,  3262,
    4470,   560,  6328,   349,   462,  4808,   337,  1999,  5916,   537,
     455,   342,  3291,   161,  7056,  2437,  2507,   248,  2440,   603,
    2507,   421,   578,   380,  2507,   584,  2507,   358,  2507,  5421,
     108,  7073,   378,   322,   562,   363,   364,   169,   606,   252,
      75,  5949,   358,    99,   603,  3332,    81,   603,  3210,   560,
    2437,   282,   130,  2440,   209,  3670,  6842,   189,   323,   377,
    2052,    83,   393,  2300,   358,   428,   297,   215,   362,   458,
    2062,  2308,   551,   584,   461,   603,   521,   494,   464,  2316,
    2129,  3973,  2519,   394,   312,  2134,  3331,   551,  6853,   320,
    3460,   380,  3462,   115,   226,   606,  3466,   153,   515,   488,
     156,   447,   465,    80,   182,  2606,    83,   163,   424,   374,
     441,   164,   541,   326,  2536,   541,   533,   503,  3654,    69,
      70,  2606,   108,   336,   603,   436,   148,  6659,   501,   464,
    2507,   548,  3622,   288,   465,   191,   464,   394,   115,   603,
     503,    80,  3581,   392,    83,   122,  2606,   440,    87,    88,
      89,  3262,  6449,  2145,   207,   486,  2148,  2149,   474,  2208,
     471,   547,  2399,  2212,    95,   151,   105,   540,   503,  4071,
      49,   148,  7072,  2606,   603,   503,  3421,   603,   471,   436,
    7009,   329,  7011,  6091,   518,  7085,   394,   476,    67,  2426,
     553,  4668,  4669,  4670,  4671,   251,   274,  4674,  4675,  4676,
    4677,  4678,  4679,  4680,  4681,  4682,  4683,  1128,   264,  6664,
    6665,  5694,   547,   394,   471,   464,   447,   603,  2450,   547,
    2452,   277,   440,   539,  2456,   560,  2458,  3821,   436,  2461,
     161,   335,   560,  2465,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   220,  2606,   394,   394,  7076,   170,   584,
     603,  7016,   453,   471,   503,   436,   584,  3502,   362,   337,
     100,  4738,  4739,   471,   342,  1186,   441,  2259,   603,   139,
     140,   111,   203,  3962,   394,   603,  3293,   516,   336,   210,
     358,   121,  3299,   214,   432,   606,   487,   436,   436,   266,
     471,   440,   440,   582,   271,   508,   471,   510,   547,   604,
     432,   606,   541,   143,   362,   594,   595,   596,   597,   598,
     599,   560,   432,   247,   373,   393,   436,   609,  3854,   378,
    5510,  4299,   471,   471,   537,  3436,   248,   441,  5518,  3346,
    3866,  1252,   464,  3444,   378,   584,  3447,   271,   560,   383,
     560,    80,  6020,  1264,    83,   322,   560,    39,    87,    88,
      89,   471,  6807,   241,   603,   294,   241,   471,   506,  4061,
     282,   509,   584,   441,   584,   118,  3902,  5243,  3738,   108,
     584,   503,    97,   241,   378,   297,  4132,   265,     2,   383,
     265,   560,   352,  5259,   607,   607,   606,   465,   141,  5872,
     584,   585,   601,   288,  4923,   120,  5879,   265,   320,   608,
     607,  5884,  6357,   380,  5887,   584,   376,   150,   486,   603,
    3946,  4167,   560,    15,   150,   547,   601,  5288,  3786,   162,
    3788,  3789,   607,  3971,  5295,  5296,   162,   349,   560,   541,
     213,  3123,   488,  5916,  3123,   491,   219,  5974,   108,  1389,
    6220,   380,   584,   585,  1394,  4246,   560,   603,  6228,  6229,
     601,  4921,   584,  4923,   605,    69,    70,    81,   105,    73,
     130,   603,  6917,   394,    88,   593,  5949,    81,   598,   516,
     584,   603,    69,   603,   596,   605,    73,   605,  4888,   601,
     598,   603,   106,   605,  4908,   603,   603,   605,   605,  4857,
     114,   606,   606,   607,  4133,   610,   516,  6794,   122,   476,
    5145,   432,  3921,  6411,  3783,   436,    80,   606,   508,    83,
     510,   610,   182,    87,    88,    89,   521,   141,   594,   595,
     596,   597,   598,   147,   148,   447,   604,   596,   604,   606,
     607,   155,   601,  2448,   603,  7054,   605,  3554,  7057,  4593,
     471,   115,  6450,   516,  4459,  6656,  6240,   478,   122,  4959,
     602,  6245,  6246,   516,   606,   294,   602,  6094,   170,   516,
     606,  3723,   142,   594,   595,   596,   597,   598,   148,    80,
     604,   602,    83,   607,   148,   371,    87,    88,    89,  4218,
     415,   251,   162,   205,   508,   207,   510,   601,  4392,   603,
    5382,   605,  2507,  4436,   105,  3921,   354,   355,   356,   357,
    3865,   553,  3867,  3868,   274,   582,  2569,   313,  6091,  2572,
     190,   233,   192,   461,  5091,  4525,  4526,   594,   595,   596,
     597,   598,   599,    33,   604,  2540,   606,   596,   597,   598,
    3741,    80,    85,    86,    83,  3125,   248,   603,    87,    88,
      89,   380,   604,   601,   606,   603,   560,  4398,   562,  2564,
    6558,   340,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   604,   604,   606,   606,  5449,   115,   337,  3994,   521,
     282,   251,   342,   122,   438,   604,   298,   606,   603,  3101,
     605,   604,   603,   606,  4110,   297,   461,  5157,   358,   604,
    6987,   606,   266,   604,   604,   606,   606,   271,  6181,   148,
     280,   604,   336,   606,  5152,   604,   336,   606,   320,   166,
     604,  3974,   606,   604,   604,   606,   606,   103,   104,  4089,
     294,   295,   604,   393,   606,   453,   454,   604,  3264,   606,
    3266,   276,   354,   355,   356,   357,   560,   349,   562,   361,
    3303,   222,   604,   608,   606,   367,    80,  3248,   322,    70,
     604,  4241,   606,  3770,   235,   604,  4246,   606,   487,   604,
     241,   606,   340,  3248,  5173,  7062,   378,   604,  3785,   606,
     604,   441,   606,  3790,   487,  3162,  3163,  3199,   604,   604,
     606,   606,   362,   294,   604,   487,   606,   367,  3248,   606,
     607,   365,   162,  3215,   265,   465,  3218,  3219,   157,  4086,
    4087,   453,   454,  3820,  3181,  5173,   380,  3210,   508,   290,
     510,  6718,   508,   521,   510,  3248,   486,   266,   604,   604,
     606,   606,   271,  3324,   604,   129,   606,  6735,  3215,  5956,
    5957,  3218,  3219,   413,   604,   447,   606,   560,   461,   562,
    3262,  2756,   323,  3406,   604,  6328,   606,  4110,   553,   604,
     430,   606,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   609,   604,  3974,   606,   551,   604,  3368,   606,   380,
     604,  3372,   606,   322,   604,  3262,   606,   604,   604,   606,
     606,   313,   252,  3368,   603,   222,  3248,  3372,   604,   604,
     606,   606,   560,   374,   562,  3396,  3318,   604,   235,   606,
      81,   523,   476,   384,   241,   604,   276,   606,  3368,   501,
    4711,  3396,  3372,   535,   604,   205,   606,   207,  3419,   604,
     604,   606,   606,   604,   604,   606,   606,   603,  6411,   541,
     604,   380,   606,   378,  4424,  3368,  3396,   458,  6846,  3372,
     604,   604,   606,   606,  6852,  5816,  5817,   604,  4235,   606,
     453,   454,  4854,   290,   534,   606,   326,  3459,   604,   604,
     606,   606,  3199,  3396,   604,   129,   606,  6450,   604,  4256,
     606,   604,   553,   606,  4400,   560,  4402,   562,   118,   604,
    3402,   606,  4580,   604,   580,   606,   323,   604,  3225,   606,
     605,   604,  4907,   606,  4909,  3496,  5525,  4912,   604,   604,
     606,   606,   296,   604,  3426,   606,  3243,  5401,   582,  5403,
    3372,  3496,  3249,   383,   453,   454,  3253,   591,   592,   593,
     594,   595,   596,   597,   598,   599,  4801,   476,   604,    80,
     606,  6737,    83,   604,  3396,   606,  3496,   374,   381,    69,
    3277,  4842,   604,    73,   606,   378,   604,   384,   606,  3436,
     584,   585,   533,   364,   604,   241,   606,  3444,  6406,  6407,
    3447,  3562,  4488,  3496,   115,   378,    96,  5491,  3490,  4395,
     694,   122,  3494,   580,  3311,  6558,  4446,  3562,  6986,   381,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   604,
     604,   606,   606,  1927,  3331,  1929,  4113,   148,   604,   604,
     606,   606,  3562,   604,  4121,   606,   604,   118,   606,  3531,
     604,  3533,   606,  3535,  3536,   604,   580,   606,  3540,  3541,
    3542,   296,  3544,  3545,  3546,  6619,  6620,  4663,  4415,  3562,
    4417,   161,  3369,   582,  3496,   596,   246,  4400,   508,  4402,
     510,   606,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   521,   604,   464,   606,   129,   604,  3394,   606,   603,
     222,  4697,    80,  3400,   534,    83,   604,   537,   606,   220,
     604,  4922,  3595,   235,   604,   247,  3598,  3414,  4880,   241,
     292,   604,  4776,   606,  3421,   292,   216,  3424,   604,   604,
     606,   606,   503,  3430,   603,  4565,   533,   115,   596,   607,
    3562,  3623,   609,   604,   122,   606,   609,  3199,  4225,   604,
    4227,   606,  4748,  3450,   288,   266,  3131,   217,   108,  3456,
     271,    80,   129,  3215,    83,  4488,  3463,   604,   290,   606,
     148,   604,   604,   606,   606,   604,   547,   606,   288,   294,
    3477,   271,   516,   604,  6120,   606,  3668,   462,   278,   560,
     344,   606,  6735,  3754,  3491,   604,   115,   606,   604,   603,
     606,   323,   603,   122,   601,  3502,  3181,   604,   605,  3754,
    3262,   322,   604,   584,   606,   605,   564,  3854,  6984,   436,
     604,  5196,   606,   124,   271,   604,  1917,   606,   604,   148,
     606,  5047,   603,   604,  3754,   604,   607,   606,   604,   227,
     606,   227,   220,   603,   603,   378,  4323,   605,   271,  4596,
     436,   378,   374,   227,   938,   227,   271,   227,  5069,   378,
    3723,  3754,   384,   436,   241,  3902,   227,   607,   321,   380,
     171,   192,   956,   541,   378,   603,   371,   241,   604,   142,
     362,   965,   966,   108,   362,   222,  5823,   564,   266,   973,
    4367,   975,   976,   271,  3741,   196,   603,   378,   235,   362,
     118,   220,   118,  6846,   241,   989,   362,   526,  5057,  6852,
     362,   401,   161,  5741,   215,  3876,   553,   394,   157,   220,
     553,  3882,   521,   241,  1008,   416,   608,   227,   227,   603,
     227,  3876,  3754,   603,   550,   409,   603,  3882,   227,   107,
     603,   242,   564,  1027,   322,   246,   227,   266,   227,  1033,
     606,   227,   271,   290,   227,  5347,  3876,   227,   448,   227,
     261,  1045,  3882,   227,   241,   476,   227,   227,   227,   227,
     227,   227,   378,  3954,  3955,  3956,   603,   503,   108,   321,
     378,  1065,   603,  3876,  3436,    76,   323,  4024,   241,  3882,
    4467,  1075,  3444,   241,    76,  3447,  1080,   603,   205,   603,
     207,  1085,   380,   322,   241,  1089,  1090,  3459,   603,   603,
     500,   533,  1096,   603,  1098,  1099,   603,    76,   603,   603,
     603,   603,   603,   603,   603,   603,   233,  1111,  1112,   603,
    4601,    76,   603,    76,   603,  1119,  4513,   374,   603,   603,
     603,   603,   532,  6986,  1128,   603,   603,   384,   603,   369,
     540,   603,   603,   543,  3876,  3752,   603,   603,   603,   603,
    3882,   380,   603,   603,   603,   603,   367,   603,   603,   561,
     236,   582,   603,   603,   390,  3772,   108,  3960,   292,   173,
     292,   606,  3779,   594,   595,   596,   597,   598,   599,   606,
     321,   298,  3974,   294,   108,   241,   374,   606,   476,   241,
     372,   288,  1186,   471,   189,   540,   606,  3595,   596,   593,
      13,   607,   606,   138,   603,   516,   603,   603,   458,   604,
     421,   604,   516,   516,   552,   516,   458,  3974,   458,   605,
     323,   516,  1216,  1217,   516,   516,   149,  4020,  4615,  1223,
     516,  1225,   593,  1227,   162,  4028,   458,   354,   355,   356,
     357,  3998,  3999,  5414,   361,   362,   516,   476,   227,   378,
     367,   463,   318,  1247,   516,  4951,    80,  6075,  1252,    83,
    1254,   516,   367,    87,    88,    89,   198,   516,  5439,   506,
    1264,   540,   399,   372,   378,   603,   453,   516,   516,   264,
    4667,   105,   603,  4979,   162,   198,   533,   606,   394,   271,
     227,   516,   516,   541,   582,   541,   516,   198,  6145,   516,
     516,   184,   516,   516,   198,  4692,   594,   595,   596,   597,
     598,   599,  1306,  1307,   516,   516,   516,   129,  4110,   129,
    4191,  4192,  4193,   516,   346,   382,   516,   420,   420,   420,
     399,   516,   516,   117,   506,   516,  4191,  4192,  4193,    80,
     516,   516,    83,   606,   399,   604,    87,    88,    89,   294,
     608,   516,   516,   582,   601,  1349,   516,   378,   605,   516,
     294,  4191,  4192,  4193,   105,   594,   595,   596,   597,   598,
     599,   378,   294,   294,   294,   294,   294,   294,   294,  3741,
     294,   526,   516,   108,   603,   227,  6226,   378,  4191,  4192,
    4193,   227,   362,   190,  5679,   541,   227,   227,   552,   227,
     378,   362,   329,   362,   362,  4197,   523,   108,   241,  1403,
    1404,   603,   108,    80,   313,   460,    83,   107,   535,   514,
      87,    88,    89,   227,   603,   514,   516,  5333,   516,   227,
      13,   541,   227,  1427,  1428,  1429,   227,   516,   105,   541,
     601,   371,  1436,   605,   247,   601,   346,  1441,   115,   604,
     603,   603,  1446,  1447,   366,   122,   606,  1451,   556,  1453,
    5117,  5118,  4254,  1457,   604,   603,   346,   604,    83,   516,
     294,   603,   247,  5434,  5170,   606,   256,   593,   603,  1473,
     603,   148,   389,   518,   290,   606,   606,   264,   264,   604,
     474,  5231,  5232,  5233,  5234,  5235,   310,   606,  4979,   606,
    4107,   108,   379,   541,   541,    33,    80,     9,   387,    83,
     129,   552,   458,   367,   367,   367,   516,   604,   603,  5640,
     516,   603,  1516,  4394,  1518,  1519,   516,   241,   367,   378,
     118,   480,   378,  4325,   321,   603,   310,   362,   310,  4394,
     321,   115,  2543,  2544,  4477,   453,   340,   198,   122,   378,
     321,   516,   506,   294,   271,   606,   380,  2558,   378,   378,
     606,   378,  3960,   436,  4394,   471,  2567,  6414,   265,  3854,
     468,   560,   516,  1567,   148,   516,   424,   384,   604,   108,
     313,  4373,   294,   593,   541,   541,   227,   419,   241,   372,
     553,  4394,   108,  4385,  4386,  4462,   243,   420,   603,   266,
     504,   468,   227,  4395,   271,   603,   227,   227,  4400,  4216,
    4402,   372,  3974,   226,  1608,   541,   362,  3902,   108,   362,
    6358,   560,  4020,   378,    97,   378,   313,   294,   295,   597,
    4028,   262,   372,   262,   108,   241,  5425,   242,  4395,   380,
     604,  3926,  1636,  1637,  4511,  1639,   220,  4580,   313,   601,
     344,   580,   468,  1647,   604,   322,   604,  3942,   378,   241,
    4452,   604,  4394,   362,   604,   580,   129,   271,   271,   271,
     271,   271,   564,   606,   605,  3960,   516,   247,   560,   343,
     378,   606,   371,   247,   384,   546,   581,   444,   390,  4462,
     205,   400,   266,   603,  1688,  4487,  4488,   271,   365,   247,
     361,   606,   336,   606,   606,   516,   547,   604,   604,  1703,
    4746,  1705,   603,   380,   604,   604,  4463,   604,   606,   557,
     606,   606,   606,   604,   580,   129,  4473,   603,  1722,  5425,
     604,   606,   604,  1727,  5121,  4020,   604,  4529,  4511,  4024,
    4347,   604,   604,  4028,  1738,   604,   604,   604,   322,   604,
     539,   331,   603,   603,   378,   557,  5237,   583,   603,   593,
     607,   557,   606,   606,  4511,   381,   593,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   227,   516,   516,   378,
     378,   516,   604,   604,   284,  1779,   367,   230,   516,   362,
     227,   276,   471,   463,   603,   603,   491,  4744,   603,  5659,
     227,  6700,   227,  5862,   463,   463,   380,   321,   276,   476,
     230,   378,   516,   230,  1808,  1809,  1810,   541,  1812,  4766,
     593,   458,   323,   557,   401,   401,   488,   538,   230,   333,
    5487,  1825,   516,  4704,   516,   516,   516,   333,   333,  1833,
     516,   516,   516,   516,  4601,   516,   458,   458,   458,  4704,
     591,   592,   593,   594,   595,   596,   597,   598,   599,  5599,
    5600,   516,  5602,  4754,  4755,  4756,  4757,   458,   516,   198,
     362,   227,   516,   516,  4704,   471,   117,  1871,   117,  5894,
    1874,   516,   604,   604,   602,  1879,  1880,   294,   604,   294,
     259,   604,   241,   382,   604,   118,   526,  5910,   606,   183,
     603,  4704,   476,   241,   108,   227,   227,   516,   593,  6261,
     241,  6263,   604,   606,   372,   582,   604,   603,  1912,   259,
     603,  4713,  1916,  1917,   591,   592,   593,   594,   595,   596,
     597,   598,   599,  5590,   602,   227,   241,   603,  1932,   458,
     458,   458,  4549,   606,  1938,   458,   541,  4808,   541,   458,
     225,  4808,   225,  1947,   217,  4808,   468,  4808,   294,  4808,
     294,   294,   294,   601,  4571,   534,   294,   294,  4575,   294,
    4763,   294,  4704,  4766,   294,   534,   604,   378,   378,   298,
     129,   378,   378,    83,    80,   247,   604,    83,   361,   606,
    1984,    87,    88,    89,   552,   390,   604,   247,   256,   584,
     444,   546,   513,   160,   526,   241,   108,   604,   582,   593,
     604,   603,  2006,   313,   604,   604,   541,   603,  2012,   606,
     594,   595,   596,   597,   598,   599,   604,   606,   593,  2023,
    5687,   606,  2026,  4395,  5515,   603,  2030,   516,   604,   284,
    6887,   129,   541,  6890,   506,   227,  6893,   541,   156,   488,
     251,   526,   463,   230,   604,   516,   516,   516,   604,   458,
    6073,  4808,   516,   516,   458,   604,   436,  6272,   603,   560,
    2064,   603,   129,  6052,  4945,   506,   547,   241,   148,  4950,
    2074,  4952,   378,   227,   183,   526,   294,  5474,   294,   294,
    4945,   294,   310,   279,   604,  4950,   603,  4952,   603,   564,
     603,   516,   378,   108,   399,   375,   604,  4978,   526,   606,
     378,   114,    80,  4906,   468,  4945,   603,  2111,   606,   603,
    4950,  4993,  4952,  4978,   606,   516,  2120,   604,   253,   183,
     602,   254,  5004,   247,   294,   604,   215,   311,   311,   367,
    5527,   367,  4945,  2137,   247,   367,   367,  4950,  4978,  4952,
    2144,  5213,  3153,   129,  5213,   604,   604,   604,   604,  4951,
    6445,  5950,  5549,   390,   604,   558,   558,   399,   606,   604,
     603,   297,   604,   603,   388,  4978,   297,   603,  4463,   505,
     129,  6466,    80,   385,   260,    83,   247,  4979,  4473,    87,
      88,    89,   604,   372,  4951,   513,   526,  5986,   294,   516,
     278,   560,  4994,   593,   148,  4997,   265,  4999,   367,   265,
     593,   108,   367,   129,   516,  2209,   506,   606,  4950,   606,
    4952,   142,  4979,   516,   230,   516,  4511,  6512,  6513,   227,
     516,  2225,  2226,  2227,  5621,   197,   604,   603,   249,  4601,
     190,   294,   108,   271,   372,  6151,  4978,  5985,  2242,   468,
     603,   108,   541,  5045,  5950,   362,   243,   468,   129,  6165,
    2254,   226,  5986,   372,   154,   108,   560,   247,   506,  5061,
     241,  2265,   560,   378,  5066,   431,  4883,   281,  5974,   603,
     381,   247,   292,  2277,   380,  2279,   546,  2281,   604,   603,
    5986,   606,  6030,   604,   604,   604,   485,   604,   129,  6504,
     606,   297,   603,   559,   603,   603,  2300,   461,   162,   378,
     206,   272,   430,   108,  2308,   227,   516,   604,  5975,   604,
     227,   603,  2316,  5080,  5081,   516,   603,   241,   108,   603,
     367,   603,   603,   334,   603,   468,   603,   603,   603,   227,
     604,  2335,  5135,  5136,   541,   183,   108,   604,   382,   483,
    6256,  6257,  6522,   247,   526,   604,  5743,  2351,   241,   483,
    2354,   108,   593,  2357,   606,  4763,   378,   604,  4766,   275,
    2364,   604,   108,  5165,  5245,   151,  2370,   182,  5170,   603,
     546,   105,   264,   603,   506,   241,   603,   603,  2382,   541,
    5245,   506,   276,   603,   358,   378,   294,   604,    76,   234,
     142,  2395,  2396,   564,  2398,  2399,   454,  6692,   603,   454,
     142,   381,   206,  5170,  5161,  5245,  2410,  5024,  2412,  2413,
    5027,   560,  5214,  5215,  5216,  5217,  5218,   607,  2422,  2423,
     560,  2425,  2426,   211,  6174,   545,   556,    80,   219,   378,
     546,   604,  5245,  2437,   606,  6185,  2440,   108,   606,   238,
     238,   604,   603,   603,   471,   603,   335,   512,   427,  4744,
     512,   247,   506,   367,   278,   506,   603,   378,  5260,  5261,
    5262,  5263,   108,  5265,  5266,  5267,  5268,  5269,  4763,   378,
    5237,  4766,   380,  5230,   468,   108,   381,  2481,   381,   272,
     603,  2485,  2486,   249,   249,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   226,   603,  6791,  6792,  4906,   422,
     453,   223,   422,  5245,   564,   564,   606,   603,   603,  6425,
     400,  5128,   129,  4808,   129,  6265,  6432,   129,   129,   604,
    2524,  2525,   492,   195,   516,    76,  2530,  2531,  5145,   539,
     604,   113,  2536,  2537,  2538,  2539,  2540,  2541,  2542,  2543,
    2544,  2545,  2546,  2547,  2548,  2549,   603,   211,  5464,  2553,
     468,  2555,   564,  2557,  2558,  2559,  2560,  2561,  2562,   564,
     378,  2565,   378,  2567,  2568,   604,   105,  2571,   151,   437,
     108,   385,   471,   603,   363,    94,   363,   606,   453,  4951,
     606,  2585,  2586,  2587,  2588,   457,   457,   169,   453,   386,
     367,   547,   247,  5396,   378,   219,   603,  5400,   494,   603,
    2604,  6471,  2606,   603,   516,   603,  6821,  4979,   494,   151,
     606,   546,   226,   483,   483,  6258,  5418,    76,   190,  5421,
    5422,  4993,   547,   560,   560,  5242,   385,  5509,   249,  6272,
     249,   604,  5004,   402,   603,   546,   603,   132,  5520,   541,
     222,   604,   151,   297,  6101,   603,  2211,  5449,  3974,  1404,
    3470,  1403,  1880,   235,  5421,  4167,  3381,  6683,  4950,   241,
    1361,  4925,  3497,  3551,  4386,   247,  6028,  6501,  6821,  6468,
    5115,   253,  6422,   168,   256,  6075,  4923,  4923,   260,  5436,
    5437,  5649,  5449,   591,   592,   593,   594,   595,   596,   597,
     598,   599,  6051,  4155,  3728,  4093,  6663,  5949,  6721,  6810,
    6532,  6531,  6704,  6846,  5694,  4160,  5136,  5147,   290,  5162,
     292,  6474,  5105,  3565,  3565,  4945,  5688,  4192,  4434,  5131,
    1399,  6058,  6638,  4482,  6640,  7078,  6370,  5135,  5136,  5198,
    6940,   108,  7049,  6042,  4394,  6716,   231,  5169,  5988,  2289,
    6243,   323,  6484,  5991,   120,  1010,   133,  2751,  5515,  4569,
    5242,  6211,  3581,   130,  5245,  2333,  3237,  6936,  2330,  5173,
    4070,  4493,  6468,  6101,  6358,  2351,  2406,  4326,  1689,  1076,
    4978,  4243,  3496,   268,  6742,  1240,  6990,  2030,  5204,   156,
    3527,  6272,  3143,  5206,  6913,  2242,  1109,  5668,  4839,  5438,
    6187,  6206,   374,  6209,  3712,  3991,   378,  1851,  5170,  5287,
    3179,  2805,   384,  5668,  1898,   182,   183,  4006,  3153,  1920,
    4780,  6786,  1922,   190,  6642,  1919,  3178,  5619,  5620,  5419,
    4766,  7037,  1650,   318,  5384,  6182,  6411,  5402,  5668,  4763,
    5632,  6410,  5634,  5635,  5636,  4840,  4763,  7001,  6780,  6891,
    5135,  3852,  3853,  6240,  6629,  4763,  3857,  7032,  6245,  6246,
    6149,  4706,   229,  3061,  5898,  5668,  6643,  2861,  6644,  3944,
    3062,  6504,   444,   358,  3926,  5237,  5161,   362,  2560,  3799,
    3526,  3924,  6384,  7034,   251,  3914,    35,  3835,  4638,  3067,
      39,   694,    41,    42,  4508,  1528,  3641,  3898,  3899,    48,
      49,  5694,  3199,  6592,  2343,    54,   129,   274,  5700,   394,
     395,  1940,   307,  3190,    63,  1934,    65,  1702,    67,    68,
    1329,  1309,    71,  1121,    73,  1309,  3215,   499,  3207,  4805,
    3208,  3968,  6670,  4846,   337,  4847,  5420,  5544,  3724,     2,
    2470,  5910,  1154,  3219,    -1,  5230,    -1,    -1,  5740,  5556,
      -1,   436,    -1,    -1,    -1,   440,    -1,    -1,  1636,    -1,
     445,   533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,
     337,    -1,  6359,    -1,    -1,   342,    -1,    -1,   463,    -1,
      -1,    -1,    -1,  1854,    -1,   557,   471,   559,   560,    -1,
      -1,   358,    -1,    -1,    -1,   362,    -1,    -1,  5396,   484,
    7059,  5793,  5400,    -1,    -1,  6743,  6744,    -1,   493,   581,
      -1,    -1,    -1,   498,  6920,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,    -1,    -1,
      -1,    -1,   604,    -1,   606,   607,    -1,    -1,    -1,   188,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6683,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
      -1,  3055,    -1,  6923,  6924,    -1,    -1,  6973,    -1,   218,
     555,    -1,    -1,  3067,   441,    -1,  3070,    -1,    -1,  5872,
      -1,    -1,    -1,    -1,    -1,    -1,  5879,    -1,    -1,    -1,
     239,  5884,    -1,    -1,  5887,    -1,    -1,    -1,   465,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5396,    -1,    -1,    -1,  5400,    -1,    -1,    -1,   486,
      -1,   488,    -1,  5916,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3126,     2,    -1,    -1,  3130,    -1,    -1,  3133,
      -1,  3135,   291,  5900,  3138,    -1,    -1,  5509,    -1,    -1,
      -1,  5436,  5437,  5515,  6025,    -1,  5949,  6090,  5520,  3153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3162,  3163,
    6025,    -1,    95,    -1,    -1,    -1,    -1,  5784,   101,    -1,
      -1,    -1,  5974,    -1,    -1,    -1,    -1,    -1,  6821,    -1,
      -1,    -1,    -1,    -1,    -1,  6025,    -1,    -1,    -1,    -1,
      -1,  6068,    -1,    -1,    -1,  3199,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5974,    -1,    -1,
      -1,   370,  6025,   146,  3218,  3219,    -1,    -1,  6020,    -1,
      -1,  3225,    -1,    -1,    -1,    -1,   603,  6029,  3232,  6101,
    6101,  6101,  3236,  3237,  6101,    -1,  6633,  6101,  6101,  3243,
    6101,  6101,  6101,  6101,  3248,  3249,   125,  6101,  6101,  3253,
    6101,    -1,  6101,    -1,   133,  6101,    -1,  6101,  3262,  6101,
    6101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     203,    -1,    -1,  3277,    -1,    -1,  3280,   210,    -1,    -1,
      -1,   214,    -1,  6025,    -1,  6068,  5694,  3291,  6091,  3293,
    3294,    -1,  3296,  3297,    -1,  3299,    -1,  5909,    -1,  6056,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3311,  5925,   242,
    5927,    -1,  6069,    -1,    -1,    -1,  7064,  7065,    -1,    -1,
    3324,    -1,    -1,    -1,    -1,    -1,    -1,  3331,  3332,    -1,
    6087,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,    -1,
      -1,    -1,  3346,    -1,  6101,   278,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   515,    -1,    -1,    -1,
      -1,   108,    -1,    -1,  3368,  3369,    -1,    -1,  3372,    -1,
      -1,    -1,    -1,    -1,   533,    -1,    -1,    -1,  6181,    -1,
      -1,    -1,    -1,    -1,    -1,   132,    -1,    -1,    -1,   548,
    3394,    -1,  3396,    -1,    -1,    -1,  3400,    -1,    -1,    80,
      -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,
    3414,    -1,    -1,    -1,    -1,  3419,    -1,  3421,  3422,    -1,
    3424,   168,  6303,    -1,    -1,   358,  3430,    -1,    -1,   362,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,  6303,   372,
      -1,   122,    -1,    -1,    -1,    -1,  3450,    -1,    -1,   382,
      -1,    -1,  3456,    -1,    -1,    -1,    -1,    -1,    -1,  3463,
      -1,   394,    -1,  6303,  5872,    -1,    -1,   148,    -1,    -1,
    6272,  5879,    -1,  3477,  6276,  6432,  5884,    -1,    -1,  5887,
      -1,    -1,    -1,    -1,   231,    -1,    -1,  3491,    -1,    -1,
    6303,    -1,  3496,    -1,    -1,    -1,    35,    -1,  3502,  3503,
      -1,    -1,    41,    42,  6385,  6272,   439,   440,  5916,    48,
      49,    -1,    -1,    -1,    -1,    54,  3520,  3521,  3522,    -1,
    6385,   268,  3526,    -1,    63,  6328,    65,    -1,    67,    -1,
      -1,    -1,    -1,    -1,    73,    -1,    -1,    -1,   471,    -1,
      -1,  5949,    -1,    -1,    -1,  6385,    -1,    -1,    -1,  3553,
    3554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3562,    -1,
      -1,    -1,    -1,    -1,    -1,  3569,   313,    -1,    -1,    -1,
      -1,   318,  6385,  6330,  3578,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5879,   266,    -1,    -1,    -1,  5884,
     271,  3595,  5887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5974,  7000,  3608,    -1,    -1,    -1,  6411,    -1,
      -1,   544,    -1,   294,   295,   362,   108,    -1,    -1,    -1,
    6501,    -1,    -1,  3627,    -1,    -1,    -1,  3631,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4646,  6501,    -1,    -1,    -1,
     132,   322,    -1,  6385,    -1,    -1,    -1,  6450,   395,   188,
    3654,    -1,    -1,    -1,    -1,    -1,    -1,  4668,  4669,  4670,
    4671,  6501,    -1,  4674,  4675,  4676,  4677,  4678,  4679,  4680,
    4681,  4682,  4683,    -1,    -1,    -1,   168,    -1,    -1,   218,
      -1,    -1,    -1,  6091,   365,    -1,    -1,    -1,  6501,    -1,
    6447,  4702,    -1,   440,    -1,    -1,    -1,    -1,   445,   380,
     239,    -1,  6504,    -1,    -1,    -1,  6508,   454,  6510,    -1,
      -1,    -1,  6514,  6515,    -1,    -1,   463,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   471,    -1,    -1,  4738,  4739,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,    -1,   231,
      -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,  3752,  6630,
    3754,   498,   291,    -1,    -1,  6558,    -1,    -1,    -1,  6501,
      -1,  6056,    -1,    -1,    -1,  6630,  3770,    -1,  3772,    -1,
      -1,    -1,   519,  6181,  6069,  3779,   268,    -1,    -1,  3783,
      -1,  3785,  3786,    -1,  3788,  3789,  3790,    -1,    -1,    -1,
    6630,    -1,  6087,    -1,  3798,   476,    -1,    -1,    -1,  3803,
      -1,    -1,    -1,    -1,    -1,    -1,  6101,    -1,   555,    -1,
      -1,    -1,   559,    -1,    -1,    -1,  3820,  6630,    -1,    -1,
      -1,   313,    -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,
      -1,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3852,  3853,
    3854,    -1,    -1,  3857,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3865,  3866,  3867,  3868,    -1,    -1,    -1,    -1,    -1,
     362,    -1,  3876,    -1,    -1,  6742,    -1,  3881,  3882,  6742,
    3884,  6742,  3886,  6742,    -1,    -1,  6181,    -1,  6630,    -1,
      -1,    -1,    -1,    -1,  3898,  3899,    -1,    -1,  3902,  6856,
    6272,   582,    -1,   395,    -1,    -1,    -1,    -1,    -1,    -1,
     591,   592,   593,   594,   595,   596,   597,   598,   599,  3923,
    6328,  3925,    -1,  3927,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6735,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3946,    -1,    -1,    -1,    -1,    -1,   440,    -1,
      -1,    -1,    -1,   445,    -1,   494,  3960,    -1,    -1,    -1,
    6717,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3974,   463,    -1,    -1,    -1,    -1,   515,    -1,    -1,   471,
      -1,    -1,    -1,    -1,    -1,  6742,    -1,  3991,    -1,  6856,
      -1,    -1,   484,  6856,   533,  6856,    -1,  6856,    -1,    -1,
      -1,   493,  4006,  6411,    -1,    -1,   498,    -1,  6380,   548,
      -1,    -1,    -1,    -1,    -1,    -1,  4020,    93,    -1,  6821,
      -1,    -1,    98,    -1,  4028,    -1,    -1,   519,    -1,    -1,
      -1,    -1,    -1,  6328,    -1,  6330,    -1,    -1,    -1,  6656,
      -1,    -1,  6450,  6846,    -1,    -1,    -1,    -1,    -1,  6852,
      -1,    -1,    -1,    -1,    -1,    -1,  4060,    -1,    -1,  4063,
     136,  4065,    -1,   555,    -1,    -1,  4070,   559,    -1,    -1,
     949,    -1,    -1,   149,    -1,    -1,    -1,    -1,    -1,    -1,
    5091,    -1,  4086,  4087,    -1,    -1,    -1,    -1,  4092,    -1,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6856,
      -1,    -1,    -1,  4107,    -1,    -1,  4110,    -1,   184,  4113,
      -1,    -1,  6993,    -1,    -1,    -1,    -1,  4121,    -1,    -1,
      -1,    -1,    -1,  6990,    -1,    -1,    -1,  6990,  6993,  6990,
      -1,  6990,   208,    -1,    -1,    -1,    -1,  6432,    -1,    -1,
      -1,    -1,  4146,    -1,    -1,   221,    -1,    -1,  4152,    -1,
    6558,    -1,  6447,  6993,   230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,  7049,    -1,
      -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,
    6993,    -1,    -1,  6986,  7049,  1064,    -1,  4191,  4192,  4193,
      -1,  6993,    -1,    -1,    -1,    -1,    -1,  7078,    -1,    -1,
     276,    -1,    -1,    -1,  7006,    -1,    -1,    -1,    -1,  7049,
      -1,    -1,  4216,  7078,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4225,    -1,  4227,    -1,    -1,  6993,    -1,  7030,    -1,
      -1,  4235,    -1,  6990,    -1,    -1,  7049,    -1,  7078,    -1,
    1119,    -1,    -1,    -1,    -1,    -1,    -1,  7049,    -1,    -1,
      -1,  6993,  4256,  7055,    -1,    -1,    -1,    -1,    -1,    -1,
     336,    -1,  1141,    -1,  1143,  7078,  1145,    -1,    -1,    -1,
      -1,    -1,  1151,  1152,  1153,    -1,  7078,    -1,    -1,    -1,
      -1,    -1,  7049,    -1,  7086,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1177,  1178,
      -1,    -1,  1181,    -1,   380,    -1,    -1,  7049,    -1,    -1,
      -1,  7078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4323,
      -1,    -1,    -1,    -1,    -1,  5336,    -1,  6735,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  7078,    -1,    -1,    -1,
     416,   417,    -1,  4347,   420,    -1,    -1,    -1,  4352,    -1,
      -1,    -1,    -1,    -1,  4358,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4367,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,    -1,    -1,   451,    -1,  5388,    -1,    -1,
      -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,   465,
    4394,  4395,   468,    -1,    -1,    -1,  4400,    -1,  4402,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4415,   488,  4417,    -1,    -1,    -1,    -1,    -1,    -1,
     496,  4425,  6717,    -1,    -1,    -1,    -1,   503,    -1,    -1,
     506,    -1,  1311,    -1,  4438,   511,    -1,    -1,  6846,    -1,
      -1,    -1,    -1,   519,  6852,    -1,    -1,  6742,    -1,    -1,
     526,    -1,    -1,    -1,    -1,  1334,    -1,  1336,  1337,    -1,
      -1,    -1,    -1,  4467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   553,    -1,    -1,
      -1,    -1,    -1,    -1,  4488,  4489,  1365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4513,
     957,   958,    -1,    80,   961,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   981,    -1,    -1,    -1,   105,    -1,
      -1,   988,    -1,    -1,    -1,  4549,    -1,    -1,   115,    -1,
      -1,    -1,    -1,    -1,    -1,   122,    -1,  1436,    -1,    -1,
      -1,  6856,    -1,    -1,    -1,    -1,    -1,  4571,    -1,    -1,
    1017,  4575,  1019,    -1,    -1,  1022,    -1,    -1,  6986,    -1,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1036,
      80,    -1,  4596,    83,    -1,  1042,    -1,    87,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4612,    -1,
      -1,  4615,    -1,    -1,    -1,   105,    -1,  4621,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
      -1,  4635,   122,    -1,    -1,  4639,  4640,  4641,    -1,    -1,
      -1,    -1,  4646,    -1,    -1,  4649,    -1,    -1,  4652,    -1,
      -1,    -1,    -1,    -1,  4658,    -1,  4660,    -1,   148,  4663,
      -1,    -1,    -1,  4667,  4668,  4669,  4670,  4671,    -1,    -1,
    4674,  4675,  4676,  4677,  4678,  4679,  4680,  4681,  4682,  4683,
      -1,    -1,    -1,  4687,  4688,  4689,    -1,    -1,  4692,    -1,
      -1,    -1,    -1,  4697,    -1,  6990,    -1,    -1,  4702,   266,
    4704,    -1,  4706,    95,   271,    -1,    -1,    -1,    -1,   101,
    4714,    -1,    -1,  4717,    -1,  4719,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,   294,   295,    -1,
      -1,  4735,    -1,    -1,  4738,  4739,    -1,    -1,    -1,  4743,
    4744,    -1,    -1,    -1,  4748,    -1,  4750,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,   322,    -1,  1636,  1637,  4763,
    1639,    -1,  4766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4777,    -1,    -1,   266,    -1,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,    -1,    -1,   201,
      -1,   203,  5823,   380,    -1,    -1,   383,    -1,   210,    -1,
    4824,    -1,   214,    -1,    -1,    -1,    -1,   106,  1572,    -1,
      -1,    -1,   322,    -1,    -1,    -1,    -1,  4841,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     242,    -1,  1596,  4857,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1606,    -1,    -1,    -1,  1610,    -1,    -1,    -1,
    1614,    -1,  1616,    -1,    -1,   365,    -1,    -1,  1622,  4883,
      -1,    -1,    -1,    -1,  1628,    -1,   278,  1631,    -1,    -1,
     380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4906,    -1,    -1,    -1,    -1,    -1,    -1,   476,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1371,  1372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4945,    -1,    -1,    -1,    -1,  4950,  4951,  4952,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,
     362,    -1,    -1,    -1,  4978,  4979,   132,    -1,    -1,    -1,
     372,    -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,
     382,    -1,    -1,    -1,    -1,  1874,  1443,    -1,    -1,    -1,
    1879,  1880,   394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1458,   168,    -1,    -1,   582,    -1,    -1,    -1,    -1,
    5024,    -1,    -1,  5027,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,    -1,    -1,    -1,   604,    -1,   606,
      -1,  1488,  1489,    -1,   436,    -1,    -1,   439,   440,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    12,    -1,
      14,    -1,    16,    17,    -1,    -1,    -1,  1514,    -1,    -1,
      -1,    -1,    -1,    27,    -1,   231,    -1,    -1,  1957,   471,
      -1,    -1,    95,    -1,  1963,  1964,    -1,  5091,   101,    43,
      44,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,   268,  5117,  5118,    -1,    -1,  5121,   608,    -1,
    1999,    -1,    -1,    -1,  5128,    -1,    -1,    -1,    -1,    -1,
      -1,  5135,  5136,   146,  6145,    -1,    90,    -1,    -1,    -1,
      -1,  5145,    -1,    -1,    -1,    -1,    -1,   101,    -1,   103,
     104,    -1,   544,    -1,    -1,    -1,  1603,  1604,    -1,    -1,
    6171,    -1,   318,    -1,    -1,  5169,  5170,   121,    -1,  5173,
    5174,  5175,    -1,  2052,    -1,    -1,    -1,   131,    -1,    -1,
      -1,  5185,    -1,  2062,    -1,    -1,    -1,    -1,    -1,   143,
     203,   145,   146,    -1,    -1,    -1,    -1,   210,   152,    -1,
     154,   214,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,   167,    -1,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,
     184,    -1,   186,    -1,    -1,   189,    -1,    -1,  5242,   395,
      -1,  5245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,   206,    -1,    -1,    -1,   210,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    -1,   278,  2145,  5271,    -1,  2148,
    2149,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
      -1,   235,    -1,  5287,   440,    -1,   442,    -1,    -1,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,   253,
      -1,  5305,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   471,   270,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,  5333,
      -1,    -1,  5336,    -1,    -1,    -1,    -1,   493,    -1,    -1,
    5344,  5345,   498,  5347,    -1,   358,    -1,  5351,  5352,   362,
      -1,    -1,  5356,    -1,    -1,    -1,    -1,  5361,    -1,   372,
    5364,  5365,    -1,    -1,    -1,    -1,    -1,  5371,    -1,   382,
     324,   325,    -1,    -1,    -1,    -1,   330,    -1,  5382,    -1,
    2259,   394,    -1,    -1,  5388,    -1,    -1,    -1,    -1,    -1,
      -1,   345,  5396,    -1,    -1,    -1,  5400,    -1,    -1,   555,
      -1,    -1,    -1,  6414,    -1,    -1,    -1,    -1,    -1,    -1,
     364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,
      -1,    -1,    -1,   436,   101,    80,   439,   440,    83,    -1,
    5434,    -1,    87,    88,    89,    -1,    -1,    -1,  5442,   116,
      -1,    -1,    -1,    -1,    -1,  5449,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,   411,   471,    -1,
     115,    -1,  2341,    -1,    -1,    -1,    -1,   122,    -1,   146,
    5474,    -1,   426,    -1,    -1,    -1,    -1,    -1,   432,   433,
      -1,   435,    -1,  5487,    -1,    -1,   440,    -1,  5492,  2368,
      -1,    -1,   446,   148,    -1,   449,    -1,    -1,    -1,  2378,
      -1,  2380,   456,    -1,    -1,    -1,    -1,  2386,    -1,   463,
     464,  2390,    -1,    -1,    -1,    -1,    -1,   471,    -1,    -1,
      -1,   475,    -1,  5527,   201,    -1,   203,    -1,    -1,    -1,
      -1,   544,   486,   210,    -1,    -1,    -1,   214,    -1,    -1,
    5544,    -1,    -1,    -1,    -1,  5549,    -1,    -1,    -1,   503,
      -1,    -1,  5556,    -1,    -1,    -1,    -1,    -1,  2437,    -1,
      -1,  2440,    -1,    -1,    -1,   242,    -1,    81,  5572,    -1,
     524,    -1,   526,    -1,    88,  5579,    -1,    -1,    -1,    -1,
      -1,    -1,   536,    -1,    -1,    -1,  5590,    -1,   542,    -1,
      -1,    -1,    -1,   547,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   278,    -1,    -1,    -1,    -1,   560,    -1,   122,    -1,
      -1,   266,    -1,    -1,    -1,    -1,   271,  5621,  6629,    -1,
    2067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,   155,    -1,  5647,    -1,  2092,    -1,    -1,    -1,   603,
      -1,    -1,    -1,   607,  2533,  2534,    -1,  2401,    -1,  5663,
      -1,    -1,    -1,    -1,  5668,  2409,    -1,   322,    -1,    -1,
      -1,  2550,  2551,    -1,    -1,    -1,    -1,   956,    -1,    -1,
      -1,   358,    -1,  5687,    -1,   362,   965,    -1,    -1,    -1,
    5694,    -1,    -1,    -1,   973,   372,    -1,   976,    -1,    -1,
      -1,    -1,    -1,  2582,    -1,   382,    -1,    -1,    -1,    -1,
     365,    -1,    -1,    -1,    -1,    -1,    -1,   394,  2165,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    95,    -1,   383,    -1,
      -1,    -1,   101,    -1,    -1,    -1,    -1,  5741,    -1,  5743,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,  2195,  2196,
    2197,  2198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
      -1,    -1,   439,   440,    -1,  6776,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,
    5784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   471,    -1,    -1,    -1,    -1,    -1,
      -1,  1080,    -1,    -1,    -1,    -1,  5810,    -1,    -1,    95,
    1089,    -1,    -1,  2260,  2261,   101,  5820,  1096,    -1,  5823,
    1099,   476,  5826,  5827,  5828,    -1,    -1,    -1,    -1,  2276,
      -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,
      -1,   210,    -1,    -1,    -1,   214,    -1,  5851,  5852,    -1,
      -1,  5855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     146,    -1,    -1,  2310,  2311,  2312,  2313,   544,  5872,    -1,
      -1,    -1,    -1,   242,    -1,  5879,  6887,    -1,    -1,  6890,
    5884,    -1,  6893,  5887,  5888,    -1,    -1,    -1,    -1,    -1,
      -1,  5895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,
      -1,    -1,  5916,    -1,    -1,  5919,    -1,   203,    -1,    -1,
      -1,  5925,    -1,  5927,   210,    -1,    -1,   582,   214,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,  5949,    -1,    -1,    -1,    -1,
      -1,   606,    -1,    -1,    -1,    -1,   242,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5974,  5975,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5985,  2429,    -1,    -1,    -1,    -1,    -1,  2435,   358,
      -1,    -1,   278,   362,    -1,    -1,    -1,    -1,     5,    -1,
      -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   382,    -1,    -1,    -1,    24,    -1,    -1,
      -1,  6025,    -1,    -1,    -1,   394,  6030,    34,    35,    -1,
      -1,    -1,    39,    -1,    41,    42,    -1,    -1,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,   436,    75,    76,
     439,   440,   358,    -1,    81,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,   132,    -1,    -1,   372,  6091,    -1,    -1,
    6094,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   471,    -1,    -1,    -1,    -1,    -1,   394,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,    -1,  6128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6145,    -1,    -1,    -1,  6149,    -1,  6151,    -1,    -1,
     436,    -1,    -1,   439,   440,    -1,    -1,    -1,    -1,    -1,
      -1,  6165,  1441,  6167,    -1,    -1,    -1,  6171,  1447,    -1,
      95,    -1,  1451,  6177,  1453,   544,   101,  6181,    -1,    -1,
      -1,    -1,   231,  6187,  6188,   471,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2644,    -1,    -1,
      -1,    -1,    -1,    -1,  3083,    -1,    -1,    -1,    -1,    -1,
      -1,   218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6234,    -1,   239,    -1,    -1,    -1,  6240,  1516,    -1,  1518,
    1519,  6245,  6246,    -1,    -1,    -1,  6250,    -1,    -1,    -1,
      -1,    -1,  6256,  6257,  6258,    -1,   263,    -1,   544,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6272,   318,
      -1,    95,    -1,    -1,    -1,    -1,    -1,   101,   203,    -1,
      -1,   288,    -1,  3162,  3163,   210,    -1,    -1,  6292,   214,
      -1,    -1,    -1,    -1,    -1,    -1,  6300,    -1,    -1,  6303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,   358,
      83,    -1,    -1,   362,    87,    88,    89,   242,    -1,    -1,
      -1,    -1,   146,    -1,  6328,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,   341,    -1,  3215,   344,    -1,  3218,
    3219,    -1,   115,    -1,    -1,   394,   395,    -1,    -1,   122,
      -1,    -1,    -1,   278,  6358,  6359,    -1,    -1,    -1,    -1,
     367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   148,  6380,    -1,  3122,   203,
    6384,  6385,    -1,  3262,    -1,    -1,   210,   436,    -1,    -1,
     214,   440,  6396,    -1,    -1,    -1,   445,    -1,    -1,    -1,
      -1,  6405,  6406,  6407,    -1,   454,    -1,  6411,    -1,    -1,
    6414,    -1,    -1,    -1,   463,    -1,    -1,    -1,   242,    -1,
      -1,  6425,   471,    -1,   938,    95,    -1,    -1,  6432,    -1,
      -1,   101,    -1,   358,    -1,   484,    -1,   362,    -1,    -1,
      -1,    -1,    -1,    -1,   493,    -1,  6450,   372,    -1,   498,
      -1,   965,   966,  6457,   278,   462,    -1,   382,    -1,   973,
      -1,   975,   976,    -1,    -1,    -1,    -1,    -1,    -1,   394,
    3349,    -1,  6476,    -1,    -1,   989,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   266,  1008,    -1,    -1,  6501,   271,    -1,
    6504,    -1,    -1,    -1,    -1,    -1,   555,    -1,    -1,   516,
      -1,   436,    -1,  1027,   439,   440,    -1,    -1,    -1,  1033,
      -1,   294,   295,    -1,    -1,    -1,   533,    -1,    -1,    -1,
      -1,  1045,    -1,   203,   358,    -1,    -1,    -1,   362,    -1,
     210,   548,    -1,    -1,   214,    -1,   471,    -1,   372,   322,
      -1,    -1,    -1,    -1,  6558,    -1,    -1,  3436,   382,    -1,
      -1,  1075,    -1,    -1,    -1,  3444,    -1,    -1,  3447,    -1,
     394,   578,   242,    -1,    -1,  1089,  1090,    -1,    -1,    -1,
    3459,    -1,  1096,    -1,  1098,  1099,   593,   594,   595,   596,
     597,   598,   365,    -1,   601,   602,   603,   604,  1112,   606,
     607,   608,   609,   610,    -1,    -1,    -1,   380,   278,  6613,
     383,    -1,   436,    -1,  1128,   439,   440,    -1,    -1,   544,
      -1,    -1,    -1,    -1,    -1,  6629,  6630,    -1,    -1,  6633,
      -1,    -1,    -1,    95,  6638,    -1,  6640,    -1,  6642,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   471,    -1,    -1,
      -1,    -1,  6656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6670,    -1,    81,    -1,
      -1,    -1,  1186,    -1,    -1,    88,    -1,    -1,    -1,  6683,
      -1,    -1,  3129,    -1,   146,    -1,    -1,    -1,   358,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   372,   476,    -1,    -1,    -1,    -1,    -1,   122,
      -1,  1225,   382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     544,  6725,    -1,    -1,   394,    -1,    -1,    -1,   141,    -1,
      -1,  6735,    -1,  1247,   147,   148,    -1,    -1,  1252,  6743,
    6744,   203,   155,    -1,    -1,  6749,    -1,    -1,   210,    -1,
    1264,    -1,   214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,    -1,    -1,   439,
     440,    -1,  6776,    -1,    -1,    -1,    -1,    -1,  6782,    -1,
     242,    -1,  6786,    -1,    -1,    -1,    -1,    -1,  3667,  3668,
      -1,    -1,  1306,  1307,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   582,
      -1,    -1,    -1,    -1,    -1,    -1,   278,  6821,   591,   592,
     593,   594,   595,   596,   597,   598,   599,    -1,    -1,    -1,
      -1,    -1,    -1,   606,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6846,    -1,    -1,    -1,    -1,    -1,  6852,    -1,
      -1,    -1,    -1,  3300,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3741,    -1,    -1,    -1,  6870,    -1,    -1,    -1,
      -1,    -1,    -1,  6877,   544,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6887,    -1,    95,  6890,  6891,    -1,  6893,
      -1,   101,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,
     362,    -1,    -1,    -1,    -1,  3649,    -1,    -1,    -1,    -1,
     372,    -1,    -1,  3657,    -1,  1429,  6920,    -1,    -1,    -1,
     382,    -1,  1436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3674,    -1,   394,  1447,    -1,    -1,   146,  1451,    -1,  1453,
    3684,    -1,    -1,  3687,    -1,  3689,  3690,   132,    -1,  3693,
      -1,    -1,    -1,  3697,    -1,  3699,    -1,    -1,  3702,    -1,
    6964,    -1,    -1,    -1,  6968,    -1,    -1,    -1,    -1,  6973,
      -1,    -1,    -1,    -1,   436,    -1,    -1,   439,   440,    -1,
      -1,    -1,  6986,   168,    -1,    -1,    -1,    -1,    -1,  6993,
      -1,    -1,    -1,   203,    -1,  3442,  7000,    -1,  3445,    -1,
     210,    -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,   471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   242,  7037,  7038,    -1,  3780,    -1,    -1,    -1,
      -1,  7045,    -1,    -1,    -1,  7049,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,
    7064,  7065,    -1,    87,    88,    89,    -1,    -1,   278,    -1,
      -1,    -1,  2351,    -1,  7078,  2354,    -1,    -1,    -1,    -1,
      -1,   105,   544,   268,    -1,    -1,    -1,  3534,    -1,    -1,
    3969,   115,    -1,  3972,  1608,  3974,    -1,    -1,   122,    -1,
    3547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3555,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2395,  2396,    -1,  3998,
    3999,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,  2410,    -1,   318,  2413,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3594,   358,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,  3615,    -1,
      -1,    -1,   382,   358,  1688,    -1,    -1,   362,    -1,    -1,
      -1,     3,    -1,    -1,   394,    -1,     8,    -1,    -1,    -1,
      12,  1705,    14,    -1,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,  2481,    -1,    -1,    27,  2485,  2486,  1722,   394,
     395,    -1,    -1,  1727,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    43,    44,    -1,    -1,    -1,   436,    -1,    -1,   439,
     440,    -1,    -1,  3680,    -1,  3682,    -1,    -1,    -1,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,
      -1,   436,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,
     445,   471,    -1,    -1,    -1,    -1,    -1,    -1,    90,   454,
     294,   295,    -1,    -1,    -1,    -1,    -1,    -1,   463,   101,
      -1,   103,   104,    -1,    -1,    -1,   471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,   484,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   131,
      -1,    -1,    -1,   498,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,   145,   146,    -1,    -1,    -1,    -1,    -1,
     152,    -1,   154,    -1,   544,    -1,    -1,  3784,    -1,    -1,
      -1,   365,    -1,    -1,  3791,   167,    -1,   169,    -1,    -1,
      -1,    -1,  4096,    -1,    -1,    -1,   380,  1871,    -1,   383,
      -1,    -1,   184,    -1,   186,  1879,  1880,   189,    -1,    -1,
     555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,   206,    -1,    -1,    -1,   210,    -1,
      -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1938,    -1,    -1,    -1,    -1,    -1,
      -1,   253,  4176,  1947,  4178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,   270,    87,
      88,    89,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
    1984,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2012,    -1,
      -1,    -1,   324,   325,    -1,    -1,    -1,    -1,   330,    -1,
     148,    -1,    -1,    -1,    -1,    -1,  4395,    -1,    -1,    -1,
      -1,    -1,    -1,   345,    -1,   938,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4418,
      -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   966,    -1,    -1,    -1,    -1,   582,    -1,
      -1,    -1,   975,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   989,    -1,  4322,    -1,
     604,    -1,    -1,    -1,  4328,    -1,    -1,    -1,    -1,   411,
      -1,    -1,    -1,    -1,    -1,  1008,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,
     432,   433,    -1,   435,  1027,    -1,    -1,    -1,   440,    -1,
    1033,   443,    -1,    -1,   446,    -1,    -1,   449,   266,    -1,
      -1,    -1,  1045,   271,   456,    -1,    -1,    -1,    -1,    -1,
      -1,   463,   464,  4522,    -1,    -1,    -1,    -1,    -1,   471,
    4529,    -1,    -1,   475,    -1,    -1,   294,   295,    -1,    -1,
      -1,    -1,  1075,    -1,   486,    -1,    -1,    -1,    -1,  4116,
    4117,    -1,    -1,    -1,    -1,    -1,    -1,  1090,    -1,    -1,
      -1,   503,    -1,    -1,   322,  1098,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2209,    -1,    -1,    -1,  1112,
      -1,    -1,   524,    -1,   526,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   536,  1128,    -1,    -1,    -1,    -1,
     542,    -1,  4601,    -1,    -1,   547,    -1,   365,  2242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   560,    -1,
      -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   584,  2277,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1186,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   603,    -1,    -1,    -1,   607,  2300,    -1,    -1,    -1,
      -1,    -1,   169,  4537,  2308,  4539,    -1,  4541,    -1,    -1,
      -1,    -1,  2316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1223,    -1,  1225,    -1,  1227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1247,    -1,    -1,    -1,   476,  1252,
      -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,
      -1,  1264,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,    -1,   241,    80,    -1,    -1,    83,    -1,
     247,    -1,    87,    88,    89,    -1,   253,    -1,    -1,   256,
      -1,  2395,  2396,   260,  2398,  2399,    -1,    -1,    -1,    -1,
     105,    -1,    -1,  1306,  1307,    -1,  2410,    -1,  2412,  2413,
     115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,  2425,  2426,   290,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   582,    -1,   323,    -1,    -1,    -1,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,    -1,  4843,    -1,   604,  2481,    -1,    -1,
      -1,  2485,  2486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
    1403,  1404,    -1,    -1,    -1,    -1,    -1,   374,    -1,    -1,
      -1,   378,    -1,    24,    -1,    -1,    -1,   384,    -1,    -1,
      -1,    -1,  3291,    34,    35,  3294,  1429,  3296,  3297,    -1,
      41,    42,    -1,  1436,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    -1,
      -1,   266,    73,    -1,    75,    76,   271,    -1,    -1,    -1,
      81,    -1,    -1,    81,    -1,    -1,    -1,   444,    -1,    -1,
      88,    -1,  4951,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4979,    -1,    -1,    80,   122,  4552,    83,   322,    -1,    -1,
      87,    88,    89,    -1,  4993,    -1,    -1,    -1,   139,    -1,
      -1,    -1,    -1,   141,    -1,  5004,   503,    -1,   105,   147,
     148,    -1,    -1,    -1,    -1,    -1,    -1,   155,   115,    -1,
      -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
     365,    -1,    -1,    -1,    -1,    -1,   533,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     557,    -1,   559,   560,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1608,    -1,   218,    -1,    -1,
      -1,  5080,  5081,    -1,   581,    -1,    -1,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,
      -1,    -1,    -1,   235,   601,    -1,    -1,   604,   605,   241,
     607,    -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,   253,   263,    -1,   256,    -1,    -1,    -1,   260,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   476,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1688,    -1,    -1,   290,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,  5170,  1705,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1722,
      -1,   323,    -1,    -1,  1727,    -1,  3595,   294,   295,    -1,
     341,    -1,    -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5214,  5215,  5216,  5217,  5218,
      -1,    -1,    -1,    -1,    -1,   322,   367,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5237,    -1,
      -1,    -1,   374,    -1,    -1,    -1,   378,   582,    -1,    -1,
      -1,    -1,   384,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,    -1,   365,   604,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,
      80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   444,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,   462,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,  1871,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1879,  1880,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,
      -1,  5225,    -1,    -1,  5228,    -1,    -1,    -1,    -1,    -1,
      -1,   503,    -1,    -1,    -1,   516,    -1,    -1,    -1,   476,
      -1,    -1,    -1,    -1,  3783,    -1,    -1,  3786,    -1,  3788,
    3789,    -1,   533,    -1,  5258,    -1,    -1,    -1,    -1,    -1,
      -1,   533,    -1,    -1,    -1,  1938,    -1,   548,    -1,    -1,
      -1,    -1,    -1,    -1,  1947,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5421,    -1,    -1,   557,    -1,   559,   560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   581,
    5449,  1984,   593,   594,   595,   596,   597,   598,    -1,    -1,
     601,   602,   603,    -1,    -1,    -1,    -1,   608,   609,   601,
      -1,    -1,   604,   605,    -1,   607,   266,    -1,    -1,  2012,
      -1,   271,    -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,
    2023,    -1,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,   294,   295,    -1,   604,  5075,    -1,
    5509,    -1,    -1,    -1,    -1,    -1,  5515,    -1,    -1,    -1,
      -1,  5520,  5089,    -1,    -1,    -1,    -1,    80,    -1,    -1,
      83,  2064,   322,    -1,    87,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5547,  5548,
      -1,    -1,   105,  5552,  5553,    -1,    -1,    -1,    -1,    -1,
      -1,  3960,   115,    -1,    -1,  3199,    -1,    -1,    -1,   122,
      -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2120,    -1,    -1,
     380,  3225,    -1,   383,    -1,   148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2137,    -1,    -1,    -1,  5472,  3243,
      -1,    -1,    -1,    -1,  3248,  3249,    -1,    -1,    -1,  3253,
      -1,  4020,    -1,    -1,    -1,    -1,    -1,    -1,  3262,  4028,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3277,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3294,    -1,  3296,  3297,  5528,  5529,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2209,  3311,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3331,  3332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2242,
      -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3368,  3369,    -1,    95,  3372,    -1,
      -1,   294,   295,   101,  2277,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5622,  5623,
    3394,    -1,  3396,    -1,    -1,    -1,  3400,  2300,    -1,   322,
      -1,    -1,   130,    -1,    -1,  2308,    -1,    -1,    -1,    -1,
    3414,    -1,    -1,  2316,    -1,    -1,    -1,  3421,   146,    -1,
    3424,    -1,   582,    -1,    -1,    -1,  3430,    -1,    -1,    -1,
     938,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,   365,    -1,   604,    -1,  3450,    -1,    -1,    -1,
      -1,    -1,  3456,    -1,   182,    -1,    -1,   380,   966,  3463,
     383,    -1,    -1,    -1,    -1,    -1,    -1,   975,    -1,    -1,
      -1,    -1,    -1,  3477,    -1,   203,    -1,    -1,    -1,    -1,
      -1,   989,   210,    -1,    -1,    -1,   214,  3491,    -1,    -1,
      -1,    -1,  3496,    -1,    -1,  2398,  2399,    -1,  3502,    -1,
    1008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2412,
      -1,    -1,    -1,    -1,   242,    -1,    -1,    -1,    -1,  1027,
      -1,  5755,  2425,  2426,    -1,  1033,    -1,    -1,    -1,    -1,
      -1,  5900,  5766,  5767,    -1,    -1,    -1,  1045,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   274,    -1,    -1,    -1,
     278,    -1,  5786,   476,    -1,    -1,    -1,    -1,  3562,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1075,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1098,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1112,  5974,    -1,    -1,    -1,   337,
      -1,    -1,    -1,    -1,   342,    -1,    -1,    -1,    -1,    -1,
    1128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,    -1,   582,
      -1,    -1,    -1,    -1,  5601,   393,   394,    -1,   591,   592,
     593,   594,   595,   596,   597,   598,   599,    -1,  1186,  5616,
      -1,   604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2606,    -1,    -1,    -1,    -1,   436,    -1,
      -1,   439,   440,   441,    -1,  1223,    -1,  1225,    -1,  1227,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,   465,    -1,  1247,
      -1,    -1,    -1,   471,  1252,    -1,    -1,   105,  3752,    -1,
    3754,    -1,    -1,    -1,    -1,    -1,  1264,   115,   486,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,  3772,    -1,
    5707,    -1,    -1,    -1,    -1,  3779,    -1,    -1,    -1,    -1,
      -1,    -1,  3786,    -1,  3788,  3789,    -1,    -1,    -1,     5,
     148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1306,  1307,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   544,    -1,    34,    35,
      -1,    -1,    -1,    -1,    -1,    41,    42,    -1,    -1,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    75,
      76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,  3876,    -1,    -1,    -1,    -1,    -1,  3882,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1403,  1404,    -1,    -1,    -1,
      -1,    -1,    -1,  6272,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1429,    -1,   139,    -1,    -1,    -1,    -1,  1436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,
    3974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4763,    -1,    -1,  4766,    -1,    -1,
      -1,    -1,   218,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,  6380,    -1,    -1,  5951,    -1,  5953,    -1,    -1,    -1,
      -1,    -1,   380,   239,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6267,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4086,  4087,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1608,    -1,    -1,  4107,    -1,    -1,  4110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,
      -1,    -1,    -1,    -1,  6493,   341,    -1,    -1,   344,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4906,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6383,
      -1,   367,  6089,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1688,    -1,    -1,    -1,    -1,    -1,    -1,  4191,  4192,  4193,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1705,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4216,     5,  1722,    -1,    -1,    -1,    -1,  1727,
      -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,    -1,
      -1,  4235,    24,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    34,    35,   602,    -1,   462,    -1,    -1,    41,
      42,    -1,  4256,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,  3199,    -1,    -1,    -1,
     516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    -1,    -1,
      -1,    -1,  3225,    -1,    -1,  6262,    -1,  6264,    -1,    -1,
      -1,    -1,   548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3243,    -1,    -1,  4347,    -1,  3248,  3249,   139,    -1,    -1,
    3253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3262,
      -1,    -1,   578,  1871,    -1,    -1,  5135,  5136,    -1,    -1,
      -1,  1879,  1880,    -1,  3277,    -1,    -1,   593,   594,   595,
     596,   597,   598,    -1,    -1,   601,   602,   603,   604,    -1,
    4394,    -1,   608,    -1,    -1,    -1,  4400,    -1,  4402,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3311,    -1,
      -1,  4415,    -1,  4417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3324,    -1,    -1,    -1,    -1,   218,    -1,  3331,  3332,
    1938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1947,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,  3368,  3369,    93,    -1,  3372,
      -1,   263,    98,    -1,    -1,    -1,  1984,   105,    -1,    -1,
      -1,    -1,    -1,    -1,  4488,    -1,    -1,   115,    -1,    -1,
      -1,  3394,    -1,  3396,   122,    -1,   288,  3400,    -1,    -1,
      -1,    -1,    -1,    -1,  2012,    -1,    -1,    -1,    -1,    -1,
     136,  3414,    -1,    -1,    -1,  2023,  3419,    -1,  3421,    -1,
     148,  3424,    -1,   149,    -1,    -1,    -1,  3430,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     166,    -1,    -1,    -1,    -1,  4549,    -1,  3450,    -1,   341,
      -1,    -1,   344,  3456,    -1,    -1,  2064,    -1,   184,    -1,
    3463,    -1,    -1,    -1,    -1,    -1,    -1,  4571,    -1,    -1,
    6804,  4575,    -1,    -1,  3477,   367,    -1,    -1,    -1,    -1,
      -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,  3491,    -1,
      -1,    -1,  4596,  3496,    -1,   221,    -1,    -1,    -1,  3502,
      -1,    -1,    -1,    -1,   230,    -1,  6543,    -1,    -1,    -1,
      -1,    -1,  2120,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,   249,  6993,    -1,    -1,  5396,    -1,  2137,
     256,  5400,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,   271,    80,    -1,    -1,    83,    -1,    -1,
     276,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,  3562,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   105,
     462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
    7049,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,
    4704,  2209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7078,
     336,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   516,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2242,    -1,    -1,   365,    -1,    -1,
      -1,   533,    -1,    -1,    -1,    -1,    -1,    -1,  6685,    -1,
      -1,    -1,   380,    -1,   380,   383,   548,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,  2277,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     406,    -1,    -1,    -1,    -1,    -1,   578,    -1,    -1,    -1,
     416,   417,  2300,    -1,   420,    -1,    -1,    -1,    -1,    -1,
    2308,   593,   594,   595,   596,   597,   598,    -1,  2316,   601,
     602,   603,   604,    -1,    -1,    -1,   608,    -1,    -1,    -1,
      -1,    -1,   448,    -1,    -1,   451,    -1,    -1,    -1,   455,
     266,    -1,   458,    -1,    -1,   271,    -1,    -1,    -1,   465,
      -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,   476,  3752,
      -1,  3754,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,    -1,   488,    -1,    -1,    -1,    -1,    -1,    -1,  3772,
     496,    -1,    -1,    -1,    -1,    -1,  3779,   503,  6815,  4883,
     506,    -1,    -1,    -1,    -1,   511,   322,    -1,    -1,    -1,
    2398,  2399,    -1,   519,  5663,   521,    -1,    -1,    -1,    -1,
     526,    -1,    -1,    -1,  2412,    -1,    -1,    -1,    -1,    -1,
    6847,  6848,    -1,    -1,   540,    -1,    -1,  2425,  2426,    -1,
      -1,    -1,    -1,    -1,    -1,  5694,    -1,   553,    -1,   365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4945,    -1,    -1,   380,    -1,  4950,   383,  4952,    -1,
      -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,  3876,  4978,    -1,   604,    -1,    -1,  3882,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,
    5024,    -1,    -1,  5027,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     476,   115,    -1,    -1,    -1,    -1,  6983,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3974,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2606,    -1,
      -1,    -1,    -1,  5872,    -1,    -1,    -1,    -1,    -1,    -1,
    5879,    -1,    -1,  5117,  5118,  5884,    -1,    -1,  5887,  5888,
      -1,    -1,    -1,    -1,  5128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5145,    -1,    -1,    -1,    -1,   582,  5916,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,    -1,    -1,    -1,   604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5949,    -1,    -1,  4086,  4087,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,  4107,    -1,    -1,  4110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5985,    -1,    -1,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5242,    -1,
      -1,  5245,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,  6030,    -1,    83,    -1,    -1,    -1,    87,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,  4191,  4192,
    4193,   365,    -1,    -1,    -1,   115,    80,    -1,    -1,    83,
      -1,    -1,   122,    87,    88,    89,   380,    -1,    -1,   383,
      -1,    -1,    -1,  4216,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,  6091,    -1,    -1,    -1,    -1,    -1,   148,    -1,
      -1,   115,  4235,    -1,    -1,    -1,    -1,     5,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4256,    -1,    -1,    24,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   148,    -1,    34,    35,    -1,    -1,
      -1,    -1,    -1,    41,    42,    -1,    -1,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,   476,    -1,    -1,    73,    -1,    75,    76,    -1,
      -1,    -1,  6181,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4347,    -1,   266,    -1,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,   294,   295,    -1,    -1,    -1,    -1,
      -1,    -1,   266,  5487,    -1,    -1,    -1,   271,    -1,    -1,
      -1,  4394,    -1,    -1,    -1,    88,    -1,  4400,    -1,  4402,
      -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,   582,    -1,
     294,   295,  4415,   106,  4417,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,   122,
     604,  6300,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
    5544,    -1,    -1,    -1,    -1,   365,    -1,    -1,   141,    -1,
     218,    -1,  5556,    -1,   147,   148,    -1,    -1,    -1,  6328,
     380,    -1,   155,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   365,    -1,    -1,    -1,  4488,  5590,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   263,   380,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6411,    -1,    -1,    -1,  4549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5668,    -1,    -1,    -1,  4571,    -1,
      -1,    -1,  4575,   341,    -1,    -1,   344,    -1,    -1,    -1,
      -1,  6450,    -1,  5687,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3199,   476,  4596,    -1,    -1,    -1,    -1,    -1,   367,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3243,    -1,    -1,    -1,    -1,
    3248,  3249,    -1,    -1,    -1,  3253,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3262,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,  3277,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
    5784,    -1,    -1,    -1,   604,    -1,    -1,    -1,    -1,  6558,
      -1,    -1,    -1,    -1,   462,    -1,    -1,    -1,   582,    -1,
      -1,  4704,    -1,  3311,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,  3324,    -1,    -1,    -1,
     604,    -1,    -1,  3331,  3332,    -1,    -1,    -1,    -1,    -1,
    1085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1111,    -1,    -1,    -1,
    3368,  3369,    -1,    -1,  3372,   533,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     548,    -1,    -1,    -1,    -1,    -1,  3394,    -1,  3396,    -1,
      -1,    -1,  3400,    -1,    -1,    -1,    -1,    -1,   169,    -1,
      -1,  6670,    -1,    -1,    -1,    -1,  3414,    -1,    -1,    -1,
     578,  3419,    -1,  3421,    -1,    -1,  3424,    -1,    -1,    -1,
      -1,  5925,  3430,  5927,    -1,   593,   594,   595,   596,   597,
     598,    -1,    -1,   601,   602,   603,    -1,    -1,    -1,    -1,
     608,    -1,  3450,    -1,    -1,    -1,    -1,    -1,  3456,    -1,
      -1,   222,    -1,    -1,    -1,  3463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   235,    -1,  6735,    -1,    -1,  3477,
     241,  5975,    -1,    -1,  6743,  6744,   247,    -1,    -1,    -1,
    4883,  5985,   253,  3491,    -1,   256,    -1,    -1,  3496,   260,
      -1,    -1,    -1,    -1,  3502,    -1,    -1,    80,    -1,    -1,
      83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,
      -1,  6025,   105,    -1,    -1,    -1,  6030,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,    -1,    80,    -1,   122,
      83,    -1,  4945,    -1,    87,    88,    89,  4950,    -1,  4952,
      -1,    -1,   323,    -1,  3562,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,   148,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,  4978,    -1,  6846,    -1,   122,
      -1,    -1,    -1,  6852,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6870,    -1,   374,    -1,   148,    -1,   378,    -1,    -1,
      -1,    -1,    -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5024,    -1,    -1,  5027,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1427,   444,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,    -1,
      -1,  1446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6968,
      -1,    -1,  1457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   294,   295,    -1,  5117,  5118,    -1,  6986,  1473,    -1,
      -1,    -1,    -1,   266,    -1,  5128,    -1,    -1,   271,    -1,
      -1,    -1,   503,    -1,    -1,    -1,    -1,    -1,    -1,   322,
      -1,    -1,  5145,    -1,  3752,    -1,  3754,    -1,    -1,    -1,
      -1,   294,   295,    -1,  6258,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    -1,  3772,    -1,    -1,    -1,  6272,  7038,
      -1,  3779,    -1,    -1,    -1,    -1,  7045,    -1,    -1,   322,
      -1,    -1,   365,    -1,    -1,    -1,   557,    -1,   559,   560,
      -1,    -1,    -1,    -1,    -1,  7064,  7065,   380,    -1,  6303,
     383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     581,    -1,  1567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     601,    -1,    -1,   604,   605,    -1,   607,   380,    -1,  5242,
     383,    -1,  5245,    -1,    -1,   938,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   956,    -1,    -1,    -1,    -1,  3876,    -1,
      -1,    -1,   965,    -1,  3882,    -1,    -1,    -1,    -1,    -1,
     973,  6385,    -1,   976,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,   105,    87,
      88,    89,    -1,   476,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,    -1,    -1,    -1,   122,    -1,   105,  1703,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,    -1,    -1,    -1,   122,    -1,  3974,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1080,    -1,    -1,
     148,    -1,  1085,    -1,    -1,    -1,  1089,  6501,    -1,   582,
    6504,    -1,    -1,  1096,    -1,    -1,  1099,    -1,   591,   592,
     593,   594,   595,   596,   597,   598,   599,    -1,  1111,    -1,
      -1,   604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,
     593,   594,   595,   596,   597,   598,   599,    -1,    -1,    -1,
      -1,   604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4086,  4087,
      -1,    -1,    -1,    -1,  5487,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,  4107,
      -1,    -1,  4110,    -1,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,   271,    -1,    -1,    -1,   294,   295,    -1,
      -1,    -1,    -1,  1216,  1217,    -1,  6630,    -1,    -1,    -1,
    1223,    -1,    -1,    -1,  1227,    -1,   294,   295,    -1,    -1,
      -1,  5544,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,  6656,  5556,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1254,    -1,    -1,   322,    -1,  6670,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6683,
      -1,    -1,    -1,  4191,  4192,  4193,    -1,  5590,   365,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,   383,   365,  4216,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,    -1,    -1,   383,    -1,  4235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6743,
    6744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4256,    -1,
      -1,  2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5668,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5687,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   476,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1403,  1404,    -1,    -1,    -1,    -1,    -1,  6821,   476,  2074,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1427,  1428,  1429,    -1,    -1,  4347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1441,    -1,
      -1,    -1,    -1,  1446,  1447,    -1,  2111,    -1,  1451,    -1,
    1453,    -1,    -1,    -1,  1457,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1473,  5784,    -1,    -1,    -1,    -1,  4394,    -1,    -1,  2144,
      -1,    -1,  4400,    -1,  4402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   582,    -1,  4415,    -1,  4417,
      -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,  1516,   582,  1518,  1519,   604,    -1,    -1,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,    -1,    -1,    -1,   604,    -1,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2225,  2226,  2227,   105,  1567,    -1,    -1,    -1,    80,    -1,
    4488,    83,    -1,   115,    -1,    87,    88,    89,    -1,  6993,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2254,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
    2265,    -1,    -1,   115,    -1,    -1,   148,    -1,    -1,    -1,
     122,    -1,  5925,    -1,  5927,    -1,  2281,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4549,    -1,    -1,    -1,  7049,   148,    -1,    -1,    -1,
      80,    -1,    -1,    83,  1647,    -1,    -1,    87,    88,    89,
    7064,  7065,    -1,  4571,    -1,    -1,    -1,  4575,    -1,    -1,
      -1,    -1,  5975,    -1,  7078,   105,    -1,    -1,    -1,    -1,
    2335,    -1,    -1,    -1,    -1,   115,    -1,    -1,  4596,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1703,    -1,    -1,    -1,    -1,  2370,    -1,    -1,   148,    -1,
      -1,    -1,  6025,    -1,    -1,    -1,    -1,  2382,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,  1738,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,   295,   266,    -1,    -1,  2422,  2423,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1779,    -1,    -1,    -1,
     322,    -1,   294,   295,    -1,    -1,  4704,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1808,  1809,  1810,    -1,  1812,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   365,    -1,    -1,   266,    -1,    -1,    -1,
    1833,   271,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,
      -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   365,   294,   295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,
      -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,  2543,    -1,
      -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2557,    -1,    -1,  2560,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1912,
      -1,    -1,    -1,  1916,  1917,    -1,    -1,    -1,    -1,    -1,
    2585,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,  1932,
      -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,   383,    -1,  6258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,  6272,
      87,    88,    89,    -1,   476,  4883,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
    6303,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2006,    -1,    -1,    -1,    -1,    -1,  2012,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2023,   148,    -1,    -1,    -1,    -1,    -1,  4945,    -1,    -1,
      -1,    -1,  4950,    -1,  4952,    -1,   476,    -1,    -1,    -1,
     582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
    4978,  2064,   604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     582,  2074,  6385,    -1,    -1,    -1,    -1,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
      -1,    -1,   604,    -1,    -1,    80,    -1,    -1,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,  5024,    -1,  2111,  5027,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2120,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,  2137,    -1,    -1,   122,    -1,   266,
      -1,  2144,   582,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,    -1,   148,   604,    -1,    -1,   294,   295,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6501,    -1,
      -1,  6504,    -1,    -1,    -1,   322,    -1,    -1,    -1,  5117,
    5118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2225,  2226,  2227,    -1,    -1,  5145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2254,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,
      -1,    -1,  2265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2277,    -1,    -1,    -1,  2281,    -1,
      -1,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,    -1,    -1,    -1,    -1,    -1,  6630,    -1,    -1,
      -1,    -1,    -1,    -1,  5242,    -1,    -1,  5245,    -1,    -1,
      -1,    -1,  2335,    -1,    -1,    -1,    -1,   322,    -1,    -1,
      -1,    -1,    -1,  6656,    -1,    -1,    -1,    -1,  2351,   476,
      -1,  2354,    -1,    -1,  2357,    -1,    -1,    -1,    -1,    -1,
      -1,  2364,    -1,    -1,    -1,    -1,    -1,  2370,    -1,    -1,
    6683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2382,
     365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2395,  2396,    -1,   380,    -1,    -1,   383,    -1,
      -1,    -1,    -1,    -1,    -1,  3070,    -1,  2410,    80,    -1,
    2413,    83,    -1,    -1,    -1,    87,    88,    89,    -1,  2422,
    2423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,    -1,    -1,   148,   604,  2481,    -1,
      -1,    -1,  2485,  2486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6821,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2524,  2525,    -1,    -1,    -1,    -1,  2530,  2531,    -1,
      -1,    -1,    -1,    -1,  2537,  2538,  2539,  2540,  2541,  2542,
    2543,  2544,  2545,  2546,  2547,  2548,  2549,    -1,    -1,    -1,
    2553,    -1,  2555,    -1,  2557,  2558,  2559,  2560,  2561,  2562,
      -1,    -1,  2565,    -1,  2567,  2568,    -1,  3232,  2571,  5487,
      -1,  3236,  3237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2585,  2586,  2587,  2588,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,   582,    -1,   271,
      -1,  2604,    -1,  2606,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,   604,
      -1,    -1,   294,   295,    -1,    -1,  5544,    -1,  3293,    -1,
      -1,    -1,    -1,    -1,  3299,    -1,    -1,    -1,  5556,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,
      -1,    -1,  5590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6993,  3346,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    80,    -1,   365,    83,   115,    -1,    -1,    87,    88,
      89,    -1,   122,    -1,    -1,    -1,    -1,    -1,   380,    -1,
      -1,   383,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,   148,    -1,
      -1,    -1,    -1,   122,    -1,    -1,  7049,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2751,    -1,
    5668,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,   148,
      -1,    -1,    87,    88,    89,  7078,    -1,    -1,    -1,  5687,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,  2805,    -1,   476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,  3522,  2861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5784,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,   266,    -1,    -1,
      -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,  3554,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   322,    -1,    -1,   294,   295,    -1,    -1,    -1,
     582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
      -1,    -1,   604,   322,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   266,    -1,    -1,    -1,   365,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     380,    -1,  3627,   383,    -1,    -1,  3631,    -1,    -1,   294,
     295,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   383,  1085,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5925,    -1,  5927,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     365,    -1,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,    -1,  3055,    -1,    -1,   380,   476,  5975,   383,    -1,
      -1,    -1,    -1,    -1,  3067,    -1,    -1,  3070,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3770,    -1,  6025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3785,    -1,    -1,  3126,    -1,  3790,    -1,  3130,    -1,    -1,
    3133,    -1,  3135,    -1,    -1,  3138,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3153,   476,    -1,    -1,    -1,  3820,    -1,    -1,    -1,  3162,
    3163,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,    -1,    -1,   604,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   591,   592,   593,   594,   595,   596,   597,   598,
     599,    -1,    -1,    -1,    -1,   604,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3232,
      -1,    -1,    -1,  3236,  3237,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,  3280,    -1,   604,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3291,    -1,
    3293,  3294,    -1,  3296,  3297,    -1,  3299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6258,    -1,    -1,  3346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6272,    -1,  1446,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3368,    -1,  1457,    -1,  3372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1473,    -1,  6303,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3396,    -1,  4060,    -1,    -1,  4063,    -1,
    4065,    -1,    -1,    -1,    -1,  4070,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,  3419,    -1,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,   109,    -1,    -1,    -1,  4113,    -1,
     115,    -1,    -1,    -1,    -1,    -1,  4121,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6385,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1567,    -1,    -1,
      -1,  4146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3496,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3520,  3521,  3522,
      -1,    -1,    80,  3526,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,   200,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
    3553,  3554,    -1,    -1,    -1,    -1,    -1,   115,    -1,  3562,
    4225,    -1,  4227,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6501,    -1,    -1,  6504,    -1,    -1,    -1,
     148,    -1,  3595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,  1703,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3627,    -1,    -1,    -1,  3631,   294,
     295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3654,    -1,    -1,    -1,    -1,    -1,   322,  4323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   241,    -1,    -1,    -1,  4352,    -1,   247,
      -1,    -1,    -1,  4358,    -1,    -1,    -1,    -1,    80,    -1,
     365,    83,  4367,    -1,    -1,    87,    88,    89,   266,    -1,
      -1,    -1,  6630,   271,    -1,   380,    -1,    -1,   383,    -1,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
    4395,    -1,    -1,   115,    -1,    -1,   294,   295,  6656,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,  6683,   148,  3770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3783,    -1,  3785,  3786,  1874,  3788,  3789,  3790,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3798,    -1,    -1,    -1,    -1,
    3803,    -1,  4467,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,   476,    -1,    -1,    -1,    -1,    -1,  3820,    -1,    -1,
      -1,    -1,   380,    -1,  4489,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4513,  3852,
    3853,  3854,    -1,    -1,  3857,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3865,  3866,  3867,  3868,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3876,    -1,    -1,   541,    -1,  3881,  3882,
      -1,  3884,    -1,  3886,   266,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,  3898,  3899,    -1,    -1,  3902,
      -1,    -1,    -1,  6821,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,   295,    -1,    -1,  2006,   582,   476,    -1,
    3923,    -1,  3925,    -1,  3927,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,    -1,
     322,    -1,    -1,  3946,    -1,    -1,    -1,    -1,    -1,    -1,
    4615,    -1,    -1,    -1,    -1,    80,    -1,  3960,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,   365,  2074,    -1,    -1,    -1,  3991,    -1,
     115,    -1,    -1,    -1,    -1,    -1,    -1,   122,   380,    -1,
      -1,   383,  4667,  4006,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4020,    -1,    -1,
      -1,  2111,    -1,   148,   582,  4028,    -1,  4692,   410,    -1,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2144,    -1,    80,  4060,    -1,    83,
    4063,    -1,  4065,    87,    88,    89,    -1,  4070,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6993,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,   108,    -1,    -1,    -1,    -1,  4092,
      -1,   115,    -1,    -1,   476,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4113,    -1,    -1,   495,    -1,   240,    -1,    -1,  4121,    -1,
      -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,  7049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   266,    -1,  4146,    -1,    -1,   271,    -1,    -1,  4152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    7078,    -1,    -1,    -1,  2254,    -1,    -1,    -1,    -1,   294,
     295,    -1,    -1,    -1,    -1,  2265,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4191,  4192,
    4193,  2281,  4857,    -1,    -1,    -1,    -1,   322,    -1,    -1,
     582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
      -1,    -1,  4225,    -1,  4227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     365,    -1,   266,    -1,    -1,  2335,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2357,    -1,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2370,    -1,    -1,   408,    -1,    -1,  4951,    -1,    -1,    -1,
      -1,    -1,  2382,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,    -1,  4979,    -1,    -1,    -1,    -1,    -1,
    4323,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,  2422,  2423,    -1,    -1,   115,    -1,    -1,    -1,
      -1,   365,    -1,   122,    -1,    -1,    -1,    -1,    -1,  4352,
      -1,   476,    -1,    -1,    -1,  4358,   380,    -1,    -1,   383,
      -1,    -1,    -1,    -1,  4367,    -1,    -1,    -1,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4394,  4395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4438,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   476,    -1,    -1,    -1,  5121,   582,    -1,    -1,
      -1,    -1,    -1,    -1,  4467,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4489,   266,    -1,    -1,
      -1,    -1,   271,    -1,    -1,  2585,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5170,    -1,    -1,  5173,    -1,
    4513,    -1,    -1,    -1,    -1,   294,   295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,   365,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   383,    -1,    -1,   105,    -1,  4612,
      -1,    -1,  4615,    -1,    -1,    -1,    -1,   115,  4621,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4635,    -1,    -1,    -1,  4639,  4640,  4641,    -1,
      -1,    -1,    -1,  4646,    -1,    -1,  4649,    -1,    -1,  4652,
     148,    -1,    -1,    -1,    -1,  4658,    -1,  4660,    -1,    -1,
    4663,    -1,    -1,    -1,  4667,  4668,  4669,  4670,  4671,    -1,
      -1,  4674,  4675,  4676,  4677,  4678,  4679,  4680,  4681,  4682,
    4683,    -1,  5347,    -1,  4687,  4688,  4689,    -1,    -1,  4692,
      -1,    -1,    -1,    -1,  4697,    -1,    -1,   476,    -1,  4702,
      -1,  4704,    -1,  4706,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4714,    -1,    -1,  4717,    -1,  4719,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4735,    -1,    -1,  4738,  4739,    -1,    -1,    -1,
    4743,  4744,    -1,    -1,    -1,  4748,    -1,  4750,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4763,    -1,    -1,  4766,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,   271,  4777,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,    -1,
      -1,    -1,   581,   582,    -1,    -1,    -1,    -1,    -1,  5474,
      -1,    -1,   591,   592,   593,   594,   595,   596,   597,   598,
     599,  4824,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4841,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4857,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5527,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,    -1,  5549,   383,    -1,    -1,    -1,    80,
      -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,
      -1,    -1,    -1,  4906,    -1,   403,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,   108,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4945,    -1,    -1,    -1,    -1,  4950,  4951,  4952,
      -1,    -1,    -1,    -1,    -1,    -1,  5621,   148,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,  4978,  4979,    -1,   476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    83,    -1,   115,    -1,
      87,    88,    89,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,   148,    -1,    -1,    -1,   122,    -1,    80,    -1,    -1,
      83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   148,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,   266,  5741,    -1,  5743,   122,
     271,    -1,    -1,    -1,   582,    -1,    -1,    -1,  5091,    -1,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,   294,   295,   148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5121,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     247,   322,  5135,  5136,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3232,    -1,    -1,    -1,  3236,  3237,    -1,   266,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5170,    -1,    -1,
    5173,  5174,  5175,    -1,   365,    -1,    -1,   294,   295,   266,
      -1,    -1,  5185,    -1,   271,    -1,    -1,    -1,    -1,   380,
      -1,    -1,   383,   106,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3293,    -1,   322,    -1,   294,   295,  3299,
      -1,    -1,    -1,    -1,   127,    -1,    -1,   130,    -1,    -1,
      -1,   134,    -1,   266,    -1,    -1,    -1,   140,   271,   142,
      -1,   144,    -1,    -1,    -1,   322,    -1,    -1,   151,    -1,
      -1,    -1,  5245,   156,    -1,    -1,    -1,    -1,   365,    -1,
      -1,   294,   295,    -1,    -1,    -1,  3346,    -1,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,   383,    -1,  5271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,   322,
      -1,    -1,    -1,    -1,  5287,   476,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,
      -1,    -1,  5305,    -1,    -1,    -1,    -1,    -1,    -1,  5974,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5333,    -1,    -1,  5336,    -1,    -1,    -1,   380,    -1,    -1,
     383,  5344,  5345,    -1,  5347,    -1,    -1,    -1,  5351,  5352,
      -1,    -1,    -1,  5356,    -1,    -1,    -1,    -1,  5361,   476,
      -1,  5364,  5365,    -1,    -1,    -1,    -1,    -1,  5371,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5382,
      -1,    -1,    -1,    -1,    -1,  5388,    -1,    -1,    -1,   476,
      -1,   582,    -1,  5396,    -1,    -1,    -1,  5400,    -1,    -1,
     591,   592,   593,   594,   595,   596,   597,   598,   599,    -1,
      -1,    -1,    -1,    -1,    -1,    95,    80,    -1,    -1,    83,
      -1,   101,    -1,    87,    88,    89,    -1,    -1,   108,  6094,
      -1,  5434,    -1,   476,    -1,    -1,    -1,    -1,    -1,  5442,
      -1,   105,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
     130,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,  3554,   582,   146,    -1,    -1,   512,
      -1,  5474,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,   148,    -1,    -1,    -1,    -1,  5492,
      80,    -1,    -1,    83,    -1,   582,    -1,    87,    88,    89,
      -1,    -1,   182,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,  6187,   203,  5527,   115,    -1,    -1,    -1,    -1,
     210,    -1,   122,    -1,   214,    -1,    -1,  3627,    -1,   582,
      -1,  3631,    -1,    -1,    -1,    -1,  5549,    -1,   591,   592,
     593,   594,   595,   596,   597,   598,   599,    -1,   148,    -1,
      -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,  5572,
      -1,    -1,    -1,    -1,    -1,  6240,  5579,    -1,    -1,    -1,
    6245,  6246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   274,    -1,    -1,    -1,   278,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5621,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5647,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,   322,    -1,
    5663,    -1,   342,    -1,    -1,  5668,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,   358,    -1,
    3770,   271,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5694,   372,  6358,  6359,  3785,    -1,    -1,    -1,    -1,
    3790,   365,   382,    -1,   294,   295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   393,   394,    -1,   380,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3820,    -1,   322,    -1,    -1,    -1,    -1,    -1,  5741,    -1,
    5743,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,    -1,    -1,   439,
     440,   441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,    -1,    -1,
     380,   471,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   486,  5810,    -1,    -1,
     400,    -1,   476,    -1,    -1,    -1,    -1,  5820,    -1,    -1,
    5823,    -1,    -1,  5826,  5827,  5828,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5851,  5852,
      -1,    -1,  5855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   544,    -1,    -1,    -1,    -1,  5872,
      -1,    -1,    -1,    -1,    -1,    -1,  5879,    -1,    -1,    -1,
      -1,  5884,    -1,    -1,  5887,  5888,   476,    -1,    -1,    -1,
      -1,    -1,  5895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5916,    -1,    -1,  5919,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5949,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6633,    -1,
    4060,  5974,    -1,  4063,    -1,  4065,    -1,    -1,    -1,    -1,
    4070,    -1,  5985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6025,  4113,    -1,    -1,    -1,  6030,    -1,    -1,
      -1,  4121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   956,   957,   958,    -1,    -1,   961,    -1,
      -1,    -1,   965,    -1,   967,    -1,  4146,   970,    -1,    -1,
     973,    -1,    -1,   976,    -1,    -1,   979,    -1,   981,    -1,
      -1,   984,    -1,    -1,    -1,   988,    80,   990,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,    -1,    -1,  6091,    -1,
      -1,  6094,    -1,    -1,    -1,    -1,  1009,    -1,    -1,    -1,
      -1,   105,  1015,    -1,  1017,    -1,  1019,    -1,    -1,  1022,
      -1,   115,    -1,    -1,    -1,    -1,  1029,    -1,   122,    -1,
      -1,  1034,    -1,  1036,    -1,  6128,    -1,    -1,    -1,  1042,
      -1,    80,    -1,    -1,    83,  4225,    -1,  4227,    87,    88,
      89,    -1,  6145,    -1,   148,    -1,  6149,    -1,  6151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,  6165,    -1,  6167,    -1,   115,  1080,  6171,    -1,
      -1,    -1,    -1,   122,  6177,    -1,  1089,    -1,  6181,    -1,
    1093,    -1,    -1,  1096,  6187,  6188,  1099,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,    -1,  1115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6234,    -1,  4323,    -1,    -1,    -1,  6240,    -1,    -1,
      -1,    -1,  6245,  6246,    -1,    -1,    -1,  6250,    -1,    -1,
      -1,    -1,    -1,  6256,  6257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,  1176,    -1,    -1,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1188,    -1,  4367,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6292,
     294,   295,    -1,    -1,    -1,    -1,    -1,  6300,   247,    -1,
    6303,    -1,    -1,  1216,  1217,  4395,    -1,    -1,    -1,  1222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,   322,    -1,
      -1,    -1,   271,    -1,    -1,  6328,    -1,    -1,  1241,    -1,
      -1,    -1,    -1,  1246,    -1,  7000,    -1,    -1,    -1,    -1,
      -1,  1254,    -1,    -1,    -1,   294,   295,    -1,    -1,    -1,
      -1,    -1,  1265,    -1,    -1,  6358,  6359,    -1,    -1,    -1,
      -1,   365,    -1,    -1,    -1,  1278,    -1,    -1,    -1,    -1,
      -1,    -1,  7037,   322,    -1,    -1,   380,  4467,    -1,   383,
      -1,  6384,  6385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6396,    -1,    -1,    -1,    -1,    -1,  4489,
      -1,    -1,  6405,  6406,  6407,    -1,    -1,    -1,  6411,    -1,
      -1,  6414,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,
      -1,    -1,  6425,  4513,    -1,    -1,    -1,    -1,    -1,  6432,
      -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1355,    -1,    -1,    -1,    -1,  6450,    -1,    -1,
      -1,    -1,    -1,  1366,  6457,    -1,    -1,    -1,  1371,  1372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   476,  6476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6501,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1427,  1428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4615,    -1,   476,  1441,    -1,
    1443,    -1,    -1,    -1,  1447,    -1,    -1,  1450,  1451,    80,
    1453,    -1,    83,    -1,    -1,  1458,    87,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,  6558,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,  1482,
      -1,    -1,    -1,    -1,   115,  1488,  1489,  4667,   582,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,  1510,  1511,  1512,
      -1,  1514,  4692,  1516,    -1,  1518,  1519,   148,    -1,    -1,
    6613,    -1,  1525,    -1,    -1,    -1,    80,    -1,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,  6629,  6630,    -1,    -1,
    6633,    -1,    -1,   582,    -1,  6638,    -1,  6640,    -1,  6642,
      -1,   105,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6670,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,  1601,    -1,
    1603,  1604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6725,    -1,    -1,   266,    -1,    -1,    -1,    -1,
     271,    -1,  6735,    -1,  1647,    -1,    -1,    -1,    -1,    -1,
    6743,  6744,    -1,    -1,    -1,    -1,  6749,    -1,    -1,    -1,
      -1,    -1,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4857,  1681,    -1,
    1683,    -1,    -1,  6776,  1687,    -1,  1689,   241,    -1,    -1,
      -1,   322,    -1,  6786,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,   266,    -1,    -1,    -1,  1719,   271,  1721,    -1,
      -1,    -1,  1725,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   365,  1738,   115,    -1,    -1,    -1,
     294,   295,    -1,   122,    -1,    -1,    -1,    -1,    -1,   380,
      -1,    -1,   383,  6846,    -1,    -1,    -1,    -1,    -1,  6852,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,   148,
      -1,  4951,    -1,    -1,    -1,    -1,  1779,  6870,    -1,    -1,
      -1,    -1,    -1,    -1,  6877,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6887,    -1,    -1,  6890,    -1,  4979,
    6893,    -1,    -1,    -1,    -1,  1808,  1809,  1810,    -1,  1812,
      -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,  6920,    -1,   383,
    1833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,
      -1,  6964,    -1,    -1,    -1,  6968,    -1,    -1,    -1,    -1,
    6973,    -1,    -1,  1886,    -1,   105,    -1,   266,    -1,    -1,
      -1,    -1,   271,  6986,    -1,   115,    -1,    -1,    -1,    -1,
    6993,    -1,   122,    -1,    -1,    -1,    -1,  7000,    -1,  1912,
      -1,    -1,    -1,  1916,  1917,   294,   295,    -1,    -1,    -1,
      -1,    -1,   476,    -1,  1927,  1928,  1929,  1930,   148,  1932,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5121,    -1,   322,  7037,  7038,    -1,    -1,    -1,    -1,
      -1,   582,  7045,    -1,    -1,    -1,  7049,    -1,    -1,    -1,
     591,   592,   593,   594,   595,   596,   597,   598,   599,    -1,
      -1,  7064,  7065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  7078,   365,    -1,    -1,    -1,
    5170,    -1,    -1,  5173,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   241,    -1,    -1,    -1,    -1,    -1,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   266,    -1,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,  2059,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2067,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,  2080,  2081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2089,    -1,    -1,  2092,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,
      -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2115,    -1,  2117,    -1,    -1,    -1,    -1,    -1,
    2123,  2124,    -1,    -1,  2127,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2140,    -1,    -1,
    2143,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     380,    -1,  2165,   383,    -1,    -1,    -1,  5347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   556,    -1,    -1,
    2183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2195,  2196,  2197,  2198,  2199,    -1,    -1,    -1,
      -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,
    2213,    -1,   591,   592,   593,   594,   595,   596,   597,   598,
     599,    -1,  2225,  2226,  2227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2241,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2252,
      -1,    -1,    -1,    -1,    -1,    -1,   476,  2260,  2261,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,  2276,    -1,    -1,    -1,    98,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2294,  2295,    -1,  5474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2310,  2311,  2312,
    2313,    -1,    -1,    -1,    -1,    -1,  2319,    -1,    -1,    -1,
      -1,    -1,    -1,  2326,    -1,    -1,  2329,    -1,   149,   150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   166,    -1,  5527,  2351,    -1,
      -1,  2354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2364,   582,   184,    -1,    -1,    -1,    -1,    -1,  5549,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   208,    -1,    -1,
      -1,  1085,  2395,  2396,    -1,    -1,    -1,    -1,    -1,    -1,
     221,    -1,    -1,  2406,  2407,    -1,    -1,  2410,    -1,   230,
    2413,    -1,    -1,    -1,    -1,    -1,    -1,  1111,    -1,    -1,
      -1,    -1,   243,    -1,    -1,  2428,  2429,    -1,   249,    -1,
      -1,    -1,  2435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5621,    -1,  2446,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2472,
      -1,    -1,    -1,    -1,    -1,    -1,  2479,    -1,  2481,    -1,
      -1,  2484,  2485,  2486,    -1,  2488,  2489,    -1,  2491,    -1,
      -1,    -1,    -1,   314,    -1,  2498,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2509,    -1,    -1,  2512,
    2513,    -1,    -1,  2516,    -1,   336,  2519,  2520,    -1,    -1,
      -1,  2524,  2525,    -1,    -1,    -1,    -1,  2530,  2531,    -1,
      -1,    -1,    -1,    -1,  2537,  2538,  2539,  2540,  2541,  2542,
    2543,  2544,  2545,  2546,  2547,  2548,  2549,    -1,    -1,    -1,
    2553,    -1,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,
      -1,    -1,  2565,  5743,  2567,  2568,    -1,    -1,  2571,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2586,  2587,  2588,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,    -1,    -1,   420,
      -1,  2604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
     451,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,
      -1,  2644,    -1,    -1,   465,    -1,    -1,   468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
      -1,    -1,   503,    -1,    -1,   506,    -1,    -1,    -1,    -1,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2751,    -1,
      -1,    -1,  1446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1457,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1473,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,     8,    -1,  5974,    -1,    12,    -1,    14,    -1,
      16,    17,  2805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    27,    -1,    -1,  1085,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
    1111,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    -1,    -1,    -1,    -1,    73,  2861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1567,    90,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   101,    -1,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6094,   131,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,   145,
     146,    -1,    -1,    -1,    -1,    -1,   152,    -1,   154,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,
     186,    -1,   188,   189,    -1,    -1,    -1,    -1,    -1,   195,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
     206,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
      -1,   217,   218,    -1,    -1,    -1,    -1,  6187,    -1,  1703,
     226,    -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,
      -1,    -1,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,    -1,  3055,    -1,   270,    -1,    -1,    -1,    -1,    -1,
    6240,    -1,    -1,  3066,  3067,  6245,  6246,  3070,    -1,    -1,
     286,    -1,    -1,    -1,    -1,   291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3092,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,   325,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,  3124,   338,  3126,    -1,    -1,  3129,  3130,    -1,   345,
    3133,    -1,  3135,    -1,    -1,  3138,    -1,    -1,    -1,  3142,
    3143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,
    3153,    -1,    -1,    -1,   370,    -1,    -1,    -1,    -1,  3162,
    3163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3176,    -1,  1446,    -1,    -1,    -1,  6359,
      -1,  3184,    -1,  3186,    -1,    -1,  1457,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   411,    -1,    -1,    -1,    -1,
      -1,    -1,  1473,    -1,    80,    -1,    -1,    83,    -1,    -1,
     426,    87,    88,    89,    -1,    -1,   432,   433,    -1,   435,
      -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,   105,
     446,    -1,   108,   449,    -1,    -1,    -1,    -1,    -1,   115,
     456,    -1,    -1,    -1,    -1,    -1,   122,   463,   464,    -1,
      -1,    -1,    -1,    -1,    -1,   471,    -1,    -1,    -1,   475,
      -1,  3264,    -1,  3266,    -1,    -1,    -1,    -1,    -1,    -1,
     486,    -1,   148,    -1,    -1,    -1,    -1,  3280,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,  3291,    -1,
      -1,  3294,  3295,  3296,  3297,    -1,  1567,  3300,    -1,   515,
    3303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,    -1,
     526,    -1,  2006,    -1,    -1,    -1,    -1,   533,    -1,    -1,
     536,    -1,    -1,   539,    -1,    -1,   542,    -1,    -1,    -1,
      -1,   547,   548,  3336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   560,    -1,  3349,  3350,    -1,    -1,
      -1,    -1,    -1,  3356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3365,    -1,    -1,    -1,    -1,    -1,   584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2074,    -1,  3385,    -1,    -1,    -1,    -1,   603,    -1,    -1,
     266,   607,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2111,   294,   295,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1703,    -1,    -1,    -1,    -1,    -1,    -1,  3442,
      -1,    -1,  3445,    -1,    -1,    -1,   322,    -1,    -1,    -1,
    2144,    -1,    -1,  6633,    -1,    -1,    80,    -1,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,    -1,    -1,  3471,  3472,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,  3486,    -1,  3488,  3489,    -1,    -1,   365,
      -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3520,  3521,  3522,
      -1,    -1,    -1,  3526,   148,    -1,    -1,    -1,    -1,    -1,
      -1,  3534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3547,    -1,    -1,    -1,    -1,    -1,
    3553,    -1,  3555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2254,    -1,    -1,    -1,    -1,  3568,    -1,    -1,    -1,    -1,
    3573,  2265,    -1,    -1,    -1,    -1,  3579,    -1,    -1,  3582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2281,    -1,    -1,
      -1,  3594,  3595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     476,    -1,  3605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3615,    -1,  3617,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3641,    -1,
      -1,  2335,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,
      -1,  3654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2357,    -1,  3668,    -1,    -1,    -1,    -1,
     294,   295,    -1,    -1,    -1,  3678,  2370,  3680,    -1,  3682,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2382,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,  3728,    -1,    -1,  2422,  2423,
      -1,    -1,    -1,    -1,    -1,  2006,    -1,    -1,    -1,    -1,
      -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3783,  3784,    -1,  3786,    -1,  3788,  3789,   111,  3791,    -1,
      -1,    -1,    -1,    -1,    -1,  3798,    -1,    -1,    -1,    -1,
    3803,    -1,    -1,  2074,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    7000,    -1,    -1,    -1,    -1,   149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2111,    -1,   166,    -1,    -1,    -1,    -1,    -1,    -1,  3852,
    3853,  3854,   476,    -1,  3857,    -1,    -1,    -1,    -1,    -1,
     184,    -1,  3865,  3866,  3867,  3868,   190,    -1,    -1,    -1,
      -1,    -1,    -1,  2144,    -1,    -1,    -1,    -1,  3881,    -1,
      -1,  3884,    -1,  3886,   208,    -1,    -1,    -1,    -1,    -1,
      -1,  2585,    -1,    -1,    -1,  3898,  3899,   221,    -1,  3902,
      -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3921,   243,
    3923,    -1,  3925,    -1,  3927,    -1,    -1,    -1,   252,    -1,
      -1,    -1,   256,    -1,    -1,    93,    -1,    -1,    -1,    -1,
      98,    -1,    -1,  3946,    -1,    -1,  3949,    -1,    -1,    -1,
    3953,    -1,   276,    -1,    -1,    -1,    -1,  3960,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,   136,    -1,
    3983,    -1,    -1,  2254,    -1,    -1,    -1,    -1,  3991,    -1,
      -1,   149,   150,    -1,  2265,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   326,  4006,   162,    -1,    -1,    -1,   166,    -1,
    2281,    -1,   336,    -1,    -1,    -1,    -1,  4020,    -1,    -1,
      -1,  4024,    -1,    -1,  4027,  4028,   184,  4030,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     208,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,
      -1,    -1,    -1,   221,  2335,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   406,    -1,    -1,   243,  2357,    -1,    -1,  4092,
      -1,   249,    -1,    -1,    -1,    -1,   420,    -1,    -1,  2370,
      -1,    -1,    -1,    -1,   428,    -1,    -1,    -1,    -1,    -1,
      -1,  2382,    -1,  4116,  4117,    -1,    -1,    -1,   276,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,   465,    -1,    -1,   468,    -1,    -1,    -1,    -1,  4152,
      -1,  2422,  2423,    -1,    -1,    -1,   314,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   488,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,   336,   503,
      -1,    -1,   506,    -1,   508,    -1,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,    -1,    -1,  4209,    -1,    -1,    -1,
     534,    -1,    -1,   537,    -1,    -1,   540,    -1,    -1,    -1,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,   553,
    4233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     448,    -1,    -1,   451,    -1,    -1,    -1,   455,    -1,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,
     468,    -1,    -1,    -1,  2585,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,   503,    -1,    -1,   506,  4352,
      -1,    -1,    -1,   511,    -1,  4358,    -1,    -1,    -1,    -1,
      -1,   519,    -1,   521,    -1,    -1,  4369,    -1,   526,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   553,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4406,  4407,  4408,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4438,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4459,  4460,  4461,    -1,
      -1,    -1,  4465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    98,    -1,  4477,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   149,    -1,    -1,  4529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3232,    -1,
     166,    -1,  3236,  3237,    -1,    -1,    -1,    -1,    -1,  4552,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,
      -1,    -1,    -1,    -1,   190,    -1,  4569,  4570,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4580,    -1,    -1,
      -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4593,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,  3293,
      -1,    -1,    -1,    -1,   230,  3299,    -1,    -1,    -1,  4612,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,  4621,    -1,
      -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,  4635,    -1,    -1,    -1,  4639,  4640,  4641,    -1,
      -1,    -1,    -1,  4646,    -1,    -1,  4649,    -1,    -1,  4652,
     276,    -1,  3346,    -1,    -1,  4658,    -1,  4660,    -1,    -1,
    4663,    -1,    -1,    -1,    -1,  4668,  4669,  4670,  4671,    -1,
      -1,  4674,  4675,  4676,  4677,  4678,  4679,  4680,  4681,  4682,
    4683,    -1,    -1,    -1,  4687,  4688,  4689,    -1,   314,    -1,
      -1,    -1,    -1,    -1,  4697,    -1,    -1,    -1,    -1,  4702,
      -1,    -1,    -1,  4706,    -1,    -1,    -1,    -1,    -1,    -1,
     336,  4714,    -1,    -1,  4717,    -1,  4719,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4735,    -1,    -1,  4738,  4739,    -1,    -1,    -1,
    4743,  4744,    -1,    -1,    -1,  4748,    -1,  4750,  4751,    -1,
      -1,    -1,    -1,    -1,   380,    -1,  4759,  4760,  4761,    -1,
    4763,    -1,    -1,  4766,  4767,    -1,    -1,    -1,  4771,  4772,
    4773,  4774,    -1,    -1,  4777,    -1,    -1,    -1,    -1,    -1,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4824,   448,    -1,    -1,   451,    -1,    -1,    -1,   455,
      -1,    -1,   458,    -1,    -1,    -1,  4839,    -1,  4841,   465,
      -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3554,    -1,   488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,    -1,   503,    -1,    -1,
     506,    -1,    -1,    -1,    -1,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,    -1,    -1,    -1,    -1,
     526,    -1,    -1,  4906,  4907,  4908,  4909,    -1,    -1,  4912,
      -1,  4914,    -1,    -1,   540,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   553,    -1,  4932,
      -1,    -1,    -1,  3627,    -1,    -1,    -1,  3631,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3232,    -1,    -1,    -1,  3236,  3237,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4987,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3293,    -1,    -1,    -1,    -1,    -1,  3299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5042,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5075,    -1,    -1,  3346,  3770,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5089,    -1,  5091,    -1,
      -1,  3785,    -1,    -1,    -1,  5098,  3790,    -1,    -1,    -1,
      -1,  5104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3820,  5130,    -1,    -1,
      -1,    -1,  5135,  5136,    -1,    -1,    -1,    -1,    -1,    -1,
    5143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5174,  5175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5196,  5197,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5214,  5215,  5216,  5217,  5218,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5229,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3554,  5287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5333,    -1,    -1,  5336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5344,  5345,    -1,    -1,    -1,    -1,    -1,  5351,  5352,
      -1,    -1,    -1,  5356,    -1,    -1,  3627,    -1,  5361,    -1,
    3631,  5364,  5365,    -1,    -1,    -1,  4060,    -1,  5371,  4063,
      -1,  4065,  5375,  5376,  5377,  5378,  4070,    -1,    -1,  5382,
    5383,  5384,  5385,  5386,    -1,  5388,  5389,    -1,    -1,  5392,
      -1,    -1,    -1,  5396,    -1,    -1,    -1,  5400,    -1,    -1,
      -1,    -1,    -1,  5406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    -1,    -1,    -1,  4113,
      -1,    -1,  5425,    -1,    -1,    -1,    -1,  4121,    -1,    -1,
      -1,  5434,    -1,    -1,    -1,  5438,   104,    -1,    -1,  5442,
      -1,  5444,    -1,    -1,    -1,    -1,   114,   115,    -1,   117,
      -1,    -1,  4146,    -1,    -1,   123,    -1,    -1,    -1,    -1,
      -1,  5464,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5491,  5492,
      -1,    -1,   160,   161,    -1,    -1,    -1,    -1,    -1,  3770,
      -1,    -1,    -1,  5506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3785,    -1,    -1,    -1,    -1,  3790,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4225,    -1,  4227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3820,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5572,
      -1,    -1,    -1,    -1,    -1,    -1,  5579,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5601,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5616,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5647,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5663,    -1,    -1,    -1,    -1,    -1,    -1,  5670,    -1,    -1,
      -1,   339,    -1,  4367,    -1,    -1,  5679,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4395,    -1,    -1,  5707,    -1,  5709,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5736,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5747,    -1,    -1,    -1,    -1,    -1,
    5753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4060,
      -1,    -1,  4063,    -1,  4065,  4489,    -1,    -1,    -1,  4070,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5810,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5820,    -1,  4513,
    5823,    -1,    -1,  5826,  5827,  5828,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4113,    -1,    -1,    -1,    -1,    -1,  5851,  5852,
    4121,    -1,  5855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5872,
      -1,    -1,  5875,    -1,    -1,  4146,  5879,    -1,    -1,    -1,
      -1,  5884,    -1,    -1,  5887,  5888,    -1,  5890,    -1,  5892,
      -1,    -1,  5895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5916,    -1,    -1,  5919,    -1,    -1,    -1,
      -1,  4615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5949,  5950,  5951,    -1,
    5953,    -1,    -1,    -1,  4225,    -1,  4227,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4667,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5985,  5986,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4692,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   694,  6030,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6042,
      -1,    -1,    -1,    -1,  6047,    -1,    -1,    -1,    -1,  6052,
      -1,    -1,  4323,    -1,    -1,    -1,    -1,    -1,  6061,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6071,    -1,
      -1,    -1,  6075,    -1,    -1,  6078,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6089,  6090,  6091,    -1,
      -1,   759,   760,    -1,    -1,    -1,  4367,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4395,  6128,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6145,    -1,    -1,    -1,  6149,    -1,  6151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     828,    -1,  6165,  4857,  6167,    -1,    -1,    -1,  6171,    -1,
      -1,    -1,    -1,    -1,  6177,    -1,    -1,    -1,  6181,    -1,
      -1,    -1,  6185,    -1,    -1,  6188,    -1,  6190,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4467,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4489,    -1,
      -1,    -1,    -1,    -1,  6227,    -1,    -1,    -1,    -1,    -1,
      -1,  6234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4513,    -1,    -1,    -1,    -1,  6250,    -1,    -1,
      -1,    -1,    -1,  6256,  6257,    -1,    -1,  4951,  6261,  6262,
    6263,  6264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4979,    -1,    -1,    -1,  6292,
      -1,   959,    -1,    -1,    -1,   963,    -1,  6300,    -1,    -1,
      -1,    -1,    -1,   971,    -1,    -1,   974,    -1,    -1,   977,
     978,    -1,   980,    -1,   982,    -1,    -1,   985,    -1,   987,
      -1,    -1,  6325,    -1,    -1,  6328,    -1,    -1,    -1,    -1,
      -1,  1085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1009,    -1,    -1,  4615,    -1,    -1,    -1,    -1,    -1,
      -1,  6354,  1020,    -1,    -1,    -1,  1024,  1111,    -1,    -1,
      -1,    -1,    -1,  1031,  1032,    -1,    -1,  1035,    -1,  1037,
    1038,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1058,    -1,  1060,  6396,    -1,    -1,  4667,    -1,    -1,    -1,
      -1,    -1,  6405,  6406,  6407,    -1,    -1,    -1,  6411,    -1,
      -1,  6414,    -1,    -1,    -1,  6418,  1084,    -1,    -1,    -1,
      -1,  4692,  6425,    -1,    -1,    -1,    -1,  5121,    -1,  6432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1105,    -1,  1107,
      -1,    -1,  6445,    -1,    -1,    -1,    -1,  6450,  1116,  1117,
      -1,    -1,    -1,    -1,  6457,    -1,    -1,    -1,  1126,    -1,
      -1,    -1,    -1,  6466,    -1,  6468,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6476,    -1,    -1,  5170,    -1,    -1,  5173,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6512,
    6513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1219,    -1,  1221,    -1,  6558,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4857,  1255,    -1,  6592,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6626,    -1,    -1,  6629,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6638,    -1,  6640,    -1,  6642,
    6643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6651,    -1,
      -1,    -1,  1320,  5347,    -1,  1323,    -1,  1325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6670,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4951,    -1,  6685,    -1,  1352,    -1,    -1,    -1,    -1,  6692,
      -1,    -1,  1446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1457,    -1,    -1,    -1,    -1,  4979,    -1,
      -1,    -1,    -1,    -1,    -1,  6718,    -1,    -1,    -1,  1473,
      -1,    -1,  6725,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6735,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6743,  6744,  6745,    -1,    -1,    -1,  6749,    -1,    -1,    -1,
    1418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6776,    -1,    -1,  1444,  6780,    -1,    -1,
    5474,    -1,    -1,  6786,    -1,    -1,    -1,    -1,  6791,  6792,
    6793,  1459,    -1,  1461,    -1,    -1,    81,    -1,    83,    84,
      -1,    86,    -1,  1471,    -1,    -1,    -1,    -1,    -1,    -1,
    1478,    -1,  6815,  1567,    -1,    -1,    -1,    -1,    -1,   104,
      -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,   114,
     115,    -1,   117,  5527,    -1,    -1,    -1,    -1,   123,    -1,
     125,    -1,    -1,  6846,  6847,  6848,    -1,    -1,   133,  6852,
    5121,   136,  1520,    -1,  1522,  5549,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6870,    -1,    -1,
      -1,    -1,    -1,    -1,  6877,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6887,    -1,    -1,  6890,    -1,    -1,
    6893,  6894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5170,
      -1,    -1,  5173,    -1,    -1,  6908,    -1,    -1,    -1,    -1,
    6913,    -1,    -1,    -1,    -1,    -1,    -1,  6920,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5621,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1703,
      -1,    -1,    -1,  6956,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6964,    -1,  6966,  6967,  6968,  6969,    -1,    -1,    -1,
    6973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6983,    -1,    -1,  6986,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7001,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1691,    -1,    -1,    -1,    -1,    -1,  7032,
      -1,    -1,    -1,    -1,  7037,  7038,    -1,    -1,    -1,    -1,
      -1,    -1,  7045,    -1,    -1,    -1,    -1,    -1,    -1,  5743,
      -1,    -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,  7064,  7065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  7075,    -1,    -1,    -1,  5347,    -1,    -1,  7082,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  7095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1857,
    1858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5474,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1898,  1899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2006,    -1,    -1,    -1,  5527,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1945,  5549,    -1,
    5974,    -1,  1950,    -1,    -1,  1953,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1961,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1977,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5621,    -1,    -1,    -1,    -1,    -1,    -1,  2111,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   694,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2116,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5743,    -1,   759,   760,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6187,    -1,    -1,    -1,    -1,    -1,    -1,
    2254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2281,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   828,    -1,    -1,  6240,    -1,    -1,    -1,
      -1,  6245,  6246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2335,  2250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2370,  2285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2382,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2331,   949,  6359,    -1,    -1,  2422,  2423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5974,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2415,    -1,  2417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2431,  2432,    -1,  2434,    -1,    -1,    -1,
      -1,    -1,  1057,  1058,    -1,  1060,    -1,    -1,    -1,  1064,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2466,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2478,    -1,    -1,    -1,  2482,    -1,    -1,    -1,    -1,  2487,
      -1,    -1,  2490,  6094,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2585,    -1,    -1,    -1,    -1,    -1,  1122,    -1,    -1,
    1125,  1126,    -1,  2511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1141,    -1,  1143,    -1,
    1145,    -1,    -1,    -1,    -1,    -1,  1151,    -1,    -1,    -1,
    1155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1177,  1178,    -1,    -1,  1181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1219,    -1,  1221,    -1,    -1,  6633,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6240,
      -1,    -1,    -1,    -1,  6245,  6246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1306,  1307,    -1,    -1,  1310,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6359,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  7000,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1656,    -1,  1658,    -1,    -1,  1661,    -1,  1663,    -1,
      -1,  1666,  1667,  1668,    -1,    -1,    -1,  1672,    -1,    -1,
      -1,    -1,    -1,    -1,  1679,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3073,    -1,    -1,    -1,  1694,
      -1,  1696,    -1,    -1,    -1,    -1,    -1,  1702,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3232,    -1,
      -1,    -1,  3236,  3237,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3293,
      -1,    -1,  3210,    -1,    -1,  3299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3226,  3227,
    1845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1857,  1858,    -1,    -1,    -1,  3245,  3246,    -1,
      -1,    -1,  3250,  3251,    -1,    -1,    -1,  3255,  3256,  1874,
      -1,    -1,  3346,    -1,  1879,  1880,    -1,    -1,    -1,    -1,
      -1,    -1,  3270,    -1,    -1,    -1,  3274,    -1,    -1,    -1,
    3278,  3279,    -1,    -1,  3282,  3283,    -1,    -1,    -1,    -1,
      -1,  3289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3301,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3313,    -1,    -1,    -1,    -1,
    3318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1945,    -1,  1947,    -1,    -1,  3333,    -1,    -1,    -1,  3337,
      -1,    -1,  1957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3348,    -1,    -1,  3351,    -1,  3353,  3354,  3355,    -1,    -1,
      -1,    -1,  3360,  3361,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3370,    -1,   106,    -1,    -1,    -1,  3376,    -1,
      -1,    -1,  3380,    -1,  1999,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3390,  3391,    -1,    -1,    -1,  3395,    -1,  7000,
      -1,    -1,    -1,  3401,  3402,    -1,    -1,    -1,    -1,   141,
      -1,    -1,    -1,    -1,    -1,   147,   148,  3415,    -1,    -1,
    3418,    -1,    -1,    -1,    -1,    -1,    -1,  3425,  3426,    -1,
      -1,    -1,    -1,  3431,    -1,    -1,    -1,  2052,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3443,    -1,  2062,  3446,    -1,
      -1,    -1,    -1,  3451,    -1,    -1,    -1,    -1,    -1,  3457,
    3458,    -1,  3460,    -1,  3462,    -1,    -1,  3465,  3466,    -1,
    3554,  3469,    -1,    -1,    -1,  3473,  3474,  3475,  3476,    -1,
    3478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3492,  3493,    -1,  3495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3506,  3507,
    3508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2145,    -1,    -1,  2148,  2149,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3627,    -1,    -1,    -1,  3631,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3563,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3571,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3640,    -1,  2259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3681,    -1,  3683,  3770,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3785,    -1,    -1,    -1,    -1,  3790,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3723,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3820,    -1,    -1,    -1,
    3738,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3792,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2450,    -1,  2452,    -1,    -1,
      -1,  2456,    -1,  2458,    -1,    -1,  2461,    -1,    -1,    -1,
    2465,    -1,    -1,    -1,    -1,  2470,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4060,    -1,    -1,  4063,
      -1,  4065,    -1,    -1,    -1,    -1,  4070,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4113,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4089,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4125,    -1,    -1,
      -1,  4129,    -1,    -1,    -1,    -1,  4134,  4135,  4136,    -1,
      -1,  4225,    -1,  4227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4156,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4179,  4180,  4181,  4182,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4217,
      -1,  4219,  4220,  4221,   956,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   965,    -1,    -1,    -1,    -1,    -1,  4323,
      -1,   973,    -1,    -1,   976,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4367,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4339,    -1,    -1,    -1,    -1,    -1,    -1,  1080,    -1,
    4348,    -1,    -1,  1085,    -1,    -1,    -1,  1089,    -1,    -1,
      -1,    -1,    -1,    -1,  1096,    -1,    -1,  1099,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4374,  4375,    -1,  1111,
      -1,  4379,    -1,  4467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4401,    -1,  4489,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4513,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4446,    -1,
      -1,  3066,    -1,    -1,    -1,    -1,    -1,    -1,  3073,  4457,
      -1,    -1,    -1,    -1,  4462,    -1,    -1,    -1,  3083,    -1,
    4468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1216,  1217,    -1,    -1,    -1,    -1,
      -1,  1223,    -1,    -1,    -1,  1227,    -1,    -1,    -1,    -1,
    4498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4508,    -1,    -1,  4511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4546,    -1,
    4548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4565,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4667,  3199,    -1,    -1,    -1,    -1,    -1,
    3205,    -1,  3207,    -1,    -1,  3210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4692,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3262,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1403,  1404,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1427,  1428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1441,
      -1,    -1,    -1,    -1,  1446,  1447,    -1,    -1,    -1,  1451,
      -1,  1453,    -1,    -1,    -1,  1457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4857,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1516,    -1,  1518,  1519,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3444,
      -1,    -1,  3447,    -1,    -1,  1567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3459,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4951,    -1,    -1,
      -1,  4869,    -1,  4871,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4884,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4979,    -1,    -1,  4896,    -1,
      -1,    -1,  4900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4911,    -1,  1647,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4948,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4956,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4981,    -1,    -1,    -1,  4985,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5000,  5001,  5002,  5003,  1738,    -1,    -1,    -1,
      -1,    -1,  5010,  5011,  5012,  5013,    -1,    -1,    -1,    -1,
      -1,  5019,  5020,    -1,    -1,    -1,    -1,  5025,  5026,    -1,
    5028,  5029,  5030,  5031,  5032,  5033,  5034,  5121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5044,  1779,    -1,    -1,
    5048,  5049,  5050,  5051,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5072,    -1,  1808,  1809,  1810,    -1,
    1812,    -1,    -1,    -1,    -1,    -1,  5170,    -1,    -1,  5173,
      -1,    -1,  5090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1833,    -1,    -1,    -1,    -1,    -1,    -1,  3723,  3724,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3741,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1912,    -1,    -1,    -1,  1916,  1917,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1932,  5199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5221,    -1,  5223,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5231,  5232,  5233,  5234,  5235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2006,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3969,    -1,    -1,    -1,    -1,  3974,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2111,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2120,    -1,
    5474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2137,    -1,    -1,    -1,    -1,
      -1,    -1,  2144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5527,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5549,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5475,  5476,  5477,
      -1,    -1,    -1,  5481,  5482,  5483,  5484,    -1,    -1,    -1,
    5488,    -1,    -1,  2225,  2226,  2227,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2265,    -1,    -1,    -1,  5621,    -1,    -1,
      -1,  5539,  5540,  5541,  5542,  5543,    -1,  5545,  5546,  2281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5557,
    5558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5591,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5599,  5600,  2335,  5602,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2351,
      -1,    -1,  2354,    -1,    -1,  2357,    -1,    -1,    -1,    -1,
      -1,    -1,  2364,    -1,    -1,    -1,    -1,    -1,  2370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5743,
      -1,    -1,    -1,  2395,  2396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2410,    -1,
      -1,  2413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2422,  2423,    -1,    -1,    -1,  5693,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2481,
      -1,    -1,    -1,  2485,  2486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2524,  2525,    -1,    -1,    -1,    -1,  2530,  2531,
      -1,    -1,    -1,  5801,    -1,  2537,  2538,  2539,  2540,  2541,
    2542,  2543,  2544,  2545,  2546,  2547,  2548,  2549,    -1,    -1,
      -1,  2553,    -1,  2555,    -1,  2557,  2558,  2559,  2560,  2561,
    2562,    -1,    -1,  2565,    -1,  2567,  2568,    -1,    -1,  2571,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4462,    -1,    -1,
      -1,    -1,    -1,  2585,  2586,  2587,  2588,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2604,    -1,    -1,    -1,    -1,    -1,    -1,  5877,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5974,    -1,    -1,    -1,  5892,    -1,  4511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5976,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4601,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5995,    -1,    -1,
      -1,    -1,    -1,  6001,  6002,    -1,    -1,    -1,    -1,    -1,
    6094,    -1,    -1,  6011,    -1,    -1,    -1,    -1,    -1,  2751,
    6018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6053,  6054,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6066,    -1,
    6068,    -1,    -1,  2805,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6083,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6187,    -1,    -1,    -1,    -1,    -1,    -1,
    6108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2861,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6240,    -1,    -1,    -1,
      -1,  6245,  6246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6215,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4846,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6265,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6359,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6306,    -1,
      -1,    -1,    -1,  3045,  3046,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,    -1,  3055,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3067,  4951,    -1,  3070,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4979,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4993,  6377,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5004,
      -1,    -1,    -1,    -1,  3126,    -1,    -1,    -1,  3130,    -1,
      -1,  3133,    -1,  3135,    -1,    -1,  3138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3153,    -1,    -1,  6422,    -1,    -1,    -1,    -1,    -1,
    3162,  3163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3232,    -1,    -1,    -1,  3236,  3237,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3280,  6633,
    6548,    -1,    -1,    -1,    -1,  5170,    -1,    -1,    -1,  3291,
      -1,  3293,  3294,    -1,  3296,  3297,    -1,  3299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5237,    -1,  6622,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3419,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6702,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6713,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3520,  3521,
    3522,    -1,    -1,    -1,  3526,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5421,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3553,  3554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6835,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3595,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5509,  3627,    -1,    -1,    -1,  3631,
    5515,    -1,    -1,    -1,    -1,  5520,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  7000,    -1,    -1,    -1,
      -1,    -1,  3654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3783,    -1,  3785,  3786,    -1,  3788,  3789,  3790,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3798,    -1,    -1,  7067,
      -1,  3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3820,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3852,  3853,  3854,    -1,    -1,  3857,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3865,  3866,  3867,  3868,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3881,
      -1,    -1,  3884,    -1,  3886,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3898,  3899,    -1,    -1,
    3902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3923,    -1,  3925,    -1,  3927,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3946,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3960,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3991,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4020,    -1,
      -1,    -1,    -1,    -1,  5909,    -1,  4028,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4060,    -1,
      -1,  4063,    -1,  4065,    -1,    -1,    -1,    -1,  4070,    -1,
     106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5974,
    4092,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4146,    -1,    -1,    -1,    -1,    -1,
    4152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6068,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4225,    -1,  4227,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4352,    -1,    -1,    -1,    -1,    -1,  4358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4367,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6272,    -1,    -1,
      -1,    -1,    -1,  4395,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1085,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4438,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1111,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4489,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4612,    -1,    -1,  4615,    -1,    -1,    -1,    -1,    -1,  4621,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4635,    -1,    -1,    -1,  4639,  4640,  4641,
      -1,    -1,    -1,    -1,  4646,    -1,    -1,  4649,    -1,    -1,
    4652,    -1,    -1,    -1,    -1,    -1,  4658,    -1,  4660,    -1,
      -1,  4663,    -1,    -1,    -1,  4667,  4668,  4669,  4670,  4671,
      -1,    -1,  4674,  4675,  4676,  4677,  4678,  4679,  4680,  4681,
    4682,  4683,    -1,    -1,    -1,  4687,  4688,  4689,    -1,    -1,
    4692,    -1,    -1,    -1,    -1,  4697,    -1,    -1,    -1,    -1,
    4702,    -1,    -1,    -1,  4706,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4714,    -1,    -1,  4717,    -1,  4719,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4735,    -1,    -1,  4738,  4739,    -1,    -1,
      -1,  4743,  4744,    -1,    -1,    -1,  4748,    -1,  4750,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4763,    -1,    -1,  4766,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4777,    -1,    -1,    -1,  1446,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1473,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4841,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4857,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1567,    -1,    -1,    -1,  4906,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   965,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   973,    -1,    -1,
     976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4951,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4979,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1703,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1080,    -1,    -1,    -1,    -1,  1085,
      -1,    -1,    -1,  1089,    -1,    -1,    -1,    -1,    -1,    -1,
    1096,    -1,    -1,  1099,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1111,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5091,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5135,  5136,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5170,    -1,
      -1,  5173,  5174,  5175,    -1,    -1,    -1,    -1,    -1,    -1,
    1216,  1217,    -1,  5185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5333,    -1,    -1,  5336,    -1,    -1,    -1,    -1,  2006,
      -1,    -1,  5344,  5345,    -1,  5347,    -1,    -1,    -1,  5351,
    5352,    -1,    -1,    -1,  5356,    -1,    -1,    -1,    -1,  5361,
      -1,    -1,  5364,  5365,    -1,    -1,    -1,    -1,    -1,  5371,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5382,    -1,    -1,    -1,    -1,    -1,  5388,    -1,    -1,    -1,
      -1,  1427,  1428,    -1,  5396,    -1,    -1,    -1,  5400,    -1,
      -1,    -1,    -1,    -1,    -1,  1441,    -1,  2074,    -1,    -1,
    1446,  1447,    -1,    -1,    -1,  1451,    -1,  1453,    -1,    -1,
      -1,  1457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5434,    -1,    -1,    -1,    -1,  1473,    -1,    -1,
    5442,    -1,    -1,    -1,  2111,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5474,    -1,    -1,    -1,    -1,  2144,    -1,    -1,
    1516,    -1,  1518,  1519,    -1,    -1,    -1,    -1,    -1,    -1,
    5492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5527,    -1,    -1,    -1,    -1,
      -1,  1567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5549,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5572,    -1,    -1,    -1,    -1,    -1,    -1,  5579,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2265,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1647,    -1,    -1,  2281,    -1,    -1,    -1,    -1,  5621,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5647,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5663,    -1,    -1,    -1,    -1,    -1,  1703,  2335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2357,    -1,  5694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1738,  2370,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2382,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5741,
      -1,  5743,    -1,  1779,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2422,  2423,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1808,  1809,  1810,    -1,  1812,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1833,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5810,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5820,    -1,
      -1,  5823,    -1,    -1,  5826,  5827,  5828,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5851,
    5852,    -1,    -1,  5855,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5872,    -1,    -1,    -1,    -1,    -1,  1912,  5879,    -1,    -1,
    1916,  1917,  5884,    -1,    -1,  5887,  5888,    -1,    -1,    -1,
      -1,    -1,    -1,  5895,    -1,    -1,  1932,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5916,    -1,    -1,  5919,  2585,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5949,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2006,    -1,  5974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5985,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6030,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2074,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2111,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6091,
      -1,    -1,  6094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6128,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6145,    -1,    -1,    -1,  6149,    -1,  6151,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6165,    -1,  6167,    -1,    -1,    -1,  6171,
      -1,    -1,    -1,    -1,    -1,  6177,    -1,    -1,    -1,  6181,
      -1,    -1,    -1,    -1,    -1,  6187,  6188,    -1,    -1,  2225,
    2226,  2227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2265,
      -1,    -1,  6234,    -1,    -1,    -1,    -1,    -1,  6240,    -1,
      -1,    -1,    -1,  6245,  6246,  2281,    -1,    -1,  6250,    -1,
      -1,    -1,    -1,    -1,  6256,  6257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1085,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6300,  2335,
      -1,    -1,    -1,    -1,  1111,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2351,    -1,    -1,  2354,    -1,
      -1,  2357,    -1,    -1,    -1,    -1,  6328,    -1,  2364,    -1,
      -1,    -1,    -1,    -1,  2370,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2382,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6358,  6359,  1085,  2395,
    2396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2410,    -1,    -1,  2413,    -1,    -1,
      -1,    -1,  6384,    -1,  1111,    -1,  2422,  2423,    -1,    -1,
      -1,    -1,    -1,    -1,  6396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6405,  6406,  6407,    -1,    -1,    -1,  6411,
      -1,    -1,  6414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6425,    -1,    -1,    -1,    -1,    -1,    -1,
    6432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2481,    -1,    -1,  6450,  2485,
    2486,    -1,    -1,    -1,    -1,  6457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2524,  2525,
      -1,    -1,    -1,    -1,  2530,  2531,    -1,    -1,    -1,    -1,
      -1,  2537,  2538,  2539,  2540,  2541,  2542,  2543,  2544,  2545,
    2546,  2547,  2548,  2549,    -1,    -1,    -1,  2553,    -1,  2555,
      -1,  2557,  2558,  2559,  2560,  2561,  2562,    -1,    -1,  2565,
      -1,  2567,  2568,    -1,    -1,  2571,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2585,
    2586,  2587,  2588,    -1,    -1,    -1,  6558,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3232,    -1,    -1,  2604,  3236,
    3237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3293,  6629,    -1,    -1,
      -1,  6633,  3299,    -1,    -1,    -1,  6638,    -1,  6640,  1446,
    6642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1473,    -1,  6670,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2751,    -1,    -1,    -1,  1446,
      -1,    -1,    -1,  6725,    -1,    -1,    -1,    -1,    -1,    -1,
    1457,    -1,    -1,  6735,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6743,  6744,    -1,    -1,    -1,  1473,  6749,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2805,
      -1,    -1,    -1,    -1,  6776,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6786,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2861,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1567,    -1,    -1,    -1,  6846,    -1,    -1,    -1,    -1,    -1,
    6852,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6870,    -1,
      -1,    -1,    -1,    -1,    -1,  6877,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6887,    -1,  3554,  6890,    -1,
      -1,  6893,    -1,    -1,    -1,    -1,  1703,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6920,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3627,    -1,  6964,    -1,  3631,    -1,  6968,    -1,    -1,    -1,
      -1,  6973,    -1,    -1,    -1,    -1,  1703,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6986,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7000,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3045,
    3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,    -1,  3055,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3067,    -1,    -1,  3070,  7037,  7038,    -1,    -1,    -1,
      -1,    -1,    -1,  7045,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  7064,  7065,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3126,    -1,    -1,    -1,  3130,    -1,    -1,  3133,    -1,  3135,
      -1,    -1,  3138,  3770,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3153,  3785,    -1,
      -1,    -1,    -1,  3790,    -1,    -1,  3162,  3163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3820,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3232,    -1,    -1,  2006,
    3236,  3237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3291,    -1,  3293,  3294,    -1,
    3296,  3297,    -1,  3299,    -1,    -1,    -1,  2074,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2006,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2111,    -1,    -1,    -1,    -1,    -1,
    3346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2074,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2111,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4060,    -1,    -1,  4063,    -1,  4065,    -1,
      -1,    -1,    -1,  4070,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4113,  2254,    -1,    -1,
      -1,    -1,    -1,    -1,  4121,    -1,    -1,    -1,  2265,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2281,    -1,    -1,    -1,    -1,  4146,
      -1,    -1,    -1,    -1,  3520,  3521,  3522,    -1,    -1,    -1,
    3526,    -1,    -1,    -1,    -1,  1085,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3553,  3554,    -1,
      -1,  1111,    -1,    -1,    -1,    -1,    -1,  2254,  2335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2265,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2357,    -1,    -1,    -1,  2281,    -1,    -1,    -1,  4225,  3595,
    4227,    -1,    -1,  2370,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2382,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3627,    -1,    -1,    -1,  3631,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2335,    -1,
      -1,    -1,    -1,    -1,    -1,  2422,  2423,    -1,  3654,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2370,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2382,  4323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2422,  2423,    -1,    -1,    -1,
    4367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4395,    -1,
      -1,    -1,    -1,    -1,  3770,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3783,    -1,  3785,
    3786,    -1,  3788,  3789,  3790,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3798,    -1,    -1,    -1,    -1,  3803,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2585,    -1,
      -1,    -1,    -1,    -1,  3820,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3852,  3853,  3854,    -1,
      -1,  3857,  4489,    -1,    -1,    -1,    -1,    -1,    -1,  3865,
    3866,  3867,  3868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3881,  4513,    -1,  3884,    -1,
    3886,    -1,    -1,    -1,    -1,    -1,  1446,    -1,  2585,    -1,
      -1,    -1,  3898,  3899,    -1,    -1,  3902,  1457,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1473,    -1,    -1,    -1,  3923,    -1,  3925,
      -1,  3927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3946,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3960,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4615,    -1,
      -1,    -1,    -1,    -1,    -1,  3991,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4006,    -1,    -1,    -1,    -1,    -1,    -1,  1567,    -1,    -1,
      -1,    -1,    -1,    -1,  4020,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4060,  4692,    -1,  4063,    -1,  4065,
      -1,    -1,    -1,    -1,  4070,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4092,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4113,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4121,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4146,    -1,    -1,  1703,    -1,    -1,  4152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4225,
    4857,  4227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4951,    -1,    -1,  4323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4979,    -1,    -1,    -1,  4352,    -1,    -1,    -1,
      -1,    -1,  4358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4395,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2006,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3232,    -1,    -1,    -1,  3236,
    3237,  4467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4489,  5121,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4513,    -1,    -1,
      -1,    -1,    -1,    -1,  2074,    -1,  3293,    -1,    -1,    -1,
      -1,    -1,  3299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5170,    -1,  3232,  5173,    -1,    -1,  3236,
    3237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2144,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3293,    -1,    -1,    -1,
      -1,    -1,  3299,    -1,    -1,    -1,  4612,    -1,    -1,  4615,
      -1,    -1,    -1,    -1,    -1,  4621,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4635,
      -1,    -1,    -1,  4639,  4640,  4641,    -1,    -1,    -1,    -1,
    4646,    -1,    -1,  4649,    -1,    -1,  4652,    -1,    -1,  3346,
      -1,    -1,  4658,    -1,  4660,    -1,    -1,  4663,    -1,    -1,
      -1,  4667,  4668,  4669,  4670,  4671,    -1,    -1,  4674,  4675,
    4676,  4677,  4678,  4679,  4680,  4681,  4682,  4683,    -1,    -1,
      -1,  4687,  4688,  4689,    -1,    -1,  4692,    -1,    -1,    -1,
      -1,  4697,    -1,    -1,  2254,    -1,  4702,    -1,    -1,    -1,
    4706,    -1,    -1,    -1,    -1,  2265,    -1,    -1,  4714,    -1,
    5347,  4717,    -1,  4719,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4735,
      -1,    -1,  4738,  4739,    -1,    -1,    -1,  4743,  4744,    -1,
      -1,    -1,  4748,    -1,  4750,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4763,    -1,    -1,
    4766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4777,    -1,    -1,    -1,  2335,    -1,  3554,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2357,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4824,    -1,
      -1,    -1,  2382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4841,    -1,  5474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3627,  4857,    -1,    -1,  3631,    -1,    -1,  3554,    -1,    -1,
      -1,    -1,  2422,  2423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3627,    -1,    -1,    -1,  3631,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4951,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4979,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5621,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3770,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3785,    -1,
      -1,    -1,    -1,  3790,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2585,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3820,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3770,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5091,    -1,    -1,  3785,    -1,
      -1,    -1,    -1,  3790,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5743,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5121,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3820,    -1,    -1,    -1,    -1,    -1,  5135,
    5136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5170,    -1,    -1,  5173,  5174,  5175,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5287,    -1,  4060,    -1,    -1,  4063,    -1,  4065,    -1,
      -1,    -1,    -1,  4070,    -1,    -1,    -1,    -1,    -1,  5305,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5333,    -1,    -1,
    5336,    -1,    -1,    -1,    -1,    -1,  4113,  5974,  5344,  5345,
      -1,  5347,    -1,    -1,  4121,  5351,  5352,    -1,    -1,    -1,
    5356,    -1,    -1,    -1,    -1,  5361,    -1,    -1,  5364,  5365,
      -1,    -1,    -1,  4060,    -1,  5371,  4063,    -1,  4065,  4146,
      -1,    -1,    -1,  4070,    -1,    -1,  5382,    -1,    -1,    -1,
      -1,    -1,  5388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5396,    -1,    -1,    -1,  5400,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4113,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4121,    -1,    -1,    -1,  5434,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5442,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4225,  4146,
    4227,    -1,    -1,    -1,    -1,    -1,    -1,  6094,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5527,    -1,    -1,    -1,    -1,    -1,    -1,  4225,    -1,
    4227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5549,    -1,    -1,  4323,    -1,    -1,    -1,
    6187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   967,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5572,    -1,    -1,    -1,
     979,    -1,    -1,  5579,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1009,    -1,    -1,  6240,    -1,    -1,  1015,    -1,  6245,  6246,
      -1,    -1,    -1,    -1,    -1,  5621,    -1,    -1,  4395,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5647,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5663,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4367,    -1,  3232,  1216,  1217,    -1,  3236,  3237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5694,    -1,
    4467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4395,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3293,    -1,  5741,  4513,  5743,    -1,  3299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3346,    -1,    -1,    -1,
      -1,    -1,  4489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5810,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1222,  5820,    -1,  4513,  5823,    -1,    -1,
    5826,  5827,  5828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1241,    -1,    -1,    -1,    -1,    -1,  4615,    -1,
      -1,    -1,    -1,    -1,    -1,  5851,  5852,    -1,    -1,  5855,
      -1,    -1,    -1,    -1,    -1,    -1,  1265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5872,    -1,    -1,    -1,
      -1,    -1,    -1,  5879,    -1,    -1,    -1,    -1,  5884,    -1,
      -1,  5887,  5888,    -1,  1427,  1428,    -1,    -1,    -1,  5895,
    4667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5916,    -1,    -1,  5919,    -1,  4692,    -1,    -1,  4615,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5949,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1366,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5974,    -1,
    4667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5985,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3554,  4692,  6633,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6030,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3627,    -1,    -1,
      -1,  3631,    -1,  1482,    -1,    -1,    -1,    -1,    -1,    -1,
    4857,    -1,    -1,    -1,    -1,  6091,    -1,    -1,  6094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1510,  1511,  1512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6145,
      -1,    -1,    -1,  6149,    -1,  6151,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6165,
    4857,  6167,    -1,    -1,    -1,  6171,    -1,    -1,    -1,    -1,
      -1,  6177,    -1,    -1,  4951,  6181,    -1,    -1,    -1,    -1,
      -1,  6187,  6188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1738,    -1,    -1,    -1,    -1,
      -1,    -1,  4979,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3785,    -1,    -1,  6234,    -1,
    3790,    -1,    -1,    -1,  6240,    -1,  1779,    -1,    -1,  6245,
    6246,    -1,    -1,    -1,  6250,    -1,    -1,    -1,    -1,    -1,
    6256,  6257,    -1,    -1,  4951,    -1,    -1,    -1,    -1,    -1,
    3820,    -1,    -1,    -1,    -1,  1808,  1809,  1810,    -1,  1812,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1687,    -1,
      -1,    -1,  4979,    -1,    -1,    -1,  6292,    -1,    -1,    -1,
    1833,    -1,    -1,    -1,  6300,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5121,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6358,  6359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  7000,    -1,    -1,    -1,    -1,    -1,  1912,
      -1,    -1,    -1,  1916,  1917,    -1,    -1,    -1,  6384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6396,    -1,    -1,  5170,    -1,    -1,  5173,    -1,    -1,  6405,
    6406,  6407,    -1,    -1,    -1,  6411,    -1,    -1,  6414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6425,
      -1,    -1,    -1,    -1,  5121,    -1,  6432,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6450,    -1,    -1,    -1,    -1,    -1,
      -1,  6457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6476,    -1,    -1,  5170,    -1,    -1,  5173,  1886,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4060,    -1,    -1,  4063,    -1,  4065,    -1,    -1,    -1,    -1,
    4070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1928,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6558,  4113,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6613,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6629,    -1,    -1,    -1,  6633,    -1,    -1,
      -1,    -1,  6638,    -1,  6640,    -1,  6642,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6670,  4225,    -1,  4227,    -1,    -1,
      -1,  2080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2089,    -1,  2225,  2226,  2227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2117,    -1,
      -1,    -1,    -1,    -1,  2123,  2124,    -1,    -1,  2127,  6725,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6735,
      -1,  2140,    -1,    -1,  2143,    -1,    -1,  6743,  6744,    -1,
      -1,    -1,    -1,  6749,    -1,    -1,    -1,    -1,    -1,    -1,
    5527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4323,    -1,    -1,    -1,    -1,    -1,    -1,
    6776,    -1,  5549,    -1,    -1,    -1,    -1,  5474,    -1,    -1,
    6786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2213,    -1,    -1,  4367,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5527,    -1,  2241,    -1,    -1,  4395,    -1,    -1,    -1,    -1,
    6846,    -1,    -1,  2252,  5621,    -1,  6852,    -1,    -1,    -1,
      -1,    -1,  5549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6870,    -1,    -1,    -1,    -1,    -1,
      -1,  6877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6887,    -1,    -1,  6890,  2294,  2295,  6893,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4467,    -1,    -1,
    2319,    -1,    -1,    -1,  6920,    -1,    -1,  2326,    -1,    -1,
      -1,    -1,    -1,    -1,  5621,    -1,    -1,    -1,    -1,  4489,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4513,    -1,    -1,    -1,    -1,  6964,    -1,
      -1,    -1,  6968,    -1,    -1,    -1,  5743,  6973,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6986,    -1,    -1,    -1,    -1,    -1,    -1,  2530,    -1,    -1,
      -1,    -1,    -1,    -1,  7000,    -1,  2539,  2540,  2541,  2542,
    2543,  2544,  2545,  2546,  2547,  2548,    -1,    -1,    -1,    -1,
    2553,    -1,  2555,    -1,  2557,    -1,    -1,  2560,  2561,  2562,
      -1,    -1,    -1,    -1,    -1,  2568,    -1,    -1,  2571,    -1,
      -1,  7037,  7038,    -1,    -1,    -1,    -1,  2446,    -1,  7045,
      -1,    -1,    -1,  2586,  2587,  2588,  5743,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4615,    -1,    -1,  7064,  7065,
      -1,  2604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2488,
    2489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2509,    -1,    -1,  2512,    -1,    -1,    -1,  4667,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5974,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2751,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5974,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4857,    -1,    -1,
      -1,  1825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6094,  2861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4951,    -1,    -1,    -1,    -1,    -1,  6094,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4979,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6240,    -1,    -1,    -1,    -1,  6245,  6246,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,    -1,  3055,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3067,    -1,    -1,  3070,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6240,    -1,    -1,    -1,    -1,  6245,  6246,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6359,  3126,    -1,    -1,    -1,  3130,    -1,    -1,
    3133,    -1,  3135,    -1,    -1,  3138,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5170,    -1,    -1,  5173,    -1,    -1,    -1,    -1,    -1,  3162,
    3163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3066,    -1,    -1,
      -1,    -1,  6359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3092,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2231,    -1,    -1,
      -1,  2235,    -1,    -1,    -1,  3124,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3142,  3143,    -1,    -1,  3280,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3176,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6633,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6633,    -1,    -1,    -1,
      -1,  3350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5527,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3385,  3520,  3521,  3522,
      -1,    -1,    -1,  3526,    -1,    -1,    -1,    -1,    -1,  5549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2528,    -1,    -1,    -1,    -1,    -1,
    3553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2554,    -1,    -1,    -1,  2558,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2573,
    2574,  2575,    -1,    -1,  2578,    -1,    -1,    -1,    -1,    -1,
      -1,  5621,  3471,  3472,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3573,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5743,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  7000,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3798,    -1,    -1,    -1,    -1,
    3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  7000,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3865,    -1,  3867,  3868,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3881,    -1,
      -1,  3884,    -1,  3886,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3923,    -1,  3925,    -1,  3927,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5974,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3991,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6094,    -1,    -1,    -1,    -1,  3063,
      -1,    -1,    -1,    -1,  3953,    -1,    -1,    -1,    -1,  4092,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3983,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3149,    -1,  6187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3161,    -1,    -1,
      -1,    -1,  3166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6240,    -1,    -1,    -1,    -1,  6245,  6246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6359,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4352,
      -1,    -1,    -1,    -1,    -1,  4358,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4438,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4406,  4407,  4408,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4460,  4461,    -1,    -1,    -1,  4465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4612,
      -1,    -1,    -1,  6633,    -1,    -1,    -1,    -1,  4621,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4635,    -1,    -1,    -1,  4639,  4640,  4641,    -1,
      -1,    -1,    -1,  4646,    -1,    -1,  4649,    -1,    -1,  4652,
      -1,    -1,    -1,    -1,    -1,  4658,    -1,  4660,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4687,  4688,  4689,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4706,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4714,    -1,    -1,  4717,    -1,  4719,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4593,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4735,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4743,  4744,    -1,    -1,    -1,    -1,    -1,  4750,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4777,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3801,    -1,    -1,
      -1,  4824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3818,    -1,    -1,    -1,  4841,    -1,
      -1,    -1,    -1,    -1,  3828,    -1,    -1,    -1,    -1,    -1,
    3834,    -1,    -1,  3837,    -1,    -1,    -1,    -1,    -1,    -1,
    3844,  3845,    -1,  3847,    -1,    -1,    -1,    -1,  3852,  3853,
      -1,  3855,    -1,  3857,    -1,    -1,    -1,  3861,    -1,    -1,
    3864,    -1,    -1,    -1,    -1,  3869,    -1,    -1,    -1,    -1,
    4759,  4760,  4761,    -1,  3878,    -1,    -1,    -1,    -1,  3883,
      -1,    -1,    -1,    -1,    -1,    -1,  3890,  3891,  3892,  3893,
      -1,    -1,    -1,    -1,  3898,  3899,    -1,  3901,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3920,    -1,  3922,    -1,
      -1,    -1,    -1,    -1,    -1,  3929,  3930,  3931,  3932,  3933,
    3934,  3935,  3936,  3937,  3938,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    7000,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3984,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5174,  5175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5098,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5130,    -1,    -1,    -1,    -1,    -1,    -1,  5271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5197,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5344,  5345,    -1,    -1,    -1,    -1,    -1,  5351,  5352,
      -1,    -1,    -1,  5356,    -1,    -1,    -1,    -1,  5361,    -1,
    5229,  5364,  5365,    -1,    -1,    -1,    -1,    -1,  5371,    -1,
      -1,    -1,  4356,  4357,    -1,    -1,    -1,  4361,    -1,  5382,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4390,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5442,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5492,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5375,  5376,  5377,  5378,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5572,
      -1,    -1,    -1,    -1,    -1,    -1,  5579,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4611,    -1,    -1,
      -1,    -1,    -1,  4617,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5647,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4664,  4665,    -1,    -1,  4668,  4669,  4670,  4671,    -1,    -1,
    4674,  4675,  4676,  4677,  4678,  4679,  4680,  4681,  4682,  4683,
    4684,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4707,    -1,    -1,  4710,    -1,  4712,    -1,
      -1,  4715,  4716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4737,  4738,  4739,  4740,    -1,  4742,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5810,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5820,    -1,    -1,
      -1,    -1,    -1,  5826,  5827,  5828,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5851,  5852,
      -1,    -1,  5855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5736,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5747,    -1,
      -1,    -1,  4866,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5919,  4901,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5091,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6128,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6149,    -1,    -1,    -1,
    5134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6177,    -1,    -1,    -1,  6047,    -1,
      -1,    -1,    -1,  6052,    -1,  6188,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6071,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6250,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5272,  6292,
      -1,    -1,  5276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5289,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5297,    -1,  5299,    -1,  5301,  5302,    -1,
      -1,    -1,    -1,  5307,  5308,  5309,  5310,    -1,    -1,    -1,
    5314,  5315,  5316,  5317,  5318,  5319,  5320,  5321,  5322,  5323,
    5324,  5325,  5326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6227,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5350,    -1,    -1,  5353,
      -1,  5355,    -1,    -1,    -1,  5359,    -1,    -1,  5362,  5363,
      -1,  6384,  5366,  5367,    -1,    -1,    -1,    -1,  5372,    -1,
      -1,    -1,    -1,  6396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6405,  6406,  6407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6432,
      -1,  5415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5433,
      -1,    -1,    -1,    -1,  6457,    -1,  6325,    -1,    -1,    -1,
      -1,    -1,    -1,  5447,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6642,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5650,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6725,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6749,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5738,  5739,    -1,    -1,    -1,    -1,
      -1,    -1,  5746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6786,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5799,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5822,  5823,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5841,    -1,  5843,
      -1,    -1,    -1,  5847,  5848,  5849,  5850,    -1,    -1,  5853,
    5854,    -1,    -1,    -1,  6877,  5859,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5918,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6964,    -1,  5947,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5996,    -1,  5998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  7037,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6033,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6142,    -1,
    6144,  6145,  6146,  6147,  6148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6161,  6162,  6163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6171,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6189,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6397,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6409,    -1,    -1,    -1,    -1,
    6414,    -1,    -1,  6417,    -1,    -1,    -1,  6421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6487,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6609,    -1,    -1,    -1,    -1,
      -1,    -1,  6616,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6627,    -1,  6629,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6653,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6668,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6869,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6887,    -1,    -1,  6890,    -1,    -1,  6893,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6958,    -1,  6960,    -1,  6962,    -1,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,  7002,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,   609,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,   205,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,   596,    -1,    -1,    -1,    -1,
      -1,    -1,   603,   604,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,   582,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,   604,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,   604,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,   604,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,   604,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,    -1,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,    -1,
     361,    -1,   363,   364,   365,   366,    -1,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,    -1,   408,    -1,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,    -1,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,    -1,
     521,    -1,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,    -1,   548,   549,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,   579,   580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,   604,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,    -1,   361,    -1,   363,
     364,   365,   366,    -1,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,    -1,   498,    -1,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,    -1,   521,    -1,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,    -1,   548,   549,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   578,   579,   580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     604,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,   534,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,   582,    -1,   584,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,   534,   535,   536,   537,
     538,   539,   540,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,   582,    -1,   584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,   534,   535,   536,   537,   538,
     539,   540,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,   106,   107,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,   534,   535,   536,   537,   538,   539,
     540,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   603,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,   106,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,   534,   535,   536,   537,   538,   539,   540,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
     582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,   601,
     602,   603,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,   534,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,   582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   594,   595,   596,    -1,    -1,    -1,    -1,    -1,    -1,
     603,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,
     595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,   534,   535,
     536,   537,   538,   539,   540,    -1,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,   534,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,   516,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,   534,   535,   536,   537,
     538,   539,   540,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,   534,   535,   536,   537,   538,
     539,   540,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,   534,   535,   536,   537,   538,   539,
     540,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   603,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,   534,   535,   536,   537,   538,   539,   540,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
     582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   603,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,   534,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,   582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     603,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,
     595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,   534,   535,
     536,   537,   538,   539,   540,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,   534,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,   540,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,   540,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      -1,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
     540,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   603,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    -1,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   603,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    -1,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   603,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    -1,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,   540,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   603,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,   379,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,    -1,
      -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     603,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,   379,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   603,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   603,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   603,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,   540,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   603,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     603,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,   603,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,   604,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,   503,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,    -1,    -1,   584,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,   603,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,   503,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,    -1,    -1,   584,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,   603,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
     379,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,   503,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,   603,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,   602,   603,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,   603,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
     603,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,   603,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
     603,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   603,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    -1,    -1,    80,    81,
      -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,    -1,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,    -1,   517,   518,   519,    -1,   521,
      -1,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,    -1,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   578,   579,   580,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    -1,    -1,    80,    81,    -1,    -1,    -1,    -1,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
      -1,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,    -1,
     517,   518,   519,    -1,   521,    -1,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
      -1,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,    -1,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
      -1,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,    -1,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,    -1,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,    -1,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   596,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
      -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,    -1,   361,    -1,   363,   364,
     365,   366,    -1,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,    -1,   408,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,    -1,   521,    -1,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,   549,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   578,   579,   580,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,   596,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
      -1,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,    -1,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     596,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   596,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   596,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   596,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,   247,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,    -1,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,    -1,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,    -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,   594,   595,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,   247,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,   594,   595,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,   247,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
     594,   595,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,   247,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
      -1,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,    -1,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,   594,   595,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,   516,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     4,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,   593,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,    -1,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,    -1,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      75,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
      -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,    -1,   361,    -1,   363,   364,
     365,   366,    -1,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,    -1,   408,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,    -1,   521,    -1,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,   549,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   578,   579,   580,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
      -1,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,    -1,   361,    -1,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,    -1,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,    -1,   408,
      -1,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,   498,
      -1,   500,   501,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,    -1,   521,    -1,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,
     579,   580,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,    -1,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,    -1,
     363,   364,   365,   366,    -1,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,    -1,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,    -1,   408,    -1,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,    -1,   498,    -1,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,    -1,   521,    -1,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,    -1,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   578,   579,   580,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,    -1,    -1,
      -1,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,    -1,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,    -1,   363,   364,   365,   366,
      -1,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
      -1,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
      -1,   408,    -1,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
      -1,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,    -1,   521,    -1,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
      -1,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   578,   579,   580,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,    -1,   234,    -1,   236,   237,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,    -1,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,    -1,
     361,    -1,   363,   364,   365,   366,    -1,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,    -1,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,    -1,   408,    -1,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,    -1,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,    -1,
     521,    -1,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,    -1,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,   579,   580,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,    -1,   234,
      -1,   236,   237,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
      -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,    -1,   361,    -1,   363,   364,
     365,   366,    -1,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,    -1,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,    -1,   408,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,    -1,   521,    -1,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   578,   579,   580,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
      -1,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,    -1,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,    -1,   408,
      -1,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,    -1,   521,    -1,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,
     579,   580,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,    -1,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,    -1,   361,    -1,
     363,   364,   365,   366,    -1,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,    -1,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,    -1,   408,    -1,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,    -1,   498,    -1,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,    -1,   521,    -1,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,    -1,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   578,   579,   580,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,    -1,    -1,
      -1,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,    -1,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,    -1,   361,    -1,   363,   364,   365,   366,
      -1,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
      -1,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
      -1,   408,    -1,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
      -1,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,    -1,   521,    -1,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
      -1,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   578,   579,   580,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,    -1,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,    -1,
     361,    -1,   363,   364,   365,   366,    -1,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,    -1,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,    -1,   408,    -1,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,    -1,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,    -1,
     521,    -1,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,    -1,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,   579,   580,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
      -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,    -1,   361,    -1,   363,   364,
     365,   366,    -1,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,    -1,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,    -1,   408,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,    -1,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,    -1,   521,    -1,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   578,   579,   580,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,    -1,   124,    -1,    -1,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
      -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,    -1,    -1,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,    -1,   234,    -1,   236,   237,   238,
      -1,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,    -1,    -1,    -1,   293,   294,   295,   296,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
      -1,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,    -1,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,    -1,
     369,    -1,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,    -1,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,    -1,   408,
      -1,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,    -1,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,    -1,    -1,    -1,    -1,   518,
     519,    -1,   521,    -1,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,    -1,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
      -1,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,    -1,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,    -1,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,    -1,
      -1,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,   534,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,   534,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,   173,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,   379,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,   503,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,   503,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
     379,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,   503,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,   503,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
     379,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,   540,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
     379,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,   379,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,    -1,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,    -1,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,    -1,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
      -1,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,    -1,   579,   580,    -1,    -1,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,   596,
      -1,    -1,    -1,    -1,    -1,    -1,   603,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
      -1,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,   464,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,    -1,   579,   580,   581,    -1,
      -1,   584,    -1,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
     603,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,    -1,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,   387,   388,    -1,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,    -1,   551,   552,   553,   554,   555,
     556,    -1,   558,    -1,    -1,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,    -1,   579,   580,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,    -1,   579,   580,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    -1,    -1,    -1,    81,   594,
     595,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
      -1,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,    -1,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,    -1,   579,   580,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,
      81,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,    -1,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,    -1,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,    -1,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,    -1,   579,   580,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    -1,
      -1,    -1,    81,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
      -1,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,    -1,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,    69,
     579,   580,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,    -1,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,    -1,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,    -1,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,    -1,   579,
     580,   581,    69,    70,    -1,    -1,    73,    -1,    -1,    76,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,    -1,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,   176,
     177,    -1,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,   516,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
      -1,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,    -1,   579,   580,    69,    70,    -1,    -1,    73,    -1,
      -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,   176,   177,    -1,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,    69,   579,   580,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,    -1,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
     176,   177,    -1,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,    -1,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,    69,   579,   580,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,    -1,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,   176,
     177,    -1,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
      -1,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,    69,   579,   580,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,    -1,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,   176,   177,
      -1,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,    -1,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,   540,    -1,   542,   543,   544,   545,   546,    -1,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
      69,   579,   580,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
      -1,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,   176,   177,    -1,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,    -1,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,    69,
     579,   580,    -1,    73,    -1,    -1,    76,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,    -1,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,    -1,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,    -1,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,    69,   579,
     580,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,    -1,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,   176,   177,    -1,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,    -1,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,    -1,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,    69,   579,   580,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,    -1,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,   176,   177,    -1,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,    -1,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,    -1,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,    69,   579,   580,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,   176,   177,    -1,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
      -1,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,    -1,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,    69,   579,   580,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,   176,   177,    -1,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,    -1,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,    69,   579,   580,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,   176,   177,    -1,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,    69,   579,   580,    -1,    73,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,    -1,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
      -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,    -1,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,    69,   579,   580,    -1,    73,    -1,    -1,    76,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,    -1,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
      -1,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,    69,   579,   580,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,    -1,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,    -1,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,    -1,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
      -1,   579,   580
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   612,  1327,     0,     5,    24,    34,    35,    39,    41,
      42,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    71,    73,    75,    76,
      81,   139,   218,   239,   263,   288,   341,   344,   367,   462,
     516,   533,   548,   578,   593,   594,   595,   596,   597,   598,
     601,   602,   603,   604,   606,   607,   608,   609,   610,  1315,
    1328,  1358,  1360,  1450,  1460,  1461,  1463,  1469,  1470,  1359,
       3,     8,    12,    14,    16,    17,    27,    35,    41,    42,
      43,    44,    48,    49,    54,    63,    65,    67,    68,    73,
      90,   101,   103,   104,   115,   121,   131,   143,   145,   146,
     152,   154,   167,   169,   184,   186,   188,   189,   204,   206,
     210,   217,   218,   226,   228,   235,   239,   253,   270,   291,
     324,   325,   330,   345,   364,   370,   411,   426,   432,   433,
     435,   440,   446,   449,   456,   463,   464,   471,   475,   486,
     494,   503,   515,   524,   526,   533,   536,   542,   547,   548,
     560,   584,   603,   613,   614,   619,   620,   626,   627,   629,
     630,   631,   632,   634,   637,   649,   654,   655,   658,   659,
     660,   680,   683,   684,   699,   750,   753,   756,   759,   760,
     761,   769,   776,   778,   779,   782,   785,   786,   790,   799,
     803,   804,   805,   808,   810,   811,   812,   813,   821,   823,
     843,   847,   849,   850,   860,   862,   869,   870,   873,   874,
     875,   876,   877,   886,   888,   890,   893,   897,   898,   908,
     909,   914,   919,   930,   962,   965,   966,   967,   972,   975,
     977,   979,   981,   982,   986,   987,   990,   992,   993,   997,
     998,   999,  1002,  1003,  1004,  1005,  1006,  1013,  1015,  1016,
    1017,  1018,  1024,  1026,  1027,  1033,  1034,  1035,  1038,  1039,
    1040,  1041,  1043,  1044,  1046,  1047,  1049,  1050,  1052,  1064,
    1066,  1069,  1071,  1080,  1082,  1087,  1092,  1102,  1106,  1107,
    1108,  1109,  1110,  1111,  1117,  1152,  1329,  1332,  1333,  1350,
    1351,  1352,  1353,  1354,  1365,  1367,  1371,  1372,  1373,  1374,
    1375,  1377,  1379,  1381,  1382,  1383,  1384,  1386,  1391,  1392,
    1396,  1397,  1406,  1408,  1409,  1410,  1413,  1418,  1421,  1426,
    1428,  1429,  1432,  1434,  1471,    71,  1354,  1362,  1363,    13,
      70,    90,    91,    92,    93,    94,    95,    96,    97,    98,
     100,   101,   102,   110,   111,   112,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   128,
     129,   130,   131,   132,   133,   134,   137,   138,   140,   141,
     143,   144,   145,   146,   147,   149,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   163,   164,   165,   166,
     167,   168,   170,   171,   172,   176,   177,   180,   181,   182,
     183,   184,   186,   187,   188,   189,   191,   193,   194,   195,
     196,   197,   198,   199,   201,   202,   203,   204,   207,   208,
     209,   210,   211,   213,   214,   215,   216,   218,   219,   220,
     221,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   234,   236,   237,   238,   239,   240,   242,   244,   245,
     246,   248,   249,   250,   251,   252,   254,   255,   257,   258,
     259,   261,   262,   264,   265,   266,   267,   268,   269,   270,
     272,   273,   274,   275,   276,   277,   278,   279,   281,   282,
     283,   285,   286,   287,   289,   291,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   318,
     319,   320,   321,   322,   324,   325,   326,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   342,
     343,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   363,   364,
     365,   366,   368,   369,   370,   371,   372,   373,   375,   376,
     377,   380,   381,   382,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   463,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   500,   501,   504,   505,   506,   507,   508,   509,   510,
     511,   513,   514,   515,   516,   518,   519,   520,   521,   522,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   535,
     536,   537,   538,   539,   542,   543,   544,   545,   546,   548,
     550,   551,   552,   553,   554,   555,   558,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   579,   580,  1317,  1318,  1320,  1322,
    1323,  1324,  1343,  1344,  1455,  1457,  1461,  1463,    28,   284,
    1407,     6,     7,     8,     9,    10,    11,    12,    14,    15,
      18,    19,    20,    21,    22,    23,    25,    26,    27,    30,
      31,    32,    33,    36,    37,    38,    40,    43,    44,    48,
      49,    54,    63,    65,    67,    68,    99,   139,   161,   173,
     185,   190,   263,   341,   344,   462,   547,   578,  1310,  1322,
    1323,  1345,  1393,  1394,  1436,  1437,  1438,  1442,  1446,  1447,
    1448,  1457,  1463,    99,  1103,  1310,  1345,  1454,    13,  1103,
       5,    24,    28,    34,    35,    41,    42,    99,   103,   104,
     105,   106,   107,   108,   109,   113,   127,   135,   136,   139,
     142,   148,   150,   161,   162,   169,   173,   174,   175,   176,
     178,   179,   180,   190,   192,   200,   205,   206,   212,   217,
     222,   233,   235,   241,   243,   247,   253,   256,   260,   271,
     280,   284,   288,   290,   292,   316,   317,   323,   327,   328,
     362,   367,   374,   378,   379,   383,   384,   403,   413,   430,
     444,   464,   470,   481,   499,   502,   503,   512,   516,   517,
     523,   533,   534,   540,   541,   547,   549,   556,   557,   559,
     560,  1322,  1323,  1324,  1325,  1437,  1438,  1439,  1440,  1444,
    1445,  1446,  1448,  1463,    24,    34,   139,   288,  1433,    36,
      38,   362,  1366,   185,   263,   341,   344,   462,   578,   603,
    1214,  1215,  1357,   518,   563,  1019,    98,   149,   166,   184,
     190,   208,   221,   230,   243,   249,   256,   276,   314,   336,
     380,   406,   416,   417,   420,   448,   451,   455,   458,   465,
     468,   488,   496,   501,   503,   506,   511,   521,   526,   540,
     553,   775,  1394,   189,  1019,  1220,  1313,  1324,  1436,  1439,
    1442,  1443,  1446,  1447,  1463,    99,  1103,   551,   603,  1057,
     378,   412,  1019,   124,   603,   691,    93,   111,   136,   149,
     184,   190,   208,   221,   230,   243,   252,   256,   326,   380,
     383,   406,   420,   448,   458,   468,   488,   496,   506,   508,
     510,   511,   526,   534,   537,   540,   700,   758,   865,   920,
     931,  1310,  1334,  1335,  1336,  1345,  1461,  1463,    13,    99,
     411,  1310,  1345,  1349,   603,   487,  1103,  1310,  1345,  1349,
      99,   405,   466,   508,   510,   313,   973,   974,  1461,    93,
      98,   136,   149,   166,   184,   208,   221,   230,   243,   249,
     256,   276,   336,   380,   393,   406,   417,   420,   448,   451,
     455,   458,   465,   468,   488,   496,   503,   506,   511,   519,
     521,   526,   540,   553,   775,   878,   880,   881,  1019,   609,
    1376,  1440,   267,  1349,   169,   189,   226,   551,   603,   756,
     759,  1052,  1065,  1069,  1071,  1080,  1087,  1092,  1102,  1106,
    1329,    92,    99,   119,   238,   245,   247,   271,   315,   353,
     414,   434,   594,   595,   894,   895,  1103,  1315,  1316,  1455,
    1457,    99,   101,   169,   430,   464,   899,   900,   901,  1442,
     243,  1357,  1442,  1312,  1461,   503,  1120,   119,   245,   894,
    1442,   603,   518,  1349,   393,   336,   603,   985,   456,  1442,
      99,   139,   469,   514,   518,   547,   641,   650,   651,  1322,
    1323,  1436,  1441,  1446,  1448,  1463,   253,   899,   900,  1442,
     412,  1019,  1442,   312,    99,   205,  1122,  1123,     4,    13,
     137,   161,   163,   326,   347,   448,   458,   469,   514,   518,
     566,   638,   639,   640,   641,    99,   469,   514,   518,   641,
     518,   379,  1164,  1165,  1308,  1442,  1120,  1430,  1440,   596,
    1442,   248,   603,  1058,   603,   428,  1112,  1113,  1310,  1112,
    1107,  1108,  1111,   607,   603,  1057,   222,   290,   384,   533,
    1124,  1125,  1107,  1109,  1110,   195,   286,   338,   539,   606,
     121,   613,  1374,  1377,  1373,  1369,   607,  1378,  1380,     5,
      24,    34,   139,   209,   288,  1385,  1361,  1450,    71,  1354,
    1310,  1345,  1464,   190,  1334,    20,   541,   597,  1349,  1349,
    1464,   541,  1398,  1399,  1400,    24,   288,   288,  1444,    18,
      19,    37,    40,   131,   165,   206,  1435,  1435,    15,  1374,
     516,   516,   516,   516,   603,   516,   594,   595,   767,  1316,
    1355,  1460,   105,  1023,   947,  1313,   883,  1442,   883,  1310,
     415,   883,   521,  1310,   183,   503,   935,  1313,  1324,  1442,
    1317,  1318,    99,   265,  1308,   371,   553,    80,    87,    88,
      89,   144,   234,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   969,   971,  1251,  1252,  1442,   265,  1310,   935,
    1310,    99,  1317,  1318,   935,  1310,  1310,   265,  1308,  1310,
     265,   883,  1310,   440,   471,    99,   265,  1164,  1310,   461,
    1310,   883,    99,   333,  1317,  1318,   265,  1308,   313,    33,
     192,   296,   362,   424,  1020,  1021,  1022,   603,   601,   605,
    1277,  1279,   581,  1051,  1052,  1053,  1054,  1320,  1308,  1310,
    1442,    98,   136,   150,   162,   184,   208,   249,   276,   314,
     380,   417,   448,   451,   496,   506,   519,   526,   878,   879,
     880,   881,  1461,  1023,  1068,  1071,  1080,  1087,  1092,  1106,
    1308,   340,   883,   603,   265,   883,  1310,   883,   521,   265,
    1310,   183,   503,   508,   510,  1317,   508,   510,   144,   234,
     969,   438,  1310,  1310,  1317,   265,   615,  1442,   265,  1310,
     265,   616,   883,  1310,  1310,   461,   883,   333,  1317,   428,
     465,   503,   553,   336,   166,   276,    98,   162,   249,   417,
     455,   519,   521,   525,   770,    80,  1337,  1338,   608,  1457,
    1464,    99,  1349,  1355,  1463,  1104,   487,   648,  1320,  1461,
     974,   340,   265,   947,   948,   265,   978,   265,  1310,   123,
     125,   126,   139,   140,   187,   188,   209,   239,   265,   288,
     289,   291,   298,   348,   350,   370,   425,   473,   479,   514,
     515,   548,   885,  1193,  1195,  1197,  1199,  1201,  1203,  1204,
    1205,  1207,  1208,  1209,  1211,  1212,  1216,  1436,  1443,  1446,
    1447,  1463,   521,   183,   503,   265,   934,   935,   265,  1318,
    1319,   157,   553,   144,   234,   265,   970,   971,   129,   265,
     934,   265,  1319,   265,   934,   265,  1310,   265,  1310,   461,
     978,   265,   885,   265,   333,  1319,   313,   265,   882,   883,
     265,  1309,  1310,   265,  1310,  1023,   603,   609,  1465,  1466,
    1467,  1468,  1470,  1376,    69,  1345,  1395,   603,  1070,   700,
    1103,  1065,  1051,  1057,  1316,   895,   896,    99,   895,  1103,
    1316,   896,    99,   895,  1103,  1316,   896,   896,   896,  1316,
    1315,  1315,   292,   541,  1400,  1401,  1474,  1476,  1103,   896,
     415,   603,   501,   603,   727,   727,   727,   378,   516,   606,
     727,   458,  1164,  1166,   895,  1103,   895,  1103,   606,  1014,
    1355,  1461,   247,   603,  1067,   129,   553,  1051,   184,   276,
     458,   501,   503,   983,   984,  1442,   118,   580,   296,   605,
     381,   378,   247,   381,  1461,   516,  1023,   241,   891,   378,
      78,    79,    80,    82,   107,   123,   125,   126,   135,   136,
     139,   140,   147,   149,   174,   175,   176,   177,   178,   179,
     180,   187,   188,   190,   227,   232,   233,   239,   255,   257,
     289,   291,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   308,   319,   327,   328,   339,   348,   350,   360,   362,
     367,   368,   370,   380,   391,   407,   425,   453,   470,   479,
     497,   502,   514,   515,   520,   522,   523,   534,   540,   548,
     568,   569,   570,   571,   573,   574,   575,   576,   582,   594,
     595,   596,   603,  1107,  1196,  1199,  1202,  1203,  1204,  1206,
    1207,  1208,  1211,  1212,  1216,  1217,  1219,  1220,  1221,  1223,
    1247,  1248,  1249,  1253,  1271,  1276,  1302,  1305,  1306,  1313,
    1314,  1315,  1442,  1453,  1455,  1457,  1458,  1459,  1460,  1461,
    1462,  1304,  1305,   516,   593,  1464,  1461,   516,   593,  1394,
      99,   656,  1307,  1308,   469,   638,   190,   647,  1461,   648,
    1461,   118,   141,   638,   580,   480,  1021,   381,   247,   516,
     593,   118,   580,   296,  1474,  1022,   603,  1308,   596,  1279,
    1166,  1445,  1051,   246,  1059,  1217,  1256,  1112,   606,   603,
    1060,   604,   604,  1051,  1061,  1062,  1063,  1308,    99,   205,
    1121,  1121,   129,  1121,   235,   241,   323,   374,  1128,  1130,
    1131,  1146,  1148,  1149,  1150,  1124,  1125,   247,   292,   292,
    1164,  1167,   603,   607,  1368,   596,  1387,  1388,  1390,   609,
     609,    24,   288,   288,   217,   108,  1341,   129,  1344,  1344,
     292,  1400,  1402,   292,  1400,  1401,  1402,   546,  1411,  1412,
    1457,    13,   483,   594,   595,  1315,  1403,  1404,  1405,  1453,
    1455,  1459,  1460,  1461,  1462,   288,   294,   516,  1310,  1310,
       6,   165,  1310,  1435,  1390,   185,   263,   341,  1215,   341,
    1215,  1215,   344,  1315,   341,   344,   462,  1460,  1460,   606,
    1356,   138,   358,   394,   436,   471,   603,   945,   394,   432,
     436,   471,   605,   884,   394,   436,   471,   161,   215,   329,
     394,   432,   436,   471,   506,   509,   560,   649,   652,  1028,
    1029,  1030,  1031,  1463,   915,    95,   210,   394,   436,   471,
     544,   665,  1310,    95,   210,   471,   539,   633,   564,   265,
    1164,   132,   168,   231,   268,   318,   358,   362,   394,   395,
     436,   445,   454,   463,   471,   484,   493,   498,   555,   649,
     653,   951,   963,   991,   603,   932,  1279,   436,   633,   271,
     227,    95,   101,   116,   146,   203,   210,   214,   242,   278,
     358,   362,   372,   382,   394,   436,   439,   440,   471,   544,
     661,   663,   664,   793,   991,   767,    99,   265,  1308,   883,
     883,   603,   968,   394,   471,   605,   227,   378,   394,   436,
     471,   963,   991,    95,   210,   394,   436,   471,   271,   628,
     436,   560,   584,   621,   628,   394,   436,   471,   963,   991,
     378,   394,   436,   227,   108,   130,   182,   274,   337,   342,
     358,   393,   436,   441,   465,   471,   486,   661,   764,   765,
     394,   436,   552,   793,   801,   227,   394,   436,   471,    95,
     161,   203,   210,   214,   394,   432,   436,   471,   478,   651,
     639,   641,   271,   227,   116,   201,   358,   436,   471,   661,
     662,   394,   436,   440,   471,   159,   202,   397,   509,   378,
      95,   101,   210,   394,   436,   471,   681,   682,   628,   241,
     436,   621,   628,   227,   436,   471,   661,  1310,   607,   321,
     192,   379,   565,   606,  1020,    99,   205,   549,   596,   604,
     940,  1217,  1257,  1258,  1443,  1217,  1278,   596,  1311,  1444,
    1277,   604,   606,   233,   378,   523,   645,   648,   767,  1055,
     541,  1048,   378,   947,   603,   883,  1310,  1193,   935,   371,
     144,   234,   971,   935,   935,   241,  1193,   883,  1310,  1310,
     604,   727,  1310,   142,  1193,   362,   247,   603,   851,   621,
     108,  1042,  1310,   362,   621,   564,   265,  1308,   621,   883,
     883,   851,   537,   700,   378,   241,   560,   959,   621,   362,
     118,   635,   362,   526,   800,   362,  1060,   161,   394,   777,
     159,   202,   397,   509,   108,   851,   241,   265,   621,   553,
     265,  1308,   265,   754,  1308,  1308,   553,   883,   157,   617,
    1313,   521,  1313,  1313,  1310,   241,  1310,   775,    72,  1339,
    1442,   608,  1340,  1337,  1356,   110,   124,   181,   285,   358,
     460,   227,   133,   442,   606,   618,   227,   603,   227,   621,
     550,  1210,  1210,  1210,   603,  1198,  1198,   409,   603,  1200,
     227,   139,   140,  1210,  1198,  1195,   584,   585,   603,  1213,
     603,  1213,   606,   618,   107,  1194,   603,   185,   344,   578,
     603,  1214,   884,  1198,   564,   227,   606,   618,   227,   606,
     265,   882,   265,   883,   265,   883,   227,   606,   618,  1319,
     227,   618,   227,   227,   618,   227,   618,   227,   159,   202,
     397,   509,   241,   227,   618,   227,   241,   265,   227,   606,
     618,   227,   606,   618,   227,   378,   604,  1466,  1467,  1465,
     606,   610,  1256,  1399,  1473,  1474,   503,  1104,   604,  1065,
     896,  1103,   896,  1103,  1476,  1477,   896,  1103,   896,  1103,
    1477,   896,  1103,  1103,  1103,   896,    13,   483,  1449,  1452,
    1457,  1103,   603,   728,   729,  1442,   728,    99,   184,   208,
     243,   249,   313,   314,   396,   417,   451,   458,   465,   503,
     506,   526,   904,  1307,  1319,   901,  1310,   271,   606,  1083,
    1103,  1103,  1461,  1356,  1395,  1193,  1260,   108,  1319,   617,
     604,   617,   617,   617,   321,  1442,   241,   904,  1319,   241,
     456,  1442,   648,   378,   603,   601,  1107,  1261,  1217,  1275,
     603,   603,   241,   603,   603,  1107,   603,   603,   603,   603,
     603,   603,   603,   603,   603,   603,   603,   603,   603,   603,
     603,   603,   603,   603,  1217,   603,   603,   603,   603,   603,
     603,   603,   603,   369,   716,   603,   603,   603,   603,   603,
     603,   603,   603,  1217,  1217,  1217,   547,  1107,  1217,  1256,
    1279,  1461,   603,  1461,    80,    83,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   237,   238,
     239,   240,   242,   243,   244,   245,   246,   248,   249,   250,
     251,   252,   254,   255,   257,   258,   259,   261,   262,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   291,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   342,   343,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   375,   376,   377,   379,   380,   381,
     382,   383,   385,   386,   387,   388,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     551,   552,   553,   554,   555,   556,   558,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   579,   580,   582,   591,   592,   593,   594,   595,
     596,   597,   598,   599,  1251,  1253,  1255,  1321,  1326,  1463,
     561,  1234,   390,  1217,   236,  1235,   292,   606,  1118,  1474,
     603,  1461,  1279,    21,  1456,  1457,  1280,  1118,   373,   378,
    1427,  1427,     9,   546,  1414,  1415,  1417,  1394,  1394,   193,
     267,   657,   606,   141,   190,   648,   108,   190,   326,   646,
     767,  1212,  1461,  1463,  1461,   164,   207,  1229,   173,   190,
     642,   643,   645,   767,   190,   642,  1474,  1474,   321,  1308,
     165,   441,   887,   294,   604,  1057,   105,   115,   122,   148,
     266,   271,   294,   322,   380,   383,   476,   604,   606,  1113,
    1309,   108,   604,   606,  1060,  1109,  1109,  1126,  1127,  1217,
    1109,   238,   353,  1137,   310,   358,   424,   474,   539,    99,
    1132,  1217,   594,   595,  1133,  1134,  1217,  1219,  1146,  1147,
    1131,  1130,  1128,  1129,   241,  1149,   372,  1151,  1128,  1146,
    1167,  1072,  1308,  1167,   108,  1442,   471,  1256,  1387,   596,
     606,   607,  1445,  1364,  1367,  1364,   288,   189,  1394,   540,
    1342,  1344,  1310,   483,  1315,  1416,  1457,   606,   593,  1310,
      13,  1315,  1460,  1315,  1460,   606,  1374,  1310,   603,   603,
    1445,   604,   767,   604,   138,   516,   516,   458,   271,   283,
     384,   387,   473,   549,   596,   938,   939,   940,   942,   944,
     946,  1193,  1443,   516,   552,   516,   458,  1311,   605,   516,
     516,   458,   323,   516,   149,   516,   506,   638,   394,  1028,
    1030,   593,  1032,   241,   253,   271,   446,   916,   917,   142,
     162,   362,   724,   725,   162,   190,   362,   516,   162,   516,
     190,   362,   458,   162,   203,   214,   394,   436,   848,   458,
     783,    98,   136,   208,   249,   380,   417,   451,   519,   526,
     878,   879,  1310,   227,   436,   471,   661,   378,   767,   463,
     318,   516,  1442,   516,   367,   767,   194,   293,   458,   469,
     518,   640,   883,   442,   471,   951,   964,   198,   604,   933,
     938,   516,   540,   506,  1308,   142,   150,   162,   223,   243,
     265,   413,   534,   707,   722,   723,  1442,   150,   162,   988,
     399,   378,   453,   455,   521,   162,   988,   102,   439,   453,
     455,   521,   453,  1308,   242,   278,   372,   883,   603,   516,
     516,   264,   603,   669,    93,   332,   506,   537,   562,   669,
     162,   606,   198,   394,   271,   227,   436,   471,   661,   991,
     541,   541,   359,  1193,   516,   458,   603,   969,  1310,  1308,
     516,   516,   458,   964,   198,   177,   503,   504,  1000,  1001,
    1165,  1308,  1442,  1001,   516,   516,   851,  1001,   184,   471,
     652,   516,   623,   652,   516,   516,   458,   964,   198,  1308,
     516,   516,  1308,  1195,   767,   129,   766,   767,   767,   182,
     337,   342,   129,   516,   621,   346,   458,   621,   358,   765,
     516,   516,   367,  1461,   793,   883,   516,   516,   458,   488,
     420,  1461,   420,   516,   420,   516,   420,   851,   851,   506,
    1164,   399,   399,   162,   516,   988,   458,   516,   516,   669,
     669,   883,   883,   883,   883,  1308,   117,   546,   117,   117,
     546,   516,   117,   516,   546,   458,   603,   606,   652,   540,
     809,  1318,   516,   623,   652,  1308,   516,   988,   458,   394,
     436,   424,   437,   467,   644,  1020,  1257,  1257,  1258,   604,
      85,    86,   606,  1124,  1125,   602,   608,  1308,  1053,  1310,
    1308,   294,  1193,   294,   378,   294,   294,   767,   883,   883,
     294,   294,   294,  1193,   294,   294,   294,   378,   516,   247,
     516,   685,   526,   603,   108,   227,   883,   852,   853,  1444,
    1028,  1193,   378,   227,   780,  1310,   362,   399,   603,   622,
     865,   541,   428,   553,  1308,    99,  1001,   851,   622,   227,
    1318,   169,   253,   636,   699,   760,   823,   897,   919,  1024,
     227,  1461,   801,   802,   227,   378,  1461,  1318,   329,   883,
     883,   883,   883,   218,   423,   603,   809,   362,   622,  1308,
     362,   762,   764,   362,   108,   372,   399,   603,   727,   727,
     265,   757,  1308,   241,   265,   615,  1442,   603,   855,   945,
    1310,   603,   936,   936,   108,  1193,    97,   120,   287,   824,
     313,   605,  1315,  1340,   604,   560,   562,  1105,   460,   948,
     947,  1193,  1310,   603,   603,  1256,  1315,   885,  1210,  1210,
     107,  1194,   514,   514,  1315,  1315,  1193,   601,   601,  1315,
     516,   516,  1315,  1198,   934,   935,  1319,  1318,   227,   618,
     227,   541,   227,   541,   970,   971,   618,   934,  1319,   934,
    1310,  1310,  1193,   885,  1319,   809,   227,   882,   883,  1309,
    1310,  1310,   883,   604,   610,  1468,   604,  1474,  1475,  1399,
     265,  1308,   181,  1065,  1103,  1103,  1477,  1103,  1103,  1477,
    1103,  1103,  1310,    13,   606,  1456,   728,   604,   606,   604,
     250,   418,   452,   466,   504,  1309,   882,   183,   468,   934,
    1309,   371,   902,   903,  1442,   934,   934,  1309,  1307,  1307,
    1309,   882,   516,   254,   560,   913,   222,   323,   806,   807,
      93,   225,   453,   474,  1084,  1164,   366,  1085,   604,   604,
     606,  1068,   516,  1308,  1310,  1308,   615,   899,   900,   247,
     913,   900,  1442,    98,   150,   208,   249,   314,   417,   451,
     526,   878,   879,  1256,   602,  1256,  1261,  1262,   556,  1272,
    1273,  1217,  1256,   603,  1315,  1315,   185,   263,   341,   344,
     462,   578,  1263,  1264,  1461,  1463,  1256,  1256,  1217,  1290,
     444,  1107,  1108,  1290,  1294,  1301,  1290,  1290,  1217,  1219,
    1257,  1294,  1297,  1298,  1217,  1298,  1290,  1217,  1290,  1290,
    1256,  1315,  1315,   604,  1217,  1217,   969,  1217,  1257,  1259,
    1266,   453,   594,   595,   603,  1218,  1219,  1253,  1267,   604,
    1256,  1217,  1259,  1268,  1217,   127,   247,   317,   517,  1217,
    1256,  1269,   205,   362,  1107,  1256,   346,  1219,  1217,  1227,
    1228,  1229,   346,  1217,  1229,   604,   606,  1315,  1214,  1193,
    1217,  1217,  1217,  1217,  1444,   326,   514,   113,   499,  1281,
     883,  1217,   603,  1107,  1270,   205,   207,   233,   298,   354,
     355,   356,   357,   361,   362,   367,   523,   535,  1265,  1295,
    1217,   603,  1217,   516,   122,   266,   271,   322,   476,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,    99,
     106,   481,  1250,   256,  1235,   453,   603,  1247,   603,   389,
    1239,   252,   326,   503,   508,   510,   537,  1119,  1308,  1306,
     247,  1153,  1257,  1310,  1457,  1277,  1153,  1416,   606,   593,
    1308,   518,   603,  1461,   606,  1474,   604,   264,   264,   618,
    1374,  1063,  1052,  1056,  1217,   604,   336,   362,  1114,  1063,
    1061,   606,   109,   200,   541,   928,   453,   454,   594,   595,
    1134,  1136,  1219,   474,   310,   379,   606,  1135,  1315,  1460,
    1135,   453,   454,  1136,  1307,   366,   478,  1086,  1147,  1129,
     541,  1081,   190,   392,   603,  1073,  1106,   108,   541,  1442,
     603,  1088,  1089,  1090,  1442,   604,   607,  1388,  1194,   610,
    1367,   610,    33,  1343,  1419,  1420,  1457,  1412,  1417,  1464,
    1403,  1194,  1451,  1467,  1451,  1194,  1318,  1310,  1310,   387,
     129,  1443,   604,   940,   942,   939,   942,  1443,   384,   604,
     606,   884,  1318,  1310,  1310,  1311,  1318,  1310,  1310,  1318,
     552,  1310,  1310,   190,   645,   767,   448,   540,   899,   458,
     253,   899,   603,  1310,   367,   265,  1310,   367,  1318,  1310,
    1310,  1217,   367,  1310,  1310,   102,   439,   516,   516,  1310,
     516,   784,   947,   603,  1193,   935,   144,   234,   971,   935,
     935,   241,  1193,   883,  1310,   259,   358,   394,   436,   545,
     787,   788,   789,  1164,   516,   988,   458,   367,   194,   293,
    1318,  1310,   378,  1310,   378,   604,   606,  1317,  1319,  1310,
     436,   661,   603,   265,   707,  1310,   541,   921,   310,   362,
     310,   541,   716,   749,  1193,  1310,  1315,  1442,  1308,  1310,
     321,  1310,    99,   540,  1310,   265,  1310,   265,  1442,   455,
     521,   455,   521,   321,  1310,    99,   540,  1310,   321,   453,
    1308,    95,   210,   471,   794,   795,   796,   797,  1444,  1318,
    1310,   190,   248,   363,   541,   668,   671,   672,  1444,   340,
    1310,   146,   375,  1310,   664,   378,   516,   506,  1308,   516,
     988,   458,   198,  1310,  1310,   606,   604,   606,  1318,  1310,
     994,   995,  1444,   378,   436,   516,   817,  1318,  1310,  1310,
     378,  1164,   271,   606,   727,   727,  1279,  1318,  1310,  1310,
    1317,   161,   216,   278,   401,   532,   540,   543,   624,  1463,
    1318,  1310,  1310,   378,   436,  1318,  1310,   436,   471,   661,
     764,   767,   883,  1310,   767,   883,  1310,   767,  1318,  1310,
     471,  1318,  1310,  1310,   190,   675,  1316,  1309,  1309,  1318,
     959,  1310,  1309,  1310,   436,   471,   661,   662,  1308,  1308,
    1310,  1310,  1310,  1310,  1318,  1310,    95,   101,   210,   394,
     436,   471,   394,   436,   471,   851,   436,   471,   436,   471,
     436,   991,  1179,  1442,   265,   861,  1442,   265,  1442,  1461,
    1318,  1310,  1310,  1461,  1310,   994,    95,   210,   682,   468,
    1317,   436,   471,   661,  1310,  1310,  1310,   516,   516,   155,
     531,   424,   606,  1124,  1124,  1124,  1217,  1217,   549,  1258,
     604,  1217,  1278,  1048,   367,   889,  1461,   108,   889,   208,
     883,   889,   889,   294,   541,   541,   889,   889,   889,   313,
     889,   889,   889,   883,   419,   686,   686,   276,   503,   822,
    1217,  1193,   883,   604,   606,   593,   713,  1444,  1310,   133,
     247,   458,   552,   781,   788,   789,   227,   372,   322,   701,
     703,   705,   707,   719,   722,    96,   271,   448,   500,   624,
     625,   241,  1310,   553,  1308,   108,   818,   504,   959,   615,
    1442,   635,   700,   931,  1310,   243,   883,   298,   603,   751,
     752,  1220,  1222,  1223,  1302,  1442,   420,  1461,   851,   851,
     851,   851,   603,   851,  1177,  1178,  1179,   468,   227,   603,
     227,   227,   226,  1330,   883,   372,   701,  1442,   541,   744,
     560,   670,   362,   108,   727,  1461,   362,   378,   856,   857,
    1463,   851,    97,   604,   937,   938,   943,   108,   313,   445,
     519,   559,   949,   950,   951,   952,   949,   378,   313,   372,
     195,   286,   524,   539,   825,   826,  1310,  1339,   597,   262,
     262,   241,   618,   108,   621,   242,  1036,  1037,  1256,   604,
     604,   618,   601,   580,   580,   604,   604,  1315,   602,   603,
    1315,  1442,  1461,  1472,   604,   604,   618,   882,   883,  1310,
     883,  1310,   618,   618,   618,   618,   313,   618,   468,   241,
     618,   618,   378,   618,   362,  1105,  1464,  1452,   604,   729,
     271,   271,   271,   271,   271,   564,  1309,   767,   768,   606,
     605,   256,   905,   906,  1318,   129,   910,   911,  1444,   516,
     603,   247,   225,   474,   225,   474,   453,   539,   343,  1193,
    1318,   560,   755,   378,   905,   618,   247,   947,   883,  1193,
     935,   371,   935,   935,  1193,   883,  1310,   604,   602,   602,
     606,  1217,   212,  1273,  1274,   108,   604,  1217,   604,   604,
     604,   247,   604,   604,   581,  1291,  1292,   560,   562,  1296,
    1193,  1292,   604,    91,   367,   606,  1300,   384,  1303,   606,
     608,   546,   604,   604,    91,   367,   606,  1299,  1299,   606,
     604,  1294,   606,   604,   604,   604,   604,   606,   606,   604,
     403,   604,   604,   603,  1218,  1218,  1256,    83,    87,    88,
      89,   271,   294,   380,   591,   592,   593,   594,   595,   596,
     597,   598,   599,  1253,  1218,   604,   604,   241,   247,   476,
     604,   604,   108,  1269,  1256,  1269,  1269,   247,   604,   205,
     604,  1444,   400,  1232,   108,   604,   606,  1217,  1444,   606,
    1217,  1280,  1217,   604,   580,  1218,  1218,   220,  1256,   247,
     107,   371,   457,   546,   205,   207,   233,   361,   367,   523,
     535,  1265,  1295,   361,  1296,   220,   969,  1217,   499,  1281,
    1217,  1270,  1217,   516,   603,  1107,   603,  1239,   603,  1256,
     557,   603,  1240,  1442,   508,   510,   508,   510,  1308,  1120,
    1120,  1120,   307,   316,   454,   577,   603,  1107,  1154,  1155,
    1156,  1164,  1170,  1180,  1187,  1222,  1442,   557,  1175,  1124,
    1175,     7,    10,    11,    21,    22,    23,    25,    26,    30,
      31,    32,   183,   346,   409,   526,  1422,  1423,  1425,  1415,
    1416,  1021,  1315,  1214,   643,  1194,  1063,   336,   603,  1127,
     380,  1251,  1254,   583,   929,  1315,  1460,  1136,   379,   560,
     539,  1133,   331,  1154,   557,  1176,   547,   501,   540,  1074,
    1075,  1076,  1442,   378,  1077,  1442,  1155,  1090,  1091,   606,
    1153,   593,  1280,   608,  1370,   607,   606,   593,    29,  1431,
     604,   604,   607,   946,   884,   942,   942,   129,   944,   598,
    1319,  1319,   378,  1309,   381,   378,  1217,   725,   841,   227,
     618,   516,  1318,  1310,   648,  1193,   883,   883,  1193,   771,
    1310,   259,   545,   516,   516,   771,   787,   793,   436,   471,
     661,  1310,  1310,  1310,   284,   367,   230,   938,   393,   471,
     516,  1217,   362,   223,   723,  1310,   603,   603,   227,   603,
     749,   276,   603,   841,   491,   711,   712,   841,   471,    95,
     210,   440,   441,   471,   665,   673,   674,   793,   989,   463,
     227,   618,   227,   618,  1310,  1310,  1310,  1310,   463,   463,
     321,   796,   797,   796,   604,   606,   798,  1461,   276,   604,
     606,   593,   605,   190,   676,  1442,   230,  1318,  1310,   436,
     471,   661,  1310,  1310,  1310,   378,   394,   436,   471,    95,
     210,   394,   436,   471,  1193,   359,  1193,   604,   606,   593,
    1308,   516,  1319,   541,   814,   230,   727,   458,  1000,   557,
     734,   734,   727,   323,   401,   367,  1461,   401,  1319,   538,
     230,   516,   516,   458,   488,   959,   959,   959,   393,   471,
     162,   516,   988,   458,   190,   241,   677,   237,   617,   516,
     516,   333,   333,   333,   516,   516,   458,   516,   516,   458,
     516,   458,   516,   458,   516,   198,   618,  1193,   362,  1461,
     471,   989,   227,   618,   516,   516,   604,  1310,   516,   988,
     458,   516,  1318,  1310,   604,   604,   604,  1258,   602,  1193,
     883,   294,   889,  1310,  1310,  1310,   294,   489,   490,   687,
    1461,   687,   259,   604,   604,   247,   851,   853,   359,   380,
     594,   595,   767,   854,   942,  1254,  1325,  1461,   142,   148,
     162,   190,   192,   251,   280,   362,   367,   413,   430,   534,
     714,   715,   718,   226,   556,   621,   648,  1310,   648,   382,
     791,  1308,  1308,  1308,   604,   606,  1319,   256,   448,  1319,
    1315,   526,  1308,   727,  1463,   241,   819,   959,   118,   635,
     503,   800,   183,  1060,  1217,   247,   606,  1309,   670,   858,
     859,  1461,   604,   606,  1310,   241,   728,  1308,   754,  1308,
    1349,  1106,   603,   702,  1308,   604,  1310,   560,   562,   745,
     669,   108,   227,  1106,   744,   516,   227,  1164,   604,   606,
     593,   825,   604,   606,   190,   593,   953,  1461,   648,   503,
     941,   942,   241,   958,   121,   443,   954,   955,   952,   955,
     195,   286,   464,   539,  1011,  1310,   372,   378,   383,   259,
    1335,  1106,  1349,  1193,   603,   604,   606,   604,  1315,  1213,
    1213,   602,  1472,   603,   594,   595,   596,   597,   598,   602,
     618,   541,   618,   541,   618,  1310,  1310,   809,   883,   227,
     241,   458,   458,   458,   458,   458,  1309,   606,   903,  1442,
    1318,   560,   606,   907,  1318,   606,   913,   233,   381,   523,
     912,  1166,   468,   225,   225,   183,   358,   904,   913,  1319,
     294,   294,   294,   294,   767,   294,   294,   294,   294,   294,
    1261,   512,  1217,   217,  1193,   604,  1217,   298,   534,   534,
     604,  1292,  1294,   378,   378,  1290,  1294,   129,  1300,  1217,
    1290,  1290,   378,   378,  1298,  1296,  1296,  1217,   604,  1217,
    1265,  1217,  1217,   604,  1256,   606,  1193,  1218,  1218,  1218,
    1218,   205,   207,   362,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1217,  1217,  1217,  1193,   604,   604,
     604,  1256,   604,   606,   129,  1219,  1233,   604,  1444,  1228,
     410,   495,  1231,   604,   606,   552,  1224,   108,   604,  1461,
    1217,   105,   105,  1217,   604,  1217,   247,   361,  1296,  1217,
     604,   220,  1218,  1218,   220,   220,  1217,  1217,  1125,   604,
    1256,   606,  1217,  1241,  1442,  1120,  1120,  1120,  1120,  1308,
    1308,  1308,   603,  1107,  1170,  1180,  1187,   247,   603,  1107,
    1155,  1156,   108,  1157,  1158,  1442,   606,   170,   248,   282,
     297,   320,   349,   447,  1161,  1158,   108,  1157,  1160,  1442,
    1158,  1158,   584,  1174,  1279,  1217,   256,  1138,   604,  1138,
     606,   593,   604,  1431,  1068,   603,   929,   238,   315,   379,
     560,   513,   173,  1217,   444,  1079,   546,   604,   606,  1280,
     160,  1079,   378,   604,   606,  1089,  1176,  1217,  1315,   593,
    1389,  1420,  1425,   604,   598,   946,   526,   250,   452,   459,
     466,   504,   527,   918,   241,   918,   604,   192,   280,   358,
     362,   842,  1310,  1310,   108,   541,   541,   313,   884,  1318,
    1310,   516,   988,   458,   516,   284,  1310,   129,   506,  1310,
     604,   227,   603,   732,   733,   924,  1222,  1442,   728,   707,
     728,   841,  1310,   728,   190,  1442,   156,   709,   710,   488,
     251,   229,   264,   362,   669,   621,   183,   229,   251,   362,
     488,   669,   709,   711,   765,   471,   674,   526,  1310,  1442,
     463,   795,  1310,   672,   854,  1444,  1310,   393,   471,   516,
     988,   458,   516,   230,   516,   516,   458,   249,   380,   491,
     863,   864,   249,   380,   871,   872,   516,   516,   458,   604,
     604,   604,   995,   359,   767,   942,   996,  1254,  1325,  1461,
     436,  1310,   603,   560,   815,  1310,   734,   177,  1442,   603,
     734,  1316,  1461,  1461,  1461,  1310,  1310,  1310,  1310,   675,
     129,   506,  1310,  1310,  1310,  1310,   547,  1310,  1310,   241,
     241,   438,   241,   265,  1318,  1310,  1310,  1318,  1310,  1310,
    1310,  1310,  1310,  1310,  1310,   378,   148,   666,   227,    97,
     120,   526,  1442,  1310,  1461,   793,  1310,  1310,  1310,  1310,
    1124,   604,   294,   889,   294,   294,   294,   889,   621,   541,
     692,   693,   771,   841,   560,   562,   883,   603,   883,  1310,
    1218,   102,   129,   717,   193,   267,   192,   367,   310,  1308,
     716,   249,   417,   837,   844,   845,  1442,   780,   603,   399,
     603,   702,   720,   279,   739,   705,  1319,  1319,  1193,   603,
     670,    99,   195,   286,   464,   539,   820,   516,   816,  1318,
     265,  1308,   802,   564,   378,   604,  1154,   752,   959,   604,
     606,  1179,   791,   809,   604,   762,   108,   372,   399,   603,
    1070,   755,   704,   706,   708,   722,  1442,   399,   740,   741,
     702,   739,   669,   375,   378,   746,  1106,   757,   755,   670,
    1461,  1310,   921,   857,  1463,   854,   378,   943,  1217,  1217,
     606,   603,   949,   526,   606,   114,  1217,   516,   603,   728,
    1308,   826,   771,    80,  1346,   604,  1036,  1037,   602,   604,
    1374,  1472,  1472,  1472,  1472,  1472,  1310,  1310,   618,   468,
     618,  1309,  1309,  1309,  1309,  1309,   767,   253,   906,   913,
     911,   604,  1310,   183,   247,   618,   913,   367,   892,  1461,
     892,   892,   892,   294,   892,   892,   892,   892,   892,  1217,
     604,   215,   311,   311,   604,   367,   367,   604,  1126,  1294,
     400,  1282,   367,   367,  1294,  1294,  1282,  1282,   604,   604,
     247,   604,  1217,   247,   205,   207,   247,   241,   220,   604,
     567,  1226,  1256,   429,   546,   129,  1233,  1219,   558,   558,
     604,  1217,   358,  1217,   606,  1225,  1195,  1217,  1217,  1217,
    1217,   105,   105,  1217,  1217,   220,   604,   604,   604,  1217,
     604,   399,  1242,  1308,  1308,  1308,  1308,  1290,  1158,  1160,
    1158,  1158,   603,   572,  1219,   604,  1442,   603,  1155,   297,
     388,  1162,  1155,  1162,   297,  1161,  1162,   297,   505,  1168,
     603,  1442,   603,   385,   129,   260,  1145,  1461,  1145,  1423,
     595,  1416,  1424,  1460,  1461,  1461,   604,   969,   513,   372,
    1305,  1106,   392,  1106,  1076,   378,   603,  1078,  1217,   593,
    1090,  1079,  1468,   526,   604,   516,   899,   247,   841,   193,
     267,   278,   192,   543,   618,  1193,  1310,  1310,  1310,  1310,
    1310,  1310,  1310,  1319,  1310,   841,   707,  1217,   604,   606,
     560,   148,   923,   927,   923,   604,   604,   604,   190,  1442,
     791,   675,   717,   265,   265,   367,   767,   108,   717,   367,
     675,  1193,   618,   618,   593,   129,   506,  1310,  1310,  1310,
    1310,  1310,  1318,  1310,  1310,  1315,  1315,  1193,   606,  1315,
    1315,   606,  1318,  1310,  1310,   516,  1217,   142,  1217,  1319,
    1310,   516,   516,   247,   271,   560,  1309,  1309,   883,  1309,
     227,   230,   883,  1461,  1461,  1193,   618,   618,   516,   604,
     294,   889,   889,   889,   889,   603,   688,   689,   621,   197,
     249,   283,   249,  1217,   362,   715,   190,   108,   959,   727,
     959,  1313,   105,   226,   271,   792,   796,   372,   701,   677,
     224,   273,   603,   468,   541,   728,   108,  1319,   814,   635,
     362,   603,   243,  1310,   751,  1461,   468,   670,   226,  1331,
     883,   372,   701,   755,   604,   606,   560,   713,   129,   744,
     677,   740,   154,   506,   747,   560,  1025,   108,   747,   247,
     378,   603,  1308,  1461,   940,   960,   961,  1443,   955,  1193,
     241,   956,  1308,   247,   516,   980,   431,   827,   281,   772,
    1347,  1442,   618,   604,   604,   618,   618,  1310,   381,   292,
     905,   618,   892,  1310,   604,  1283,  1284,  1290,   190,   213,
     219,   233,   367,   523,   535,  1286,  1287,  1289,   604,   604,
    1294,  1294,  1217,   604,  1218,   247,  1217,  1217,  1217,   603,
     604,   606,   604,  1233,   604,   546,   485,   604,   275,   358,
    1230,  1217,  1217,  1217,   604,   129,  1124,   606,  1171,  1172,
    1222,   603,  1232,  1157,   603,  1309,  1155,   378,   541,  1163,
    1155,   297,  1155,  1313,  1178,   603,  1178,  1442,  1121,  1217,
     559,  1236,  1236,  1315,  1460,   461,  1115,   604,  1103,  1475,
    1074,   162,   922,   924,   206,   556,  1093,  1094,  1095,  1096,
    1217,   905,   378,   905,   604,   516,   471,  1085,   604,   272,
     730,   733,   380,   969,   883,   616,   883,   430,   730,   730,
     713,   108,   227,   227,   603,   666,   854,  1319,  1310,   516,
     603,   935,   969,   971,   864,   603,   603,   872,  1310,   604,
     603,   604,   471,  1085,  1310,  1310,   603,   603,   603,   560,
     584,  1045,   438,  1045,  1045,   241,  1310,   666,  1310,   889,
     694,   695,  1444,   124,   171,   196,   215,   220,   242,   246,
     261,   367,   421,   690,   688,  1461,   935,   108,   976,   976,
     604,   264,   603,   541,   748,   334,   731,   748,   603,   845,
     837,   603,   604,   606,  1308,   604,   468,    99,   153,   156,
     163,   191,   251,   264,   277,   488,   491,   721,   721,  1307,
    1310,  1310,   604,  1106,   815,   227,   183,   791,   247,  1310,
     108,  1349,  1106,   702,  1308,   604,  1473,   706,   382,  1442,
     745,   740,   744,   195,   210,   410,  1310,   134,   142,   326,
    1106,   883,  1164,   922,   247,   840,   942,   604,   606,   526,
     217,   614,   954,   957,  1175,   483,   483,   604,   352,   376,
     828,   829,   830,   241,   833,   771,   358,   545,   773,   774,
     593,  1348,  1310,   913,   606,   108,  1217,   107,   371,   378,
     604,   560,   562,  1285,  1286,  1288,   241,  1218,  1227,  1256,
     358,   579,   275,   604,  1256,   258,   423,   454,  1243,  1217,
     604,   606,   108,  1173,   190,  1185,  1186,  1218,   151,  1309,
     604,  1217,   603,  1155,  1163,   603,   604,  1178,   604,   172,
     257,   450,   603,  1139,  1140,  1141,  1142,  1143,  1144,  1217,
    1237,  1238,  1442,   128,   199,   182,  1116,   546,  1310,   604,
     606,   363,   539,   335,   362,  1079,  1094,   105,  1097,  1097,
     907,   918,   618,  1310,   506,   923,   603,   959,   603,   928,
     669,  1308,   959,   959,   264,  1217,   541,   667,   471,  1085,
    1310,  1260,   241,   867,   867,  1260,  1260,  1217,   506,  1256,
    1256,   678,   679,  1320,   882,   883,   882,   883,  1309,   618,
     604,   606,   190,   596,   603,   645,   696,   767,  1042,  1461,
    1042,   362,   367,   421,  1042,  1042,  1175,   976,   112,   269,
     358,   726,   603,   763,  1217,   276,   248,   398,   477,   378,
     735,   736,   737,   604,  1313,    76,   846,   796,   702,   739,
    1310,   604,   791,   234,   866,   670,  1025,  1308,   564,  1154,
     791,  1106,  1070,   755,   740,   702,   739,   713,   603,   746,
     744,   745,   454,   454,   142,   381,   142,   755,   921,   604,
    1308,   841,   949,   960,  1193,   607,   206,   560,   560,   829,
     453,   503,   831,   211,   834,   556,   836,   545,   771,  1315,
    1455,  1463,    80,   791,   618,  1284,  1444,   219,   107,   158,
     530,   564,   107,   564,   309,   377,  1293,   378,   604,  1217,
     604,   604,   546,   122,   173,   529,  1217,  1244,  1245,  1244,
    1244,   604,   108,  1188,  1174,  1171,   603,  1218,   604,   606,
     108,  1181,  1182,  1442,   604,  1309,  1256,   604,   603,   472,
     603,   604,   606,   606,   108,   238,   238,   728,  1106,  1175,
     924,   471,   335,  1217,   512,   512,   247,  1310,   728,   748,
     969,   929,   928,   727,   748,   748,   763,   604,  1217,   506,
     604,   384,   461,   427,   868,   868,   604,   604,   604,  1310,
     604,   604,   604,   606,  1315,  1045,   695,   645,   697,   698,
    1461,  1461,   367,   596,   728,   596,   728,  1461,  1461,   278,
     764,   604,   506,   195,   539,   378,   737,   378,   736,   603,
     604,   606,   677,   468,   791,   883,   108,   108,   603,  1310,
    1025,   755,   744,   677,   740,   603,   742,   743,  1222,  1442,
     747,   745,   746,   381,   381,   603,   272,   925,   241,   955,
     100,   287,  1012,   249,   249,  1042,   453,   487,   835,   603,
     226,  1347,   564,   107,   564,   107,   564,   564,   422,   422,
    1288,   213,   219,  1245,   453,   240,   408,   240,   408,   223,
    1246,  1246,  1246,  1310,  1282,  1178,   606,  1186,  1444,   604,
     606,   241,  1193,   604,   604,  1256,   603,  1256,  1140,  1238,
    1240,   129,   129,   471,  1088,   129,   195,   206,   539,  1098,
    1099,   206,   286,  1100,   905,  1085,   604,   734,   604,   929,
     731,   841,   841,  1310,   935,   129,  1085,   516,   678,   883,
     604,   606,   596,   728,   604,   492,  1310,   133,   358,   442,
     471,   738,   738,   604,    76,   468,  1310,   863,  1106,   791,
    1473,   745,   740,   744,  1217,   604,   606,   927,   927,   746,
     747,   922,   603,   716,   211,   363,   603,  1007,  1009,  1013,
    1071,  1080,  1087,  1106,  1117,   935,   935,   832,  1442,  1217,
     837,   564,   564,   378,   378,   604,  1286,   105,   173,   256,
     358,   513,   151,   604,  1219,  1182,   385,   190,   362,   367,
     402,  1183,  1184,  1463,   108,  1159,   437,  1169,   604,  1139,
     604,   728,   728,  1442,  1175,   482,   507,   363,   471,   363,
     190,   392,   547,   603,  1101,   618,   841,   735,  1085,   883,
     603,   698,    94,   190,   367,  1310,   791,  1025,   746,   744,
     745,   604,   743,   616,   616,   747,   604,   924,   926,   670,
     453,  1008,  1009,  1010,  1107,  1108,   606,   606,   604,  1313,
     457,   457,   378,  1245,   453,   386,   603,  1232,  1218,   367,
    1218,  1184,  1218,  1442,   603,   604,   471,   471,   516,   541,
    1088,   547,  1074,   603,  1075,   841,  1256,   727,   727,   791,
     747,   745,   746,   927,   925,   604,   606,   747,   836,   604,
     607,   516,   247,   603,   494,   494,   219,   351,  1189,  1190,
    1442,   151,  1217,  1442,  1442,   298,  1313,  1314,  1442,   546,
    1256,   604,   604,   746,   747,   616,   716,   924,  1175,   226,
    1010,   483,   483,   838,   839,  1315,  1444,  1460,  1461,   402,
    1191,   604,   606,   241,  1193,  1181,   604,   603,   190,  1101,
     604,   392,  1101,   747,   670,   837,   560,   560,   604,   606,
    1461,  1289,  1190,   385,   227,   402,  1192,  1291,   604,  1257,
    1314,  1074,   747,  1313,   249,   249,   839,   108,   151,   604,
    1192,  1461,  1285,  1192,  1124,   541,   546,  1175,   603,   935,
     935,  1310,   603,  1289,  1293,  1285,   604,  1442,  1101,   838,
     151,  1189,  1288,  1293,   604,   603,   604,  1288,  1189,   604
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   611,   612,   613,   613,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     615,   615,   616,   616,   617,   617,   618,   618,   618,   619,
     620,   621,   621,   621,   622,   622,   623,   623,   624,   624,
     624,   624,   624,   624,   624,   624,   624,   625,   625,   625,
     625,   625,   625,   626,   627,   627,   628,   628,   629,   629,
     629,   629,   630,   630,   630,   630,   630,   630,   631,   632,
     633,   633,   634,   634,   634,   634,   635,   635,   636,   636,
     636,   636,   636,   636,   637,   637,   637,   638,   638,   638,
     639,   639,   639,   639,   640,   640,   640,   640,   640,   640,
     640,   640,   640,   640,   640,   641,   641,   642,   642,   643,
     643,   644,   644,   644,   644,   645,   645,   645,   645,   646,
     646,   646,   646,   646,   646,   646,   647,   647,   647,   648,
     648,   649,   650,   650,   650,   650,   651,   651,   652,   652,
     653,   653,   654,   654,   654,   654,   654,   655,   656,   656,
     657,   657,   658,   659,   659,   659,   659,   659,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   661,
     661,   662,   662,   662,   663,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   665,   665,   666,   666,
     667,   667,   668,   668,   668,   668,   669,   670,   670,   671,
     671,   672,   672,   672,   672,   673,   673,   674,   674,   674,
     674,   675,   675,   676,   676,   677,   677,   677,   677,   678,
     679,   679,   680,   681,   681,   682,   682,   682,   682,   683,
     683,   684,   684,   685,   685,   686,   686,   687,   687,   687,
     688,   688,   689,   689,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   691,
     691,   692,   692,   693,   693,   694,   694,   695,   696,   696,
     696,   696,   696,   696,   697,   697,   698,   699,   699,   699,
     699,   699,   699,   700,   700,   700,   700,   700,   700,   700,
     700,   701,   701,   702,   702,   703,   703,   704,   704,   705,
     705,   705,   706,   706,   707,   708,   708,   709,   709,   710,
     710,   711,   711,   712,   712,   713,   713,   714,   714,   714,
     714,   715,   715,   715,   715,   715,   715,   715,   715,   715,
     716,   716,   716,   717,   717,   718,   718,   718,   718,   719,
     720,   720,   720,   721,   721,   721,   721,   721,   721,   721,
     721,   721,   721,   722,   722,   723,   723,   723,   723,   723,
     723,   723,   724,   724,   725,   725,   726,   726,   727,   727,
     728,   728,   729,   730,   730,   731,   731,   731,   731,   732,
     732,   733,   733,   734,   734,   735,   735,   735,   735,   735,
     736,   737,   738,   738,   738,   738,   738,   739,   739,   740,
     740,   741,   742,   742,   743,   743,   743,   744,   744,   745,
     745,   745,   746,   746,   746,   746,   747,   747,   748,   748,
     749,   750,   750,   751,   751,   752,   752,   752,   753,   753,
     754,   755,   755,   755,   756,   756,   757,   758,   758,   759,
     760,   760,   761,   761,   762,   762,   763,   763,   764,   764,
     765,   765,   765,   765,   765,   765,   765,   765,   765,   765,
     765,   765,   765,   765,   766,   766,   767,   767,   767,   767,
     768,   768,   769,   769,   770,   770,   771,   771,   772,   772,
     773,   773,   774,   774,   775,   775,   776,   777,   777,   778,
     778,   779,   779,   780,   780,   781,   781,   781,   781,   782,
     783,   783,   784,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   786,   787,   787,   787,
     787,   788,   788,   789,   789,   790,   790,   791,   791,   792,
     792,   793,   794,   794,   795,   795,   795,   795,   796,   797,
     798,   799,   799,   800,   800,   801,   801,   802,   802,   803,
     803,   803,   804,   804,   804,   804,   805,   806,   806,   807,
     807,   808,   808,   809,   809,   810,   810,   811,   812,   813,
     814,   814,   815,   815,   816,   816,   817,   817,   818,   818,
     819,   819,   820,   820,   820,   820,   820,   821,   822,   822,
     823,   823,   824,   824,   824,   825,   825,   826,   826,   826,
     826,   826,   827,   827,   828,   828,   829,   830,   830,   831,
     831,   832,   833,   833,   834,   834,   835,   835,   836,   836,
     837,   837,   838,   838,   838,   839,   839,   839,   839,   840,
     840,   841,   841,   842,   842,   842,   842,   842,   842,   843,
     843,   844,   844,   845,   846,   846,   847,   848,   848,   848,
     848,   849,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   851,   852,
     852,   853,   853,   854,   854,   854,   854,   854,   854,   855,
     856,   856,   857,   858,   858,   859,   859,   860,   860,   860,
     860,   860,   861,   861,   862,   863,   863,   864,   864,   864,
     864,   864,   865,   865,   866,   866,   867,   867,   867,   868,
     868,   869,   870,   870,   871,   871,   872,   872,   873,   873,
     874,   874,   875,   876,   877,   877,   877,   877,   877,   877,
     877,   877,   877,   877,   877,   877,   878,   878,   878,   878,
     878,   878,   878,   878,   878,   878,   878,   878,   878,   879,
     879,   879,   879,   879,   880,   880,   880,   880,   880,   880,
     880,   880,   881,   881,   881,   882,   882,   883,   883,   884,
     884,   885,   885,   886,   887,   887,   887,   888,   888,   888,
     888,   888,   888,   888,   888,   888,   888,   888,   888,   888,
     888,   888,   888,   888,   888,   889,   889,   890,   890,   890,
     890,   890,   890,   890,   890,   890,   890,   891,   891,   892,
     892,   893,   893,   893,   893,   893,   893,   893,   893,   893,
     893,   893,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   895,   895,   896,   896,
     897,   898,   898,   899,   899,   899,   899,   899,   900,   900,
     901,   901,   901,   901,   901,   902,   902,   903,   903,   904,
     904,   904,   904,   904,   904,   904,   904,   904,   904,   904,
     904,   904,   904,   904,   904,   904,   904,   904,   904,   904,
     905,   905,   906,   906,   907,   907,   908,   908,   909,   909,
     910,   910,   911,   912,   912,   912,   913,   913,   914,   915,
     915,   916,   916,   916,   917,   917,   917,   918,   918,   918,
     918,   918,   918,   919,   919,   920,   920,   921,   921,   922,
     922,   923,   923,   924,   924,   924,   925,   925,   926,   926,
     927,   927,   928,   928,   928,   929,   929,   929,   930,   930,
     930,   930,   931,   931,   932,   932,   933,   933,   934,   934,
     935,   935,   935,   935,   936,   936,   937,   937,   938,   938,
     938,   938,   938,   939,   939,   939,   939,   939,   940,   941,
     942,   942,   942,   943,   943,   943,   944,   945,   945,   945,
     945,   946,   946,   947,   948,   948,   949,   949,   950,   950,
     951,   951,   951,   951,   951,   951,   951,   951,   951,   951,
     951,   951,   951,   951,   951,   951,   951,   952,   952,   952,
     952,   952,   953,   953,   954,   955,   955,   955,   956,   956,
     957,   957,   958,   958,   959,   959,   960,   961,   961,   962,
     962,   962,   963,   963,   964,   964,   965,   965,   965,   965,
     965,   965,   966,   966,   967,   967,   968,   968,   968,   968,
     969,   969,   970,   970,   971,   972,   973,   973,   974,   974,
     975,   975,   975,   976,   976,   976,   977,   978,   978,   979,
     980,   980,   980,   980,   981,   982,   982,   982,   983,   983,
     984,   984,   985,   985,   986,   986,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   988,   988,   989,   989,   990,   990,   990,   990,   990,
     990,   991,   991,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     993,   994,   994,   995,   995,   995,   996,   996,   996,   996,
     996,   997,   998,   998,   998,   998,   998,   998,   998,   998,
     998,   998,   998,   998,   998,   998,   998,   998,   998,   998,
     998,   998,   998,   998,   998,   998,   999,   999,   999,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1001,  1001,  1002,  1002,
    1002,  1002,  1003,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1005,  1005,  1006,  1007,  1007,  1007,  1008,  1008,
    1009,  1009,  1009,  1009,  1009,  1010,  1010,  1011,  1011,  1011,
    1011,  1012,  1012,  1012,  1013,  1014,  1014,  1015,  1016,  1016,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1018,  1018,  1019,  1019,  1019,  1020,  1020,  1020,
    1020,  1020,  1021,  1021,  1021,  1022,  1022,  1023,  1023,  1023,
    1024,  1024,  1024,  1024,  1025,  1025,  1025,  1025,  1026,  1027,
    1028,  1028,  1029,  1029,  1030,  1030,  1030,  1031,  1031,  1031,
    1031,  1031,  1031,  1031,  1032,  1032,  1033,  1033,  1033,  1033,
    1034,  1035,  1035,  1035,  1035,  1036,  1036,  1037,  1038,  1039,
    1039,  1040,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1042,
    1042,  1043,  1044,  1044,  1044,  1044,  1044,  1044,  1045,  1045,
    1046,  1047,  1047,  1047,  1047,  1047,  1048,  1048,  1049,  1049,
    1050,  1050,  1051,  1051,  1052,  1052,  1053,  1054,  1054,  1054,
    1055,  1055,  1055,  1056,  1056,  1057,  1057,  1058,  1058,  1059,
    1059,  1060,  1060,  1061,  1062,  1062,  1063,  1063,  1064,  1064,
    1064,  1064,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1066,  1066,  1067,  1067,  1068,  1068,  1068,  1068,
    1068,  1069,  1069,  1069,  1070,  1070,  1071,  1072,  1072,  1073,
    1073,  1073,  1073,  1073,  1074,  1074,  1075,  1075,  1076,  1077,
    1077,  1077,  1078,  1078,  1078,  1079,  1079,  1080,  1081,  1081,
    1082,  1083,  1083,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1085,  1085,  1086,  1086,  1086,  1087,  1088,  1088,  1089,
    1089,  1090,  1091,  1091,  1092,  1093,  1093,  1094,  1094,  1094,
    1094,  1094,  1095,  1095,  1096,  1096,  1097,  1097,  1098,  1099,
    1100,  1100,  1100,  1100,  1100,  1101,  1102,  1103,  1103,  1104,
    1104,  1104,  1104,  1104,  1104,  1105,  1105,  1105,  1106,  1106,
    1107,  1107,  1108,  1108,  1108,  1108,  1108,  1108,  1108,  1108,
    1109,  1109,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1111,
    1111,  1111,  1112,  1112,  1113,  1114,  1114,  1114,  1115,  1115,
    1115,  1116,  1116,  1116,  1117,  1117,  1118,  1118,  1118,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1120,  1120,
    1121,  1121,  1121,  1122,  1122,  1123,  1123,  1124,  1124,  1125,
    1126,  1126,  1127,  1127,  1128,  1128,  1128,  1128,  1129,  1129,
    1130,  1130,  1130,  1130,  1130,  1130,  1131,  1131,  1132,  1132,
    1133,  1134,  1134,  1134,  1135,  1135,  1136,  1136,  1137,  1137,
    1138,  1138,  1139,  1139,  1140,  1140,  1140,  1140,  1140,  1141,
    1142,  1143,  1144,  1145,  1145,  1146,  1146,  1147,  1147,  1148,
    1148,  1149,  1150,  1150,  1150,  1150,  1151,  1151,  1152,  1152,
    1153,  1153,  1154,  1154,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1156,  1156,  1156,  1156,
    1156,  1156,  1157,  1157,  1157,  1157,  1158,  1158,  1159,  1159,
    1160,  1160,  1160,  1160,  1160,  1161,  1161,  1161,  1161,  1162,
    1162,  1163,  1163,  1164,  1164,  1165,  1165,  1165,  1166,  1166,
    1167,  1167,  1167,  1168,  1169,  1169,  1170,  1170,  1171,  1172,
    1172,  1173,  1173,  1174,  1174,  1175,  1175,  1176,  1176,  1176,
    1177,  1177,  1178,  1178,  1179,  1180,  1180,  1181,  1181,  1182,
    1182,  1182,  1183,  1183,  1184,  1184,  1184,  1184,  1184,  1185,
    1185,  1186,  1186,  1187,  1188,  1188,  1189,  1189,  1190,  1190,
    1190,  1190,  1190,  1190,  1191,  1191,  1192,  1192,  1193,  1193,
    1193,  1193,  1193,  1193,  1194,  1194,  1194,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1196,  1196,  1196,  1196,  1196,
    1197,  1197,  1198,  1198,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1200,  1200,  1201,  1201,  1202,
    1202,  1203,  1204,  1205,  1205,  1206,  1206,  1207,  1208,  1209,
    1209,  1209,  1209,  1209,  1209,  1210,  1210,  1211,  1211,  1211,
    1211,  1212,  1213,  1213,  1213,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1215,
    1215,  1216,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1220,  1220,  1220,  1220,
    1220,  1220,  1220,  1221,  1221,  1221,  1222,  1222,  1222,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1224,
    1224,  1225,  1225,  1225,  1225,  1226,  1227,  1227,  1228,  1228,
    1229,  1229,  1230,  1230,  1230,  1231,  1231,  1231,  1232,  1232,
    1232,  1232,  1233,  1233,  1234,  1234,  1235,  1235,  1236,  1236,
    1237,  1237,  1238,  1239,  1239,  1239,  1240,  1241,  1241,  1242,
    1242,  1243,  1243,  1243,  1243,  1244,  1244,  1245,  1245,  1245,
    1245,  1245,  1246,  1246,  1246,  1246,  1246,  1247,  1247,  1247,
    1248,  1248,  1249,  1250,  1250,  1250,  1251,  1251,  1252,  1252,
    1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,
    1253,  1253,  1254,  1254,  1255,  1255,  1255,  1255,  1255,  1255,
    1256,  1256,  1257,  1257,  1258,  1258,  1258,  1259,  1259,  1260,
    1260,  1261,  1261,  1261,  1262,  1262,  1263,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1265,  1265,  1265,  1265,  1266,
    1266,  1267,  1268,  1268,  1268,  1268,  1268,  1269,  1269,  1269,
    1270,  1270,  1271,  1272,  1272,  1273,  1274,  1274,  1275,  1275,
    1276,  1276,  1277,  1277,  1277,  1277,  1278,  1278,  1279,  1279,
    1280,  1280,  1281,  1281,  1282,  1282,  1283,  1283,  1284,  1285,
    1285,  1285,  1285,  1285,  1285,  1285,  1285,  1285,  1286,  1286,
    1287,  1287,  1287,  1287,  1287,  1287,  1287,  1287,  1288,  1288,
    1288,  1288,  1289,  1289,  1290,  1291,  1291,  1292,  1292,  1293,
    1293,  1293,  1293,  1293,  1294,  1294,  1295,  1295,  1295,  1295,
    1295,  1296,  1296,  1296,  1296,  1296,  1297,  1297,  1298,  1298,
    1299,  1299,  1299,  1300,  1300,  1300,  1301,  1301,  1302,  1302,
    1303,  1303,  1304,  1304,  1305,  1305,  1306,  1306,  1306,  1306,
    1307,  1307,  1308,  1308,  1309,  1309,  1310,  1311,  1312,  1313,
    1313,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,
    1314,  1314,  1314,  1314,  1314,  1314,  1315,  1316,  1316,  1316,
    1316,  1317,  1318,  1318,  1318,  1318,  1319,  1319,  1320,  1320,
    1320,  1320,  1321,  1321,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1327,  1327,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1330,  1329,  1331,  1329,  1332,  1333,  1333,
    1333,  1333,  1334,  1334,  1334,  1334,  1335,  1335,  1336,  1337,
    1338,  1338,  1339,  1339,  1339,  1340,  1340,  1341,  1341,  1342,
    1342,  1343,  1343,  1343,  1343,  1344,  1344,  1344,  1345,  1346,
    1346,  1347,  1347,  1348,  1348,  1348,  1348,  1349,  1349,  1350,
    1351,  1352,  1353,  1354,  1354,  1355,  1356,  1356,  1357,  1357,
    1357,  1357,  1357,  1359,  1358,  1360,  1361,  1362,  1362,  1363,
    1363,  1363,  1363,  1364,  1364,  1366,  1365,  1368,  1367,  1369,
    1367,  1367,  1370,  1370,  1371,  1371,  1371,  1372,  1372,  1372,
    1372,  1373,  1373,  1374,  1374,  1374,  1374,  1374,  1374,  1374,
    1374,  1374,  1374,  1374,  1374,  1374,  1374,  1374,  1375,  1375,
    1375,  1376,  1378,  1377,  1379,  1380,  1379,  1381,  1381,  1382,
    1382,  1383,  1383,  1384,  1384,  1384,  1384,  1384,  1384,  1384,
    1384,  1384,  1385,  1385,  1385,  1385,  1385,  1385,  1385,  1385,
    1385,  1385,  1386,  1386,  1387,  1387,  1388,  1389,  1389,  1390,
    1390,  1390,  1391,  1392,  1393,  1393,  1393,  1393,  1394,  1394,
    1394,  1395,  1395,  1396,  1396,  1397,  1398,  1398,  1399,  1399,
    1400,  1400,  1401,  1401,  1402,  1403,  1403,  1404,  1404,  1404,
    1405,  1405,  1405,  1405,  1405,  1405,  1405,  1405,  1405,  1406,
    1406,  1406,  1406,  1406,  1407,  1407,  1408,  1409,  1410,  1411,
    1411,  1412,  1413,  1414,  1414,  1415,  1416,  1416,  1417,  1418,
    1419,  1419,  1420,  1421,  1422,  1422,  1423,  1424,  1424,  1424,
    1424,  1424,  1425,  1425,  1425,  1425,  1425,  1425,  1425,  1425,
    1425,  1425,  1425,  1425,  1425,  1425,  1425,  1426,  1426,  1427,
    1427,  1428,  1428,  1428,  1430,  1429,  1431,  1431,  1433,  1432,
    1434,  1434,  1434,  1435,  1435,  1435,  1435,  1435,  1435,  1435,
    1435,  1435,  1435,  1436,  1436,  1437,  1437,  1437,  1437,  1437,
    1437,  1437,  1437,  1437,  1437,  1437,  1437,  1437,  1437,  1437,
    1437,  1437,  1437,  1437,  1437,  1437,  1437,  1438,  1438,  1438,
    1438,  1438,  1438,  1439,  1439,  1439,  1439,  1439,  1439,  1439,
    1440,  1441,  1441,  1441,  1441,  1441,  1441,  1441,  1441,  1442,
    1442,  1442,  1442,  1442,  1442,  1442,  1443,  1443,  1443,  1443,
    1443,  1443,  1444,  1444,  1444,  1444,  1444,  1444,  1444,  1444,
    1444,  1444,  1444,  1445,  1445,  1445,  1445,  1445,  1445,  1445,
    1445,  1446,  1446,  1446,  1446,  1446,  1446,  1446,  1447,  1447,
    1447,  1448,  1448,  1448,  1448,  1448,  1448,  1449,  1449,  1450,
    1451,  1451,  1452,  1452,  1453,  1454,  1455,  1456,  1456,  1456,
    1457,  1458,  1459,  1460,  1461,  1462,  1463,  1463,  1464,  1464,
    1465,  1465,  1465,  1466,  1466,  1467,  1467,  1468,  1468,  1469,
    1469,  1469,  1469,  1469,  1470,  1470,  1470,  1470,  1470,  1470,
    1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,
    1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,
    1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,
    1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,
    1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,
    1471,  1471,  1471,  1471,  1472,  1472,  1472,  1472,  1472,  1472,
    1472,  1472,  1472,  1472,  1473,  1473,  1473,  1473,  1474,  1474,
    1475,  1475,  1476,  1476,  1477,  1477
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       1,     0,     1,     0,     1,     0,     1,     1,     0,     2,
       5,     1,     1,     0,     2,     0,     2,     0,     2,     2,
       3,     3,     1,     3,     3,     2,     1,     1,     2,     2,
       2,     3,     3,     5,     5,     5,     0,     3,     5,     5,
       5,     5,     3,     5,     3,     5,     3,     5,     5,     6,
       1,     1,     6,     4,     9,     7,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     5,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     3,     4,     5,     4,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
       4,     6,    10,    13,     4,     6,     4,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     5,     7,     1,
       3,     4,     4,     4,     3,     2,     5,     3,     6,     4,
       6,     6,     9,     5,     7,     6,     6,     5,     5,     5,
       5,     9,     4,     5,     7,     6,     4,     8,     4,     2,
       4,     3,     6,     4,     3,     3,     3,     2,     2,     3,
       4,     4,     3,     3,     3,     3,     3,     3,     4,     4,
       3,     2,     3,     2,     2,     3,     4,     3,     2,     2,
       3,     4,     4,     4,     5,     1,     3,     2,     2,     0,
       2,     0,     1,     1,     1,     3,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     1,     2,     1,     3,     2,
       3,     1,     1,     1,     1,     6,     6,    10,     1,     2,
       1,     3,     4,     1,     3,     4,     6,     4,     8,     2,
       2,    11,     9,     1,     1,     1,     0,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     4,     3,     3,     2,     1,
       0,     3,     0,     1,     0,     1,     3,     2,     1,     1,
       1,     1,     3,     0,     1,     3,     1,    13,    16,    12,
      15,    14,    17,     1,     1,     2,     2,     2,     2,     1,
       0,     1,     0,     3,     0,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     6,     2,     4,     2,     2,     1,
       0,     2,     2,     1,     0,     2,     0,     3,     1,     1,
       2,     2,     1,     4,     4,     5,     2,     5,     7,     5,
       2,     3,     0,     1,     2,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     9,     3,     9,     4,
      10,    11,     3,     1,     5,     3,     2,     0,     3,     0,
       1,     3,     1,     4,     0,     2,     2,     2,     0,     1,
       3,     3,     6,     4,     0,     1,     1,     2,     2,     0,
       3,     3,     2,     1,     1,     3,     3,     4,     0,     1,
       0,     6,     1,     3,     3,     3,     5,     2,     0,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     8,    11,     1,     3,     1,     1,     3,     6,     8,
       6,     2,     3,     0,     8,    11,     5,     1,     0,     6,
       5,     8,     4,     6,     1,     0,     3,     0,     1,     2,
       2,     2,     1,     2,     3,     2,     2,     2,     2,     3,
       3,     3,     1,     3,     1,     0,     1,     2,     2,     1,
       1,     3,     6,    10,     1,     0,     1,     2,     2,     0,
       2,     2,     1,     0,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     1,     5,
       2,     0,     2,     6,     6,     6,    10,     6,     6,     6,
       9,     9,     6,     6,     9,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     7,     6,     4,     0,     1,
       3,     4,     1,     3,     1,     2,     2,     2,     2,     1,
       1,    10,    13,     2,     0,     2,     2,     1,     0,     5,
       4,     4,    11,    14,    12,    15,    11,     2,     1,     4,
       0,     8,    11,     1,     1,     7,     9,     8,    10,     8,
       4,     0,     5,     0,     2,     0,     2,     0,     2,     0,
       2,     0,     1,     1,     1,     1,     1,     8,     1,     1,
      17,    21,     1,     1,     2,     1,     3,     1,     1,     1,
       3,     1,     2,     0,     1,     2,     4,     1,     1,     1,
       1,     1,     3,     0,     1,     0,     1,     1,     4,     0,
       1,     1,     1,     3,     0,     1,     1,     1,     1,     2,
       0,     0,     2,     2,     1,     2,     2,     2,     2,    11,
      13,     1,     3,     5,     1,     3,     5,     1,     2,     2,
       1,     8,     6,     5,     4,     4,     3,     7,     8,     6,
       6,     6,     6,     6,     4,     7,     5,     8,     3,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     3,     3,     1,     0,     1,     3,     7,     9,     9,
       8,     6,     3,     0,    13,     1,     3,     5,     5,     3,
       6,     2,     1,     0,     2,     0,     2,     4,     0,     1,
       0,     6,     8,     8,     1,     3,     5,     5,     7,     9,
       7,     9,     5,     6,     6,     4,     6,     4,     6,     8,
       4,     6,     4,     6,     5,     7,     1,     1,     1,     2,
       1,     2,     1,     1,     1,     3,     3,     3,     3,     1,
       1,     1,     1,     1,     2,     2,     1,     3,     2,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     2,     2,
       3,     1,     3,     5,     2,     2,     0,     6,     6,     6,
       6,     6,     6,     6,     6,     8,     9,     8,     6,     6,
       9,     9,     9,     7,    10,     1,     1,     8,     8,     8,
       8,     8,     8,     8,     9,     8,     8,     2,     0,     1,
       1,     2,     2,     3,     4,     5,     4,     5,     3,     4,
       3,     4,     1,     2,     3,     3,     3,     3,     4,     4,
       3,     3,     4,     4,     4,     4,     1,     1,     1,     0,
       8,     8,    11,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     2,     1,     3,     1,     3,     1,
       2,     2,     4,     3,     2,     2,     2,     2,     2,     2,
       3,     2,     2,     2,     2,     5,     5,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     5,     7,     6,     9,
       3,     1,     2,     1,     1,     1,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
       1,     1,     1,    16,    19,     1,     0,     2,     0,     1,
       3,     4,     5,     2,     2,     4,     4,     0,     1,     3,
       2,     0,     1,     1,     0,     2,     2,     0,     9,    12,
       7,     7,     2,     0,     3,     2,     1,     3,     1,     3,
       2,     1,     1,     2,     3,     2,     1,     3,     3,     3,
       2,     2,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     4,     5,     1,     3,     3,     1,     3,     3,     5,
       6,     1,     3,     2,     1,     3,     1,     0,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     2,     1,     2,     2,     2,     2,
       1,     1,     1,     3,     2,     1,     4,     0,     3,     0,
       1,     1,     3,     5,     2,     0,     2,     1,     3,     5,
       5,     5,     1,     2,     1,     0,     4,     6,     4,     6,
       4,     6,     4,     6,     4,     6,     3,     5,     5,     5,
       1,     3,     1,     3,     2,     2,     1,     2,     1,     2,
      11,    10,    10,     2,     2,     0,     9,     2,     0,    10,
      11,    11,     5,     5,     8,     5,     5,     5,     1,     1,
       1,     1,     3,     0,     5,     5,     6,     6,     6,     6,
       6,     8,     8,     6,     6,     7,     9,     9,     8,    10,
       6,     6,     6,     6,     6,     6,     6,     8,     6,     8,
       6,     8,     7,     9,     6,     8,     7,     9,     8,    10,
       8,    10,     9,    11,     8,    10,     9,    11,     8,     8,
       7,     6,     6,     6,     6,     8,     8,     8,     8,     6,
       9,     1,     0,     2,     0,     8,     8,     8,    10,     9,
       8,     1,     0,     6,     6,     6,     6,     6,     6,     6,
       9,     9,     6,     6,     6,     8,     6,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       1,     7,     6,     6,     6,     6,     6,     6,     7,     7,
       6,     9,     9,     6,     6,     6,     6,     6,     6,     8,
       8,     8,     6,     7,     6,     6,     4,     7,     6,     4,
       4,     4,     3,     4,     3,     1,     1,     3,     5,     5,
       5,     5,     8,     5,     5,     6,     7,     7,     7,     4,
       4,     5,     4,     6,    13,     1,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     1,     0,     3,     2,     0,     2,     2,     2,
       3,     3,     3,     3,     2,     3,     2,     5,     4,     3,
       3,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     2,     3,     0,
       9,    11,    12,    14,     3,     4,     4,     0,     2,     5,
       1,     0,     1,     2,     3,     3,     3,     1,     2,     1,
       1,     1,     1,     1,     1,     0,     5,     4,     6,     6,
       4,     3,     5,     7,     9,     1,     3,     1,     5,     4,
       4,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,     1,     1,
      10,     6,     4,     4,     2,     5,     2,     0,     6,     5,
       3,     5,     1,     3,     1,     1,     2,     1,     1,     1,
       1,     1,     0,     1,     0,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     1,     3,     1,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     5,     4,     3,     0,     1,     1,     1,     1,
       1,     4,    10,    13,     3,     0,     7,     1,     3,     1,
       4,     4,     7,     2,     1,     1,     1,     3,     2,     8,
       5,     0,     4,     3,     0,     3,     0,     7,     2,     0,
       5,     3,     0,     2,     2,     2,     3,     1,     3,     1,
       2,     1,     0,     1,     2,     0,     8,     1,     3,     3,
       5,     2,     1,     3,    10,     1,     2,     4,     4,     4,
       5,     5,     2,     5,     3,     5,     2,     0,     3,     1,
       2,     5,     5,     8,     3,     4,     7,     1,     1,     0,
       3,     2,     2,     2,     2,     0,     2,     2,     1,     1,
       3,     3,     1,     2,     4,     4,     2,     3,     5,     5,
       1,     1,     9,     9,     1,     2,     4,     4,     4,     2,
       2,     3,     1,     3,     9,     1,     2,     0,     7,     7,
       0,    10,     6,     0,     1,     0,     2,     1,     0,     3,
       3,     4,     4,     4,     4,     3,     2,     1,     1,     0,
       1,     1,     0,     1,     5,     1,     0,     1,     0,     3,
       1,     3,     4,     3,     2,     2,     1,     1,     1,     0,
       2,     4,     5,     6,     4,     5,     2,     3,     1,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       4,     0,     1,     3,     1,     1,     1,     1,     1,     2,
       4,     4,     5,     2,     0,     1,     3,     1,     0,     1,
       2,     3,     2,     4,     2,     3,     2,     0,     4,     5,
       2,     0,     1,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     1,     4,     2,     3,     3,     4,     5,     4,
       5,     4,     5,     2,     4,     1,     1,     0,     2,     0,
       1,     4,     5,     4,     0,     2,     2,     2,     1,     1,
       0,     5,     2,     1,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     6,     4,     0,     2,     6,     2,     1,
       3,     4,     0,     2,     0,     2,     0,     2,     4,     0,
       1,     0,     1,     3,     3,     7,    12,     1,     3,     2,
       3,     3,     1,     2,     2,     2,     2,     1,     2,     1,
       3,     3,     2,    13,     2,     0,     1,     3,     3,     6,
       7,     5,     7,     9,     1,     0,     2,     0,     2,     3,
       5,     6,     2,     3,     3,     4,     0,     1,     1,     1,
       1,     1,     2,     4,     1,     1,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     4,     1,     2,
       2,     1,     3,     3,     2,     1,     0,     5,     2,     5,
       2,     1,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     0,     1,
       4,     1,     1,     3,     3,     5,     3,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     3,     3,     2,     2,     3,     5,     4,
       6,     3,     5,     4,     6,     4,     6,     5,     7,     3,
       2,     4,     2,     3,     3,     4,     3,     4,     3,     4,
       5,     6,     6,     7,     6,     7,     3,     4,     4,     6,
       3,     3,     4,     3,     4,     4,     5,     4,     5,     1,
       1,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     5,     6,
       3,     4,     1,     1,     2,     4,     1,     1,     1,     2,
       2,     2,     2,     1,     1,     4,     3,     5,     6,     8,
       6,     6,     4,     4,     3,     1,     1,     1,     1,     5,
       1,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       1,     1,     1,     1,     1,     1,     6,     4,     4,     6,
       4,     4,     4,     4,     4,     6,     5,     5,     5,     4,
       6,     4,     4,     4,     4,     5,     7,     7,     9,     5,
       4,     6,     5,     7,     7,     8,     4,     7,     4,     6,
       6,     4,     5,     4,     5,     3,    11,     8,     9,     2,
       3,     3,     3,     4,     0,     4,     1,     3,     3,     1,
       1,     1,     1,     2,     0,     2,     2,     0,     2,     3,
       3,     4,     2,     2,     5,     0,     5,     0,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     3,     3,     3,     0,     1,     4,     2,     2,     2,
       2,     2,     3,     2,     2,     3,     0,     4,     3,     5,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     1,     4,     1,     4,     1,     2,     1,     2,
       1,     3,     1,     3,     1,     3,     3,     1,     0,     1,
       3,     3,     3,     2,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     7,
       5,     3,     5,     5,     3,     3,     5,     3,     2,     1,
       1,     3,     5,     1,     2,     4,     2,     0,     1,     0,
       1,     2,     2,     2,     3,     5,     1,     0,     1,     2,
       0,     2,     1,     0,     2,     0,     1,     3,     3,     2,
       3,     2,     3,     4,     4,     3,     3,     0,     2,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     3,     3,
       6,     0,     3,     0,     2,     4,     2,     1,     0,     5,
       2,     5,     2,     0,     3,     0,     1,     2,     2,     2,
       2,     3,     2,     3,     2,     0,     1,     3,     3,     3,
       3,     3,     0,     3,     3,     0,     1,     3,     7,     7,
       3,     0,     1,     0,     1,     3,     3,     2,     1,     1,
       1,     3,     1,     2,     1,     3,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     6,     2,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     2,     4,     3,     2,     1,     1,
       1,     1,     1,     0,     8,     0,    11,     2,     5,     3,
       2,     2,     3,     7,     1,     1,     1,     0,     2,     2,
       1,     0,     1,     3,     1,     2,     0,     2,     0,     2,
       0,     1,     3,     4,     3,     1,     1,     1,     1,     2,
       0,     2,     4,     0,     2,     2,     2,     1,     1,     3,
       7,     3,     1,     1,     1,     1,     2,     0,     1,     3,
       3,     3,     3,     0,     4,     5,     5,     0,     1,     1,
       1,     2,     2,     1,     2,     0,     7,     0,     5,     0,
       4,     2,     2,     0,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     5,     5,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     3,     2,
       2,     3,     0,     5,     1,     0,     5,     2,     2,     1,
       1,     1,     2,     2,     3,     1,     2,     2,     3,     3,
       4,     2,     1,     2,     1,     1,     2,     2,     3,     1,
       1,     1,     1,     0,     1,     3,     5,     0,     2,     0,
       1,     2,     3,     2,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     2,     2,     3,     0,     1,     2,     1,
       4,     3,     4,     3,     2,     1,     3,     1,     1,     1,
       1,     2,     2,     1,     2,     2,     1,     1,     1,     4,
       4,     4,     4,     4,     1,     0,     3,     3,     4,     1,
       3,     3,     4,     1,     3,     3,     1,     1,     1,     6,
       1,     3,     3,     6,     1,     3,     3,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     4,     1,
       1,     4,     4,     3,     0,     7,     1,     0,     0,     7,
       3,     4,     3,     1,     1,     1,     2,     3,     5,     2,
       2,     5,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       0,     1,     2,     1,     2,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     3,     1,     2,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     3,     2,     3,     1,     3,     3,     3,     3,     3,
       3,     1,     1,     4,     0,     2,     2,     1,     2,     1,
       0,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39289 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1745 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39299 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1755 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39305 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1757 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39311 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39317 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39323 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39329 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1765 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39335 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39341 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39347 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39353 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39359 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1775 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39365 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1777 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39371 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1779 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39377 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1781 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39383 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1783 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39389 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1785 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39395 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1787 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39401 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1789 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39407 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1791 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39413 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1793 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39419 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1795 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39425 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1797 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39431 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1799 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39437 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1801 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39443 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1803 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39449 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1805 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39455 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1807 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39461 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1809 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39467 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1811 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39473 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1813 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39479 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1815 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39485 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1817 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39491 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1819 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39497 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1821 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39503 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1823 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39509 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1825 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 39531 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1843 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39537 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1845 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39543 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1847 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39549 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1849 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39555 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1851 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39561 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1853 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39567 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1855 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39573 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1857 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39579 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1859 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39585 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1861 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39591 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1863 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39597 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1865 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39603 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1867 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39609 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1869 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39615 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1871 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39621 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1873 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39627 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1875 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39633 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1877 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39639 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1879 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39645 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1881 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39651 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1883 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39657 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1885 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39663 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1887 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39669 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1889 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39675 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1891 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39681 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1893 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39687 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1895 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39693 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1897 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39699 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1899 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39705 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1901 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39711 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1903 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39717 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1905 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39723 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1907 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39729 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1909 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39735 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1911 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39741 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1913 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39747 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1915 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 39755 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1919 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str), (strncmp((yyvsp[0].str), "ECPGset_var", strlen("ECPGset_var")) == 0) ? 4 : 0); }
#line 39761 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1921 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39767 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1923 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 39773 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1925 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 39779 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1927 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39785 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1929 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39791 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1931 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39797 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1933 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39803 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1935 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39809 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1937 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39815 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1939 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39821 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1941 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39827 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1943 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39833 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1945 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39839 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1947 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39845 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1949 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39851 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1951 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yyvsp[0].exec).name);
		if ((yyvsp[0].exec).type == NULL || strlen((yyvsp[0].exec).type) == 0)
			output_statement((yyvsp[0].exec).name, 1, ECPGst_execute);
		else
		{
			if ((yyvsp[0].exec).name[0] != '"')
				/* case of char_variable */
				add_variable_to_tail(&argsinsert, find_variable((yyvsp[0].exec).name), &no_indicator);
			else
			{
				/* case of ecpg_ident or CSTRING */
				char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
				char *str = mm_strdup((yyvsp[0].exec).name + 1);

				/* It must be cut off double quotation because new_variable() double-quotes. */
				str[strlen(str) - 1] = '\0';
				sprintf(length, "%zu", strlen(str));
				add_variable_to_tail(&argsinsert, new_variable(str, ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
			}
			output_statement(cat_str(3, mm_strdup("execute"), mm_strdup("$0"), (yyvsp[0].exec).type), 0, ECPGst_exec_with_exprlist);
		}
	}
#line 39879 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1975 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39885 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1977 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 39891 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1979 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39897 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1981 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39903 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1983 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39909 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1985 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39915 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1987 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 39921 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1989 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39927 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1991 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39933 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1993 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39939 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1995 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39945 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1997 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39951 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1999 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39957 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 2001 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yyvsp[0].prep).name);
		if ((yyvsp[0].prep).type == NULL)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else if (strlen((yyvsp[0].prep).type) == 0)
		{
			char *stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].prep).stmt, mm_strdup("\""));
			output_prepare_statement((yyvsp[0].prep).name, stmt);
		}
		else
		{
			if ((yyvsp[0].prep).name[0] != '"')
				/* case of char_variable */
				add_variable_to_tail(&argsinsert, find_variable((yyvsp[0].prep).name), &no_indicator);
			else
			{
				char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
				char *str = mm_strdup((yyvsp[0].prep).name + 1);

				/* It must be cut off double quotation because new_variable() double-quotes. */
				str[strlen(str) - 1] = '\0';
				sprintf(length, "%zu", strlen(str));
				add_variable_to_tail(&argsinsert, new_variable(str, ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
			}
			output_statement(cat_str(5, mm_strdup("prepare"), mm_strdup("$0"), (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_prepare);
		}
	}
#line 39989 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 2029 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39995 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 2031 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40001 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 2033 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40007 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 2035 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40013 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 2037 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40019 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 2039 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40025 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 2041 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40031 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 2043 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40037 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 2045 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40043 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 2047 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40049 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 2049 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 40055 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 2051 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 40065 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 2057 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40071 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 2059 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40077 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 2061 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 40083 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 2063 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40089 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 2065 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40095 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 2067 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40101 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 2069 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40107 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 2071 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 40113 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 2073 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 40123 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 2079 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 40137 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 2089 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str), 0);
	}
#line 40145 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 2093 "preproc.y" /* yacc.c:1646  */
    {
		 output_simple_statement((yyvsp[0].str), (strncmp((yyvsp[0].str), "ECPGset_var", strlen("ECPGset_var")) == 0) ? 4 : 0);
	}
#line 40153 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 2097 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 40163 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 2103 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str), 0);
	}
#line 40171 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 2107 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yyvsp[0].describe).stmt_name);

		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %d, %s, %s,", compat, (yyvsp[0].describe).input, connection ? connection : "NULL", (yyvsp[0].describe).stmt_name);
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].describe).stmt_name);
	}
#line 40187 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 2119 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 40201 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 2128 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 40207 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 2130 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 40225 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 2144 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 40236 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 2151 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 40246 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 2157 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 40261 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 2168 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 40271 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 2174 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 40284 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 2183 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 40295 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 2190 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 40305 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 2196 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 40318 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 2205 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str), 0);
	}
#line 40329 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 2212 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str), 0);
	}
#line 40340 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 2219 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 40346 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40354 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40361 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40369 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40376 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 40384 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40391 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 40399 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 40407 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40414 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("call"),(yyvsp[0].str));
}
#line 40422 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40430 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 40438 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 40446 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40453 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40461 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40468 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40476 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40483 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 40491 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 40499 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 40507 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2338 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 40516 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 40524 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 40532 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 40540 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 40548 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40556 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40564 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 40572 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 40580 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 40588 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 40596 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 40604 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40612 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40620 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40628 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40635 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 40643 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40651 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40659 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40667 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40675 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 40683 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 40691 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 40699 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 40707 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 40715 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 40723 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40731 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 40739 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 40747 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 40755 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40763 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40771 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40779 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40787 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40795 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40802 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40810 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40818 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40826 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40834 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40842 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40850 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 40858 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 40866 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 40874 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 40882 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 40890 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40898 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40906 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40914 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 40922 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 40930 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40938 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 40946 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 40954 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2625 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 40963 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 40971 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 40979 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 40987 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 40995 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 41003 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 41011 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 41019 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41027 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 41035 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41043 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41051 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41059 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2690 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 41073 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 41081 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 41089 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 41097 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 41105 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 41113 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 41121 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 41129 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41137 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41145 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41153 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41161 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41169 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41177 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 41185 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 41193 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41201 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 41209 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41216 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41224 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41232 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 41240 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41248 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 41256 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 41264 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 41272 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41280 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 41288 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 41296 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41304 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 41312 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41320 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 41328 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 41336 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 41344 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 41352 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2883 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 41361 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41369 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 41377 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41385 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 41393 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 41401 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 41409 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 41417 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 41425 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 41433 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 41441 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 41449 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41457 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41465 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41473 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41481 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41489 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41497 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41505 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41513 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41521 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41529 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41537 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 3000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41545 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 3004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41553 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 3008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41561 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 3012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41569 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 3016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41577 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 3020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41585 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 3024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41593 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 3028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41601 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 3032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41609 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 3036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41617 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 3044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41625 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 3048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41633 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 3056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41641 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 3060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("detach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41649 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 3064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("detach partition"),(yyvsp[-1].str),mm_strdup("finalize"));
}
#line 41657 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 3072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("attach partition"),(yyvsp[0].str));
}
#line 41665 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 3080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 41673 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 3084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 41681 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 3088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 41689 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 3092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 41697 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 3096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41705 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 3100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 41713 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 3104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 41721 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 3108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("set expression as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41729 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 3112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop expression"));
}
#line 41737 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 3116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop expression if exists"));
}
#line 41745 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 3120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 41753 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 3124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 41761 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 3128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 41769 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 3132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 41777 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 3136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 41785 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 3140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 41793 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 3144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 41801 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 3148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41809 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 3152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 41817 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 3156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 41825 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 3160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41833 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 3164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41841 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 3168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41849 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 3172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41857 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 3176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 41865 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 3180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41873 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 3184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 41881 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 3188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41889 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 3192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41897 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 3196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 41905 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 3200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 41913 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 3204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 41921 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 3208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 41929 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 3212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 41937 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 3216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 41945 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 3220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 41953 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 3224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 41961 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 41969 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 41977 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 41985 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 41993 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 42001 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 42009 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 42017 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 42025 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 42033 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 42041 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 42049 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 42057 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 42065 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42073 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set access method"),(yyvsp[0].str));
}
#line 42081 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 42089 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 42097 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 42105 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 42113 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 42121 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 42129 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 42137 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 42145 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42153 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 42161 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 42169 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 42177 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42184 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 42192 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42199 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 42207 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 42215 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42223 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 42231 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42239 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42247 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42254 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42262 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42270 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42278 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42286 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42294 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 42302 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42310 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42318 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 42326 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42334 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 42342 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 42350 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42358 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42366 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42374 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42382 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values with ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42390 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42398 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42406 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42414 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42422 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42430 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42438 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42446 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42454 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42462 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42470 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42478 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42486 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42494 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3569 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = NULL;
		for (ptr = cur; ptr != NULL; ptr = ptr -> next)
		{
			if (strcmp((yyvsp[0].str), ptr -> name) == 0)
			{
				if (ptr -> connection)
					connection = mm_strdup(ptr -> connection);

				break;
			}
		}
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 42514 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 42522 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3593 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42534 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42542 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 42550 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 42558 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 42566 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42573 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42581 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 42589 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 42597 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42605 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42613 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42621 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42628 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 42636 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 42644 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42652 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42660 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 42668 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 42676 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42684 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42692 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 42700 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 42708 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 42716 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force not null *");
}
#line 42724 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 42732 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force null *");
}
#line 42740 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 42748 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 42756 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42763 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 42771 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42778 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 42786 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42793 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42801 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42809 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42817 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42825 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42833 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 42841 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42849 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42857 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42864 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42872 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42880 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42888 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("("),(yyvsp[-7].str),mm_strdup(")"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42896 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("("),(yyvsp[-7].str),mm_strdup(")"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42904 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42912 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42920 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table"),(yyvsp[-10].str),mm_strdup("partition of"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42928 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("table if not exists"),(yyvsp[-10].str),mm_strdup("partition of"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42936 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 42944 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 42952 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 42960 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 42968 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 42976 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 42984 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 42992 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42999 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43007 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43014 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43022 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43029 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43037 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43045 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43053 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43061 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43069 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43077 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43085 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43093 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43101 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43109 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43117 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 43125 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("compression"),(yyvsp[0].str));
}
#line 43133 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("compression default");
}
#line 43141 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 4004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43149 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 4008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43156 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 4015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 43164 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 4019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage default");
}
#line 43172 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 4027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43180 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 4031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43187 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 4038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43195 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 4042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43202 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 4049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43210 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 4053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43218 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 4057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43226 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 4061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 43234 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 4069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 43242 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 4073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 43250 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 4077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("unique"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43258 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 4081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43266 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 4085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43274 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 4089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 43282 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 4093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 43290 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 4097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("generated"),(yyvsp[-5].str),mm_strdup("as ("),(yyvsp[-2].str),mm_strdup(") stored"));
}
#line 43298 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 4101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43306 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 4109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls distinct");
}
#line 43314 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 4113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls not distinct");
}
#line 43322 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 4117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43329 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 4124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 43337 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 4128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by default");
}
#line 43345 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 4136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 43353 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 4140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 43361 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 4144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 43369 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 4148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 43377 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 4156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43385 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 4164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 43393 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 4168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 43401 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 4172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43408 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 4179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 43416 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 4183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("compression");
}
#line 43424 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 43432 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 43440 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 43448 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 43456 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 43464 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 43472 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 43480 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43488 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43496 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43504 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43512 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("unique"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43520 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43528 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("primary key ("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43536 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43544 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("exclude"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43552 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43560 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43568 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43576 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43584 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not null"),(yyvsp[0].str));
}
#line 43592 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 43600 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43607 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43615 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43622 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43630 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43638 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43646 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43654 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43661 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 43669 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4348 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 43678 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 43686 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43693 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43701 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43709 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 43717 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43725 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43733 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43740 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43748 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43756 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43764 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43772 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43779 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 43787 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 43795 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 43803 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 43811 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 43819 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set null"),(yyvsp[0].str));
}
#line 43827 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 43835 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43843 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43850 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43858 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43865 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43873 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43881 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43889 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43897 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43905 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43913 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 43921 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43928 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 43936 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 43944 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43951 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 43959 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 43967 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 43975 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43982 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 43990 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43997 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 44005 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44012 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 44020 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 44028 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 44036 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44044 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44052 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44060 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44068 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44076 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 44084 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics if exists"),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 44092 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44100 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 44108 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 44116 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44123 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44131 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44139 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44147 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 44155 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44162 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44170 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44178 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44186 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44194 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44202 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44210 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44217 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44225 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44232 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44240 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44248 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 44256 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 44264 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 44272 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 44280 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44288 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 44296 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 44304 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 44312 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 44320 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 44328 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 44336 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44344 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 44352 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44360 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 44368 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44375 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44383 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44391 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44399 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44407 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44415 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44423 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 44431 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44439 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 44447 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44454 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44462 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44470 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 44478 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44485 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 44493 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 44501 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44509 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44516 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 44524 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44531 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44539 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 44547 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44554 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 44562 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 44570 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44578 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44586 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44594 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44601 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 5004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 44609 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 5008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 44617 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 5012 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 44626 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 5017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 44634 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 5025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 44642 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 5033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44650 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 5037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44657 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 5044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 44665 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 5052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44673 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 5056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44681 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 5060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 44689 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 5064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44697 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 5068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 44705 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 5072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 44713 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 5076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 44721 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 5080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 44729 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 44737 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("procedure"),(yyvsp[0].str));
}
#line 44745 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("routine"),(yyvsp[0].str));
}
#line 44753 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 44761 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 44769 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44777 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 44785 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 44793 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 44801 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 44809 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44817 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44825 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44833 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44840 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44848 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44856 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44864 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44871 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44879 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44887 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44895 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44903 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44911 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44919 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 44927 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 44935 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 44943 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44951 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44959 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44967 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44975 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44983 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 44991 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44998 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 45006 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 45014 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45022 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45029 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45037 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45045 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45053 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45061 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45069 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45077 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45085 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45093 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 45101 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 45109 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45117 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45124 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45132 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45140 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45148 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45156 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 45164 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 45172 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45180 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45188 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45196 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45204 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45211 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45219 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45226 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 45234 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45241 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 45249 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45256 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 45264 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45271 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 45279 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45286 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45294 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 45302 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 45310 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 45318 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 45326 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),mm_strdup("handler"),(yyvsp[0].str));
}
#line 45334 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 45342 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45350 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(17,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45358 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(18,mm_strdup("create"),(yyvsp[-19].str),mm_strdup("constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45366 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 45374 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 45382 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 45390 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45398 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 45406 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 45414 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 45422 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 45430 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 45438 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 45446 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 45454 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45461 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45469 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45477 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45485 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 45493 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 45501 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45509 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45517 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45525 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45533 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45540 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 45548 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45555 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45563 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 45571 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45579 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45586 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 45594 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 45602 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45610 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45618 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45625 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45633 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45641 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45649 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45657 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 45665 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45672 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45679 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45687 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 45695 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 45703 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 45711 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 45719 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 45727 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 45735 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45743 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45751 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45759 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45767 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45775 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 45783 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 45791 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45799 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 45807 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 45815 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 45823 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 45831 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5882 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45840 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),mm_strdup("aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45848 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45856 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45864 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45872 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 45880 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45888 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45896 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 45904 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45912 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45920 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45928 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45936 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45944 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45952 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 45960 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 45968 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45976 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45984 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45992 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 46000 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46008 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46016 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46024 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46032 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46040 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46048 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 46056 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46064 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46072 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46080 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 46088 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46096 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46103 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46111 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46119 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46127 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 46135 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 46143 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 46151 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6086 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("drop value"),(yyvsp[0].str));
}
#line 46160 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 46168 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46175 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46183 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46191 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46199 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46207 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46215 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46223 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46231 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 46239 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 46247 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46254 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 46262 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46269 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 46277 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 46285 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46292 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6187 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 46301 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46308 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 46316 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 46324 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 46332 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46340 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46348 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46356 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46364 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46372 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46380 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46388 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46396 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46404 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 46412 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46420 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46428 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46436 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46444 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46452 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46460 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46468 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46476 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46484 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46492 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46500 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46508 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 46516 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 46524 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 46532 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 46540 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 46548 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 46556 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 46564 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 46572 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 46580 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 46588 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 46596 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 46604 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 46612 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46620 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 46628 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 46636 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 46644 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 46652 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 46660 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 46668 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 46676 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 46684 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 46692 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 46700 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 46708 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 46716 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 46724 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 46732 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 46740 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46748 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46756 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46764 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46772 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 46780 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 46788 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46796 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46804 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46812 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 46820 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 46828 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46835 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46843 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on column"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46851 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46859 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46867 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46875 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46883 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46891 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46899 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46907 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46915 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("comment on"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46923 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46931 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46939 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46947 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46955 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46963 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46971 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 46979 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46987 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46995 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 47003 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on column"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 47011 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 47019 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 47027 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 47035 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 47043 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 47051 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 47059 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 47067 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 47075 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 47083 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47090 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 47106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 47114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 47122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6701 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 47130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6705 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 47143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6714 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
			if (ptr -> connection)
				connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 47156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6723 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 47169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6732 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 47182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6741 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 47195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6750 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 47208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6759 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 47221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6768 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 47234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6781 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 47252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6795 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6809 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6823 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6837 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6851 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6865 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6884 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6903 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6922 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6936 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6955 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6969 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6988 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 7006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 47519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 7010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 47527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("grant"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("revoke"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("revoke grant option for"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 47582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 47590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 47630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 47638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 47646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter system");
}
#line 47654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 47694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 47710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 47718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 47726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 47734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 47742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("procedure"),(yyvsp[0].str));
}
#line 47750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("routine"),(yyvsp[0].str));
}
#line 47758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 47766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 47774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 47782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 47790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parameter"),(yyvsp[0].str));
}
#line 47798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 47806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 47814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 47822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 47830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 47838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 47846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all procedures in schema"),(yyvsp[0].str));
}
#line 47854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all routines in schema"),(yyvsp[0].str));
}
#line 47862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 47894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 47902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("grant"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),mm_strdup("with"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("revoke"),(yyvsp[-7].str),mm_strdup("option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 47973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 47981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 47989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 47997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 48035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 48043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 48051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 48083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 48091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 48099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 48107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 48115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 48123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(16,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("index"),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(17,mm_strdup("create"),(yyvsp[-17].str),mm_strdup("index"),(yyvsp[-15].str),mm_strdup("if not exists"),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 48147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 48162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 48264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 48279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 48287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 48302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 48310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("procedure"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 48357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 48380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 48460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 48524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 48532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 48540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 48548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 48556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 48588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 48596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 48612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 48620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 48636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 48739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 48747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 48755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 48763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 48771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 48779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 48787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 48795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 48803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 48811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 48819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 48827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 48835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 48843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("support"),(yyvsp[0].str));
}
#line 48851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 48867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 48875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 48883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 48891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 48899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("return"),(yyvsp[0].str));
}
#line 48931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin atomic"),(yyvsp[-1].str),mm_strdup("end"));
}
#line 48947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(";"));
}
#line 48962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 48993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 49001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 49009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 49088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 49207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 49223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 49255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 49287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 49303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 49311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 49319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 49327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 49350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 49373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 49381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 49389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 49397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex"),(yyvsp[-3].str),mm_strdup("schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 49437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 49445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 49453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 49461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 49484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 49492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 49940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 49955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter procedure"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter routine"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 50002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 50010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 50018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 50241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 50273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 50281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-4].str),mm_strdup("for all tables"),(yyvsp[0].str));
}
#line 50545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create publication"),(yyvsp[-3].str),mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("table"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tables in schema"),(yyvsp[0].str));
}
#line 50569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables in schema current_schema");
}
#line 50577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 50609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 50633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 50641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 50649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 50657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 50673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 50681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 50689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("add publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("drop publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 50721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 50729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("skip"),(yyvsp[0].str));
}
#line 50737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 50769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 50793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 50864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 50872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 50880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 50888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 50896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 50904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 50927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 50942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 50950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 50958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("abort"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 50974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("commit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollback"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 50998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 51006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 51014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 51022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 51030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 51038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 51046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 51054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("end"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 51078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 51086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 51101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 51109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 51117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 51125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 51133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and chain");
}
#line 51180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and no chain");
}
#line 51188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 51235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 51243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 51251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 51266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 51329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 51345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 51353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 51361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 51369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 51377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 51385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 51393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 51408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 51424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("refresh collation version"));
}
#line 51432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 51448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 51456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop database"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop database if exists"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 51496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 51504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 51512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 51520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 51544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 51552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 51560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 51584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 51592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 51647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 51655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 51663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 51671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 51679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cluster ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 51711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 51719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 51727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("vacuum"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 51790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 51798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("format");
}
#line 51830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 51876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 51891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 51906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 51975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 51991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9946 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = (yyvsp[0].exec).name;
	}
#line 52079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9954 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 52089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9960 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 52099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10005 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.exec).name = (yyvsp[-2].str);
		(yyval.exec).type = (yyvsp[-1].str);
	}
#line 52163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10010 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.exec).name = cat_str(8,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("as execute"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str));
	}
#line 52171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10014 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.exec).name = cat_str(8,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("as execute"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str));
	}
#line 52179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 52218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 52234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 52250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 52258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 52266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 52274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 10089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 10093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 10101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 10109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 10113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 52314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 10117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 10124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 10128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 52337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 10132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 10139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 52352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 10143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 10150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 10158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 52375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 10162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 10169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 10177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 52398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 10181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 10188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 52413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 10192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 52421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 10196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 52429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 52437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 52445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 52453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 52461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 52469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 52477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 52492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 52500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 52539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 52547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,(yyvsp[-9].str),mm_strdup("merge into"),(yyvsp[-6].str),mm_strdup("using"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 52603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 52611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 52619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("then do nothing"));
}
#line 52627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("then do nothing"));
}
#line 52635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when matched");
}
#line 52643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when not matched by source");
}
#line 52651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when not matched");
}
#line 52659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when not matched by target");
}
#line 52667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("and"),(yyvsp[0].str));
}
#line 52675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update set"),(yyvsp[0].str));
}
#line 52690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 52698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("insert"),(yyvsp[0].str));
}
#line 52706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("insert overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 52714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("insert ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("insert ("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 52730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert default values");
}
#line 52738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10429 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

                if (INFORMIX_MODE && pg_strcasecmp((yyvsp[-5].str), "database") == 0)
                        mmfatal(PARSE_ERROR, "\"database\" cannot be used as cursor name in INFORMIX mode");

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection ? mm_strdup(connection) : NULL;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 52797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10484 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 52817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 52832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 52840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 52848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("asensitive"));
}
#line 52856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 52864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10523 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 52875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 52883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 52891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 53035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 53067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 53075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 53083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 53115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not materialized");
}
#line 53123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("search depth first by"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 53138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("search breadth first by"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 53146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("cycle"),(yyvsp[-8].str),mm_strdup("set"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),mm_strdup("default"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 53161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("cycle"),(yyvsp[-4].str),mm_strdup("set"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 53169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10738 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 53200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10742 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 53277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 53293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 53308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 53316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 53331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 53347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 53377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 53464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10918 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 53473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 53481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("with ties"));
}
#line 53489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 53497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("with ties"));
}
#line 53505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 53513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 53537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 53561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 53569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 11003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 53593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 11007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 53601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 11015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 53609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 11019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 53617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 11027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("group by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 11031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 11038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 11042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 11050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 11054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 11058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 11062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 11066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 11074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 53696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 11082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 11090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 11098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 11106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 53728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 11110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 11117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 11121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 53751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 11129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 11133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 11140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 11144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 11152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 11160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 53798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 11164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 53806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 11168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 53814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 11172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 53822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 11180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 53830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 11184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 11191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 11195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 11203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 53861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 11207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 11214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 11218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 11226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 11230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 11234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 11238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 11242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 11246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 11250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 11254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 11258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 11262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 53964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 11266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 11270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 11278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 11282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 53996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 11286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 11290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 11294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 54020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 11298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 54028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 11306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 11310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 54044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 11314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 11318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 11326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 11330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 11337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 54083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 11341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 11348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 11352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 11356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 11360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 11364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 11371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 54137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 11375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 54145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 11379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 54153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 11383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 54161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 11391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 54169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("using ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 54184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 54192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 54216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 54224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 54272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 54280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 54311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 54358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 54373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 54388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11558 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 54397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 54499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 54531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 54539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 54547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("path"),(yyvsp[0].str));
}
#line 54555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 54579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 54587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("json_table ("),(yyvsp[-10].str),mm_strdup(","),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("columns ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 54603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 54634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("nested"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("columns ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("nested"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup("columns ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("path");
}
#line 54682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("path"),(yyvsp[0].str));
}
#line 54697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11782 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 54710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11784 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 54716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 54724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 54732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 54740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 54748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11806 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 54762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11816 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 54776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11826 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 54786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 54929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 54937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 54945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 54953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 54961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 54969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 54977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 54985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 54993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 55001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 55009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 55024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 12002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 12010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 55072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 12018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 12022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 12030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 12034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 12042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 12050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 12058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 55128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 12062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 55136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 12066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 55144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 12070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 55152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 12074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 55160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 12078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 55168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 12086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 55176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 12090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 55183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 12097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 55191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 12101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 55199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 12105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 55207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 12109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 55215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 12117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 55223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 12125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 55231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 12129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 55239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 12133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 55246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 12140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 55254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 12144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 55262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 12148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 55270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 12152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 55278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 12156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 55286 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 12160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55294 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 12164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 55302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 12168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 55310 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 12172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 55318 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 12176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 55326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 12180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 55334 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 12184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 55342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 12188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 55350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 12192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 55357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 12199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 55365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 12203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 12211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json");
}
#line 55381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 12219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 12223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 55397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 12227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 55405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 12231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 55413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 12235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("at local"));
}
#line 55421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 12239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 55429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 12243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 55437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 12247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 55445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 12251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 55453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 12255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 55461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 12259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 55469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 12263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 55477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 12267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 55485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 12271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 55493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 12275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 55501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 12279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 55509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 12283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 55517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 12287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 55525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 12291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 55533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 12295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 12299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 12303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 12307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 55565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 12311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 55573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 12315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 55581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 12319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 55589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 12323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 12327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 55605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 12331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 12335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 55621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 12339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 12343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 55637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 12347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 12351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 55653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 12355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 12359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 55669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 12363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 12367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 55685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 12371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 55693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 12375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 55701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 12379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 55709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 55717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 55725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 55733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 55741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 55749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 55757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 55765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 55773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 55781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 55821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 55829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12451 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55854 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 55862 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 55870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is normalized"));
}
#line 55878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("is"),(yyvsp[-1].str),mm_strdup("normalized"));
}
#line 55886 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not normalized"));
}
#line 55894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("is not"),(yyvsp[-1].str),mm_strdup("normalized"));
}
#line 55902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("is"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("is not"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 55926 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55934 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 55942 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 55950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 55958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 55966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 55974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 55982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 55990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 55998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 56006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 56014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 56022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 56030 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 56038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 56046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 56054 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 56078 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 56086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 56094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 56102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 56134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56150 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 56174 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 56182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 56190 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 56222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56246 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 56270 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56286 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56294 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56310 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56318 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 56334 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 56342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 56358 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56366 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 56374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 56390 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 56406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 56414 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 56422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system_user");
}
#line 56430 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 56438 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 56446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 56454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56462 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("normalize ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56478 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("normalize ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56486 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56494 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56502 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56510 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56526 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56534 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56550 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56558 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56582 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56590 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56598 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56606 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56614 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56638 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56646 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56662 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56670 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56678 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56686 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlserialize ("),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("json_object ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56702 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("json_object ("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56710 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("json_object ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("json_array ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56726 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("json_array ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("json_array ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("json ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("json_scalar ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56758 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("json_serialize ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56766 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge_action ( )");
}
#line 56774 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("json_query ("),(yyvsp[-8].str),mm_strdup(","),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("json_exists ("),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("json_value ("),(yyvsp[-6].str),mm_strdup(","),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56798 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 56806 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 56814 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 56822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 56830 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 56838 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 56869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 13007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 56877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 13011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 13019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 56893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 13023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 56901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 13031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indent");
}
#line 56909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 13035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no indent");
}
#line 56917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 13039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 13046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 56932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 13050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 56940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 13054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 13061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 56955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 13065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 13069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 13073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("passing"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 13081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by ref");
}
#line 56987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 13085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by value");
}
#line 56995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 13093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 13097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 13104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 13108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 13115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 57033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 13119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 13126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 13130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 13138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 57064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 13146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 57072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 13150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 57080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 13154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 13161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 13169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 13173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 13180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 57118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 13184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 13191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("range"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 13195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rows"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 13199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("groups"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 13203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 13210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 13214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 57172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 13222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 57180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 13226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 57188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 13230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 57196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 13234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 57204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 13238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 57212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 13246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude current row");
}
#line 57220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 13250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude group");
}
#line 57228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 13254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude ties");
}
#line 57236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 13258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude no others");
}
#line 57244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 13262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57251 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 13269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 13273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 57267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 13277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 13285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 13289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 57291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 13297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 13305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 57307 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 13309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 57315 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 13313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 57323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 13321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 13325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 13333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 57347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 13337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 57355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 13341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 57363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 13345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 57371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 13349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 57379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 13353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 57387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 13357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 57395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 13361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 57403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 13365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 57411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 13369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 57419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 13373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 57427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 13377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 57435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 13385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 13389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 13397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 13401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 13409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 13413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 13417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 57491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 13421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 57499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 13425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 57507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 13429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 57515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 13437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 13441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57531 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 13449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 13453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 13461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 57563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 57571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 57610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 57618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 57626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 57666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 57674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 57682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 57690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 57698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 57706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfc");
}
#line 57722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfd");
}
#line 57730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 57738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 57746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-6].str),mm_strdup("placing"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),mm_strdup("for"),(yyvsp[0].str));
}
#line 57754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("placing"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 57770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),mm_strdup("for"),(yyvsp[0].str));
}
#line 57778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("for"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("for"),(yyvsp[0].str));
}
#line 57802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("similar"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 57810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 57826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 57858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 57882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 57890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 57936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 57944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 57952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 57960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 58014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 58029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 58060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without wrapper");
}
#line 58068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without array wrapper");
}
#line 58076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with wrapper");
}
#line 58084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with array wrapper");
}
#line 58092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with conditional array wrapper");
}
#line 58100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with unconditional array wrapper");
}
#line 58108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with conditional wrapper");
}
#line 58116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with unconditional wrapper");
}
#line 58124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 58139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("error");
}
#line 58155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 58163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 58171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 58179 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 58187 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty array");
}
#line 58195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty object");
}
#line 58203 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty");
}
#line 58211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("on empty"));
}
#line 58219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("on error"));
}
#line 58227 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("on empty"),(yyvsp[-2].str),mm_strdup("on error"));
}
#line 58235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("on error"));
}
#line 58250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("format json encoding"),(yyvsp[0].str));
}
#line 58273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("format json");
}
#line 58281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keep quotes on scalar string");
}
#line 58304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keep quotes");
}
#line 58312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("omit quotes on scalar string");
}
#line 58320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("omit quotes");
}
#line 58328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("returning"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 14004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json");
}
#line 58358 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 14008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json value");
}
#line 58366 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 14012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json array");
}
#line 58374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 14016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json object");
}
#line 58382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 14020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json scalar");
}
#line 58390 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 14028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with unique keys");
}
#line 58398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 14032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with unique");
}
#line 58406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 14036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without unique keys");
}
#line 58414 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 14040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without unique");
}
#line 58422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 14044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 14051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 14055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 14063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 58453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 14067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":"),(yyvsp[0].str));
}
#line 58461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 14075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null on null");
}
#line 58469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 14079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absent on null");
}
#line 58477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 14083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 14090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null on null");
}
#line 58492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 14094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absent on null");
}
#line 58500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 14098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 14105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 14109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 14117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("json_objectagg ("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 58531 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 14121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("json_arrayagg ("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 58539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 14129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 58547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 14133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 14140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 14144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 14151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 14155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 14163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 58593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 14167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 14171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 14175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 58617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 14183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 14187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 14195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 14199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 14207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 14211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 14219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 14227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 14235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 14243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 14247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 14255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 14259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 14263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 14267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 14271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 14275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 14279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 58761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 14283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 14287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 14291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 58785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 14295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 58793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 14299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 58801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 14303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 58809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 14306 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 14307 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 14313 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 14319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 14322 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 14324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 58849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 14328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 58857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 14336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 14344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 14348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 58881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 14352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 58889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 14356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 58897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 14364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 14368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 14376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 14380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 14384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 14388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 14396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 14400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 14408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 58969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 14412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absent");
}
#line 58977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 14416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 58985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 14420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 58993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 14424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 59001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 14428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 59009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 14432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 59017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 14436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 59025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 14440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 59033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 14444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 59041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 14448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 59049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 14452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 59057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 14456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asensitive");
}
#line 59065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 14460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 59073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 14464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 59081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 14468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 59089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 14472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("atomic");
}
#line 59097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 14476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 59105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 14480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 59113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 14484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 59121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 14488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 59129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 14492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 59137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 14496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("breadth");
}
#line 59145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 14500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 59153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 14504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 59161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 14508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("call");
}
#line 59169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 14512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 59177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 14516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 59185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 14520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 59193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 14524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 59201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 14528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 59209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 14532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 59217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 14536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 59225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 14540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 59233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 14544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 59241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 14548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 59249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 14552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 59257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 14556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 59265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 14560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 59273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 14564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 59281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 14568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 59289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 14572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("compression");
}
#line 59297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 14576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conditional");
}
#line 59305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 59313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 59321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 59329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 59337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 59345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 59353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 59361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 59369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 59377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 59385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 59393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 59401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 59409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 59417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 59425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 59433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 59441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 59449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 59457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 59465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 59473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 59481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 59489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depth");
}
#line 59497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 59505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 59513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 59521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 59529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 59537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 59545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 59553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 59561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 59569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty");
}
#line 59577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 59585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 59593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 59601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 59609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("error");
}
#line 59617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 59625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 59633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 59641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 59649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 59657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 59665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 59673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("expression");
}
#line 59681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 59689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 59697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 59705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 59713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("finalize");
}
#line 59721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 59729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 59737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 59745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("format");
}
#line 59753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 59761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 59769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 59777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 59785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 59793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 59801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("groups");
}
#line 59809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 59817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 59825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 59833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 59841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 59849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 59857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 59865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 59873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 59881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("include");
}
#line 59889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 59897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 59905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indent");
}
#line 59913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 59921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 59929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 59937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 59945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 59953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 59961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 59969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 59977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 59985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 59993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keep");
}
#line 60001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 60009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keys");
}
#line 60017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 60025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 60033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 60041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 60049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 60057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 60065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 60073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 60081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 60089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 60097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 60105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 60113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 60121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 60129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 60137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("matched");
}
#line 60145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 15000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 60153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 15004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 60161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 15008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge");
}
#line 60169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 15012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 60177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 15016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 60185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 15020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 60193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 15024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 60201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 15028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 60209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 15032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 60217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 15036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nested");
}
#line 60225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 15040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 60233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 15044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 60241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 15048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfc");
}
#line 60249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 15052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfd");
}
#line 60257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 15056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 60265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 15060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 60273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 15064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 60281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 15068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("normalized");
}
#line 60289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 15072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 60297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 15076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 60305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 15080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 60313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 15084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 60321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 15088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 60329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 15092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 60337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 15096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 60345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 15100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 60353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 15104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 60361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 15108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("omit");
}
#line 60369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 15112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 60377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 15116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 60385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 15120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 60393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 15124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 60401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 15128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("others");
}
#line 60409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 15132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 60417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 15136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 60425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 15140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 60433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 15144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 60441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 15148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 60449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 15152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parameter");
}
#line 60457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 15156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 60465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 15160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 60473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 15164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 60481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 15168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 60489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 15172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 60497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 15176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("path");
}
#line 60505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 15180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plan");
}
#line 60513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 15184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 60521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 15188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 60529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 15192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 60537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 15196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 60545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 15200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 60553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 15204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 60561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 15208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 60569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 15212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 60577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 15216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 60585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 15220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 60593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 15224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedures");
}
#line 60601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 15228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 60609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 15232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 60617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 15236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 60625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 15240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quotes");
}
#line 60633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 15244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 60641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 15248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 60649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 15252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 60657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 15256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 60665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 15260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 60673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 15264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 60681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 15268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 60689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 15272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 60697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 15276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 60705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 15280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 60713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 15284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 60721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 15288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 60729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 15292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 60737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 15296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 60745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 15300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 60753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 15304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 60761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 15308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 60769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 15312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 60777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 15316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("return");
}
#line 60785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 15320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 60793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 15324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 60801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 15328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 60809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 15332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 60817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 15336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 60825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 15340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routine");
}
#line 60833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 15344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 60841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 15348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 60849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 15352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 60857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 15356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 60865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 15360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scalar");
}
#line 60873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 15364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 60881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 15368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 60889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 15372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 60897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 15376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 60905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 15380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 60913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 15384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 60921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 15388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 60929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 15392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 60937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 15396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 60945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 15400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 60953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 15404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 60961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 15408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 60969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 60977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 60985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 15420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 60993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 61001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 61009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("source");
}
#line 61017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 61025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 61033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 61041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 61049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 61057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 61065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 61073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 61081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 61089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stored");
}
#line 61097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 61105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("string");
}
#line 61113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 61121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 61129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("support");
}
#line 61137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 61145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 61153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 61161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 61169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("target");
}
#line 61177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 61185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 61193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 61201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 61209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ties");
}
#line 61217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 61225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 61233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 61241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 61249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 61257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 61265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 61273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uescape");
}
#line 61281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 61289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 61297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unconditional");
}
#line 61305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 61313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 61321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 61329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 61337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 61345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 61353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 61361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 61369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 61377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 61385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 61393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 61401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 61409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 61417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 61425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 61433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 61441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 61449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 61457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 61465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 61473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 61481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 61489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 61497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 61505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 61513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 61521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 61529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 61537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 61545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 61553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 61561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 61569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 61577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 61585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 61593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 61601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 61609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 61617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 61625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 61633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json");
}
#line 61641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_array");
}
#line 61649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_arrayagg");
}
#line 61657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_exists");
}
#line 61665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_object");
}
#line 61673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_objectagg");
}
#line 61681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_query");
}
#line 61689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_scalar");
}
#line 61697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_serialize");
}
#line 61705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_table");
}
#line 61713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_value");
}
#line 61721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 61729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge_action");
}
#line 61737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 61745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 61753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 61761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("normalize");
}
#line 61769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 61777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 61785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 61793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 61801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 61809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 61817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 61825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 61833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 61841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 61849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 61857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 61865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 61873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 61881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 61889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 61897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 61905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 61913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 61921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 61929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 61937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 61945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 61953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 61961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 61969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 61977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 61985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 61993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 62001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 62009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 62017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 62025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 62033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 62041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 62049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 62057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 62065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 62073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 62081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 62089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 62097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 62105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 62113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 62121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 62129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 16000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 62137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2861:
#line 16004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 62145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2862:
#line 16008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 62153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 16012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 62161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 16016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 62169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 16024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 62177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2866:
#line 16028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 62185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 16032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 62193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 16036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 62201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 16040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 62209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 16044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 62217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 16048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 62225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 16052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 62233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 16056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 62241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 16060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 62249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 16064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 62257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 16068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 62265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 16072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 62273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 16076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 62281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 16080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 62289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 16084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 62297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 16088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 62305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 16092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 62313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 16096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 62321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 16100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 62329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 16104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 62337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 16108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 62345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 16112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 62353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 16116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 62361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 16120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 62369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 16124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 62377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 16128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 62385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 16132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 62393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 16136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 62401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 16140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 62409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 16144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 62417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 16148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 62425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 16152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 62433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 16156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 62441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 16160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 62449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 16164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 62457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 16168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 62465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 16172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 62473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 16176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 62481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 16180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 62489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 16184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 62497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 16188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 62505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 16192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 62513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 16196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 62521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 16200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 62529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 16204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 62537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 16208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 62545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 16212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 62553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 16216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 62561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 16220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 62569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 16224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 62577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 16228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 62585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 16232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 62593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 16236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 62601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 16240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 62609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 16244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 62617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 16248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 62625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 16252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 62633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 16256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 62641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 16260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 62649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 16264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 62657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 16268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 62665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 16272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 62673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 16276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system_user");
}
#line 62681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 16280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 62689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 16284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 62697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 16288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 62705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 16292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 62713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 16296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 62721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 16300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 62729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 16304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 62737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 16308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 62745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 16312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 62753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 16316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 62761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 16320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 62769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 16324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 62777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 16332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 62785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 16336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absent");
}
#line 62793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 16340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 62801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 16344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 62809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 16348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 62817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 16352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 62825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 16356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 62833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 16360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 62841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 16364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 62849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 16368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 62857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 16372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 62865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 16376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 62873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 16380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 62881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 16384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 62889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 16388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 62897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 16392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 62905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 16396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 62913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 16400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 62921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 16404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asensitive");
}
#line 62929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 16408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 62937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 16412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 62945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 16416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 62953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 16420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 62961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 16424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("atomic");
}
#line 62969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 16428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 62977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 16432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 62985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 16436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 62993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 16440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 63001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 16444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 63009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 16448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 63017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 16452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 63025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 16456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 63033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 16460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 63041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 16464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 63049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 16468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 63057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 16472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 63065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 16476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("breadth");
}
#line 63073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 16480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 63081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 16484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 63089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 16488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("call");
}
#line 63097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 16492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 63105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 16496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 63113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 16500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 63121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2984:
#line 16504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 63129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2985:
#line 16508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 63137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2986:
#line 16512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 63145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2987:
#line 16516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 63153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2988:
#line 16520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 63161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2989:
#line 16524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 63169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2990:
#line 16528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 63177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2991:
#line 16532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 63185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2992:
#line 16536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 63193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2993:
#line 16540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 63201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2994:
#line 16544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 63209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2995:
#line 16548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 63217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2996:
#line 16552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 63225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2997:
#line 16556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 63233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2998:
#line 16560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 63241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2999:
#line 16564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 63249 "preproc.c" /* yacc.c:1646  */
    break;

  case 3000:
#line 16568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 63257 "preproc.c" /* yacc.c:1646  */
    break;

  case 3001:
#line 16572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 63265 "preproc.c" /* yacc.c:1646  */
    break;

  case 3002:
#line 16576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 63273 "preproc.c" /* yacc.c:1646  */
    break;

  case 3003:
#line 16580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("compression");
}
#line 63281 "preproc.c" /* yacc.c:1646  */
    break;

  case 3004:
#line 16584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 63289 "preproc.c" /* yacc.c:1646  */
    break;

  case 3005:
#line 16588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conditional");
}
#line 63297 "preproc.c" /* yacc.c:1646  */
    break;

  case 3006:
#line 16592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 63305 "preproc.c" /* yacc.c:1646  */
    break;

  case 3007:
#line 16596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 63313 "preproc.c" /* yacc.c:1646  */
    break;

  case 3008:
#line 16600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection");
}
#line 63321 "preproc.c" /* yacc.c:1646  */
    break;

  case 3009:
#line 16604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 63329 "preproc.c" /* yacc.c:1646  */
    break;

  case 3010:
#line 16608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 63337 "preproc.c" /* yacc.c:1646  */
    break;

  case 3011:
#line 16612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 63345 "preproc.c" /* yacc.c:1646  */
    break;

  case 3012:
#line 16616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 63353 "preproc.c" /* yacc.c:1646  */
    break;

  case 3013:
#line 16620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 63361 "preproc.c" /* yacc.c:1646  */
    break;

  case 3014:
#line 16624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 63369 "preproc.c" /* yacc.c:1646  */
    break;

  case 3015:
#line 16628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 63377 "preproc.c" /* yacc.c:1646  */
    break;

  case 3016:
#line 16632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 63385 "preproc.c" /* yacc.c:1646  */
    break;

  case 3017:
#line 16636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 63393 "preproc.c" /* yacc.c:1646  */
    break;

  case 3018:
#line 16640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 63401 "preproc.c" /* yacc.c:1646  */
    break;

  case 3019:
#line 16644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current");
}
#line 63409 "preproc.c" /* yacc.c:1646  */
    break;

  case 3020:
#line 16648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 63417 "preproc.c" /* yacc.c:1646  */
    break;

  case 3021:
#line 16652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 63425 "preproc.c" /* yacc.c:1646  */
    break;

  case 3022:
#line 16656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 63433 "preproc.c" /* yacc.c:1646  */
    break;

  case 3023:
#line 16660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 63441 "preproc.c" /* yacc.c:1646  */
    break;

  case 3024:
#line 16664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 63449 "preproc.c" /* yacc.c:1646  */
    break;

  case 3025:
#line 16668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 63457 "preproc.c" /* yacc.c:1646  */
    break;

  case 3026:
#line 16672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 63465 "preproc.c" /* yacc.c:1646  */
    break;

  case 3027:
#line 16676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 63473 "preproc.c" /* yacc.c:1646  */
    break;

  case 3028:
#line 16680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 63481 "preproc.c" /* yacc.c:1646  */
    break;

  case 3029:
#line 16684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 63489 "preproc.c" /* yacc.c:1646  */
    break;

  case 3030:
#line 16688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 63497 "preproc.c" /* yacc.c:1646  */
    break;

  case 3031:
#line 16692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 63505 "preproc.c" /* yacc.c:1646  */
    break;

  case 3032:
#line 16696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 63513 "preproc.c" /* yacc.c:1646  */
    break;

  case 3033:
#line 16700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 63521 "preproc.c" /* yacc.c:1646  */
    break;

  case 3034:
#line 16704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 63529 "preproc.c" /* yacc.c:1646  */
    break;

  case 3035:
#line 16708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 63537 "preproc.c" /* yacc.c:1646  */
    break;

  case 3036:
#line 16712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 63545 "preproc.c" /* yacc.c:1646  */
    break;

  case 3037:
#line 16716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 63553 "preproc.c" /* yacc.c:1646  */
    break;

  case 3038:
#line 16720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 63561 "preproc.c" /* yacc.c:1646  */
    break;

  case 3039:
#line 16724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 63569 "preproc.c" /* yacc.c:1646  */
    break;

  case 3040:
#line 16728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 63577 "preproc.c" /* yacc.c:1646  */
    break;

  case 3041:
#line 16732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 63585 "preproc.c" /* yacc.c:1646  */
    break;

  case 3042:
#line 16736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 63593 "preproc.c" /* yacc.c:1646  */
    break;

  case 3043:
#line 16740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 63601 "preproc.c" /* yacc.c:1646  */
    break;

  case 3044:
#line 16744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depth");
}
#line 63609 "preproc.c" /* yacc.c:1646  */
    break;

  case 3045:
#line 16748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 63617 "preproc.c" /* yacc.c:1646  */
    break;

  case 3046:
#line 16752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 63625 "preproc.c" /* yacc.c:1646  */
    break;

  case 3047:
#line 16756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 63633 "preproc.c" /* yacc.c:1646  */
    break;

  case 3048:
#line 16760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 63641 "preproc.c" /* yacc.c:1646  */
    break;

  case 3049:
#line 16764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 63649 "preproc.c" /* yacc.c:1646  */
    break;

  case 3050:
#line 16768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 63657 "preproc.c" /* yacc.c:1646  */
    break;

  case 3051:
#line 16772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 63665 "preproc.c" /* yacc.c:1646  */
    break;

  case 3052:
#line 16776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 63673 "preproc.c" /* yacc.c:1646  */
    break;

  case 3053:
#line 16780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 63681 "preproc.c" /* yacc.c:1646  */
    break;

  case 3054:
#line 16784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 63689 "preproc.c" /* yacc.c:1646  */
    break;

  case 3055:
#line 16788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 63697 "preproc.c" /* yacc.c:1646  */
    break;

  case 3056:
#line 16792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 63705 "preproc.c" /* yacc.c:1646  */
    break;

  case 3057:
#line 16796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 63713 "preproc.c" /* yacc.c:1646  */
    break;

  case 3058:
#line 16800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty");
}
#line 63721 "preproc.c" /* yacc.c:1646  */
    break;

  case 3059:
#line 16804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 63729 "preproc.c" /* yacc.c:1646  */
    break;

  case 3060:
#line 16808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 63737 "preproc.c" /* yacc.c:1646  */
    break;

  case 3061:
#line 16812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 63745 "preproc.c" /* yacc.c:1646  */
    break;

  case 3062:
#line 16816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 63753 "preproc.c" /* yacc.c:1646  */
    break;

  case 3063:
#line 16820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 63761 "preproc.c" /* yacc.c:1646  */
    break;

  case 3064:
#line 16824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("error");
}
#line 63769 "preproc.c" /* yacc.c:1646  */
    break;

  case 3065:
#line 16828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 63777 "preproc.c" /* yacc.c:1646  */
    break;

  case 3066:
#line 16832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 63785 "preproc.c" /* yacc.c:1646  */
    break;

  case 3067:
#line 16836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 63793 "preproc.c" /* yacc.c:1646  */
    break;

  case 3068:
#line 16840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 63801 "preproc.c" /* yacc.c:1646  */
    break;

  case 3069:
#line 16844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 63809 "preproc.c" /* yacc.c:1646  */
    break;

  case 3070:
#line 16848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 63817 "preproc.c" /* yacc.c:1646  */
    break;

  case 3071:
#line 16852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 63825 "preproc.c" /* yacc.c:1646  */
    break;

  case 3072:
#line 16856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 63833 "preproc.c" /* yacc.c:1646  */
    break;

  case 3073:
#line 16860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("expression");
}
#line 63841 "preproc.c" /* yacc.c:1646  */
    break;

  case 3074:
#line 16864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 63849 "preproc.c" /* yacc.c:1646  */
    break;

  case 3075:
#line 16868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 63857 "preproc.c" /* yacc.c:1646  */
    break;

  case 3076:
#line 16872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 63865 "preproc.c" /* yacc.c:1646  */
    break;

  case 3077:
#line 16876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 63873 "preproc.c" /* yacc.c:1646  */
    break;

  case 3078:
#line 16880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 63881 "preproc.c" /* yacc.c:1646  */
    break;

  case 3079:
#line 16884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("finalize");
}
#line 63889 "preproc.c" /* yacc.c:1646  */
    break;

  case 3080:
#line 16888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 63897 "preproc.c" /* yacc.c:1646  */
    break;

  case 3081:
#line 16892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 63905 "preproc.c" /* yacc.c:1646  */
    break;

  case 3082:
#line 16896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 63913 "preproc.c" /* yacc.c:1646  */
    break;

  case 3083:
#line 16900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 63921 "preproc.c" /* yacc.c:1646  */
    break;

  case 3084:
#line 16904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 63929 "preproc.c" /* yacc.c:1646  */
    break;

  case 3085:
#line 16908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("format");
}
#line 63937 "preproc.c" /* yacc.c:1646  */
    break;

  case 3086:
#line 16912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 63945 "preproc.c" /* yacc.c:1646  */
    break;

  case 3087:
#line 16916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 63953 "preproc.c" /* yacc.c:1646  */
    break;

  case 3088:
#line 16920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 63961 "preproc.c" /* yacc.c:1646  */
    break;

  case 3089:
#line 16924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 63969 "preproc.c" /* yacc.c:1646  */
    break;

  case 3090:
#line 16928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 63977 "preproc.c" /* yacc.c:1646  */
    break;

  case 3091:
#line 16932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 63985 "preproc.c" /* yacc.c:1646  */
    break;

  case 3092:
#line 16936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 63993 "preproc.c" /* yacc.c:1646  */
    break;

  case 3093:
#line 16940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 64001 "preproc.c" /* yacc.c:1646  */
    break;

  case 3094:
#line 16944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 64009 "preproc.c" /* yacc.c:1646  */
    break;

  case 3095:
#line 16948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 64017 "preproc.c" /* yacc.c:1646  */
    break;

  case 3096:
#line 16952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("groups");
}
#line 64025 "preproc.c" /* yacc.c:1646  */
    break;

  case 3097:
#line 16956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 64033 "preproc.c" /* yacc.c:1646  */
    break;

  case 3098:
#line 16960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 64041 "preproc.c" /* yacc.c:1646  */
    break;

  case 3099:
#line 16964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 64049 "preproc.c" /* yacc.c:1646  */
    break;

  case 3100:
#line 16968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 64057 "preproc.c" /* yacc.c:1646  */
    break;

  case 3101:
#line 16972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 64065 "preproc.c" /* yacc.c:1646  */
    break;

  case 3102:
#line 16976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 64073 "preproc.c" /* yacc.c:1646  */
    break;

  case 3103:
#line 16980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 64081 "preproc.c" /* yacc.c:1646  */
    break;

  case 3104:
#line 16984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 64089 "preproc.c" /* yacc.c:1646  */
    break;

  case 3105:
#line 16988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 64097 "preproc.c" /* yacc.c:1646  */
    break;

  case 3106:
#line 16992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 64105 "preproc.c" /* yacc.c:1646  */
    break;

  case 3107:
#line 16996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 64113 "preproc.c" /* yacc.c:1646  */
    break;

  case 3108:
#line 17000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("include");
}
#line 64121 "preproc.c" /* yacc.c:1646  */
    break;

  case 3109:
#line 17004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 64129 "preproc.c" /* yacc.c:1646  */
    break;

  case 3110:
#line 17008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 64137 "preproc.c" /* yacc.c:1646  */
    break;

  case 3111:
#line 17012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indent");
}
#line 64145 "preproc.c" /* yacc.c:1646  */
    break;

  case 3112:
#line 17016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 64153 "preproc.c" /* yacc.c:1646  */
    break;

  case 3113:
#line 17020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 64161 "preproc.c" /* yacc.c:1646  */
    break;

  case 3114:
#line 17024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 64169 "preproc.c" /* yacc.c:1646  */
    break;

  case 3115:
#line 17028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 64177 "preproc.c" /* yacc.c:1646  */
    break;

  case 3116:
#line 17032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 64185 "preproc.c" /* yacc.c:1646  */
    break;

  case 3117:
#line 17036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 64193 "preproc.c" /* yacc.c:1646  */
    break;

  case 3118:
#line 17040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 64201 "preproc.c" /* yacc.c:1646  */
    break;

  case 3119:
#line 17044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 64209 "preproc.c" /* yacc.c:1646  */
    break;

  case 3120:
#line 17048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("input");
}
#line 64217 "preproc.c" /* yacc.c:1646  */
    break;

  case 3121:
#line 17052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 64225 "preproc.c" /* yacc.c:1646  */
    break;

  case 3122:
#line 17056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 64233 "preproc.c" /* yacc.c:1646  */
    break;

  case 3123:
#line 17060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 64241 "preproc.c" /* yacc.c:1646  */
    break;

  case 3124:
#line 17064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 64249 "preproc.c" /* yacc.c:1646  */
    break;

  case 3125:
#line 17068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 64257 "preproc.c" /* yacc.c:1646  */
    break;

  case 3126:
#line 17072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 64265 "preproc.c" /* yacc.c:1646  */
    break;

  case 3127:
#line 17076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 64273 "preproc.c" /* yacc.c:1646  */
    break;

  case 3128:
#line 17080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 64281 "preproc.c" /* yacc.c:1646  */
    break;

  case 3129:
#line 17084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 64289 "preproc.c" /* yacc.c:1646  */
    break;

  case 3130:
#line 17088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 64297 "preproc.c" /* yacc.c:1646  */
    break;

  case 3131:
#line 17092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json");
}
#line 64305 "preproc.c" /* yacc.c:1646  */
    break;

  case 3132:
#line 17096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_array");
}
#line 64313 "preproc.c" /* yacc.c:1646  */
    break;

  case 3133:
#line 17100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_arrayagg");
}
#line 64321 "preproc.c" /* yacc.c:1646  */
    break;

  case 3134:
#line 17104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_exists");
}
#line 64329 "preproc.c" /* yacc.c:1646  */
    break;

  case 3135:
#line 17108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_object");
}
#line 64337 "preproc.c" /* yacc.c:1646  */
    break;

  case 3136:
#line 17112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_objectagg");
}
#line 64345 "preproc.c" /* yacc.c:1646  */
    break;

  case 3137:
#line 17116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_query");
}
#line 64353 "preproc.c" /* yacc.c:1646  */
    break;

  case 3138:
#line 17120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_scalar");
}
#line 64361 "preproc.c" /* yacc.c:1646  */
    break;

  case 3139:
#line 17124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_serialize");
}
#line 64369 "preproc.c" /* yacc.c:1646  */
    break;

  case 3140:
#line 17128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_table");
}
#line 64377 "preproc.c" /* yacc.c:1646  */
    break;

  case 3141:
#line 17132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_value");
}
#line 64385 "preproc.c" /* yacc.c:1646  */
    break;

  case 3142:
#line 17136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keep");
}
#line 64393 "preproc.c" /* yacc.c:1646  */
    break;

  case 3143:
#line 17140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 64401 "preproc.c" /* yacc.c:1646  */
    break;

  case 3144:
#line 17144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keys");
}
#line 64409 "preproc.c" /* yacc.c:1646  */
    break;

  case 3145:
#line 17148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 64417 "preproc.c" /* yacc.c:1646  */
    break;

  case 3146:
#line 17152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 64425 "preproc.c" /* yacc.c:1646  */
    break;

  case 3147:
#line 17156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 64433 "preproc.c" /* yacc.c:1646  */
    break;

  case 3148:
#line 17160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 64441 "preproc.c" /* yacc.c:1646  */
    break;

  case 3149:
#line 17164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 64449 "preproc.c" /* yacc.c:1646  */
    break;

  case 3150:
#line 17168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 64457 "preproc.c" /* yacc.c:1646  */
    break;

  case 3151:
#line 17172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 64465 "preproc.c" /* yacc.c:1646  */
    break;

  case 3152:
#line 17176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 64473 "preproc.c" /* yacc.c:1646  */
    break;

  case 3153:
#line 17180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 64481 "preproc.c" /* yacc.c:1646  */
    break;

  case 3154:
#line 17184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 64489 "preproc.c" /* yacc.c:1646  */
    break;

  case 3155:
#line 17188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 64497 "preproc.c" /* yacc.c:1646  */
    break;

  case 3156:
#line 17192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 64505 "preproc.c" /* yacc.c:1646  */
    break;

  case 3157:
#line 17196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 64513 "preproc.c" /* yacc.c:1646  */
    break;

  case 3158:
#line 17200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 64521 "preproc.c" /* yacc.c:1646  */
    break;

  case 3159:
#line 17204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 64529 "preproc.c" /* yacc.c:1646  */
    break;

  case 3160:
#line 17208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 64537 "preproc.c" /* yacc.c:1646  */
    break;

  case 3161:
#line 17212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 64545 "preproc.c" /* yacc.c:1646  */
    break;

  case 3162:
#line 17216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 64553 "preproc.c" /* yacc.c:1646  */
    break;

  case 3163:
#line 17220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 64561 "preproc.c" /* yacc.c:1646  */
    break;

  case 3164:
#line 17224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 64569 "preproc.c" /* yacc.c:1646  */
    break;

  case 3165:
#line 17228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 64577 "preproc.c" /* yacc.c:1646  */
    break;

  case 3166:
#line 17232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 64585 "preproc.c" /* yacc.c:1646  */
    break;

  case 3167:
#line 17236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("matched");
}
#line 64593 "preproc.c" /* yacc.c:1646  */
    break;

  case 3168:
#line 17240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 64601 "preproc.c" /* yacc.c:1646  */
    break;

  case 3169:
#line 17244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 64609 "preproc.c" /* yacc.c:1646  */
    break;

  case 3170:
#line 17248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge");
}
#line 64617 "preproc.c" /* yacc.c:1646  */
    break;

  case 3171:
#line 17252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge_action");
}
#line 64625 "preproc.c" /* yacc.c:1646  */
    break;

  case 3172:
#line 17256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 64633 "preproc.c" /* yacc.c:1646  */
    break;

  case 3173:
#line 17260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 64641 "preproc.c" /* yacc.c:1646  */
    break;

  case 3174:
#line 17264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 64649 "preproc.c" /* yacc.c:1646  */
    break;

  case 3175:
#line 17268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 64657 "preproc.c" /* yacc.c:1646  */
    break;

  case 3176:
#line 17272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 64665 "preproc.c" /* yacc.c:1646  */
    break;

  case 3177:
#line 17276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 64673 "preproc.c" /* yacc.c:1646  */
    break;

  case 3178:
#line 17280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 64681 "preproc.c" /* yacc.c:1646  */
    break;

  case 3179:
#line 17284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 64689 "preproc.c" /* yacc.c:1646  */
    break;

  case 3180:
#line 17288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 64697 "preproc.c" /* yacc.c:1646  */
    break;

  case 3181:
#line 17292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nested");
}
#line 64705 "preproc.c" /* yacc.c:1646  */
    break;

  case 3182:
#line 17296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 64713 "preproc.c" /* yacc.c:1646  */
    break;

  case 3183:
#line 17300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 64721 "preproc.c" /* yacc.c:1646  */
    break;

  case 3184:
#line 17304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfc");
}
#line 64729 "preproc.c" /* yacc.c:1646  */
    break;

  case 3185:
#line 17308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfd");
}
#line 64737 "preproc.c" /* yacc.c:1646  */
    break;

  case 3186:
#line 17312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 64745 "preproc.c" /* yacc.c:1646  */
    break;

  case 3187:
#line 17316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 64753 "preproc.c" /* yacc.c:1646  */
    break;

  case 3188:
#line 17320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 64761 "preproc.c" /* yacc.c:1646  */
    break;

  case 3189:
#line 17324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 64769 "preproc.c" /* yacc.c:1646  */
    break;

  case 3190:
#line 17328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("normalize");
}
#line 64777 "preproc.c" /* yacc.c:1646  */
    break;

  case 3191:
#line 17332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("normalized");
}
#line 64785 "preproc.c" /* yacc.c:1646  */
    break;

  case 3192:
#line 17336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 64793 "preproc.c" /* yacc.c:1646  */
    break;

  case 3193:
#line 17340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 64801 "preproc.c" /* yacc.c:1646  */
    break;

  case 3194:
#line 17344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 64809 "preproc.c" /* yacc.c:1646  */
    break;

  case 3195:
#line 17348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 64817 "preproc.c" /* yacc.c:1646  */
    break;

  case 3196:
#line 17352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 64825 "preproc.c" /* yacc.c:1646  */
    break;

  case 3197:
#line 17356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 64833 "preproc.c" /* yacc.c:1646  */
    break;

  case 3198:
#line 17360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 64841 "preproc.c" /* yacc.c:1646  */
    break;

  case 3199:
#line 17364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 64849 "preproc.c" /* yacc.c:1646  */
    break;

  case 3200:
#line 17368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 64857 "preproc.c" /* yacc.c:1646  */
    break;

  case 3201:
#line 17372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 64865 "preproc.c" /* yacc.c:1646  */
    break;

  case 3202:
#line 17376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 64873 "preproc.c" /* yacc.c:1646  */
    break;

  case 3203:
#line 17380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 64881 "preproc.c" /* yacc.c:1646  */
    break;

  case 3204:
#line 17384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 64889 "preproc.c" /* yacc.c:1646  */
    break;

  case 3205:
#line 17388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("omit");
}
#line 64897 "preproc.c" /* yacc.c:1646  */
    break;

  case 3206:
#line 17392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 64905 "preproc.c" /* yacc.c:1646  */
    break;

  case 3207:
#line 17396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 64913 "preproc.c" /* yacc.c:1646  */
    break;

  case 3208:
#line 17400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 64921 "preproc.c" /* yacc.c:1646  */
    break;

  case 3209:
#line 17404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 64929 "preproc.c" /* yacc.c:1646  */
    break;

  case 3210:
#line 17408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 64937 "preproc.c" /* yacc.c:1646  */
    break;

  case 3211:
#line 17412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 64945 "preproc.c" /* yacc.c:1646  */
    break;

  case 3212:
#line 17416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("others");
}
#line 64953 "preproc.c" /* yacc.c:1646  */
    break;

  case 3213:
#line 17420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 64961 "preproc.c" /* yacc.c:1646  */
    break;

  case 3214:
#line 17424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 64969 "preproc.c" /* yacc.c:1646  */
    break;

  case 3215:
#line 17428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 64977 "preproc.c" /* yacc.c:1646  */
    break;

  case 3216:
#line 17432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 64985 "preproc.c" /* yacc.c:1646  */
    break;

  case 3217:
#line 17436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 64993 "preproc.c" /* yacc.c:1646  */
    break;

  case 3218:
#line 17440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 65001 "preproc.c" /* yacc.c:1646  */
    break;

  case 3219:
#line 17444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 65009 "preproc.c" /* yacc.c:1646  */
    break;

  case 3220:
#line 17448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parameter");
}
#line 65017 "preproc.c" /* yacc.c:1646  */
    break;

  case 3221:
#line 17452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 65025 "preproc.c" /* yacc.c:1646  */
    break;

  case 3222:
#line 17456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 65033 "preproc.c" /* yacc.c:1646  */
    break;

  case 3223:
#line 17460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 65041 "preproc.c" /* yacc.c:1646  */
    break;

  case 3224:
#line 17464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 65049 "preproc.c" /* yacc.c:1646  */
    break;

  case 3225:
#line 17468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 65057 "preproc.c" /* yacc.c:1646  */
    break;

  case 3226:
#line 17472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("path");
}
#line 65065 "preproc.c" /* yacc.c:1646  */
    break;

  case 3227:
#line 17476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 65073 "preproc.c" /* yacc.c:1646  */
    break;

  case 3228:
#line 17480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plan");
}
#line 65081 "preproc.c" /* yacc.c:1646  */
    break;

  case 3229:
#line 17484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 65089 "preproc.c" /* yacc.c:1646  */
    break;

  case 3230:
#line 17488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 65097 "preproc.c" /* yacc.c:1646  */
    break;

  case 3231:
#line 17492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 65105 "preproc.c" /* yacc.c:1646  */
    break;

  case 3232:
#line 17496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 65113 "preproc.c" /* yacc.c:1646  */
    break;

  case 3233:
#line 17500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 65121 "preproc.c" /* yacc.c:1646  */
    break;

  case 3234:
#line 17504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 65129 "preproc.c" /* yacc.c:1646  */
    break;

  case 3235:
#line 17508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 65137 "preproc.c" /* yacc.c:1646  */
    break;

  case 3236:
#line 17512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 65145 "preproc.c" /* yacc.c:1646  */
    break;

  case 3237:
#line 17516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 65153 "preproc.c" /* yacc.c:1646  */
    break;

  case 3238:
#line 17520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 65161 "preproc.c" /* yacc.c:1646  */
    break;

  case 3239:
#line 17524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 65169 "preproc.c" /* yacc.c:1646  */
    break;

  case 3240:
#line 17528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 65177 "preproc.c" /* yacc.c:1646  */
    break;

  case 3241:
#line 17532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedures");
}
#line 65185 "preproc.c" /* yacc.c:1646  */
    break;

  case 3242:
#line 17536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 65193 "preproc.c" /* yacc.c:1646  */
    break;

  case 3243:
#line 17540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 65201 "preproc.c" /* yacc.c:1646  */
    break;

  case 3244:
#line 17544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 65209 "preproc.c" /* yacc.c:1646  */
    break;

  case 3245:
#line 17548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quotes");
}
#line 65217 "preproc.c" /* yacc.c:1646  */
    break;

  case 3246:
#line 17552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 65225 "preproc.c" /* yacc.c:1646  */
    break;

  case 3247:
#line 17556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 65233 "preproc.c" /* yacc.c:1646  */
    break;

  case 3248:
#line 17560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 65241 "preproc.c" /* yacc.c:1646  */
    break;

  case 3249:
#line 17564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 65249 "preproc.c" /* yacc.c:1646  */
    break;

  case 3250:
#line 17568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 65257 "preproc.c" /* yacc.c:1646  */
    break;

  case 3251:
#line 17572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 65265 "preproc.c" /* yacc.c:1646  */
    break;

  case 3252:
#line 17576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 65273 "preproc.c" /* yacc.c:1646  */
    break;

  case 3253:
#line 17580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 65281 "preproc.c" /* yacc.c:1646  */
    break;

  case 3254:
#line 17584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 65289 "preproc.c" /* yacc.c:1646  */
    break;

  case 3255:
#line 17588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 65297 "preproc.c" /* yacc.c:1646  */
    break;

  case 3256:
#line 17592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 65305 "preproc.c" /* yacc.c:1646  */
    break;

  case 3257:
#line 17596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 65313 "preproc.c" /* yacc.c:1646  */
    break;

  case 3258:
#line 17600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 65321 "preproc.c" /* yacc.c:1646  */
    break;

  case 3259:
#line 17604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 65329 "preproc.c" /* yacc.c:1646  */
    break;

  case 3260:
#line 17608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 65337 "preproc.c" /* yacc.c:1646  */
    break;

  case 3261:
#line 17612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 65345 "preproc.c" /* yacc.c:1646  */
    break;

  case 3262:
#line 17616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 65353 "preproc.c" /* yacc.c:1646  */
    break;

  case 3263:
#line 17620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 65361 "preproc.c" /* yacc.c:1646  */
    break;

  case 3264:
#line 17624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 65369 "preproc.c" /* yacc.c:1646  */
    break;

  case 3265:
#line 17628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 65377 "preproc.c" /* yacc.c:1646  */
    break;

  case 3266:
#line 17632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("return");
}
#line 65385 "preproc.c" /* yacc.c:1646  */
    break;

  case 3267:
#line 17636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 65393 "preproc.c" /* yacc.c:1646  */
    break;

  case 3268:
#line 17640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 65401 "preproc.c" /* yacc.c:1646  */
    break;

  case 3269:
#line 17644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 65409 "preproc.c" /* yacc.c:1646  */
    break;

  case 3270:
#line 17648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 65417 "preproc.c" /* yacc.c:1646  */
    break;

  case 3271:
#line 17652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 65425 "preproc.c" /* yacc.c:1646  */
    break;

  case 3272:
#line 17656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 65433 "preproc.c" /* yacc.c:1646  */
    break;

  case 3273:
#line 17660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routine");
}
#line 65441 "preproc.c" /* yacc.c:1646  */
    break;

  case 3274:
#line 17664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 65449 "preproc.c" /* yacc.c:1646  */
    break;

  case 3275:
#line 17668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 65457 "preproc.c" /* yacc.c:1646  */
    break;

  case 3276:
#line 17672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 65465 "preproc.c" /* yacc.c:1646  */
    break;

  case 3277:
#line 17676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 65473 "preproc.c" /* yacc.c:1646  */
    break;

  case 3278:
#line 17680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 65481 "preproc.c" /* yacc.c:1646  */
    break;

  case 3279:
#line 17684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scalar");
}
#line 65489 "preproc.c" /* yacc.c:1646  */
    break;

  case 3280:
#line 17688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 65497 "preproc.c" /* yacc.c:1646  */
    break;

  case 3281:
#line 17692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 65505 "preproc.c" /* yacc.c:1646  */
    break;

  case 3282:
#line 17696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 65513 "preproc.c" /* yacc.c:1646  */
    break;

  case 3283:
#line 17700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 65521 "preproc.c" /* yacc.c:1646  */
    break;

  case 3284:
#line 17704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 65529 "preproc.c" /* yacc.c:1646  */
    break;

  case 3285:
#line 17708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 65537 "preproc.c" /* yacc.c:1646  */
    break;

  case 3286:
#line 17712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 65545 "preproc.c" /* yacc.c:1646  */
    break;

  case 3287:
#line 17716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 65553 "preproc.c" /* yacc.c:1646  */
    break;

  case 3288:
#line 17720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 65561 "preproc.c" /* yacc.c:1646  */
    break;

  case 3289:
#line 17724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 65569 "preproc.c" /* yacc.c:1646  */
    break;

  case 3290:
#line 17728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 65577 "preproc.c" /* yacc.c:1646  */
    break;

  case 3291:
#line 17732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 65585 "preproc.c" /* yacc.c:1646  */
    break;

  case 3292:
#line 17736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 65593 "preproc.c" /* yacc.c:1646  */
    break;

  case 3293:
#line 17740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 65601 "preproc.c" /* yacc.c:1646  */
    break;

  case 3294:
#line 17744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 65609 "preproc.c" /* yacc.c:1646  */
    break;

  case 3295:
#line 17748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 65617 "preproc.c" /* yacc.c:1646  */
    break;

  case 3296:
#line 17752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 65625 "preproc.c" /* yacc.c:1646  */
    break;

  case 3297:
#line 17756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 65633 "preproc.c" /* yacc.c:1646  */
    break;

  case 3298:
#line 17760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 65641 "preproc.c" /* yacc.c:1646  */
    break;

  case 3299:
#line 17764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 65649 "preproc.c" /* yacc.c:1646  */
    break;

  case 3300:
#line 17768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 65657 "preproc.c" /* yacc.c:1646  */
    break;

  case 3301:
#line 17772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 65665 "preproc.c" /* yacc.c:1646  */
    break;

  case 3302:
#line 17776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 65673 "preproc.c" /* yacc.c:1646  */
    break;

  case 3303:
#line 17780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("source");
}
#line 65681 "preproc.c" /* yacc.c:1646  */
    break;

  case 3304:
#line 17784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 65689 "preproc.c" /* yacc.c:1646  */
    break;

  case 3305:
#line 17788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 65697 "preproc.c" /* yacc.c:1646  */
    break;

  case 3306:
#line 17792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 65705 "preproc.c" /* yacc.c:1646  */
    break;

  case 3307:
#line 17796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 65713 "preproc.c" /* yacc.c:1646  */
    break;

  case 3308:
#line 17800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 65721 "preproc.c" /* yacc.c:1646  */
    break;

  case 3309:
#line 17804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 65729 "preproc.c" /* yacc.c:1646  */
    break;

  case 3310:
#line 17808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 65737 "preproc.c" /* yacc.c:1646  */
    break;

  case 3311:
#line 17812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 65745 "preproc.c" /* yacc.c:1646  */
    break;

  case 3312:
#line 17816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 65753 "preproc.c" /* yacc.c:1646  */
    break;

  case 3313:
#line 17820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stored");
}
#line 65761 "preproc.c" /* yacc.c:1646  */
    break;

  case 3314:
#line 17824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 65769 "preproc.c" /* yacc.c:1646  */
    break;

  case 3315:
#line 17828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("string");
}
#line 65777 "preproc.c" /* yacc.c:1646  */
    break;

  case 3316:
#line 17832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 65785 "preproc.c" /* yacc.c:1646  */
    break;

  case 3317:
#line 17836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 65793 "preproc.c" /* yacc.c:1646  */
    break;

  case 3318:
#line 17840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 65801 "preproc.c" /* yacc.c:1646  */
    break;

  case 3319:
#line 17844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("support");
}
#line 65809 "preproc.c" /* yacc.c:1646  */
    break;

  case 3320:
#line 17848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 65817 "preproc.c" /* yacc.c:1646  */
    break;

  case 3321:
#line 17852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 65825 "preproc.c" /* yacc.c:1646  */
    break;

  case 3322:
#line 17856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 65833 "preproc.c" /* yacc.c:1646  */
    break;

  case 3323:
#line 17860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system_user");
}
#line 65841 "preproc.c" /* yacc.c:1646  */
    break;

  case 3324:
#line 17864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 65849 "preproc.c" /* yacc.c:1646  */
    break;

  case 3325:
#line 17868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 65857 "preproc.c" /* yacc.c:1646  */
    break;

  case 3326:
#line 17872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 65865 "preproc.c" /* yacc.c:1646  */
    break;

  case 3327:
#line 17876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 65873 "preproc.c" /* yacc.c:1646  */
    break;

  case 3328:
#line 17880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("target");
}
#line 65881 "preproc.c" /* yacc.c:1646  */
    break;

  case 3329:
#line 17884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 65889 "preproc.c" /* yacc.c:1646  */
    break;

  case 3330:
#line 17888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 65897 "preproc.c" /* yacc.c:1646  */
    break;

  case 3331:
#line 17892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 65905 "preproc.c" /* yacc.c:1646  */
    break;

  case 3332:
#line 17896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 65913 "preproc.c" /* yacc.c:1646  */
    break;

  case 3333:
#line 17900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 65921 "preproc.c" /* yacc.c:1646  */
    break;

  case 3334:
#line 17904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ties");
}
#line 65929 "preproc.c" /* yacc.c:1646  */
    break;

  case 3335:
#line 17908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 65937 "preproc.c" /* yacc.c:1646  */
    break;

  case 3336:
#line 17912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 65945 "preproc.c" /* yacc.c:1646  */
    break;

  case 3337:
#line 17916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 65953 "preproc.c" /* yacc.c:1646  */
    break;

  case 3338:
#line 17920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 65961 "preproc.c" /* yacc.c:1646  */
    break;

  case 3339:
#line 17924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 65969 "preproc.c" /* yacc.c:1646  */
    break;

  case 3340:
#line 17928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 65977 "preproc.c" /* yacc.c:1646  */
    break;

  case 3341:
#line 17932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 65985 "preproc.c" /* yacc.c:1646  */
    break;

  case 3342:
#line 17936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 65993 "preproc.c" /* yacc.c:1646  */
    break;

  case 3343:
#line 17940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 66001 "preproc.c" /* yacc.c:1646  */
    break;

  case 3344:
#line 17944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 66009 "preproc.c" /* yacc.c:1646  */
    break;

  case 3345:
#line 17948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 66017 "preproc.c" /* yacc.c:1646  */
    break;

  case 3346:
#line 17952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 66025 "preproc.c" /* yacc.c:1646  */
    break;

  case 3347:
#line 17956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 66033 "preproc.c" /* yacc.c:1646  */
    break;

  case 3348:
#line 17960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uescape");
}
#line 66041 "preproc.c" /* yacc.c:1646  */
    break;

  case 3349:
#line 17964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 66049 "preproc.c" /* yacc.c:1646  */
    break;

  case 3350:
#line 17968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 66057 "preproc.c" /* yacc.c:1646  */
    break;

  case 3351:
#line 17972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unconditional");
}
#line 66065 "preproc.c" /* yacc.c:1646  */
    break;

  case 3352:
#line 17976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 66073 "preproc.c" /* yacc.c:1646  */
    break;

  case 3353:
#line 17980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 66081 "preproc.c" /* yacc.c:1646  */
    break;

  case 3354:
#line 17984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 66089 "preproc.c" /* yacc.c:1646  */
    break;

  case 3355:
#line 17988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 66097 "preproc.c" /* yacc.c:1646  */
    break;

  case 3356:
#line 17992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 66105 "preproc.c" /* yacc.c:1646  */
    break;

  case 3357:
#line 17996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 66113 "preproc.c" /* yacc.c:1646  */
    break;

  case 3358:
#line 18000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 66121 "preproc.c" /* yacc.c:1646  */
    break;

  case 3359:
#line 18004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 66129 "preproc.c" /* yacc.c:1646  */
    break;

  case 3360:
#line 18008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 66137 "preproc.c" /* yacc.c:1646  */
    break;

  case 3361:
#line 18012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 66145 "preproc.c" /* yacc.c:1646  */
    break;

  case 3362:
#line 18016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 66153 "preproc.c" /* yacc.c:1646  */
    break;

  case 3363:
#line 18020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 66161 "preproc.c" /* yacc.c:1646  */
    break;

  case 3364:
#line 18024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 66169 "preproc.c" /* yacc.c:1646  */
    break;

  case 3365:
#line 18028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 66177 "preproc.c" /* yacc.c:1646  */
    break;

  case 3366:
#line 18032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("values");
}
#line 66185 "preproc.c" /* yacc.c:1646  */
    break;

  case 3367:
#line 18036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 66193 "preproc.c" /* yacc.c:1646  */
    break;

  case 3368:
#line 18040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 66201 "preproc.c" /* yacc.c:1646  */
    break;

  case 3369:
#line 18044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 66209 "preproc.c" /* yacc.c:1646  */
    break;

  case 3370:
#line 18048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 66217 "preproc.c" /* yacc.c:1646  */
    break;

  case 3371:
#line 18052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 66225 "preproc.c" /* yacc.c:1646  */
    break;

  case 3372:
#line 18056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 66233 "preproc.c" /* yacc.c:1646  */
    break;

  case 3373:
#line 18060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 66241 "preproc.c" /* yacc.c:1646  */
    break;

  case 3374:
#line 18064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 66249 "preproc.c" /* yacc.c:1646  */
    break;

  case 3375:
#line 18068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 66257 "preproc.c" /* yacc.c:1646  */
    break;

  case 3376:
#line 18072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 66265 "preproc.c" /* yacc.c:1646  */
    break;

  case 3377:
#line 18076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 66273 "preproc.c" /* yacc.c:1646  */
    break;

  case 3378:
#line 18080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 66281 "preproc.c" /* yacc.c:1646  */
    break;

  case 3379:
#line 18084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 66289 "preproc.c" /* yacc.c:1646  */
    break;

  case 3380:
#line 18088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 66297 "preproc.c" /* yacc.c:1646  */
    break;

  case 3381:
#line 18092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 66305 "preproc.c" /* yacc.c:1646  */
    break;

  case 3382:
#line 18096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 66313 "preproc.c" /* yacc.c:1646  */
    break;

  case 3383:
#line 18100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 66321 "preproc.c" /* yacc.c:1646  */
    break;

  case 3384:
#line 18104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 66329 "preproc.c" /* yacc.c:1646  */
    break;

  case 3385:
#line 18108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 66337 "preproc.c" /* yacc.c:1646  */
    break;

  case 3386:
#line 18112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 66345 "preproc.c" /* yacc.c:1646  */
    break;

  case 3387:
#line 18116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 66353 "preproc.c" /* yacc.c:1646  */
    break;

  case 3388:
#line 18120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 66361 "preproc.c" /* yacc.c:1646  */
    break;

  case 3389:
#line 18124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 66369 "preproc.c" /* yacc.c:1646  */
    break;

  case 3390:
#line 18128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 66377 "preproc.c" /* yacc.c:1646  */
    break;

  case 3391:
#line 18132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 66385 "preproc.c" /* yacc.c:1646  */
    break;

  case 3392:
#line 18136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 66393 "preproc.c" /* yacc.c:1646  */
    break;

  case 3395:
#line 18150 "preproc.y" /* yacc.c:1646  */
    {
					if (connection)
						free(connection);
					connection = NULL;
				}
#line 66403 "preproc.c" /* yacc.c:1646  */
    break;

  case 3396:
#line 18156 "preproc.y" /* yacc.c:1646  */
    {
					if (connection)
						free(connection);
					connection = NULL;
				}
#line 66413 "preproc.c" /* yacc.c:1646  */
    break;

  case 3397:
#line 18162 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 66423 "preproc.c" /* yacc.c:1646  */
    break;

  case 3399:
#line 18168 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 66429 "preproc.c" /* yacc.c:1646  */
    break;

  case 3400:
#line 18169 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 66435 "preproc.c" /* yacc.c:1646  */
    break;

  case 3401:
#line 18170 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 66441 "preproc.c" /* yacc.c:1646  */
    break;

  case 3402:
#line 18172 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 66456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3403:
#line 18184 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 66462 "preproc.c" /* yacc.c:1646  */
    break;

  case 3404:
#line 18185 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 66473 "preproc.c" /* yacc.c:1646  */
    break;

  case 3405:
#line 18191 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 66479 "preproc.c" /* yacc.c:1646  */
    break;

  case 3406:
#line 18192 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-9].str), mm_strdup("table if not exists"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 66490 "preproc.c" /* yacc.c:1646  */
    break;

  case 3407:
#line 18201 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 66504 "preproc.c" /* yacc.c:1646  */
    break;

  case 3408:
#line 18216 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 66510 "preproc.c" /* yacc.c:1646  */
    break;

  case 3409:
#line 18218 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 66516 "preproc.c" /* yacc.c:1646  */
    break;

  case 3410:
#line 18221 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 66522 "preproc.c" /* yacc.c:1646  */
    break;

  case 3411:
#line 18223 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 66528 "preproc.c" /* yacc.c:1646  */
    break;

  case 3412:
#line 18227 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 66544 "preproc.c" /* yacc.c:1646  */
    break;

  case 3413:
#line 18239 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 66564 "preproc.c" /* yacc.c:1646  */
    break;

  case 3414:
#line 18255 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 66572 "preproc.c" /* yacc.c:1646  */
    break;

  case 3415:
#line 18259 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 66585 "preproc.c" /* yacc.c:1646  */
    break;

  case 3416:
#line 18269 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66591 "preproc.c" /* yacc.c:1646  */
    break;

  case 3417:
#line 18270 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66597 "preproc.c" /* yacc.c:1646  */
    break;

  case 3418:
#line 18274 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 66611 "preproc.c" /* yacc.c:1646  */
    break;

  case 3419:
#line 18286 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 66622 "preproc.c" /* yacc.c:1646  */
    break;

  case 3420:
#line 18294 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66628 "preproc.c" /* yacc.c:1646  */
    break;

  case 3421:
#line 18295 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66634 "preproc.c" /* yacc.c:1646  */
    break;

  case 3422:
#line 18298 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66640 "preproc.c" /* yacc.c:1646  */
    break;

  case 3423:
#line 18299 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 66646 "preproc.c" /* yacc.c:1646  */
    break;

  case 3424:
#line 18300 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 66652 "preproc.c" /* yacc.c:1646  */
    break;

  case 3425:
#line 18303 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 66658 "preproc.c" /* yacc.c:1646  */
    break;

  case 3426:
#line 18304 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66664 "preproc.c" /* yacc.c:1646  */
    break;

  case 3427:
#line 18307 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66670 "preproc.c" /* yacc.c:1646  */
    break;

  case 3428:
#line 18308 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 66676 "preproc.c" /* yacc.c:1646  */
    break;

  case 3429:
#line 18311 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66682 "preproc.c" /* yacc.c:1646  */
    break;

  case 3430:
#line 18312 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 66688 "preproc.c" /* yacc.c:1646  */
    break;

  case 3431:
#line 18316 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 66694 "preproc.c" /* yacc.c:1646  */
    break;

  case 3432:
#line 18318 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 66700 "preproc.c" /* yacc.c:1646  */
    break;

  case 3433:
#line 18320 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 66706 "preproc.c" /* yacc.c:1646  */
    break;

  case 3434:
#line 18322 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 66712 "preproc.c" /* yacc.c:1646  */
    break;

  case 3435:
#line 18326 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 66723 "preproc.c" /* yacc.c:1646  */
    break;

  case 3436:
#line 18333 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 66734 "preproc.c" /* yacc.c:1646  */
    break;

  case 3437:
#line 18340 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 66752 "preproc.c" /* yacc.c:1646  */
    break;

  case 3438:
#line 18356 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 66788 "preproc.c" /* yacc.c:1646  */
    break;

  case 3439:
#line 18390 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 66802 "preproc.c" /* yacc.c:1646  */
    break;

  case 3440:
#line 18399 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66808 "preproc.c" /* yacc.c:1646  */
    break;

  case 3441:
#line 18403 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 66816 "preproc.c" /* yacc.c:1646  */
    break;

  case 3442:
#line 18407 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 66830 "preproc.c" /* yacc.c:1646  */
    break;

  case 3443:
#line 18419 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66836 "preproc.c" /* yacc.c:1646  */
    break;

  case 3444:
#line 18421 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 66842 "preproc.c" /* yacc.c:1646  */
    break;

  case 3445:
#line 18423 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 66848 "preproc.c" /* yacc.c:1646  */
    break;

  case 3446:
#line 18425 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 66854 "preproc.c" /* yacc.c:1646  */
    break;

  case 3447:
#line 18429 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 66872 "preproc.c" /* yacc.c:1646  */
    break;

  case 3448:
#line 18442 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66878 "preproc.c" /* yacc.c:1646  */
    break;

  case 3449:
#line 18449 "preproc.y" /* yacc.c:1646  */
    {
			struct declared_list *ptr = NULL;
			/* Check whether the declared name has been defined or not */
			for (ptr = g_declared_list; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp((yyvsp[-1].str), ptr->name) == 0)
				{
					/* re-definition is not allowed */
					mmerror(PARSE_ERROR, ET_ERROR, "name \"%s\" is already declared", ptr->name);
				}
			}

			/* Add a new declared name into the g_declared_list */
			ptr = NULL;
			ptr = (struct declared_list *)mm_alloc(sizeof(struct declared_list));
			if (ptr)
			{
				/* initial definition */
				ptr -> name = (yyvsp[-1].str);
				if (connection)
					ptr -> connection = mm_strdup(connection);
				else
					ptr -> connection = NULL;

				ptr -> next = g_declared_list;
				g_declared_list = ptr;
			}

			(yyval.str) = cat_str(3 , mm_strdup("/* declare "), mm_strdup((yyvsp[-1].str)), mm_strdup(" as an SQL identifier */"));
		}
#line 66913 "preproc.c" /* yacc.c:1646  */
    break;

  case 3450:
#line 18486 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			char *comment;
			char *con;

			if (INFORMIX_MODE && pg_strcasecmp((yyvsp[-5].str), "database") == 0)
                                mmfatal(PARSE_ERROR, "\"database\" cannot be used as cursor name in INFORMIX mode");

                        check_declared_list((yyvsp[0].str));
			con = connection ? connection : "NULL";
			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection ? mm_strdup(connection) : NULL;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			(yyval.str) = cat_str(2, adjust_outofscope_cursor_vars(this),
					comment);
		}
#line 66977 "preproc.c" /* yacc.c:1646  */
    break;

  case 3451:
#line 18548 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 66987 "preproc.c" /* yacc.c:1646  */
    break;

  case 3453:
#line 18558 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66993 "preproc.c" /* yacc.c:1646  */
    break;

  case 3454:
#line 18559 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66999 "preproc.c" /* yacc.c:1646  */
    break;

  case 3455:
#line 18562 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67005 "preproc.c" /* yacc.c:1646  */
    break;

  case 3456:
#line 18564 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67011 "preproc.c" /* yacc.c:1646  */
    break;

  case 3457:
#line 18565 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67017 "preproc.c" /* yacc.c:1646  */
    break;

  case 3458:
#line 18568 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67023 "preproc.c" /* yacc.c:1646  */
    break;

  case 3459:
#line 18569 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 67029 "preproc.c" /* yacc.c:1646  */
    break;

  case 3460:
#line 18570 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 67035 "preproc.c" /* yacc.c:1646  */
    break;

  case 3461:
#line 18571 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 67041 "preproc.c" /* yacc.c:1646  */
    break;

  case 3462:
#line 18572 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 67047 "preproc.c" /* yacc.c:1646  */
    break;

  case 3463:
#line 18579 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 67053 "preproc.c" /* yacc.c:1646  */
    break;

  case 3464:
#line 18581 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 67063 "preproc.c" /* yacc.c:1646  */
    break;

  case 3465:
#line 18588 "preproc.y" /* yacc.c:1646  */
    {}
#line 67069 "preproc.c" /* yacc.c:1646  */
    break;

  case 3466:
#line 18590 "preproc.y" /* yacc.c:1646  */
    {}
#line 67075 "preproc.c" /* yacc.c:1646  */
    break;

  case 3467:
#line 18592 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67081 "preproc.c" /* yacc.c:1646  */
    break;

  case 3468:
#line 18593 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67087 "preproc.c" /* yacc.c:1646  */
    break;

  case 3469:
#line 18596 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67093 "preproc.c" /* yacc.c:1646  */
    break;

  case 3470:
#line 18597 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67099 "preproc.c" /* yacc.c:1646  */
    break;

  case 3471:
#line 18598 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 67105 "preproc.c" /* yacc.c:1646  */
    break;

  case 3472:
#line 18599 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 67111 "preproc.c" /* yacc.c:1646  */
    break;

  case 3473:
#line 18602 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67117 "preproc.c" /* yacc.c:1646  */
    break;

  case 3474:
#line 18603 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 67123 "preproc.c" /* yacc.c:1646  */
    break;

  case 3475:
#line 18607 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 67133 "preproc.c" /* yacc.c:1646  */
    break;

  case 3476:
#line 18613 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 67145 "preproc.c" /* yacc.c:1646  */
    break;

  case 3477:
#line 18623 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_storage = (yyvsp[-1].str);
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 67160 "preproc.c" /* yacc.c:1646  */
    break;

  case 3478:
#line 18634 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 67168 "preproc.c" /* yacc.c:1646  */
    break;

  case 3479:
#line 18638 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_storage = EMPTY;
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 67183 "preproc.c" /* yacc.c:1646  */
    break;

  case 3480:
#line 18649 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 67191 "preproc.c" /* yacc.c:1646  */
    break;

  case 3481:
#line 18653 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 67199 "preproc.c" /* yacc.c:1646  */
    break;

  case 3482:
#line 18658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 67205 "preproc.c" /* yacc.c:1646  */
    break;

  case 3483:
#line 18659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67211 "preproc.c" /* yacc.c:1646  */
    break;

  case 3484:
#line 18663 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 67217 "preproc.c" /* yacc.c:1646  */
    break;

  case 3485:
#line 18664 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 67223 "preproc.c" /* yacc.c:1646  */
    break;

  case 3486:
#line 18665 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 67229 "preproc.c" /* yacc.c:1646  */
    break;

  case 3487:
#line 18668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 67235 "preproc.c" /* yacc.c:1646  */
    break;

  case 3488:
#line 18669 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 67241 "preproc.c" /* yacc.c:1646  */
    break;

  case 3489:
#line 18670 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 67247 "preproc.c" /* yacc.c:1646  */
    break;

  case 3490:
#line 18671 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 67253 "preproc.c" /* yacc.c:1646  */
    break;

  case 3491:
#line 18674 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 67259 "preproc.c" /* yacc.c:1646  */
    break;

  case 3492:
#line 18675 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 67265 "preproc.c" /* yacc.c:1646  */
    break;

  case 3493:
#line 18679 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67277 "preproc.c" /* yacc.c:1646  */
    break;

  case 3494:
#line 18687 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 67298 "preproc.c" /* yacc.c:1646  */
    break;

  case 3495:
#line 18704 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67310 "preproc.c" /* yacc.c:1646  */
    break;

  case 3496:
#line 18712 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_numeric;
			(yyval.type).type_str = mm_strdup("numeric");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67322 "preproc.c" /* yacc.c:1646  */
    break;

  case 3497:
#line 18720 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_decimal;
			(yyval.type).type_str = mm_strdup("decimal");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67334 "preproc.c" /* yacc.c:1646  */
    break;

  case 3498:
#line 18728 "preproc.y" /* yacc.c:1646  */
    {
			/*
			 * In C parsing mode, NUMERIC and DECIMAL are not keywords, so
			 * they will show up here as a plain identifier, and we need
			 * this duplicate code to recognize them.
			 */
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67366 "preproc.c" /* yacc.c:1646  */
    break;

  case 3499:
#line 18756 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_varchar;
			(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67378 "preproc.c" /* yacc.c:1646  */
    break;

  case 3500:
#line 18764 "preproc.y" /* yacc.c:1646  */
    {
			/* Note: DOUBLE is handled in simple_type */
			(yyval.type).type_enum = ECPGt_float;
			(yyval.type).type_str = mm_strdup("float");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67391 "preproc.c" /* yacc.c:1646  */
    break;

  case 3501:
#line 18773 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_numeric;
			(yyval.type).type_str = mm_strdup("numeric");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67403 "preproc.c" /* yacc.c:1646  */
    break;

  case 3502:
#line 18781 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_decimal;
			(yyval.type).type_str = mm_strdup("decimal");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67415 "preproc.c" /* yacc.c:1646  */
    break;

  case 3503:
#line 18789 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_timestamp;
			(yyval.type).type_str = mm_strdup("timestamp");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67427 "preproc.c" /* yacc.c:1646  */
    break;

  case 3504:
#line 18797 "preproc.y" /* yacc.c:1646  */
    {
			if (INFORMIX_MODE)
			{
				/* In Informix mode, "string" is automatically a typedef */
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* Otherwise, legal only if user typedef'ed it */
				struct typedefs *this = get_typedef("string", false);

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar || this->type->type_enum == ECPGt_bytea) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 67459 "preproc.c" /* yacc.c:1646  */
    break;

  case 3505:
#line 18825 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_interval;
			(yyval.type).type_str = mm_strdup("interval");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67471 "preproc.c" /* yacc.c:1646  */
    break;

  case 3506:
#line 18833 "preproc.y" /* yacc.c:1646  */
    {
			/*
			 * In C parsing mode, the above SQL type names are not keywords,
			 * so they will show up here as a plain identifier, and we need
			 * this duplicate code to recognize them.
			 *
			 * Note that we also handle the type names bytea, date, and
			 * datetime here, but not above because those are not currently
			 * SQL keywords.  If they ever become so, they must gain duplicate
			 * productions above.
			 */
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "bytea") == 0)
			{
				(yyval.type).type_enum = ECPGt_bytea;
				(yyval.type).type_str = EMPTY;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* Otherwise, it must be a user-defined typedef name */
				struct typedefs *this = get_typedef((yyvsp[-1].str), false);

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar || this->type->type_enum == ECPGt_bytea) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 67595 "preproc.c" /* yacc.c:1646  */
    break;

  case 3507:
#line 18953 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name, false);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 67631 "preproc.c" /* yacc.c:1646  */
    break;

  case 3508:
#line 18987 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 67637 "preproc.c" /* yacc.c:1646  */
    break;

  case 3509:
#line 18989 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 67643 "preproc.c" /* yacc.c:1646  */
    break;

  case 3510:
#line 18991 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 67649 "preproc.c" /* yacc.c:1646  */
    break;

  case 3511:
#line 18995 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 67655 "preproc.c" /* yacc.c:1646  */
    break;

  case 3512:
#line 18998 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 67666 "preproc.c" /* yacc.c:1646  */
    break;

  case 3513:
#line 19005 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 67712 "preproc.c" /* yacc.c:1646  */
    break;

  case 3514:
#line 19048 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67718 "preproc.c" /* yacc.c:1646  */
    break;

  case 3515:
#line 19050 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 67728 "preproc.c" /* yacc.c:1646  */
    break;

  case 3516:
#line 19056 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 67739 "preproc.c" /* yacc.c:1646  */
    break;

  case 3517:
#line 19065 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 67749 "preproc.c" /* yacc.c:1646  */
    break;

  case 3518:
#line 19071 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 67758 "preproc.c" /* yacc.c:1646  */
    break;

  case 3519:
#line 19078 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 67767 "preproc.c" /* yacc.c:1646  */
    break;

  case 3520:
#line 19083 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 67775 "preproc.c" /* yacc.c:1646  */
    break;

  case 3521:
#line 19088 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 67781 "preproc.c" /* yacc.c:1646  */
    break;

  case 3522:
#line 19089 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 67787 "preproc.c" /* yacc.c:1646  */
    break;

  case 3523:
#line 19092 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 67793 "preproc.c" /* yacc.c:1646  */
    break;

  case 3524:
#line 19093 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 67799 "preproc.c" /* yacc.c:1646  */
    break;

  case 3525:
#line 19094 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 67805 "preproc.c" /* yacc.c:1646  */
    break;

  case 3526:
#line 19095 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 67811 "preproc.c" /* yacc.c:1646  */
    break;

  case 3527:
#line 19096 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 67817 "preproc.c" /* yacc.c:1646  */
    break;

  case 3528:
#line 19097 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 67823 "preproc.c" /* yacc.c:1646  */
    break;

  case 3529:
#line 19098 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long_long; }
#line 67829 "preproc.c" /* yacc.c:1646  */
    break;

  case 3530:
#line 19099 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long_long; }
#line 67835 "preproc.c" /* yacc.c:1646  */
    break;

  case 3531:
#line 19100 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 67841 "preproc.c" /* yacc.c:1646  */
    break;

  case 3532:
#line 19103 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 67847 "preproc.c" /* yacc.c:1646  */
    break;

  case 3533:
#line 19104 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 67853 "preproc.c" /* yacc.c:1646  */
    break;

  case 3534:
#line 19105 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 67859 "preproc.c" /* yacc.c:1646  */
    break;

  case 3535:
#line 19106 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 67865 "preproc.c" /* yacc.c:1646  */
    break;

  case 3536:
#line 19107 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 67871 "preproc.c" /* yacc.c:1646  */
    break;

  case 3537:
#line 19108 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long_long; }
#line 67877 "preproc.c" /* yacc.c:1646  */
    break;

  case 3538:
#line 19109 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long_long; }
#line 67883 "preproc.c" /* yacc.c:1646  */
    break;

  case 3539:
#line 19110 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 67889 "preproc.c" /* yacc.c:1646  */
    break;

  case 3540:
#line 19111 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 67895 "preproc.c" /* yacc.c:1646  */
    break;

  case 3541:
#line 19112 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 67901 "preproc.c" /* yacc.c:1646  */
    break;

  case 3544:
#line 19120 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67907 "preproc.c" /* yacc.c:1646  */
    break;

  case 3545:
#line 19122 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar || actual_type[struct_level].type_enum == ECPGt_bytea)
				(yyval.str) = cat_str(4, (yyvsp[-2].str), mm_strdup(";"), mm_strdup(actual_type[struct_level].type_storage), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 67918 "preproc.c" /* yacc.c:1646  */
    break;

  case 3546:
#line 19131 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;
			int *varlen_type_counter;
			char *struct_name;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);
			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
				case ECPGt_bytea:
					if (actual_type[struct_level].type_enum == ECPGt_varchar)
					{
						varlen_type_counter = &varchar_counter;
						struct_name = " struct varchar_";
					}
					else
					{
						varlen_type_counter = &bytea_counter;
						struct_name = " struct bytea_";
					}
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, *varlen_type_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, *varlen_type_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", *varlen_type_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(struct_name), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(struct_name), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					(*varlen_type_counter)++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 68019 "preproc.c" /* yacc.c:1646  */
    break;

  case 3547:
#line 19230 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 68025 "preproc.c" /* yacc.c:1646  */
    break;

  case 3548:
#line 19232 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 68034 "preproc.c" /* yacc.c:1646  */
    break;

  case 3549:
#line 19238 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 68040 "preproc.c" /* yacc.c:1646  */
    break;

  case 3550:
#line 19239 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 68046 "preproc.c" /* yacc.c:1646  */
    break;

  case 3551:
#line 19240 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 68052 "preproc.c" /* yacc.c:1646  */
    break;

  case 3552:
#line 19247 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 68061 "preproc.c" /* yacc.c:1646  */
    break;

  case 3553:
#line 19255 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68067 "preproc.c" /* yacc.c:1646  */
    break;

  case 3554:
#line 19258 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68073 "preproc.c" /* yacc.c:1646  */
    break;

  case 3555:
#line 19259 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 68079 "preproc.c" /* yacc.c:1646  */
    break;

  case 3556:
#line 19260 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 68085 "preproc.c" /* yacc.c:1646  */
    break;

  case 3557:
#line 19261 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 68091 "preproc.c" /* yacc.c:1646  */
    break;

  case 3558:
#line 19264 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 68097 "preproc.c" /* yacc.c:1646  */
    break;

  case 3559:
#line 19265 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 68103 "preproc.c" /* yacc.c:1646  */
    break;

  case 3560:
#line 19266 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68109 "preproc.c" /* yacc.c:1646  */
    break;

  case 3561:
#line 19270 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68115 "preproc.c" /* yacc.c:1646  */
    break;

  case 3562:
#line 19272 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 68121 "preproc.c" /* yacc.c:1646  */
    break;

  case 3563:
#line 19279 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68127 "preproc.c" /* yacc.c:1646  */
    break;

  case 3564:
#line 19280 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 68133 "preproc.c" /* yacc.c:1646  */
    break;

  case 3565:
#line 19287 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 68143 "preproc.c" /* yacc.c:1646  */
    break;

  case 3566:
#line 19294 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 68149 "preproc.c" /* yacc.c:1646  */
    break;

  case 3567:
#line 19295 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68155 "preproc.c" /* yacc.c:1646  */
    break;

  case 3568:
#line 19298 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 68161 "preproc.c" /* yacc.c:1646  */
    break;

  case 3569:
#line 19299 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68167 "preproc.c" /* yacc.c:1646  */
    break;

  case 3570:
#line 19303 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 68176 "preproc.c" /* yacc.c:1646  */
    break;

  case 3571:
#line 19308 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 68185 "preproc.c" /* yacc.c:1646  */
    break;

  case 3572:
#line 19315 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 68194 "preproc.c" /* yacc.c:1646  */
    break;

  case 3573:
#line 19320 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 68203 "preproc.c" /* yacc.c:1646  */
    break;

  case 3574:
#line 19327 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 68212 "preproc.c" /* yacc.c:1646  */
    break;

  case 3577:
#line 19336 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 68223 "preproc.c" /* yacc.c:1646  */
    break;

  case 3578:
#line 19342 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 68229 "preproc.c" /* yacc.c:1646  */
    break;

  case 3579:
#line 19343 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 68235 "preproc.c" /* yacc.c:1646  */
    break;

  case 3580:
#line 19346 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68241 "preproc.c" /* yacc.c:1646  */
    break;

  case 3581:
#line 19347 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 68247 "preproc.c" /* yacc.c:1646  */
    break;

  case 3582:
#line 19348 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 68253 "preproc.c" /* yacc.c:1646  */
    break;

  case 3583:
#line 19349 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68259 "preproc.c" /* yacc.c:1646  */
    break;

  case 3584:
#line 19350 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 68265 "preproc.c" /* yacc.c:1646  */
    break;

  case 3585:
#line 19351 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 68271 "preproc.c" /* yacc.c:1646  */
    break;

  case 3586:
#line 19352 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68277 "preproc.c" /* yacc.c:1646  */
    break;

  case 3587:
#line 19353 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68283 "preproc.c" /* yacc.c:1646  */
    break;

  case 3588:
#line 19354 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68289 "preproc.c" /* yacc.c:1646  */
    break;

  case 3589:
#line 19361 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 1;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 68298 "preproc.c" /* yacc.c:1646  */
    break;

  case 3590:
#line 19366 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;
		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 68312 "preproc.c" /* yacc.c:1646  */
    break;

  case 3591:
#line 19376 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 68321 "preproc.c" /* yacc.c:1646  */
    break;

  case 3592:
#line 19381 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 1;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 68330 "preproc.c" /* yacc.c:1646  */
    break;

  case 3593:
#line 19386 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 68339 "preproc.c" /* yacc.c:1646  */
    break;

  case 3594:
#line 19392 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 68345 "preproc.c" /* yacc.c:1646  */
    break;

  case 3595:
#line 19393 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 68351 "preproc.c" /* yacc.c:1646  */
    break;

  case 3596:
#line 19406 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 68360 "preproc.c" /* yacc.c:1646  */
    break;

  case 3597:
#line 19417 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 68369 "preproc.c" /* yacc.c:1646  */
    break;

  case 3598:
#line 19428 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 68375 "preproc.c" /* yacc.c:1646  */
    break;

  case 3601:
#line 19436 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 68381 "preproc.c" /* yacc.c:1646  */
    break;

  case 3602:
#line 19441 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 68387 "preproc.c" /* yacc.c:1646  */
    break;

  case 3605:
#line 19449 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 68395 "preproc.c" /* yacc.c:1646  */
    break;

  case 3606:
#line 19455 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 68407 "preproc.c" /* yacc.c:1646  */
    break;

  case 3607:
#line 19463 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 68415 "preproc.c" /* yacc.c:1646  */
    break;

  case 3608:
#line 19468 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 68421 "preproc.c" /* yacc.c:1646  */
    break;

  case 3609:
#line 19476 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 68427 "preproc.c" /* yacc.c:1646  */
    break;

  case 3612:
#line 19483 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 68433 "preproc.c" /* yacc.c:1646  */
    break;

  case 3613:
#line 19487 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 68439 "preproc.c" /* yacc.c:1646  */
    break;

  case 3616:
#line 19495 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 68447 "preproc.c" /* yacc.c:1646  */
    break;

  case 3617:
#line 19501 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 68459 "preproc.c" /* yacc.c:1646  */
    break;

  case 3618:
#line 19510 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 68467 "preproc.c" /* yacc.c:1646  */
    break;

  case 3619:
#line 19515 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 68480 "preproc.c" /* yacc.c:1646  */
    break;

  case 3620:
#line 19525 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 68493 "preproc.c" /* yacc.c:1646  */
    break;

  case 3621:
#line 19535 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 68507 "preproc.c" /* yacc.c:1646  */
    break;

  case 3622:
#line 19546 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 68513 "preproc.c" /* yacc.c:1646  */
    break;

  case 3623:
#line 19547 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 68519 "preproc.c" /* yacc.c:1646  */
    break;

  case 3624:
#line 19548 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 68525 "preproc.c" /* yacc.c:1646  */
    break;

  case 3625:
#line 19549 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 68531 "preproc.c" /* yacc.c:1646  */
    break;

  case 3626:
#line 19550 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 68537 "preproc.c" /* yacc.c:1646  */
    break;

  case 3627:
#line 19551 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 68543 "preproc.c" /* yacc.c:1646  */
    break;

  case 3628:
#line 19552 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 68549 "preproc.c" /* yacc.c:1646  */
    break;

  case 3629:
#line 19553 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 68555 "preproc.c" /* yacc.c:1646  */
    break;

  case 3630:
#line 19554 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 68561 "preproc.c" /* yacc.c:1646  */
    break;

  case 3631:
#line 19555 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 68567 "preproc.c" /* yacc.c:1646  */
    break;

  case 3632:
#line 19556 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 68573 "preproc.c" /* yacc.c:1646  */
    break;

  case 3633:
#line 19557 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 68579 "preproc.c" /* yacc.c:1646  */
    break;

  case 3634:
#line 19558 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 68585 "preproc.c" /* yacc.c:1646  */
    break;

  case 3635:
#line 19559 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 68591 "preproc.c" /* yacc.c:1646  */
    break;

  case 3636:
#line 19560 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 68597 "preproc.c" /* yacc.c:1646  */
    break;

  case 3637:
#line 19567 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68603 "preproc.c" /* yacc.c:1646  */
    break;

  case 3638:
#line 19568 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68609 "preproc.c" /* yacc.c:1646  */
    break;

  case 3639:
#line 19571 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 68615 "preproc.c" /* yacc.c:1646  */
    break;

  case 3640:
#line 19572 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 68621 "preproc.c" /* yacc.c:1646  */
    break;

  case 3641:
#line 19579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68627 "preproc.c" /* yacc.c:1646  */
    break;

  case 3642:
#line 19580 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68633 "preproc.c" /* yacc.c:1646  */
    break;

  case 3643:
#line 19581 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68639 "preproc.c" /* yacc.c:1646  */
    break;

  case 3644:
#line 19588 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 68649 "preproc.c" /* yacc.c:1646  */
    break;

  case 3645:
#line 19594 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 68662 "preproc.c" /* yacc.c:1646  */
    break;

  case 3646:
#line 19604 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 68668 "preproc.c" /* yacc.c:1646  */
    break;

  case 3647:
#line 19605 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 68674 "preproc.c" /* yacc.c:1646  */
    break;

  case 3648:
#line 19612 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 68684 "preproc.c" /* yacc.c:1646  */
    break;

  case 3649:
#line 19618 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
					case ECPGt_bytea:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 68747 "preproc.c" /* yacc.c:1646  */
    break;

  case 3650:
#line 19683 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 68757 "preproc.c" /* yacc.c:1646  */
    break;

  case 3651:
#line 19689 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 68767 "preproc.c" /* yacc.c:1646  */
    break;

  case 3652:
#line 19695 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 68777 "preproc.c" /* yacc.c:1646  */
    break;

  case 3653:
#line 19703 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 68787 "preproc.c" /* yacc.c:1646  */
    break;

  case 3654:
#line 19709 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 68797 "preproc.c" /* yacc.c:1646  */
    break;

  case 3655:
#line 19715 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 68807 "preproc.c" /* yacc.c:1646  */
    break;

  case 3656:
#line 19721 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 68817 "preproc.c" /* yacc.c:1646  */
    break;

  case 3657:
#line 19727 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 68827 "preproc.c" /* yacc.c:1646  */
    break;

  case 3658:
#line 19733 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 68837 "preproc.c" /* yacc.c:1646  */
    break;

  case 3659:
#line 19739 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 68847 "preproc.c" /* yacc.c:1646  */
    break;

  case 3660:
#line 19745 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_CONTINUE;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 68857 "preproc.c" /* yacc.c:1646  */
    break;

  case 3661:
#line 19751 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 68867 "preproc.c" /* yacc.c:1646  */
    break;

  case 3662:
#line 19757 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 68877 "preproc.c" /* yacc.c:1646  */
    break;

  case 3663:
#line 19767 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68883 "preproc.c" /* yacc.c:1646  */
    break;

  case 3664:
#line 19768 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68889 "preproc.c" /* yacc.c:1646  */
    break;

  case 3665:
#line 19771 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 68895 "preproc.c" /* yacc.c:1646  */
    break;

  case 3666:
#line 19772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 68901 "preproc.c" /* yacc.c:1646  */
    break;

  case 3667:
#line 19773 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 68907 "preproc.c" /* yacc.c:1646  */
    break;

  case 3668:
#line 19774 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 68913 "preproc.c" /* yacc.c:1646  */
    break;

  case 3669:
#line 19775 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 68919 "preproc.c" /* yacc.c:1646  */
    break;

  case 3670:
#line 19776 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 68925 "preproc.c" /* yacc.c:1646  */
    break;

  case 3671:
#line 19777 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 68931 "preproc.c" /* yacc.c:1646  */
    break;

  case 3672:
#line 19778 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 68937 "preproc.c" /* yacc.c:1646  */
    break;

  case 3673:
#line 19779 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 68943 "preproc.c" /* yacc.c:1646  */
    break;

  case 3674:
#line 19780 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 68949 "preproc.c" /* yacc.c:1646  */
    break;

  case 3675:
#line 19781 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 68955 "preproc.c" /* yacc.c:1646  */
    break;

  case 3676:
#line 19782 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 68961 "preproc.c" /* yacc.c:1646  */
    break;

  case 3677:
#line 19783 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 68967 "preproc.c" /* yacc.c:1646  */
    break;

  case 3678:
#line 19784 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 68973 "preproc.c" /* yacc.c:1646  */
    break;

  case 3679:
#line 19785 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 68979 "preproc.c" /* yacc.c:1646  */
    break;

  case 3680:
#line 19786 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 68985 "preproc.c" /* yacc.c:1646  */
    break;

  case 3681:
#line 19787 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 68991 "preproc.c" /* yacc.c:1646  */
    break;

  case 3682:
#line 19788 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 68997 "preproc.c" /* yacc.c:1646  */
    break;

  case 3683:
#line 19789 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 69003 "preproc.c" /* yacc.c:1646  */
    break;

  case 3684:
#line 19790 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 69009 "preproc.c" /* yacc.c:1646  */
    break;

  case 3685:
#line 19791 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 69015 "preproc.c" /* yacc.c:1646  */
    break;

  case 3686:
#line 19792 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 69021 "preproc.c" /* yacc.c:1646  */
    break;

  case 3687:
#line 19795 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 69027 "preproc.c" /* yacc.c:1646  */
    break;

  case 3688:
#line 19796 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 69033 "preproc.c" /* yacc.c:1646  */
    break;

  case 3689:
#line 19797 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 69039 "preproc.c" /* yacc.c:1646  */
    break;

  case 3690:
#line 19798 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 69045 "preproc.c" /* yacc.c:1646  */
    break;

  case 3691:
#line 19799 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 69051 "preproc.c" /* yacc.c:1646  */
    break;

  case 3692:
#line 19800 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 69057 "preproc.c" /* yacc.c:1646  */
    break;

  case 3693:
#line 19804 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 69063 "preproc.c" /* yacc.c:1646  */
    break;

  case 3694:
#line 19805 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 69069 "preproc.c" /* yacc.c:1646  */
    break;

  case 3695:
#line 19806 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 69075 "preproc.c" /* yacc.c:1646  */
    break;

  case 3696:
#line 19807 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 69081 "preproc.c" /* yacc.c:1646  */
    break;

  case 3697:
#line 19808 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 69087 "preproc.c" /* yacc.c:1646  */
    break;

  case 3698:
#line 19809 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 69093 "preproc.c" /* yacc.c:1646  */
    break;

  case 3699:
#line 19810 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 69099 "preproc.c" /* yacc.c:1646  */
    break;

  case 3700:
#line 19813 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69105 "preproc.c" /* yacc.c:1646  */
    break;

  case 3701:
#line 19816 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69111 "preproc.c" /* yacc.c:1646  */
    break;

  case 3702:
#line 19817 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69117 "preproc.c" /* yacc.c:1646  */
    break;

  case 3703:
#line 19818 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69123 "preproc.c" /* yacc.c:1646  */
    break;

  case 3704:
#line 19819 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69129 "preproc.c" /* yacc.c:1646  */
    break;

  case 3705:
#line 19820 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69135 "preproc.c" /* yacc.c:1646  */
    break;

  case 3706:
#line 19821 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69141 "preproc.c" /* yacc.c:1646  */
    break;

  case 3707:
#line 19822 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 69147 "preproc.c" /* yacc.c:1646  */
    break;

  case 3708:
#line 19823 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 69153 "preproc.c" /* yacc.c:1646  */
    break;

  case 3709:
#line 19836 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69159 "preproc.c" /* yacc.c:1646  */
    break;

  case 3710:
#line 19837 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69165 "preproc.c" /* yacc.c:1646  */
    break;

  case 3711:
#line 19838 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69171 "preproc.c" /* yacc.c:1646  */
    break;

  case 3712:
#line 19839 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69177 "preproc.c" /* yacc.c:1646  */
    break;

  case 3713:
#line 19840 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69183 "preproc.c" /* yacc.c:1646  */
    break;

  case 3714:
#line 19841 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 69189 "preproc.c" /* yacc.c:1646  */
    break;

  case 3715:
#line 19842 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 69195 "preproc.c" /* yacc.c:1646  */
    break;

  case 3716:
#line 19847 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69201 "preproc.c" /* yacc.c:1646  */
    break;

  case 3717:
#line 19848 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69207 "preproc.c" /* yacc.c:1646  */
    break;

  case 3718:
#line 19849 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69213 "preproc.c" /* yacc.c:1646  */
    break;

  case 3719:
#line 19850 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69219 "preproc.c" /* yacc.c:1646  */
    break;

  case 3720:
#line 19851 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69225 "preproc.c" /* yacc.c:1646  */
    break;

  case 3721:
#line 19852 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69231 "preproc.c" /* yacc.c:1646  */
    break;

  case 3722:
#line 19858 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69237 "preproc.c" /* yacc.c:1646  */
    break;

  case 3723:
#line 19859 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69243 "preproc.c" /* yacc.c:1646  */
    break;

  case 3724:
#line 19860 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 69249 "preproc.c" /* yacc.c:1646  */
    break;

  case 3725:
#line 19861 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 69255 "preproc.c" /* yacc.c:1646  */
    break;

  case 3726:
#line 19862 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 69261 "preproc.c" /* yacc.c:1646  */
    break;

  case 3727:
#line 19863 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 69267 "preproc.c" /* yacc.c:1646  */
    break;

  case 3728:
#line 19864 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 69273 "preproc.c" /* yacc.c:1646  */
    break;

  case 3729:
#line 19865 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 69279 "preproc.c" /* yacc.c:1646  */
    break;

  case 3730:
#line 19866 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 69285 "preproc.c" /* yacc.c:1646  */
    break;

  case 3731:
#line 19867 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69291 "preproc.c" /* yacc.c:1646  */
    break;

  case 3732:
#line 19868 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69297 "preproc.c" /* yacc.c:1646  */
    break;

  case 3733:
#line 19871 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69303 "preproc.c" /* yacc.c:1646  */
    break;

  case 3734:
#line 19872 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69309 "preproc.c" /* yacc.c:1646  */
    break;

  case 3735:
#line 19873 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69315 "preproc.c" /* yacc.c:1646  */
    break;

  case 3736:
#line 19874 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69321 "preproc.c" /* yacc.c:1646  */
    break;

  case 3737:
#line 19875 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69327 "preproc.c" /* yacc.c:1646  */
    break;

  case 3738:
#line 19876 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69333 "preproc.c" /* yacc.c:1646  */
    break;

  case 3739:
#line 19877 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69339 "preproc.c" /* yacc.c:1646  */
    break;

  case 3740:
#line 19878 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 69345 "preproc.c" /* yacc.c:1646  */
    break;

  case 3741:
#line 19881 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 69351 "preproc.c" /* yacc.c:1646  */
    break;

  case 3742:
#line 19882 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 69357 "preproc.c" /* yacc.c:1646  */
    break;

  case 3743:
#line 19883 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 69363 "preproc.c" /* yacc.c:1646  */
    break;

  case 3744:
#line 19884 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 69369 "preproc.c" /* yacc.c:1646  */
    break;

  case 3745:
#line 19885 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 69375 "preproc.c" /* yacc.c:1646  */
    break;

  case 3746:
#line 19886 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 69381 "preproc.c" /* yacc.c:1646  */
    break;

  case 3747:
#line 19887 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 69387 "preproc.c" /* yacc.c:1646  */
    break;

  case 3748:
#line 19904 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69393 "preproc.c" /* yacc.c:1646  */
    break;

  case 3749:
#line 19905 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69399 "preproc.c" /* yacc.c:1646  */
    break;

  case 3750:
#line 19906 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 69405 "preproc.c" /* yacc.c:1646  */
    break;

  case 3751:
#line 19909 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 69411 "preproc.c" /* yacc.c:1646  */
    break;

  case 3752:
#line 19910 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 69417 "preproc.c" /* yacc.c:1646  */
    break;

  case 3753:
#line 19911 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 69423 "preproc.c" /* yacc.c:1646  */
    break;

  case 3754:
#line 19912 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 69429 "preproc.c" /* yacc.c:1646  */
    break;

  case 3755:
#line 19913 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 69435 "preproc.c" /* yacc.c:1646  */
    break;

  case 3756:
#line 19914 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 69441 "preproc.c" /* yacc.c:1646  */
    break;

  case 3759:
#line 19921 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 69450 "preproc.c" /* yacc.c:1646  */
    break;

  case 3760:
#line 19927 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3761:
#line 19928 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69462 "preproc.c" /* yacc.c:1646  */
    break;

  case 3762:
#line 19932 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 69468 "preproc.c" /* yacc.c:1646  */
    break;

  case 3763:
#line 19934 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 69474 "preproc.c" /* yacc.c:1646  */
    break;

  case 3764:
#line 19939 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 69486 "preproc.c" /* yacc.c:1646  */
    break;

  case 3765:
#line 19949 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 69499 "preproc.c" /* yacc.c:1646  */
    break;

  case 3766:
#line 19960 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 69508 "preproc.c" /* yacc.c:1646  */
    break;

  case 3767:
#line 19966 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 69514 "preproc.c" /* yacc.c:1646  */
    break;

  case 3768:
#line 19967 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 69520 "preproc.c" /* yacc.c:1646  */
    break;

  case 3769:
#line 19968 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 69526 "preproc.c" /* yacc.c:1646  */
    break;

  case 3770:
#line 19972 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 69561 "preproc.c" /* yacc.c:1646  */
    break;

  case 3771:
#line 20004 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 69567 "preproc.c" /* yacc.c:1646  */
    break;

  case 3772:
#line 20006 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69573 "preproc.c" /* yacc.c:1646  */
    break;

  case 3773:
#line 20008 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 69579 "preproc.c" /* yacc.c:1646  */
    break;

  case 3774:
#line 20010 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69585 "preproc.c" /* yacc.c:1646  */
    break;

  case 3775:
#line 20012 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69591 "preproc.c" /* yacc.c:1646  */
    break;

  case 3776:
#line 20014 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69597 "preproc.c" /* yacc.c:1646  */
    break;

  case 3777:
#line 20015 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 69603 "preproc.c" /* yacc.c:1646  */
    break;

  case 3778:
#line 20019 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 69609 "preproc.c" /* yacc.c:1646  */
    break;

  case 3779:
#line 20021 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 69615 "preproc.c" /* yacc.c:1646  */
    break;

  case 3780:
#line 20028 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69621 "preproc.c" /* yacc.c:1646  */
    break;

  case 3781:
#line 20029 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 69627 "preproc.c" /* yacc.c:1646  */
    break;

  case 3782:
#line 20031 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 69633 "preproc.c" /* yacc.c:1646  */
    break;

  case 3783:
#line 20034 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69639 "preproc.c" /* yacc.c:1646  */
    break;

  case 3784:
#line 20036 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 69645 "preproc.c" /* yacc.c:1646  */
    break;

  case 3785:
#line 20039 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69651 "preproc.c" /* yacc.c:1646  */
    break;

  case 3786:
#line 20040 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 69657 "preproc.c" /* yacc.c:1646  */
    break;

  case 3787:
#line 20043 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69663 "preproc.c" /* yacc.c:1646  */
    break;

  case 3788:
#line 20044 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 69669 "preproc.c" /* yacc.c:1646  */
    break;

  case 3789:
#line 20047 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69675 "preproc.c" /* yacc.c:1646  */
    break;

  case 3790:
#line 20048 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 69681 "preproc.c" /* yacc.c:1646  */
    break;

  case 3791:
#line 20049 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 69687 "preproc.c" /* yacc.c:1646  */
    break;

  case 3792:
#line 20050 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 69693 "preproc.c" /* yacc.c:1646  */
    break;

  case 3793:
#line 20051 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 69699 "preproc.c" /* yacc.c:1646  */
    break;

  case 3794:
#line 20054 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69705 "preproc.c" /* yacc.c:1646  */
    break;

  case 3795:
#line 20055 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69711 "preproc.c" /* yacc.c:1646  */
    break;

  case 3796:
#line 20056 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69717 "preproc.c" /* yacc.c:1646  */
    break;

  case 3797:
#line 20057 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69723 "preproc.c" /* yacc.c:1646  */
    break;

  case 3798:
#line 20058 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 69729 "preproc.c" /* yacc.c:1646  */
    break;

  case 3799:
#line 20059 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 69735 "preproc.c" /* yacc.c:1646  */
    break;

  case 3800:
#line 20060 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 69741 "preproc.c" /* yacc.c:1646  */
    break;

  case 3801:
#line 20061 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 69747 "preproc.c" /* yacc.c:1646  */
    break;

  case 3802:
#line 20062 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 69753 "preproc.c" /* yacc.c:1646  */
    break;

  case 3803:
#line 20063 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 69759 "preproc.c" /* yacc.c:1646  */
    break;

  case 3804:
#line 20064 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 69765 "preproc.c" /* yacc.c:1646  */
    break;

  case 3805:
#line 20065 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 69771 "preproc.c" /* yacc.c:1646  */
    break;

  case 3806:
#line 20066 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 69777 "preproc.c" /* yacc.c:1646  */
    break;

  case 3807:
#line 20067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 69783 "preproc.c" /* yacc.c:1646  */
    break;

  case 3808:
#line 20068 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 69789 "preproc.c" /* yacc.c:1646  */
    break;

  case 3809:
#line 20069 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 69795 "preproc.c" /* yacc.c:1646  */
    break;

  case 3810:
#line 20070 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 69801 "preproc.c" /* yacc.c:1646  */
    break;

  case 3811:
#line 20071 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 69807 "preproc.c" /* yacc.c:1646  */
    break;

  case 3812:
#line 20072 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 69813 "preproc.c" /* yacc.c:1646  */
    break;

  case 3813:
#line 20073 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 69819 "preproc.c" /* yacc.c:1646  */
    break;

  case 3814:
#line 20074 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 69825 "preproc.c" /* yacc.c:1646  */
    break;

  case 3815:
#line 20075 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 69831 "preproc.c" /* yacc.c:1646  */
    break;

  case 3816:
#line 20076 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 69837 "preproc.c" /* yacc.c:1646  */
    break;

  case 3817:
#line 20077 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 69843 "preproc.c" /* yacc.c:1646  */
    break;

  case 3818:
#line 20078 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 69849 "preproc.c" /* yacc.c:1646  */
    break;

  case 3819:
#line 20079 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 69855 "preproc.c" /* yacc.c:1646  */
    break;

  case 3820:
#line 20080 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 69861 "preproc.c" /* yacc.c:1646  */
    break;

  case 3821:
#line 20081 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 69867 "preproc.c" /* yacc.c:1646  */
    break;

  case 3822:
#line 20082 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 69873 "preproc.c" /* yacc.c:1646  */
    break;

  case 3823:
#line 20083 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 69879 "preproc.c" /* yacc.c:1646  */
    break;

  case 3824:
#line 20084 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 69885 "preproc.c" /* yacc.c:1646  */
    break;

  case 3825:
#line 20085 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 69891 "preproc.c" /* yacc.c:1646  */
    break;

  case 3826:
#line 20086 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 69897 "preproc.c" /* yacc.c:1646  */
    break;

  case 3827:
#line 20087 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 69903 "preproc.c" /* yacc.c:1646  */
    break;

  case 3828:
#line 20088 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 69909 "preproc.c" /* yacc.c:1646  */
    break;

  case 3829:
#line 20089 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 69915 "preproc.c" /* yacc.c:1646  */
    break;

  case 3830:
#line 20090 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 69921 "preproc.c" /* yacc.c:1646  */
    break;

  case 3831:
#line 20091 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 69927 "preproc.c" /* yacc.c:1646  */
    break;

  case 3832:
#line 20092 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 69933 "preproc.c" /* yacc.c:1646  */
    break;

  case 3833:
#line 20093 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 69939 "preproc.c" /* yacc.c:1646  */
    break;

  case 3834:
#line 20094 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 69945 "preproc.c" /* yacc.c:1646  */
    break;

  case 3835:
#line 20095 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 69951 "preproc.c" /* yacc.c:1646  */
    break;

  case 3836:
#line 20096 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 69957 "preproc.c" /* yacc.c:1646  */
    break;

  case 3837:
#line 20097 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 69963 "preproc.c" /* yacc.c:1646  */
    break;

  case 3838:
#line 20098 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 69969 "preproc.c" /* yacc.c:1646  */
    break;

  case 3839:
#line 20099 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 69975 "preproc.c" /* yacc.c:1646  */
    break;

  case 3840:
#line 20100 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 69981 "preproc.c" /* yacc.c:1646  */
    break;

  case 3841:
#line 20101 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 69987 "preproc.c" /* yacc.c:1646  */
    break;

  case 3842:
#line 20102 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 69993 "preproc.c" /* yacc.c:1646  */
    break;

  case 3843:
#line 20103 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 69999 "preproc.c" /* yacc.c:1646  */
    break;

  case 3844:
#line 20104 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 70005 "preproc.c" /* yacc.c:1646  */
    break;

  case 3845:
#line 20105 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 70011 "preproc.c" /* yacc.c:1646  */
    break;

  case 3846:
#line 20106 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 70017 "preproc.c" /* yacc.c:1646  */
    break;

  case 3847:
#line 20107 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 70023 "preproc.c" /* yacc.c:1646  */
    break;

  case 3848:
#line 20108 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 70029 "preproc.c" /* yacc.c:1646  */
    break;

  case 3849:
#line 20109 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 70035 "preproc.c" /* yacc.c:1646  */
    break;

  case 3850:
#line 20112 "preproc.y" /* yacc.c:1646  */
    { check_declared_list((yyvsp[0].str)); (yyval.str) = (yyvsp[0].str); }
#line 70041 "preproc.c" /* yacc.c:1646  */
    break;

  case 3851:
#line 20113 "preproc.y" /* yacc.c:1646  */
    { check_declared_list((yyvsp[0].str)); (yyval.str) = (yyvsp[0].str); }
#line 70047 "preproc.c" /* yacc.c:1646  */
    break;

  case 3852:
#line 20114 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 70053 "preproc.c" /* yacc.c:1646  */
    break;

  case 3853:
#line 20115 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 70059 "preproc.c" /* yacc.c:1646  */
    break;

  case 3854:
#line 20118 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 70065 "preproc.c" /* yacc.c:1646  */
    break;

  case 3855:
#line 20119 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 70071 "preproc.c" /* yacc.c:1646  */
    break;

  case 3856:
#line 20120 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 70077 "preproc.c" /* yacc.c:1646  */
    break;

  case 3857:
#line 20121 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 70083 "preproc.c" /* yacc.c:1646  */
    break;

  case 3858:
#line 20122 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 70089 "preproc.c" /* yacc.c:1646  */
    break;

  case 3859:
#line 20123 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 70095 "preproc.c" /* yacc.c:1646  */
    break;

  case 3860:
#line 20124 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 70101 "preproc.c" /* yacc.c:1646  */
    break;

  case 3861:
#line 20125 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 70107 "preproc.c" /* yacc.c:1646  */
    break;

  case 3862:
#line 20126 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 70113 "preproc.c" /* yacc.c:1646  */
    break;

  case 3863:
#line 20127 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 70123 "preproc.c" /* yacc.c:1646  */
    break;

  case 3864:
#line 20134 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 70129 "preproc.c" /* yacc.c:1646  */
    break;

  case 3865:
#line 20135 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 70135 "preproc.c" /* yacc.c:1646  */
    break;

  case 3866:
#line 20136 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 70141 "preproc.c" /* yacc.c:1646  */
    break;

  case 3867:
#line 20137 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 70147 "preproc.c" /* yacc.c:1646  */
    break;

  case 3868:
#line 20140 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 70153 "preproc.c" /* yacc.c:1646  */
    break;

  case 3869:
#line 20141 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 70159 "preproc.c" /* yacc.c:1646  */
    break;

  case 3870:
#line 20144 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 70165 "preproc.c" /* yacc.c:1646  */
    break;

  case 3871:
#line 20145 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 70171 "preproc.c" /* yacc.c:1646  */
    break;

  case 3872:
#line 20148 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 70177 "preproc.c" /* yacc.c:1646  */
    break;

  case 3873:
#line 20150 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 70190 "preproc.c" /* yacc.c:1646  */
    break;

  case 3874:
#line 20160 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 70196 "preproc.c" /* yacc.c:1646  */
    break;

  case 3875:
#line 20161 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 70202 "preproc.c" /* yacc.c:1646  */
    break;


#line 70206 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 20164 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
